#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "DOMException" "\0"
  /*  2094 */ "DOMImplementation" "\0"
  /*  2112 */ "DOMLocalization" "\0"
  /*  2128 */ "DOMMatrix" "\0"
  /*  2138 */ "DOMMatrixReadOnly" "\0"
  /*  2156 */ "DOMParser" "\0"
  /*  2166 */ "DOMPoint" "\0"
  /*  2175 */ "DOMPointReadOnly" "\0"
  /*  2192 */ "DOMQuad" "\0"
  /*  2200 */ "DOMRect" "\0"
  /*  2208 */ "DOMRectList" "\0"
  /*  2220 */ "DOMRectReadOnly" "\0"
  /*  2236 */ "DOMRequest" "\0"
  /*  2247 */ "DOMStringList" "\0"
  /*  2261 */ "DOMStringMap" "\0"
  /*  2274 */ "DOMTokenList" "\0"
  /*  2287 */ "DataTransfer" "\0"
  /*  2300 */ "DataTransferItem" "\0"
  /*  2317 */ "DataTransferItemList" "\0"
  /*  2338 */ "DebuggerNotification" "\0"
  /*  2359 */ "DebuggerNotificationObserver" "\0"
  /*  2388 */ "DecompressionStream" "\0"
  /*  2408 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2435 */ "DelayNode" "\0"
  /*  2445 */ "DeprecationReportBody" "\0"
  /*  2467 */ "DeviceAcceleration" "\0"
  /*  2486 */ "DeviceLightEvent" "\0"
  /*  2503 */ "DeviceMotionEvent" "\0"
  /*  2521 */ "DeviceOrientationEvent" "\0"
  /*  2544 */ "DeviceRotationRate" "\0"
  /*  2563 */ "Directory" "\0"
  /*  2573 */ "Document" "\0"
  /*  2582 */ "DocumentFragment" "\0"
  /*  2599 */ "DocumentL10n" "\0"
  /*  2612 */ "DocumentTimeline" "\0"
  /*  2629 */ "DocumentType" "\0"
  /*  2642 */ "DominatorTree" "\0"
  /*  2656 */ "DragEvent" "\0"
  /*  2666 */ "DynamicsCompressorNode" "\0"
  /*  2689 */ "EXT_blend_minmax" "\0"
  /*  2706 */ "EXT_color_buffer_float" "\0"
  /*  2729 */ "EXT_color_buffer_half_float" "\0"
  /*  2757 */ "EXT_disjoint_timer_query" "\0"
  /*  2782 */ "EXT_float_blend" "\0"
  /*  2798 */ "EXT_frag_depth" "\0"
  /*  2813 */ "EXT_sRGB" "\0"
  /*  2822 */ "EXT_shader_texture_lod" "\0"
  /*  2845 */ "EXT_texture_compression_bptc" "\0"
  /*  2874 */ "EXT_texture_compression_rgtc" "\0"
  /*  2903 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2934 */ "EXT_texture_norm16" "\0"
  /*  2953 */ "Element" "\0"
  /*  2961 */ "ElementInternals" "\0"
  /*  2978 */ "ErrorEvent" "\0"
  /*  2989 */ "Event" "\0"
  /*  2995 */ "EventCallbackDebuggerNotification" "\0"
  /*  3029 */ "EventCounts" "\0"
  /*  3041 */ "EventSource" "\0"
  /*  3053 */ "EventTarget" "\0"
  /*  3065 */ "Exception" "\0"
  /*  3075 */ "ExtendableEvent" "\0"
  /*  3091 */ "ExtendableMessageEvent" "\0"
  /*  3114 */ "ExtensionAlarms" "\0"
  /*  3130 */ "ExtensionBrowser" "\0"
  /*  3147 */ "ExtensionBrowserSettings" "\0"
  /*  3172 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3212 */ "ExtensionDns" "\0"
  /*  3225 */ "ExtensionEventManager" "\0"
  /*  3247 */ "ExtensionMockAPI" "\0"
  /*  3264 */ "ExtensionPort" "\0"
  /*  3278 */ "ExtensionProxy" "\0"
  /*  3293 */ "ExtensionRuntime" "\0"
  /*  3310 */ "ExtensionScripting" "\0"
  /*  3329 */ "ExtensionSetting" "\0"
  /*  3346 */ "ExtensionTest" "\0"
  /*  3360 */ "External" "\0"
  /*  3369 */ "FeaturePolicy" "\0"
  /*  3383 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3416 */ "FetchEvent" "\0"
  /*  3427 */ "FetchObserver" "\0"
  /*  3441 */ "File" "\0"
  /*  3446 */ "FileList" "\0"
  /*  3455 */ "FileReader" "\0"
  /*  3466 */ "FileReaderSync" "\0"
  /*  3481 */ "FileSystem" "\0"
  /*  3492 */ "FileSystemDirectoryEntry" "\0"
  /*  3517 */ "FileSystemDirectoryHandle" "\0"
  /*  3543 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3583 */ "FileSystemDirectoryIterator" "\0"
  /*  3611 */ "FileSystemDirectoryReader" "\0"
  /*  3637 */ "FileSystemEntry" "\0"
  /*  3653 */ "FileSystemFileEntry" "\0"
  /*  3673 */ "FileSystemFileHandle" "\0"
  /*  3694 */ "FileSystemHandle" "\0"
  /*  3711 */ "FileSystemSyncAccessHandle" "\0"
  /*  3738 */ "FileSystemWritableFileStream" "\0"
  /*  3767 */ "Flex" "\0"
  /*  3772 */ "FlexItemValues" "\0"
  /*  3787 */ "FlexLineValues" "\0"
  /*  3802 */ "FluentBundle" "\0"
  /*  3815 */ "FluentBundleAsyncIterator" "\0"
  /*  3841 */ "FluentBundleIterator" "\0"
  /*  3862 */ "FluentPattern" "\0"
  /*  3876 */ "FluentResource" "\0"
  /*  3891 */ "FocusEvent" "\0"
  /*  3902 */ "FontFace" "\0"
  /*  3911 */ "FontFaceSet" "\0"
  /*  3923 */ "FontFaceSetIterator" "\0"
  /*  3943 */ "FontFaceSetLoadEvent" "\0"
  /*  3964 */ "FormData" "\0"
  /*  3973 */ "FormData Iterator" "\0"
  /*  3991 */ "FormDataEvent" "\0"
  /*  4005 */ "FrameCrashedEvent" "\0"
  /*  4023 */ "FrameLoader" "\0"
  /*  4035 */ "GPU" "\0"
  /*  4039 */ "GPUAdapter" "\0"
  /*  4050 */ "GPUAdapterInfo" "\0"
  /*  4065 */ "GPUBindGroup" "\0"
  /*  4078 */ "GPUBindGroupLayout" "\0"
  /*  4097 */ "GPUBuffer" "\0"
  /*  4107 */ "GPUBufferUsage" "\0"
  /*  4122 */ "GPUCanvasContext" "\0"
  /*  4139 */ "GPUColorWrite" "\0"
  /*  4153 */ "GPUCommandBuffer" "\0"
  /*  4170 */ "GPUCommandEncoder" "\0"
  /*  4188 */ "GPUCompilationInfo" "\0"
  /*  4207 */ "GPUCompilationMessage" "\0"
  /*  4229 */ "GPUComputePassEncoder" "\0"
  /*  4251 */ "GPUComputePipeline" "\0"
  /*  4270 */ "GPUDevice" "\0"
  /*  4280 */ "GPUDeviceLostInfo" "\0"
  /*  4298 */ "GPUMapMode" "\0"
  /*  4309 */ "GPUOutOfMemoryError" "\0"
  /*  4329 */ "GPUPipelineLayout" "\0"
  /*  4347 */ "GPUQuerySet" "\0"
  /*  4359 */ "GPUQueue" "\0"
  /*  4368 */ "GPURenderBundle" "\0"
  /*  4384 */ "GPURenderBundleEncoder" "\0"
  /*  4407 */ "GPURenderPassEncoder" "\0"
  /*  4428 */ "GPURenderPipeline" "\0"
  /*  4446 */ "GPUSampler" "\0"
  /*  4457 */ "GPUShaderModule" "\0"
  /*  4473 */ "GPUShaderStage" "\0"
  /*  4488 */ "GPUSupportedFeatures" "\0"
  /*  4509 */ "GPUSupportedLimits" "\0"
  /*  4528 */ "GPUTexture" "\0"
  /*  4539 */ "GPUTextureUsage" "\0"
  /*  4555 */ "GPUTextureView" "\0"
  /*  4570 */ "GPUUncapturedErrorEvent" "\0"
  /*  4594 */ "GPUValidationError" "\0"
  /*  4613 */ "GainNode" "\0"
  /*  4622 */ "Gamepad" "\0"
  /*  4630 */ "GamepadAxisMoveEvent" "\0"
  /*  4651 */ "GamepadButton" "\0"
  /*  4665 */ "GamepadButtonEvent" "\0"
  /*  4684 */ "GamepadEvent" "\0"
  /*  4697 */ "GamepadHapticActuator" "\0"
  /*  4719 */ "GamepadLightIndicator" "\0"
  /*  4741 */ "GamepadPose" "\0"
  /*  4753 */ "GamepadServiceTest" "\0"
  /*  4772 */ "GamepadTouch" "\0"
  /*  4785 */ "Geolocation" "\0"
  /*  4797 */ "GeolocationCoordinates" "\0"
  /*  4820 */ "GeolocationPosition" "\0"
  /*  4840 */ "GeolocationPositionError" "\0"
  /*  4865 */ "GetUserMediaRequest" "\0"
  /*  4885 */ "GleanCategory" "\0"
  /*  4899 */ "GleanImpl" "\0"
  /*  4909 */ "GleanLabeled" "\0"
  /*  4922 */ "GleanPingsImpl" "\0"
  /*  4937 */ "Grid" "\0"
  /*  4942 */ "GridArea" "\0"
  /*  4951 */ "GridDimension" "\0"
  /*  4965 */ "GridLine" "\0"
  /*  4974 */ "GridLines" "\0"
  /*  4984 */ "GridTrack" "\0"
  /*  4994 */ "GridTracks" "\0"
  /*  5005 */ "HTMLAllCollection" "\0"
  /*  5023 */ "HTMLAnchorElement" "\0"
  /*  5041 */ "HTMLAreaElement" "\0"
  /*  5057 */ "HTMLAudioElement" "\0"
  /*  5074 */ "HTMLBRElement" "\0"
  /*  5088 */ "HTMLBaseElement" "\0"
  /*  5104 */ "HTMLBodyElement" "\0"
  /*  5120 */ "HTMLButtonElement" "\0"
  /*  5138 */ "HTMLCanvasElement" "\0"
  /*  5156 */ "HTMLCollection" "\0"
  /*  5171 */ "HTMLDListElement" "\0"
  /*  5188 */ "HTMLDataElement" "\0"
  /*  5204 */ "HTMLDataListElement" "\0"
  /*  5224 */ "HTMLDetailsElement" "\0"
  /*  5243 */ "HTMLDialogElement" "\0"
  /*  5261 */ "HTMLDirectoryElement" "\0"
  /*  5282 */ "HTMLDivElement" "\0"
  /*  5297 */ "HTMLDocument" "\0"
  /*  5310 */ "HTMLElement" "\0"
  /*  5322 */ "HTMLEmbedElement" "\0"
  /*  5339 */ "HTMLFieldSetElement" "\0"
  /*  5359 */ "HTMLFontElement" "\0"
  /*  5375 */ "HTMLFormControlsCollection" "\0"
  /*  5402 */ "HTMLFormElement" "\0"
  /*  5418 */ "HTMLFrameElement" "\0"
  /*  5435 */ "HTMLFrameSetElement" "\0"
  /*  5455 */ "HTMLHRElement" "\0"
  /*  5469 */ "HTMLHeadElement" "\0"
  /*  5485 */ "HTMLHeadingElement" "\0"
  /*  5504 */ "HTMLHtmlElement" "\0"
  /*  5520 */ "HTMLIFrameElement" "\0"
  /*  5538 */ "HTMLImageElement" "\0"
  /*  5555 */ "HTMLInputElement" "\0"
  /*  5572 */ "HTMLLIElement" "\0"
  /*  5586 */ "HTMLLabelElement" "\0"
  /*  5603 */ "HTMLLegendElement" "\0"
  /*  5621 */ "HTMLLinkElement" "\0"
  /*  5637 */ "HTMLMapElement" "\0"
  /*  5652 */ "HTMLMarqueeElement" "\0"
  /*  5671 */ "HTMLMediaElement" "\0"
  /*  5688 */ "HTMLMenuElement" "\0"
  /*  5704 */ "HTMLMetaElement" "\0"
  /*  5720 */ "HTMLMeterElement" "\0"
  /*  5737 */ "HTMLModElement" "\0"
  /*  5752 */ "HTMLOListElement" "\0"
  /*  5769 */ "HTMLObjectElement" "\0"
  /*  5787 */ "HTMLOptGroupElement" "\0"
  /*  5807 */ "HTMLOptionElement" "\0"
  /*  5825 */ "HTMLOptionsCollection" "\0"
  /*  5847 */ "HTMLOutputElement" "\0"
  /*  5865 */ "HTMLParagraphElement" "\0"
  /*  5886 */ "HTMLParamElement" "\0"
  /*  5903 */ "HTMLPictureElement" "\0"
  /*  5922 */ "HTMLPreElement" "\0"
  /*  5937 */ "HTMLProgressElement" "\0"
  /*  5957 */ "HTMLQuoteElement" "\0"
  /*  5974 */ "HTMLScriptElement" "\0"
  /*  5992 */ "HTMLSelectElement" "\0"
  /*  6010 */ "HTMLSlotElement" "\0"
  /*  6026 */ "HTMLSourceElement" "\0"
  /*  6044 */ "HTMLSpanElement" "\0"
  /*  6060 */ "HTMLStyleElement" "\0"
  /*  6077 */ "HTMLTableCaptionElement" "\0"
  /*  6101 */ "HTMLTableCellElement" "\0"
  /*  6122 */ "HTMLTableColElement" "\0"
  /*  6142 */ "HTMLTableElement" "\0"
  /*  6159 */ "HTMLTableRowElement" "\0"
  /*  6179 */ "HTMLTableSectionElement" "\0"
  /*  6203 */ "HTMLTemplateElement" "\0"
  /*  6223 */ "HTMLTextAreaElement" "\0"
  /*  6243 */ "HTMLTimeElement" "\0"
  /*  6259 */ "HTMLTitleElement" "\0"
  /*  6276 */ "HTMLTrackElement" "\0"
  /*  6293 */ "HTMLUListElement" "\0"
  /*  6310 */ "HTMLUnknownElement" "\0"
  /*  6329 */ "HTMLVideoElement" "\0"
  /*  6346 */ "HashChangeEvent" "\0"
  /*  6362 */ "Headers" "\0"
  /*  6370 */ "Headers Iterator" "\0"
  /*  6387 */ "HeapSnapshot" "\0"
  /*  6400 */ "Highlight" "\0"
  /*  6410 */ "HighlightRegistry" "\0"
  /*  6428 */ "History" "\0"
  /*  6436 */ "IDBCursor" "\0"
  /*  6446 */ "IDBCursorWithValue" "\0"
  /*  6465 */ "IDBDatabase" "\0"
  /*  6477 */ "IDBFactory" "\0"
  /*  6488 */ "IDBIndex" "\0"
  /*  6497 */ "IDBKeyRange" "\0"
  /*  6509 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6532 */ "IDBObjectStore" "\0"
  /*  6547 */ "IDBOpenDBRequest" "\0"
  /*  6564 */ "IDBRequest" "\0"
  /*  6575 */ "IDBTransaction" "\0"
  /*  6590 */ "IDBVersionChangeEvent" "\0"
  /*  6612 */ "IIRFilterNode" "\0"
  /*  6626 */ "IOUtils" "\0"
  /*  6634 */ "IdentityCredential" "\0"
  /*  6653 */ "IdleDeadline" "\0"
  /*  6666 */ "Image" "\0"
  /*  6672 */ "ImageBitmap" "\0"
  /*  6684 */ "ImageBitmapRenderingContext" "\0"
  /*  6712 */ "ImageCapture" "\0"
  /*  6725 */ "ImageCaptureError" "\0"
  /*  6743 */ "ImageCaptureErrorEvent" "\0"
  /*  6766 */ "ImageData" "\0"
  /*  6776 */ "ImageDocument" "\0"
  /*  6790 */ "InputEvent" "\0"
  /*  6801 */ "InspectorFontFace" "\0"
  /*  6819 */ "InspectorUtils" "\0"
  /*  6834 */ "InstallTriggerImpl" "\0"
  /*  6853 */ "IntersectionObserver" "\0"
  /*  6874 */ "IntersectionObserverEntry" "\0"
  /*  6900 */ "IntlUtils" "\0"
  /*  6910 */ "JSProcessActorChild" "\0"
  /*  6930 */ "JSProcessActorParent" "\0"
  /*  6951 */ "JSWindowActorChild" "\0"
  /*  6970 */ "JSWindowActorParent" "\0"
  /*  6990 */ "KeyEvent" "\0"
  /*  6999 */ "KeyboardEvent" "\0"
  /*  7013 */ "KeyframeEffect" "\0"
  /*  7028 */ "L10nFileSource" "\0"
  /*  7043 */ "L10nOverlays" "\0"
  /*  7056 */ "L10nRegistry" "\0"
  /*  7069 */ "LargestContentfulPaint" "\0"
  /*  7092 */ "LegacyMozTCPSocket" "\0"
  /*  7111 */ "Localization" "\0"
  /*  7124 */ "Location" "\0"
  /*  7133 */ "Lock" "\0"
  /*  7138 */ "LockManager" "\0"
  /*  7150 */ "MIDIAccess" "\0"
  /*  7161 */ "MIDIConnectionEvent" "\0"
  /*  7181 */ "MIDIInput" "\0"
  /*  7191 */ "MIDIInputMap" "\0"
  /*  7204 */ "MIDIMessageEvent" "\0"
  /*  7221 */ "MIDIOutput" "\0"
  /*  7232 */ "MIDIOutputMap" "\0"
  /*  7246 */ "MIDIPort" "\0"
  /*  7255 */ "MOZ_debug" "\0"
  /*  7265 */ "MatchGlob" "\0"
  /*  7275 */ "MatchPattern" "\0"
  /*  7288 */ "MatchPatternSet" "\0"
  /*  7304 */ "MathMLElement" "\0"
  /*  7318 */ "MediaCapabilities" "\0"
  /*  7336 */ "MediaCapabilitiesInfo" "\0"
  /*  7358 */ "MediaControlService" "\0"
  /*  7378 */ "MediaController" "\0"
  /*  7394 */ "MediaDeviceInfo" "\0"
  /*  7410 */ "MediaDevices" "\0"
  /*  7423 */ "MediaElementAudioSourceNode" "\0"
  /*  7451 */ "MediaEncryptedEvent" "\0"
  /*  7471 */ "MediaError" "\0"
  /*  7482 */ "MediaKeyError" "\0"
  /*  7496 */ "MediaKeyMessageEvent" "\0"
  /*  7517 */ "MediaKeySession" "\0"
  /*  7533 */ "MediaKeyStatusMap" "\0"
  /*  7551 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7578 */ "MediaKeySystemAccess" "\0"
  /*  7599 */ "MediaKeys" "\0"
  /*  7609 */ "MediaList" "\0"
  /*  7619 */ "MediaMetadata" "\0"
  /*  7633 */ "MediaQueryList" "\0"
  /*  7648 */ "MediaQueryListEvent" "\0"
  /*  7668 */ "MediaRecorder" "\0"
  /*  7682 */ "MediaRecorderErrorEvent" "\0"
  /*  7706 */ "MediaSession" "\0"
  /*  7719 */ "MediaSource" "\0"
  /*  7731 */ "MediaStream" "\0"
  /*  7743 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7775 */ "MediaStreamAudioSourceNode" "\0"
  /*  7802 */ "MediaStreamError" "\0"
  /*  7819 */ "MediaStreamEvent" "\0"
  /*  7836 */ "MediaStreamTrack" "\0"
  /*  7853 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7885 */ "MediaStreamTrackEvent" "\0"
  /*  7907 */ "MerchantValidationEvent" "\0"
  /*  7931 */ "MessageBroadcaster" "\0"
  /*  7950 */ "MessageChannel" "\0"
  /*  7965 */ "MessageEvent" "\0"
  /*  7978 */ "MessageListenerManager" "\0"
  /*  8001 */ "MessagePort" "\0"
  /*  8013 */ "MessageSender" "\0"
  /*  8027 */ "MimeType" "\0"
  /*  8036 */ "MimeTypeArray" "\0"
  /*  8050 */ "MouseEvent" "\0"
  /*  8061 */ "MouseScrollEvent" "\0"
  /*  8078 */ "MozCanvasPrintState" "\0"
  /*  8098 */ "MozDocumentMatcher" "\0"
  /*  8117 */ "MozDocumentObserver" "\0"
  /*  8137 */ "MozQueryInterface" "\0"
  /*  8155 */ "MozSharedMap" "\0"
  /*  8168 */ "MozSharedMap Iterator" "\0"
  /*  8190 */ "MozSharedMapChangeEvent" "\0"
  /*  8214 */ "MozStorageAsyncStatementParams" "\0"
  /*  8245 */ "MozStorageStatementParams" "\0"
  /*  8271 */ "MozStorageStatementRow" "\0"
  /*  8294 */ "MozWritableSharedMap" "\0"
  /*  8315 */ "MutationEvent" "\0"
  /*  8329 */ "MutationObserver" "\0"
  /*  8346 */ "MutationRecord" "\0"
  /*  8361 */ "NamedNodeMap" "\0"
  /*  8374 */ "NavigationPreloadManager" "\0"
  /*  8399 */ "Navigator" "\0"
  /*  8409 */ "NetworkInformation" "\0"
  /*  8428 */ "Node" "\0"
  /*  8433 */ "NodeFilter" "\0"
  /*  8444 */ "NodeIterator" "\0"
  /*  8457 */ "NodeList" "\0"
  /*  8466 */ "Notification" "\0"
  /*  8479 */ "NotificationEvent" "\0"
  /*  8497 */ "NotifyPaintEvent" "\0"
  /*  8514 */ "OES_draw_buffers_indexed" "\0"
  /*  8539 */ "OES_element_index_uint" "\0"
  /*  8562 */ "OES_fbo_render_mipmap" "\0"
  /*  8584 */ "OES_standard_derivatives" "\0"
  /*  8609 */ "OES_texture_float" "\0"
  /*  8627 */ "OES_texture_float_linear" "\0"
  /*  8652 */ "OES_texture_half_float" "\0"
  /*  8675 */ "OES_texture_half_float_linear" "\0"
  /*  8705 */ "OES_vertex_array_object" "\0"
  /*  8729 */ "OVR_multiview2" "\0"
  /*  8744 */ "OfflineAudioCompletionEvent" "\0"
  /*  8772 */ "OfflineAudioContext" "\0"
  /*  8792 */ "OffscreenCanvas" "\0"
  /*  8808 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8842 */ "OnlyForUseInConstructor" "\0"
  /*  8866 */ "Option" "\0"
  /*  8873 */ "OscillatorNode" "\0"
  /*  8888 */ "PageTransitionEvent" "\0"
  /*  8908 */ "PaintRequest" "\0"
  /*  8921 */ "PaintRequestList" "\0"
  /*  8938 */ "PaintWorkletGlobalScope" "\0"
  /*  8962 */ "PannerNode" "\0"
  /*  8973 */ "ParentProcessMessageManager" "\0"
  /*  9001 */ "Path2D" "\0"
  /*  9008 */ "PathUtils" "\0"
  /*  9018 */ "PaymentAddress" "\0"
  /*  9033 */ "PaymentMethodChangeEvent" "\0"
  /*  9058 */ "PaymentRequest" "\0"
  /*  9073 */ "PaymentRequestUpdateEvent" "\0"
  /*  9099 */ "PaymentResponse" "\0"
  /*  9115 */ "PeerConnectionImpl" "\0"
  /*  9134 */ "PeerConnectionObserver" "\0"
  /*  9157 */ "Performance" "\0"
  /*  9169 */ "PerformanceEntry" "\0"
  /*  9186 */ "PerformanceEntryEvent" "\0"
  /*  9208 */ "PerformanceEventTiming" "\0"
  /*  9231 */ "PerformanceMark" "\0"
  /*  9247 */ "PerformanceMeasure" "\0"
  /*  9266 */ "PerformanceNavigation" "\0"
  /*  9288 */ "PerformanceNavigationTiming" "\0"
  /*  9316 */ "PerformanceObserver" "\0"
  /*  9336 */ "PerformanceObserverEntryList" "\0"
  /*  9365 */ "PerformancePaintTiming" "\0"
  /*  9388 */ "PerformanceResourceTiming" "\0"
  /*  9414 */ "PerformanceServerTiming" "\0"
  /*  9438 */ "PerformanceTiming" "\0"
  /*  9456 */ "PeriodicWave" "\0"
  /*  9469 */ "PermissionStatus" "\0"
  /*  9486 */ "Permissions" "\0"
  /*  9498 */ "PlacesBookmark" "\0"
  /*  9513 */ "PlacesBookmarkAddition" "\0"
  /*  9536 */ "PlacesBookmarkChanged" "\0"
  /*  9558 */ "PlacesBookmarkGuid" "\0"
  /*  9577 */ "PlacesBookmarkKeyword" "\0"
  /*  9599 */ "PlacesBookmarkMoved" "\0"
  /*  9619 */ "PlacesBookmarkRemoved" "\0"
  /*  9641 */ "PlacesBookmarkTags" "\0"
  /*  9660 */ "PlacesBookmarkTime" "\0"
  /*  9679 */ "PlacesBookmarkTitle" "\0"
  /*  9699 */ "PlacesBookmarkUrl" "\0"
  /*  9717 */ "PlacesEvent" "\0"
  /*  9729 */ "PlacesFavicon" "\0"
  /*  9743 */ "PlacesHistoryCleared" "\0"
  /*  9764 */ "PlacesObservers" "\0"
  /*  9780 */ "PlacesPurgeCaches" "\0"
  /*  9798 */ "PlacesRanking" "\0"
  /*  9812 */ "PlacesVisit" "\0"
  /*  9824 */ "PlacesVisitRemoved" "\0"
  /*  9843 */ "PlacesVisitTitle" "\0"
  /*  9860 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9886 */ "Plugin" "\0"
  /*  9893 */ "PluginArray" "\0"
  /*  9905 */ "PluginCrashedEvent" "\0"
  /*  9924 */ "PointerEvent" "\0"
  /*  9937 */ "PopStateEvent" "\0"
  /*  9951 */ "PopupBlockedEvent" "\0"
  /*  9969 */ "PopupPositionedEvent" "\0"
  /*  9990 */ "PositionStateEvent" "\0"
  /* 10009 */ "PrecompiledScript" "\0"
  /* 10027 */ "ProcessMessageManager" "\0"
  /* 10049 */ "ProcessingInstruction" "\0"
  /* 10071 */ "ProgressEvent" "\0"
  /* 10085 */ "PromiseDebugging" "\0"
  /* 10102 */ "PromiseNativeHandler" "\0"
  /* 10123 */ "PromiseRejectionEvent" "\0"
  /* 10145 */ "PublicKeyCredential" "\0"
  /* 10165 */ "PushEvent" "\0"
  /* 10175 */ "PushManager" "\0"
  /* 10187 */ "PushManagerImpl" "\0"
  /* 10203 */ "PushMessageData" "\0"
  /* 10219 */ "PushSubscription" "\0"
  /* 10236 */ "PushSubscriptionOptions" "\0"
  /* 10260 */ "RTCCertificate" "\0"
  /* 10275 */ "RTCDTMFSender" "\0"
  /* 10289 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10312 */ "RTCDataChannel" "\0"
  /* 10327 */ "RTCDataChannelEvent" "\0"
  /* 10347 */ "RTCDtlsTransport" "\0"
  /* 10364 */ "RTCIceCandidate" "\0"
  /* 10380 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10409 */ "RTCPeerConnection" "\0"
  /* 10427 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10453 */ "RTCPeerConnectionStatic" "\0"
  /* 10477 */ "RTCRtpReceiver" "\0"
  /* 10492 */ "RTCRtpSender" "\0"
  /* 10505 */ "RTCRtpTransceiver" "\0"
  /* 10523 */ "RTCSctpTransport" "\0"
  /* 10540 */ "RTCSessionDescription" "\0"
  /* 10562 */ "RTCStatsReport" "\0"
  /* 10577 */ "RTCTrackEvent" "\0"
  /* 10591 */ "RadioNodeList" "\0"
  /* 10605 */ "Range" "\0"
  /* 10611 */ "ReadableByteStreamController" "\0"
  /* 10640 */ "ReadableStream" "\0"
  /* 10655 */ "ReadableStream AsyncIterator" "\0"
  /* 10684 */ "ReadableStreamBYOBReader" "\0"
  /* 10709 */ "ReadableStreamBYOBRequest" "\0"
  /* 10735 */ "ReadableStreamDefaultController" "\0"
  /* 10767 */ "ReadableStreamDefaultReader" "\0"
  /* 10795 */ "Report" "\0"
  /* 10802 */ "ReportBody" "\0"
  /* 10813 */ "ReportingObserver" "\0"
  /* 10831 */ "Request" "\0"
  /* 10839 */ "ResizeObserver" "\0"
  /* 10854 */ "ResizeObserverEntry" "\0"
  /* 10874 */ "ResizeObserverSize" "\0"
  /* 10893 */ "Response" "\0"
  /* 10902 */ "SVGAElement" "\0"
  /* 10914 */ "SVGAngle" "\0"
  /* 10923 */ "SVGAnimateElement" "\0"
  /* 10941 */ "SVGAnimateMotionElement" "\0"
  /* 10965 */ "SVGAnimateTransformElement" "\0"
  /* 10992 */ "SVGAnimatedAngle" "\0"
  /* 11009 */ "SVGAnimatedBoolean" "\0"
  /* 11028 */ "SVGAnimatedEnumeration" "\0"
  /* 11051 */ "SVGAnimatedInteger" "\0"
  /* 11070 */ "SVGAnimatedLength" "\0"
  /* 11088 */ "SVGAnimatedLengthList" "\0"
  /* 11110 */ "SVGAnimatedNumber" "\0"
  /* 11128 */ "SVGAnimatedNumberList" "\0"
  /* 11150 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11181 */ "SVGAnimatedRect" "\0"
  /* 11197 */ "SVGAnimatedString" "\0"
  /* 11215 */ "SVGAnimatedTransformList" "\0"
  /* 11240 */ "SVGAnimationElement" "\0"
  /* 11260 */ "SVGCircleElement" "\0"
  /* 11277 */ "SVGClipPathElement" "\0"
  /* 11296 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11332 */ "SVGDefsElement" "\0"
  /* 11347 */ "SVGDescElement" "\0"
  /* 11362 */ "SVGElement" "\0"
  /* 11373 */ "SVGEllipseElement" "\0"
  /* 11391 */ "SVGFEBlendElement" "\0"
  /* 11409 */ "SVGFEColorMatrixElement" "\0"
  /* 11433 */ "SVGFEComponentTransferElement" "\0"
  /* 11463 */ "SVGFECompositeElement" "\0"
  /* 11485 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11512 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11540 */ "SVGFEDisplacementMapElement" "\0"
  /* 11568 */ "SVGFEDistantLightElement" "\0"
  /* 11593 */ "SVGFEDropShadowElement" "\0"
  /* 11616 */ "SVGFEFloodElement" "\0"
  /* 11634 */ "SVGFEFuncAElement" "\0"
  /* 11652 */ "SVGFEFuncBElement" "\0"
  /* 11670 */ "SVGFEFuncGElement" "\0"
  /* 11688 */ "SVGFEFuncRElement" "\0"
  /* 11706 */ "SVGFEGaussianBlurElement" "\0"
  /* 11731 */ "SVGFEImageElement" "\0"
  /* 11749 */ "SVGFEMergeElement" "\0"
  /* 11767 */ "SVGFEMergeNodeElement" "\0"
  /* 11789 */ "SVGFEMorphologyElement" "\0"
  /* 11812 */ "SVGFEOffsetElement" "\0"
  /* 11831 */ "SVGFEPointLightElement" "\0"
  /* 11854 */ "SVGFESpecularLightingElement" "\0"
  /* 11883 */ "SVGFESpotLightElement" "\0"
  /* 11905 */ "SVGFETileElement" "\0"
  /* 11922 */ "SVGFETurbulenceElement" "\0"
  /* 11945 */ "SVGFilterElement" "\0"
  /* 11962 */ "SVGForeignObjectElement" "\0"
  /* 11986 */ "SVGGElement" "\0"
  /* 11998 */ "SVGGeometryElement" "\0"
  /* 12017 */ "SVGGradientElement" "\0"
  /* 12036 */ "SVGGraphicsElement" "\0"
  /* 12055 */ "SVGImageElement" "\0"
  /* 12071 */ "SVGLength" "\0"
  /* 12081 */ "SVGLengthList" "\0"
  /* 12095 */ "SVGLineElement" "\0"
  /* 12110 */ "SVGLinearGradientElement" "\0"
  /* 12135 */ "SVGMPathElement" "\0"
  /* 12151 */ "SVGMarkerElement" "\0"
  /* 12168 */ "SVGMaskElement" "\0"
  /* 12183 */ "SVGMatrix" "\0"
  /* 12193 */ "SVGMetadataElement" "\0"
  /* 12212 */ "SVGNumber" "\0"
  /* 12222 */ "SVGNumberList" "\0"
  /* 12236 */ "SVGPathElement" "\0"
  /* 12251 */ "SVGPathSeg" "\0"
  /* 12262 */ "SVGPathSegArcAbs" "\0"
  /* 12279 */ "SVGPathSegArcRel" "\0"
  /* 12296 */ "SVGPathSegClosePath" "\0"
  /* 12316 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12342 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12368 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12400 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12432 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12462 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12492 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12528 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12564 */ "SVGPathSegLinetoAbs" "\0"
  /* 12584 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12614 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12644 */ "SVGPathSegLinetoRel" "\0"
  /* 12664 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12692 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12720 */ "SVGPathSegList" "\0"
  /* 12735 */ "SVGPathSegMovetoAbs" "\0"
  /* 12755 */ "SVGPathSegMovetoRel" "\0"
  /* 12775 */ "SVGPatternElement" "\0"
  /* 12793 */ "SVGPoint" "\0"
  /* 12802 */ "SVGPointList" "\0"
  /* 12815 */ "SVGPolygonElement" "\0"
  /* 12833 */ "SVGPolylineElement" "\0"
  /* 12852 */ "SVGPreserveAspectRatio" "\0"
  /* 12875 */ "SVGRadialGradientElement" "\0"
  /* 12900 */ "SVGRect" "\0"
  /* 12908 */ "SVGRectElement" "\0"
  /* 12923 */ "SVGSVGElement" "\0"
  /* 12937 */ "SVGScriptElement" "\0"
  /* 12954 */ "SVGSetElement" "\0"
  /* 12968 */ "SVGStopElement" "\0"
  /* 12983 */ "SVGStringList" "\0"
  /* 12997 */ "SVGStyleElement" "\0"
  /* 13013 */ "SVGSwitchElement" "\0"
  /* 13030 */ "SVGSymbolElement" "\0"
  /* 13047 */ "SVGTSpanElement" "\0"
  /* 13063 */ "SVGTextContentElement" "\0"
  /* 13085 */ "SVGTextElement" "\0"
  /* 13100 */ "SVGTextPathElement" "\0"
  /* 13119 */ "SVGTextPositioningElement" "\0"
  /* 13145 */ "SVGTitleElement" "\0"
  /* 13161 */ "SVGTransform" "\0"
  /* 13174 */ "SVGTransformList" "\0"
  /* 13191 */ "SVGUnitTypes" "\0"
  /* 13204 */ "SVGUseElement" "\0"
  /* 13218 */ "SVGViewElement" "\0"
  /* 13233 */ "Sanitizer" "\0"
  /* 13243 */ "Scheduler" "\0"
  /* 13253 */ "Screen" "\0"
  /* 13260 */ "ScreenLuminance" "\0"
  /* 13276 */ "ScreenOrientation" "\0"
  /* 13294 */ "ScriptProcessorNode" "\0"
  /* 13314 */ "ScrollAreaEvent" "\0"
  /* 13330 */ "ScrollViewChangeEvent" "\0"
  /* 13352 */ "SecurityPolicyViolationEvent" "\0"
  /* 13381 */ "Selection" "\0"
  /* 13391 */ "ServiceWorker" "\0"
  /* 13405 */ "ServiceWorkerContainer" "\0"
  /* 13428 */ "ServiceWorkerGlobalScope" "\0"
  /* 13453 */ "ServiceWorkerRegistration" "\0"
  /* 13479 */ "SessionStoreFormData" "\0"
  /* 13500 */ "SessionStoreScrollData" "\0"
  /* 13523 */ "SessionStoreUtils" "\0"
  /* 13541 */ "ShadowRealmGlobalScope" "\0"
  /* 13564 */ "ShadowRoot" "\0"
  /* 13575 */ "SharedWorker" "\0"
  /* 13588 */ "SharedWorkerGlobalScope" "\0"
  /* 13612 */ "SimpleGestureEvent" "\0"
  /* 13631 */ "SourceBuffer" "\0"
  /* 13644 */ "SourceBufferList" "\0"
  /* 13661 */ "SpeechGrammar" "\0"
  /* 13675 */ "SpeechGrammarList" "\0"
  /* 13693 */ "SpeechRecognition" "\0"
  /* 13711 */ "SpeechRecognitionAlternative" "\0"
  /* 13740 */ "SpeechRecognitionError" "\0"
  /* 13763 */ "SpeechRecognitionEvent" "\0"
  /* 13786 */ "SpeechRecognitionResult" "\0"
  /* 13810 */ "SpeechRecognitionResultList" "\0"
  /* 13838 */ "SpeechSynthesis" "\0"
  /* 13854 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13880 */ "SpeechSynthesisEvent" "\0"
  /* 13901 */ "SpeechSynthesisUtterance" "\0"
  /* 13926 */ "SpeechSynthesisVoice" "\0"
  /* 13947 */ "StaticRange" "\0"
  /* 13959 */ "StereoPannerNode" "\0"
  /* 13976 */ "Storage" "\0"
  /* 13984 */ "StorageEvent" "\0"
  /* 13997 */ "StorageManager" "\0"
  /* 14012 */ "StreamFilter" "\0"
  /* 14025 */ "StreamFilterDataEvent" "\0"
  /* 14047 */ "StructuredCloneHolder" "\0"
  /* 14069 */ "StructuredCloneTester" "\0"
  /* 14091 */ "StyleSheet" "\0"
  /* 14102 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14139 */ "StyleSheetList" "\0"
  /* 14154 */ "SubmitEvent" "\0"
  /* 14166 */ "SubtleCrypto" "\0"
  /* 14179 */ "SyncMessageSender" "\0"
  /* 14197 */ "SyncReadFile" "\0"
  /* 14210 */ "TCPServerSocket" "\0"
  /* 14226 */ "TCPServerSocketEvent" "\0"
  /* 14247 */ "TCPSocket" "\0"
  /* 14257 */ "TCPSocketErrorEvent" "\0"
  /* 14277 */ "TCPSocketEvent" "\0"
  /* 14292 */ "TaskController" "\0"
  /* 14307 */ "TaskPriorityChangeEvent" "\0"
  /* 14331 */ "TaskSignal" "\0"
  /* 14342 */ "TelemetryStopwatch" "\0"
  /* 14361 */ "TestAttributesOnTypes" "\0"
  /* 14383 */ "TestCEReactionsInterface" "\0"
  /* 14408 */ "TestCImplementedInterface" "\0"
  /* 14434 */ "TestCImplementedInterface2" "\0"
  /* 14461 */ "TestChildInterface" "\0"
  /* 14480 */ "TestConstructorForFuncInterface" "\0"
  /* 14512 */ "TestConstructorForPrefInterface" "\0"
  /* 14544 */ "TestConstructorForSCInterface" "\0"
  /* 14574 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 14610 */ "TestDeprecatedInterface" "\0"
  /* 14634 */ "TestExampleInterface" "\0"
  /* 14655 */ "TestExampleProxyInterface" "\0"
  /* 14681 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14721 */ "TestExampleWorkerInterface" "\0"
  /* 14748 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14793 */ "TestFuncConstructorForInterface" "\0"
  /* 14825 */ "TestHTMLConstructorInterface" "\0"
  /* 14854 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 14898 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 14933 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 14968 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15018 */ "TestIndexedGetterInterface" "\0"
  /* 15045 */ "TestIndexedSetterInterface" "\0"
  /* 15072 */ "TestInterface" "\0"
  /* 15086 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15125 */ "TestJSImplInterface" "\0"
  /* 15145 */ "TestJSImplInterface2" "\0"
  /* 15166 */ "TestJSImplInterface3" "\0"
  /* 15187 */ "TestJSImplInterface4" "\0"
  /* 15208 */ "TestJSImplInterface5" "\0"
  /* 15229 */ "TestJSImplInterface6" "\0"
  /* 15250 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15278 */ "TestNamedDeleterInterface" "\0"
  /* 15304 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15340 */ "TestNamedGetterInterface" "\0"
  /* 15365 */ "TestNamedSetterInterface" "\0"
  /* 15390 */ "TestNamespace" "\0"
  /* 15404 */ "TestNonWrapperCacheInterface" "\0"
  /* 15433 */ "TestParentInterface" "\0"
  /* 15453 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15501 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15546 */ "TestPrefConstructorForInterface" "\0"
  /* 15578 */ "TestProtoObjectHackedNamespace" "\0"
  /* 15609 */ "TestRenamedInterface" "\0"
  /* 15630 */ "TestRenamedNamespace" "\0"
  /* 15651 */ "TestSCConstructorForInterface" "\0"
  /* 15681 */ "TestSecureContextInterface" "\0"
  /* 15708 */ "TestThrowingConstructorInterface" "\0"
  /* 15741 */ "TestUtils" "\0"
  /* 15751 */ "TestWorkerExposedInterface" "\0"
  /* 15778 */ "TestingDeprecatedInterface" "\0"
  /* 15805 */ "Text" "\0"
  /* 15810 */ "TextClause" "\0"
  /* 15821 */ "TextDecoder" "\0"
  /* 15833 */ "TextDecoderStream" "\0"
  /* 15851 */ "TextEncoder" "\0"
  /* 15863 */ "TextEncoderStream" "\0"
  /* 15881 */ "TextMetrics" "\0"
  /* 15893 */ "TextTrack" "\0"
  /* 15903 */ "TextTrackCue" "\0"
  /* 15916 */ "TextTrackCueList" "\0"
  /* 15933 */ "TextTrackList" "\0"
  /* 15947 */ "TimeEvent" "\0"
  /* 15957 */ "TimeRanges" "\0"
  /* 15968 */ "ToggleEvent" "\0"
  /* 15980 */ "Touch" "\0"
  /* 15986 */ "TouchEvent" "\0"
  /* 15997 */ "TouchList" "\0"
  /* 16007 */ "TrackEvent" "\0"
  /* 16018 */ "TransformStream" "\0"
  /* 16034 */ "TransformStreamDefaultController" "\0"
  /* 16067 */ "TransitionEvent" "\0"
  /* 16083 */ "TreeColumn" "\0"
  /* 16094 */ "TreeColumns" "\0"
  /* 16106 */ "TreeContentView" "\0"
  /* 16122 */ "TreeWalker" "\0"
  /* 16133 */ "UDPMessageEvent" "\0"
  /* 16149 */ "UDPSocket" "\0"
  /* 16159 */ "UIEvent" "\0"
  /* 16167 */ "URL" "\0"
  /* 16171 */ "URLSearchParams" "\0"
  /* 16187 */ "URLSearchParams Iterator" "\0"
  /* 16212 */ "UniFFIPointer" "\0"
  /* 16226 */ "UniFFIScaffolding" "\0"
  /* 16244 */ "UserInteraction" "\0"
  /* 16260 */ "UserProximityEvent" "\0"
  /* 16279 */ "VRDisplay" "\0"
  /* 16289 */ "VRDisplayCapabilities" "\0"
  /* 16311 */ "VRDisplayEvent" "\0"
  /* 16326 */ "VREyeParameters" "\0"
  /* 16342 */ "VRFieldOfView" "\0"
  /* 16356 */ "VRFrameData" "\0"
  /* 16368 */ "VRMockController" "\0"
  /* 16385 */ "VRMockDisplay" "\0"
  /* 16399 */ "VRPose" "\0"
  /* 16406 */ "VRServiceTest" "\0"
  /* 16420 */ "VRStageParameters" "\0"
  /* 16438 */ "VTTCue" "\0"
  /* 16445 */ "VTTRegion" "\0"
  /* 16455 */ "ValidityState" "\0"
  /* 16469 */ "VideoColorSpace" "\0"
  /* 16485 */ "VideoFrame" "\0"
  /* 16496 */ "VideoPlaybackQuality" "\0"
  /* 16517 */ "VideoTrack" "\0"
  /* 16528 */ "VideoTrackList" "\0"
  /* 16543 */ "VisualViewport" "\0"
  /* 16558 */ "WEBGL_color_buffer_float" "\0"
  /* 16583 */ "WEBGL_compressed_texture_astc" "\0"
  /* 16613 */ "WEBGL_compressed_texture_etc" "\0"
  /* 16642 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 16672 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16703 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16733 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16768 */ "WEBGL_debug_renderer_info" "\0"
  /* 16794 */ "WEBGL_debug_shaders" "\0"
  /* 16814 */ "WEBGL_depth_texture" "\0"
  /* 16834 */ "WEBGL_draw_buffers" "\0"
  /* 16853 */ "WEBGL_explicit_present" "\0"
  /* 16876 */ "WEBGL_lose_context" "\0"
  /* 16895 */ "WEBGL_provoking_vertex" "\0"
  /* 16918 */ "WaveShaperNode" "\0"
  /* 16933 */ "WebExtensionContentScript" "\0"
  /* 16959 */ "WebExtensionPolicy" "\0"
  /* 16978 */ "WebGL2RenderingContext" "\0"
  /* 17001 */ "WebGLActiveInfo" "\0"
  /* 17017 */ "WebGLBuffer" "\0"
  /* 17029 */ "WebGLContextEvent" "\0"
  /* 17047 */ "WebGLFramebuffer" "\0"
  /* 17064 */ "WebGLProgram" "\0"
  /* 17077 */ "WebGLQuery" "\0"
  /* 17088 */ "WebGLRenderbuffer" "\0"
  /* 17106 */ "WebGLRenderingContext" "\0"
  /* 17128 */ "WebGLSampler" "\0"
  /* 17141 */ "WebGLShader" "\0"
  /* 17153 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17180 */ "WebGLSync" "\0"
  /* 17190 */ "WebGLTexture" "\0"
  /* 17203 */ "WebGLTransformFeedback" "\0"
  /* 17226 */ "WebGLUniformLocation" "\0"
  /* 17247 */ "WebGLVertexArrayObject" "\0"
  /* 17270 */ "WebKitCSSMatrix" "\0"
  /* 17286 */ "WebSocket" "\0"
  /* 17296 */ "WebTransport" "\0"
  /* 17309 */ "WebTransportBidirectionalStream" "\0"
  /* 17341 */ "WebTransportDatagramDuplexStream" "\0"
  /* 17374 */ "WebTransportError" "\0"
  /* 17392 */ "WebTransportReceiveStream" "\0"
  /* 17418 */ "WebTransportSendStream" "\0"
  /* 17441 */ "WebrtcGlobalInformation" "\0"
  /* 17465 */ "WheelEvent" "\0"
  /* 17476 */ "Window" "\0"
  /* 17483 */ "WindowClient" "\0"
  /* 17496 */ "WindowContext" "\0"
  /* 17510 */ "WindowGlobalChild" "\0"
  /* 17528 */ "WindowGlobalParent" "\0"
  /* 17547 */ "WindowRoot" "\0"
  /* 17558 */ "Worker" "\0"
  /* 17565 */ "WorkerDebuggerGlobalScope" "\0"
  /* 17591 */ "WorkerGlobalScope" "\0"
  /* 17609 */ "WorkerLocation" "\0"
  /* 17624 */ "WorkerNavigator" "\0"
  /* 17640 */ "WorkerTestUtils" "\0"
  /* 17656 */ "Worklet" "\0"
  /* 17664 */ "WorkletGlobalScope" "\0"
  /* 17683 */ "WritableStream" "\0"
  /* 17698 */ "WritableStreamDefaultController" "\0"
  /* 17730 */ "WritableStreamDefaultWriter" "\0"
  /* 17758 */ "XMLDocument" "\0"
  /* 17770 */ "XMLHttpRequest" "\0"
  /* 17785 */ "XMLHttpRequestEventTarget" "\0"
  /* 17811 */ "XMLHttpRequestUpload" "\0"
  /* 17832 */ "XMLSerializer" "\0"
  /* 17846 */ "XPathEvaluator" "\0"
  /* 17861 */ "XPathExpression" "\0"
  /* 17877 */ "XPathResult" "\0"
  /* 17889 */ "XRBoundedReferenceSpace" "\0"
  /* 17913 */ "XRFrame" "\0"
  /* 17921 */ "XRInputSource" "\0"
  /* 17935 */ "XRInputSourceArray" "\0"
  /* 17954 */ "XRInputSourceEvent" "\0"
  /* 17973 */ "XRInputSourcesChangeEvent" "\0"
  /* 17999 */ "XRPose" "\0"
  /* 18006 */ "XRReferenceSpace" "\0"
  /* 18023 */ "XRReferenceSpaceEvent" "\0"
  /* 18045 */ "XRRenderState" "\0"
  /* 18059 */ "XRRigidTransform" "\0"
  /* 18076 */ "XRSession" "\0"
  /* 18086 */ "XRSessionEvent" "\0"
  /* 18101 */ "XRSpace" "\0"
  /* 18109 */ "XRSystem" "\0"
  /* 18118 */ "XRView" "\0"
  /* 18125 */ "XRViewerPose" "\0"
  /* 18138 */ "XRViewport" "\0"
  /* 18149 */ "XRWebGLLayer" "\0"
  /* 18162 */ "XSLTProcessor" "\0"
  /* 18176 */ "XULCommandEvent" "\0"
  /* 18192 */ "XULElement" "\0"
  /* 18203 */ "XULFrameElement" "\0"
  /* 18219 */ "XULMenuElement" "\0"
  /* 18234 */ "XULPopupElement" "\0"
  /* 18250 */ "XULResizerElement" "\0"
  /* 18268 */ "XULTextElement" "\0"
  /* 18283 */ "XULTreeElement" "\0"
  /* 18298 */ "console" "\0"
  /* 18306 */ "webkitSpeechGrammar" "\0"
  /* 18326 */ "webkitSpeechGrammarList" "\0"
  /* 18350 */ "webkitSpeechRecognition" "\0"
  /* 18374 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

