/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */

// This file is a Mako template: http://www.makotemplates.org/

// Please note that valid Rust syntax may be mangled by the Mako parser.
// For example, Vec&Foo> will be mangled as Vec&Foo>. To work around these issues, the code
// can be escaped. In the above example, Vec<&Foo> or Vec< &Foo> achieves the desired result of Vec&Foo>.



use app_units::Au;
use arrayvec::{ArrayVec, Drain as ArrayVecDrain};
use servo_arc::{Arc, UniqueArc};
use std::borrow::Cow;
use std::{ops, ptr};
use std::fmt::{self, Write};
use std::mem;

use cssparser::{Parser, TokenSerializationType};
use cssparser::ParserInput;
#[cfg(feature = "servo")] use euclid::SideOffsets2D;
use crate::context::QuirksMode;
#[cfg(feature = "gecko")] use crate::gecko_bindings::structs::{self, nsCSSPropertyID};
#[cfg(feature = "servo")] use crate::logical_geometry::LogicalMargin;
#[cfg(feature = "servo")] use crate::computed_values;
use crate::logical_geometry::WritingMode;
use malloc_size_of::{MallocSizeOf, MallocSizeOfOps};
use crate::computed_value_flags::*;
use fxhash::FxHashMap;
use crate::media_queries::Device;
use crate::parser::ParserContext;
use crate::selector_parser::PseudoElement;
#[cfg(feature = "servo")] use servo_config::prefs;
use style_traits::{CssWriter, KeywordsCollectFn, ParseError, ParsingMode};
use style_traits::{SpecifiedValueInfo, StyleParseErrorKind, ToCss};
use to_shmem::impl_trivial_to_shmem;
use crate::stylesheets::{CssRuleType, CssRuleTypes, Origin, UrlExtraData};
use crate::use_counters::UseCounters;
use crate::values::generics::text::LineHeight;
use crate::values::{computed, resolved, serialize_atom_name};
use crate::values::specified::font::SystemFont;
use crate::rule_tree::StrongRuleNode;
use crate::str::{CssString, CssStringWriter};
use std::cell::Cell;
use super::declaration_block::AppendableValue;



/// Conversion with fewer impls than From/Into
pub trait MaybeBoxed<Out> {
    /// Convert
    fn maybe_boxed(self) -> Out;
}

impl<T> MaybeBoxed<T> for T {
    #[inline]
    fn maybe_boxed(self) -> T { self }
}

impl<T> MaybeBoxed<Box<T>> for T {
    #[inline]
    fn maybe_boxed(self) -> Box<T> { Box::new(self) }
}

macro_rules! expanded {
    ( $( $name: ident: $value: expr ),+ ) => {
        expanded!( $( $name: $value, )+ )
    };
    ( $( $name: ident: $value: expr, )+ ) => {
        Longhands {
            $(
                $name: MaybeBoxed::maybe_boxed($value),
            )+
        }
    }
}

/// A module with all the code for longhand properties.
#[allow(missing_docs)]
pub mod longhands {
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/background.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/border.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/box.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/column.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/counters.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/effects.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/font.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/inherited_box.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/inherited_svg.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/inherited_table.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/inherited_text.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/inherited_ui.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/list.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/margin.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/outline.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/page.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/padding.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/position.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/svg.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/table.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/text.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/ui.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/longhands/xul.rs");
    pub const ANIMATABLE_PROPERTY_COUNT: usize = 352;
}

macro_rules! unwrap_or_initial {
    ($prop: ident) => (unwrap_or_initial!($prop, $prop));
    ($prop: ident, $expr: expr) =>
        ($expr.unwrap_or_else(|| $prop::get_initial_specified_value()));
}

/// A module with code for all the shorthand css properties, and a few
/// serialization helpers.
#[allow(missing_docs)]
pub mod shorthands {
    use cssparser::Parser;
    use crate::parser::{Parse, ParserContext};
    use style_traits::{ParseError, StyleParseErrorKind};
    use crate::values::specified;

    use style_traits::{CssWriter, ToCss};
    use crate::values::specified::{BorderStyle, Color};
    use std::fmt::{self, Write};

    fn serialize_directional_border<W, I,>(
        dest: &mut CssWriter<W>,
        width: &I,
        style: &BorderStyle,
        color: &Color,
    ) -> fmt::Result
    where
        W: Write,
        I: ToCss,
    {
        width.to_css(dest)?;
        // FIXME(emilio): Should we really serialize the border style if it's
        // `solid`?
        dest.write_char(' ')?;
        style.to_css(dest)?;
        if *color != Color::CurrentColor {
            dest.write_char(' ')?;
            color.to_css(dest)?;
        }
        Ok(())
    }

    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/background.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/border.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/box.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/column.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/counters.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/effects.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/font.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/inherited_box.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/inherited_svg.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/inherited_table.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/inherited_text.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/inherited_ui.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/list.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/margin.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/outline.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/page.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/padding.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/position.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/svg.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/table.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/text.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/ui.rs");
    include!("/builddir/build/BUILD/thunderbird-115.8.0/objdir/x86_64-unknown-linux-gnu/release/build/style-c3a6d1a781809da3/out/shorthands/xul.rs");

    // We didn't define the 'all' shorthand using the regular helpers:shorthand
    // mechanism, since it causes some very large types to be generated.
    //
    // Also, make sure logical properties appear before its physical
    // counter-parts, in order to prevent bugs like:
    //
    //   https://bugzilla.mozilla.org/show_bug.cgi?id=1410028
    //
    // FIXME(emilio): Adopt the resolution from:
    //
    //   https://github.com/w3c/csswg-drafts/issues/1898
    //
    // when there is one, whatever that is.
    

    /// The max amount of longhands that the `all` shorthand will ever contain.
    pub const ALL_SHORTHAND_MAX_LEN: usize = 380;
}



// WARNING: It is *really* important for the variants of `LonghandId`
// and `PropertyDeclaration` to be defined in the exact same order,
// with the exception of `CSSWideKeyword`, `WithVariables` and `Custom`,
// which don't exist in `LonghandId`.



/// Servo's representation for a property declaration.
#[derive(ToShmem)]
#[repr(u16)]
pub enum PropertyDeclaration {
    /// `align-content`
    AlignContent(crate::values::specified::AlignContent),
    /// `align-items`
    AlignItems(crate::values::specified::AlignItems),
    /// `align-self`
    AlignSelf(crate::values::specified::AlignSelf),
    /// `aspect-ratio`
    AspectRatio(crate::values::specified::AspectRatio),
    /// `backface-visibility`
    BackfaceVisibility(longhands::backface_visibility::SpecifiedValue),
    /// `baseline-source`
    BaselineSource(crate::values::specified::BaselineSource),
    /// `border-collapse`
    BorderCollapse(longhands::border_collapse::SpecifiedValue),
    /// `border-image-repeat`
    BorderImageRepeat(crate::values::specified::BorderImageRepeat),
    /// `box-decoration-break`
    BoxDecorationBreak(longhands::box_decoration_break::SpecifiedValue),
    /// `box-sizing`
    BoxSizing(longhands::box_sizing::SpecifiedValue),
    /// `break-inside`
    BreakInside(crate::values::specified::BreakWithin),
    /// `caption-side`
    CaptionSide(crate::values::specified::table::CaptionSide),
    /// `clear`
    Clear(crate::values::specified::Clear),
    /// `color-interpolation`
    ColorInterpolation(longhands::color_interpolation::SpecifiedValue),
    /// `color-interpolation-filters`
    ColorInterpolationFilters(longhands::color_interpolation_filters::SpecifiedValue),
    /// `column-count`
    ColumnCount(crate::values::specified::ColumnCount),
    /// `column-fill`
    ColumnFill(longhands::column_fill::SpecifiedValue),
    /// `column-span`
    ColumnSpan(longhands::column_span::SpecifiedValue),
    /// `contain`
    Contain(crate::values::specified::Contain),
    /// `container-type`
    ContainerType(crate::values::specified::ContainerType),
    /// `content-visibility`
    ContentVisibility(crate::values::specified::ContentVisibility),
    /// `direction`
    Direction(longhands::direction::SpecifiedValue),
    /// `display`
    Display(crate::values::specified::Display),
    /// `dominant-baseline`
    DominantBaseline(longhands::dominant_baseline::SpecifiedValue),
    /// `empty-cells`
    EmptyCells(longhands::empty_cells::SpecifiedValue),
    /// `flex-direction`
    FlexDirection(longhands::flex_direction::SpecifiedValue),
    /// `flex-wrap`
    FlexWrap(longhands::flex_wrap::SpecifiedValue),
    /// `float`
    Float(crate::values::specified::Float),
    /// `font-kerning`
    FontKerning(longhands::font_kerning::SpecifiedValue),
    /// `font-language-override`
    FontLanguageOverride(crate::values::specified::FontLanguageOverride),
    /// `font-optical-sizing`
    FontOpticalSizing(longhands::font_optical_sizing::SpecifiedValue),
    /// `font-size-adjust`
    FontSizeAdjust(crate::values::specified::FontSizeAdjust),
    /// `font-stretch`
    FontStretch(crate::values::specified::FontStretch),
    /// `font-style`
    FontStyle(crate::values::specified::FontStyle),
    /// `font-variant-caps`
    FontVariantCaps(longhands::font_variant_caps::SpecifiedValue),
    /// `font-variant-east-asian`
    FontVariantEastAsian(crate::values::specified::FontVariantEastAsian),
    /// `font-variant-emoji`
    FontVariantEmoji(longhands::font_variant_emoji::SpecifiedValue),
    /// `font-variant-ligatures`
    FontVariantLigatures(crate::values::specified::FontVariantLigatures),
    /// `font-variant-numeric`
    FontVariantNumeric(crate::values::specified::FontVariantNumeric),
    /// `font-variant-position`
    FontVariantPosition(longhands::font_variant_position::SpecifiedValue),
    /// `font-weight`
    FontWeight(crate::values::specified::FontWeight),
    /// `forced-color-adjust`
    ForcedColorAdjust(crate::values::specified::ForcedColorAdjust),
    /// `grid-auto-flow`
    GridAutoFlow(crate::values::specified::GridAutoFlow),
    /// `hyphens`
    Hyphens(longhands::hyphens::SpecifiedValue),
    /// `image-orientation`
    ImageOrientation(longhands::image_orientation::SpecifiedValue),
    /// `image-rendering`
    ImageRendering(crate::values::specified::ImageRendering),
    /// `ime-mode`
    ImeMode(longhands::ime_mode::SpecifiedValue),
    /// `initial-letter`
    InitialLetter(crate::values::specified::InitialLetter),
    /// `isolation`
    Isolation(longhands::isolation::SpecifiedValue),
    /// `justify-content`
    JustifyContent(crate::values::specified::JustifyContent),
    /// `justify-items`
    JustifyItems(crate::values::specified::JustifyItems),
    /// `justify-self`
    JustifySelf(crate::values::specified::JustifySelf),
    /// `line-break`
    LineBreak(crate::values::specified::LineBreak),
    /// `list-style-position`
    ListStylePosition(longhands::list_style_position::SpecifiedValue),
    /// `mask-type`
    MaskType(longhands::mask_type::SpecifiedValue),
    /// `masonry-auto-flow`
    MasonryAutoFlow(crate::values::specified::MasonryAutoFlow),
    /// `math-depth`
    MathDepth(crate::values::specified::MathDepth),
    /// `math-style`
    MathStyle(longhands::math_style::SpecifiedValue),
    /// `mix-blend-mode`
    MixBlendMode(longhands::mix_blend_mode::SpecifiedValue),
    /// `-moz-box-align`
    MozBoxAlign(longhands::_moz_box_align::SpecifiedValue),
    /// `-moz-box-collapse`
    MozBoxCollapse(longhands::_moz_box_collapse::SpecifiedValue),
    /// `-moz-box-direction`
    MozBoxDirection(longhands::_moz_box_direction::SpecifiedValue),
    /// `-moz-box-orient`
    MozBoxOrient(longhands::_moz_box_orient::SpecifiedValue),
    /// `-moz-box-pack`
    MozBoxPack(longhands::_moz_box_pack::SpecifiedValue),
    /// `-moz-control-character-visibility`
    MozControlCharacterVisibility(crate::values::specified::text::MozControlCharacterVisibility),
    /// `-moz-float-edge`
    MozFloatEdge(longhands::_moz_float_edge::SpecifiedValue),
    /// `-moz-inert`
    MozInert(longhands::_moz_inert::SpecifiedValue),
    /// `-moz-math-variant`
    MozMathVariant(longhands::_moz_math_variant::SpecifiedValue),
    /// `-moz-min-font-size-ratio`
    MozMinFontSizeRatio(crate::values::specified::Percentage),
    /// `-moz-orient`
    MozOrient(longhands::_moz_orient::SpecifiedValue),
    /// `-moz-osx-font-smoothing`
    MozOsxFontSmoothing(longhands::_moz_osx_font_smoothing::SpecifiedValue),
    /// `-moz-script-min-size`
    MozScriptMinSize(crate::values::specified::MozScriptMinSize),
    /// `-moz-script-size-multiplier`
    MozScriptSizeMultiplier(crate::values::specified::MozScriptSizeMultiplier),
    /// `-moz-text-size-adjust`
    MozTextSizeAdjust(longhands::_moz_text_size_adjust::SpecifiedValue),
    /// `-moz-top-layer`
    MozTopLayer(longhands::_moz_top_layer::SpecifiedValue),
    /// `-moz-user-focus`
    MozUserFocus(longhands::_moz_user_focus::SpecifiedValue),
    /// `-moz-user-input`
    MozUserInput(longhands::_moz_user_input::SpecifiedValue),
    /// `-moz-user-modify`
    MozUserModify(longhands::_moz_user_modify::SpecifiedValue),
    /// `-moz-window-dragging`
    MozWindowDragging(longhands::_moz_window_dragging::SpecifiedValue),
    /// `-moz-window-shadow`
    MozWindowShadow(longhands::_moz_window_shadow::SpecifiedValue),
    /// `object-fit`
    ObjectFit(longhands::object_fit::SpecifiedValue),
    /// `offset-rotate`
    OffsetRotate(crate::values::specified::OffsetRotate),
    /// `outline-style`
    OutlineStyle(crate::values::specified::OutlineStyle),
    /// `overflow-anchor`
    OverflowAnchor(crate::values::specified::OverflowAnchor),
    /// `overflow-wrap`
    OverflowWrap(crate::values::specified::OverflowWrap),
    /// `page-orientation`
    PageOrientation(crate::values::specified::PageOrientation),
    /// `paint-order`
    PaintOrder(crate::values::specified::SVGPaintOrder),
    /// `pointer-events`
    PointerEvents(longhands::pointer_events::SpecifiedValue),
    /// `position`
    Position(longhands::position::SpecifiedValue),
    /// `print-color-adjust`
    PrintColorAdjust(crate::values::specified::PrintColorAdjust),
    /// `resize`
    Resize(crate::values::specified::Resize),
    /// `ruby-align`
    RubyAlign(longhands::ruby_align::SpecifiedValue),
    /// `ruby-position`
    RubyPosition(crate::values::specified::RubyPosition),
    /// `scroll-behavior`
    ScrollBehavior(longhands::scroll_behavior::SpecifiedValue),
    /// `scroll-snap-align`
    ScrollSnapAlign(crate::values::specified::ScrollSnapAlign),
    /// `scroll-snap-stop`
    ScrollSnapStop(crate::values::specified::ScrollSnapStop),
    /// `scroll-snap-type`
    ScrollSnapType(crate::values::specified::ScrollSnapType),
    /// `scrollbar-gutter`
    ScrollbarGutter(crate::values::specified::ScrollbarGutter),
    /// `scrollbar-width`
    ScrollbarWidth(longhands::scrollbar_width::SpecifiedValue),
    /// `shape-rendering`
    ShapeRendering(longhands::shape_rendering::SpecifiedValue),
    /// `stroke-linecap`
    StrokeLinecap(longhands::stroke_linecap::SpecifiedValue),
    /// `stroke-linejoin`
    StrokeLinejoin(longhands::stroke_linejoin::SpecifiedValue),
    /// `table-layout`
    TableLayout(longhands::table_layout::SpecifiedValue),
    /// `text-align`
    TextAlign(crate::values::specified::TextAlign),
    /// `text-align-last`
    TextAlignLast(crate::values::specified::TextAlignLast),
    /// `text-anchor`
    TextAnchor(longhands::text_anchor::SpecifiedValue),
    /// `text-combine-upright`
    TextCombineUpright(longhands::text_combine_upright::SpecifiedValue),
    /// `text-decoration-line`
    TextDecorationLine(crate::values::specified::TextDecorationLine),
    /// `text-decoration-skip-ink`
    TextDecorationSkipInk(crate::values::specified::TextDecorationSkipInk),
    /// `text-decoration-style`
    TextDecorationStyle(longhands::text_decoration_style::SpecifiedValue),
    /// `text-emphasis-position`
    TextEmphasisPosition(crate::values::specified::TextEmphasisPosition),
    /// `text-justify`
    TextJustify(crate::values::specified::TextJustify),
    /// `text-orientation`
    TextOrientation(longhands::text_orientation::SpecifiedValue),
    /// `text-rendering`
    TextRendering(longhands::text_rendering::SpecifiedValue),
    /// `text-transform`
    TextTransform(crate::values::specified::TextTransform),
    /// `text-underline-position`
    TextUnderlinePosition(crate::values::specified::TextUnderlinePosition),
    /// `touch-action`
    TouchAction(crate::values::specified::TouchAction),
    /// `transform-box`
    TransformBox(longhands::transform_box::SpecifiedValue),
    /// `transform-style`
    TransformStyle(crate::values::specified::TransformStyle),
    /// `unicode-bidi`
    UnicodeBidi(longhands::unicode_bidi::SpecifiedValue),
    /// `user-select`
    UserSelect(crate::values::specified::UserSelect),
    /// `vector-effect`
    VectorEffect(longhands::vector_effect::SpecifiedValue),
    /// `visibility`
    Visibility(longhands::visibility::SpecifiedValue),
    /// `-webkit-line-clamp`
    WebkitLineClamp(crate::values::specified::LineClamp),
    /// `-webkit-text-security`
    WebkitTextSecurity(longhands::_webkit_text_security::SpecifiedValue),
    /// `white-space`
    WhiteSpace(longhands::white_space::SpecifiedValue),
    /// `word-break`
    WordBreak(crate::values::specified::WordBreak),
    /// `writing-mode`
    WritingMode(longhands::writing_mode::SpecifiedValue),
    /// `-x-text-scale`
    XTextScale(crate::values::specified::XTextScale),
    /// `z-index`
    ZIndex(crate::values::specified::ZIndex),
    /// `appearance`
    Appearance(crate::values::specified::Appearance),
    /// `-moz-default-appearance`
    MozDefaultAppearance(crate::values::specified::Appearance),
    /// `-moz-force-broken-image-icon`
    MozForceBrokenImageIcon(crate::values::specified::BoolInteger),
    /// `-moz-subtree-hidden-only-visually`
    MozSubtreeHiddenOnlyVisually(crate::values::specified::BoolInteger),
    /// `break-after`
    BreakAfter(crate::values::specified::BreakBetween),
    /// `break-before`
    BreakBefore(crate::values::specified::BreakBetween),
    /// `clip-rule`
    ClipRule(crate::values::specified::FillRule),
    /// `fill-rule`
    FillRule(crate::values::specified::FillRule),
    /// `overflow-clip-box-block`
    OverflowClipBoxBlock(crate::values::specified::OverflowClipBox),
    /// `overflow-clip-box-inline`
    OverflowClipBoxInline(crate::values::specified::OverflowClipBox),
    /// `fill-opacity`
    FillOpacity(crate::values::specified::SVGOpacity),
    /// `stroke-opacity`
    StrokeOpacity(crate::values::specified::SVGOpacity),
    /// `font-synthesis-small-caps`
    FontSynthesisSmallCaps(crate::values::specified::FontSynthesis),
    /// `font-synthesis-style`
    FontSynthesisStyle(crate::values::specified::FontSynthesis),
    /// `font-synthesis-weight`
    FontSynthesisWeight(crate::values::specified::FontSynthesis),
    /// `-moz-box-ordinal-group`
    MozBoxOrdinalGroup(crate::values::specified::Integer),
    /// `order`
    Order(crate::values::specified::Integer),
    /// `-x-span`
    XSpan(crate::values::specified::Integer),
    /// `flex-grow`
    FlexGrow(crate::values::specified::NonNegativeNumber),
    /// `flex-shrink`
    FlexShrink(crate::values::specified::NonNegativeNumber),
    /// `-moz-box-flex`
    MozBoxFlex(crate::values::specified::NonNegativeNumber),
    /// `stroke-miterlimit`
    StrokeMiterlimit(crate::values::specified::NonNegativeNumber),
    /// `overflow-block`
    OverflowBlock(crate::values::specified::Overflow),
    /// `overflow-inline`
    OverflowInline(crate::values::specified::Overflow),
    /// `overflow-x`
    OverflowX(crate::values::specified::Overflow),
    /// `overflow-y`
    OverflowY(crate::values::specified::Overflow),
    /// `overscroll-behavior-block`
    OverscrollBehaviorBlock(crate::values::specified::OverscrollBehavior),
    /// `overscroll-behavior-inline`
    OverscrollBehaviorInline(crate::values::specified::OverscrollBehavior),
    /// `overscroll-behavior-x`
    OverscrollBehaviorX(crate::values::specified::OverscrollBehavior),
    /// `overscroll-behavior-y`
    OverscrollBehaviorY(crate::values::specified::OverscrollBehavior),
    /// `flood-opacity`
    FloodOpacity(crate::values::specified::Opacity),
    /// `-moz-window-opacity`
    MozWindowOpacity(crate::values::specified::Opacity),
    /// `opacity`
    Opacity(crate::values::specified::Opacity),
    /// `shape-image-threshold`
    ShapeImageThreshold(crate::values::specified::Opacity),
    /// `stop-opacity`
    StopOpacity(crate::values::specified::Opacity),
    /// `border-block-end-style`
    BorderBlockEndStyle(crate::values::specified::BorderStyle),
    /// `border-block-start-style`
    BorderBlockStartStyle(crate::values::specified::BorderStyle),
    /// `border-bottom-style`
    BorderBottomStyle(crate::values::specified::BorderStyle),
    /// `border-inline-end-style`
    BorderInlineEndStyle(crate::values::specified::BorderStyle),
    /// `border-inline-start-style`
    BorderInlineStartStyle(crate::values::specified::BorderStyle),
    /// `border-left-style`
    BorderLeftStyle(crate::values::specified::BorderStyle),
    /// `border-right-style`
    BorderRightStyle(crate::values::specified::BorderStyle),
    /// `border-top-style`
    BorderTopStyle(crate::values::specified::BorderStyle),
    /// `column-rule-style`
    ColumnRuleStyle(crate::values::specified::BorderStyle),
    /// `accent-color`
    AccentColor(crate::values::specified::ColorOrAuto),
    /// `align-tracks`
    AlignTracks(crate::values::specified::AlignTracks),
    /// `animation-composition`
    AnimationComposition(longhands::animation_composition::SpecifiedValue),
    /// `animation-delay`
    AnimationDelay(longhands::animation_delay::SpecifiedValue),
    /// `animation-direction`
    AnimationDirection(longhands::animation_direction::SpecifiedValue),
    /// `animation-duration`
    AnimationDuration(longhands::animation_duration::SpecifiedValue),
    /// `animation-fill-mode`
    AnimationFillMode(longhands::animation_fill_mode::SpecifiedValue),
    /// `animation-iteration-count`
    AnimationIterationCount(longhands::animation_iteration_count::SpecifiedValue),
    /// `animation-name`
    AnimationName(longhands::animation_name::SpecifiedValue),
    /// `animation-play-state`
    AnimationPlayState(longhands::animation_play_state::SpecifiedValue),
    /// `animation-timeline`
    AnimationTimeline(longhands::animation_timeline::SpecifiedValue),
    /// `animation-timing-function`
    AnimationTimingFunction(longhands::animation_timing_function::SpecifiedValue),
    /// `backdrop-filter`
    BackdropFilter(longhands::backdrop_filter::SpecifiedValue),
    /// `background-attachment`
    BackgroundAttachment(longhands::background_attachment::SpecifiedValue),
    /// `background-blend-mode`
    BackgroundBlendMode(longhands::background_blend_mode::SpecifiedValue),
    /// `background-clip`
    BackgroundClip(longhands::background_clip::SpecifiedValue),
    /// `background-image`
    BackgroundImage(longhands::background_image::SpecifiedValue),
    /// `background-origin`
    BackgroundOrigin(longhands::background_origin::SpecifiedValue),
    /// `background-position-x`
    BackgroundPositionX(longhands::background_position_x::SpecifiedValue),
    /// `background-position-y`
    BackgroundPositionY(longhands::background_position_y::SpecifiedValue),
    /// `background-repeat`
    BackgroundRepeat(longhands::background_repeat::SpecifiedValue),
    /// `background-size`
    BackgroundSize(longhands::background_size::SpecifiedValue),
    /// `border-image-outset`
    BorderImageOutset(Box<crate::values::specified::NonNegativeLengthOrNumberRect>),
    /// `border-image-slice`
    BorderImageSlice(Box<crate::values::specified::BorderImageSlice>),
    /// `border-image-width`
    BorderImageWidth(Box<crate::values::specified::BorderImageWidth>),
    /// `border-spacing`
    BorderSpacing(Box<crate::values::specified::BorderSpacing>),
    /// `box-shadow`
    BoxShadow(longhands::box_shadow::SpecifiedValue),
    /// `caret-color`
    CaretColor(crate::values::specified::color::CaretColor),
    /// `clip`
    Clip(Box<crate::values::specified::ClipRectOrAuto>),
    /// `clip-path`
    ClipPath(crate::values::specified::basic_shape::ClipPath),
    /// `color`
    Color(crate::values::specified::ColorPropertyValue),
    /// `color-scheme`
    ColorScheme(crate::values::specified::ColorScheme),
    /// `column-width`
    ColumnWidth(crate::values::specified::length::NonNegativeLengthOrAuto),
    /// `container-name`
    ContainerName(crate::values::specified::ContainerName),
    /// `content`
    Content(crate::values::specified::Content),
    /// `counter-increment`
    CounterIncrement(crate::values::specified::CounterIncrement),
    /// `counter-reset`
    CounterReset(crate::values::specified::CounterReset),
    /// `counter-set`
    CounterSet(crate::values::specified::CounterSet),
    /// `cursor`
    Cursor(crate::values::specified::Cursor),
    /// `d`
    D(crate::values::specified::DProperty),
    /// `filter`
    Filter(longhands::filter::SpecifiedValue),
    /// `flex-basis`
    FlexBasis(Box<crate::values::specified::FlexBasis>),
    /// `font-family`
    FontFamily(crate::values::specified::FontFamily),
    /// `font-feature-settings`
    FontFeatureSettings(crate::values::specified::FontFeatureSettings),
    /// `font-palette`
    FontPalette(crate::values::specified::FontPalette),
    /// `font-size`
    FontSize(crate::values::specified::FontSize),
    /// `font-variant-alternates`
    FontVariantAlternates(crate::values::specified::FontVariantAlternates),
    /// `font-variation-settings`
    FontVariationSettings(crate::values::specified::FontVariationSettings),
    /// `grid-template-areas`
    GridTemplateAreas(crate::values::specified::GridTemplateAreas),
    /// `hyphenate-character`
    HyphenateCharacter(crate::values::specified::HyphenateCharacter),
    /// `justify-tracks`
    JustifyTracks(crate::values::specified::JustifyTracks),
    /// `letter-spacing`
    LetterSpacing(crate::values::specified::LetterSpacing),
    /// `line-height`
    LineHeight(crate::values::specified::LineHeight),
    /// `list-style-type`
    ListStyleType(Box<crate::values::specified::ListStyleType>),
    /// `mask-clip`
    MaskClip(longhands::mask_clip::SpecifiedValue),
    /// `mask-composite`
    MaskComposite(longhands::mask_composite::SpecifiedValue),
    /// `mask-image`
    MaskImage(longhands::mask_image::SpecifiedValue),
    /// `mask-mode`
    MaskMode(longhands::mask_mode::SpecifiedValue),
    /// `mask-origin`
    MaskOrigin(longhands::mask_origin::SpecifiedValue),
    /// `mask-position-x`
    MaskPositionX(longhands::mask_position_x::SpecifiedValue),
    /// `mask-position-y`
    MaskPositionY(longhands::mask_position_y::SpecifiedValue),
    /// `mask-repeat`
    MaskRepeat(longhands::mask_repeat::SpecifiedValue),
    /// `mask-size`
    MaskSize(longhands::mask_size::SpecifiedValue),
    /// `-moz-context-properties`
    MozContextProperties(crate::values::specified::MozContextProperties),
    /// `-moz-font-smoothing-background-color`
    MozFontSmoothingBackgroundColor(crate::values::specified::color::MozFontSmoothingBackgroundColor),
    /// `offset-anchor`
    OffsetAnchor(Box<crate::values::specified::PositionOrAuto>),
    /// `offset-path`
    OffsetPath(crate::values::specified::OffsetPath),
    /// `offset-position`
    OffsetPosition(Box<crate::values::specified::OffsetPosition>),
    /// `page`
    Page(crate::values::specified::PageName),
    /// `perspective`
    Perspective(crate::values::specified::Perspective),
    /// `quotes`
    Quotes(crate::values::specified::Quotes),
    /// `rotate`
    Rotate(Box<crate::values::specified::Rotate>),
    /// `scale`
    Scale(Box<crate::values::specified::Scale>),
    /// `scroll-timeline-axis`
    ScrollTimelineAxis(longhands::scroll_timeline_axis::SpecifiedValue),
    /// `scroll-timeline-name`
    ScrollTimelineName(longhands::scroll_timeline_name::SpecifiedValue),
    /// `scrollbar-color`
    ScrollbarColor(Box<crate::values::specified::ui::ScrollbarColor>),
    /// `shape-outside`
    ShapeOutside(crate::values::specified::basic_shape::ShapeOutside),
    /// `size`
    Size(Box<crate::values::specified::PageSize>),
    /// `stroke-dasharray`
    StrokeDasharray(crate::values::specified::SVGStrokeDashArray),
    /// `stroke-dashoffset`
    StrokeDashoffset(crate::values::specified::SVGLength),
    /// `stroke-width`
    StrokeWidth(crate::values::specified::SVGWidth),
    /// `tab-size`
    TabSize(crate::values::specified::NonNegativeLengthOrNumber),
    /// `text-decoration-thickness`
    TextDecorationThickness(crate::values::specified::TextDecorationLength),
    /// `text-emphasis-style`
    TextEmphasisStyle(crate::values::specified::TextEmphasisStyle),
    /// `text-overflow`
    TextOverflow(Box<crate::values::specified::TextOverflow>),
    /// `text-shadow`
    TextShadow(longhands::text_shadow::SpecifiedValue),
    /// `transition-delay`
    TransitionDelay(longhands::transition_delay::SpecifiedValue),
    /// `transition-duration`
    TransitionDuration(longhands::transition_duration::SpecifiedValue),
    /// `transition-property`
    TransitionProperty(longhands::transition_property::SpecifiedValue),
    /// `transition-timing-function`
    TransitionTimingFunction(longhands::transition_timing_function::SpecifiedValue),
    /// `translate`
    Translate(Box<crate::values::specified::Translate>),
    /// `vertical-align`
    VerticalAlign(crate::values::specified::VerticalAlign),
    /// `view-timeline-axis`
    ViewTimelineAxis(longhands::view_timeline_axis::SpecifiedValue),
    /// `view-timeline-inset`
    ViewTimelineInset(longhands::view_timeline_inset::SpecifiedValue),
    /// `view-timeline-name`
    ViewTimelineName(longhands::view_timeline_name::SpecifiedValue),
    /// `-webkit-text-stroke-width`
    WebkitTextStrokeWidth(crate::values::specified::LineWidth),
    /// `will-change`
    WillChange(crate::values::specified::WillChange),
    /// `word-spacing`
    WordSpacing(crate::values::specified::WordSpacing),
    /// `-x-lang`
    XLang(crate::values::specified::XLang),
    /// `object-position`
    ObjectPosition(Box<crate::values::specified::Position>),
    /// `perspective-origin`
    PerspectiveOrigin(Box<crate::values::specified::Position>),
    /// `fill`
    Fill(Box<crate::values::specified::SVGPaint>),
    /// `stroke`
    Stroke(Box<crate::values::specified::SVGPaint>),
    /// `-moz-window-transform-origin`
    MozWindowTransformOrigin(Box<crate::values::specified::TransformOrigin>),
    /// `transform-origin`
    TransformOrigin(Box<crate::values::specified::TransformOrigin>),
    /// `grid-template-columns`
    GridTemplateColumns(crate::values::specified::GridTemplateComponent),
    /// `grid-template-rows`
    GridTemplateRows(crate::values::specified::GridTemplateComponent),
    /// `border-image-source`
    BorderImageSource(crate::values::specified::Image),
    /// `list-style-image`
    ListStyleImage(crate::values::specified::Image),
    /// `grid-auto-columns`
    GridAutoColumns(crate::values::specified::ImplicitGridTracks),
    /// `grid-auto-rows`
    GridAutoRows(crate::values::specified::ImplicitGridTracks),
    /// `-moz-window-transform`
    MozWindowTransform(crate::values::specified::Transform),
    /// `transform`
    Transform(crate::values::specified::Transform),
    /// `column-gap`
    ColumnGap(crate::values::specified::length::NonNegativeLengthPercentageOrNormal),
    /// `row-gap`
    RowGap(crate::values::specified::length::NonNegativeLengthPercentageOrNormal),
    /// `marker-end`
    MarkerEnd(crate::values::specified::url::UrlOrNone),
    /// `marker-mid`
    MarkerMid(crate::values::specified::url::UrlOrNone),
    /// `marker-start`
    MarkerStart(crate::values::specified::url::UrlOrNone),
    /// `contain-intrinsic-block-size`
    ContainIntrinsicBlockSize(crate::values::specified::ContainIntrinsicSize),
    /// `contain-intrinsic-height`
    ContainIntrinsicHeight(crate::values::specified::ContainIntrinsicSize),
    /// `contain-intrinsic-inline-size`
    ContainIntrinsicInlineSize(crate::values::specified::ContainIntrinsicSize),
    /// `contain-intrinsic-width`
    ContainIntrinsicWidth(crate::values::specified::ContainIntrinsicSize),
    /// `grid-column-end`
    GridColumnEnd(crate::values::specified::GridLine),
    /// `grid-column-start`
    GridColumnStart(crate::values::specified::GridLine),
    /// `grid-row-end`
    GridRowEnd(crate::values::specified::GridLine),
    /// `grid-row-start`
    GridRowStart(crate::values::specified::GridLine),
    /// `max-block-size`
    MaxBlockSize(crate::values::specified::MaxSize),
    /// `max-height`
    MaxHeight(crate::values::specified::MaxSize),
    /// `max-inline-size`
    MaxInlineSize(crate::values::specified::MaxSize),
    /// `max-width`
    MaxWidth(crate::values::specified::MaxSize),
    /// `cx`
    Cx(crate::values::specified::LengthPercentage),
    /// `cy`
    Cy(crate::values::specified::LengthPercentage),
    /// `offset-distance`
    OffsetDistance(crate::values::specified::LengthPercentage),
    /// `text-indent`
    TextIndent(crate::values::specified::LengthPercentage),
    /// `x`
    X(crate::values::specified::LengthPercentage),
    /// `y`
    Y(crate::values::specified::LengthPercentage),
    /// `border-bottom-left-radius`
    BorderBottomLeftRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-bottom-right-radius`
    BorderBottomRightRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-end-end-radius`
    BorderEndEndRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-end-start-radius`
    BorderEndStartRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-start-end-radius`
    BorderStartEndRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-start-start-radius`
    BorderStartStartRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-top-left-radius`
    BorderTopLeftRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `border-top-right-radius`
    BorderTopRightRadius(Box<crate::values::specified::BorderCornerRadius>),
    /// `block-size`
    BlockSize(crate::values::specified::Size),
    /// `height`
    Height(crate::values::specified::Size),
    /// `inline-size`
    InlineSize(crate::values::specified::Size),
    /// `min-block-size`
    MinBlockSize(crate::values::specified::Size),
    /// `min-height`
    MinHeight(crate::values::specified::Size),
    /// `min-inline-size`
    MinInlineSize(crate::values::specified::Size),
    /// `min-width`
    MinWidth(crate::values::specified::Size),
    /// `width`
    Width(crate::values::specified::Size),
    /// `border-block-end-width`
    BorderBlockEndWidth(crate::values::specified::BorderSideWidth),
    /// `border-block-start-width`
    BorderBlockStartWidth(crate::values::specified::BorderSideWidth),
    /// `border-bottom-width`
    BorderBottomWidth(crate::values::specified::BorderSideWidth),
    /// `border-inline-end-width`
    BorderInlineEndWidth(crate::values::specified::BorderSideWidth),
    /// `border-inline-start-width`
    BorderInlineStartWidth(crate::values::specified::BorderSideWidth),
    /// `border-left-width`
    BorderLeftWidth(crate::values::specified::BorderSideWidth),
    /// `border-right-width`
    BorderRightWidth(crate::values::specified::BorderSideWidth),
    /// `border-top-width`
    BorderTopWidth(crate::values::specified::BorderSideWidth),
    /// `column-rule-width`
    ColumnRuleWidth(crate::values::specified::BorderSideWidth),
    /// `outline-width`
    OutlineWidth(crate::values::specified::BorderSideWidth),
    /// `padding-block-end`
    PaddingBlockEnd(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-block-start`
    PaddingBlockStart(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-bottom`
    PaddingBottom(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-inline-end`
    PaddingInlineEnd(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-inline-start`
    PaddingInlineStart(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-left`
    PaddingLeft(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-right`
    PaddingRight(crate::values::specified::NonNegativeLengthPercentage),
    /// `padding-top`
    PaddingTop(crate::values::specified::NonNegativeLengthPercentage),
    /// `r`
    R(crate::values::specified::NonNegativeLengthPercentage),
    /// `shape-margin`
    ShapeMargin(crate::values::specified::NonNegativeLengthPercentage),
    /// `rx`
    Rx(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `ry`
    Ry(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-block-end`
    ScrollPaddingBlockEnd(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-block-start`
    ScrollPaddingBlockStart(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-bottom`
    ScrollPaddingBottom(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-inline-end`
    ScrollPaddingInlineEnd(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-inline-start`
    ScrollPaddingInlineStart(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-left`
    ScrollPaddingLeft(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-right`
    ScrollPaddingRight(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `scroll-padding-top`
    ScrollPaddingTop(crate::values::specified::NonNegativeLengthPercentageOrAuto),
    /// `-moz-window-input-region-margin`
    MozWindowInputRegionMargin(crate::values::specified::Length),
    /// `outline-offset`
    OutlineOffset(crate::values::specified::Length),
    /// `overflow-clip-margin`
    OverflowClipMargin(crate::values::specified::Length),
    /// `scroll-margin-block-end`
    ScrollMarginBlockEnd(crate::values::specified::Length),
    /// `scroll-margin-block-start`
    ScrollMarginBlockStart(crate::values::specified::Length),
    /// `scroll-margin-bottom`
    ScrollMarginBottom(crate::values::specified::Length),
    /// `scroll-margin-inline-end`
    ScrollMarginInlineEnd(crate::values::specified::Length),
    /// `scroll-margin-inline-start`
    ScrollMarginInlineStart(crate::values::specified::Length),
    /// `scroll-margin-left`
    ScrollMarginLeft(crate::values::specified::Length),
    /// `scroll-margin-right`
    ScrollMarginRight(crate::values::specified::Length),
    /// `scroll-margin-top`
    ScrollMarginTop(crate::values::specified::Length),
    /// `bottom`
    Bottom(crate::values::specified::LengthPercentageOrAuto),
    /// `inset-block-end`
    InsetBlockEnd(crate::values::specified::LengthPercentageOrAuto),
    /// `inset-block-start`
    InsetBlockStart(crate::values::specified::LengthPercentageOrAuto),
    /// `inset-inline-end`
    InsetInlineEnd(crate::values::specified::LengthPercentageOrAuto),
    /// `inset-inline-start`
    InsetInlineStart(crate::values::specified::LengthPercentageOrAuto),
    /// `left`
    Left(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-block-end`
    MarginBlockEnd(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-block-start`
    MarginBlockStart(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-bottom`
    MarginBottom(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-inline-end`
    MarginInlineEnd(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-inline-start`
    MarginInlineStart(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-left`
    MarginLeft(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-right`
    MarginRight(crate::values::specified::LengthPercentageOrAuto),
    /// `margin-top`
    MarginTop(crate::values::specified::LengthPercentageOrAuto),
    /// `right`
    Right(crate::values::specified::LengthPercentageOrAuto),
    /// `text-underline-offset`
    TextUnderlineOffset(crate::values::specified::LengthPercentageOrAuto),
    /// `top`
    Top(crate::values::specified::LengthPercentageOrAuto),
    /// `background-color`
    BackgroundColor(crate::values::specified::Color),
    /// `border-block-end-color`
    BorderBlockEndColor(crate::values::specified::Color),
    /// `border-block-start-color`
    BorderBlockStartColor(crate::values::specified::Color),
    /// `border-bottom-color`
    BorderBottomColor(crate::values::specified::Color),
    /// `border-inline-end-color`
    BorderInlineEndColor(crate::values::specified::Color),
    /// `border-inline-start-color`
    BorderInlineStartColor(crate::values::specified::Color),
    /// `border-left-color`
    BorderLeftColor(crate::values::specified::Color),
    /// `border-right-color`
    BorderRightColor(crate::values::specified::Color),
    /// `border-top-color`
    BorderTopColor(crate::values::specified::Color),
    /// `column-rule-color`
    ColumnRuleColor(crate::values::specified::Color),
    /// `flood-color`
    FloodColor(crate::values::specified::Color),
    /// `lighting-color`
    LightingColor(crate::values::specified::Color),
    /// `outline-color`
    OutlineColor(crate::values::specified::Color),
    /// `stop-color`
    StopColor(crate::values::specified::Color),
    /// `text-decoration-color`
    TextDecorationColor(crate::values::specified::Color),
    /// `text-emphasis-color`
    TextEmphasisColor(crate::values::specified::Color),
    /// `-webkit-text-fill-color`
    WebkitTextFillColor(crate::values::specified::Color),
    /// `-webkit-text-stroke-color`
    WebkitTextStrokeColor(crate::values::specified::Color),
    /// A CSS-wide keyword.
    CSSWideKeyword(WideKeywordDeclaration),
    /// An unparsed declaration.
    WithVariables(VariableDeclaration),
    /// A custom property declaration.
    Custom(CustomDeclaration),
}

// There's one of these for each parsed declaration so it better be small.
size_of_test!(PropertyDeclaration, 32);

#[repr(C)]
struct PropertyDeclarationVariantRepr<T> {
    tag: u16,
    value: T
}

impl Clone for PropertyDeclaration {
    #[inline]
    fn clone(&self) -> Self {
        use self::PropertyDeclaration::*;

        

        let self_tag = unsafe {
            (*(self as *const _ as *const PropertyDeclarationVariantRepr<()>)).tag
        };
        if self_tag <= LonghandId::ColumnRuleStyle as u16 {
            #[derive(Clone, Copy)]
            #[repr(u16)]
            enum CopyVariants {
                _AlignContent(crate::values::specified::AlignContent),
                _AlignItems(crate::values::specified::AlignItems),
                _AlignSelf(crate::values::specified::AlignSelf),
                _AspectRatio(crate::values::specified::AspectRatio),
                _BackfaceVisibility(longhands::backface_visibility::SpecifiedValue),
                _BaselineSource(crate::values::specified::BaselineSource),
                _BorderCollapse(longhands::border_collapse::SpecifiedValue),
                _BorderImageRepeat(crate::values::specified::BorderImageRepeat),
                _BoxDecorationBreak(longhands::box_decoration_break::SpecifiedValue),
                _BoxSizing(longhands::box_sizing::SpecifiedValue),
                _BreakInside(crate::values::specified::BreakWithin),
                _CaptionSide(crate::values::specified::table::CaptionSide),
                _Clear(crate::values::specified::Clear),
                _ColorInterpolation(longhands::color_interpolation::SpecifiedValue),
                _ColorInterpolationFilters(longhands::color_interpolation_filters::SpecifiedValue),
                _ColumnCount(crate::values::specified::ColumnCount),
                _ColumnFill(longhands::column_fill::SpecifiedValue),
                _ColumnSpan(longhands::column_span::SpecifiedValue),
                _Contain(crate::values::specified::Contain),
                _ContainerType(crate::values::specified::ContainerType),
                _ContentVisibility(crate::values::specified::ContentVisibility),
                _Direction(longhands::direction::SpecifiedValue),
                _Display(crate::values::specified::Display),
                _DominantBaseline(longhands::dominant_baseline::SpecifiedValue),
                _EmptyCells(longhands::empty_cells::SpecifiedValue),
                _FlexDirection(longhands::flex_direction::SpecifiedValue),
                _FlexWrap(longhands::flex_wrap::SpecifiedValue),
                _Float(crate::values::specified::Float),
                _FontKerning(longhands::font_kerning::SpecifiedValue),
                _FontLanguageOverride(crate::values::specified::FontLanguageOverride),
                _FontOpticalSizing(longhands::font_optical_sizing::SpecifiedValue),
                _FontSizeAdjust(crate::values::specified::FontSizeAdjust),
                _FontStretch(crate::values::specified::FontStretch),
                _FontStyle(crate::values::specified::FontStyle),
                _FontVariantCaps(longhands::font_variant_caps::SpecifiedValue),
                _FontVariantEastAsian(crate::values::specified::FontVariantEastAsian),
                _FontVariantEmoji(longhands::font_variant_emoji::SpecifiedValue),
                _FontVariantLigatures(crate::values::specified::FontVariantLigatures),
                _FontVariantNumeric(crate::values::specified::FontVariantNumeric),
                _FontVariantPosition(longhands::font_variant_position::SpecifiedValue),
                _FontWeight(crate::values::specified::FontWeight),
                _ForcedColorAdjust(crate::values::specified::ForcedColorAdjust),
                _GridAutoFlow(crate::values::specified::GridAutoFlow),
                _Hyphens(longhands::hyphens::SpecifiedValue),
                _ImageOrientation(longhands::image_orientation::SpecifiedValue),
                _ImageRendering(crate::values::specified::ImageRendering),
                _ImeMode(longhands::ime_mode::SpecifiedValue),
                _InitialLetter(crate::values::specified::InitialLetter),
                _Isolation(longhands::isolation::SpecifiedValue),
                _JustifyContent(crate::values::specified::JustifyContent),
                _JustifyItems(crate::values::specified::JustifyItems),
                _JustifySelf(crate::values::specified::JustifySelf),
                _LineBreak(crate::values::specified::LineBreak),
                _ListStylePosition(longhands::list_style_position::SpecifiedValue),
                _MaskType(longhands::mask_type::SpecifiedValue),
                _MasonryAutoFlow(crate::values::specified::MasonryAutoFlow),
                _MathDepth(crate::values::specified::MathDepth),
                _MathStyle(longhands::math_style::SpecifiedValue),
                _MixBlendMode(longhands::mix_blend_mode::SpecifiedValue),
                _MozBoxAlign(longhands::_moz_box_align::SpecifiedValue),
                _MozBoxCollapse(longhands::_moz_box_collapse::SpecifiedValue),
                _MozBoxDirection(longhands::_moz_box_direction::SpecifiedValue),
                _MozBoxOrient(longhands::_moz_box_orient::SpecifiedValue),
                _MozBoxPack(longhands::_moz_box_pack::SpecifiedValue),
                _MozControlCharacterVisibility(crate::values::specified::text::MozControlCharacterVisibility),
                _MozFloatEdge(longhands::_moz_float_edge::SpecifiedValue),
                _MozInert(longhands::_moz_inert::SpecifiedValue),
                _MozMathVariant(longhands::_moz_math_variant::SpecifiedValue),
                _MozMinFontSizeRatio(crate::values::specified::Percentage),
                _MozOrient(longhands::_moz_orient::SpecifiedValue),
                _MozOsxFontSmoothing(longhands::_moz_osx_font_smoothing::SpecifiedValue),
                _MozScriptMinSize(crate::values::specified::MozScriptMinSize),
                _MozScriptSizeMultiplier(crate::values::specified::MozScriptSizeMultiplier),
                _MozTextSizeAdjust(longhands::_moz_text_size_adjust::SpecifiedValue),
                _MozTopLayer(longhands::_moz_top_layer::SpecifiedValue),
                _MozUserFocus(longhands::_moz_user_focus::SpecifiedValue),
                _MozUserInput(longhands::_moz_user_input::SpecifiedValue),
                _MozUserModify(longhands::_moz_user_modify::SpecifiedValue),
                _MozWindowDragging(longhands::_moz_window_dragging::SpecifiedValue),
                _MozWindowShadow(longhands::_moz_window_shadow::SpecifiedValue),
                _ObjectFit(longhands::object_fit::SpecifiedValue),
                _OffsetRotate(crate::values::specified::OffsetRotate),
                _OutlineStyle(crate::values::specified::OutlineStyle),
                _OverflowAnchor(crate::values::specified::OverflowAnchor),
                _OverflowWrap(crate::values::specified::OverflowWrap),
                _PageOrientation(crate::values::specified::PageOrientation),
                _PaintOrder(crate::values::specified::SVGPaintOrder),
                _PointerEvents(longhands::pointer_events::SpecifiedValue),
                _Position(longhands::position::SpecifiedValue),
                _PrintColorAdjust(crate::values::specified::PrintColorAdjust),
                _Resize(crate::values::specified::Resize),
                _RubyAlign(longhands::ruby_align::SpecifiedValue),
                _RubyPosition(crate::values::specified::RubyPosition),
                _ScrollBehavior(longhands::scroll_behavior::SpecifiedValue),
                _ScrollSnapAlign(crate::values::specified::ScrollSnapAlign),
                _ScrollSnapStop(crate::values::specified::ScrollSnapStop),
                _ScrollSnapType(crate::values::specified::ScrollSnapType),
                _ScrollbarGutter(crate::values::specified::ScrollbarGutter),
                _ScrollbarWidth(longhands::scrollbar_width::SpecifiedValue),
                _ShapeRendering(longhands::shape_rendering::SpecifiedValue),
                _StrokeLinecap(longhands::stroke_linecap::SpecifiedValue),
                _StrokeLinejoin(longhands::stroke_linejoin::SpecifiedValue),
                _TableLayout(longhands::table_layout::SpecifiedValue),
                _TextAlign(crate::values::specified::TextAlign),
                _TextAlignLast(crate::values::specified::TextAlignLast),
                _TextAnchor(longhands::text_anchor::SpecifiedValue),
                _TextCombineUpright(longhands::text_combine_upright::SpecifiedValue),
                _TextDecorationLine(crate::values::specified::TextDecorationLine),
                _TextDecorationSkipInk(crate::values::specified::TextDecorationSkipInk),
                _TextDecorationStyle(longhands::text_decoration_style::SpecifiedValue),
                _TextEmphasisPosition(crate::values::specified::TextEmphasisPosition),
                _TextJustify(crate::values::specified::TextJustify),
                _TextOrientation(longhands::text_orientation::SpecifiedValue),
                _TextRendering(longhands::text_rendering::SpecifiedValue),
                _TextTransform(crate::values::specified::TextTransform),
                _TextUnderlinePosition(crate::values::specified::TextUnderlinePosition),
                _TouchAction(crate::values::specified::TouchAction),
                _TransformBox(longhands::transform_box::SpecifiedValue),
                _TransformStyle(crate::values::specified::TransformStyle),
                _UnicodeBidi(longhands::unicode_bidi::SpecifiedValue),
                _UserSelect(crate::values::specified::UserSelect),
                _VectorEffect(longhands::vector_effect::SpecifiedValue),
                _Visibility(longhands::visibility::SpecifiedValue),
                _WebkitLineClamp(crate::values::specified::LineClamp),
                _WebkitTextSecurity(longhands::_webkit_text_security::SpecifiedValue),
                _WhiteSpace(longhands::white_space::SpecifiedValue),
                _WordBreak(crate::values::specified::WordBreak),
                _WritingMode(longhands::writing_mode::SpecifiedValue),
                _XTextScale(crate::values::specified::XTextScale),
                _ZIndex(crate::values::specified::ZIndex),
                _Appearance(crate::values::specified::Appearance),
                _MozDefaultAppearance(crate::values::specified::Appearance),
                _MozForceBrokenImageIcon(crate::values::specified::BoolInteger),
                _MozSubtreeHiddenOnlyVisually(crate::values::specified::BoolInteger),
                _BreakAfter(crate::values::specified::BreakBetween),
                _BreakBefore(crate::values::specified::BreakBetween),
                _ClipRule(crate::values::specified::FillRule),
                _FillRule(crate::values::specified::FillRule),
                _OverflowClipBoxBlock(crate::values::specified::OverflowClipBox),
                _OverflowClipBoxInline(crate::values::specified::OverflowClipBox),
                _FillOpacity(crate::values::specified::SVGOpacity),
                _StrokeOpacity(crate::values::specified::SVGOpacity),
                _FontSynthesisSmallCaps(crate::values::specified::FontSynthesis),
                _FontSynthesisStyle(crate::values::specified::FontSynthesis),
                _FontSynthesisWeight(crate::values::specified::FontSynthesis),
                _MozBoxOrdinalGroup(crate::values::specified::Integer),
                _Order(crate::values::specified::Integer),
                _XSpan(crate::values::specified::Integer),
                _FlexGrow(crate::values::specified::NonNegativeNumber),
                _FlexShrink(crate::values::specified::NonNegativeNumber),
                _MozBoxFlex(crate::values::specified::NonNegativeNumber),
                _StrokeMiterlimit(crate::values::specified::NonNegativeNumber),
                _OverflowBlock(crate::values::specified::Overflow),
                _OverflowInline(crate::values::specified::Overflow),
                _OverflowX(crate::values::specified::Overflow),
                _OverflowY(crate::values::specified::Overflow),
                _OverscrollBehaviorBlock(crate::values::specified::OverscrollBehavior),
                _OverscrollBehaviorInline(crate::values::specified::OverscrollBehavior),
                _OverscrollBehaviorX(crate::values::specified::OverscrollBehavior),
                _OverscrollBehaviorY(crate::values::specified::OverscrollBehavior),
                _FloodOpacity(crate::values::specified::Opacity),
                _MozWindowOpacity(crate::values::specified::Opacity),
                _Opacity(crate::values::specified::Opacity),
                _ShapeImageThreshold(crate::values::specified::Opacity),
                _StopOpacity(crate::values::specified::Opacity),
                _BorderBlockEndStyle(crate::values::specified::BorderStyle),
                _BorderBlockStartStyle(crate::values::specified::BorderStyle),
                _BorderBottomStyle(crate::values::specified::BorderStyle),
                _BorderInlineEndStyle(crate::values::specified::BorderStyle),
                _BorderInlineStartStyle(crate::values::specified::BorderStyle),
                _BorderLeftStyle(crate::values::specified::BorderStyle),
                _BorderRightStyle(crate::values::specified::BorderStyle),
                _BorderTopStyle(crate::values::specified::BorderStyle),
                _ColumnRuleStyle(crate::values::specified::BorderStyle),
            }

            unsafe {
                let mut out = mem::MaybeUninit::uninit();
                ptr::write(
                    out.as_mut_ptr() as *mut CopyVariants,
                    *(self as *const _ as *const CopyVariants),
                );
                return out.assume_init();
            }
        }

        // This function ensures that all properties not handled above
        // do not have a specified value implements Copy. If you hit
        // compile error here, you may want to add the type name into
        // Longhand.specified_is_copy in data.py.
        fn _static_assert_others_are_not_copy() {
            struct Helper<T>(T);
            trait AssertCopy { fn assert() {} }
            trait AssertNotCopy { fn assert() {} }
            impl<T: Copy> AssertCopy for Helper<T> {}
            impl AssertNotCopy for Helper<Box<crate::values::specified::BorderCornerRadius>> {}
            Helper::<Box<crate::values::specified::BorderCornerRadius>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::BorderImageSlice>> {}
            Helper::<Box<crate::values::specified::BorderImageSlice>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::BorderImageWidth>> {}
            Helper::<Box<crate::values::specified::BorderImageWidth>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::BorderSpacing>> {}
            Helper::<Box<crate::values::specified::BorderSpacing>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::ClipRectOrAuto>> {}
            Helper::<Box<crate::values::specified::ClipRectOrAuto>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::FlexBasis>> {}
            Helper::<Box<crate::values::specified::FlexBasis>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::ListStyleType>> {}
            Helper::<Box<crate::values::specified::ListStyleType>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::NonNegativeLengthOrNumberRect>> {}
            Helper::<Box<crate::values::specified::NonNegativeLengthOrNumberRect>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::OffsetPosition>> {}
            Helper::<Box<crate::values::specified::OffsetPosition>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::PageSize>> {}
            Helper::<Box<crate::values::specified::PageSize>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::Position>> {}
            Helper::<Box<crate::values::specified::Position>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::PositionOrAuto>> {}
            Helper::<Box<crate::values::specified::PositionOrAuto>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::Rotate>> {}
            Helper::<Box<crate::values::specified::Rotate>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::SVGPaint>> {}
            Helper::<Box<crate::values::specified::SVGPaint>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::Scale>> {}
            Helper::<Box<crate::values::specified::Scale>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::TextOverflow>> {}
            Helper::<Box<crate::values::specified::TextOverflow>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::TransformOrigin>> {}
            Helper::<Box<crate::values::specified::TransformOrigin>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::Translate>> {}
            Helper::<Box<crate::values::specified::Translate>>::assert();
            impl AssertNotCopy for Helper<Box<crate::values::specified::ui::ScrollbarColor>> {}
            Helper::<Box<crate::values::specified::ui::ScrollbarColor>>::assert();
            impl AssertNotCopy for Helper<CustomDeclaration> {}
            Helper::<CustomDeclaration>::assert();
            impl AssertNotCopy for Helper<VariableDeclaration> {}
            Helper::<VariableDeclaration>::assert();
            impl AssertNotCopy for Helper<WideKeywordDeclaration> {}
            Helper::<WideKeywordDeclaration>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::AlignTracks> {}
            Helper::<crate::values::specified::AlignTracks>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::BorderSideWidth> {}
            Helper::<crate::values::specified::BorderSideWidth>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Color> {}
            Helper::<crate::values::specified::Color>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::ColorOrAuto> {}
            Helper::<crate::values::specified::ColorOrAuto>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::ColorPropertyValue> {}
            Helper::<crate::values::specified::ColorPropertyValue>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::ColorScheme> {}
            Helper::<crate::values::specified::ColorScheme>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::ContainIntrinsicSize> {}
            Helper::<crate::values::specified::ContainIntrinsicSize>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::ContainerName> {}
            Helper::<crate::values::specified::ContainerName>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Content> {}
            Helper::<crate::values::specified::Content>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::CounterIncrement> {}
            Helper::<crate::values::specified::CounterIncrement>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::CounterReset> {}
            Helper::<crate::values::specified::CounterReset>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::CounterSet> {}
            Helper::<crate::values::specified::CounterSet>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Cursor> {}
            Helper::<crate::values::specified::Cursor>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::DProperty> {}
            Helper::<crate::values::specified::DProperty>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::FontFamily> {}
            Helper::<crate::values::specified::FontFamily>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::FontFeatureSettings> {}
            Helper::<crate::values::specified::FontFeatureSettings>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::FontPalette> {}
            Helper::<crate::values::specified::FontPalette>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::FontSize> {}
            Helper::<crate::values::specified::FontSize>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::FontVariantAlternates> {}
            Helper::<crate::values::specified::FontVariantAlternates>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::FontVariationSettings> {}
            Helper::<crate::values::specified::FontVariationSettings>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::GridLine> {}
            Helper::<crate::values::specified::GridLine>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::GridTemplateAreas> {}
            Helper::<crate::values::specified::GridTemplateAreas>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::GridTemplateComponent> {}
            Helper::<crate::values::specified::GridTemplateComponent>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::HyphenateCharacter> {}
            Helper::<crate::values::specified::HyphenateCharacter>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Image> {}
            Helper::<crate::values::specified::Image>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::ImplicitGridTracks> {}
            Helper::<crate::values::specified::ImplicitGridTracks>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::JustifyTracks> {}
            Helper::<crate::values::specified::JustifyTracks>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Length> {}
            Helper::<crate::values::specified::Length>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::LengthPercentage> {}
            Helper::<crate::values::specified::LengthPercentage>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::LengthPercentageOrAuto> {}
            Helper::<crate::values::specified::LengthPercentageOrAuto>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::LetterSpacing> {}
            Helper::<crate::values::specified::LetterSpacing>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::LineHeight> {}
            Helper::<crate::values::specified::LineHeight>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::LineWidth> {}
            Helper::<crate::values::specified::LineWidth>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::MaxSize> {}
            Helper::<crate::values::specified::MaxSize>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::MozContextProperties> {}
            Helper::<crate::values::specified::MozContextProperties>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::NonNegativeLengthOrNumber> {}
            Helper::<crate::values::specified::NonNegativeLengthOrNumber>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::NonNegativeLengthPercentage> {}
            Helper::<crate::values::specified::NonNegativeLengthPercentage>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::NonNegativeLengthPercentageOrAuto> {}
            Helper::<crate::values::specified::NonNegativeLengthPercentageOrAuto>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::OffsetPath> {}
            Helper::<crate::values::specified::OffsetPath>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::PageName> {}
            Helper::<crate::values::specified::PageName>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Perspective> {}
            Helper::<crate::values::specified::Perspective>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Quotes> {}
            Helper::<crate::values::specified::Quotes>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::SVGLength> {}
            Helper::<crate::values::specified::SVGLength>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::SVGStrokeDashArray> {}
            Helper::<crate::values::specified::SVGStrokeDashArray>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::SVGWidth> {}
            Helper::<crate::values::specified::SVGWidth>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Size> {}
            Helper::<crate::values::specified::Size>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::TextDecorationLength> {}
            Helper::<crate::values::specified::TextDecorationLength>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::TextEmphasisStyle> {}
            Helper::<crate::values::specified::TextEmphasisStyle>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::Transform> {}
            Helper::<crate::values::specified::Transform>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::VerticalAlign> {}
            Helper::<crate::values::specified::VerticalAlign>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::WillChange> {}
            Helper::<crate::values::specified::WillChange>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::WordSpacing> {}
            Helper::<crate::values::specified::WordSpacing>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::XLang> {}
            Helper::<crate::values::specified::XLang>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::basic_shape::ClipPath> {}
            Helper::<crate::values::specified::basic_shape::ClipPath>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::basic_shape::ShapeOutside> {}
            Helper::<crate::values::specified::basic_shape::ShapeOutside>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::color::CaretColor> {}
            Helper::<crate::values::specified::color::CaretColor>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::color::MozFontSmoothingBackgroundColor> {}
            Helper::<crate::values::specified::color::MozFontSmoothingBackgroundColor>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::length::NonNegativeLengthOrAuto> {}
            Helper::<crate::values::specified::length::NonNegativeLengthOrAuto>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::length::NonNegativeLengthPercentageOrNormal> {}
            Helper::<crate::values::specified::length::NonNegativeLengthPercentageOrNormal>::assert();
            impl AssertNotCopy for Helper<crate::values::specified::url::UrlOrNone> {}
            Helper::<crate::values::specified::url::UrlOrNone>::assert();
            impl AssertNotCopy for Helper<longhands::animation_composition::SpecifiedValue> {}
            Helper::<longhands::animation_composition::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_delay::SpecifiedValue> {}
            Helper::<longhands::animation_delay::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_direction::SpecifiedValue> {}
            Helper::<longhands::animation_direction::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_duration::SpecifiedValue> {}
            Helper::<longhands::animation_duration::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_fill_mode::SpecifiedValue> {}
            Helper::<longhands::animation_fill_mode::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_iteration_count::SpecifiedValue> {}
            Helper::<longhands::animation_iteration_count::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_name::SpecifiedValue> {}
            Helper::<longhands::animation_name::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_play_state::SpecifiedValue> {}
            Helper::<longhands::animation_play_state::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_timeline::SpecifiedValue> {}
            Helper::<longhands::animation_timeline::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::animation_timing_function::SpecifiedValue> {}
            Helper::<longhands::animation_timing_function::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::backdrop_filter::SpecifiedValue> {}
            Helper::<longhands::backdrop_filter::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_attachment::SpecifiedValue> {}
            Helper::<longhands::background_attachment::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_blend_mode::SpecifiedValue> {}
            Helper::<longhands::background_blend_mode::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_clip::SpecifiedValue> {}
            Helper::<longhands::background_clip::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_image::SpecifiedValue> {}
            Helper::<longhands::background_image::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_origin::SpecifiedValue> {}
            Helper::<longhands::background_origin::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_position_x::SpecifiedValue> {}
            Helper::<longhands::background_position_x::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_position_y::SpecifiedValue> {}
            Helper::<longhands::background_position_y::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_repeat::SpecifiedValue> {}
            Helper::<longhands::background_repeat::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::background_size::SpecifiedValue> {}
            Helper::<longhands::background_size::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::box_shadow::SpecifiedValue> {}
            Helper::<longhands::box_shadow::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::filter::SpecifiedValue> {}
            Helper::<longhands::filter::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_clip::SpecifiedValue> {}
            Helper::<longhands::mask_clip::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_composite::SpecifiedValue> {}
            Helper::<longhands::mask_composite::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_image::SpecifiedValue> {}
            Helper::<longhands::mask_image::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_mode::SpecifiedValue> {}
            Helper::<longhands::mask_mode::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_origin::SpecifiedValue> {}
            Helper::<longhands::mask_origin::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_position_x::SpecifiedValue> {}
            Helper::<longhands::mask_position_x::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_position_y::SpecifiedValue> {}
            Helper::<longhands::mask_position_y::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_repeat::SpecifiedValue> {}
            Helper::<longhands::mask_repeat::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::mask_size::SpecifiedValue> {}
            Helper::<longhands::mask_size::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::scroll_timeline_axis::SpecifiedValue> {}
            Helper::<longhands::scroll_timeline_axis::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::scroll_timeline_name::SpecifiedValue> {}
            Helper::<longhands::scroll_timeline_name::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::text_shadow::SpecifiedValue> {}
            Helper::<longhands::text_shadow::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::transition_delay::SpecifiedValue> {}
            Helper::<longhands::transition_delay::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::transition_duration::SpecifiedValue> {}
            Helper::<longhands::transition_duration::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::transition_property::SpecifiedValue> {}
            Helper::<longhands::transition_property::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::transition_timing_function::SpecifiedValue> {}
            Helper::<longhands::transition_timing_function::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::view_timeline_axis::SpecifiedValue> {}
            Helper::<longhands::view_timeline_axis::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::view_timeline_inset::SpecifiedValue> {}
            Helper::<longhands::view_timeline_inset::SpecifiedValue>::assert();
            impl AssertNotCopy for Helper<longhands::view_timeline_name::SpecifiedValue> {}
            Helper::<longhands::view_timeline_name::SpecifiedValue>::assert();
        }

        match *self {
            AlignContent(..) |
AlignItems(..) |
AlignSelf(..) |
AspectRatio(..) |
BackfaceVisibility(..) |
BaselineSource(..) |
BorderCollapse(..) |
BorderImageRepeat(..) |
BoxDecorationBreak(..) |
BoxSizing(..) |
BreakInside(..) |
CaptionSide(..) |
Clear(..) |
ColorInterpolation(..) |
ColorInterpolationFilters(..) |
ColumnCount(..) |
ColumnFill(..) |
ColumnSpan(..) |
Contain(..) |
ContainerType(..) |
ContentVisibility(..) |
Direction(..) |
Display(..) |
DominantBaseline(..) |
EmptyCells(..) |
FlexDirection(..) |
FlexWrap(..) |
Float(..) |
FontKerning(..) |
FontLanguageOverride(..) |
FontOpticalSizing(..) |
FontSizeAdjust(..) |
FontStretch(..) |
FontStyle(..) |
FontVariantCaps(..) |
FontVariantEastAsian(..) |
FontVariantEmoji(..) |
FontVariantLigatures(..) |
FontVariantNumeric(..) |
FontVariantPosition(..) |
FontWeight(..) |
ForcedColorAdjust(..) |
GridAutoFlow(..) |
Hyphens(..) |
ImageOrientation(..) |
ImageRendering(..) |
ImeMode(..) |
InitialLetter(..) |
Isolation(..) |
JustifyContent(..) |
JustifyItems(..) |
JustifySelf(..) |
LineBreak(..) |
ListStylePosition(..) |
MaskType(..) |
MasonryAutoFlow(..) |
MathDepth(..) |
MathStyle(..) |
MixBlendMode(..) |
MozBoxAlign(..) |
MozBoxCollapse(..) |
MozBoxDirection(..) |
MozBoxOrient(..) |
MozBoxPack(..) |
MozControlCharacterVisibility(..) |
MozFloatEdge(..) |
MozInert(..) |
MozMathVariant(..) |
MozMinFontSizeRatio(..) |
MozOrient(..) |
MozOsxFontSmoothing(..) |
MozScriptMinSize(..) |
MozScriptSizeMultiplier(..) |
MozTextSizeAdjust(..) |
MozTopLayer(..) |
MozUserFocus(..) |
MozUserInput(..) |
MozUserModify(..) |
MozWindowDragging(..) |
MozWindowShadow(..) |
ObjectFit(..) |
OffsetRotate(..) |
OutlineStyle(..) |
OverflowAnchor(..) |
OverflowWrap(..) |
PageOrientation(..) |
PaintOrder(..) |
PointerEvents(..) |
Position(..) |
PrintColorAdjust(..) |
Resize(..) |
RubyAlign(..) |
RubyPosition(..) |
ScrollBehavior(..) |
ScrollSnapAlign(..) |
ScrollSnapStop(..) |
ScrollSnapType(..) |
ScrollbarGutter(..) |
ScrollbarWidth(..) |
ShapeRendering(..) |
StrokeLinecap(..) |
StrokeLinejoin(..) |
TableLayout(..) |
TextAlign(..) |
TextAlignLast(..) |
TextAnchor(..) |
TextCombineUpright(..) |
TextDecorationLine(..) |
TextDecorationSkipInk(..) |
TextDecorationStyle(..) |
TextEmphasisPosition(..) |
TextJustify(..) |
TextOrientation(..) |
TextRendering(..) |
TextTransform(..) |
TextUnderlinePosition(..) |
TouchAction(..) |
TransformBox(..) |
TransformStyle(..) |
UnicodeBidi(..) |
UserSelect(..) |
VectorEffect(..) |
Visibility(..) |
WebkitLineClamp(..) |
WebkitTextSecurity(..) |
WhiteSpace(..) |
WordBreak(..) |
WritingMode(..) |
XTextScale(..) |
ZIndex(..) |
Appearance(..) |
MozDefaultAppearance(..) |
MozForceBrokenImageIcon(..) |
MozSubtreeHiddenOnlyVisually(..) |
BreakAfter(..) |
BreakBefore(..) |
ClipRule(..) |
FillRule(..) |
OverflowClipBoxBlock(..) |
OverflowClipBoxInline(..) |
FillOpacity(..) |
StrokeOpacity(..) |
FontSynthesisSmallCaps(..) |
FontSynthesisStyle(..) |
FontSynthesisWeight(..) |
MozBoxOrdinalGroup(..) |
Order(..) |
XSpan(..) |
FlexGrow(..) |
FlexShrink(..) |
MozBoxFlex(..) |
StrokeMiterlimit(..) |
OverflowBlock(..) |
OverflowInline(..) |
OverflowX(..) |
OverflowY(..) |
OverscrollBehaviorBlock(..) |
OverscrollBehaviorInline(..) |
OverscrollBehaviorX(..) |
OverscrollBehaviorY(..) |
FloodOpacity(..) |
MozWindowOpacity(..) |
Opacity(..) |
ShapeImageThreshold(..) |
StopOpacity(..) |
BorderBlockEndStyle(..) |
BorderBlockStartStyle(..) |
BorderBottomStyle(..) |
BorderInlineEndStyle(..) |
BorderInlineStartStyle(..) |
BorderLeftStyle(..) |
BorderRightStyle(..) |
BorderTopStyle(..) |
ColumnRuleStyle(..) => {
                unsafe { debug_unreachable!() }
            }
            
            AccentColor(ref value) => {
                AccentColor(value.clone())
            }
            
            AlignTracks(ref value) => {
                AlignTracks(value.clone())
            }
            
            AnimationComposition(ref value) => {
                AnimationComposition(value.clone())
            }
            
            AnimationDelay(ref value) => {
                AnimationDelay(value.clone())
            }
            
            AnimationDirection(ref value) => {
                AnimationDirection(value.clone())
            }
            
            AnimationDuration(ref value) => {
                AnimationDuration(value.clone())
            }
            
            AnimationFillMode(ref value) => {
                AnimationFillMode(value.clone())
            }
            
            AnimationIterationCount(ref value) => {
                AnimationIterationCount(value.clone())
            }
            
            AnimationName(ref value) => {
                AnimationName(value.clone())
            }
            
            AnimationPlayState(ref value) => {
                AnimationPlayState(value.clone())
            }
            
            AnimationTimeline(ref value) => {
                AnimationTimeline(value.clone())
            }
            
            AnimationTimingFunction(ref value) => {
                AnimationTimingFunction(value.clone())
            }
            
            BackdropFilter(ref value) => {
                BackdropFilter(value.clone())
            }
            
            BackgroundAttachment(ref value) => {
                BackgroundAttachment(value.clone())
            }
            
            BackgroundBlendMode(ref value) => {
                BackgroundBlendMode(value.clone())
            }
            
            BackgroundClip(ref value) => {
                BackgroundClip(value.clone())
            }
            
            BackgroundImage(ref value) => {
                BackgroundImage(value.clone())
            }
            
            BackgroundOrigin(ref value) => {
                BackgroundOrigin(value.clone())
            }
            
            BackgroundPositionX(ref value) => {
                BackgroundPositionX(value.clone())
            }
            
            BackgroundPositionY(ref value) => {
                BackgroundPositionY(value.clone())
            }
            
            BackgroundRepeat(ref value) => {
                BackgroundRepeat(value.clone())
            }
            
            BackgroundSize(ref value) => {
                BackgroundSize(value.clone())
            }
            
            BorderImageOutset(ref value) => {
                BorderImageOutset(value.clone())
            }
            
            BorderImageSlice(ref value) => {
                BorderImageSlice(value.clone())
            }
            
            BorderImageWidth(ref value) => {
                BorderImageWidth(value.clone())
            }
            
            BorderSpacing(ref value) => {
                BorderSpacing(value.clone())
            }
            
            BoxShadow(ref value) => {
                BoxShadow(value.clone())
            }
            
            CaretColor(ref value) => {
                CaretColor(value.clone())
            }
            
            Clip(ref value) => {
                Clip(value.clone())
            }
            
            ClipPath(ref value) => {
                ClipPath(value.clone())
            }
            
            Color(ref value) => {
                Color(value.clone())
            }
            
            ColorScheme(ref value) => {
                ColorScheme(value.clone())
            }
            
            ColumnWidth(ref value) => {
                ColumnWidth(value.clone())
            }
            
            ContainerName(ref value) => {
                ContainerName(value.clone())
            }
            
            Content(ref value) => {
                Content(value.clone())
            }
            
            CounterIncrement(ref value) => {
                CounterIncrement(value.clone())
            }
            
            CounterReset(ref value) => {
                CounterReset(value.clone())
            }
            
            CounterSet(ref value) => {
                CounterSet(value.clone())
            }
            
            Cursor(ref value) => {
                Cursor(value.clone())
            }
            
            D(ref value) => {
                D(value.clone())
            }
            
            Filter(ref value) => {
                Filter(value.clone())
            }
            
            FlexBasis(ref value) => {
                FlexBasis(value.clone())
            }
            
            FontFamily(ref value) => {
                FontFamily(value.clone())
            }
            
            FontFeatureSettings(ref value) => {
                FontFeatureSettings(value.clone())
            }
            
            FontPalette(ref value) => {
                FontPalette(value.clone())
            }
            
            FontSize(ref value) => {
                FontSize(value.clone())
            }
            
            FontVariantAlternates(ref value) => {
                FontVariantAlternates(value.clone())
            }
            
            FontVariationSettings(ref value) => {
                FontVariationSettings(value.clone())
            }
            
            GridTemplateAreas(ref value) => {
                GridTemplateAreas(value.clone())
            }
            
            HyphenateCharacter(ref value) => {
                HyphenateCharacter(value.clone())
            }
            
            JustifyTracks(ref value) => {
                JustifyTracks(value.clone())
            }
            
            LetterSpacing(ref value) => {
                LetterSpacing(value.clone())
            }
            
            LineHeight(ref value) => {
                LineHeight(value.clone())
            }
            
            ListStyleType(ref value) => {
                ListStyleType(value.clone())
            }
            
            MaskClip(ref value) => {
                MaskClip(value.clone())
            }
            
            MaskComposite(ref value) => {
                MaskComposite(value.clone())
            }
            
            MaskImage(ref value) => {
                MaskImage(value.clone())
            }
            
            MaskMode(ref value) => {
                MaskMode(value.clone())
            }
            
            MaskOrigin(ref value) => {
                MaskOrigin(value.clone())
            }
            
            MaskPositionX(ref value) => {
                MaskPositionX(value.clone())
            }
            
            MaskPositionY(ref value) => {
                MaskPositionY(value.clone())
            }
            
            MaskRepeat(ref value) => {
                MaskRepeat(value.clone())
            }
            
            MaskSize(ref value) => {
                MaskSize(value.clone())
            }
            
            MozContextProperties(ref value) => {
                MozContextProperties(value.clone())
            }
            
            MozFontSmoothingBackgroundColor(ref value) => {
                MozFontSmoothingBackgroundColor(value.clone())
            }
            
            OffsetAnchor(ref value) => {
                OffsetAnchor(value.clone())
            }
            
            OffsetPath(ref value) => {
                OffsetPath(value.clone())
            }
            
            OffsetPosition(ref value) => {
                OffsetPosition(value.clone())
            }
            
            Page(ref value) => {
                Page(value.clone())
            }
            
            Perspective(ref value) => {
                Perspective(value.clone())
            }
            
            Quotes(ref value) => {
                Quotes(value.clone())
            }
            
            Rotate(ref value) => {
                Rotate(value.clone())
            }
            
            Scale(ref value) => {
                Scale(value.clone())
            }
            
            ScrollTimelineAxis(ref value) => {
                ScrollTimelineAxis(value.clone())
            }
            
            ScrollTimelineName(ref value) => {
                ScrollTimelineName(value.clone())
            }
            
            ScrollbarColor(ref value) => {
                ScrollbarColor(value.clone())
            }
            
            ShapeOutside(ref value) => {
                ShapeOutside(value.clone())
            }
            
            Size(ref value) => {
                Size(value.clone())
            }
            
            StrokeDasharray(ref value) => {
                StrokeDasharray(value.clone())
            }
            
            StrokeDashoffset(ref value) => {
                StrokeDashoffset(value.clone())
            }
            
            StrokeWidth(ref value) => {
                StrokeWidth(value.clone())
            }
            
            TabSize(ref value) => {
                TabSize(value.clone())
            }
            
            TextDecorationThickness(ref value) => {
                TextDecorationThickness(value.clone())
            }
            
            TextEmphasisStyle(ref value) => {
                TextEmphasisStyle(value.clone())
            }
            
            TextOverflow(ref value) => {
                TextOverflow(value.clone())
            }
            
            TextShadow(ref value) => {
                TextShadow(value.clone())
            }
            
            TransitionDelay(ref value) => {
                TransitionDelay(value.clone())
            }
            
            TransitionDuration(ref value) => {
                TransitionDuration(value.clone())
            }
            
            TransitionProperty(ref value) => {
                TransitionProperty(value.clone())
            }
            
            TransitionTimingFunction(ref value) => {
                TransitionTimingFunction(value.clone())
            }
            
            Translate(ref value) => {
                Translate(value.clone())
            }
            
            VerticalAlign(ref value) => {
                VerticalAlign(value.clone())
            }
            
            ViewTimelineAxis(ref value) => {
                ViewTimelineAxis(value.clone())
            }
            
            ViewTimelineInset(ref value) => {
                ViewTimelineInset(value.clone())
            }
            
            ViewTimelineName(ref value) => {
                ViewTimelineName(value.clone())
            }
            
            WebkitTextStrokeWidth(ref value) => {
                WebkitTextStrokeWidth(value.clone())
            }
            
            WillChange(ref value) => {
                WillChange(value.clone())
            }
            
            WordSpacing(ref value) => {
                WordSpacing(value.clone())
            }
            
            XLang(ref value) => {
                XLang(value.clone())
            }
            
            ObjectPosition(ref value) |
PerspectiveOrigin(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::Position>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Fill(ref value) |
Stroke(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::SVGPaint>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowTransformOrigin(ref value) |
TransformOrigin(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::TransformOrigin>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridTemplateColumns(ref value) |
GridTemplateRows(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateComponent>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderImageSource(ref value) |
ListStyleImage(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Image>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridAutoColumns(ref value) |
GridAutoRows(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::ImplicitGridTracks>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowTransform(ref value) |
Transform(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Transform>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            ColumnGap(ref value) |
RowGap(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthPercentageOrNormal>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MarkerEnd(ref value) |
MarkerMid(ref value) |
MarkerStart(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::url::UrlOrNone>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            ContainIntrinsicBlockSize(ref value) |
ContainIntrinsicHeight(ref value) |
ContainIntrinsicInlineSize(ref value) |
ContainIntrinsicWidth(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::ContainIntrinsicSize>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridColumnEnd(ref value) |
GridColumnStart(ref value) |
GridRowEnd(ref value) |
GridRowStart(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::GridLine>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MaxBlockSize(ref value) |
MaxHeight(ref value) |
MaxInlineSize(ref value) |
MaxWidth(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::MaxSize>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Cx(ref value) |
Cy(ref value) |
OffsetDistance(ref value) |
TextIndent(ref value) |
X(ref value) |
Y(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBottomLeftRadius(ref value) |
BorderBottomRightRadius(ref value) |
BorderEndEndRadius(ref value) |
BorderEndStartRadius(ref value) |
BorderStartEndRadius(ref value) |
BorderStartStartRadius(ref value) |
BorderTopLeftRadius(ref value) |
BorderTopRightRadius(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderCornerRadius>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BlockSize(ref value) |
Height(ref value) |
InlineSize(ref value) |
MinBlockSize(ref value) |
MinHeight(ref value) |
MinInlineSize(ref value) |
MinWidth(ref value) |
Width(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Size>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBlockEndWidth(ref value) |
BorderBlockStartWidth(ref value) |
BorderBottomWidth(ref value) |
BorderInlineEndWidth(ref value) |
BorderInlineStartWidth(ref value) |
BorderLeftWidth(ref value) |
BorderRightWidth(ref value) |
BorderTopWidth(ref value) |
ColumnRuleWidth(ref value) |
OutlineWidth(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BorderSideWidth>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            PaddingBlockEnd(ref value) |
PaddingBlockStart(ref value) |
PaddingBottom(ref value) |
PaddingInlineEnd(ref value) |
PaddingInlineStart(ref value) |
PaddingLeft(ref value) |
PaddingRight(ref value) |
PaddingTop(ref value) |
R(ref value) |
ShapeMargin(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentage>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Rx(ref value) |
Ry(ref value) |
ScrollPaddingBlockEnd(ref value) |
ScrollPaddingBlockStart(ref value) |
ScrollPaddingBottom(ref value) |
ScrollPaddingInlineEnd(ref value) |
ScrollPaddingInlineStart(ref value) |
ScrollPaddingLeft(ref value) |
ScrollPaddingRight(ref value) |
ScrollPaddingTop(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentageOrAuto>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowInputRegionMargin(ref value) |
OutlineOffset(ref value) |
OverflowClipMargin(ref value) |
ScrollMarginBlockEnd(ref value) |
ScrollMarginBlockStart(ref value) |
ScrollMarginBottom(ref value) |
ScrollMarginInlineEnd(ref value) |
ScrollMarginInlineStart(ref value) |
ScrollMarginLeft(ref value) |
ScrollMarginRight(ref value) |
ScrollMarginTop(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Length>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Bottom(ref value) |
InsetBlockEnd(ref value) |
InsetBlockStart(ref value) |
InsetInlineEnd(ref value) |
InsetInlineStart(ref value) |
Left(ref value) |
MarginBlockEnd(ref value) |
MarginBlockStart(ref value) |
MarginBottom(ref value) |
MarginInlineEnd(ref value) |
MarginInlineStart(ref value) |
MarginLeft(ref value) |
MarginRight(ref value) |
MarginTop(ref value) |
Right(ref value) |
TextUnderlineOffset(ref value) |
Top(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BackgroundColor(ref value) |
BorderBlockEndColor(ref value) |
BorderBlockStartColor(ref value) |
BorderBottomColor(ref value) |
BorderInlineEndColor(ref value) |
BorderInlineStartColor(ref value) |
BorderLeftColor(ref value) |
BorderRightColor(ref value) |
BorderTopColor(ref value) |
ColumnRuleColor(ref value) |
FloodColor(ref value) |
LightingColor(ref value) |
OutlineColor(ref value) |
StopColor(ref value) |
TextDecorationColor(ref value) |
TextEmphasisColor(ref value) |
WebkitTextFillColor(ref value) |
WebkitTextStrokeColor(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Color>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            CSSWideKeyword(ref value) => {
                CSSWideKeyword(value.clone())
            }
            
            WithVariables(ref value) => {
                WithVariables(value.clone())
            }
            
            Custom(ref value) => {
                Custom(value.clone())
            }
        }
    }
}

impl PartialEq for PropertyDeclaration {
    #[inline]
    fn eq(&self, other: &Self) -> bool {
        use self::PropertyDeclaration::*;

        unsafe {
            let this_repr =
                &*(self as *const _ as *const PropertyDeclarationVariantRepr<()>);
            let other_repr =
                &*(other as *const _ as *const PropertyDeclarationVariantRepr<()>);
            if this_repr.tag != other_repr.tag {
                return false;
            }
            match *self {
                AlignContent(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignContent>);
                    *this == other_repr.value
                }
                AlignItems(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignItems>);
                    *this == other_repr.value
                }
                AlignSelf(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignSelf>);
                    *this == other_repr.value
                }
                AspectRatio(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AspectRatio>);
                    *this == other_repr.value
                }
                BackfaceVisibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::backface_visibility::SpecifiedValue>);
                    *this == other_repr.value
                }
                BaselineSource(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BaselineSource>);
                    *this == other_repr.value
                }
                BorderCollapse(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::border_collapse::SpecifiedValue>);
                    *this == other_repr.value
                }
                BorderImageRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BorderImageRepeat>);
                    *this == other_repr.value
                }
                BoxDecorationBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::box_decoration_break::SpecifiedValue>);
                    *this == other_repr.value
                }
                BoxSizing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::box_sizing::SpecifiedValue>);
                    *this == other_repr.value
                }
                BreakInside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BreakWithin>);
                    *this == other_repr.value
                }
                CaptionSide(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::table::CaptionSide>);
                    *this == other_repr.value
                }
                Clear(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Clear>);
                    *this == other_repr.value
                }
                ColorInterpolation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::color_interpolation::SpecifiedValue>);
                    *this == other_repr.value
                }
                ColorInterpolationFilters(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::color_interpolation_filters::SpecifiedValue>);
                    *this == other_repr.value
                }
                ColumnCount(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColumnCount>);
                    *this == other_repr.value
                }
                ColumnFill(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::column_fill::SpecifiedValue>);
                    *this == other_repr.value
                }
                ColumnSpan(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::column_span::SpecifiedValue>);
                    *this == other_repr.value
                }
                Contain(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Contain>);
                    *this == other_repr.value
                }
                ContainerType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ContainerType>);
                    *this == other_repr.value
                }
                ContentVisibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ContentVisibility>);
                    *this == other_repr.value
                }
                Direction(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::direction::SpecifiedValue>);
                    *this == other_repr.value
                }
                Display(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Display>);
                    *this == other_repr.value
                }
                DominantBaseline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::dominant_baseline::SpecifiedValue>);
                    *this == other_repr.value
                }
                EmptyCells(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::empty_cells::SpecifiedValue>);
                    *this == other_repr.value
                }
                FlexDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::flex_direction::SpecifiedValue>);
                    *this == other_repr.value
                }
                FlexWrap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::flex_wrap::SpecifiedValue>);
                    *this == other_repr.value
                }
                Float(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Float>);
                    *this == other_repr.value
                }
                FontKerning(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_kerning::SpecifiedValue>);
                    *this == other_repr.value
                }
                FontLanguageOverride(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontLanguageOverride>);
                    *this == other_repr.value
                }
                FontOpticalSizing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_optical_sizing::SpecifiedValue>);
                    *this == other_repr.value
                }
                FontSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontSizeAdjust>);
                    *this == other_repr.value
                }
                FontStretch(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontStretch>);
                    *this == other_repr.value
                }
                FontStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontStyle>);
                    *this == other_repr.value
                }
                FontVariantCaps(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_variant_caps::SpecifiedValue>);
                    *this == other_repr.value
                }
                FontVariantEastAsian(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantEastAsian>);
                    *this == other_repr.value
                }
                FontVariantEmoji(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_variant_emoji::SpecifiedValue>);
                    *this == other_repr.value
                }
                FontVariantLigatures(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantLigatures>);
                    *this == other_repr.value
                }
                FontVariantNumeric(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantNumeric>);
                    *this == other_repr.value
                }
                FontVariantPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_variant_position::SpecifiedValue>);
                    *this == other_repr.value
                }
                FontWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontWeight>);
                    *this == other_repr.value
                }
                ForcedColorAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ForcedColorAdjust>);
                    *this == other_repr.value
                }
                GridAutoFlow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridAutoFlow>);
                    *this == other_repr.value
                }
                Hyphens(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::hyphens::SpecifiedValue>);
                    *this == other_repr.value
                }
                ImageOrientation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::image_orientation::SpecifiedValue>);
                    *this == other_repr.value
                }
                ImageRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ImageRendering>);
                    *this == other_repr.value
                }
                ImeMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::ime_mode::SpecifiedValue>);
                    *this == other_repr.value
                }
                InitialLetter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::InitialLetter>);
                    *this == other_repr.value
                }
                Isolation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::isolation::SpecifiedValue>);
                    *this == other_repr.value
                }
                JustifyContent(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifyContent>);
                    *this == other_repr.value
                }
                JustifyItems(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifyItems>);
                    *this == other_repr.value
                }
                JustifySelf(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifySelf>);
                    *this == other_repr.value
                }
                LineBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineBreak>);
                    *this == other_repr.value
                }
                ListStylePosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::list_style_position::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_type::SpecifiedValue>);
                    *this == other_repr.value
                }
                MasonryAutoFlow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MasonryAutoFlow>);
                    *this == other_repr.value
                }
                MathDepth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MathDepth>);
                    *this == other_repr.value
                }
                MathStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::math_style::SpecifiedValue>);
                    *this == other_repr.value
                }
                MixBlendMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mix_blend_mode::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozBoxAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_align::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozBoxCollapse(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_collapse::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozBoxDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_direction::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozBoxOrient(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_orient::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozBoxPack(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_pack::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozControlCharacterVisibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::text::MozControlCharacterVisibility>);
                    *this == other_repr.value
                }
                MozFloatEdge(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_float_edge::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozInert(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_inert::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozMathVariant(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_math_variant::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozMinFontSizeRatio(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Percentage>);
                    *this == other_repr.value
                }
                MozOrient(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_orient::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozOsxFontSmoothing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_osx_font_smoothing::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozScriptMinSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MozScriptMinSize>);
                    *this == other_repr.value
                }
                MozScriptSizeMultiplier(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MozScriptSizeMultiplier>);
                    *this == other_repr.value
                }
                MozTextSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_text_size_adjust::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozTopLayer(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_top_layer::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozUserFocus(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_user_focus::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozUserInput(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_user_input::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozUserModify(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_user_modify::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozWindowDragging(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_window_dragging::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozWindowShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_window_shadow::SpecifiedValue>);
                    *this == other_repr.value
                }
                ObjectFit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::object_fit::SpecifiedValue>);
                    *this == other_repr.value
                }
                OffsetRotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OffsetRotate>);
                    *this == other_repr.value
                }
                OutlineStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OutlineStyle>);
                    *this == other_repr.value
                }
                OverflowAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverflowAnchor>);
                    *this == other_repr.value
                }
                OverflowWrap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverflowWrap>);
                    *this == other_repr.value
                }
                PageOrientation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::PageOrientation>);
                    *this == other_repr.value
                }
                PaintOrder(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGPaintOrder>);
                    *this == other_repr.value
                }
                PointerEvents(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::pointer_events::SpecifiedValue>);
                    *this == other_repr.value
                }
                Position(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::position::SpecifiedValue>);
                    *this == other_repr.value
                }
                PrintColorAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::PrintColorAdjust>);
                    *this == other_repr.value
                }
                Resize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Resize>);
                    *this == other_repr.value
                }
                RubyAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::ruby_align::SpecifiedValue>);
                    *this == other_repr.value
                }
                RubyPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::RubyPosition>);
                    *this == other_repr.value
                }
                ScrollBehavior(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::scroll_behavior::SpecifiedValue>);
                    *this == other_repr.value
                }
                ScrollSnapAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollSnapAlign>);
                    *this == other_repr.value
                }
                ScrollSnapStop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollSnapStop>);
                    *this == other_repr.value
                }
                ScrollSnapType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollSnapType>);
                    *this == other_repr.value
                }
                ScrollbarGutter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollbarGutter>);
                    *this == other_repr.value
                }
                ScrollbarWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::scrollbar_width::SpecifiedValue>);
                    *this == other_repr.value
                }
                ShapeRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::shape_rendering::SpecifiedValue>);
                    *this == other_repr.value
                }
                StrokeLinecap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::stroke_linecap::SpecifiedValue>);
                    *this == other_repr.value
                }
                StrokeLinejoin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::stroke_linejoin::SpecifiedValue>);
                    *this == other_repr.value
                }
                TableLayout(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::table_layout::SpecifiedValue>);
                    *this == other_repr.value
                }
                TextAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextAlign>);
                    *this == other_repr.value
                }
                TextAlignLast(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextAlignLast>);
                    *this == other_repr.value
                }
                TextAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_anchor::SpecifiedValue>);
                    *this == other_repr.value
                }
                TextCombineUpright(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_combine_upright::SpecifiedValue>);
                    *this == other_repr.value
                }
                TextDecorationLine(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextDecorationLine>);
                    *this == other_repr.value
                }
                TextDecorationSkipInk(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextDecorationSkipInk>);
                    *this == other_repr.value
                }
                TextDecorationStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_decoration_style::SpecifiedValue>);
                    *this == other_repr.value
                }
                TextEmphasisPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextEmphasisPosition>);
                    *this == other_repr.value
                }
                TextJustify(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextJustify>);
                    *this == other_repr.value
                }
                TextOrientation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_orientation::SpecifiedValue>);
                    *this == other_repr.value
                }
                TextRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_rendering::SpecifiedValue>);
                    *this == other_repr.value
                }
                TextTransform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextTransform>);
                    *this == other_repr.value
                }
                TextUnderlinePosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextUnderlinePosition>);
                    *this == other_repr.value
                }
                TouchAction(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TouchAction>);
                    *this == other_repr.value
                }
                TransformBox(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::transform_box::SpecifiedValue>);
                    *this == other_repr.value
                }
                TransformStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TransformStyle>);
                    *this == other_repr.value
                }
                UnicodeBidi(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::unicode_bidi::SpecifiedValue>);
                    *this == other_repr.value
                }
                UserSelect(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::UserSelect>);
                    *this == other_repr.value
                }
                VectorEffect(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::vector_effect::SpecifiedValue>);
                    *this == other_repr.value
                }
                Visibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::visibility::SpecifiedValue>);
                    *this == other_repr.value
                }
                WebkitLineClamp(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineClamp>);
                    *this == other_repr.value
                }
                WebkitTextSecurity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::_webkit_text_security::SpecifiedValue>);
                    *this == other_repr.value
                }
                WhiteSpace(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::white_space::SpecifiedValue>);
                    *this == other_repr.value
                }
                WordBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::WordBreak>);
                    *this == other_repr.value
                }
                WritingMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::writing_mode::SpecifiedValue>);
                    *this == other_repr.value
                }
                XTextScale(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::XTextScale>);
                    *this == other_repr.value
                }
                ZIndex(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ZIndex>);
                    *this == other_repr.value
                }
                Appearance(ref this) |
MozDefaultAppearance(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Appearance>);
                    *this == other_repr.value
                }
                MozForceBrokenImageIcon(ref this) |
MozSubtreeHiddenOnlyVisually(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BoolInteger>);
                    *this == other_repr.value
                }
                BreakAfter(ref this) |
BreakBefore(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BreakBetween>);
                    *this == other_repr.value
                }
                ClipRule(ref this) |
FillRule(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FillRule>);
                    *this == other_repr.value
                }
                OverflowClipBoxBlock(ref this) |
OverflowClipBoxInline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverflowClipBox>);
                    *this == other_repr.value
                }
                FillOpacity(ref this) |
StrokeOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGOpacity>);
                    *this == other_repr.value
                }
                FontSynthesisSmallCaps(ref this) |
FontSynthesisStyle(ref this) |
FontSynthesisWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontSynthesis>);
                    *this == other_repr.value
                }
                MozBoxOrdinalGroup(ref this) |
Order(ref this) |
XSpan(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Integer>);
                    *this == other_repr.value
                }
                FlexGrow(ref this) |
FlexShrink(ref this) |
MozBoxFlex(ref this) |
StrokeMiterlimit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeNumber>);
                    *this == other_repr.value
                }
                OverflowBlock(ref this) |
OverflowInline(ref this) |
OverflowX(ref this) |
OverflowY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Overflow>);
                    *this == other_repr.value
                }
                OverscrollBehaviorBlock(ref this) |
OverscrollBehaviorInline(ref this) |
OverscrollBehaviorX(ref this) |
OverscrollBehaviorY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverscrollBehavior>);
                    *this == other_repr.value
                }
                FloodOpacity(ref this) |
MozWindowOpacity(ref this) |
Opacity(ref this) |
ShapeImageThreshold(ref this) |
StopOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Opacity>);
                    *this == other_repr.value
                }
                BorderBlockEndStyle(ref this) |
BorderBlockStartStyle(ref this) |
BorderBottomStyle(ref this) |
BorderInlineEndStyle(ref this) |
BorderInlineStartStyle(ref this) |
BorderLeftStyle(ref this) |
BorderRightStyle(ref this) |
BorderTopStyle(ref this) |
ColumnRuleStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BorderStyle>);
                    *this == other_repr.value
                }
                AccentColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColorOrAuto>);
                    *this == other_repr.value
                }
                AlignTracks(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignTracks>);
                    *this == other_repr.value
                }
                AnimationComposition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_composition::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationDelay(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_delay::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_direction::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationDuration(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_duration::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationFillMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_fill_mode::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationIterationCount(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_iteration_count::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationName(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_name::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationPlayState(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_play_state::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationTimeline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_timeline::SpecifiedValue>);
                    *this == other_repr.value
                }
                AnimationTimingFunction(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::animation_timing_function::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackdropFilter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::backdrop_filter::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundAttachment(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_attachment::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundBlendMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_blend_mode::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundClip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_clip::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_image::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_origin::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_position_x::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_position_y::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_repeat::SpecifiedValue>);
                    *this == other_repr.value
                }
                BackgroundSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_size::SpecifiedValue>);
                    *this == other_repr.value
                }
                BorderImageOutset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::NonNegativeLengthOrNumberRect>>);
                    *this == other_repr.value
                }
                BorderImageSlice(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderImageSlice>>);
                    *this == other_repr.value
                }
                BorderImageWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderImageWidth>>);
                    *this == other_repr.value
                }
                BorderSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderSpacing>>);
                    *this == other_repr.value
                }
                BoxShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::box_shadow::SpecifiedValue>);
                    *this == other_repr.value
                }
                CaretColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::color::CaretColor>);
                    *this == other_repr.value
                }
                Clip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::ClipRectOrAuto>>);
                    *this == other_repr.value
                }
                ClipPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::basic_shape::ClipPath>);
                    *this == other_repr.value
                }
                Color(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColorPropertyValue>);
                    *this == other_repr.value
                }
                ColorScheme(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColorScheme>);
                    *this == other_repr.value
                }
                ColumnWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthOrAuto>);
                    *this == other_repr.value
                }
                ContainerName(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ContainerName>);
                    *this == other_repr.value
                }
                Content(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Content>);
                    *this == other_repr.value
                }
                CounterIncrement(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::CounterIncrement>);
                    *this == other_repr.value
                }
                CounterReset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::CounterReset>);
                    *this == other_repr.value
                }
                CounterSet(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::CounterSet>);
                    *this == other_repr.value
                }
                Cursor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Cursor>);
                    *this == other_repr.value
                }
                D(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::DProperty>);
                    *this == other_repr.value
                }
                Filter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::filter::SpecifiedValue>);
                    *this == other_repr.value
                }
                FlexBasis(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::FlexBasis>>);
                    *this == other_repr.value
                }
                FontFamily(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontFamily>);
                    *this == other_repr.value
                }
                FontFeatureSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontFeatureSettings>);
                    *this == other_repr.value
                }
                FontPalette(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontPalette>);
                    *this == other_repr.value
                }
                FontSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontSize>);
                    *this == other_repr.value
                }
                FontVariantAlternates(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantAlternates>);
                    *this == other_repr.value
                }
                FontVariationSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariationSettings>);
                    *this == other_repr.value
                }
                GridTemplateAreas(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateAreas>);
                    *this == other_repr.value
                }
                HyphenateCharacter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::HyphenateCharacter>);
                    *this == other_repr.value
                }
                JustifyTracks(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifyTracks>);
                    *this == other_repr.value
                }
                LetterSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LetterSpacing>);
                    *this == other_repr.value
                }
                LineHeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineHeight>);
                    *this == other_repr.value
                }
                ListStyleType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::ListStyleType>>);
                    *this == other_repr.value
                }
                MaskClip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_clip::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskComposite(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_composite::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_image::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_mode::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_origin::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_position_x::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_position_y::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_repeat::SpecifiedValue>);
                    *this == other_repr.value
                }
                MaskSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_size::SpecifiedValue>);
                    *this == other_repr.value
                }
                MozContextProperties(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MozContextProperties>);
                    *this == other_repr.value
                }
                MozFontSmoothingBackgroundColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::color::MozFontSmoothingBackgroundColor>);
                    *this == other_repr.value
                }
                OffsetAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::PositionOrAuto>>);
                    *this == other_repr.value
                }
                OffsetPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OffsetPath>);
                    *this == other_repr.value
                }
                OffsetPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::OffsetPosition>>);
                    *this == other_repr.value
                }
                Page(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::PageName>);
                    *this == other_repr.value
                }
                Perspective(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Perspective>);
                    *this == other_repr.value
                }
                Quotes(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Quotes>);
                    *this == other_repr.value
                }
                Rotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Rotate>>);
                    *this == other_repr.value
                }
                Scale(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Scale>>);
                    *this == other_repr.value
                }
                ScrollTimelineAxis(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::scroll_timeline_axis::SpecifiedValue>);
                    *this == other_repr.value
                }
                ScrollTimelineName(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::scroll_timeline_name::SpecifiedValue>);
                    *this == other_repr.value
                }
                ScrollbarColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::ui::ScrollbarColor>>);
                    *this == other_repr.value
                }
                ShapeOutside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::basic_shape::ShapeOutside>);
                    *this == other_repr.value
                }
                Size(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::PageSize>>);
                    *this == other_repr.value
                }
                StrokeDasharray(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGStrokeDashArray>);
                    *this == other_repr.value
                }
                StrokeDashoffset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGLength>);
                    *this == other_repr.value
                }
                StrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGWidth>);
                    *this == other_repr.value
                }
                TabSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthOrNumber>);
                    *this == other_repr.value
                }
                TextDecorationThickness(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextDecorationLength>);
                    *this == other_repr.value
                }
                TextEmphasisStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextEmphasisStyle>);
                    *this == other_repr.value
                }
                TextOverflow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::TextOverflow>>);
                    *this == other_repr.value
                }
                TextShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_shadow::SpecifiedValue>);
                    *this == other_repr.value
                }
                TransitionDelay(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::transition_delay::SpecifiedValue>);
                    *this == other_repr.value
                }
                TransitionDuration(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::transition_duration::SpecifiedValue>);
                    *this == other_repr.value
                }
                TransitionProperty(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::transition_property::SpecifiedValue>);
                    *this == other_repr.value
                }
                TransitionTimingFunction(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::transition_timing_function::SpecifiedValue>);
                    *this == other_repr.value
                }
                Translate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Translate>>);
                    *this == other_repr.value
                }
                VerticalAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::VerticalAlign>);
                    *this == other_repr.value
                }
                ViewTimelineAxis(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::view_timeline_axis::SpecifiedValue>);
                    *this == other_repr.value
                }
                ViewTimelineInset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::view_timeline_inset::SpecifiedValue>);
                    *this == other_repr.value
                }
                ViewTimelineName(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<longhands::view_timeline_name::SpecifiedValue>);
                    *this == other_repr.value
                }
                WebkitTextStrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineWidth>);
                    *this == other_repr.value
                }
                WillChange(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::WillChange>);
                    *this == other_repr.value
                }
                WordSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::WordSpacing>);
                    *this == other_repr.value
                }
                XLang(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::XLang>);
                    *this == other_repr.value
                }
                ObjectPosition(ref this) |
PerspectiveOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Position>>);
                    *this == other_repr.value
                }
                Fill(ref this) |
Stroke(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::SVGPaint>>);
                    *this == other_repr.value
                }
                MozWindowTransformOrigin(ref this) |
TransformOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::TransformOrigin>>);
                    *this == other_repr.value
                }
                GridTemplateColumns(ref this) |
GridTemplateRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateComponent>);
                    *this == other_repr.value
                }
                BorderImageSource(ref this) |
ListStyleImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Image>);
                    *this == other_repr.value
                }
                GridAutoColumns(ref this) |
GridAutoRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ImplicitGridTracks>);
                    *this == other_repr.value
                }
                MozWindowTransform(ref this) |
Transform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Transform>);
                    *this == other_repr.value
                }
                ColumnGap(ref this) |
RowGap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthPercentageOrNormal>);
                    *this == other_repr.value
                }
                MarkerEnd(ref this) |
MarkerMid(ref this) |
MarkerStart(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::url::UrlOrNone>);
                    *this == other_repr.value
                }
                ContainIntrinsicBlockSize(ref this) |
ContainIntrinsicHeight(ref this) |
ContainIntrinsicInlineSize(ref this) |
ContainIntrinsicWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ContainIntrinsicSize>);
                    *this == other_repr.value
                }
                GridColumnEnd(ref this) |
GridColumnStart(ref this) |
GridRowEnd(ref this) |
GridRowStart(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridLine>);
                    *this == other_repr.value
                }
                MaxBlockSize(ref this) |
MaxHeight(ref this) |
MaxInlineSize(ref this) |
MaxWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MaxSize>);
                    *this == other_repr.value
                }
                Cx(ref this) |
Cy(ref this) |
OffsetDistance(ref this) |
TextIndent(ref this) |
X(ref this) |
Y(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>);
                    *this == other_repr.value
                }
                BorderBottomLeftRadius(ref this) |
BorderBottomRightRadius(ref this) |
BorderEndEndRadius(ref this) |
BorderEndStartRadius(ref this) |
BorderStartEndRadius(ref this) |
BorderStartStartRadius(ref this) |
BorderTopLeftRadius(ref this) |
BorderTopRightRadius(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderCornerRadius>>);
                    *this == other_repr.value
                }
                BlockSize(ref this) |
Height(ref this) |
InlineSize(ref this) |
MinBlockSize(ref this) |
MinHeight(ref this) |
MinInlineSize(ref this) |
MinWidth(ref this) |
Width(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Size>);
                    *this == other_repr.value
                }
                BorderBlockEndWidth(ref this) |
BorderBlockStartWidth(ref this) |
BorderBottomWidth(ref this) |
BorderInlineEndWidth(ref this) |
BorderInlineStartWidth(ref this) |
BorderLeftWidth(ref this) |
BorderRightWidth(ref this) |
BorderTopWidth(ref this) |
ColumnRuleWidth(ref this) |
OutlineWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BorderSideWidth>);
                    *this == other_repr.value
                }
                PaddingBlockEnd(ref this) |
PaddingBlockStart(ref this) |
PaddingBottom(ref this) |
PaddingInlineEnd(ref this) |
PaddingInlineStart(ref this) |
PaddingLeft(ref this) |
PaddingRight(ref this) |
PaddingTop(ref this) |
R(ref this) |
ShapeMargin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentage>);
                    *this == other_repr.value
                }
                Rx(ref this) |
Ry(ref this) |
ScrollPaddingBlockEnd(ref this) |
ScrollPaddingBlockStart(ref this) |
ScrollPaddingBottom(ref this) |
ScrollPaddingInlineEnd(ref this) |
ScrollPaddingInlineStart(ref this) |
ScrollPaddingLeft(ref this) |
ScrollPaddingRight(ref this) |
ScrollPaddingTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentageOrAuto>);
                    *this == other_repr.value
                }
                MozWindowInputRegionMargin(ref this) |
OutlineOffset(ref this) |
OverflowClipMargin(ref this) |
ScrollMarginBlockEnd(ref this) |
ScrollMarginBlockStart(ref this) |
ScrollMarginBottom(ref this) |
ScrollMarginInlineEnd(ref this) |
ScrollMarginInlineStart(ref this) |
ScrollMarginLeft(ref this) |
ScrollMarginRight(ref this) |
ScrollMarginTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Length>);
                    *this == other_repr.value
                }
                Bottom(ref this) |
InsetBlockEnd(ref this) |
InsetBlockStart(ref this) |
InsetInlineEnd(ref this) |
InsetInlineStart(ref this) |
Left(ref this) |
MarginBlockEnd(ref this) |
MarginBlockStart(ref this) |
MarginBottom(ref this) |
MarginInlineEnd(ref this) |
MarginInlineStart(ref this) |
MarginLeft(ref this) |
MarginRight(ref this) |
MarginTop(ref this) |
Right(ref this) |
TextUnderlineOffset(ref this) |
Top(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>);
                    *this == other_repr.value
                }
                BackgroundColor(ref this) |
BorderBlockEndColor(ref this) |
BorderBlockStartColor(ref this) |
BorderBottomColor(ref this) |
BorderInlineEndColor(ref this) |
BorderInlineStartColor(ref this) |
BorderLeftColor(ref this) |
BorderRightColor(ref this) |
BorderTopColor(ref this) |
ColumnRuleColor(ref this) |
FloodColor(ref this) |
LightingColor(ref this) |
OutlineColor(ref this) |
StopColor(ref this) |
TextDecorationColor(ref this) |
TextEmphasisColor(ref this) |
WebkitTextFillColor(ref this) |
WebkitTextStrokeColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Color>);
                    *this == other_repr.value
                }
                CSSWideKeyword(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<WideKeywordDeclaration>);
                    *this == other_repr.value
                }
                WithVariables(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<VariableDeclaration>);
                    *this == other_repr.value
                }
                Custom(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const PropertyDeclarationVariantRepr<CustomDeclaration>);
                    *this == other_repr.value
                }
            }
        }
    }
}

impl MallocSizeOf for PropertyDeclaration {
    #[inline]
    fn size_of(&self, ops: &mut MallocSizeOfOps) -> usize {
        use self::PropertyDeclaration::*;

        match *self {
            AlignContent(ref value) => {
                value.size_of(ops)
            }
            AlignItems(ref value) => {
                value.size_of(ops)
            }
            AlignSelf(ref value) => {
                value.size_of(ops)
            }
            AspectRatio(ref value) => {
                value.size_of(ops)
            }
            BackfaceVisibility(ref value) => {
                value.size_of(ops)
            }
            BaselineSource(ref value) => {
                value.size_of(ops)
            }
            BorderCollapse(ref value) => {
                value.size_of(ops)
            }
            BorderImageRepeat(ref value) => {
                value.size_of(ops)
            }
            BoxDecorationBreak(ref value) => {
                value.size_of(ops)
            }
            BoxSizing(ref value) => {
                value.size_of(ops)
            }
            BreakInside(ref value) => {
                value.size_of(ops)
            }
            CaptionSide(ref value) => {
                value.size_of(ops)
            }
            Clear(ref value) => {
                value.size_of(ops)
            }
            ColorInterpolation(ref value) => {
                value.size_of(ops)
            }
            ColorInterpolationFilters(ref value) => {
                value.size_of(ops)
            }
            ColumnCount(ref value) => {
                value.size_of(ops)
            }
            ColumnFill(ref value) => {
                value.size_of(ops)
            }
            ColumnSpan(ref value) => {
                value.size_of(ops)
            }
            Contain(ref value) => {
                value.size_of(ops)
            }
            ContainerType(ref value) => {
                value.size_of(ops)
            }
            ContentVisibility(ref value) => {
                value.size_of(ops)
            }
            Direction(ref value) => {
                value.size_of(ops)
            }
            Display(ref value) => {
                value.size_of(ops)
            }
            DominantBaseline(ref value) => {
                value.size_of(ops)
            }
            EmptyCells(ref value) => {
                value.size_of(ops)
            }
            FlexDirection(ref value) => {
                value.size_of(ops)
            }
            FlexWrap(ref value) => {
                value.size_of(ops)
            }
            Float(ref value) => {
                value.size_of(ops)
            }
            FontKerning(ref value) => {
                value.size_of(ops)
            }
            FontLanguageOverride(ref value) => {
                value.size_of(ops)
            }
            FontOpticalSizing(ref value) => {
                value.size_of(ops)
            }
            FontSizeAdjust(ref value) => {
                value.size_of(ops)
            }
            FontStretch(ref value) => {
                value.size_of(ops)
            }
            FontStyle(ref value) => {
                value.size_of(ops)
            }
            FontVariantCaps(ref value) => {
                value.size_of(ops)
            }
            FontVariantEastAsian(ref value) => {
                value.size_of(ops)
            }
            FontVariantEmoji(ref value) => {
                value.size_of(ops)
            }
            FontVariantLigatures(ref value) => {
                value.size_of(ops)
            }
            FontVariantNumeric(ref value) => {
                value.size_of(ops)
            }
            FontVariantPosition(ref value) => {
                value.size_of(ops)
            }
            FontWeight(ref value) => {
                value.size_of(ops)
            }
            ForcedColorAdjust(ref value) => {
                value.size_of(ops)
            }
            GridAutoFlow(ref value) => {
                value.size_of(ops)
            }
            Hyphens(ref value) => {
                value.size_of(ops)
            }
            ImageOrientation(ref value) => {
                value.size_of(ops)
            }
            ImageRendering(ref value) => {
                value.size_of(ops)
            }
            ImeMode(ref value) => {
                value.size_of(ops)
            }
            InitialLetter(ref value) => {
                value.size_of(ops)
            }
            Isolation(ref value) => {
                value.size_of(ops)
            }
            JustifyContent(ref value) => {
                value.size_of(ops)
            }
            JustifyItems(ref value) => {
                value.size_of(ops)
            }
            JustifySelf(ref value) => {
                value.size_of(ops)
            }
            LineBreak(ref value) => {
                value.size_of(ops)
            }
            ListStylePosition(ref value) => {
                value.size_of(ops)
            }
            MaskType(ref value) => {
                value.size_of(ops)
            }
            MasonryAutoFlow(ref value) => {
                value.size_of(ops)
            }
            MathDepth(ref value) => {
                value.size_of(ops)
            }
            MathStyle(ref value) => {
                value.size_of(ops)
            }
            MixBlendMode(ref value) => {
                value.size_of(ops)
            }
            MozBoxAlign(ref value) => {
                value.size_of(ops)
            }
            MozBoxCollapse(ref value) => {
                value.size_of(ops)
            }
            MozBoxDirection(ref value) => {
                value.size_of(ops)
            }
            MozBoxOrient(ref value) => {
                value.size_of(ops)
            }
            MozBoxPack(ref value) => {
                value.size_of(ops)
            }
            MozControlCharacterVisibility(ref value) => {
                value.size_of(ops)
            }
            MozFloatEdge(ref value) => {
                value.size_of(ops)
            }
            MozInert(ref value) => {
                value.size_of(ops)
            }
            MozMathVariant(ref value) => {
                value.size_of(ops)
            }
            MozMinFontSizeRatio(ref value) => {
                value.size_of(ops)
            }
            MozOrient(ref value) => {
                value.size_of(ops)
            }
            MozOsxFontSmoothing(ref value) => {
                value.size_of(ops)
            }
            MozScriptMinSize(ref value) => {
                value.size_of(ops)
            }
            MozScriptSizeMultiplier(ref value) => {
                value.size_of(ops)
            }
            MozTextSizeAdjust(ref value) => {
                value.size_of(ops)
            }
            MozTopLayer(ref value) => {
                value.size_of(ops)
            }
            MozUserFocus(ref value) => {
                value.size_of(ops)
            }
            MozUserInput(ref value) => {
                value.size_of(ops)
            }
            MozUserModify(ref value) => {
                value.size_of(ops)
            }
            MozWindowDragging(ref value) => {
                value.size_of(ops)
            }
            MozWindowShadow(ref value) => {
                value.size_of(ops)
            }
            ObjectFit(ref value) => {
                value.size_of(ops)
            }
            OffsetRotate(ref value) => {
                value.size_of(ops)
            }
            OutlineStyle(ref value) => {
                value.size_of(ops)
            }
            OverflowAnchor(ref value) => {
                value.size_of(ops)
            }
            OverflowWrap(ref value) => {
                value.size_of(ops)
            }
            PageOrientation(ref value) => {
                value.size_of(ops)
            }
            PaintOrder(ref value) => {
                value.size_of(ops)
            }
            PointerEvents(ref value) => {
                value.size_of(ops)
            }
            Position(ref value) => {
                value.size_of(ops)
            }
            PrintColorAdjust(ref value) => {
                value.size_of(ops)
            }
            Resize(ref value) => {
                value.size_of(ops)
            }
            RubyAlign(ref value) => {
                value.size_of(ops)
            }
            RubyPosition(ref value) => {
                value.size_of(ops)
            }
            ScrollBehavior(ref value) => {
                value.size_of(ops)
            }
            ScrollSnapAlign(ref value) => {
                value.size_of(ops)
            }
            ScrollSnapStop(ref value) => {
                value.size_of(ops)
            }
            ScrollSnapType(ref value) => {
                value.size_of(ops)
            }
            ScrollbarGutter(ref value) => {
                value.size_of(ops)
            }
            ScrollbarWidth(ref value) => {
                value.size_of(ops)
            }
            ShapeRendering(ref value) => {
                value.size_of(ops)
            }
            StrokeLinecap(ref value) => {
                value.size_of(ops)
            }
            StrokeLinejoin(ref value) => {
                value.size_of(ops)
            }
            TableLayout(ref value) => {
                value.size_of(ops)
            }
            TextAlign(ref value) => {
                value.size_of(ops)
            }
            TextAlignLast(ref value) => {
                value.size_of(ops)
            }
            TextAnchor(ref value) => {
                value.size_of(ops)
            }
            TextCombineUpright(ref value) => {
                value.size_of(ops)
            }
            TextDecorationLine(ref value) => {
                value.size_of(ops)
            }
            TextDecorationSkipInk(ref value) => {
                value.size_of(ops)
            }
            TextDecorationStyle(ref value) => {
                value.size_of(ops)
            }
            TextEmphasisPosition(ref value) => {
                value.size_of(ops)
            }
            TextJustify(ref value) => {
                value.size_of(ops)
            }
            TextOrientation(ref value) => {
                value.size_of(ops)
            }
            TextRendering(ref value) => {
                value.size_of(ops)
            }
            TextTransform(ref value) => {
                value.size_of(ops)
            }
            TextUnderlinePosition(ref value) => {
                value.size_of(ops)
            }
            TouchAction(ref value) => {
                value.size_of(ops)
            }
            TransformBox(ref value) => {
                value.size_of(ops)
            }
            TransformStyle(ref value) => {
                value.size_of(ops)
            }
            UnicodeBidi(ref value) => {
                value.size_of(ops)
            }
            UserSelect(ref value) => {
                value.size_of(ops)
            }
            VectorEffect(ref value) => {
                value.size_of(ops)
            }
            Visibility(ref value) => {
                value.size_of(ops)
            }
            WebkitLineClamp(ref value) => {
                value.size_of(ops)
            }
            WebkitTextSecurity(ref value) => {
                value.size_of(ops)
            }
            WhiteSpace(ref value) => {
                value.size_of(ops)
            }
            WordBreak(ref value) => {
                value.size_of(ops)
            }
            WritingMode(ref value) => {
                value.size_of(ops)
            }
            XTextScale(ref value) => {
                value.size_of(ops)
            }
            ZIndex(ref value) => {
                value.size_of(ops)
            }
            Appearance(ref value) | MozDefaultAppearance(ref value) => {
                value.size_of(ops)
            }
            MozForceBrokenImageIcon(ref value) | MozSubtreeHiddenOnlyVisually(ref value) => {
                value.size_of(ops)
            }
            BreakAfter(ref value) | BreakBefore(ref value) => {
                value.size_of(ops)
            }
            ClipRule(ref value) | FillRule(ref value) => {
                value.size_of(ops)
            }
            OverflowClipBoxBlock(ref value) | OverflowClipBoxInline(ref value) => {
                value.size_of(ops)
            }
            FillOpacity(ref value) | StrokeOpacity(ref value) => {
                value.size_of(ops)
            }
            FontSynthesisSmallCaps(ref value) | FontSynthesisStyle(ref value) | FontSynthesisWeight(ref value) => {
                value.size_of(ops)
            }
            MozBoxOrdinalGroup(ref value) | Order(ref value) | XSpan(ref value) => {
                value.size_of(ops)
            }
            FlexGrow(ref value) | FlexShrink(ref value) | MozBoxFlex(ref value) | StrokeMiterlimit(ref value) => {
                value.size_of(ops)
            }
            OverflowBlock(ref value) | OverflowInline(ref value) | OverflowX(ref value) | OverflowY(ref value) => {
                value.size_of(ops)
            }
            OverscrollBehaviorBlock(ref value) | OverscrollBehaviorInline(ref value) | OverscrollBehaviorX(ref value) | OverscrollBehaviorY(ref value) => {
                value.size_of(ops)
            }
            FloodOpacity(ref value) | MozWindowOpacity(ref value) | Opacity(ref value) | ShapeImageThreshold(ref value) | StopOpacity(ref value) => {
                value.size_of(ops)
            }
            BorderBlockEndStyle(ref value) | BorderBlockStartStyle(ref value) | BorderBottomStyle(ref value) | BorderInlineEndStyle(ref value) | BorderInlineStartStyle(ref value) | BorderLeftStyle(ref value) | BorderRightStyle(ref value) | BorderTopStyle(ref value) | ColumnRuleStyle(ref value) => {
                value.size_of(ops)
            }
            AccentColor(ref value) => {
                value.size_of(ops)
            }
            AlignTracks(ref value) => {
                value.size_of(ops)
            }
            AnimationComposition(ref value) => {
                value.size_of(ops)
            }
            AnimationDelay(ref value) => {
                value.size_of(ops)
            }
            AnimationDirection(ref value) => {
                value.size_of(ops)
            }
            AnimationDuration(ref value) => {
                value.size_of(ops)
            }
            AnimationFillMode(ref value) => {
                value.size_of(ops)
            }
            AnimationIterationCount(ref value) => {
                value.size_of(ops)
            }
            AnimationName(ref value) => {
                value.size_of(ops)
            }
            AnimationPlayState(ref value) => {
                value.size_of(ops)
            }
            AnimationTimeline(ref value) => {
                value.size_of(ops)
            }
            AnimationTimingFunction(ref value) => {
                value.size_of(ops)
            }
            BackdropFilter(ref value) => {
                value.size_of(ops)
            }
            BackgroundAttachment(ref value) => {
                value.size_of(ops)
            }
            BackgroundBlendMode(ref value) => {
                value.size_of(ops)
            }
            BackgroundClip(ref value) => {
                value.size_of(ops)
            }
            BackgroundImage(ref value) => {
                value.size_of(ops)
            }
            BackgroundOrigin(ref value) => {
                value.size_of(ops)
            }
            BackgroundPositionX(ref value) => {
                value.size_of(ops)
            }
            BackgroundPositionY(ref value) => {
                value.size_of(ops)
            }
            BackgroundRepeat(ref value) => {
                value.size_of(ops)
            }
            BackgroundSize(ref value) => {
                value.size_of(ops)
            }
            BorderImageOutset(ref value) => {
                value.size_of(ops)
            }
            BorderImageSlice(ref value) => {
                value.size_of(ops)
            }
            BorderImageWidth(ref value) => {
                value.size_of(ops)
            }
            BorderSpacing(ref value) => {
                value.size_of(ops)
            }
            BoxShadow(ref value) => {
                value.size_of(ops)
            }
            CaretColor(ref value) => {
                value.size_of(ops)
            }
            Clip(ref value) => {
                value.size_of(ops)
            }
            ClipPath(ref value) => {
                value.size_of(ops)
            }
            Color(ref value) => {
                value.size_of(ops)
            }
            ColorScheme(ref value) => {
                value.size_of(ops)
            }
            ColumnWidth(ref value) => {
                value.size_of(ops)
            }
            ContainerName(ref value) => {
                value.size_of(ops)
            }
            Content(ref value) => {
                value.size_of(ops)
            }
            CounterIncrement(ref value) => {
                value.size_of(ops)
            }
            CounterReset(ref value) => {
                value.size_of(ops)
            }
            CounterSet(ref value) => {
                value.size_of(ops)
            }
            Cursor(ref value) => {
                value.size_of(ops)
            }
            D(ref value) => {
                value.size_of(ops)
            }
            Filter(ref value) => {
                value.size_of(ops)
            }
            FlexBasis(ref value) => {
                value.size_of(ops)
            }
            FontFamily(ref value) => {
                value.size_of(ops)
            }
            FontFeatureSettings(ref value) => {
                value.size_of(ops)
            }
            FontPalette(ref value) => {
                value.size_of(ops)
            }
            FontSize(ref value) => {
                value.size_of(ops)
            }
            FontVariantAlternates(ref value) => {
                value.size_of(ops)
            }
            FontVariationSettings(ref value) => {
                value.size_of(ops)
            }
            GridTemplateAreas(ref value) => {
                value.size_of(ops)
            }
            HyphenateCharacter(ref value) => {
                value.size_of(ops)
            }
            JustifyTracks(ref value) => {
                value.size_of(ops)
            }
            LetterSpacing(ref value) => {
                value.size_of(ops)
            }
            LineHeight(ref value) => {
                value.size_of(ops)
            }
            ListStyleType(ref value) => {
                value.size_of(ops)
            }
            MaskClip(ref value) => {
                value.size_of(ops)
            }
            MaskComposite(ref value) => {
                value.size_of(ops)
            }
            MaskImage(ref value) => {
                value.size_of(ops)
            }
            MaskMode(ref value) => {
                value.size_of(ops)
            }
            MaskOrigin(ref value) => {
                value.size_of(ops)
            }
            MaskPositionX(ref value) => {
                value.size_of(ops)
            }
            MaskPositionY(ref value) => {
                value.size_of(ops)
            }
            MaskRepeat(ref value) => {
                value.size_of(ops)
            }
            MaskSize(ref value) => {
                value.size_of(ops)
            }
            MozContextProperties(ref value) => {
                value.size_of(ops)
            }
            MozFontSmoothingBackgroundColor(ref value) => {
                value.size_of(ops)
            }
            OffsetAnchor(ref value) => {
                value.size_of(ops)
            }
            OffsetPath(ref value) => {
                value.size_of(ops)
            }
            OffsetPosition(ref value) => {
                value.size_of(ops)
            }
            Page(ref value) => {
                value.size_of(ops)
            }
            Perspective(ref value) => {
                value.size_of(ops)
            }
            Quotes(ref value) => {
                value.size_of(ops)
            }
            Rotate(ref value) => {
                value.size_of(ops)
            }
            Scale(ref value) => {
                value.size_of(ops)
            }
            ScrollTimelineAxis(ref value) => {
                value.size_of(ops)
            }
            ScrollTimelineName(ref value) => {
                value.size_of(ops)
            }
            ScrollbarColor(ref value) => {
                value.size_of(ops)
            }
            ShapeOutside(ref value) => {
                value.size_of(ops)
            }
            Size(ref value) => {
                value.size_of(ops)
            }
            StrokeDasharray(ref value) => {
                value.size_of(ops)
            }
            StrokeDashoffset(ref value) => {
                value.size_of(ops)
            }
            StrokeWidth(ref value) => {
                value.size_of(ops)
            }
            TabSize(ref value) => {
                value.size_of(ops)
            }
            TextDecorationThickness(ref value) => {
                value.size_of(ops)
            }
            TextEmphasisStyle(ref value) => {
                value.size_of(ops)
            }
            TextOverflow(ref value) => {
                value.size_of(ops)
            }
            TextShadow(ref value) => {
                value.size_of(ops)
            }
            TransitionDelay(ref value) => {
                value.size_of(ops)
            }
            TransitionDuration(ref value) => {
                value.size_of(ops)
            }
            TransitionProperty(ref value) => {
                value.size_of(ops)
            }
            TransitionTimingFunction(ref value) => {
                value.size_of(ops)
            }
            Translate(ref value) => {
                value.size_of(ops)
            }
            VerticalAlign(ref value) => {
                value.size_of(ops)
            }
            ViewTimelineAxis(ref value) => {
                value.size_of(ops)
            }
            ViewTimelineInset(ref value) => {
                value.size_of(ops)
            }
            ViewTimelineName(ref value) => {
                value.size_of(ops)
            }
            WebkitTextStrokeWidth(ref value) => {
                value.size_of(ops)
            }
            WillChange(ref value) => {
                value.size_of(ops)
            }
            WordSpacing(ref value) => {
                value.size_of(ops)
            }
            XLang(ref value) => {
                value.size_of(ops)
            }
            ObjectPosition(ref value) | PerspectiveOrigin(ref value) => {
                value.size_of(ops)
            }
            Fill(ref value) | Stroke(ref value) => {
                value.size_of(ops)
            }
            MozWindowTransformOrigin(ref value) | TransformOrigin(ref value) => {
                value.size_of(ops)
            }
            GridTemplateColumns(ref value) | GridTemplateRows(ref value) => {
                value.size_of(ops)
            }
            BorderImageSource(ref value) | ListStyleImage(ref value) => {
                value.size_of(ops)
            }
            GridAutoColumns(ref value) | GridAutoRows(ref value) => {
                value.size_of(ops)
            }
            MozWindowTransform(ref value) | Transform(ref value) => {
                value.size_of(ops)
            }
            ColumnGap(ref value) | RowGap(ref value) => {
                value.size_of(ops)
            }
            MarkerEnd(ref value) | MarkerMid(ref value) | MarkerStart(ref value) => {
                value.size_of(ops)
            }
            ContainIntrinsicBlockSize(ref value) | ContainIntrinsicHeight(ref value) | ContainIntrinsicInlineSize(ref value) | ContainIntrinsicWidth(ref value) => {
                value.size_of(ops)
            }
            GridColumnEnd(ref value) | GridColumnStart(ref value) | GridRowEnd(ref value) | GridRowStart(ref value) => {
                value.size_of(ops)
            }
            MaxBlockSize(ref value) | MaxHeight(ref value) | MaxInlineSize(ref value) | MaxWidth(ref value) => {
                value.size_of(ops)
            }
            Cx(ref value) | Cy(ref value) | OffsetDistance(ref value) | TextIndent(ref value) | X(ref value) | Y(ref value) => {
                value.size_of(ops)
            }
            BorderBottomLeftRadius(ref value) | BorderBottomRightRadius(ref value) | BorderEndEndRadius(ref value) | BorderEndStartRadius(ref value) | BorderStartEndRadius(ref value) | BorderStartStartRadius(ref value) | BorderTopLeftRadius(ref value) | BorderTopRightRadius(ref value) => {
                value.size_of(ops)
            }
            BlockSize(ref value) | Height(ref value) | InlineSize(ref value) | MinBlockSize(ref value) | MinHeight(ref value) | MinInlineSize(ref value) | MinWidth(ref value) | Width(ref value) => {
                value.size_of(ops)
            }
            BorderBlockEndWidth(ref value) | BorderBlockStartWidth(ref value) | BorderBottomWidth(ref value) | BorderInlineEndWidth(ref value) | BorderInlineStartWidth(ref value) | BorderLeftWidth(ref value) | BorderRightWidth(ref value) | BorderTopWidth(ref value) | ColumnRuleWidth(ref value) | OutlineWidth(ref value) => {
                value.size_of(ops)
            }
            PaddingBlockEnd(ref value) | PaddingBlockStart(ref value) | PaddingBottom(ref value) | PaddingInlineEnd(ref value) | PaddingInlineStart(ref value) | PaddingLeft(ref value) | PaddingRight(ref value) | PaddingTop(ref value) | R(ref value) | ShapeMargin(ref value) => {
                value.size_of(ops)
            }
            Rx(ref value) | Ry(ref value) | ScrollPaddingBlockEnd(ref value) | ScrollPaddingBlockStart(ref value) | ScrollPaddingBottom(ref value) | ScrollPaddingInlineEnd(ref value) | ScrollPaddingInlineStart(ref value) | ScrollPaddingLeft(ref value) | ScrollPaddingRight(ref value) | ScrollPaddingTop(ref value) => {
                value.size_of(ops)
            }
            MozWindowInputRegionMargin(ref value) | OutlineOffset(ref value) | OverflowClipMargin(ref value) | ScrollMarginBlockEnd(ref value) | ScrollMarginBlockStart(ref value) | ScrollMarginBottom(ref value) | ScrollMarginInlineEnd(ref value) | ScrollMarginInlineStart(ref value) | ScrollMarginLeft(ref value) | ScrollMarginRight(ref value) | ScrollMarginTop(ref value) => {
                value.size_of(ops)
            }
            Bottom(ref value) | InsetBlockEnd(ref value) | InsetBlockStart(ref value) | InsetInlineEnd(ref value) | InsetInlineStart(ref value) | Left(ref value) | MarginBlockEnd(ref value) | MarginBlockStart(ref value) | MarginBottom(ref value) | MarginInlineEnd(ref value) | MarginInlineStart(ref value) | MarginLeft(ref value) | MarginRight(ref value) | MarginTop(ref value) | Right(ref value) | TextUnderlineOffset(ref value) | Top(ref value) => {
                value.size_of(ops)
            }
            BackgroundColor(ref value) | BorderBlockEndColor(ref value) | BorderBlockStartColor(ref value) | BorderBottomColor(ref value) | BorderInlineEndColor(ref value) | BorderInlineStartColor(ref value) | BorderLeftColor(ref value) | BorderRightColor(ref value) | BorderTopColor(ref value) | ColumnRuleColor(ref value) | FloodColor(ref value) | LightingColor(ref value) | OutlineColor(ref value) | StopColor(ref value) | TextDecorationColor(ref value) | TextEmphasisColor(ref value) | WebkitTextFillColor(ref value) | WebkitTextStrokeColor(ref value) => {
                value.size_of(ops)
            }
            CSSWideKeyword(ref value) => {
                value.size_of(ops)
            }
            WithVariables(ref value) => {
                value.size_of(ops)
            }
            Custom(ref value) => {
                value.size_of(ops)
            }
        }
    }
}


impl PropertyDeclaration {
    /// Returns whether this is a variant of the Longhand(Value) type, rather
    /// than one of the special variants in extra_variants.
    fn is_longhand_value(&self) -> bool {
        match *self {
            PropertyDeclaration::CSSWideKeyword(..) => false,
            PropertyDeclaration::WithVariables(..) => false,
            PropertyDeclaration::Custom(..) => false,
            _ => true,
        }
    }

    /// Like the method on ToCss, but without the type parameter to avoid
    /// accidentally monomorphizing this large function multiple times for
    /// different writers.
    pub fn to_css(&self, dest: &mut CssStringWriter) -> fmt::Result {
        use self::PropertyDeclaration::*;

        let mut dest = CssWriter::new(dest);
        match *self {
            AlignContent(ref value) => {
                value.to_css(&mut dest)
            }
            AlignItems(ref value) => {
                value.to_css(&mut dest)
            }
            AlignSelf(ref value) => {
                value.to_css(&mut dest)
            }
            AspectRatio(ref value) => {
                value.to_css(&mut dest)
            }
            BackfaceVisibility(ref value) => {
                value.to_css(&mut dest)
            }
            BaselineSource(ref value) => {
                value.to_css(&mut dest)
            }
            BorderCollapse(ref value) => {
                value.to_css(&mut dest)
            }
            BorderImageRepeat(ref value) => {
                value.to_css(&mut dest)
            }
            BoxDecorationBreak(ref value) => {
                value.to_css(&mut dest)
            }
            BoxSizing(ref value) => {
                value.to_css(&mut dest)
            }
            BreakInside(ref value) => {
                value.to_css(&mut dest)
            }
            CaptionSide(ref value) => {
                value.to_css(&mut dest)
            }
            Clear(ref value) => {
                value.to_css(&mut dest)
            }
            ColorInterpolation(ref value) => {
                value.to_css(&mut dest)
            }
            ColorInterpolationFilters(ref value) => {
                value.to_css(&mut dest)
            }
            ColumnCount(ref value) => {
                value.to_css(&mut dest)
            }
            ColumnFill(ref value) => {
                value.to_css(&mut dest)
            }
            ColumnSpan(ref value) => {
                value.to_css(&mut dest)
            }
            Contain(ref value) => {
                value.to_css(&mut dest)
            }
            ContainerType(ref value) => {
                value.to_css(&mut dest)
            }
            ContentVisibility(ref value) => {
                value.to_css(&mut dest)
            }
            Direction(ref value) => {
                value.to_css(&mut dest)
            }
            Display(ref value) => {
                value.to_css(&mut dest)
            }
            DominantBaseline(ref value) => {
                value.to_css(&mut dest)
            }
            EmptyCells(ref value) => {
                value.to_css(&mut dest)
            }
            FlexDirection(ref value) => {
                value.to_css(&mut dest)
            }
            FlexWrap(ref value) => {
                value.to_css(&mut dest)
            }
            Float(ref value) => {
                value.to_css(&mut dest)
            }
            FontKerning(ref value) => {
                value.to_css(&mut dest)
            }
            FontLanguageOverride(ref value) => {
                value.to_css(&mut dest)
            }
            FontOpticalSizing(ref value) => {
                value.to_css(&mut dest)
            }
            FontSizeAdjust(ref value) => {
                value.to_css(&mut dest)
            }
            FontStretch(ref value) => {
                value.to_css(&mut dest)
            }
            FontStyle(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantCaps(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantEastAsian(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantEmoji(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantLigatures(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantNumeric(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantPosition(ref value) => {
                value.to_css(&mut dest)
            }
            FontWeight(ref value) => {
                value.to_css(&mut dest)
            }
            ForcedColorAdjust(ref value) => {
                value.to_css(&mut dest)
            }
            GridAutoFlow(ref value) => {
                value.to_css(&mut dest)
            }
            Hyphens(ref value) => {
                value.to_css(&mut dest)
            }
            ImageOrientation(ref value) => {
                value.to_css(&mut dest)
            }
            ImageRendering(ref value) => {
                value.to_css(&mut dest)
            }
            ImeMode(ref value) => {
                value.to_css(&mut dest)
            }
            InitialLetter(ref value) => {
                value.to_css(&mut dest)
            }
            Isolation(ref value) => {
                value.to_css(&mut dest)
            }
            JustifyContent(ref value) => {
                value.to_css(&mut dest)
            }
            JustifyItems(ref value) => {
                value.to_css(&mut dest)
            }
            JustifySelf(ref value) => {
                value.to_css(&mut dest)
            }
            LineBreak(ref value) => {
                value.to_css(&mut dest)
            }
            ListStylePosition(ref value) => {
                value.to_css(&mut dest)
            }
            MaskType(ref value) => {
                value.to_css(&mut dest)
            }
            MasonryAutoFlow(ref value) => {
                value.to_css(&mut dest)
            }
            MathDepth(ref value) => {
                value.to_css(&mut dest)
            }
            MathStyle(ref value) => {
                value.to_css(&mut dest)
            }
            MixBlendMode(ref value) => {
                value.to_css(&mut dest)
            }
            MozBoxAlign(ref value) => {
                value.to_css(&mut dest)
            }
            MozBoxCollapse(ref value) => {
                value.to_css(&mut dest)
            }
            MozBoxDirection(ref value) => {
                value.to_css(&mut dest)
            }
            MozBoxOrient(ref value) => {
                value.to_css(&mut dest)
            }
            MozBoxPack(ref value) => {
                value.to_css(&mut dest)
            }
            MozControlCharacterVisibility(ref value) => {
                value.to_css(&mut dest)
            }
            MozFloatEdge(ref value) => {
                value.to_css(&mut dest)
            }
            MozInert(ref value) => {
                value.to_css(&mut dest)
            }
            MozMathVariant(ref value) => {
                value.to_css(&mut dest)
            }
            MozMinFontSizeRatio(ref value) => {
                value.to_css(&mut dest)
            }
            MozOrient(ref value) => {
                value.to_css(&mut dest)
            }
            MozOsxFontSmoothing(ref value) => {
                value.to_css(&mut dest)
            }
            MozScriptMinSize(ref value) => {
                value.to_css(&mut dest)
            }
            MozScriptSizeMultiplier(ref value) => {
                value.to_css(&mut dest)
            }
            MozTextSizeAdjust(ref value) => {
                value.to_css(&mut dest)
            }
            MozTopLayer(ref value) => {
                value.to_css(&mut dest)
            }
            MozUserFocus(ref value) => {
                value.to_css(&mut dest)
            }
            MozUserInput(ref value) => {
                value.to_css(&mut dest)
            }
            MozUserModify(ref value) => {
                value.to_css(&mut dest)
            }
            MozWindowDragging(ref value) => {
                value.to_css(&mut dest)
            }
            MozWindowShadow(ref value) => {
                value.to_css(&mut dest)
            }
            ObjectFit(ref value) => {
                value.to_css(&mut dest)
            }
            OffsetRotate(ref value) => {
                value.to_css(&mut dest)
            }
            OutlineStyle(ref value) => {
                value.to_css(&mut dest)
            }
            OverflowAnchor(ref value) => {
                value.to_css(&mut dest)
            }
            OverflowWrap(ref value) => {
                value.to_css(&mut dest)
            }
            PageOrientation(ref value) => {
                value.to_css(&mut dest)
            }
            PaintOrder(ref value) => {
                value.to_css(&mut dest)
            }
            PointerEvents(ref value) => {
                value.to_css(&mut dest)
            }
            Position(ref value) => {
                value.to_css(&mut dest)
            }
            PrintColorAdjust(ref value) => {
                value.to_css(&mut dest)
            }
            Resize(ref value) => {
                value.to_css(&mut dest)
            }
            RubyAlign(ref value) => {
                value.to_css(&mut dest)
            }
            RubyPosition(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollBehavior(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollSnapAlign(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollSnapStop(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollSnapType(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollbarGutter(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollbarWidth(ref value) => {
                value.to_css(&mut dest)
            }
            ShapeRendering(ref value) => {
                value.to_css(&mut dest)
            }
            StrokeLinecap(ref value) => {
                value.to_css(&mut dest)
            }
            StrokeLinejoin(ref value) => {
                value.to_css(&mut dest)
            }
            TableLayout(ref value) => {
                value.to_css(&mut dest)
            }
            TextAlign(ref value) => {
                value.to_css(&mut dest)
            }
            TextAlignLast(ref value) => {
                value.to_css(&mut dest)
            }
            TextAnchor(ref value) => {
                value.to_css(&mut dest)
            }
            TextCombineUpright(ref value) => {
                value.to_css(&mut dest)
            }
            TextDecorationLine(ref value) => {
                value.to_css(&mut dest)
            }
            TextDecorationSkipInk(ref value) => {
                value.to_css(&mut dest)
            }
            TextDecorationStyle(ref value) => {
                value.to_css(&mut dest)
            }
            TextEmphasisPosition(ref value) => {
                value.to_css(&mut dest)
            }
            TextJustify(ref value) => {
                value.to_css(&mut dest)
            }
            TextOrientation(ref value) => {
                value.to_css(&mut dest)
            }
            TextRendering(ref value) => {
                value.to_css(&mut dest)
            }
            TextTransform(ref value) => {
                value.to_css(&mut dest)
            }
            TextUnderlinePosition(ref value) => {
                value.to_css(&mut dest)
            }
            TouchAction(ref value) => {
                value.to_css(&mut dest)
            }
            TransformBox(ref value) => {
                value.to_css(&mut dest)
            }
            TransformStyle(ref value) => {
                value.to_css(&mut dest)
            }
            UnicodeBidi(ref value) => {
                value.to_css(&mut dest)
            }
            UserSelect(ref value) => {
                value.to_css(&mut dest)
            }
            VectorEffect(ref value) => {
                value.to_css(&mut dest)
            }
            Visibility(ref value) => {
                value.to_css(&mut dest)
            }
            WebkitLineClamp(ref value) => {
                value.to_css(&mut dest)
            }
            WebkitTextSecurity(ref value) => {
                value.to_css(&mut dest)
            }
            WhiteSpace(ref value) => {
                value.to_css(&mut dest)
            }
            WordBreak(ref value) => {
                value.to_css(&mut dest)
            }
            WritingMode(ref value) => {
                value.to_css(&mut dest)
            }
            XTextScale(ref value) => {
                value.to_css(&mut dest)
            }
            ZIndex(ref value) => {
                value.to_css(&mut dest)
            }
            Appearance(ref value) | MozDefaultAppearance(ref value) => {
                value.to_css(&mut dest)
            }
            MozForceBrokenImageIcon(ref value) | MozSubtreeHiddenOnlyVisually(ref value) => {
                value.to_css(&mut dest)
            }
            BreakAfter(ref value) | BreakBefore(ref value) => {
                value.to_css(&mut dest)
            }
            ClipRule(ref value) | FillRule(ref value) => {
                value.to_css(&mut dest)
            }
            OverflowClipBoxBlock(ref value) | OverflowClipBoxInline(ref value) => {
                value.to_css(&mut dest)
            }
            FillOpacity(ref value) | StrokeOpacity(ref value) => {
                value.to_css(&mut dest)
            }
            FontSynthesisSmallCaps(ref value) | FontSynthesisStyle(ref value) | FontSynthesisWeight(ref value) => {
                value.to_css(&mut dest)
            }
            MozBoxOrdinalGroup(ref value) | Order(ref value) | XSpan(ref value) => {
                value.to_css(&mut dest)
            }
            FlexGrow(ref value) | FlexShrink(ref value) | MozBoxFlex(ref value) | StrokeMiterlimit(ref value) => {
                value.to_css(&mut dest)
            }
            OverflowBlock(ref value) | OverflowInline(ref value) | OverflowX(ref value) | OverflowY(ref value) => {
                value.to_css(&mut dest)
            }
            OverscrollBehaviorBlock(ref value) | OverscrollBehaviorInline(ref value) | OverscrollBehaviorX(ref value) | OverscrollBehaviorY(ref value) => {
                value.to_css(&mut dest)
            }
            FloodOpacity(ref value) | MozWindowOpacity(ref value) | Opacity(ref value) | ShapeImageThreshold(ref value) | StopOpacity(ref value) => {
                value.to_css(&mut dest)
            }
            BorderBlockEndStyle(ref value) | BorderBlockStartStyle(ref value) | BorderBottomStyle(ref value) | BorderInlineEndStyle(ref value) | BorderInlineStartStyle(ref value) | BorderLeftStyle(ref value) | BorderRightStyle(ref value) | BorderTopStyle(ref value) | ColumnRuleStyle(ref value) => {
                value.to_css(&mut dest)
            }
            AccentColor(ref value) => {
                value.to_css(&mut dest)
            }
            AlignTracks(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationComposition(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationDelay(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationDirection(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationDuration(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationFillMode(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationIterationCount(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationName(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationPlayState(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationTimeline(ref value) => {
                value.to_css(&mut dest)
            }
            AnimationTimingFunction(ref value) => {
                value.to_css(&mut dest)
            }
            BackdropFilter(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundAttachment(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundBlendMode(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundClip(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundImage(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundOrigin(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundPositionX(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundPositionY(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundRepeat(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundSize(ref value) => {
                value.to_css(&mut dest)
            }
            BorderImageOutset(ref value) => {
                value.to_css(&mut dest)
            }
            BorderImageSlice(ref value) => {
                value.to_css(&mut dest)
            }
            BorderImageWidth(ref value) => {
                value.to_css(&mut dest)
            }
            BorderSpacing(ref value) => {
                value.to_css(&mut dest)
            }
            BoxShadow(ref value) => {
                value.to_css(&mut dest)
            }
            CaretColor(ref value) => {
                value.to_css(&mut dest)
            }
            Clip(ref value) => {
                value.to_css(&mut dest)
            }
            ClipPath(ref value) => {
                value.to_css(&mut dest)
            }
            Color(ref value) => {
                value.to_css(&mut dest)
            }
            ColorScheme(ref value) => {
                value.to_css(&mut dest)
            }
            ColumnWidth(ref value) => {
                value.to_css(&mut dest)
            }
            ContainerName(ref value) => {
                value.to_css(&mut dest)
            }
            Content(ref value) => {
                value.to_css(&mut dest)
            }
            CounterIncrement(ref value) => {
                value.to_css(&mut dest)
            }
            CounterReset(ref value) => {
                value.to_css(&mut dest)
            }
            CounterSet(ref value) => {
                value.to_css(&mut dest)
            }
            Cursor(ref value) => {
                value.to_css(&mut dest)
            }
            D(ref value) => {
                value.to_css(&mut dest)
            }
            Filter(ref value) => {
                value.to_css(&mut dest)
            }
            FlexBasis(ref value) => {
                value.to_css(&mut dest)
            }
            FontFamily(ref value) => {
                value.to_css(&mut dest)
            }
            FontFeatureSettings(ref value) => {
                value.to_css(&mut dest)
            }
            FontPalette(ref value) => {
                value.to_css(&mut dest)
            }
            FontSize(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariantAlternates(ref value) => {
                value.to_css(&mut dest)
            }
            FontVariationSettings(ref value) => {
                value.to_css(&mut dest)
            }
            GridTemplateAreas(ref value) => {
                value.to_css(&mut dest)
            }
            HyphenateCharacter(ref value) => {
                value.to_css(&mut dest)
            }
            JustifyTracks(ref value) => {
                value.to_css(&mut dest)
            }
            LetterSpacing(ref value) => {
                value.to_css(&mut dest)
            }
            LineHeight(ref value) => {
                value.to_css(&mut dest)
            }
            ListStyleType(ref value) => {
                value.to_css(&mut dest)
            }
            MaskClip(ref value) => {
                value.to_css(&mut dest)
            }
            MaskComposite(ref value) => {
                value.to_css(&mut dest)
            }
            MaskImage(ref value) => {
                value.to_css(&mut dest)
            }
            MaskMode(ref value) => {
                value.to_css(&mut dest)
            }
            MaskOrigin(ref value) => {
                value.to_css(&mut dest)
            }
            MaskPositionX(ref value) => {
                value.to_css(&mut dest)
            }
            MaskPositionY(ref value) => {
                value.to_css(&mut dest)
            }
            MaskRepeat(ref value) => {
                value.to_css(&mut dest)
            }
            MaskSize(ref value) => {
                value.to_css(&mut dest)
            }
            MozContextProperties(ref value) => {
                value.to_css(&mut dest)
            }
            MozFontSmoothingBackgroundColor(ref value) => {
                value.to_css(&mut dest)
            }
            OffsetAnchor(ref value) => {
                value.to_css(&mut dest)
            }
            OffsetPath(ref value) => {
                value.to_css(&mut dest)
            }
            OffsetPosition(ref value) => {
                value.to_css(&mut dest)
            }
            Page(ref value) => {
                value.to_css(&mut dest)
            }
            Perspective(ref value) => {
                value.to_css(&mut dest)
            }
            Quotes(ref value) => {
                value.to_css(&mut dest)
            }
            Rotate(ref value) => {
                value.to_css(&mut dest)
            }
            Scale(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollTimelineAxis(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollTimelineName(ref value) => {
                value.to_css(&mut dest)
            }
            ScrollbarColor(ref value) => {
                value.to_css(&mut dest)
            }
            ShapeOutside(ref value) => {
                value.to_css(&mut dest)
            }
            Size(ref value) => {
                value.to_css(&mut dest)
            }
            StrokeDasharray(ref value) => {
                value.to_css(&mut dest)
            }
            StrokeDashoffset(ref value) => {
                value.to_css(&mut dest)
            }
            StrokeWidth(ref value) => {
                value.to_css(&mut dest)
            }
            TabSize(ref value) => {
                value.to_css(&mut dest)
            }
            TextDecorationThickness(ref value) => {
                value.to_css(&mut dest)
            }
            TextEmphasisStyle(ref value) => {
                value.to_css(&mut dest)
            }
            TextOverflow(ref value) => {
                value.to_css(&mut dest)
            }
            TextShadow(ref value) => {
                value.to_css(&mut dest)
            }
            TransitionDelay(ref value) => {
                value.to_css(&mut dest)
            }
            TransitionDuration(ref value) => {
                value.to_css(&mut dest)
            }
            TransitionProperty(ref value) => {
                value.to_css(&mut dest)
            }
            TransitionTimingFunction(ref value) => {
                value.to_css(&mut dest)
            }
            Translate(ref value) => {
                value.to_css(&mut dest)
            }
            VerticalAlign(ref value) => {
                value.to_css(&mut dest)
            }
            ViewTimelineAxis(ref value) => {
                value.to_css(&mut dest)
            }
            ViewTimelineInset(ref value) => {
                value.to_css(&mut dest)
            }
            ViewTimelineName(ref value) => {
                value.to_css(&mut dest)
            }
            WebkitTextStrokeWidth(ref value) => {
                value.to_css(&mut dest)
            }
            WillChange(ref value) => {
                value.to_css(&mut dest)
            }
            WordSpacing(ref value) => {
                value.to_css(&mut dest)
            }
            XLang(ref value) => {
                value.to_css(&mut dest)
            }
            ObjectPosition(ref value) | PerspectiveOrigin(ref value) => {
                value.to_css(&mut dest)
            }
            Fill(ref value) | Stroke(ref value) => {
                value.to_css(&mut dest)
            }
            MozWindowTransformOrigin(ref value) | TransformOrigin(ref value) => {
                value.to_css(&mut dest)
            }
            GridTemplateColumns(ref value) | GridTemplateRows(ref value) => {
                value.to_css(&mut dest)
            }
            BorderImageSource(ref value) | ListStyleImage(ref value) => {
                value.to_css(&mut dest)
            }
            GridAutoColumns(ref value) | GridAutoRows(ref value) => {
                value.to_css(&mut dest)
            }
            MozWindowTransform(ref value) | Transform(ref value) => {
                value.to_css(&mut dest)
            }
            ColumnGap(ref value) | RowGap(ref value) => {
                value.to_css(&mut dest)
            }
            MarkerEnd(ref value) | MarkerMid(ref value) | MarkerStart(ref value) => {
                value.to_css(&mut dest)
            }
            ContainIntrinsicBlockSize(ref value) | ContainIntrinsicHeight(ref value) | ContainIntrinsicInlineSize(ref value) | ContainIntrinsicWidth(ref value) => {
                value.to_css(&mut dest)
            }
            GridColumnEnd(ref value) | GridColumnStart(ref value) | GridRowEnd(ref value) | GridRowStart(ref value) => {
                value.to_css(&mut dest)
            }
            MaxBlockSize(ref value) | MaxHeight(ref value) | MaxInlineSize(ref value) | MaxWidth(ref value) => {
                value.to_css(&mut dest)
            }
            Cx(ref value) | Cy(ref value) | OffsetDistance(ref value) | TextIndent(ref value) | X(ref value) | Y(ref value) => {
                value.to_css(&mut dest)
            }
            BorderBottomLeftRadius(ref value) | BorderBottomRightRadius(ref value) | BorderEndEndRadius(ref value) | BorderEndStartRadius(ref value) | BorderStartEndRadius(ref value) | BorderStartStartRadius(ref value) | BorderTopLeftRadius(ref value) | BorderTopRightRadius(ref value) => {
                value.to_css(&mut dest)
            }
            BlockSize(ref value) | Height(ref value) | InlineSize(ref value) | MinBlockSize(ref value) | MinHeight(ref value) | MinInlineSize(ref value) | MinWidth(ref value) | Width(ref value) => {
                value.to_css(&mut dest)
            }
            BorderBlockEndWidth(ref value) | BorderBlockStartWidth(ref value) | BorderBottomWidth(ref value) | BorderInlineEndWidth(ref value) | BorderInlineStartWidth(ref value) | BorderLeftWidth(ref value) | BorderRightWidth(ref value) | BorderTopWidth(ref value) | ColumnRuleWidth(ref value) | OutlineWidth(ref value) => {
                value.to_css(&mut dest)
            }
            PaddingBlockEnd(ref value) | PaddingBlockStart(ref value) | PaddingBottom(ref value) | PaddingInlineEnd(ref value) | PaddingInlineStart(ref value) | PaddingLeft(ref value) | PaddingRight(ref value) | PaddingTop(ref value) | R(ref value) | ShapeMargin(ref value) => {
                value.to_css(&mut dest)
            }
            Rx(ref value) | Ry(ref value) | ScrollPaddingBlockEnd(ref value) | ScrollPaddingBlockStart(ref value) | ScrollPaddingBottom(ref value) | ScrollPaddingInlineEnd(ref value) | ScrollPaddingInlineStart(ref value) | ScrollPaddingLeft(ref value) | ScrollPaddingRight(ref value) | ScrollPaddingTop(ref value) => {
                value.to_css(&mut dest)
            }
            MozWindowInputRegionMargin(ref value) | OutlineOffset(ref value) | OverflowClipMargin(ref value) | ScrollMarginBlockEnd(ref value) | ScrollMarginBlockStart(ref value) | ScrollMarginBottom(ref value) | ScrollMarginInlineEnd(ref value) | ScrollMarginInlineStart(ref value) | ScrollMarginLeft(ref value) | ScrollMarginRight(ref value) | ScrollMarginTop(ref value) => {
                value.to_css(&mut dest)
            }
            Bottom(ref value) | InsetBlockEnd(ref value) | InsetBlockStart(ref value) | InsetInlineEnd(ref value) | InsetInlineStart(ref value) | Left(ref value) | MarginBlockEnd(ref value) | MarginBlockStart(ref value) | MarginBottom(ref value) | MarginInlineEnd(ref value) | MarginInlineStart(ref value) | MarginLeft(ref value) | MarginRight(ref value) | MarginTop(ref value) | Right(ref value) | TextUnderlineOffset(ref value) | Top(ref value) => {
                value.to_css(&mut dest)
            }
            BackgroundColor(ref value) | BorderBlockEndColor(ref value) | BorderBlockStartColor(ref value) | BorderBottomColor(ref value) | BorderInlineEndColor(ref value) | BorderInlineStartColor(ref value) | BorderLeftColor(ref value) | BorderRightColor(ref value) | BorderTopColor(ref value) | ColumnRuleColor(ref value) | FloodColor(ref value) | LightingColor(ref value) | OutlineColor(ref value) | StopColor(ref value) | TextDecorationColor(ref value) | TextEmphasisColor(ref value) | WebkitTextFillColor(ref value) | WebkitTextStrokeColor(ref value) => {
                value.to_css(&mut dest)
            }
            CSSWideKeyword(ref value) => {
                value.to_css(&mut dest)
            }
            WithVariables(ref value) => {
                value.to_css(&mut dest)
            }
            Custom(ref value) => {
                value.to_css(&mut dest)
            }
        }
    }

    /// Returns the color value of a given property, for high-contrast-mode
    /// tweaks.
    pub(super) fn color_value(&self) -> Option<&crate::values::specified::Color> {
        
static COLOR_PROPERTIES: LonghandIdSet = LonghandIdSet {
    
    storage: [0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3ffff]
};

        
        let id = self.id().as_longhand()?;
        if !COLOR_PROPERTIES.contains(id) || !self.is_longhand_value() {
            return None;
        }
        let repr = self as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Color>;
        Some(unsafe { &(*repr).value })
    }
}

/// A module with all the code related to animated properties.
///
/// This needs to be "included" by mako at least after all longhand modules,
/// given they populate the global data.
pub mod animated_properties {
    /* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */





#[cfg(feature = "gecko")] use crate::gecko_bindings::structs::nsCSSPropertyID;
use crate::properties::{CSSWideKeyword, PropertyDeclaration, NonCustomPropertyIterator};
use crate::properties::longhands;
use crate::properties::longhands::visibility::computed_value::T as Visibility;
use crate::properties::LonghandId;
use servo_arc::Arc;
use std::ptr;
use std::mem;
use fxhash::FxHashMap;
use super::ComputedValues;
use crate::values::animated::{Animate, Procedure, ToAnimatedValue, ToAnimatedZero};
use crate::values::animated::effects::AnimatedFilter;
#[cfg(feature = "gecko")] use crate::values::computed::TransitionProperty;
use crate::values::computed::{ClipRect, Context};
use crate::values::computed::ToComputedValue;
use crate::values::distance::{ComputeSquaredDistance, SquaredDistance};
use crate::values::generics::effects::Filter;
use void::{self, Void};

/// Convert nsCSSPropertyID to TransitionProperty
#[cfg(feature = "gecko")]
#[allow(non_upper_case_globals)]
impl From<nsCSSPropertyID> for TransitionProperty {
    fn from(property: nsCSSPropertyID) -> TransitionProperty {
        use crate::properties::ShorthandId;
        match property {
            nsCSSPropertyID::eCSSProperty_align_content => {
                TransitionProperty::Longhand(LonghandId::AlignContent)
            }
            nsCSSPropertyID::eCSSProperty_align_items => {
                TransitionProperty::Longhand(LonghandId::AlignItems)
            }
            nsCSSPropertyID::eCSSProperty_align_self => {
                TransitionProperty::Longhand(LonghandId::AlignSelf)
            }
            nsCSSPropertyID::eCSSProperty_aspect_ratio => {
                TransitionProperty::Longhand(LonghandId::AspectRatio)
            }
            nsCSSPropertyID::eCSSProperty_backface_visibility => {
                TransitionProperty::Longhand(LonghandId::BackfaceVisibility)
            }
            nsCSSPropertyID::eCSSProperty_baseline_source => {
                TransitionProperty::Longhand(LonghandId::BaselineSource)
            }
            nsCSSPropertyID::eCSSProperty_border_collapse => {
                TransitionProperty::Longhand(LonghandId::BorderCollapse)
            }
            nsCSSPropertyID::eCSSProperty_border_image_repeat => {
                TransitionProperty::Longhand(LonghandId::BorderImageRepeat)
            }
            nsCSSPropertyID::eCSSProperty_box_decoration_break => {
                TransitionProperty::Longhand(LonghandId::BoxDecorationBreak)
            }
            nsCSSPropertyID::eCSSProperty_box_sizing => {
                TransitionProperty::Longhand(LonghandId::BoxSizing)
            }
            nsCSSPropertyID::eCSSProperty_break_inside => {
                TransitionProperty::Longhand(LonghandId::BreakInside)
            }
            nsCSSPropertyID::eCSSProperty_caption_side => {
                TransitionProperty::Longhand(LonghandId::CaptionSide)
            }
            nsCSSPropertyID::eCSSProperty_clear => {
                TransitionProperty::Longhand(LonghandId::Clear)
            }
            nsCSSPropertyID::eCSSProperty_color_interpolation => {
                TransitionProperty::Longhand(LonghandId::ColorInterpolation)
            }
            nsCSSPropertyID::eCSSProperty_color_interpolation_filters => {
                TransitionProperty::Longhand(LonghandId::ColorInterpolationFilters)
            }
            nsCSSPropertyID::eCSSProperty_column_count => {
                TransitionProperty::Longhand(LonghandId::ColumnCount)
            }
            nsCSSPropertyID::eCSSProperty_column_fill => {
                TransitionProperty::Longhand(LonghandId::ColumnFill)
            }
            nsCSSPropertyID::eCSSProperty_column_span => {
                TransitionProperty::Longhand(LonghandId::ColumnSpan)
            }
            nsCSSPropertyID::eCSSProperty_contain => {
                TransitionProperty::Longhand(LonghandId::Contain)
            }
            nsCSSPropertyID::eCSSProperty_container_type => {
                TransitionProperty::Longhand(LonghandId::ContainerType)
            }
            nsCSSPropertyID::eCSSProperty_content_visibility => {
                TransitionProperty::Longhand(LonghandId::ContentVisibility)
            }
            nsCSSPropertyID::eCSSProperty_direction => {
                TransitionProperty::Longhand(LonghandId::Direction)
            }
            nsCSSPropertyID::eCSSProperty_display => {
                TransitionProperty::Longhand(LonghandId::Display)
            }
            nsCSSPropertyID::eCSSProperty_dominant_baseline => {
                TransitionProperty::Longhand(LonghandId::DominantBaseline)
            }
            nsCSSPropertyID::eCSSProperty_empty_cells => {
                TransitionProperty::Longhand(LonghandId::EmptyCells)
            }
            nsCSSPropertyID::eCSSProperty_flex_direction => {
                TransitionProperty::Longhand(LonghandId::FlexDirection)
            }
            nsCSSPropertyID::eCSSProperty_flex_wrap => {
                TransitionProperty::Longhand(LonghandId::FlexWrap)
            }
            nsCSSPropertyID::eCSSProperty_float => {
                TransitionProperty::Longhand(LonghandId::Float)
            }
            nsCSSPropertyID::eCSSProperty_font_kerning => {
                TransitionProperty::Longhand(LonghandId::FontKerning)
            }
            nsCSSPropertyID::eCSSProperty_font_language_override => {
                TransitionProperty::Longhand(LonghandId::FontLanguageOverride)
            }
            nsCSSPropertyID::eCSSProperty_font_optical_sizing => {
                TransitionProperty::Longhand(LonghandId::FontOpticalSizing)
            }
            nsCSSPropertyID::eCSSProperty_font_size_adjust => {
                TransitionProperty::Longhand(LonghandId::FontSizeAdjust)
            }
            nsCSSPropertyID::eCSSProperty_font_stretch => {
                TransitionProperty::Longhand(LonghandId::FontStretch)
            }
            nsCSSPropertyID::eCSSProperty_font_style => {
                TransitionProperty::Longhand(LonghandId::FontStyle)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_caps => {
                TransitionProperty::Longhand(LonghandId::FontVariantCaps)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_east_asian => {
                TransitionProperty::Longhand(LonghandId::FontVariantEastAsian)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_emoji => {
                TransitionProperty::Longhand(LonghandId::FontVariantEmoji)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_ligatures => {
                TransitionProperty::Longhand(LonghandId::FontVariantLigatures)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_numeric => {
                TransitionProperty::Longhand(LonghandId::FontVariantNumeric)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_position => {
                TransitionProperty::Longhand(LonghandId::FontVariantPosition)
            }
            nsCSSPropertyID::eCSSProperty_font_weight => {
                TransitionProperty::Longhand(LonghandId::FontWeight)
            }
            nsCSSPropertyID::eCSSProperty_forced_color_adjust => {
                TransitionProperty::Longhand(LonghandId::ForcedColorAdjust)
            }
            nsCSSPropertyID::eCSSProperty_grid_auto_flow => {
                TransitionProperty::Longhand(LonghandId::GridAutoFlow)
            }
            nsCSSPropertyID::eCSSProperty_hyphens => {
                TransitionProperty::Longhand(LonghandId::Hyphens)
            }
            nsCSSPropertyID::eCSSProperty_image_orientation => {
                TransitionProperty::Longhand(LonghandId::ImageOrientation)
            }
            nsCSSPropertyID::eCSSProperty_image_rendering => {
                TransitionProperty::Longhand(LonghandId::ImageRendering)
            }
            nsCSSPropertyID::eCSSProperty_ime_mode => {
                TransitionProperty::Longhand(LonghandId::ImeMode)
            }
            nsCSSPropertyID::eCSSProperty_initial_letter => {
                TransitionProperty::Longhand(LonghandId::InitialLetter)
            }
            nsCSSPropertyID::eCSSProperty_isolation => {
                TransitionProperty::Longhand(LonghandId::Isolation)
            }
            nsCSSPropertyID::eCSSProperty_justify_content => {
                TransitionProperty::Longhand(LonghandId::JustifyContent)
            }
            nsCSSPropertyID::eCSSProperty_justify_items => {
                TransitionProperty::Longhand(LonghandId::JustifyItems)
            }
            nsCSSPropertyID::eCSSProperty_justify_self => {
                TransitionProperty::Longhand(LonghandId::JustifySelf)
            }
            nsCSSPropertyID::eCSSProperty_line_break => {
                TransitionProperty::Longhand(LonghandId::LineBreak)
            }
            nsCSSPropertyID::eCSSProperty_list_style_position => {
                TransitionProperty::Longhand(LonghandId::ListStylePosition)
            }
            nsCSSPropertyID::eCSSProperty_mask_type => {
                TransitionProperty::Longhand(LonghandId::MaskType)
            }
            nsCSSPropertyID::eCSSProperty_masonry_auto_flow => {
                TransitionProperty::Longhand(LonghandId::MasonryAutoFlow)
            }
            nsCSSPropertyID::eCSSProperty_math_depth => {
                TransitionProperty::Longhand(LonghandId::MathDepth)
            }
            nsCSSPropertyID::eCSSProperty_math_style => {
                TransitionProperty::Longhand(LonghandId::MathStyle)
            }
            nsCSSPropertyID::eCSSProperty_mix_blend_mode => {
                TransitionProperty::Longhand(LonghandId::MixBlendMode)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_align => {
                TransitionProperty::Longhand(LonghandId::MozBoxAlign)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_collapse => {
                TransitionProperty::Longhand(LonghandId::MozBoxCollapse)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_direction => {
                TransitionProperty::Longhand(LonghandId::MozBoxDirection)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_orient => {
                TransitionProperty::Longhand(LonghandId::MozBoxOrient)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_pack => {
                TransitionProperty::Longhand(LonghandId::MozBoxPack)
            }
            nsCSSPropertyID::eCSSProperty__moz_control_character_visibility => {
                TransitionProperty::Longhand(LonghandId::MozControlCharacterVisibility)
            }
            nsCSSPropertyID::eCSSProperty__moz_float_edge => {
                TransitionProperty::Longhand(LonghandId::MozFloatEdge)
            }
            nsCSSPropertyID::eCSSProperty__moz_inert => {
                TransitionProperty::Longhand(LonghandId::MozInert)
            }
            nsCSSPropertyID::eCSSProperty__moz_math_variant => {
                TransitionProperty::Longhand(LonghandId::MozMathVariant)
            }
            nsCSSPropertyID::eCSSProperty__moz_min_font_size_ratio => {
                TransitionProperty::Longhand(LonghandId::MozMinFontSizeRatio)
            }
            nsCSSPropertyID::eCSSProperty__moz_orient => {
                TransitionProperty::Longhand(LonghandId::MozOrient)
            }
            nsCSSPropertyID::eCSSProperty__moz_osx_font_smoothing => {
                TransitionProperty::Longhand(LonghandId::MozOsxFontSmoothing)
            }
            nsCSSPropertyID::eCSSProperty__moz_script_min_size => {
                TransitionProperty::Longhand(LonghandId::MozScriptMinSize)
            }
            nsCSSPropertyID::eCSSProperty__moz_script_size_multiplier => {
                TransitionProperty::Longhand(LonghandId::MozScriptSizeMultiplier)
            }
            nsCSSPropertyID::eCSSProperty__moz_text_size_adjust => {
                TransitionProperty::Longhand(LonghandId::MozTextSizeAdjust)
            }
            nsCSSPropertyID::eCSSProperty__moz_top_layer => {
                TransitionProperty::Longhand(LonghandId::MozTopLayer)
            }
            nsCSSPropertyID::eCSSProperty__moz_user_focus => {
                TransitionProperty::Longhand(LonghandId::MozUserFocus)
            }
            nsCSSPropertyID::eCSSProperty__moz_user_input => {
                TransitionProperty::Longhand(LonghandId::MozUserInput)
            }
            nsCSSPropertyID::eCSSProperty__moz_user_modify => {
                TransitionProperty::Longhand(LonghandId::MozUserModify)
            }
            nsCSSPropertyID::eCSSProperty__moz_window_dragging => {
                TransitionProperty::Longhand(LonghandId::MozWindowDragging)
            }
            nsCSSPropertyID::eCSSProperty__moz_window_shadow => {
                TransitionProperty::Longhand(LonghandId::MozWindowShadow)
            }
            nsCSSPropertyID::eCSSProperty_object_fit => {
                TransitionProperty::Longhand(LonghandId::ObjectFit)
            }
            nsCSSPropertyID::eCSSProperty_offset_rotate => {
                TransitionProperty::Longhand(LonghandId::OffsetRotate)
            }
            nsCSSPropertyID::eCSSProperty_outline_style => {
                TransitionProperty::Longhand(LonghandId::OutlineStyle)
            }
            nsCSSPropertyID::eCSSProperty_overflow_anchor => {
                TransitionProperty::Longhand(LonghandId::OverflowAnchor)
            }
            nsCSSPropertyID::eCSSProperty_overflow_wrap => {
                TransitionProperty::Longhand(LonghandId::OverflowWrap)
            }
            nsCSSPropertyID::eCSSProperty_page_orientation => {
                TransitionProperty::Longhand(LonghandId::PageOrientation)
            }
            nsCSSPropertyID::eCSSProperty_paint_order => {
                TransitionProperty::Longhand(LonghandId::PaintOrder)
            }
            nsCSSPropertyID::eCSSProperty_pointer_events => {
                TransitionProperty::Longhand(LonghandId::PointerEvents)
            }
            nsCSSPropertyID::eCSSProperty_position => {
                TransitionProperty::Longhand(LonghandId::Position)
            }
            nsCSSPropertyID::eCSSProperty_print_color_adjust => {
                TransitionProperty::Longhand(LonghandId::PrintColorAdjust)
            }
            nsCSSPropertyID::eCSSProperty_resize => {
                TransitionProperty::Longhand(LonghandId::Resize)
            }
            nsCSSPropertyID::eCSSProperty_ruby_align => {
                TransitionProperty::Longhand(LonghandId::RubyAlign)
            }
            nsCSSPropertyID::eCSSProperty_ruby_position => {
                TransitionProperty::Longhand(LonghandId::RubyPosition)
            }
            nsCSSPropertyID::eCSSProperty_scroll_behavior => {
                TransitionProperty::Longhand(LonghandId::ScrollBehavior)
            }
            nsCSSPropertyID::eCSSProperty_scroll_snap_align => {
                TransitionProperty::Longhand(LonghandId::ScrollSnapAlign)
            }
            nsCSSPropertyID::eCSSProperty_scroll_snap_stop => {
                TransitionProperty::Longhand(LonghandId::ScrollSnapStop)
            }
            nsCSSPropertyID::eCSSProperty_scroll_snap_type => {
                TransitionProperty::Longhand(LonghandId::ScrollSnapType)
            }
            nsCSSPropertyID::eCSSProperty_scrollbar_gutter => {
                TransitionProperty::Longhand(LonghandId::ScrollbarGutter)
            }
            nsCSSPropertyID::eCSSProperty_scrollbar_width => {
                TransitionProperty::Longhand(LonghandId::ScrollbarWidth)
            }
            nsCSSPropertyID::eCSSProperty_shape_rendering => {
                TransitionProperty::Longhand(LonghandId::ShapeRendering)
            }
            nsCSSPropertyID::eCSSProperty_stroke_linecap => {
                TransitionProperty::Longhand(LonghandId::StrokeLinecap)
            }
            nsCSSPropertyID::eCSSProperty_stroke_linejoin => {
                TransitionProperty::Longhand(LonghandId::StrokeLinejoin)
            }
            nsCSSPropertyID::eCSSProperty_table_layout => {
                TransitionProperty::Longhand(LonghandId::TableLayout)
            }
            nsCSSPropertyID::eCSSProperty_text_align => {
                TransitionProperty::Longhand(LonghandId::TextAlign)
            }
            nsCSSPropertyID::eCSSProperty_text_align_last => {
                TransitionProperty::Longhand(LonghandId::TextAlignLast)
            }
            nsCSSPropertyID::eCSSProperty_text_anchor => {
                TransitionProperty::Longhand(LonghandId::TextAnchor)
            }
            nsCSSPropertyID::eCSSProperty_text_combine_upright => {
                TransitionProperty::Longhand(LonghandId::TextCombineUpright)
            }
            nsCSSPropertyID::eCSSProperty_text_decoration_line => {
                TransitionProperty::Longhand(LonghandId::TextDecorationLine)
            }
            nsCSSPropertyID::eCSSProperty_text_decoration_skip_ink => {
                TransitionProperty::Longhand(LonghandId::TextDecorationSkipInk)
            }
            nsCSSPropertyID::eCSSProperty_text_decoration_style => {
                TransitionProperty::Longhand(LonghandId::TextDecorationStyle)
            }
            nsCSSPropertyID::eCSSProperty_text_emphasis_position => {
                TransitionProperty::Longhand(LonghandId::TextEmphasisPosition)
            }
            nsCSSPropertyID::eCSSProperty_text_justify => {
                TransitionProperty::Longhand(LonghandId::TextJustify)
            }
            nsCSSPropertyID::eCSSProperty_text_orientation => {
                TransitionProperty::Longhand(LonghandId::TextOrientation)
            }
            nsCSSPropertyID::eCSSProperty_text_rendering => {
                TransitionProperty::Longhand(LonghandId::TextRendering)
            }
            nsCSSPropertyID::eCSSProperty_text_transform => {
                TransitionProperty::Longhand(LonghandId::TextTransform)
            }
            nsCSSPropertyID::eCSSProperty_text_underline_position => {
                TransitionProperty::Longhand(LonghandId::TextUnderlinePosition)
            }
            nsCSSPropertyID::eCSSProperty_touch_action => {
                TransitionProperty::Longhand(LonghandId::TouchAction)
            }
            nsCSSPropertyID::eCSSProperty_transform_box => {
                TransitionProperty::Longhand(LonghandId::TransformBox)
            }
            nsCSSPropertyID::eCSSProperty_transform_style => {
                TransitionProperty::Longhand(LonghandId::TransformStyle)
            }
            nsCSSPropertyID::eCSSProperty_unicode_bidi => {
                TransitionProperty::Longhand(LonghandId::UnicodeBidi)
            }
            nsCSSPropertyID::eCSSProperty_user_select => {
                TransitionProperty::Longhand(LonghandId::UserSelect)
            }
            nsCSSPropertyID::eCSSProperty_vector_effect => {
                TransitionProperty::Longhand(LonghandId::VectorEffect)
            }
            nsCSSPropertyID::eCSSProperty_visibility => {
                TransitionProperty::Longhand(LonghandId::Visibility)
            }
            nsCSSPropertyID::eCSSProperty__webkit_line_clamp => {
                TransitionProperty::Longhand(LonghandId::WebkitLineClamp)
            }
            nsCSSPropertyID::eCSSProperty__webkit_text_security => {
                TransitionProperty::Longhand(LonghandId::WebkitTextSecurity)
            }
            nsCSSPropertyID::eCSSProperty_white_space => {
                TransitionProperty::Longhand(LonghandId::WhiteSpace)
            }
            nsCSSPropertyID::eCSSProperty_word_break => {
                TransitionProperty::Longhand(LonghandId::WordBreak)
            }
            nsCSSPropertyID::eCSSProperty_writing_mode => {
                TransitionProperty::Longhand(LonghandId::WritingMode)
            }
            nsCSSPropertyID::eCSSProperty__x_text_scale => {
                TransitionProperty::Longhand(LonghandId::XTextScale)
            }
            nsCSSPropertyID::eCSSProperty_z_index => {
                TransitionProperty::Longhand(LonghandId::ZIndex)
            }
            nsCSSPropertyID::eCSSProperty_appearance => {
                TransitionProperty::Longhand(LonghandId::Appearance)
            }
            nsCSSPropertyID::eCSSProperty__moz_default_appearance => {
                TransitionProperty::Longhand(LonghandId::MozDefaultAppearance)
            }
            nsCSSPropertyID::eCSSProperty__moz_force_broken_image_icon => {
                TransitionProperty::Longhand(LonghandId::MozForceBrokenImageIcon)
            }
            nsCSSPropertyID::eCSSProperty__moz_subtree_hidden_only_visually => {
                TransitionProperty::Longhand(LonghandId::MozSubtreeHiddenOnlyVisually)
            }
            nsCSSPropertyID::eCSSProperty_break_after => {
                TransitionProperty::Longhand(LonghandId::BreakAfter)
            }
            nsCSSPropertyID::eCSSProperty_break_before => {
                TransitionProperty::Longhand(LonghandId::BreakBefore)
            }
            nsCSSPropertyID::eCSSProperty_clip_rule => {
                TransitionProperty::Longhand(LonghandId::ClipRule)
            }
            nsCSSPropertyID::eCSSProperty_fill_rule => {
                TransitionProperty::Longhand(LonghandId::FillRule)
            }
            nsCSSPropertyID::eCSSProperty_overflow_clip_box_block => {
                TransitionProperty::Longhand(LonghandId::OverflowClipBoxBlock)
            }
            nsCSSPropertyID::eCSSProperty_overflow_clip_box_inline => {
                TransitionProperty::Longhand(LonghandId::OverflowClipBoxInline)
            }
            nsCSSPropertyID::eCSSProperty_fill_opacity => {
                TransitionProperty::Longhand(LonghandId::FillOpacity)
            }
            nsCSSPropertyID::eCSSProperty_stroke_opacity => {
                TransitionProperty::Longhand(LonghandId::StrokeOpacity)
            }
            nsCSSPropertyID::eCSSProperty_font_synthesis_small_caps => {
                TransitionProperty::Longhand(LonghandId::FontSynthesisSmallCaps)
            }
            nsCSSPropertyID::eCSSProperty_font_synthesis_style => {
                TransitionProperty::Longhand(LonghandId::FontSynthesisStyle)
            }
            nsCSSPropertyID::eCSSProperty_font_synthesis_weight => {
                TransitionProperty::Longhand(LonghandId::FontSynthesisWeight)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_ordinal_group => {
                TransitionProperty::Longhand(LonghandId::MozBoxOrdinalGroup)
            }
            nsCSSPropertyID::eCSSProperty_order => {
                TransitionProperty::Longhand(LonghandId::Order)
            }
            nsCSSPropertyID::eCSSProperty__x_span => {
                TransitionProperty::Longhand(LonghandId::XSpan)
            }
            nsCSSPropertyID::eCSSProperty_flex_grow => {
                TransitionProperty::Longhand(LonghandId::FlexGrow)
            }
            nsCSSPropertyID::eCSSProperty_flex_shrink => {
                TransitionProperty::Longhand(LonghandId::FlexShrink)
            }
            nsCSSPropertyID::eCSSProperty__moz_box_flex => {
                TransitionProperty::Longhand(LonghandId::MozBoxFlex)
            }
            nsCSSPropertyID::eCSSProperty_stroke_miterlimit => {
                TransitionProperty::Longhand(LonghandId::StrokeMiterlimit)
            }
            nsCSSPropertyID::eCSSProperty_overflow_block => {
                TransitionProperty::Longhand(LonghandId::OverflowBlock)
            }
            nsCSSPropertyID::eCSSProperty_overflow_inline => {
                TransitionProperty::Longhand(LonghandId::OverflowInline)
            }
            nsCSSPropertyID::eCSSProperty_overflow_x => {
                TransitionProperty::Longhand(LonghandId::OverflowX)
            }
            nsCSSPropertyID::eCSSProperty_overflow_y => {
                TransitionProperty::Longhand(LonghandId::OverflowY)
            }
            nsCSSPropertyID::eCSSProperty_overscroll_behavior_block => {
                TransitionProperty::Longhand(LonghandId::OverscrollBehaviorBlock)
            }
            nsCSSPropertyID::eCSSProperty_overscroll_behavior_inline => {
                TransitionProperty::Longhand(LonghandId::OverscrollBehaviorInline)
            }
            nsCSSPropertyID::eCSSProperty_overscroll_behavior_x => {
                TransitionProperty::Longhand(LonghandId::OverscrollBehaviorX)
            }
            nsCSSPropertyID::eCSSProperty_overscroll_behavior_y => {
                TransitionProperty::Longhand(LonghandId::OverscrollBehaviorY)
            }
            nsCSSPropertyID::eCSSProperty_flood_opacity => {
                TransitionProperty::Longhand(LonghandId::FloodOpacity)
            }
            nsCSSPropertyID::eCSSProperty__moz_window_opacity => {
                TransitionProperty::Longhand(LonghandId::MozWindowOpacity)
            }
            nsCSSPropertyID::eCSSProperty_opacity => {
                TransitionProperty::Longhand(LonghandId::Opacity)
            }
            nsCSSPropertyID::eCSSProperty_shape_image_threshold => {
                TransitionProperty::Longhand(LonghandId::ShapeImageThreshold)
            }
            nsCSSPropertyID::eCSSProperty_stop_opacity => {
                TransitionProperty::Longhand(LonghandId::StopOpacity)
            }
            nsCSSPropertyID::eCSSProperty_border_block_end_style => {
                TransitionProperty::Longhand(LonghandId::BorderBlockEndStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_block_start_style => {
                TransitionProperty::Longhand(LonghandId::BorderBlockStartStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_bottom_style => {
                TransitionProperty::Longhand(LonghandId::BorderBottomStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_end_style => {
                TransitionProperty::Longhand(LonghandId::BorderInlineEndStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_start_style => {
                TransitionProperty::Longhand(LonghandId::BorderInlineStartStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_left_style => {
                TransitionProperty::Longhand(LonghandId::BorderLeftStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_right_style => {
                TransitionProperty::Longhand(LonghandId::BorderRightStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_top_style => {
                TransitionProperty::Longhand(LonghandId::BorderTopStyle)
            }
            nsCSSPropertyID::eCSSProperty_column_rule_style => {
                TransitionProperty::Longhand(LonghandId::ColumnRuleStyle)
            }
            nsCSSPropertyID::eCSSProperty_accent_color => {
                TransitionProperty::Longhand(LonghandId::AccentColor)
            }
            nsCSSPropertyID::eCSSProperty_align_tracks => {
                TransitionProperty::Longhand(LonghandId::AlignTracks)
            }
            nsCSSPropertyID::eCSSProperty_animation_composition => {
                TransitionProperty::Longhand(LonghandId::AnimationComposition)
            }
            nsCSSPropertyID::eCSSProperty_animation_delay => {
                TransitionProperty::Longhand(LonghandId::AnimationDelay)
            }
            nsCSSPropertyID::eCSSProperty_animation_direction => {
                TransitionProperty::Longhand(LonghandId::AnimationDirection)
            }
            nsCSSPropertyID::eCSSProperty_animation_duration => {
                TransitionProperty::Longhand(LonghandId::AnimationDuration)
            }
            nsCSSPropertyID::eCSSProperty_animation_fill_mode => {
                TransitionProperty::Longhand(LonghandId::AnimationFillMode)
            }
            nsCSSPropertyID::eCSSProperty_animation_iteration_count => {
                TransitionProperty::Longhand(LonghandId::AnimationIterationCount)
            }
            nsCSSPropertyID::eCSSProperty_animation_name => {
                TransitionProperty::Longhand(LonghandId::AnimationName)
            }
            nsCSSPropertyID::eCSSProperty_animation_play_state => {
                TransitionProperty::Longhand(LonghandId::AnimationPlayState)
            }
            nsCSSPropertyID::eCSSProperty_animation_timeline => {
                TransitionProperty::Longhand(LonghandId::AnimationTimeline)
            }
            nsCSSPropertyID::eCSSProperty_animation_timing_function => {
                TransitionProperty::Longhand(LonghandId::AnimationTimingFunction)
            }
            nsCSSPropertyID::eCSSProperty_backdrop_filter => {
                TransitionProperty::Longhand(LonghandId::BackdropFilter)
            }
            nsCSSPropertyID::eCSSProperty_background_attachment => {
                TransitionProperty::Longhand(LonghandId::BackgroundAttachment)
            }
            nsCSSPropertyID::eCSSProperty_background_blend_mode => {
                TransitionProperty::Longhand(LonghandId::BackgroundBlendMode)
            }
            nsCSSPropertyID::eCSSProperty_background_clip => {
                TransitionProperty::Longhand(LonghandId::BackgroundClip)
            }
            nsCSSPropertyID::eCSSProperty_background_image => {
                TransitionProperty::Longhand(LonghandId::BackgroundImage)
            }
            nsCSSPropertyID::eCSSProperty_background_origin => {
                TransitionProperty::Longhand(LonghandId::BackgroundOrigin)
            }
            nsCSSPropertyID::eCSSProperty_background_position_x => {
                TransitionProperty::Longhand(LonghandId::BackgroundPositionX)
            }
            nsCSSPropertyID::eCSSProperty_background_position_y => {
                TransitionProperty::Longhand(LonghandId::BackgroundPositionY)
            }
            nsCSSPropertyID::eCSSProperty_background_repeat => {
                TransitionProperty::Longhand(LonghandId::BackgroundRepeat)
            }
            nsCSSPropertyID::eCSSProperty_background_size => {
                TransitionProperty::Longhand(LonghandId::BackgroundSize)
            }
            nsCSSPropertyID::eCSSProperty_border_image_outset => {
                TransitionProperty::Longhand(LonghandId::BorderImageOutset)
            }
            nsCSSPropertyID::eCSSProperty_border_image_slice => {
                TransitionProperty::Longhand(LonghandId::BorderImageSlice)
            }
            nsCSSPropertyID::eCSSProperty_border_image_width => {
                TransitionProperty::Longhand(LonghandId::BorderImageWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_spacing => {
                TransitionProperty::Longhand(LonghandId::BorderSpacing)
            }
            nsCSSPropertyID::eCSSProperty_box_shadow => {
                TransitionProperty::Longhand(LonghandId::BoxShadow)
            }
            nsCSSPropertyID::eCSSProperty_caret_color => {
                TransitionProperty::Longhand(LonghandId::CaretColor)
            }
            nsCSSPropertyID::eCSSProperty_clip => {
                TransitionProperty::Longhand(LonghandId::Clip)
            }
            nsCSSPropertyID::eCSSProperty_clip_path => {
                TransitionProperty::Longhand(LonghandId::ClipPath)
            }
            nsCSSPropertyID::eCSSProperty_color => {
                TransitionProperty::Longhand(LonghandId::Color)
            }
            nsCSSPropertyID::eCSSProperty_color_scheme => {
                TransitionProperty::Longhand(LonghandId::ColorScheme)
            }
            nsCSSPropertyID::eCSSProperty_column_width => {
                TransitionProperty::Longhand(LonghandId::ColumnWidth)
            }
            nsCSSPropertyID::eCSSProperty_container_name => {
                TransitionProperty::Longhand(LonghandId::ContainerName)
            }
            nsCSSPropertyID::eCSSProperty_content => {
                TransitionProperty::Longhand(LonghandId::Content)
            }
            nsCSSPropertyID::eCSSProperty_counter_increment => {
                TransitionProperty::Longhand(LonghandId::CounterIncrement)
            }
            nsCSSPropertyID::eCSSProperty_counter_reset => {
                TransitionProperty::Longhand(LonghandId::CounterReset)
            }
            nsCSSPropertyID::eCSSProperty_counter_set => {
                TransitionProperty::Longhand(LonghandId::CounterSet)
            }
            nsCSSPropertyID::eCSSProperty_cursor => {
                TransitionProperty::Longhand(LonghandId::Cursor)
            }
            nsCSSPropertyID::eCSSProperty_d => {
                TransitionProperty::Longhand(LonghandId::D)
            }
            nsCSSPropertyID::eCSSProperty_filter => {
                TransitionProperty::Longhand(LonghandId::Filter)
            }
            nsCSSPropertyID::eCSSProperty_flex_basis => {
                TransitionProperty::Longhand(LonghandId::FlexBasis)
            }
            nsCSSPropertyID::eCSSProperty_font_family => {
                TransitionProperty::Longhand(LonghandId::FontFamily)
            }
            nsCSSPropertyID::eCSSProperty_font_feature_settings => {
                TransitionProperty::Longhand(LonghandId::FontFeatureSettings)
            }
            nsCSSPropertyID::eCSSProperty_font_palette => {
                TransitionProperty::Longhand(LonghandId::FontPalette)
            }
            nsCSSPropertyID::eCSSProperty_font_size => {
                TransitionProperty::Longhand(LonghandId::FontSize)
            }
            nsCSSPropertyID::eCSSProperty_font_variant_alternates => {
                TransitionProperty::Longhand(LonghandId::FontVariantAlternates)
            }
            nsCSSPropertyID::eCSSProperty_font_variation_settings => {
                TransitionProperty::Longhand(LonghandId::FontVariationSettings)
            }
            nsCSSPropertyID::eCSSProperty_grid_template_areas => {
                TransitionProperty::Longhand(LonghandId::GridTemplateAreas)
            }
            nsCSSPropertyID::eCSSProperty_hyphenate_character => {
                TransitionProperty::Longhand(LonghandId::HyphenateCharacter)
            }
            nsCSSPropertyID::eCSSProperty_justify_tracks => {
                TransitionProperty::Longhand(LonghandId::JustifyTracks)
            }
            nsCSSPropertyID::eCSSProperty_letter_spacing => {
                TransitionProperty::Longhand(LonghandId::LetterSpacing)
            }
            nsCSSPropertyID::eCSSProperty_line_height => {
                TransitionProperty::Longhand(LonghandId::LineHeight)
            }
            nsCSSPropertyID::eCSSProperty_list_style_type => {
                TransitionProperty::Longhand(LonghandId::ListStyleType)
            }
            nsCSSPropertyID::eCSSProperty_mask_clip => {
                TransitionProperty::Longhand(LonghandId::MaskClip)
            }
            nsCSSPropertyID::eCSSProperty_mask_composite => {
                TransitionProperty::Longhand(LonghandId::MaskComposite)
            }
            nsCSSPropertyID::eCSSProperty_mask_image => {
                TransitionProperty::Longhand(LonghandId::MaskImage)
            }
            nsCSSPropertyID::eCSSProperty_mask_mode => {
                TransitionProperty::Longhand(LonghandId::MaskMode)
            }
            nsCSSPropertyID::eCSSProperty_mask_origin => {
                TransitionProperty::Longhand(LonghandId::MaskOrigin)
            }
            nsCSSPropertyID::eCSSProperty_mask_position_x => {
                TransitionProperty::Longhand(LonghandId::MaskPositionX)
            }
            nsCSSPropertyID::eCSSProperty_mask_position_y => {
                TransitionProperty::Longhand(LonghandId::MaskPositionY)
            }
            nsCSSPropertyID::eCSSProperty_mask_repeat => {
                TransitionProperty::Longhand(LonghandId::MaskRepeat)
            }
            nsCSSPropertyID::eCSSProperty_mask_size => {
                TransitionProperty::Longhand(LonghandId::MaskSize)
            }
            nsCSSPropertyID::eCSSProperty__moz_context_properties => {
                TransitionProperty::Longhand(LonghandId::MozContextProperties)
            }
            nsCSSPropertyID::eCSSProperty__moz_font_smoothing_background_color => {
                TransitionProperty::Longhand(LonghandId::MozFontSmoothingBackgroundColor)
            }
            nsCSSPropertyID::eCSSProperty_offset_anchor => {
                TransitionProperty::Longhand(LonghandId::OffsetAnchor)
            }
            nsCSSPropertyID::eCSSProperty_offset_path => {
                TransitionProperty::Longhand(LonghandId::OffsetPath)
            }
            nsCSSPropertyID::eCSSProperty_offset_position => {
                TransitionProperty::Longhand(LonghandId::OffsetPosition)
            }
            nsCSSPropertyID::eCSSProperty_page => {
                TransitionProperty::Longhand(LonghandId::Page)
            }
            nsCSSPropertyID::eCSSProperty_perspective => {
                TransitionProperty::Longhand(LonghandId::Perspective)
            }
            nsCSSPropertyID::eCSSProperty_quotes => {
                TransitionProperty::Longhand(LonghandId::Quotes)
            }
            nsCSSPropertyID::eCSSProperty_rotate => {
                TransitionProperty::Longhand(LonghandId::Rotate)
            }
            nsCSSPropertyID::eCSSProperty_scale => {
                TransitionProperty::Longhand(LonghandId::Scale)
            }
            nsCSSPropertyID::eCSSProperty_scroll_timeline_axis => {
                TransitionProperty::Longhand(LonghandId::ScrollTimelineAxis)
            }
            nsCSSPropertyID::eCSSProperty_scroll_timeline_name => {
                TransitionProperty::Longhand(LonghandId::ScrollTimelineName)
            }
            nsCSSPropertyID::eCSSProperty_scrollbar_color => {
                TransitionProperty::Longhand(LonghandId::ScrollbarColor)
            }
            nsCSSPropertyID::eCSSProperty_shape_outside => {
                TransitionProperty::Longhand(LonghandId::ShapeOutside)
            }
            nsCSSPropertyID::eCSSProperty_size => {
                TransitionProperty::Longhand(LonghandId::Size)
            }
            nsCSSPropertyID::eCSSProperty_stroke_dasharray => {
                TransitionProperty::Longhand(LonghandId::StrokeDasharray)
            }
            nsCSSPropertyID::eCSSProperty_stroke_dashoffset => {
                TransitionProperty::Longhand(LonghandId::StrokeDashoffset)
            }
            nsCSSPropertyID::eCSSProperty_stroke_width => {
                TransitionProperty::Longhand(LonghandId::StrokeWidth)
            }
            nsCSSPropertyID::eCSSProperty_tab_size => {
                TransitionProperty::Longhand(LonghandId::TabSize)
            }
            nsCSSPropertyID::eCSSProperty_text_decoration_thickness => {
                TransitionProperty::Longhand(LonghandId::TextDecorationThickness)
            }
            nsCSSPropertyID::eCSSProperty_text_emphasis_style => {
                TransitionProperty::Longhand(LonghandId::TextEmphasisStyle)
            }
            nsCSSPropertyID::eCSSProperty_text_overflow => {
                TransitionProperty::Longhand(LonghandId::TextOverflow)
            }
            nsCSSPropertyID::eCSSProperty_text_shadow => {
                TransitionProperty::Longhand(LonghandId::TextShadow)
            }
            nsCSSPropertyID::eCSSProperty_transition_delay => {
                TransitionProperty::Longhand(LonghandId::TransitionDelay)
            }
            nsCSSPropertyID::eCSSProperty_transition_duration => {
                TransitionProperty::Longhand(LonghandId::TransitionDuration)
            }
            nsCSSPropertyID::eCSSProperty_transition_property => {
                TransitionProperty::Longhand(LonghandId::TransitionProperty)
            }
            nsCSSPropertyID::eCSSProperty_transition_timing_function => {
                TransitionProperty::Longhand(LonghandId::TransitionTimingFunction)
            }
            nsCSSPropertyID::eCSSProperty_translate => {
                TransitionProperty::Longhand(LonghandId::Translate)
            }
            nsCSSPropertyID::eCSSProperty_vertical_align => {
                TransitionProperty::Longhand(LonghandId::VerticalAlign)
            }
            nsCSSPropertyID::eCSSProperty_view_timeline_axis => {
                TransitionProperty::Longhand(LonghandId::ViewTimelineAxis)
            }
            nsCSSPropertyID::eCSSProperty_view_timeline_inset => {
                TransitionProperty::Longhand(LonghandId::ViewTimelineInset)
            }
            nsCSSPropertyID::eCSSProperty_view_timeline_name => {
                TransitionProperty::Longhand(LonghandId::ViewTimelineName)
            }
            nsCSSPropertyID::eCSSProperty__webkit_text_stroke_width => {
                TransitionProperty::Longhand(LonghandId::WebkitTextStrokeWidth)
            }
            nsCSSPropertyID::eCSSProperty_will_change => {
                TransitionProperty::Longhand(LonghandId::WillChange)
            }
            nsCSSPropertyID::eCSSProperty_word_spacing => {
                TransitionProperty::Longhand(LonghandId::WordSpacing)
            }
            nsCSSPropertyID::eCSSProperty__x_lang => {
                TransitionProperty::Longhand(LonghandId::XLang)
            }
            nsCSSPropertyID::eCSSProperty_object_position => {
                TransitionProperty::Longhand(LonghandId::ObjectPosition)
            }
            nsCSSPropertyID::eCSSProperty_perspective_origin => {
                TransitionProperty::Longhand(LonghandId::PerspectiveOrigin)
            }
            nsCSSPropertyID::eCSSProperty_fill => {
                TransitionProperty::Longhand(LonghandId::Fill)
            }
            nsCSSPropertyID::eCSSProperty_stroke => {
                TransitionProperty::Longhand(LonghandId::Stroke)
            }
            nsCSSPropertyID::eCSSProperty__moz_window_transform_origin => {
                TransitionProperty::Longhand(LonghandId::MozWindowTransformOrigin)
            }
            nsCSSPropertyID::eCSSProperty_transform_origin => {
                TransitionProperty::Longhand(LonghandId::TransformOrigin)
            }
            nsCSSPropertyID::eCSSProperty_grid_template_columns => {
                TransitionProperty::Longhand(LonghandId::GridTemplateColumns)
            }
            nsCSSPropertyID::eCSSProperty_grid_template_rows => {
                TransitionProperty::Longhand(LonghandId::GridTemplateRows)
            }
            nsCSSPropertyID::eCSSProperty_border_image_source => {
                TransitionProperty::Longhand(LonghandId::BorderImageSource)
            }
            nsCSSPropertyID::eCSSProperty_list_style_image => {
                TransitionProperty::Longhand(LonghandId::ListStyleImage)
            }
            nsCSSPropertyID::eCSSProperty_grid_auto_columns => {
                TransitionProperty::Longhand(LonghandId::GridAutoColumns)
            }
            nsCSSPropertyID::eCSSProperty_grid_auto_rows => {
                TransitionProperty::Longhand(LonghandId::GridAutoRows)
            }
            nsCSSPropertyID::eCSSProperty__moz_window_transform => {
                TransitionProperty::Longhand(LonghandId::MozWindowTransform)
            }
            nsCSSPropertyID::eCSSProperty_transform => {
                TransitionProperty::Longhand(LonghandId::Transform)
            }
            nsCSSPropertyID::eCSSProperty_column_gap => {
                TransitionProperty::Longhand(LonghandId::ColumnGap)
            }
            nsCSSPropertyID::eCSSProperty_row_gap => {
                TransitionProperty::Longhand(LonghandId::RowGap)
            }
            nsCSSPropertyID::eCSSProperty_marker_end => {
                TransitionProperty::Longhand(LonghandId::MarkerEnd)
            }
            nsCSSPropertyID::eCSSProperty_marker_mid => {
                TransitionProperty::Longhand(LonghandId::MarkerMid)
            }
            nsCSSPropertyID::eCSSProperty_marker_start => {
                TransitionProperty::Longhand(LonghandId::MarkerStart)
            }
            nsCSSPropertyID::eCSSProperty_contain_intrinsic_block_size => {
                TransitionProperty::Longhand(LonghandId::ContainIntrinsicBlockSize)
            }
            nsCSSPropertyID::eCSSProperty_contain_intrinsic_height => {
                TransitionProperty::Longhand(LonghandId::ContainIntrinsicHeight)
            }
            nsCSSPropertyID::eCSSProperty_contain_intrinsic_inline_size => {
                TransitionProperty::Longhand(LonghandId::ContainIntrinsicInlineSize)
            }
            nsCSSPropertyID::eCSSProperty_contain_intrinsic_width => {
                TransitionProperty::Longhand(LonghandId::ContainIntrinsicWidth)
            }
            nsCSSPropertyID::eCSSProperty_grid_column_end => {
                TransitionProperty::Longhand(LonghandId::GridColumnEnd)
            }
            nsCSSPropertyID::eCSSProperty_grid_column_start => {
                TransitionProperty::Longhand(LonghandId::GridColumnStart)
            }
            nsCSSPropertyID::eCSSProperty_grid_row_end => {
                TransitionProperty::Longhand(LonghandId::GridRowEnd)
            }
            nsCSSPropertyID::eCSSProperty_grid_row_start => {
                TransitionProperty::Longhand(LonghandId::GridRowStart)
            }
            nsCSSPropertyID::eCSSProperty_max_block_size => {
                TransitionProperty::Longhand(LonghandId::MaxBlockSize)
            }
            nsCSSPropertyID::eCSSProperty_max_height => {
                TransitionProperty::Longhand(LonghandId::MaxHeight)
            }
            nsCSSPropertyID::eCSSProperty_max_inline_size => {
                TransitionProperty::Longhand(LonghandId::MaxInlineSize)
            }
            nsCSSPropertyID::eCSSProperty_max_width => {
                TransitionProperty::Longhand(LonghandId::MaxWidth)
            }
            nsCSSPropertyID::eCSSProperty_cx => {
                TransitionProperty::Longhand(LonghandId::Cx)
            }
            nsCSSPropertyID::eCSSProperty_cy => {
                TransitionProperty::Longhand(LonghandId::Cy)
            }
            nsCSSPropertyID::eCSSProperty_offset_distance => {
                TransitionProperty::Longhand(LonghandId::OffsetDistance)
            }
            nsCSSPropertyID::eCSSProperty_text_indent => {
                TransitionProperty::Longhand(LonghandId::TextIndent)
            }
            nsCSSPropertyID::eCSSProperty_x => {
                TransitionProperty::Longhand(LonghandId::X)
            }
            nsCSSPropertyID::eCSSProperty_y => {
                TransitionProperty::Longhand(LonghandId::Y)
            }
            nsCSSPropertyID::eCSSProperty_border_bottom_left_radius => {
                TransitionProperty::Longhand(LonghandId::BorderBottomLeftRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_bottom_right_radius => {
                TransitionProperty::Longhand(LonghandId::BorderBottomRightRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_end_end_radius => {
                TransitionProperty::Longhand(LonghandId::BorderEndEndRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_end_start_radius => {
                TransitionProperty::Longhand(LonghandId::BorderEndStartRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_start_end_radius => {
                TransitionProperty::Longhand(LonghandId::BorderStartEndRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_start_start_radius => {
                TransitionProperty::Longhand(LonghandId::BorderStartStartRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_top_left_radius => {
                TransitionProperty::Longhand(LonghandId::BorderTopLeftRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_top_right_radius => {
                TransitionProperty::Longhand(LonghandId::BorderTopRightRadius)
            }
            nsCSSPropertyID::eCSSProperty_block_size => {
                TransitionProperty::Longhand(LonghandId::BlockSize)
            }
            nsCSSPropertyID::eCSSProperty_height => {
                TransitionProperty::Longhand(LonghandId::Height)
            }
            nsCSSPropertyID::eCSSProperty_inline_size => {
                TransitionProperty::Longhand(LonghandId::InlineSize)
            }
            nsCSSPropertyID::eCSSProperty_min_block_size => {
                TransitionProperty::Longhand(LonghandId::MinBlockSize)
            }
            nsCSSPropertyID::eCSSProperty_min_height => {
                TransitionProperty::Longhand(LonghandId::MinHeight)
            }
            nsCSSPropertyID::eCSSProperty_min_inline_size => {
                TransitionProperty::Longhand(LonghandId::MinInlineSize)
            }
            nsCSSPropertyID::eCSSProperty_min_width => {
                TransitionProperty::Longhand(LonghandId::MinWidth)
            }
            nsCSSPropertyID::eCSSProperty_width => {
                TransitionProperty::Longhand(LonghandId::Width)
            }
            nsCSSPropertyID::eCSSProperty_border_block_end_width => {
                TransitionProperty::Longhand(LonghandId::BorderBlockEndWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_block_start_width => {
                TransitionProperty::Longhand(LonghandId::BorderBlockStartWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_bottom_width => {
                TransitionProperty::Longhand(LonghandId::BorderBottomWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_end_width => {
                TransitionProperty::Longhand(LonghandId::BorderInlineEndWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_start_width => {
                TransitionProperty::Longhand(LonghandId::BorderInlineStartWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_left_width => {
                TransitionProperty::Longhand(LonghandId::BorderLeftWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_right_width => {
                TransitionProperty::Longhand(LonghandId::BorderRightWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_top_width => {
                TransitionProperty::Longhand(LonghandId::BorderTopWidth)
            }
            nsCSSPropertyID::eCSSProperty_column_rule_width => {
                TransitionProperty::Longhand(LonghandId::ColumnRuleWidth)
            }
            nsCSSPropertyID::eCSSProperty_outline_width => {
                TransitionProperty::Longhand(LonghandId::OutlineWidth)
            }
            nsCSSPropertyID::eCSSProperty_padding_block_end => {
                TransitionProperty::Longhand(LonghandId::PaddingBlockEnd)
            }
            nsCSSPropertyID::eCSSProperty_padding_block_start => {
                TransitionProperty::Longhand(LonghandId::PaddingBlockStart)
            }
            nsCSSPropertyID::eCSSProperty_padding_bottom => {
                TransitionProperty::Longhand(LonghandId::PaddingBottom)
            }
            nsCSSPropertyID::eCSSProperty_padding_inline_end => {
                TransitionProperty::Longhand(LonghandId::PaddingInlineEnd)
            }
            nsCSSPropertyID::eCSSProperty_padding_inline_start => {
                TransitionProperty::Longhand(LonghandId::PaddingInlineStart)
            }
            nsCSSPropertyID::eCSSProperty_padding_left => {
                TransitionProperty::Longhand(LonghandId::PaddingLeft)
            }
            nsCSSPropertyID::eCSSProperty_padding_right => {
                TransitionProperty::Longhand(LonghandId::PaddingRight)
            }
            nsCSSPropertyID::eCSSProperty_padding_top => {
                TransitionProperty::Longhand(LonghandId::PaddingTop)
            }
            nsCSSPropertyID::eCSSProperty_r => {
                TransitionProperty::Longhand(LonghandId::R)
            }
            nsCSSPropertyID::eCSSProperty_shape_margin => {
                TransitionProperty::Longhand(LonghandId::ShapeMargin)
            }
            nsCSSPropertyID::eCSSProperty_rx => {
                TransitionProperty::Longhand(LonghandId::Rx)
            }
            nsCSSPropertyID::eCSSProperty_ry => {
                TransitionProperty::Longhand(LonghandId::Ry)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_block_end => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingBlockEnd)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_block_start => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingBlockStart)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_bottom => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingBottom)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_inline_end => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingInlineEnd)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_inline_start => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingInlineStart)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_left => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingLeft)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_right => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingRight)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_top => {
                TransitionProperty::Longhand(LonghandId::ScrollPaddingTop)
            }
            nsCSSPropertyID::eCSSProperty__moz_window_input_region_margin => {
                TransitionProperty::Longhand(LonghandId::MozWindowInputRegionMargin)
            }
            nsCSSPropertyID::eCSSProperty_outline_offset => {
                TransitionProperty::Longhand(LonghandId::OutlineOffset)
            }
            nsCSSPropertyID::eCSSProperty_overflow_clip_margin => {
                TransitionProperty::Longhand(LonghandId::OverflowClipMargin)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_block_end => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginBlockEnd)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_block_start => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginBlockStart)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_bottom => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginBottom)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_inline_end => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginInlineEnd)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_inline_start => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginInlineStart)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_left => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginLeft)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_right => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginRight)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_top => {
                TransitionProperty::Longhand(LonghandId::ScrollMarginTop)
            }
            nsCSSPropertyID::eCSSProperty_bottom => {
                TransitionProperty::Longhand(LonghandId::Bottom)
            }
            nsCSSPropertyID::eCSSProperty_inset_block_end => {
                TransitionProperty::Longhand(LonghandId::InsetBlockEnd)
            }
            nsCSSPropertyID::eCSSProperty_inset_block_start => {
                TransitionProperty::Longhand(LonghandId::InsetBlockStart)
            }
            nsCSSPropertyID::eCSSProperty_inset_inline_end => {
                TransitionProperty::Longhand(LonghandId::InsetInlineEnd)
            }
            nsCSSPropertyID::eCSSProperty_inset_inline_start => {
                TransitionProperty::Longhand(LonghandId::InsetInlineStart)
            }
            nsCSSPropertyID::eCSSProperty_left => {
                TransitionProperty::Longhand(LonghandId::Left)
            }
            nsCSSPropertyID::eCSSProperty_margin_block_end => {
                TransitionProperty::Longhand(LonghandId::MarginBlockEnd)
            }
            nsCSSPropertyID::eCSSProperty_margin_block_start => {
                TransitionProperty::Longhand(LonghandId::MarginBlockStart)
            }
            nsCSSPropertyID::eCSSProperty_margin_bottom => {
                TransitionProperty::Longhand(LonghandId::MarginBottom)
            }
            nsCSSPropertyID::eCSSProperty_margin_inline_end => {
                TransitionProperty::Longhand(LonghandId::MarginInlineEnd)
            }
            nsCSSPropertyID::eCSSProperty_margin_inline_start => {
                TransitionProperty::Longhand(LonghandId::MarginInlineStart)
            }
            nsCSSPropertyID::eCSSProperty_margin_left => {
                TransitionProperty::Longhand(LonghandId::MarginLeft)
            }
            nsCSSPropertyID::eCSSProperty_margin_right => {
                TransitionProperty::Longhand(LonghandId::MarginRight)
            }
            nsCSSPropertyID::eCSSProperty_margin_top => {
                TransitionProperty::Longhand(LonghandId::MarginTop)
            }
            nsCSSPropertyID::eCSSProperty_right => {
                TransitionProperty::Longhand(LonghandId::Right)
            }
            nsCSSPropertyID::eCSSProperty_text_underline_offset => {
                TransitionProperty::Longhand(LonghandId::TextUnderlineOffset)
            }
            nsCSSPropertyID::eCSSProperty_top => {
                TransitionProperty::Longhand(LonghandId::Top)
            }
            nsCSSPropertyID::eCSSProperty_background_color => {
                TransitionProperty::Longhand(LonghandId::BackgroundColor)
            }
            nsCSSPropertyID::eCSSProperty_border_block_end_color => {
                TransitionProperty::Longhand(LonghandId::BorderBlockEndColor)
            }
            nsCSSPropertyID::eCSSProperty_border_block_start_color => {
                TransitionProperty::Longhand(LonghandId::BorderBlockStartColor)
            }
            nsCSSPropertyID::eCSSProperty_border_bottom_color => {
                TransitionProperty::Longhand(LonghandId::BorderBottomColor)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_end_color => {
                TransitionProperty::Longhand(LonghandId::BorderInlineEndColor)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_start_color => {
                TransitionProperty::Longhand(LonghandId::BorderInlineStartColor)
            }
            nsCSSPropertyID::eCSSProperty_border_left_color => {
                TransitionProperty::Longhand(LonghandId::BorderLeftColor)
            }
            nsCSSPropertyID::eCSSProperty_border_right_color => {
                TransitionProperty::Longhand(LonghandId::BorderRightColor)
            }
            nsCSSPropertyID::eCSSProperty_border_top_color => {
                TransitionProperty::Longhand(LonghandId::BorderTopColor)
            }
            nsCSSPropertyID::eCSSProperty_column_rule_color => {
                TransitionProperty::Longhand(LonghandId::ColumnRuleColor)
            }
            nsCSSPropertyID::eCSSProperty_flood_color => {
                TransitionProperty::Longhand(LonghandId::FloodColor)
            }
            nsCSSPropertyID::eCSSProperty_lighting_color => {
                TransitionProperty::Longhand(LonghandId::LightingColor)
            }
            nsCSSPropertyID::eCSSProperty_outline_color => {
                TransitionProperty::Longhand(LonghandId::OutlineColor)
            }
            nsCSSPropertyID::eCSSProperty_stop_color => {
                TransitionProperty::Longhand(LonghandId::StopColor)
            }
            nsCSSPropertyID::eCSSProperty_text_decoration_color => {
                TransitionProperty::Longhand(LonghandId::TextDecorationColor)
            }
            nsCSSPropertyID::eCSSProperty_text_emphasis_color => {
                TransitionProperty::Longhand(LonghandId::TextEmphasisColor)
            }
            nsCSSPropertyID::eCSSProperty__webkit_text_fill_color => {
                TransitionProperty::Longhand(LonghandId::WebkitTextFillColor)
            }
            nsCSSPropertyID::eCSSProperty__webkit_text_stroke_color => {
                TransitionProperty::Longhand(LonghandId::WebkitTextStrokeColor)
            }
            nsCSSPropertyID::eCSSProperty_background => {
                TransitionProperty::Shorthand(ShorthandId::Background)
            }
            nsCSSPropertyID::eCSSProperty_background_position => {
                TransitionProperty::Shorthand(ShorthandId::BackgroundPosition)
            }
            nsCSSPropertyID::eCSSProperty_border_color => {
                TransitionProperty::Shorthand(ShorthandId::BorderColor)
            }
            nsCSSPropertyID::eCSSProperty_border_style => {
                TransitionProperty::Shorthand(ShorthandId::BorderStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_width => {
                TransitionProperty::Shorthand(ShorthandId::BorderWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_top => {
                TransitionProperty::Shorthand(ShorthandId::BorderTop)
            }
            nsCSSPropertyID::eCSSProperty_border_right => {
                TransitionProperty::Shorthand(ShorthandId::BorderRight)
            }
            nsCSSPropertyID::eCSSProperty_border_bottom => {
                TransitionProperty::Shorthand(ShorthandId::BorderBottom)
            }
            nsCSSPropertyID::eCSSProperty_border_left => {
                TransitionProperty::Shorthand(ShorthandId::BorderLeft)
            }
            nsCSSPropertyID::eCSSProperty_border_block_start => {
                TransitionProperty::Shorthand(ShorthandId::BorderBlockStart)
            }
            nsCSSPropertyID::eCSSProperty_border_block_end => {
                TransitionProperty::Shorthand(ShorthandId::BorderBlockEnd)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_start => {
                TransitionProperty::Shorthand(ShorthandId::BorderInlineStart)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_end => {
                TransitionProperty::Shorthand(ShorthandId::BorderInlineEnd)
            }
            nsCSSPropertyID::eCSSProperty_border => {
                TransitionProperty::Shorthand(ShorthandId::Border)
            }
            nsCSSPropertyID::eCSSProperty_border_radius => {
                TransitionProperty::Shorthand(ShorthandId::BorderRadius)
            }
            nsCSSPropertyID::eCSSProperty_border_image => {
                TransitionProperty::Shorthand(ShorthandId::BorderImage)
            }
            nsCSSPropertyID::eCSSProperty_border_block_width => {
                TransitionProperty::Shorthand(ShorthandId::BorderBlockWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_block_style => {
                TransitionProperty::Shorthand(ShorthandId::BorderBlockStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_block_color => {
                TransitionProperty::Shorthand(ShorthandId::BorderBlockColor)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_width => {
                TransitionProperty::Shorthand(ShorthandId::BorderInlineWidth)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_style => {
                TransitionProperty::Shorthand(ShorthandId::BorderInlineStyle)
            }
            nsCSSPropertyID::eCSSProperty_border_inline_color => {
                TransitionProperty::Shorthand(ShorthandId::BorderInlineColor)
            }
            nsCSSPropertyID::eCSSProperty_border_block => {
                TransitionProperty::Shorthand(ShorthandId::BorderBlock)
            }
            nsCSSPropertyID::eCSSProperty_border_inline => {
                TransitionProperty::Shorthand(ShorthandId::BorderInline)
            }
            nsCSSPropertyID::eCSSProperty_overflow => {
                TransitionProperty::Shorthand(ShorthandId::Overflow)
            }
            nsCSSPropertyID::eCSSProperty_overflow_clip_box => {
                TransitionProperty::Shorthand(ShorthandId::OverflowClipBox)
            }
            nsCSSPropertyID::eCSSProperty_overscroll_behavior => {
                TransitionProperty::Shorthand(ShorthandId::OverscrollBehavior)
            }
            nsCSSPropertyID::eCSSProperty_container => {
                TransitionProperty::Shorthand(ShorthandId::Container)
            }
            nsCSSPropertyID::eCSSProperty_page_break_before => {
                TransitionProperty::Shorthand(ShorthandId::PageBreakBefore)
            }
            nsCSSPropertyID::eCSSProperty_page_break_after => {
                TransitionProperty::Shorthand(ShorthandId::PageBreakAfter)
            }
            nsCSSPropertyID::eCSSProperty_page_break_inside => {
                TransitionProperty::Shorthand(ShorthandId::PageBreakInside)
            }
            nsCSSPropertyID::eCSSProperty_offset => {
                TransitionProperty::Shorthand(ShorthandId::Offset)
            }
            nsCSSPropertyID::eCSSProperty_zoom => {
                TransitionProperty::Shorthand(ShorthandId::Zoom)
            }
            nsCSSPropertyID::eCSSProperty_columns => {
                TransitionProperty::Shorthand(ShorthandId::Columns)
            }
            nsCSSPropertyID::eCSSProperty_column_rule => {
                TransitionProperty::Shorthand(ShorthandId::ColumnRule)
            }
            nsCSSPropertyID::eCSSProperty_font => {
                TransitionProperty::Shorthand(ShorthandId::Font)
            }
            nsCSSPropertyID::eCSSProperty_font_variant => {
                TransitionProperty::Shorthand(ShorthandId::FontVariant)
            }
            nsCSSPropertyID::eCSSProperty_font_synthesis => {
                TransitionProperty::Shorthand(ShorthandId::FontSynthesis)
            }
            nsCSSPropertyID::eCSSProperty_marker => {
                TransitionProperty::Shorthand(ShorthandId::Marker)
            }
            nsCSSPropertyID::eCSSProperty_text_emphasis => {
                TransitionProperty::Shorthand(ShorthandId::TextEmphasis)
            }
            nsCSSPropertyID::eCSSProperty__webkit_text_stroke => {
                TransitionProperty::Shorthand(ShorthandId::WebkitTextStroke)
            }
            nsCSSPropertyID::eCSSProperty_list_style => {
                TransitionProperty::Shorthand(ShorthandId::ListStyle)
            }
            nsCSSPropertyID::eCSSProperty_margin => {
                TransitionProperty::Shorthand(ShorthandId::Margin)
            }
            nsCSSPropertyID::eCSSProperty_margin_block => {
                TransitionProperty::Shorthand(ShorthandId::MarginBlock)
            }
            nsCSSPropertyID::eCSSProperty_margin_inline => {
                TransitionProperty::Shorthand(ShorthandId::MarginInline)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin => {
                TransitionProperty::Shorthand(ShorthandId::ScrollMargin)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_block => {
                TransitionProperty::Shorthand(ShorthandId::ScrollMarginBlock)
            }
            nsCSSPropertyID::eCSSProperty_scroll_margin_inline => {
                TransitionProperty::Shorthand(ShorthandId::ScrollMarginInline)
            }
            nsCSSPropertyID::eCSSProperty_outline => {
                TransitionProperty::Shorthand(ShorthandId::Outline)
            }
            nsCSSPropertyID::eCSSProperty_padding => {
                TransitionProperty::Shorthand(ShorthandId::Padding)
            }
            nsCSSPropertyID::eCSSProperty_padding_block => {
                TransitionProperty::Shorthand(ShorthandId::PaddingBlock)
            }
            nsCSSPropertyID::eCSSProperty_padding_inline => {
                TransitionProperty::Shorthand(ShorthandId::PaddingInline)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding => {
                TransitionProperty::Shorthand(ShorthandId::ScrollPadding)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_block => {
                TransitionProperty::Shorthand(ShorthandId::ScrollPaddingBlock)
            }
            nsCSSPropertyID::eCSSProperty_scroll_padding_inline => {
                TransitionProperty::Shorthand(ShorthandId::ScrollPaddingInline)
            }
            nsCSSPropertyID::eCSSProperty_flex_flow => {
                TransitionProperty::Shorthand(ShorthandId::FlexFlow)
            }
            nsCSSPropertyID::eCSSProperty_flex => {
                TransitionProperty::Shorthand(ShorthandId::Flex)
            }
            nsCSSPropertyID::eCSSProperty_gap => {
                TransitionProperty::Shorthand(ShorthandId::Gap)
            }
            nsCSSPropertyID::eCSSProperty_grid_row => {
                TransitionProperty::Shorthand(ShorthandId::GridRow)
            }
            nsCSSPropertyID::eCSSProperty_grid_column => {
                TransitionProperty::Shorthand(ShorthandId::GridColumn)
            }
            nsCSSPropertyID::eCSSProperty_grid_area => {
                TransitionProperty::Shorthand(ShorthandId::GridArea)
            }
            nsCSSPropertyID::eCSSProperty_grid_template => {
                TransitionProperty::Shorthand(ShorthandId::GridTemplate)
            }
            nsCSSPropertyID::eCSSProperty_grid => {
                TransitionProperty::Shorthand(ShorthandId::Grid)
            }
            nsCSSPropertyID::eCSSProperty_place_content => {
                TransitionProperty::Shorthand(ShorthandId::PlaceContent)
            }
            nsCSSPropertyID::eCSSProperty_place_self => {
                TransitionProperty::Shorthand(ShorthandId::PlaceSelf)
            }
            nsCSSPropertyID::eCSSProperty_place_items => {
                TransitionProperty::Shorthand(ShorthandId::PlaceItems)
            }
            nsCSSPropertyID::eCSSProperty_inset => {
                TransitionProperty::Shorthand(ShorthandId::Inset)
            }
            nsCSSPropertyID::eCSSProperty_inset_block => {
                TransitionProperty::Shorthand(ShorthandId::InsetBlock)
            }
            nsCSSPropertyID::eCSSProperty_inset_inline => {
                TransitionProperty::Shorthand(ShorthandId::InsetInline)
            }
            nsCSSPropertyID::eCSSProperty_contain_intrinsic_size => {
                TransitionProperty::Shorthand(ShorthandId::ContainIntrinsicSize)
            }
            nsCSSPropertyID::eCSSProperty_mask => {
                TransitionProperty::Shorthand(ShorthandId::Mask)
            }
            nsCSSPropertyID::eCSSProperty_mask_position => {
                TransitionProperty::Shorthand(ShorthandId::MaskPosition)
            }
            nsCSSPropertyID::eCSSProperty_text_decoration => {
                TransitionProperty::Shorthand(ShorthandId::TextDecoration)
            }
            nsCSSPropertyID::eCSSProperty_transition => {
                TransitionProperty::Shorthand(ShorthandId::Transition)
            }
            nsCSSPropertyID::eCSSProperty_animation => {
                TransitionProperty::Shorthand(ShorthandId::Animation)
            }
            nsCSSPropertyID::eCSSProperty_scroll_timeline => {
                TransitionProperty::Shorthand(ShorthandId::ScrollTimeline)
            }
            nsCSSPropertyID::eCSSProperty_view_timeline => {
                TransitionProperty::Shorthand(ShorthandId::ViewTimeline)
            }
            nsCSSPropertyID::eCSSPropertyExtra_all_properties => {
                TransitionProperty::Shorthand(ShorthandId::All)
            }
            _ => {
                panic!("non-convertible nsCSSPropertyID")
            }
        }
    }
}

/// A collection of AnimationValue that were composed on an element.
/// This HashMap stores the values that are the last AnimationValue to be
/// composed for each TransitionProperty.
pub type AnimationValueMap = FxHashMap<LonghandId, AnimationValue>;

/// An enum to represent a single computed value belonging to an animated
/// property in order to be interpolated with another one. When interpolating,
/// both values need to belong to the same property.
///
/// FIXME: We need to add a path for custom properties, but that's trivial after
/// this (is a similar path to that of PropertyDeclaration).
#[derive(Debug, MallocSizeOf)]
#[repr(u16)]
pub enum AnimationValue {
    /// `align-content`
    AlignContent(<crate::values::specified::AlignContent as ToComputedValue>::ComputedValue),
    /// `align-items`
    AlignItems(<crate::values::specified::AlignItems as ToComputedValue>::ComputedValue),
    /// `align-self`
    AlignSelf(<crate::values::specified::AlignSelf as ToComputedValue>::ComputedValue),
    /// `aspect-ratio`
    AspectRatio(<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue),
    /// `backface-visibility`
    BackfaceVisibility(<longhands::backface_visibility::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `baseline-source`
    BaselineSource(<crate::values::specified::BaselineSource as ToComputedValue>::ComputedValue),
    /// `border-collapse`
    BorderCollapse(<longhands::border_collapse::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `border-image-repeat`
    BorderImageRepeat(<crate::values::specified::BorderImageRepeat as ToComputedValue>::ComputedValue),
    /// `box-decoration-break`
    BoxDecorationBreak(<longhands::box_decoration_break::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `box-sizing`
    BoxSizing(<longhands::box_sizing::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `break-inside`
    BreakInside(<crate::values::specified::BreakWithin as ToComputedValue>::ComputedValue),
    /// `caption-side`
    CaptionSide(<crate::values::specified::table::CaptionSide as ToComputedValue>::ComputedValue),
    /// `clear`
    Clear(<crate::values::specified::Clear as ToComputedValue>::ComputedValue),
    /// `color-interpolation`
    ColorInterpolation(<longhands::color_interpolation::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `color-interpolation-filters`
    ColorInterpolationFilters(<longhands::color_interpolation_filters::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `column-count`
    ColumnCount(<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `column-fill`
    ColumnFill(<longhands::column_fill::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `column-span`
    ColumnSpan(<longhands::column_span::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `contain`
    Contain(Void),
    /// `container-type`
    ContainerType(Void),
    /// `content-visibility`
    ContentVisibility(Void),
    /// `direction`
    Direction(Void),
    /// `display`
    Display(<crate::values::specified::Display as ToComputedValue>::ComputedValue),
    /// `dominant-baseline`
    DominantBaseline(<longhands::dominant_baseline::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `empty-cells`
    EmptyCells(<longhands::empty_cells::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `flex-direction`
    FlexDirection(<longhands::flex_direction::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `flex-wrap`
    FlexWrap(<longhands::flex_wrap::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `float`
    Float(<crate::values::specified::Float as ToComputedValue>::ComputedValue),
    /// `font-kerning`
    FontKerning(<longhands::font_kerning::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `font-language-override`
    FontLanguageOverride(<crate::values::specified::FontLanguageOverride as ToComputedValue>::ComputedValue),
    /// `font-optical-sizing`
    FontOpticalSizing(<longhands::font_optical_sizing::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `font-size-adjust`
    FontSizeAdjust(<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `font-stretch`
    FontStretch(<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `font-style`
    FontStyle(<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `font-variant-caps`
    FontVariantCaps(<longhands::font_variant_caps::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `font-variant-east-asian`
    FontVariantEastAsian(<crate::values::specified::FontVariantEastAsian as ToComputedValue>::ComputedValue),
    /// `font-variant-emoji`
    FontVariantEmoji(<longhands::font_variant_emoji::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `font-variant-ligatures`
    FontVariantLigatures(<crate::values::specified::FontVariantLigatures as ToComputedValue>::ComputedValue),
    /// `font-variant-numeric`
    FontVariantNumeric(<crate::values::specified::FontVariantNumeric as ToComputedValue>::ComputedValue),
    /// `font-variant-position`
    FontVariantPosition(<longhands::font_variant_position::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `font-weight`
    FontWeight(<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `forced-color-adjust`
    ForcedColorAdjust(<crate::values::specified::ForcedColorAdjust as ToComputedValue>::ComputedValue),
    /// `grid-auto-flow`
    GridAutoFlow(<crate::values::specified::GridAutoFlow as ToComputedValue>::ComputedValue),
    /// `hyphens`
    Hyphens(<longhands::hyphens::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `image-orientation`
    ImageOrientation(<longhands::image_orientation::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `image-rendering`
    ImageRendering(<crate::values::specified::ImageRendering as ToComputedValue>::ComputedValue),
    /// `ime-mode`
    ImeMode(<longhands::ime_mode::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `initial-letter`
    InitialLetter(<crate::values::specified::InitialLetter as ToComputedValue>::ComputedValue),
    /// `isolation`
    Isolation(<longhands::isolation::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `justify-content`
    JustifyContent(<crate::values::specified::JustifyContent as ToComputedValue>::ComputedValue),
    /// `justify-items`
    JustifyItems(<crate::values::specified::JustifyItems as ToComputedValue>::ComputedValue),
    /// `justify-self`
    JustifySelf(<crate::values::specified::JustifySelf as ToComputedValue>::ComputedValue),
    /// `line-break`
    LineBreak(<crate::values::specified::LineBreak as ToComputedValue>::ComputedValue),
    /// `list-style-position`
    ListStylePosition(<longhands::list_style_position::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-type`
    MaskType(<longhands::mask_type::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `masonry-auto-flow`
    MasonryAutoFlow(<crate::values::specified::MasonryAutoFlow as ToComputedValue>::ComputedValue),
    /// `math-depth`
    MathDepth(Void),
    /// `math-style`
    MathStyle(Void),
    /// `mix-blend-mode`
    MixBlendMode(<longhands::mix_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-box-align`
    MozBoxAlign(<longhands::_moz_box_align::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-box-collapse`
    MozBoxCollapse(Void),
    /// `-moz-box-direction`
    MozBoxDirection(<longhands::_moz_box_direction::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-box-orient`
    MozBoxOrient(<longhands::_moz_box_orient::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-box-pack`
    MozBoxPack(<longhands::_moz_box_pack::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-control-character-visibility`
    MozControlCharacterVisibility(Void),
    /// `-moz-float-edge`
    MozFloatEdge(<longhands::_moz_float_edge::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-inert`
    MozInert(<longhands::_moz_inert::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-math-variant`
    MozMathVariant(Void),
    /// `-moz-min-font-size-ratio`
    MozMinFontSizeRatio(Void),
    /// `-moz-orient`
    MozOrient(<longhands::_moz_orient::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-osx-font-smoothing`
    MozOsxFontSmoothing(<longhands::_moz_osx_font_smoothing::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-script-min-size`
    MozScriptMinSize(Void),
    /// `-moz-script-size-multiplier`
    MozScriptSizeMultiplier(Void),
    /// `-moz-text-size-adjust`
    MozTextSizeAdjust(<longhands::_moz_text_size_adjust::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-top-layer`
    MozTopLayer(Void),
    /// `-moz-user-focus`
    MozUserFocus(<longhands::_moz_user_focus::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-user-input`
    MozUserInput(<longhands::_moz_user_input::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-user-modify`
    MozUserModify(<longhands::_moz_user_modify::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-window-dragging`
    MozWindowDragging(<longhands::_moz_window_dragging::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-moz-window-shadow`
    MozWindowShadow(<longhands::_moz_window_shadow::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `object-fit`
    ObjectFit(<longhands::object_fit::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `offset-rotate`
    OffsetRotate(<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue),
    /// `outline-style`
    OutlineStyle(<crate::values::specified::OutlineStyle as ToComputedValue>::ComputedValue),
    /// `overflow-anchor`
    OverflowAnchor(<crate::values::specified::OverflowAnchor as ToComputedValue>::ComputedValue),
    /// `overflow-wrap`
    OverflowWrap(<crate::values::specified::OverflowWrap as ToComputedValue>::ComputedValue),
    /// `page-orientation`
    PageOrientation(Void),
    /// `paint-order`
    PaintOrder(<crate::values::specified::SVGPaintOrder as ToComputedValue>::ComputedValue),
    /// `pointer-events`
    PointerEvents(<longhands::pointer_events::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `position`
    Position(<longhands::position::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `print-color-adjust`
    PrintColorAdjust(<crate::values::specified::PrintColorAdjust as ToComputedValue>::ComputedValue),
    /// `resize`
    Resize(<crate::values::specified::Resize as ToComputedValue>::ComputedValue),
    /// `ruby-align`
    RubyAlign(<longhands::ruby_align::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `ruby-position`
    RubyPosition(<crate::values::specified::RubyPosition as ToComputedValue>::ComputedValue),
    /// `scroll-behavior`
    ScrollBehavior(<longhands::scroll_behavior::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `scroll-snap-align`
    ScrollSnapAlign(<crate::values::specified::ScrollSnapAlign as ToComputedValue>::ComputedValue),
    /// `scroll-snap-stop`
    ScrollSnapStop(<crate::values::specified::ScrollSnapStop as ToComputedValue>::ComputedValue),
    /// `scroll-snap-type`
    ScrollSnapType(<crate::values::specified::ScrollSnapType as ToComputedValue>::ComputedValue),
    /// `scrollbar-gutter`
    ScrollbarGutter(<crate::values::specified::ScrollbarGutter as ToComputedValue>::ComputedValue),
    /// `scrollbar-width`
    ScrollbarWidth(<longhands::scrollbar_width::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `shape-rendering`
    ShapeRendering(<longhands::shape_rendering::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `stroke-linecap`
    StrokeLinecap(<longhands::stroke_linecap::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `stroke-linejoin`
    StrokeLinejoin(<longhands::stroke_linejoin::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `table-layout`
    TableLayout(<longhands::table_layout::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `text-align`
    TextAlign(<crate::values::specified::TextAlign as ToComputedValue>::ComputedValue),
    /// `text-align-last`
    TextAlignLast(<crate::values::specified::TextAlignLast as ToComputedValue>::ComputedValue),
    /// `text-anchor`
    TextAnchor(<longhands::text_anchor::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `text-combine-upright`
    TextCombineUpright(Void),
    /// `text-decoration-line`
    TextDecorationLine(<crate::values::specified::TextDecorationLine as ToComputedValue>::ComputedValue),
    /// `text-decoration-skip-ink`
    TextDecorationSkipInk(<crate::values::specified::TextDecorationSkipInk as ToComputedValue>::ComputedValue),
    /// `text-decoration-style`
    TextDecorationStyle(<longhands::text_decoration_style::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `text-emphasis-position`
    TextEmphasisPosition(<crate::values::specified::TextEmphasisPosition as ToComputedValue>::ComputedValue),
    /// `text-justify`
    TextJustify(<crate::values::specified::TextJustify as ToComputedValue>::ComputedValue),
    /// `text-orientation`
    TextOrientation(Void),
    /// `text-rendering`
    TextRendering(<longhands::text_rendering::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `text-transform`
    TextTransform(<crate::values::specified::TextTransform as ToComputedValue>::ComputedValue),
    /// `text-underline-position`
    TextUnderlinePosition(<crate::values::specified::TextUnderlinePosition as ToComputedValue>::ComputedValue),
    /// `touch-action`
    TouchAction(<crate::values::specified::TouchAction as ToComputedValue>::ComputedValue),
    /// `transform-box`
    TransformBox(<longhands::transform_box::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `transform-style`
    TransformStyle(<crate::values::specified::TransformStyle as ToComputedValue>::ComputedValue),
    /// `unicode-bidi`
    UnicodeBidi(Void),
    /// `user-select`
    UserSelect(<crate::values::specified::UserSelect as ToComputedValue>::ComputedValue),
    /// `vector-effect`
    VectorEffect(<longhands::vector_effect::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `visibility`
    Visibility(<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `-webkit-line-clamp`
    WebkitLineClamp(<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue),
    /// `-webkit-text-security`
    WebkitTextSecurity(<longhands::_webkit_text_security::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `white-space`
    WhiteSpace(<longhands::white_space::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `word-break`
    WordBreak(<crate::values::specified::WordBreak as ToComputedValue>::ComputedValue),
    /// `writing-mode`
    WritingMode(Void),
    /// `-x-text-scale`
    XTextScale(Void),
    /// `z-index`
    ZIndex(<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue),
    /// `appearance`
    Appearance(<crate::values::specified::Appearance as ToComputedValue>::ComputedValue),
    /// `-moz-default-appearance`
    MozDefaultAppearance(Void),
    /// `-moz-force-broken-image-icon`
    MozForceBrokenImageIcon(<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue),
    /// `-moz-subtree-hidden-only-visually`
    MozSubtreeHiddenOnlyVisually(<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue),
    /// `break-after`
    BreakAfter(<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue),
    /// `break-before`
    BreakBefore(<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue),
    /// `clip-rule`
    ClipRule(<crate::values::specified::FillRule as ToComputedValue>::ComputedValue),
    /// `fill-rule`
    FillRule(<crate::values::specified::FillRule as ToComputedValue>::ComputedValue),
    /// `overflow-clip-box-block`
    OverflowClipBoxBlock(<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue),
    /// `overflow-clip-box-inline`
    OverflowClipBoxInline(<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue),
    /// `fill-opacity`
    FillOpacity(<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue),
    /// `stroke-opacity`
    StrokeOpacity(<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue),
    /// `font-synthesis-small-caps`
    FontSynthesisSmallCaps(<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue),
    /// `font-synthesis-style`
    FontSynthesisStyle(<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue),
    /// `font-synthesis-weight`
    FontSynthesisWeight(<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue),
    /// `-moz-box-ordinal-group`
    MozBoxOrdinalGroup(<crate::values::specified::Integer as ToComputedValue>::ComputedValue),
    /// `order`
    Order(<crate::values::specified::Integer as ToComputedValue>::ComputedValue),
    /// `-x-span`
    XSpan(Void),
    /// `flex-grow`
    FlexGrow(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `flex-shrink`
    FlexShrink(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `-moz-box-flex`
    MozBoxFlex(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `stroke-miterlimit`
    StrokeMiterlimit(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `overflow-block`
    OverflowBlock(Void),
    /// `overflow-inline`
    OverflowInline(Void),
    /// `overflow-x`
    OverflowX(<crate::values::specified::Overflow as ToComputedValue>::ComputedValue),
    /// `overflow-y`
    OverflowY(<crate::values::specified::Overflow as ToComputedValue>::ComputedValue),
    /// `overscroll-behavior-block`
    OverscrollBehaviorBlock(Void),
    /// `overscroll-behavior-inline`
    OverscrollBehaviorInline(Void),
    /// `overscroll-behavior-x`
    OverscrollBehaviorX(<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue),
    /// `overscroll-behavior-y`
    OverscrollBehaviorY(<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue),
    /// `flood-opacity`
    FloodOpacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
    /// `-moz-window-opacity`
    MozWindowOpacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
    /// `opacity`
    Opacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
    /// `shape-image-threshold`
    ShapeImageThreshold(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
    /// `stop-opacity`
    StopOpacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
    /// `border-block-end-style`
    BorderBlockEndStyle(Void),
    /// `border-block-start-style`
    BorderBlockStartStyle(Void),
    /// `border-bottom-style`
    BorderBottomStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
    /// `border-inline-end-style`
    BorderInlineEndStyle(Void),
    /// `border-inline-start-style`
    BorderInlineStartStyle(Void),
    /// `border-left-style`
    BorderLeftStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
    /// `border-right-style`
    BorderRightStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
    /// `border-top-style`
    BorderTopStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
    /// `column-rule-style`
    ColumnRuleStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
    /// `accent-color`
    AccentColor(<<crate::values::specified::ColorOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `align-tracks`
    AlignTracks(<crate::values::specified::AlignTracks as ToComputedValue>::ComputedValue),
    /// `animation-composition`
    AnimationComposition(Void),
    /// `animation-delay`
    AnimationDelay(Void),
    /// `animation-direction`
    AnimationDirection(Void),
    /// `animation-duration`
    AnimationDuration(Void),
    /// `animation-fill-mode`
    AnimationFillMode(Void),
    /// `animation-iteration-count`
    AnimationIterationCount(Void),
    /// `animation-name`
    AnimationName(Void),
    /// `animation-play-state`
    AnimationPlayState(Void),
    /// `animation-timeline`
    AnimationTimeline(Void),
    /// `animation-timing-function`
    AnimationTimingFunction(Void),
    /// `backdrop-filter`
    BackdropFilter(<<longhands::backdrop_filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `background-attachment`
    BackgroundAttachment(<longhands::background_attachment::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-blend-mode`
    BackgroundBlendMode(<longhands::background_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-clip`
    BackgroundClip(<longhands::background_clip::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-image`
    BackgroundImage(<longhands::background_image::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-origin`
    BackgroundOrigin(<longhands::background_origin::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-position-x`
    BackgroundPositionX(<longhands::background_position_x::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-position-y`
    BackgroundPositionY(<longhands::background_position_y::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-repeat`
    BackgroundRepeat(<longhands::background_repeat::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `background-size`
    BackgroundSize(<<longhands::background_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-image-outset`
    BorderImageOutset(<<crate::values::specified::NonNegativeLengthOrNumberRect as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-image-slice`
    BorderImageSlice(<<crate::values::specified::BorderImageSlice as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-image-width`
    BorderImageWidth(<<crate::values::specified::BorderImageWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-spacing`
    BorderSpacing(<<crate::values::specified::BorderSpacing as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `box-shadow`
    BoxShadow(<<longhands::box_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `caret-color`
    CaretColor(<<crate::values::specified::color::CaretColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `clip`
    Clip(<crate::values::specified::ClipRectOrAuto as ToComputedValue>::ComputedValue),
    /// `clip-path`
    ClipPath(<<crate::values::specified::basic_shape::ClipPath as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `color`
    Color(<<crate::values::specified::ColorPropertyValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `color-scheme`
    ColorScheme(<crate::values::specified::ColorScheme as ToComputedValue>::ComputedValue),
    /// `column-width`
    ColumnWidth(<<crate::values::specified::length::NonNegativeLengthOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `container-name`
    ContainerName(Void),
    /// `content`
    Content(<crate::values::specified::Content as ToComputedValue>::ComputedValue),
    /// `counter-increment`
    CounterIncrement(<crate::values::specified::CounterIncrement as ToComputedValue>::ComputedValue),
    /// `counter-reset`
    CounterReset(<crate::values::specified::CounterReset as ToComputedValue>::ComputedValue),
    /// `counter-set`
    CounterSet(<crate::values::specified::CounterSet as ToComputedValue>::ComputedValue),
    /// `cursor`
    Cursor(<crate::values::specified::Cursor as ToComputedValue>::ComputedValue),
    /// `d`
    D(<crate::values::specified::DProperty as ToComputedValue>::ComputedValue),
    /// `filter`
    Filter(<<longhands::filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `flex-basis`
    FlexBasis(<<crate::values::specified::FlexBasis as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `font-family`
    FontFamily(<crate::values::specified::FontFamily as ToComputedValue>::ComputedValue),
    /// `font-feature-settings`
    FontFeatureSettings(<crate::values::specified::FontFeatureSettings as ToComputedValue>::ComputedValue),
    /// `font-palette`
    FontPalette(<crate::values::specified::FontPalette as ToComputedValue>::ComputedValue),
    /// `font-size`
    FontSize(<<crate::values::specified::FontSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `font-variant-alternates`
    FontVariantAlternates(<crate::values::specified::FontVariantAlternates as ToComputedValue>::ComputedValue),
    /// `font-variation-settings`
    FontVariationSettings(<crate::values::specified::FontVariationSettings as ToComputedValue>::ComputedValue),
    /// `grid-template-areas`
    GridTemplateAreas(<crate::values::specified::GridTemplateAreas as ToComputedValue>::ComputedValue),
    /// `hyphenate-character`
    HyphenateCharacter(<crate::values::specified::HyphenateCharacter as ToComputedValue>::ComputedValue),
    /// `justify-tracks`
    JustifyTracks(<crate::values::specified::JustifyTracks as ToComputedValue>::ComputedValue),
    /// `letter-spacing`
    LetterSpacing(<crate::values::specified::LetterSpacing as ToComputedValue>::ComputedValue),
    /// `line-height`
    LineHeight(<<crate::values::specified::LineHeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `list-style-type`
    ListStyleType(<crate::values::specified::ListStyleType as ToComputedValue>::ComputedValue),
    /// `mask-clip`
    MaskClip(<longhands::mask_clip::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-composite`
    MaskComposite(<longhands::mask_composite::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-image`
    MaskImage(<longhands::mask_image::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-mode`
    MaskMode(<longhands::mask_mode::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-origin`
    MaskOrigin(<longhands::mask_origin::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-position-x`
    MaskPositionX(<longhands::mask_position_x::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-position-y`
    MaskPositionY(<longhands::mask_position_y::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-repeat`
    MaskRepeat(<longhands::mask_repeat::SpecifiedValue as ToComputedValue>::ComputedValue),
    /// `mask-size`
    MaskSize(<<longhands::mask_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `-moz-context-properties`
    MozContextProperties(Void),
    /// `-moz-font-smoothing-background-color`
    MozFontSmoothingBackgroundColor(Void),
    /// `offset-anchor`
    OffsetAnchor(<crate::values::specified::PositionOrAuto as ToComputedValue>::ComputedValue),
    /// `offset-path`
    OffsetPath(<crate::values::specified::OffsetPath as ToComputedValue>::ComputedValue),
    /// `offset-position`
    OffsetPosition(<crate::values::specified::OffsetPosition as ToComputedValue>::ComputedValue),
    /// `page`
    Page(<crate::values::specified::PageName as ToComputedValue>::ComputedValue),
    /// `perspective`
    Perspective(<<crate::values::specified::Perspective as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `quotes`
    Quotes(<crate::values::specified::Quotes as ToComputedValue>::ComputedValue),
    /// `rotate`
    Rotate(<crate::values::specified::Rotate as ToComputedValue>::ComputedValue),
    /// `scale`
    Scale(<crate::values::specified::Scale as ToComputedValue>::ComputedValue),
    /// `scroll-timeline-axis`
    ScrollTimelineAxis(Void),
    /// `scroll-timeline-name`
    ScrollTimelineName(Void),
    /// `scrollbar-color`
    ScrollbarColor(<<crate::values::specified::ui::ScrollbarColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `shape-outside`
    ShapeOutside(<<crate::values::specified::basic_shape::ShapeOutside as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `size`
    Size(Void),
    /// `stroke-dasharray`
    StrokeDasharray(<<crate::values::specified::SVGStrokeDashArray as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `stroke-dashoffset`
    StrokeDashoffset(<crate::values::specified::SVGLength as ToComputedValue>::ComputedValue),
    /// `stroke-width`
    StrokeWidth(<<crate::values::specified::SVGWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `tab-size`
    TabSize(<<crate::values::specified::NonNegativeLengthOrNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `text-decoration-thickness`
    TextDecorationThickness(<crate::values::specified::TextDecorationLength as ToComputedValue>::ComputedValue),
    /// `text-emphasis-style`
    TextEmphasisStyle(<crate::values::specified::TextEmphasisStyle as ToComputedValue>::ComputedValue),
    /// `text-overflow`
    TextOverflow(<crate::values::specified::TextOverflow as ToComputedValue>::ComputedValue),
    /// `text-shadow`
    TextShadow(<<longhands::text_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `transition-delay`
    TransitionDelay(Void),
    /// `transition-duration`
    TransitionDuration(Void),
    /// `transition-property`
    TransitionProperty(Void),
    /// `transition-timing-function`
    TransitionTimingFunction(Void),
    /// `translate`
    Translate(<crate::values::specified::Translate as ToComputedValue>::ComputedValue),
    /// `vertical-align`
    VerticalAlign(<crate::values::specified::VerticalAlign as ToComputedValue>::ComputedValue),
    /// `view-timeline-axis`
    ViewTimelineAxis(Void),
    /// `view-timeline-inset`
    ViewTimelineInset(Void),
    /// `view-timeline-name`
    ViewTimelineName(Void),
    /// `-webkit-text-stroke-width`
    WebkitTextStrokeWidth(<crate::values::specified::LineWidth as ToComputedValue>::ComputedValue),
    /// `will-change`
    WillChange(Void),
    /// `word-spacing`
    WordSpacing(<crate::values::specified::WordSpacing as ToComputedValue>::ComputedValue),
    /// `-x-lang`
    XLang(Void),
    /// `object-position`
    ObjectPosition(<crate::values::specified::Position as ToComputedValue>::ComputedValue),
    /// `perspective-origin`
    PerspectiveOrigin(<crate::values::specified::Position as ToComputedValue>::ComputedValue),
    /// `fill`
    Fill(<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `stroke`
    Stroke(<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `-moz-window-transform-origin`
    MozWindowTransformOrigin(<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue),
    /// `transform-origin`
    TransformOrigin(<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue),
    /// `grid-template-columns`
    GridTemplateColumns(<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue),
    /// `grid-template-rows`
    GridTemplateRows(<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue),
    /// `border-image-source`
    BorderImageSource(<crate::values::specified::Image as ToComputedValue>::ComputedValue),
    /// `list-style-image`
    ListStyleImage(<crate::values::specified::Image as ToComputedValue>::ComputedValue),
    /// `grid-auto-columns`
    GridAutoColumns(<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue),
    /// `grid-auto-rows`
    GridAutoRows(<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue),
    /// `-moz-window-transform`
    MozWindowTransform(<crate::values::specified::Transform as ToComputedValue>::ComputedValue),
    /// `transform`
    Transform(<crate::values::specified::Transform as ToComputedValue>::ComputedValue),
    /// `column-gap`
    ColumnGap(<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `row-gap`
    RowGap(<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `marker-end`
    MarkerEnd(<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue),
    /// `marker-mid`
    MarkerMid(<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue),
    /// `marker-start`
    MarkerStart(<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue),
    /// `contain-intrinsic-block-size`
    ContainIntrinsicBlockSize(Void),
    /// `contain-intrinsic-height`
    ContainIntrinsicHeight(<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `contain-intrinsic-inline-size`
    ContainIntrinsicInlineSize(Void),
    /// `contain-intrinsic-width`
    ContainIntrinsicWidth(<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `grid-column-end`
    GridColumnEnd(<crate::values::specified::GridLine as ToComputedValue>::ComputedValue),
    /// `grid-column-start`
    GridColumnStart(<crate::values::specified::GridLine as ToComputedValue>::ComputedValue),
    /// `grid-row-end`
    GridRowEnd(<crate::values::specified::GridLine as ToComputedValue>::ComputedValue),
    /// `grid-row-start`
    GridRowStart(<crate::values::specified::GridLine as ToComputedValue>::ComputedValue),
    /// `max-block-size`
    MaxBlockSize(Void),
    /// `max-height`
    MaxHeight(<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `max-inline-size`
    MaxInlineSize(Void),
    /// `max-width`
    MaxWidth(<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `cx`
    Cx(<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue),
    /// `cy`
    Cy(<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue),
    /// `offset-distance`
    OffsetDistance(<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue),
    /// `text-indent`
    TextIndent(<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue),
    /// `x`
    X(<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue),
    /// `y`
    Y(<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue),
    /// `border-bottom-left-radius`
    BorderBottomLeftRadius(<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-bottom-right-radius`
    BorderBottomRightRadius(<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-end-end-radius`
    BorderEndEndRadius(Void),
    /// `border-end-start-radius`
    BorderEndStartRadius(Void),
    /// `border-start-end-radius`
    BorderStartEndRadius(Void),
    /// `border-start-start-radius`
    BorderStartStartRadius(Void),
    /// `border-top-left-radius`
    BorderTopLeftRadius(<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-top-right-radius`
    BorderTopRightRadius(<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `block-size`
    BlockSize(Void),
    /// `height`
    Height(<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `inline-size`
    InlineSize(Void),
    /// `min-block-size`
    MinBlockSize(Void),
    /// `min-height`
    MinHeight(<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `min-inline-size`
    MinInlineSize(Void),
    /// `min-width`
    MinWidth(<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `width`
    Width(<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-block-end-width`
    BorderBlockEndWidth(Void),
    /// `border-block-start-width`
    BorderBlockStartWidth(Void),
    /// `border-bottom-width`
    BorderBottomWidth(<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-inline-end-width`
    BorderInlineEndWidth(Void),
    /// `border-inline-start-width`
    BorderInlineStartWidth(Void),
    /// `border-left-width`
    BorderLeftWidth(<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-right-width`
    BorderRightWidth(<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-top-width`
    BorderTopWidth(<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `column-rule-width`
    ColumnRuleWidth(<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `outline-width`
    OutlineWidth(<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `padding-block-end`
    PaddingBlockEnd(Void),
    /// `padding-block-start`
    PaddingBlockStart(Void),
    /// `padding-bottom`
    PaddingBottom(<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `padding-inline-end`
    PaddingInlineEnd(Void),
    /// `padding-inline-start`
    PaddingInlineStart(Void),
    /// `padding-left`
    PaddingLeft(<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `padding-right`
    PaddingRight(<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `padding-top`
    PaddingTop(<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `r`
    R(<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `shape-margin`
    ShapeMargin(<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `rx`
    Rx(<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `ry`
    Ry(<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `scroll-padding-block-end`
    ScrollPaddingBlockEnd(Void),
    /// `scroll-padding-block-start`
    ScrollPaddingBlockStart(Void),
    /// `scroll-padding-bottom`
    ScrollPaddingBottom(<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `scroll-padding-inline-end`
    ScrollPaddingInlineEnd(Void),
    /// `scroll-padding-inline-start`
    ScrollPaddingInlineStart(Void),
    /// `scroll-padding-left`
    ScrollPaddingLeft(<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `scroll-padding-right`
    ScrollPaddingRight(<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `scroll-padding-top`
    ScrollPaddingTop(<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `-moz-window-input-region-margin`
    MozWindowInputRegionMargin(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `outline-offset`
    OutlineOffset(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `overflow-clip-margin`
    OverflowClipMargin(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `scroll-margin-block-end`
    ScrollMarginBlockEnd(Void),
    /// `scroll-margin-block-start`
    ScrollMarginBlockStart(Void),
    /// `scroll-margin-bottom`
    ScrollMarginBottom(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `scroll-margin-inline-end`
    ScrollMarginInlineEnd(Void),
    /// `scroll-margin-inline-start`
    ScrollMarginInlineStart(Void),
    /// `scroll-margin-left`
    ScrollMarginLeft(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `scroll-margin-right`
    ScrollMarginRight(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `scroll-margin-top`
    ScrollMarginTop(<crate::values::specified::Length as ToComputedValue>::ComputedValue),
    /// `bottom`
    Bottom(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `inset-block-end`
    InsetBlockEnd(Void),
    /// `inset-block-start`
    InsetBlockStart(Void),
    /// `inset-inline-end`
    InsetInlineEnd(Void),
    /// `inset-inline-start`
    InsetInlineStart(Void),
    /// `left`
    Left(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `margin-block-end`
    MarginBlockEnd(Void),
    /// `margin-block-start`
    MarginBlockStart(Void),
    /// `margin-bottom`
    MarginBottom(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `margin-inline-end`
    MarginInlineEnd(Void),
    /// `margin-inline-start`
    MarginInlineStart(Void),
    /// `margin-left`
    MarginLeft(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `margin-right`
    MarginRight(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `margin-top`
    MarginTop(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `right`
    Right(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `text-underline-offset`
    TextUnderlineOffset(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `top`
    Top(<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue),
    /// `background-color`
    BackgroundColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-block-end-color`
    BorderBlockEndColor(Void),
    /// `border-block-start-color`
    BorderBlockStartColor(Void),
    /// `border-bottom-color`
    BorderBottomColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-inline-end-color`
    BorderInlineEndColor(Void),
    /// `border-inline-start-color`
    BorderInlineStartColor(Void),
    /// `border-left-color`
    BorderLeftColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-right-color`
    BorderRightColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `border-top-color`
    BorderTopColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `column-rule-color`
    ColumnRuleColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `flood-color`
    FloodColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `lighting-color`
    LightingColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `outline-color`
    OutlineColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `stop-color`
    StopColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `text-decoration-color`
    TextDecorationColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `text-emphasis-color`
    TextEmphasisColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `-webkit-text-fill-color`
    WebkitTextFillColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
    /// `-webkit-text-stroke-color`
    WebkitTextStrokeColor(<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
}



#[repr(C)]
struct AnimationValueVariantRepr<T> {
    tag: u16,
    value: T
}

impl Clone for AnimationValue {
    #[inline]
    fn clone(&self) -> Self {
        use self::AnimationValue::*;

        

        let self_tag = unsafe { *(self as *const _ as *const u16) };
        if self_tag <= LonghandId::ColumnRuleStyle as u16 {
            #[derive(Clone, Copy)]
            #[repr(u16)]
            enum CopyVariants {
                _AlignContent(<crate::values::specified::AlignContent as ToComputedValue>::ComputedValue),
                _AlignItems(<crate::values::specified::AlignItems as ToComputedValue>::ComputedValue),
                _AlignSelf(<crate::values::specified::AlignSelf as ToComputedValue>::ComputedValue),
                _AspectRatio(<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue),
                _BackfaceVisibility(<longhands::backface_visibility::SpecifiedValue as ToComputedValue>::ComputedValue),
                _BaselineSource(<crate::values::specified::BaselineSource as ToComputedValue>::ComputedValue),
                _BorderCollapse(<longhands::border_collapse::SpecifiedValue as ToComputedValue>::ComputedValue),
                _BorderImageRepeat(<crate::values::specified::BorderImageRepeat as ToComputedValue>::ComputedValue),
                _BoxDecorationBreak(<longhands::box_decoration_break::SpecifiedValue as ToComputedValue>::ComputedValue),
                _BoxSizing(<longhands::box_sizing::SpecifiedValue as ToComputedValue>::ComputedValue),
                _BreakInside(<crate::values::specified::BreakWithin as ToComputedValue>::ComputedValue),
                _CaptionSide(<crate::values::specified::table::CaptionSide as ToComputedValue>::ComputedValue),
                _Clear(<crate::values::specified::Clear as ToComputedValue>::ComputedValue),
                _ColorInterpolation(<longhands::color_interpolation::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ColorInterpolationFilters(<longhands::color_interpolation_filters::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ColumnCount(<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _ColumnFill(<longhands::column_fill::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ColumnSpan(<longhands::column_span::SpecifiedValue as ToComputedValue>::ComputedValue),
                _Display(<crate::values::specified::Display as ToComputedValue>::ComputedValue),
                _DominantBaseline(<longhands::dominant_baseline::SpecifiedValue as ToComputedValue>::ComputedValue),
                _EmptyCells(<longhands::empty_cells::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FlexDirection(<longhands::flex_direction::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FlexWrap(<longhands::flex_wrap::SpecifiedValue as ToComputedValue>::ComputedValue),
                _Float(<crate::values::specified::Float as ToComputedValue>::ComputedValue),
                _FontKerning(<longhands::font_kerning::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FontLanguageOverride(<crate::values::specified::FontLanguageOverride as ToComputedValue>::ComputedValue),
                _FontOpticalSizing(<longhands::font_optical_sizing::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FontSizeAdjust(<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _FontStretch(<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _FontStyle(<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _FontVariantCaps(<longhands::font_variant_caps::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FontVariantEastAsian(<crate::values::specified::FontVariantEastAsian as ToComputedValue>::ComputedValue),
                _FontVariantEmoji(<longhands::font_variant_emoji::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FontVariantLigatures(<crate::values::specified::FontVariantLigatures as ToComputedValue>::ComputedValue),
                _FontVariantNumeric(<crate::values::specified::FontVariantNumeric as ToComputedValue>::ComputedValue),
                _FontVariantPosition(<longhands::font_variant_position::SpecifiedValue as ToComputedValue>::ComputedValue),
                _FontWeight(<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _ForcedColorAdjust(<crate::values::specified::ForcedColorAdjust as ToComputedValue>::ComputedValue),
                _GridAutoFlow(<crate::values::specified::GridAutoFlow as ToComputedValue>::ComputedValue),
                _Hyphens(<longhands::hyphens::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ImageOrientation(<longhands::image_orientation::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ImageRendering(<crate::values::specified::ImageRendering as ToComputedValue>::ComputedValue),
                _ImeMode(<longhands::ime_mode::SpecifiedValue as ToComputedValue>::ComputedValue),
                _InitialLetter(<crate::values::specified::InitialLetter as ToComputedValue>::ComputedValue),
                _Isolation(<longhands::isolation::SpecifiedValue as ToComputedValue>::ComputedValue),
                _JustifyContent(<crate::values::specified::JustifyContent as ToComputedValue>::ComputedValue),
                _JustifyItems(<crate::values::specified::JustifyItems as ToComputedValue>::ComputedValue),
                _JustifySelf(<crate::values::specified::JustifySelf as ToComputedValue>::ComputedValue),
                _LineBreak(<crate::values::specified::LineBreak as ToComputedValue>::ComputedValue),
                _ListStylePosition(<longhands::list_style_position::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MaskType(<longhands::mask_type::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MasonryAutoFlow(<crate::values::specified::MasonryAutoFlow as ToComputedValue>::ComputedValue),
                _MixBlendMode(<longhands::mix_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozBoxAlign(<longhands::_moz_box_align::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozBoxDirection(<longhands::_moz_box_direction::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozBoxOrient(<longhands::_moz_box_orient::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozBoxPack(<longhands::_moz_box_pack::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozFloatEdge(<longhands::_moz_float_edge::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozInert(<longhands::_moz_inert::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozOrient(<longhands::_moz_orient::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozOsxFontSmoothing(<longhands::_moz_osx_font_smoothing::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozTextSizeAdjust(<longhands::_moz_text_size_adjust::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozUserFocus(<longhands::_moz_user_focus::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozUserInput(<longhands::_moz_user_input::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozUserModify(<longhands::_moz_user_modify::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozWindowDragging(<longhands::_moz_window_dragging::SpecifiedValue as ToComputedValue>::ComputedValue),
                _MozWindowShadow(<longhands::_moz_window_shadow::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ObjectFit(<longhands::object_fit::SpecifiedValue as ToComputedValue>::ComputedValue),
                _OffsetRotate(<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue),
                _OutlineStyle(<crate::values::specified::OutlineStyle as ToComputedValue>::ComputedValue),
                _OverflowAnchor(<crate::values::specified::OverflowAnchor as ToComputedValue>::ComputedValue),
                _OverflowWrap(<crate::values::specified::OverflowWrap as ToComputedValue>::ComputedValue),
                _PaintOrder(<crate::values::specified::SVGPaintOrder as ToComputedValue>::ComputedValue),
                _PointerEvents(<longhands::pointer_events::SpecifiedValue as ToComputedValue>::ComputedValue),
                _Position(<longhands::position::SpecifiedValue as ToComputedValue>::ComputedValue),
                _PrintColorAdjust(<crate::values::specified::PrintColorAdjust as ToComputedValue>::ComputedValue),
                _Resize(<crate::values::specified::Resize as ToComputedValue>::ComputedValue),
                _RubyAlign(<longhands::ruby_align::SpecifiedValue as ToComputedValue>::ComputedValue),
                _RubyPosition(<crate::values::specified::RubyPosition as ToComputedValue>::ComputedValue),
                _ScrollBehavior(<longhands::scroll_behavior::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ScrollSnapAlign(<crate::values::specified::ScrollSnapAlign as ToComputedValue>::ComputedValue),
                _ScrollSnapStop(<crate::values::specified::ScrollSnapStop as ToComputedValue>::ComputedValue),
                _ScrollSnapType(<crate::values::specified::ScrollSnapType as ToComputedValue>::ComputedValue),
                _ScrollbarGutter(<crate::values::specified::ScrollbarGutter as ToComputedValue>::ComputedValue),
                _ScrollbarWidth(<longhands::scrollbar_width::SpecifiedValue as ToComputedValue>::ComputedValue),
                _ShapeRendering(<longhands::shape_rendering::SpecifiedValue as ToComputedValue>::ComputedValue),
                _StrokeLinecap(<longhands::stroke_linecap::SpecifiedValue as ToComputedValue>::ComputedValue),
                _StrokeLinejoin(<longhands::stroke_linejoin::SpecifiedValue as ToComputedValue>::ComputedValue),
                _TableLayout(<longhands::table_layout::SpecifiedValue as ToComputedValue>::ComputedValue),
                _TextAlign(<crate::values::specified::TextAlign as ToComputedValue>::ComputedValue),
                _TextAlignLast(<crate::values::specified::TextAlignLast as ToComputedValue>::ComputedValue),
                _TextAnchor(<longhands::text_anchor::SpecifiedValue as ToComputedValue>::ComputedValue),
                _TextDecorationLine(<crate::values::specified::TextDecorationLine as ToComputedValue>::ComputedValue),
                _TextDecorationSkipInk(<crate::values::specified::TextDecorationSkipInk as ToComputedValue>::ComputedValue),
                _TextDecorationStyle(<longhands::text_decoration_style::SpecifiedValue as ToComputedValue>::ComputedValue),
                _TextEmphasisPosition(<crate::values::specified::TextEmphasisPosition as ToComputedValue>::ComputedValue),
                _TextJustify(<crate::values::specified::TextJustify as ToComputedValue>::ComputedValue),
                _TextRendering(<longhands::text_rendering::SpecifiedValue as ToComputedValue>::ComputedValue),
                _TextTransform(<crate::values::specified::TextTransform as ToComputedValue>::ComputedValue),
                _TextUnderlinePosition(<crate::values::specified::TextUnderlinePosition as ToComputedValue>::ComputedValue),
                _TouchAction(<crate::values::specified::TouchAction as ToComputedValue>::ComputedValue),
                _TransformBox(<longhands::transform_box::SpecifiedValue as ToComputedValue>::ComputedValue),
                _TransformStyle(<crate::values::specified::TransformStyle as ToComputedValue>::ComputedValue),
                _UserSelect(<crate::values::specified::UserSelect as ToComputedValue>::ComputedValue),
                _VectorEffect(<longhands::vector_effect::SpecifiedValue as ToComputedValue>::ComputedValue),
                _Visibility(<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue),
                _WebkitLineClamp(<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue),
                _WebkitTextSecurity(<longhands::_webkit_text_security::SpecifiedValue as ToComputedValue>::ComputedValue),
                _WhiteSpace(<longhands::white_space::SpecifiedValue as ToComputedValue>::ComputedValue),
                _WordBreak(<crate::values::specified::WordBreak as ToComputedValue>::ComputedValue),
                _ZIndex(<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue),
                _Appearance(<crate::values::specified::Appearance as ToComputedValue>::ComputedValue),
                _MozForceBrokenImageIcon(<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue),
                _MozSubtreeHiddenOnlyVisually(<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue),
                _BreakAfter(<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue),
                _BreakBefore(<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue),
                _ClipRule(<crate::values::specified::FillRule as ToComputedValue>::ComputedValue),
                _FillRule(<crate::values::specified::FillRule as ToComputedValue>::ComputedValue),
                _OverflowClipBoxBlock(<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue),
                _OverflowClipBoxInline(<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue),
                _FillOpacity(<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue),
                _StrokeOpacity(<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue),
                _FontSynthesisSmallCaps(<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue),
                _FontSynthesisStyle(<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue),
                _FontSynthesisWeight(<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue),
                _MozBoxOrdinalGroup(<crate::values::specified::Integer as ToComputedValue>::ComputedValue),
                _Order(<crate::values::specified::Integer as ToComputedValue>::ComputedValue),
                _FlexGrow(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _FlexShrink(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _MozBoxFlex(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _StrokeMiterlimit(<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue),
                _OverflowX(<crate::values::specified::Overflow as ToComputedValue>::ComputedValue),
                _OverflowY(<crate::values::specified::Overflow as ToComputedValue>::ComputedValue),
                _OverscrollBehaviorX(<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue),
                _OverscrollBehaviorY(<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue),
                _FloodOpacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
                _MozWindowOpacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
                _Opacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
                _ShapeImageThreshold(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
                _StopOpacity(<crate::values::specified::Opacity as ToComputedValue>::ComputedValue),
                _BorderBottomStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
                _BorderLeftStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
                _BorderRightStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
                _BorderTopStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
                _ColumnRuleStyle(<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue),
            }

            unsafe {
                let mut out = mem::MaybeUninit::uninit();
                ptr::write(
                    out.as_mut_ptr() as *mut CopyVariants,
                    *(self as *const _ as *const CopyVariants),
                );
                return out.assume_init();
            }
        }

        match *self {
            
            AccentColor(ref value) => {
                AccentColor(value.clone())
            }
            
            AlignTracks(ref value) => {
                AlignTracks(value.clone())
            }
            
            BackdropFilter(ref value) => {
                BackdropFilter(value.clone())
            }
            
            BackgroundAttachment(ref value) => {
                BackgroundAttachment(value.clone())
            }
            
            BackgroundBlendMode(ref value) => {
                BackgroundBlendMode(value.clone())
            }
            
            BackgroundClip(ref value) => {
                BackgroundClip(value.clone())
            }
            
            BackgroundImage(ref value) => {
                BackgroundImage(value.clone())
            }
            
            BackgroundOrigin(ref value) => {
                BackgroundOrigin(value.clone())
            }
            
            BackgroundPositionX(ref value) => {
                BackgroundPositionX(value.clone())
            }
            
            BackgroundPositionY(ref value) => {
                BackgroundPositionY(value.clone())
            }
            
            BackgroundRepeat(ref value) => {
                BackgroundRepeat(value.clone())
            }
            
            BackgroundSize(ref value) => {
                BackgroundSize(value.clone())
            }
            
            BorderImageOutset(ref value) => {
                BorderImageOutset(value.clone())
            }
            
            BorderImageSlice(ref value) => {
                BorderImageSlice(value.clone())
            }
            
            BorderImageWidth(ref value) => {
                BorderImageWidth(value.clone())
            }
            
            BorderSpacing(ref value) => {
                BorderSpacing(value.clone())
            }
            
            BoxShadow(ref value) => {
                BoxShadow(value.clone())
            }
            
            CaretColor(ref value) => {
                CaretColor(value.clone())
            }
            
            Clip(ref value) => {
                Clip(value.clone())
            }
            
            ClipPath(ref value) => {
                ClipPath(value.clone())
            }
            
            Color(ref value) => {
                Color(value.clone())
            }
            
            ColorScheme(ref value) => {
                ColorScheme(value.clone())
            }
            
            ColumnWidth(ref value) => {
                ColumnWidth(value.clone())
            }
            
            Content(ref value) => {
                Content(value.clone())
            }
            
            CounterIncrement(ref value) => {
                CounterIncrement(value.clone())
            }
            
            CounterReset(ref value) => {
                CounterReset(value.clone())
            }
            
            CounterSet(ref value) => {
                CounterSet(value.clone())
            }
            
            Cursor(ref value) => {
                Cursor(value.clone())
            }
            
            D(ref value) => {
                D(value.clone())
            }
            
            Filter(ref value) => {
                Filter(value.clone())
            }
            
            FlexBasis(ref value) => {
                FlexBasis(value.clone())
            }
            
            FontFamily(ref value) => {
                FontFamily(value.clone())
            }
            
            FontFeatureSettings(ref value) => {
                FontFeatureSettings(value.clone())
            }
            
            FontPalette(ref value) => {
                FontPalette(value.clone())
            }
            
            FontSize(ref value) => {
                FontSize(value.clone())
            }
            
            FontVariantAlternates(ref value) => {
                FontVariantAlternates(value.clone())
            }
            
            FontVariationSettings(ref value) => {
                FontVariationSettings(value.clone())
            }
            
            GridTemplateAreas(ref value) => {
                GridTemplateAreas(value.clone())
            }
            
            HyphenateCharacter(ref value) => {
                HyphenateCharacter(value.clone())
            }
            
            JustifyTracks(ref value) => {
                JustifyTracks(value.clone())
            }
            
            LetterSpacing(ref value) => {
                LetterSpacing(value.clone())
            }
            
            LineHeight(ref value) => {
                LineHeight(value.clone())
            }
            
            ListStyleType(ref value) => {
                ListStyleType(value.clone())
            }
            
            MaskClip(ref value) => {
                MaskClip(value.clone())
            }
            
            MaskComposite(ref value) => {
                MaskComposite(value.clone())
            }
            
            MaskImage(ref value) => {
                MaskImage(value.clone())
            }
            
            MaskMode(ref value) => {
                MaskMode(value.clone())
            }
            
            MaskOrigin(ref value) => {
                MaskOrigin(value.clone())
            }
            
            MaskPositionX(ref value) => {
                MaskPositionX(value.clone())
            }
            
            MaskPositionY(ref value) => {
                MaskPositionY(value.clone())
            }
            
            MaskRepeat(ref value) => {
                MaskRepeat(value.clone())
            }
            
            MaskSize(ref value) => {
                MaskSize(value.clone())
            }
            
            OffsetAnchor(ref value) => {
                OffsetAnchor(value.clone())
            }
            
            OffsetPath(ref value) => {
                OffsetPath(value.clone())
            }
            
            OffsetPosition(ref value) => {
                OffsetPosition(value.clone())
            }
            
            Page(ref value) => {
                Page(value.clone())
            }
            
            Perspective(ref value) => {
                Perspective(value.clone())
            }
            
            Quotes(ref value) => {
                Quotes(value.clone())
            }
            
            Rotate(ref value) => {
                Rotate(value.clone())
            }
            
            Scale(ref value) => {
                Scale(value.clone())
            }
            
            ScrollbarColor(ref value) => {
                ScrollbarColor(value.clone())
            }
            
            ShapeOutside(ref value) => {
                ShapeOutside(value.clone())
            }
            
            StrokeDasharray(ref value) => {
                StrokeDasharray(value.clone())
            }
            
            StrokeDashoffset(ref value) => {
                StrokeDashoffset(value.clone())
            }
            
            StrokeWidth(ref value) => {
                StrokeWidth(value.clone())
            }
            
            TabSize(ref value) => {
                TabSize(value.clone())
            }
            
            TextDecorationThickness(ref value) => {
                TextDecorationThickness(value.clone())
            }
            
            TextEmphasisStyle(ref value) => {
                TextEmphasisStyle(value.clone())
            }
            
            TextOverflow(ref value) => {
                TextOverflow(value.clone())
            }
            
            TextShadow(ref value) => {
                TextShadow(value.clone())
            }
            
            Translate(ref value) => {
                Translate(value.clone())
            }
            
            VerticalAlign(ref value) => {
                VerticalAlign(value.clone())
            }
            
            WebkitTextStrokeWidth(ref value) => {
                WebkitTextStrokeWidth(value.clone())
            }
            
            WordSpacing(ref value) => {
                WordSpacing(value.clone())
            }
            
            ObjectPosition(ref value) |
PerspectiveOrigin(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Position as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Fill(ref value) |
Stroke(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowTransformOrigin(ref value) |
TransformOrigin(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridTemplateColumns(ref value) |
GridTemplateRows(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderImageSource(ref value) |
ListStyleImage(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Image as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridAutoColumns(ref value) |
GridAutoRows(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowTransform(ref value) |
Transform(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Transform as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            ColumnGap(ref value) |
RowGap(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MarkerEnd(ref value) |
MarkerMid(ref value) |
MarkerStart(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            ContainIntrinsicHeight(ref value) |
ContainIntrinsicWidth(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridColumnEnd(ref value) |
GridColumnStart(ref value) |
GridRowEnd(ref value) |
GridRowStart(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridLine as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MaxHeight(ref value) |
MaxWidth(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Cx(ref value) |
Cy(ref value) |
OffsetDistance(ref value) |
TextIndent(ref value) |
X(ref value) |
Y(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBottomLeftRadius(ref value) |
BorderBottomRightRadius(ref value) |
BorderTopLeftRadius(ref value) |
BorderTopRightRadius(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Height(ref value) |
MinHeight(ref value) |
MinWidth(ref value) |
Width(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBottomWidth(ref value) |
BorderLeftWidth(ref value) |
BorderRightWidth(ref value) |
BorderTopWidth(ref value) |
ColumnRuleWidth(ref value) |
OutlineWidth(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            PaddingBottom(ref value) |
PaddingLeft(ref value) |
PaddingRight(ref value) |
PaddingTop(ref value) |
R(ref value) |
ShapeMargin(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Rx(ref value) |
Ry(ref value) |
ScrollPaddingBottom(ref value) |
ScrollPaddingLeft(ref value) |
ScrollPaddingRight(ref value) |
ScrollPaddingTop(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowInputRegionMargin(ref value) |
OutlineOffset(ref value) |
OverflowClipMargin(ref value) |
ScrollMarginBottom(ref value) |
ScrollMarginLeft(ref value) |
ScrollMarginRight(ref value) |
ScrollMarginTop(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Length as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            Bottom(ref value) |
Left(ref value) |
MarginBottom(ref value) |
MarginLeft(ref value) |
MarginRight(ref value) |
MarginTop(ref value) |
Right(ref value) |
TextUnderlineOffset(ref value) |
Top(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            
            BackgroundColor(ref value) |
BorderBottomColor(ref value) |
BorderLeftColor(ref value) |
BorderRightColor(ref value) |
BorderTopColor(ref value) |
ColumnRuleColor(ref value) |
FloodColor(ref value) |
LightingColor(ref value) |
OutlineColor(ref value) |
StopColor(ref value) |
TextDecorationColor(ref value) |
TextEmphasisColor(ref value) |
WebkitTextFillColor(ref value) |
WebkitTextStrokeColor(ref value) => {
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value: value.clone(),
                        },
                    );
                    out.assume_init()
                }
            }
            _ => unsafe { debug_unreachable!() }
        }
    }
}

impl PartialEq for AnimationValue {
    #[inline]
    fn eq(&self, other: &Self) -> bool {
        use self::AnimationValue::*;

        unsafe {
            let this_tag = *(self as *const _ as *const u16);
            let other_tag = *(other as *const _ as *const u16);
            if this_tag != other_tag {
                return false;
            }

            match *self {
                AlignContent(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignContent as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                AlignItems(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignItems as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                AlignSelf(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignSelf as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                AspectRatio(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackfaceVisibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::backface_visibility::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BaselineSource(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BaselineSource as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BorderCollapse(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::border_collapse::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BorderImageRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BorderImageRepeat as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BoxDecorationBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::box_decoration_break::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BoxSizing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::box_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BreakInside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BreakWithin as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                CaptionSide(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::table::CaptionSide as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Clear(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Clear as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ColorInterpolation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::color_interpolation::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ColorInterpolationFilters(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::color_interpolation_filters::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ColumnCount(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                ColumnFill(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::column_fill::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ColumnSpan(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::column_span::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Display(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Display as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                DominantBaseline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::dominant_baseline::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                EmptyCells(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::empty_cells::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FlexDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::flex_direction::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FlexWrap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::flex_wrap::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Float(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Float as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontKerning(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_kerning::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontLanguageOverride(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontLanguageOverride as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontOpticalSizing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_optical_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                FontStretch(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                FontStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                FontVariantCaps(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_variant_caps::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontVariantEastAsian(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantEastAsian as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontVariantEmoji(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_variant_emoji::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontVariantLigatures(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantLigatures as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontVariantNumeric(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantNumeric as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontVariantPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_variant_position::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                ForcedColorAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ForcedColorAdjust as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                GridAutoFlow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridAutoFlow as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Hyphens(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::hyphens::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ImageOrientation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::image_orientation::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ImageRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ImageRendering as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ImeMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::ime_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                InitialLetter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::InitialLetter as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Isolation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::isolation::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                JustifyContent(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifyContent as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                JustifyItems(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifyItems as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                JustifySelf(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifySelf as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                LineBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineBreak as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ListStylePosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::list_style_position::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_type::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MasonryAutoFlow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::MasonryAutoFlow as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MixBlendMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mix_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozBoxAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_align::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozBoxDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_direction::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozBoxOrient(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_orient::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozBoxPack(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_pack::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozFloatEdge(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_float_edge::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozInert(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_inert::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozOrient(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_orient::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozOsxFontSmoothing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_osx_font_smoothing::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozTextSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_text_size_adjust::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozUserFocus(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_user_focus::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozUserInput(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_user_input::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozUserModify(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_user_modify::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozWindowDragging(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_window_dragging::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozWindowShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_window_shadow::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ObjectFit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::object_fit::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OffsetRotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OutlineStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OutlineStyle as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OverflowAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverflowAnchor as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OverflowWrap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverflowWrap as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                PaintOrder(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGPaintOrder as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                PointerEvents(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::pointer_events::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Position(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::position::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                PrintColorAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PrintColorAdjust as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Resize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Resize as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                RubyAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::ruby_align::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                RubyPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::RubyPosition as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollBehavior(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::scroll_behavior::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollSnapAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollSnapAlign as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollSnapStop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollSnapStop as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollSnapType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollSnapType as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollbarGutter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollbarGutter as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollbarWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::scrollbar_width::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ShapeRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::shape_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                StrokeLinecap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::stroke_linecap::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                StrokeLinejoin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::stroke_linejoin::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TableLayout(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::table_layout::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextAlign as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextAlignLast(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextAlignLast as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::text_anchor::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextDecorationLine(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationLine as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextDecorationSkipInk(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationSkipInk as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextDecorationStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::text_decoration_style::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextEmphasisPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextEmphasisPosition as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextJustify(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextJustify as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::text_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextTransform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextTransform as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextUnderlinePosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextUnderlinePosition as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TouchAction(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TouchAction as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TransformBox(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::transform_box::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TransformStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TransformStyle as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                UserSelect(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::UserSelect as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                VectorEffect(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::vector_effect::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Visibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                WebkitLineClamp(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                WebkitTextSecurity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_webkit_text_security::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                WhiteSpace(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::white_space::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                WordBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::WordBreak as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ZIndex(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Appearance(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Appearance as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozForceBrokenImageIcon(ref this) |
MozSubtreeHiddenOnlyVisually(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BreakAfter(ref this) |
BreakBefore(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ClipRule(ref this) |
FillRule(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FillRule as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OverflowClipBoxBlock(ref this) |
OverflowClipBoxInline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FillOpacity(ref this) |
StrokeOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontSynthesisSmallCaps(ref this) |
FontSynthesisStyle(ref this) |
FontSynthesisWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozBoxOrdinalGroup(ref this) |
Order(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FlexGrow(ref this) |
FlexShrink(ref this) |
MozBoxFlex(ref this) |
StrokeMiterlimit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                OverflowX(ref this) |
OverflowY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Overflow as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OverscrollBehaviorX(ref this) |
OverscrollBehaviorY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FloodOpacity(ref this) |
MozWindowOpacity(ref this) |
Opacity(ref this) |
ShapeImageThreshold(ref this) |
StopOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Opacity as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BorderBottomStyle(ref this) |
BorderLeftStyle(ref this) |
BorderRightStyle(ref this) |
BorderTopStyle(ref this) |
ColumnRuleStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                AccentColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColorOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                AlignTracks(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignTracks as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackdropFilter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::backdrop_filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BackgroundAttachment(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_attachment::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundBlendMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundClip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_clip::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_image::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_origin::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::background_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BorderImageOutset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumberRect as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BorderImageSlice(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderImageSlice as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BorderImageWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderImageWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BorderSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderSpacing as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BoxShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::box_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                CaretColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::color::CaretColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Clip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ClipRectOrAuto as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ClipPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ClipPath as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Color(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColorPropertyValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                ColorScheme(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ColorScheme as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ColumnWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Content(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Content as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                CounterIncrement(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::CounterIncrement as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                CounterReset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::CounterReset as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                CounterSet(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::CounterSet as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Cursor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Cursor as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                D(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::DProperty as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Filter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                FlexBasis(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FlexBasis as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                FontFamily(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontFamily as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontFeatureSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontFeatureSettings as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontPalette(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontPalette as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                FontVariantAlternates(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantAlternates as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                FontVariationSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariationSettings as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                GridTemplateAreas(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridTemplateAreas as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                HyphenateCharacter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::HyphenateCharacter as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                JustifyTracks(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifyTracks as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                LetterSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LetterSpacing as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                LineHeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::LineHeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                ListStyleType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ListStyleType as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskClip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_clip::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskComposite(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_composite::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_image::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_origin::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaskSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::mask_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                OffsetAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PositionOrAuto as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OffsetPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetPath as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                OffsetPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetPosition as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Page(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PageName as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Perspective(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Perspective as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Quotes(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Quotes as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Rotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Rotate as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Scale(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Scale as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ScrollbarColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ui::ScrollbarColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                ShapeOutside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ShapeOutside as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                StrokeDasharray(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGStrokeDashArray as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                StrokeDashoffset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGLength as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                StrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                TabSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                TextDecorationThickness(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationLength as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextEmphasisStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextEmphasisStyle as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextOverflow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextOverflow as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                TextShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::text_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Translate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Translate as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                VerticalAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::VerticalAlign as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                WebkitTextStrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineWidth as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                WordSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::WordSpacing as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ObjectPosition(ref this) |
PerspectiveOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Position as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Fill(ref this) |
Stroke(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                MozWindowTransformOrigin(ref this) |
TransformOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                GridTemplateColumns(ref this) |
GridTemplateRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BorderImageSource(ref this) |
ListStyleImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Image as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                GridAutoColumns(ref this) |
GridAutoRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MozWindowTransform(ref this) |
Transform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Transform as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ColumnGap(ref this) |
RowGap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                MarkerEnd(ref this) |
MarkerMid(ref this) |
MarkerStart(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                ContainIntrinsicHeight(ref this) |
ContainIntrinsicWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                GridColumnEnd(ref this) |
GridColumnStart(ref this) |
GridRowEnd(ref this) |
GridRowStart(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridLine as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                MaxHeight(ref this) |
MaxWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Cx(ref this) |
Cy(ref this) |
OffsetDistance(ref this) |
TextIndent(ref this) |
X(ref this) |
Y(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BorderBottomLeftRadius(ref this) |
BorderBottomRightRadius(ref this) |
BorderTopLeftRadius(ref this) |
BorderTopRightRadius(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Height(ref this) |
MinHeight(ref this) |
MinWidth(ref this) |
Width(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                BorderBottomWidth(ref this) |
BorderLeftWidth(ref this) |
BorderRightWidth(ref this) |
BorderTopWidth(ref this) |
ColumnRuleWidth(ref this) |
OutlineWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                PaddingBottom(ref this) |
PaddingLeft(ref this) |
PaddingRight(ref this) |
PaddingTop(ref this) |
R(ref this) |
ShapeMargin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Rx(ref this) |
Ry(ref this) |
ScrollPaddingBottom(ref this) |
ScrollPaddingLeft(ref this) |
ScrollPaddingRight(ref this) |
ScrollPaddingTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                MozWindowInputRegionMargin(ref this) |
OutlineOffset(ref this) |
OverflowClipMargin(ref this) |
ScrollMarginBottom(ref this) |
ScrollMarginLeft(ref this) |
ScrollMarginRight(ref this) |
ScrollMarginTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Length as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                Bottom(ref this) |
Left(ref this) |
MarginBottom(ref this) |
MarginLeft(ref this) |
MarginRight(ref this) |
MarginTop(ref this) |
Right(ref this) |
TextUnderlineOffset(ref this) |
Top(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>);
                    *this == other_repr.value
                }
                BackgroundColor(ref this) |
BorderBottomColor(ref this) |
BorderLeftColor(ref this) |
BorderRightColor(ref this) |
BorderTopColor(ref this) |
ColumnRuleColor(ref this) |
FloodColor(ref this) |
LightingColor(ref this) |
OutlineColor(ref this) |
StopColor(ref this) |
TextDecorationColor(ref this) |
TextEmphasisColor(ref this) |
WebkitTextFillColor(ref this) |
WebkitTextStrokeColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    *this == other_repr.value
                }
                Contain(void) |
ContainerType(void) |
ContentVisibility(void) |
Direction(void) |
MathDepth(void) |
MathStyle(void) |
MozBoxCollapse(void) |
MozControlCharacterVisibility(void) |
MozMathVariant(void) |
MozMinFontSizeRatio(void) |
MozScriptMinSize(void) |
MozScriptSizeMultiplier(void) |
MozTopLayer(void) |
PageOrientation(void) |
TextCombineUpright(void) |
TextOrientation(void) |
UnicodeBidi(void) |
WritingMode(void) |
XTextScale(void) |
MozDefaultAppearance(void) |
XSpan(void) |
OverflowBlock(void) |
OverflowInline(void) |
OverscrollBehaviorBlock(void) |
OverscrollBehaviorInline(void) |
BorderBlockEndStyle(void) |
BorderBlockStartStyle(void) |
BorderInlineEndStyle(void) |
BorderInlineStartStyle(void) |
AnimationComposition(void) |
AnimationDelay(void) |
AnimationDirection(void) |
AnimationDuration(void) |
AnimationFillMode(void) |
AnimationIterationCount(void) |
AnimationName(void) |
AnimationPlayState(void) |
AnimationTimeline(void) |
AnimationTimingFunction(void) |
ContainerName(void) |
MozContextProperties(void) |
MozFontSmoothingBackgroundColor(void) |
ScrollTimelineAxis(void) |
ScrollTimelineName(void) |
Size(void) |
TransitionDelay(void) |
TransitionDuration(void) |
TransitionProperty(void) |
TransitionTimingFunction(void) |
ViewTimelineAxis(void) |
ViewTimelineInset(void) |
ViewTimelineName(void) |
WillChange(void) |
XLang(void) |
ContainIntrinsicBlockSize(void) |
ContainIntrinsicInlineSize(void) |
MaxBlockSize(void) |
MaxInlineSize(void) |
BorderEndEndRadius(void) |
BorderEndStartRadius(void) |
BorderStartEndRadius(void) |
BorderStartStartRadius(void) |
BlockSize(void) |
InlineSize(void) |
MinBlockSize(void) |
MinInlineSize(void) |
BorderBlockEndWidth(void) |
BorderBlockStartWidth(void) |
BorderInlineEndWidth(void) |
BorderInlineStartWidth(void) |
PaddingBlockEnd(void) |
PaddingBlockStart(void) |
PaddingInlineEnd(void) |
PaddingInlineStart(void) |
ScrollPaddingBlockEnd(void) |
ScrollPaddingBlockStart(void) |
ScrollPaddingInlineEnd(void) |
ScrollPaddingInlineStart(void) |
ScrollMarginBlockEnd(void) |
ScrollMarginBlockStart(void) |
ScrollMarginInlineEnd(void) |
ScrollMarginInlineStart(void) |
InsetBlockEnd(void) |
InsetBlockStart(void) |
InsetInlineEnd(void) |
InsetInlineStart(void) |
MarginBlockEnd(void) |
MarginBlockStart(void) |
MarginInlineEnd(void) |
MarginInlineStart(void) |
BorderBlockEndColor(void) |
BorderBlockStartColor(void) |
BorderInlineEndColor(void) |
BorderInlineStartColor(void) => {
                    void::unreachable(void)
                }
            }
        }
    }
}

impl AnimationValue {
    /// Returns the longhand id this animated value corresponds to.
    #[inline]
    pub fn id(&self) -> LonghandId {
        let id = unsafe { *(self as *const _ as *const LonghandId) };
        debug_assert_eq!(id, match *self {
            AnimationValue::AlignContent(..) => LonghandId::AlignContent,
            AnimationValue::AlignItems(..) => LonghandId::AlignItems,
            AnimationValue::AlignSelf(..) => LonghandId::AlignSelf,
            AnimationValue::AspectRatio(..) => LonghandId::AspectRatio,
            AnimationValue::BackfaceVisibility(..) => LonghandId::BackfaceVisibility,
            AnimationValue::BaselineSource(..) => LonghandId::BaselineSource,
            AnimationValue::BorderCollapse(..) => LonghandId::BorderCollapse,
            AnimationValue::BorderImageRepeat(..) => LonghandId::BorderImageRepeat,
            AnimationValue::BoxDecorationBreak(..) => LonghandId::BoxDecorationBreak,
            AnimationValue::BoxSizing(..) => LonghandId::BoxSizing,
            AnimationValue::BreakInside(..) => LonghandId::BreakInside,
            AnimationValue::CaptionSide(..) => LonghandId::CaptionSide,
            AnimationValue::Clear(..) => LonghandId::Clear,
            AnimationValue::ColorInterpolation(..) => LonghandId::ColorInterpolation,
            AnimationValue::ColorInterpolationFilters(..) => LonghandId::ColorInterpolationFilters,
            AnimationValue::ColumnCount(..) => LonghandId::ColumnCount,
            AnimationValue::ColumnFill(..) => LonghandId::ColumnFill,
            AnimationValue::ColumnSpan(..) => LonghandId::ColumnSpan,
            AnimationValue::Contain(void) => void::unreachable(void),
            AnimationValue::ContainerType(void) => void::unreachable(void),
            AnimationValue::ContentVisibility(void) => void::unreachable(void),
            AnimationValue::Direction(void) => void::unreachable(void),
            AnimationValue::Display(..) => LonghandId::Display,
            AnimationValue::DominantBaseline(..) => LonghandId::DominantBaseline,
            AnimationValue::EmptyCells(..) => LonghandId::EmptyCells,
            AnimationValue::FlexDirection(..) => LonghandId::FlexDirection,
            AnimationValue::FlexWrap(..) => LonghandId::FlexWrap,
            AnimationValue::Float(..) => LonghandId::Float,
            AnimationValue::FontKerning(..) => LonghandId::FontKerning,
            AnimationValue::FontLanguageOverride(..) => LonghandId::FontLanguageOverride,
            AnimationValue::FontOpticalSizing(..) => LonghandId::FontOpticalSizing,
            AnimationValue::FontSizeAdjust(..) => LonghandId::FontSizeAdjust,
            AnimationValue::FontStretch(..) => LonghandId::FontStretch,
            AnimationValue::FontStyle(..) => LonghandId::FontStyle,
            AnimationValue::FontVariantCaps(..) => LonghandId::FontVariantCaps,
            AnimationValue::FontVariantEastAsian(..) => LonghandId::FontVariantEastAsian,
            AnimationValue::FontVariantEmoji(..) => LonghandId::FontVariantEmoji,
            AnimationValue::FontVariantLigatures(..) => LonghandId::FontVariantLigatures,
            AnimationValue::FontVariantNumeric(..) => LonghandId::FontVariantNumeric,
            AnimationValue::FontVariantPosition(..) => LonghandId::FontVariantPosition,
            AnimationValue::FontWeight(..) => LonghandId::FontWeight,
            AnimationValue::ForcedColorAdjust(..) => LonghandId::ForcedColorAdjust,
            AnimationValue::GridAutoFlow(..) => LonghandId::GridAutoFlow,
            AnimationValue::Hyphens(..) => LonghandId::Hyphens,
            AnimationValue::ImageOrientation(..) => LonghandId::ImageOrientation,
            AnimationValue::ImageRendering(..) => LonghandId::ImageRendering,
            AnimationValue::ImeMode(..) => LonghandId::ImeMode,
            AnimationValue::InitialLetter(..) => LonghandId::InitialLetter,
            AnimationValue::Isolation(..) => LonghandId::Isolation,
            AnimationValue::JustifyContent(..) => LonghandId::JustifyContent,
            AnimationValue::JustifyItems(..) => LonghandId::JustifyItems,
            AnimationValue::JustifySelf(..) => LonghandId::JustifySelf,
            AnimationValue::LineBreak(..) => LonghandId::LineBreak,
            AnimationValue::ListStylePosition(..) => LonghandId::ListStylePosition,
            AnimationValue::MaskType(..) => LonghandId::MaskType,
            AnimationValue::MasonryAutoFlow(..) => LonghandId::MasonryAutoFlow,
            AnimationValue::MathDepth(void) => void::unreachable(void),
            AnimationValue::MathStyle(void) => void::unreachable(void),
            AnimationValue::MixBlendMode(..) => LonghandId::MixBlendMode,
            AnimationValue::MozBoxAlign(..) => LonghandId::MozBoxAlign,
            AnimationValue::MozBoxCollapse(void) => void::unreachable(void),
            AnimationValue::MozBoxDirection(..) => LonghandId::MozBoxDirection,
            AnimationValue::MozBoxOrient(..) => LonghandId::MozBoxOrient,
            AnimationValue::MozBoxPack(..) => LonghandId::MozBoxPack,
            AnimationValue::MozControlCharacterVisibility(void) => void::unreachable(void),
            AnimationValue::MozFloatEdge(..) => LonghandId::MozFloatEdge,
            AnimationValue::MozInert(..) => LonghandId::MozInert,
            AnimationValue::MozMathVariant(void) => void::unreachable(void),
            AnimationValue::MozMinFontSizeRatio(void) => void::unreachable(void),
            AnimationValue::MozOrient(..) => LonghandId::MozOrient,
            AnimationValue::MozOsxFontSmoothing(..) => LonghandId::MozOsxFontSmoothing,
            AnimationValue::MozScriptMinSize(void) => void::unreachable(void),
            AnimationValue::MozScriptSizeMultiplier(void) => void::unreachable(void),
            AnimationValue::MozTextSizeAdjust(..) => LonghandId::MozTextSizeAdjust,
            AnimationValue::MozTopLayer(void) => void::unreachable(void),
            AnimationValue::MozUserFocus(..) => LonghandId::MozUserFocus,
            AnimationValue::MozUserInput(..) => LonghandId::MozUserInput,
            AnimationValue::MozUserModify(..) => LonghandId::MozUserModify,
            AnimationValue::MozWindowDragging(..) => LonghandId::MozWindowDragging,
            AnimationValue::MozWindowShadow(..) => LonghandId::MozWindowShadow,
            AnimationValue::ObjectFit(..) => LonghandId::ObjectFit,
            AnimationValue::OffsetRotate(..) => LonghandId::OffsetRotate,
            AnimationValue::OutlineStyle(..) => LonghandId::OutlineStyle,
            AnimationValue::OverflowAnchor(..) => LonghandId::OverflowAnchor,
            AnimationValue::OverflowWrap(..) => LonghandId::OverflowWrap,
            AnimationValue::PageOrientation(void) => void::unreachable(void),
            AnimationValue::PaintOrder(..) => LonghandId::PaintOrder,
            AnimationValue::PointerEvents(..) => LonghandId::PointerEvents,
            AnimationValue::Position(..) => LonghandId::Position,
            AnimationValue::PrintColorAdjust(..) => LonghandId::PrintColorAdjust,
            AnimationValue::Resize(..) => LonghandId::Resize,
            AnimationValue::RubyAlign(..) => LonghandId::RubyAlign,
            AnimationValue::RubyPosition(..) => LonghandId::RubyPosition,
            AnimationValue::ScrollBehavior(..) => LonghandId::ScrollBehavior,
            AnimationValue::ScrollSnapAlign(..) => LonghandId::ScrollSnapAlign,
            AnimationValue::ScrollSnapStop(..) => LonghandId::ScrollSnapStop,
            AnimationValue::ScrollSnapType(..) => LonghandId::ScrollSnapType,
            AnimationValue::ScrollbarGutter(..) => LonghandId::ScrollbarGutter,
            AnimationValue::ScrollbarWidth(..) => LonghandId::ScrollbarWidth,
            AnimationValue::ShapeRendering(..) => LonghandId::ShapeRendering,
            AnimationValue::StrokeLinecap(..) => LonghandId::StrokeLinecap,
            AnimationValue::StrokeLinejoin(..) => LonghandId::StrokeLinejoin,
            AnimationValue::TableLayout(..) => LonghandId::TableLayout,
            AnimationValue::TextAlign(..) => LonghandId::TextAlign,
            AnimationValue::TextAlignLast(..) => LonghandId::TextAlignLast,
            AnimationValue::TextAnchor(..) => LonghandId::TextAnchor,
            AnimationValue::TextCombineUpright(void) => void::unreachable(void),
            AnimationValue::TextDecorationLine(..) => LonghandId::TextDecorationLine,
            AnimationValue::TextDecorationSkipInk(..) => LonghandId::TextDecorationSkipInk,
            AnimationValue::TextDecorationStyle(..) => LonghandId::TextDecorationStyle,
            AnimationValue::TextEmphasisPosition(..) => LonghandId::TextEmphasisPosition,
            AnimationValue::TextJustify(..) => LonghandId::TextJustify,
            AnimationValue::TextOrientation(void) => void::unreachable(void),
            AnimationValue::TextRendering(..) => LonghandId::TextRendering,
            AnimationValue::TextTransform(..) => LonghandId::TextTransform,
            AnimationValue::TextUnderlinePosition(..) => LonghandId::TextUnderlinePosition,
            AnimationValue::TouchAction(..) => LonghandId::TouchAction,
            AnimationValue::TransformBox(..) => LonghandId::TransformBox,
            AnimationValue::TransformStyle(..) => LonghandId::TransformStyle,
            AnimationValue::UnicodeBidi(void) => void::unreachable(void),
            AnimationValue::UserSelect(..) => LonghandId::UserSelect,
            AnimationValue::VectorEffect(..) => LonghandId::VectorEffect,
            AnimationValue::Visibility(..) => LonghandId::Visibility,
            AnimationValue::WebkitLineClamp(..) => LonghandId::WebkitLineClamp,
            AnimationValue::WebkitTextSecurity(..) => LonghandId::WebkitTextSecurity,
            AnimationValue::WhiteSpace(..) => LonghandId::WhiteSpace,
            AnimationValue::WordBreak(..) => LonghandId::WordBreak,
            AnimationValue::WritingMode(void) => void::unreachable(void),
            AnimationValue::XTextScale(void) => void::unreachable(void),
            AnimationValue::ZIndex(..) => LonghandId::ZIndex,
            AnimationValue::Appearance(..) => LonghandId::Appearance,
            AnimationValue::MozDefaultAppearance(void) => void::unreachable(void),
            AnimationValue::MozForceBrokenImageIcon(..) => LonghandId::MozForceBrokenImageIcon,
            AnimationValue::MozSubtreeHiddenOnlyVisually(..) => LonghandId::MozSubtreeHiddenOnlyVisually,
            AnimationValue::BreakAfter(..) => LonghandId::BreakAfter,
            AnimationValue::BreakBefore(..) => LonghandId::BreakBefore,
            AnimationValue::ClipRule(..) => LonghandId::ClipRule,
            AnimationValue::FillRule(..) => LonghandId::FillRule,
            AnimationValue::OverflowClipBoxBlock(..) => LonghandId::OverflowClipBoxBlock,
            AnimationValue::OverflowClipBoxInline(..) => LonghandId::OverflowClipBoxInline,
            AnimationValue::FillOpacity(..) => LonghandId::FillOpacity,
            AnimationValue::StrokeOpacity(..) => LonghandId::StrokeOpacity,
            AnimationValue::FontSynthesisSmallCaps(..) => LonghandId::FontSynthesisSmallCaps,
            AnimationValue::FontSynthesisStyle(..) => LonghandId::FontSynthesisStyle,
            AnimationValue::FontSynthesisWeight(..) => LonghandId::FontSynthesisWeight,
            AnimationValue::MozBoxOrdinalGroup(..) => LonghandId::MozBoxOrdinalGroup,
            AnimationValue::Order(..) => LonghandId::Order,
            AnimationValue::XSpan(void) => void::unreachable(void),
            AnimationValue::FlexGrow(..) => LonghandId::FlexGrow,
            AnimationValue::FlexShrink(..) => LonghandId::FlexShrink,
            AnimationValue::MozBoxFlex(..) => LonghandId::MozBoxFlex,
            AnimationValue::StrokeMiterlimit(..) => LonghandId::StrokeMiterlimit,
            AnimationValue::OverflowBlock(void) => void::unreachable(void),
            AnimationValue::OverflowInline(void) => void::unreachable(void),
            AnimationValue::OverflowX(..) => LonghandId::OverflowX,
            AnimationValue::OverflowY(..) => LonghandId::OverflowY,
            AnimationValue::OverscrollBehaviorBlock(void) => void::unreachable(void),
            AnimationValue::OverscrollBehaviorInline(void) => void::unreachable(void),
            AnimationValue::OverscrollBehaviorX(..) => LonghandId::OverscrollBehaviorX,
            AnimationValue::OverscrollBehaviorY(..) => LonghandId::OverscrollBehaviorY,
            AnimationValue::FloodOpacity(..) => LonghandId::FloodOpacity,
            AnimationValue::MozWindowOpacity(..) => LonghandId::MozWindowOpacity,
            AnimationValue::Opacity(..) => LonghandId::Opacity,
            AnimationValue::ShapeImageThreshold(..) => LonghandId::ShapeImageThreshold,
            AnimationValue::StopOpacity(..) => LonghandId::StopOpacity,
            AnimationValue::BorderBlockEndStyle(void) => void::unreachable(void),
            AnimationValue::BorderBlockStartStyle(void) => void::unreachable(void),
            AnimationValue::BorderBottomStyle(..) => LonghandId::BorderBottomStyle,
            AnimationValue::BorderInlineEndStyle(void) => void::unreachable(void),
            AnimationValue::BorderInlineStartStyle(void) => void::unreachable(void),
            AnimationValue::BorderLeftStyle(..) => LonghandId::BorderLeftStyle,
            AnimationValue::BorderRightStyle(..) => LonghandId::BorderRightStyle,
            AnimationValue::BorderTopStyle(..) => LonghandId::BorderTopStyle,
            AnimationValue::ColumnRuleStyle(..) => LonghandId::ColumnRuleStyle,
            AnimationValue::AccentColor(..) => LonghandId::AccentColor,
            AnimationValue::AlignTracks(..) => LonghandId::AlignTracks,
            AnimationValue::AnimationComposition(void) => void::unreachable(void),
            AnimationValue::AnimationDelay(void) => void::unreachable(void),
            AnimationValue::AnimationDirection(void) => void::unreachable(void),
            AnimationValue::AnimationDuration(void) => void::unreachable(void),
            AnimationValue::AnimationFillMode(void) => void::unreachable(void),
            AnimationValue::AnimationIterationCount(void) => void::unreachable(void),
            AnimationValue::AnimationName(void) => void::unreachable(void),
            AnimationValue::AnimationPlayState(void) => void::unreachable(void),
            AnimationValue::AnimationTimeline(void) => void::unreachable(void),
            AnimationValue::AnimationTimingFunction(void) => void::unreachable(void),
            AnimationValue::BackdropFilter(..) => LonghandId::BackdropFilter,
            AnimationValue::BackgroundAttachment(..) => LonghandId::BackgroundAttachment,
            AnimationValue::BackgroundBlendMode(..) => LonghandId::BackgroundBlendMode,
            AnimationValue::BackgroundClip(..) => LonghandId::BackgroundClip,
            AnimationValue::BackgroundImage(..) => LonghandId::BackgroundImage,
            AnimationValue::BackgroundOrigin(..) => LonghandId::BackgroundOrigin,
            AnimationValue::BackgroundPositionX(..) => LonghandId::BackgroundPositionX,
            AnimationValue::BackgroundPositionY(..) => LonghandId::BackgroundPositionY,
            AnimationValue::BackgroundRepeat(..) => LonghandId::BackgroundRepeat,
            AnimationValue::BackgroundSize(..) => LonghandId::BackgroundSize,
            AnimationValue::BorderImageOutset(..) => LonghandId::BorderImageOutset,
            AnimationValue::BorderImageSlice(..) => LonghandId::BorderImageSlice,
            AnimationValue::BorderImageWidth(..) => LonghandId::BorderImageWidth,
            AnimationValue::BorderSpacing(..) => LonghandId::BorderSpacing,
            AnimationValue::BoxShadow(..) => LonghandId::BoxShadow,
            AnimationValue::CaretColor(..) => LonghandId::CaretColor,
            AnimationValue::Clip(..) => LonghandId::Clip,
            AnimationValue::ClipPath(..) => LonghandId::ClipPath,
            AnimationValue::Color(..) => LonghandId::Color,
            AnimationValue::ColorScheme(..) => LonghandId::ColorScheme,
            AnimationValue::ColumnWidth(..) => LonghandId::ColumnWidth,
            AnimationValue::ContainerName(void) => void::unreachable(void),
            AnimationValue::Content(..) => LonghandId::Content,
            AnimationValue::CounterIncrement(..) => LonghandId::CounterIncrement,
            AnimationValue::CounterReset(..) => LonghandId::CounterReset,
            AnimationValue::CounterSet(..) => LonghandId::CounterSet,
            AnimationValue::Cursor(..) => LonghandId::Cursor,
            AnimationValue::D(..) => LonghandId::D,
            AnimationValue::Filter(..) => LonghandId::Filter,
            AnimationValue::FlexBasis(..) => LonghandId::FlexBasis,
            AnimationValue::FontFamily(..) => LonghandId::FontFamily,
            AnimationValue::FontFeatureSettings(..) => LonghandId::FontFeatureSettings,
            AnimationValue::FontPalette(..) => LonghandId::FontPalette,
            AnimationValue::FontSize(..) => LonghandId::FontSize,
            AnimationValue::FontVariantAlternates(..) => LonghandId::FontVariantAlternates,
            AnimationValue::FontVariationSettings(..) => LonghandId::FontVariationSettings,
            AnimationValue::GridTemplateAreas(..) => LonghandId::GridTemplateAreas,
            AnimationValue::HyphenateCharacter(..) => LonghandId::HyphenateCharacter,
            AnimationValue::JustifyTracks(..) => LonghandId::JustifyTracks,
            AnimationValue::LetterSpacing(..) => LonghandId::LetterSpacing,
            AnimationValue::LineHeight(..) => LonghandId::LineHeight,
            AnimationValue::ListStyleType(..) => LonghandId::ListStyleType,
            AnimationValue::MaskClip(..) => LonghandId::MaskClip,
            AnimationValue::MaskComposite(..) => LonghandId::MaskComposite,
            AnimationValue::MaskImage(..) => LonghandId::MaskImage,
            AnimationValue::MaskMode(..) => LonghandId::MaskMode,
            AnimationValue::MaskOrigin(..) => LonghandId::MaskOrigin,
            AnimationValue::MaskPositionX(..) => LonghandId::MaskPositionX,
            AnimationValue::MaskPositionY(..) => LonghandId::MaskPositionY,
            AnimationValue::MaskRepeat(..) => LonghandId::MaskRepeat,
            AnimationValue::MaskSize(..) => LonghandId::MaskSize,
            AnimationValue::MozContextProperties(void) => void::unreachable(void),
            AnimationValue::MozFontSmoothingBackgroundColor(void) => void::unreachable(void),
            AnimationValue::OffsetAnchor(..) => LonghandId::OffsetAnchor,
            AnimationValue::OffsetPath(..) => LonghandId::OffsetPath,
            AnimationValue::OffsetPosition(..) => LonghandId::OffsetPosition,
            AnimationValue::Page(..) => LonghandId::Page,
            AnimationValue::Perspective(..) => LonghandId::Perspective,
            AnimationValue::Quotes(..) => LonghandId::Quotes,
            AnimationValue::Rotate(..) => LonghandId::Rotate,
            AnimationValue::Scale(..) => LonghandId::Scale,
            AnimationValue::ScrollTimelineAxis(void) => void::unreachable(void),
            AnimationValue::ScrollTimelineName(void) => void::unreachable(void),
            AnimationValue::ScrollbarColor(..) => LonghandId::ScrollbarColor,
            AnimationValue::ShapeOutside(..) => LonghandId::ShapeOutside,
            AnimationValue::Size(void) => void::unreachable(void),
            AnimationValue::StrokeDasharray(..) => LonghandId::StrokeDasharray,
            AnimationValue::StrokeDashoffset(..) => LonghandId::StrokeDashoffset,
            AnimationValue::StrokeWidth(..) => LonghandId::StrokeWidth,
            AnimationValue::TabSize(..) => LonghandId::TabSize,
            AnimationValue::TextDecorationThickness(..) => LonghandId::TextDecorationThickness,
            AnimationValue::TextEmphasisStyle(..) => LonghandId::TextEmphasisStyle,
            AnimationValue::TextOverflow(..) => LonghandId::TextOverflow,
            AnimationValue::TextShadow(..) => LonghandId::TextShadow,
            AnimationValue::TransitionDelay(void) => void::unreachable(void),
            AnimationValue::TransitionDuration(void) => void::unreachable(void),
            AnimationValue::TransitionProperty(void) => void::unreachable(void),
            AnimationValue::TransitionTimingFunction(void) => void::unreachable(void),
            AnimationValue::Translate(..) => LonghandId::Translate,
            AnimationValue::VerticalAlign(..) => LonghandId::VerticalAlign,
            AnimationValue::ViewTimelineAxis(void) => void::unreachable(void),
            AnimationValue::ViewTimelineInset(void) => void::unreachable(void),
            AnimationValue::ViewTimelineName(void) => void::unreachable(void),
            AnimationValue::WebkitTextStrokeWidth(..) => LonghandId::WebkitTextStrokeWidth,
            AnimationValue::WillChange(void) => void::unreachable(void),
            AnimationValue::WordSpacing(..) => LonghandId::WordSpacing,
            AnimationValue::XLang(void) => void::unreachable(void),
            AnimationValue::ObjectPosition(..) => LonghandId::ObjectPosition,
            AnimationValue::PerspectiveOrigin(..) => LonghandId::PerspectiveOrigin,
            AnimationValue::Fill(..) => LonghandId::Fill,
            AnimationValue::Stroke(..) => LonghandId::Stroke,
            AnimationValue::MozWindowTransformOrigin(..) => LonghandId::MozWindowTransformOrigin,
            AnimationValue::TransformOrigin(..) => LonghandId::TransformOrigin,
            AnimationValue::GridTemplateColumns(..) => LonghandId::GridTemplateColumns,
            AnimationValue::GridTemplateRows(..) => LonghandId::GridTemplateRows,
            AnimationValue::BorderImageSource(..) => LonghandId::BorderImageSource,
            AnimationValue::ListStyleImage(..) => LonghandId::ListStyleImage,
            AnimationValue::GridAutoColumns(..) => LonghandId::GridAutoColumns,
            AnimationValue::GridAutoRows(..) => LonghandId::GridAutoRows,
            AnimationValue::MozWindowTransform(..) => LonghandId::MozWindowTransform,
            AnimationValue::Transform(..) => LonghandId::Transform,
            AnimationValue::ColumnGap(..) => LonghandId::ColumnGap,
            AnimationValue::RowGap(..) => LonghandId::RowGap,
            AnimationValue::MarkerEnd(..) => LonghandId::MarkerEnd,
            AnimationValue::MarkerMid(..) => LonghandId::MarkerMid,
            AnimationValue::MarkerStart(..) => LonghandId::MarkerStart,
            AnimationValue::ContainIntrinsicBlockSize(void) => void::unreachable(void),
            AnimationValue::ContainIntrinsicHeight(..) => LonghandId::ContainIntrinsicHeight,
            AnimationValue::ContainIntrinsicInlineSize(void) => void::unreachable(void),
            AnimationValue::ContainIntrinsicWidth(..) => LonghandId::ContainIntrinsicWidth,
            AnimationValue::GridColumnEnd(..) => LonghandId::GridColumnEnd,
            AnimationValue::GridColumnStart(..) => LonghandId::GridColumnStart,
            AnimationValue::GridRowEnd(..) => LonghandId::GridRowEnd,
            AnimationValue::GridRowStart(..) => LonghandId::GridRowStart,
            AnimationValue::MaxBlockSize(void) => void::unreachable(void),
            AnimationValue::MaxHeight(..) => LonghandId::MaxHeight,
            AnimationValue::MaxInlineSize(void) => void::unreachable(void),
            AnimationValue::MaxWidth(..) => LonghandId::MaxWidth,
            AnimationValue::Cx(..) => LonghandId::Cx,
            AnimationValue::Cy(..) => LonghandId::Cy,
            AnimationValue::OffsetDistance(..) => LonghandId::OffsetDistance,
            AnimationValue::TextIndent(..) => LonghandId::TextIndent,
            AnimationValue::X(..) => LonghandId::X,
            AnimationValue::Y(..) => LonghandId::Y,
            AnimationValue::BorderBottomLeftRadius(..) => LonghandId::BorderBottomLeftRadius,
            AnimationValue::BorderBottomRightRadius(..) => LonghandId::BorderBottomRightRadius,
            AnimationValue::BorderEndEndRadius(void) => void::unreachable(void),
            AnimationValue::BorderEndStartRadius(void) => void::unreachable(void),
            AnimationValue::BorderStartEndRadius(void) => void::unreachable(void),
            AnimationValue::BorderStartStartRadius(void) => void::unreachable(void),
            AnimationValue::BorderTopLeftRadius(..) => LonghandId::BorderTopLeftRadius,
            AnimationValue::BorderTopRightRadius(..) => LonghandId::BorderTopRightRadius,
            AnimationValue::BlockSize(void) => void::unreachable(void),
            AnimationValue::Height(..) => LonghandId::Height,
            AnimationValue::InlineSize(void) => void::unreachable(void),
            AnimationValue::MinBlockSize(void) => void::unreachable(void),
            AnimationValue::MinHeight(..) => LonghandId::MinHeight,
            AnimationValue::MinInlineSize(void) => void::unreachable(void),
            AnimationValue::MinWidth(..) => LonghandId::MinWidth,
            AnimationValue::Width(..) => LonghandId::Width,
            AnimationValue::BorderBlockEndWidth(void) => void::unreachable(void),
            AnimationValue::BorderBlockStartWidth(void) => void::unreachable(void),
            AnimationValue::BorderBottomWidth(..) => LonghandId::BorderBottomWidth,
            AnimationValue::BorderInlineEndWidth(void) => void::unreachable(void),
            AnimationValue::BorderInlineStartWidth(void) => void::unreachable(void),
            AnimationValue::BorderLeftWidth(..) => LonghandId::BorderLeftWidth,
            AnimationValue::BorderRightWidth(..) => LonghandId::BorderRightWidth,
            AnimationValue::BorderTopWidth(..) => LonghandId::BorderTopWidth,
            AnimationValue::ColumnRuleWidth(..) => LonghandId::ColumnRuleWidth,
            AnimationValue::OutlineWidth(..) => LonghandId::OutlineWidth,
            AnimationValue::PaddingBlockEnd(void) => void::unreachable(void),
            AnimationValue::PaddingBlockStart(void) => void::unreachable(void),
            AnimationValue::PaddingBottom(..) => LonghandId::PaddingBottom,
            AnimationValue::PaddingInlineEnd(void) => void::unreachable(void),
            AnimationValue::PaddingInlineStart(void) => void::unreachable(void),
            AnimationValue::PaddingLeft(..) => LonghandId::PaddingLeft,
            AnimationValue::PaddingRight(..) => LonghandId::PaddingRight,
            AnimationValue::PaddingTop(..) => LonghandId::PaddingTop,
            AnimationValue::R(..) => LonghandId::R,
            AnimationValue::ShapeMargin(..) => LonghandId::ShapeMargin,
            AnimationValue::Rx(..) => LonghandId::Rx,
            AnimationValue::Ry(..) => LonghandId::Ry,
            AnimationValue::ScrollPaddingBlockEnd(void) => void::unreachable(void),
            AnimationValue::ScrollPaddingBlockStart(void) => void::unreachable(void),
            AnimationValue::ScrollPaddingBottom(..) => LonghandId::ScrollPaddingBottom,
            AnimationValue::ScrollPaddingInlineEnd(void) => void::unreachable(void),
            AnimationValue::ScrollPaddingInlineStart(void) => void::unreachable(void),
            AnimationValue::ScrollPaddingLeft(..) => LonghandId::ScrollPaddingLeft,
            AnimationValue::ScrollPaddingRight(..) => LonghandId::ScrollPaddingRight,
            AnimationValue::ScrollPaddingTop(..) => LonghandId::ScrollPaddingTop,
            AnimationValue::MozWindowInputRegionMargin(..) => LonghandId::MozWindowInputRegionMargin,
            AnimationValue::OutlineOffset(..) => LonghandId::OutlineOffset,
            AnimationValue::OverflowClipMargin(..) => LonghandId::OverflowClipMargin,
            AnimationValue::ScrollMarginBlockEnd(void) => void::unreachable(void),
            AnimationValue::ScrollMarginBlockStart(void) => void::unreachable(void),
            AnimationValue::ScrollMarginBottom(..) => LonghandId::ScrollMarginBottom,
            AnimationValue::ScrollMarginInlineEnd(void) => void::unreachable(void),
            AnimationValue::ScrollMarginInlineStart(void) => void::unreachable(void),
            AnimationValue::ScrollMarginLeft(..) => LonghandId::ScrollMarginLeft,
            AnimationValue::ScrollMarginRight(..) => LonghandId::ScrollMarginRight,
            AnimationValue::ScrollMarginTop(..) => LonghandId::ScrollMarginTop,
            AnimationValue::Bottom(..) => LonghandId::Bottom,
            AnimationValue::InsetBlockEnd(void) => void::unreachable(void),
            AnimationValue::InsetBlockStart(void) => void::unreachable(void),
            AnimationValue::InsetInlineEnd(void) => void::unreachable(void),
            AnimationValue::InsetInlineStart(void) => void::unreachable(void),
            AnimationValue::Left(..) => LonghandId::Left,
            AnimationValue::MarginBlockEnd(void) => void::unreachable(void),
            AnimationValue::MarginBlockStart(void) => void::unreachable(void),
            AnimationValue::MarginBottom(..) => LonghandId::MarginBottom,
            AnimationValue::MarginInlineEnd(void) => void::unreachable(void),
            AnimationValue::MarginInlineStart(void) => void::unreachable(void),
            AnimationValue::MarginLeft(..) => LonghandId::MarginLeft,
            AnimationValue::MarginRight(..) => LonghandId::MarginRight,
            AnimationValue::MarginTop(..) => LonghandId::MarginTop,
            AnimationValue::Right(..) => LonghandId::Right,
            AnimationValue::TextUnderlineOffset(..) => LonghandId::TextUnderlineOffset,
            AnimationValue::Top(..) => LonghandId::Top,
            AnimationValue::BackgroundColor(..) => LonghandId::BackgroundColor,
            AnimationValue::BorderBlockEndColor(void) => void::unreachable(void),
            AnimationValue::BorderBlockStartColor(void) => void::unreachable(void),
            AnimationValue::BorderBottomColor(..) => LonghandId::BorderBottomColor,
            AnimationValue::BorderInlineEndColor(void) => void::unreachable(void),
            AnimationValue::BorderInlineStartColor(void) => void::unreachable(void),
            AnimationValue::BorderLeftColor(..) => LonghandId::BorderLeftColor,
            AnimationValue::BorderRightColor(..) => LonghandId::BorderRightColor,
            AnimationValue::BorderTopColor(..) => LonghandId::BorderTopColor,
            AnimationValue::ColumnRuleColor(..) => LonghandId::ColumnRuleColor,
            AnimationValue::FloodColor(..) => LonghandId::FloodColor,
            AnimationValue::LightingColor(..) => LonghandId::LightingColor,
            AnimationValue::OutlineColor(..) => LonghandId::OutlineColor,
            AnimationValue::StopColor(..) => LonghandId::StopColor,
            AnimationValue::TextDecorationColor(..) => LonghandId::TextDecorationColor,
            AnimationValue::TextEmphasisColor(..) => LonghandId::TextEmphasisColor,
            AnimationValue::WebkitTextFillColor(..) => LonghandId::WebkitTextFillColor,
            AnimationValue::WebkitTextStrokeColor(..) => LonghandId::WebkitTextStrokeColor,
        });
        id
    }

    /// "Uncompute" this animation value in order to be used inside the CSS
    /// cascade.
    pub fn uncompute(&self) -> PropertyDeclaration {
        use crate::properties::longhands;
        use self::AnimationValue::*;

        use super::PropertyDeclarationVariantRepr;

        match *self {
            
            
            AlignContent(ref value) => {
                let value = crate::values::specified::AlignContent::from_computed_value(&value);
                PropertyDeclaration::AlignContent(value)
            }
            
            AlignItems(ref value) => {
                let value = crate::values::specified::AlignItems::from_computed_value(&value);
                PropertyDeclaration::AlignItems(value)
            }
            
            AlignSelf(ref value) => {
                let value = crate::values::specified::AlignSelf::from_computed_value(&value);
                PropertyDeclaration::AlignSelf(value)
            }
            
            AspectRatio(ref value) => {
                let value = crate::values::specified::AspectRatio::from_computed_value(&value);
                PropertyDeclaration::AspectRatio(value)
            }
            
            BackfaceVisibility(ref value) => {
                let value = longhands::backface_visibility::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackfaceVisibility(value)
            }
            
            BaselineSource(ref value) => {
                let value = crate::values::specified::BaselineSource::from_computed_value(&value);
                PropertyDeclaration::BaselineSource(value)
            }
            
            BorderCollapse(ref value) => {
                let value = longhands::border_collapse::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BorderCollapse(value)
            }
            
            BorderImageRepeat(ref value) => {
                let value = crate::values::specified::BorderImageRepeat::from_computed_value(&value);
                PropertyDeclaration::BorderImageRepeat(value)
            }
            
            BoxDecorationBreak(ref value) => {
                let value = longhands::box_decoration_break::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BoxDecorationBreak(value)
            }
            
            BoxSizing(ref value) => {
                let value = longhands::box_sizing::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BoxSizing(value)
            }
            
            BreakInside(ref value) => {
                let value = crate::values::specified::BreakWithin::from_computed_value(&value);
                PropertyDeclaration::BreakInside(value)
            }
            
            CaptionSide(ref value) => {
                let value = crate::values::specified::table::CaptionSide::from_computed_value(&value);
                PropertyDeclaration::CaptionSide(value)
            }
            
            Clear(ref value) => {
                let value = crate::values::specified::Clear::from_computed_value(&value);
                PropertyDeclaration::Clear(value)
            }
            
            ColorInterpolation(ref value) => {
                let value = longhands::color_interpolation::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ColorInterpolation(value)
            }
            
            ColorInterpolationFilters(ref value) => {
                let value = longhands::color_interpolation_filters::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ColorInterpolationFilters(value)
            }
            
            ColumnCount(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::ColumnCount::from_computed_value(&value);
                PropertyDeclaration::ColumnCount(value)
            }
            
            ColumnFill(ref value) => {
                let value = longhands::column_fill::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ColumnFill(value)
            }
            
            ColumnSpan(ref value) => {
                let value = longhands::column_span::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ColumnSpan(value)
            }
            
            Display(ref value) => {
                let value = crate::values::specified::Display::from_computed_value(&value);
                PropertyDeclaration::Display(value)
            }
            
            DominantBaseline(ref value) => {
                let value = longhands::dominant_baseline::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::DominantBaseline(value)
            }
            
            EmptyCells(ref value) => {
                let value = longhands::empty_cells::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::EmptyCells(value)
            }
            
            FlexDirection(ref value) => {
                let value = longhands::flex_direction::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FlexDirection(value)
            }
            
            FlexWrap(ref value) => {
                let value = longhands::flex_wrap::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FlexWrap(value)
            }
            
            Float(ref value) => {
                let value = crate::values::specified::Float::from_computed_value(&value);
                PropertyDeclaration::Float(value)
            }
            
            FontKerning(ref value) => {
                let value = longhands::font_kerning::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FontKerning(value)
            }
            
            FontLanguageOverride(ref value) => {
                let value = crate::values::specified::FontLanguageOverride::from_computed_value(&value);
                PropertyDeclaration::FontLanguageOverride(value)
            }
            
            FontOpticalSizing(ref value) => {
                let value = longhands::font_optical_sizing::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FontOpticalSizing(value)
            }
            
            FontSizeAdjust(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::FontSizeAdjust::from_computed_value(&value);
                PropertyDeclaration::FontSizeAdjust(value)
            }
            
            FontStretch(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::FontStretch::from_computed_value(&value);
                PropertyDeclaration::FontStretch(value)
            }
            
            FontStyle(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::FontStyle::from_computed_value(&value);
                PropertyDeclaration::FontStyle(value)
            }
            
            FontVariantCaps(ref value) => {
                let value = longhands::font_variant_caps::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FontVariantCaps(value)
            }
            
            FontVariantEastAsian(ref value) => {
                let value = crate::values::specified::FontVariantEastAsian::from_computed_value(&value);
                PropertyDeclaration::FontVariantEastAsian(value)
            }
            
            FontVariantEmoji(ref value) => {
                let value = longhands::font_variant_emoji::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FontVariantEmoji(value)
            }
            
            FontVariantLigatures(ref value) => {
                let value = crate::values::specified::FontVariantLigatures::from_computed_value(&value);
                PropertyDeclaration::FontVariantLigatures(value)
            }
            
            FontVariantNumeric(ref value) => {
                let value = crate::values::specified::FontVariantNumeric::from_computed_value(&value);
                PropertyDeclaration::FontVariantNumeric(value)
            }
            
            FontVariantPosition(ref value) => {
                let value = longhands::font_variant_position::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::FontVariantPosition(value)
            }
            
            FontWeight(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::FontWeight::from_computed_value(&value);
                PropertyDeclaration::FontWeight(value)
            }
            
            ForcedColorAdjust(ref value) => {
                let value = crate::values::specified::ForcedColorAdjust::from_computed_value(&value);
                PropertyDeclaration::ForcedColorAdjust(value)
            }
            
            GridAutoFlow(ref value) => {
                let value = crate::values::specified::GridAutoFlow::from_computed_value(&value);
                PropertyDeclaration::GridAutoFlow(value)
            }
            
            Hyphens(ref value) => {
                let value = longhands::hyphens::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::Hyphens(value)
            }
            
            ImageOrientation(ref value) => {
                let value = longhands::image_orientation::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ImageOrientation(value)
            }
            
            ImageRendering(ref value) => {
                let value = crate::values::specified::ImageRendering::from_computed_value(&value);
                PropertyDeclaration::ImageRendering(value)
            }
            
            ImeMode(ref value) => {
                let value = longhands::ime_mode::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ImeMode(value)
            }
            
            InitialLetter(ref value) => {
                let value = crate::values::specified::InitialLetter::from_computed_value(&value);
                PropertyDeclaration::InitialLetter(value)
            }
            
            Isolation(ref value) => {
                let value = longhands::isolation::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::Isolation(value)
            }
            
            JustifyContent(ref value) => {
                let value = crate::values::specified::JustifyContent::from_computed_value(&value);
                PropertyDeclaration::JustifyContent(value)
            }
            
            JustifyItems(ref value) => {
                let value = crate::values::specified::JustifyItems::from_computed_value(&value);
                PropertyDeclaration::JustifyItems(value)
            }
            
            JustifySelf(ref value) => {
                let value = crate::values::specified::JustifySelf::from_computed_value(&value);
                PropertyDeclaration::JustifySelf(value)
            }
            
            LineBreak(ref value) => {
                let value = crate::values::specified::LineBreak::from_computed_value(&value);
                PropertyDeclaration::LineBreak(value)
            }
            
            ListStylePosition(ref value) => {
                let value = longhands::list_style_position::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ListStylePosition(value)
            }
            
            MaskType(ref value) => {
                let value = longhands::mask_type::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskType(value)
            }
            
            MasonryAutoFlow(ref value) => {
                let value = crate::values::specified::MasonryAutoFlow::from_computed_value(&value);
                PropertyDeclaration::MasonryAutoFlow(value)
            }
            
            MixBlendMode(ref value) => {
                let value = longhands::mix_blend_mode::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MixBlendMode(value)
            }
            
            MozBoxAlign(ref value) => {
                let value = longhands::_moz_box_align::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozBoxAlign(value)
            }
            
            MozBoxDirection(ref value) => {
                let value = longhands::_moz_box_direction::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozBoxDirection(value)
            }
            
            MozBoxOrient(ref value) => {
                let value = longhands::_moz_box_orient::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozBoxOrient(value)
            }
            
            MozBoxPack(ref value) => {
                let value = longhands::_moz_box_pack::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozBoxPack(value)
            }
            
            MozFloatEdge(ref value) => {
                let value = longhands::_moz_float_edge::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozFloatEdge(value)
            }
            
            MozInert(ref value) => {
                let value = longhands::_moz_inert::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozInert(value)
            }
            
            MozOrient(ref value) => {
                let value = longhands::_moz_orient::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozOrient(value)
            }
            
            MozOsxFontSmoothing(ref value) => {
                let value = longhands::_moz_osx_font_smoothing::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozOsxFontSmoothing(value)
            }
            
            MozTextSizeAdjust(ref value) => {
                let value = longhands::_moz_text_size_adjust::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozTextSizeAdjust(value)
            }
            
            MozUserFocus(ref value) => {
                let value = longhands::_moz_user_focus::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozUserFocus(value)
            }
            
            MozUserInput(ref value) => {
                let value = longhands::_moz_user_input::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozUserInput(value)
            }
            
            MozUserModify(ref value) => {
                let value = longhands::_moz_user_modify::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozUserModify(value)
            }
            
            MozWindowDragging(ref value) => {
                let value = longhands::_moz_window_dragging::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozWindowDragging(value)
            }
            
            MozWindowShadow(ref value) => {
                let value = longhands::_moz_window_shadow::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MozWindowShadow(value)
            }
            
            ObjectFit(ref value) => {
                let value = longhands::object_fit::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ObjectFit(value)
            }
            
            OffsetRotate(ref value) => {
                let value = crate::values::specified::OffsetRotate::from_computed_value(&value);
                PropertyDeclaration::OffsetRotate(value)
            }
            
            OutlineStyle(ref value) => {
                let value = crate::values::specified::OutlineStyle::from_computed_value(&value);
                PropertyDeclaration::OutlineStyle(value)
            }
            
            OverflowAnchor(ref value) => {
                let value = crate::values::specified::OverflowAnchor::from_computed_value(&value);
                PropertyDeclaration::OverflowAnchor(value)
            }
            
            OverflowWrap(ref value) => {
                let value = crate::values::specified::OverflowWrap::from_computed_value(&value);
                PropertyDeclaration::OverflowWrap(value)
            }
            
            PaintOrder(ref value) => {
                let value = crate::values::specified::SVGPaintOrder::from_computed_value(&value);
                PropertyDeclaration::PaintOrder(value)
            }
            
            PointerEvents(ref value) => {
                let value = longhands::pointer_events::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::PointerEvents(value)
            }
            
            Position(ref value) => {
                let value = longhands::position::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::Position(value)
            }
            
            PrintColorAdjust(ref value) => {
                let value = crate::values::specified::PrintColorAdjust::from_computed_value(&value);
                PropertyDeclaration::PrintColorAdjust(value)
            }
            
            Resize(ref value) => {
                let value = crate::values::specified::Resize::from_computed_value(&value);
                PropertyDeclaration::Resize(value)
            }
            
            RubyAlign(ref value) => {
                let value = longhands::ruby_align::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::RubyAlign(value)
            }
            
            RubyPosition(ref value) => {
                let value = crate::values::specified::RubyPosition::from_computed_value(&value);
                PropertyDeclaration::RubyPosition(value)
            }
            
            ScrollBehavior(ref value) => {
                let value = longhands::scroll_behavior::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ScrollBehavior(value)
            }
            
            ScrollSnapAlign(ref value) => {
                let value = crate::values::specified::ScrollSnapAlign::from_computed_value(&value);
                PropertyDeclaration::ScrollSnapAlign(value)
            }
            
            ScrollSnapStop(ref value) => {
                let value = crate::values::specified::ScrollSnapStop::from_computed_value(&value);
                PropertyDeclaration::ScrollSnapStop(value)
            }
            
            ScrollSnapType(ref value) => {
                let value = crate::values::specified::ScrollSnapType::from_computed_value(&value);
                PropertyDeclaration::ScrollSnapType(value)
            }
            
            ScrollbarGutter(ref value) => {
                let value = crate::values::specified::ScrollbarGutter::from_computed_value(&value);
                PropertyDeclaration::ScrollbarGutter(value)
            }
            
            ScrollbarWidth(ref value) => {
                let value = longhands::scrollbar_width::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ScrollbarWidth(value)
            }
            
            ShapeRendering(ref value) => {
                let value = longhands::shape_rendering::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::ShapeRendering(value)
            }
            
            StrokeLinecap(ref value) => {
                let value = longhands::stroke_linecap::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::StrokeLinecap(value)
            }
            
            StrokeLinejoin(ref value) => {
                let value = longhands::stroke_linejoin::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::StrokeLinejoin(value)
            }
            
            TableLayout(ref value) => {
                let value = longhands::table_layout::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::TableLayout(value)
            }
            
            TextAlign(ref value) => {
                let value = crate::values::specified::TextAlign::from_computed_value(&value);
                PropertyDeclaration::TextAlign(value)
            }
            
            TextAlignLast(ref value) => {
                let value = crate::values::specified::TextAlignLast::from_computed_value(&value);
                PropertyDeclaration::TextAlignLast(value)
            }
            
            TextAnchor(ref value) => {
                let value = longhands::text_anchor::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::TextAnchor(value)
            }
            
            TextDecorationLine(ref value) => {
                let value = crate::values::specified::TextDecorationLine::from_computed_value(&value);
                PropertyDeclaration::TextDecorationLine(value)
            }
            
            TextDecorationSkipInk(ref value) => {
                let value = crate::values::specified::TextDecorationSkipInk::from_computed_value(&value);
                PropertyDeclaration::TextDecorationSkipInk(value)
            }
            
            TextDecorationStyle(ref value) => {
                let value = longhands::text_decoration_style::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::TextDecorationStyle(value)
            }
            
            TextEmphasisPosition(ref value) => {
                let value = crate::values::specified::TextEmphasisPosition::from_computed_value(&value);
                PropertyDeclaration::TextEmphasisPosition(value)
            }
            
            TextJustify(ref value) => {
                let value = crate::values::specified::TextJustify::from_computed_value(&value);
                PropertyDeclaration::TextJustify(value)
            }
            
            TextRendering(ref value) => {
                let value = longhands::text_rendering::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::TextRendering(value)
            }
            
            TextTransform(ref value) => {
                let value = crate::values::specified::TextTransform::from_computed_value(&value);
                PropertyDeclaration::TextTransform(value)
            }
            
            TextUnderlinePosition(ref value) => {
                let value = crate::values::specified::TextUnderlinePosition::from_computed_value(&value);
                PropertyDeclaration::TextUnderlinePosition(value)
            }
            
            TouchAction(ref value) => {
                let value = crate::values::specified::TouchAction::from_computed_value(&value);
                PropertyDeclaration::TouchAction(value)
            }
            
            TransformBox(ref value) => {
                let value = longhands::transform_box::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::TransformBox(value)
            }
            
            TransformStyle(ref value) => {
                let value = crate::values::specified::TransformStyle::from_computed_value(&value);
                PropertyDeclaration::TransformStyle(value)
            }
            
            UserSelect(ref value) => {
                let value = crate::values::specified::UserSelect::from_computed_value(&value);
                PropertyDeclaration::UserSelect(value)
            }
            
            VectorEffect(ref value) => {
                let value = longhands::vector_effect::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::VectorEffect(value)
            }
            
            Visibility(ref value) => {
                let value = longhands::visibility::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::Visibility(value)
            }
            
            WebkitLineClamp(ref value) => {
                let value = crate::values::specified::LineClamp::from_computed_value(&value);
                PropertyDeclaration::WebkitLineClamp(value)
            }
            
            WebkitTextSecurity(ref value) => {
                let value = longhands::_webkit_text_security::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::WebkitTextSecurity(value)
            }
            
            WhiteSpace(ref value) => {
                let value = longhands::white_space::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::WhiteSpace(value)
            }
            
            WordBreak(ref value) => {
                let value = crate::values::specified::WordBreak::from_computed_value(&value);
                PropertyDeclaration::WordBreak(value)
            }
            
            ZIndex(ref value) => {
                let value = crate::values::specified::ZIndex::from_computed_value(&value);
                PropertyDeclaration::ZIndex(value)
            }
            
            Appearance(ref value) => {
                let value = crate::values::specified::Appearance::from_computed_value(&value);
                PropertyDeclaration::Appearance(value)
            }
            
            MozForceBrokenImageIcon(ref value) |
MozSubtreeHiddenOnlyVisually(ref value) => {
                let value = crate::values::specified::BoolInteger::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BoolInteger>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            BreakAfter(ref value) |
BreakBefore(ref value) => {
                let value = crate::values::specified::BreakBetween::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BreakBetween>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            ClipRule(ref value) |
FillRule(ref value) => {
                let value = crate::values::specified::FillRule::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::FillRule>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            OverflowClipBoxBlock(ref value) |
OverflowClipBoxInline(ref value) => {
                let value = crate::values::specified::OverflowClipBox::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::OverflowClipBox>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            FillOpacity(ref value) |
StrokeOpacity(ref value) => {
                let value = crate::values::specified::SVGOpacity::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::SVGOpacity>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            FontSynthesisSmallCaps(ref value) |
FontSynthesisStyle(ref value) |
FontSynthesisWeight(ref value) => {
                let value = crate::values::specified::FontSynthesis::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::FontSynthesis>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozBoxOrdinalGroup(ref value) |
Order(ref value) => {
                let value = crate::values::specified::Integer::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Integer>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            FlexGrow(ref value) |
FlexShrink(ref value) |
MozBoxFlex(ref value) |
StrokeMiterlimit(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::NonNegativeNumber::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeNumber>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            OverflowX(ref value) |
OverflowY(ref value) => {
                let value = crate::values::specified::Overflow::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Overflow>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            OverscrollBehaviorX(ref value) |
OverscrollBehaviorY(ref value) => {
                let value = crate::values::specified::OverscrollBehavior::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::OverscrollBehavior>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            FloodOpacity(ref value) |
MozWindowOpacity(ref value) |
Opacity(ref value) |
ShapeImageThreshold(ref value) |
StopOpacity(ref value) => {
                let value = crate::values::specified::Opacity::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Opacity>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBottomStyle(ref value) |
BorderLeftStyle(ref value) |
BorderRightStyle(ref value) |
BorderTopStyle(ref value) |
ColumnRuleStyle(ref value) => {
                let value = crate::values::specified::BorderStyle::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BorderStyle>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            AccentColor(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::ColorOrAuto::from_computed_value(&value);
                PropertyDeclaration::AccentColor(value)
            }
            
            AlignTracks(ref value) => {
                let value = crate::values::specified::AlignTracks::from_computed_value(&value);
                PropertyDeclaration::AlignTracks(value)
            }
            
            BackdropFilter(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = longhands::backdrop_filter::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackdropFilter(value)
            }
            
            BackgroundAttachment(ref value) => {
                let value = longhands::background_attachment::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundAttachment(value)
            }
            
            BackgroundBlendMode(ref value) => {
                let value = longhands::background_blend_mode::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundBlendMode(value)
            }
            
            BackgroundClip(ref value) => {
                let value = longhands::background_clip::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundClip(value)
            }
            
            BackgroundImage(ref value) => {
                let value = longhands::background_image::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundImage(value)
            }
            
            BackgroundOrigin(ref value) => {
                let value = longhands::background_origin::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundOrigin(value)
            }
            
            BackgroundPositionX(ref value) => {
                let value = longhands::background_position_x::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundPositionX(value)
            }
            
            BackgroundPositionY(ref value) => {
                let value = longhands::background_position_y::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundPositionY(value)
            }
            
            BackgroundRepeat(ref value) => {
                let value = longhands::background_repeat::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundRepeat(value)
            }
            
            BackgroundSize(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = longhands::background_size::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BackgroundSize(value)
            }
            
            BorderImageOutset(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::NonNegativeLengthOrNumberRect::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::BorderImageOutset(value)
            }
            
            BorderImageSlice(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::BorderImageSlice::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::BorderImageSlice(value)
            }
            
            BorderImageWidth(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::BorderImageWidth::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::BorderImageWidth(value)
            }
            
            BorderSpacing(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::BorderSpacing::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::BorderSpacing(value)
            }
            
            BoxShadow(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = longhands::box_shadow::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::BoxShadow(value)
            }
            
            CaretColor(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::color::CaretColor::from_computed_value(&value);
                PropertyDeclaration::CaretColor(value)
            }
            
            Clip(ref value) => {
                let value = crate::values::specified::ClipRectOrAuto::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::Clip(value)
            }
            
            ClipPath(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::basic_shape::ClipPath::from_computed_value(&value);
                PropertyDeclaration::ClipPath(value)
            }
            
            Color(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::ColorPropertyValue::from_computed_value(&value);
                PropertyDeclaration::Color(value)
            }
            
            ColorScheme(ref value) => {
                let value = crate::values::specified::ColorScheme::from_computed_value(&value);
                PropertyDeclaration::ColorScheme(value)
            }
            
            ColumnWidth(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::length::NonNegativeLengthOrAuto::from_computed_value(&value);
                PropertyDeclaration::ColumnWidth(value)
            }
            
            Content(ref value) => {
                let value = crate::values::specified::Content::from_computed_value(&value);
                PropertyDeclaration::Content(value)
            }
            
            CounterIncrement(ref value) => {
                let value = crate::values::specified::CounterIncrement::from_computed_value(&value);
                PropertyDeclaration::CounterIncrement(value)
            }
            
            CounterReset(ref value) => {
                let value = crate::values::specified::CounterReset::from_computed_value(&value);
                PropertyDeclaration::CounterReset(value)
            }
            
            CounterSet(ref value) => {
                let value = crate::values::specified::CounterSet::from_computed_value(&value);
                PropertyDeclaration::CounterSet(value)
            }
            
            Cursor(ref value) => {
                let value = crate::values::specified::Cursor::from_computed_value(&value);
                PropertyDeclaration::Cursor(value)
            }
            
            D(ref value) => {
                let value = crate::values::specified::DProperty::from_computed_value(&value);
                PropertyDeclaration::D(value)
            }
            
            Filter(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = longhands::filter::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::Filter(value)
            }
            
            FlexBasis(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::FlexBasis::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::FlexBasis(value)
            }
            
            FontFamily(ref value) => {
                let value = crate::values::specified::FontFamily::from_computed_value(&value);
                PropertyDeclaration::FontFamily(value)
            }
            
            FontFeatureSettings(ref value) => {
                let value = crate::values::specified::FontFeatureSettings::from_computed_value(&value);
                PropertyDeclaration::FontFeatureSettings(value)
            }
            
            FontPalette(ref value) => {
                let value = crate::values::specified::FontPalette::from_computed_value(&value);
                PropertyDeclaration::FontPalette(value)
            }
            
            FontSize(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::FontSize::from_computed_value(&value);
                PropertyDeclaration::FontSize(value)
            }
            
            FontVariantAlternates(ref value) => {
                let value = crate::values::specified::FontVariantAlternates::from_computed_value(&value);
                PropertyDeclaration::FontVariantAlternates(value)
            }
            
            FontVariationSettings(ref value) => {
                let value = crate::values::specified::FontVariationSettings::from_computed_value(&value);
                PropertyDeclaration::FontVariationSettings(value)
            }
            
            GridTemplateAreas(ref value) => {
                let value = crate::values::specified::GridTemplateAreas::from_computed_value(&value);
                PropertyDeclaration::GridTemplateAreas(value)
            }
            
            HyphenateCharacter(ref value) => {
                let value = crate::values::specified::HyphenateCharacter::from_computed_value(&value);
                PropertyDeclaration::HyphenateCharacter(value)
            }
            
            JustifyTracks(ref value) => {
                let value = crate::values::specified::JustifyTracks::from_computed_value(&value);
                PropertyDeclaration::JustifyTracks(value)
            }
            
            LetterSpacing(ref value) => {
                let value = crate::values::specified::LetterSpacing::from_computed_value(&value);
                PropertyDeclaration::LetterSpacing(value)
            }
            
            LineHeight(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::LineHeight::from_computed_value(&value);
                PropertyDeclaration::LineHeight(value)
            }
            
            ListStyleType(ref value) => {
                let value = crate::values::specified::ListStyleType::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::ListStyleType(value)
            }
            
            MaskClip(ref value) => {
                let value = longhands::mask_clip::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskClip(value)
            }
            
            MaskComposite(ref value) => {
                let value = longhands::mask_composite::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskComposite(value)
            }
            
            MaskImage(ref value) => {
                let value = longhands::mask_image::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskImage(value)
            }
            
            MaskMode(ref value) => {
                let value = longhands::mask_mode::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskMode(value)
            }
            
            MaskOrigin(ref value) => {
                let value = longhands::mask_origin::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskOrigin(value)
            }
            
            MaskPositionX(ref value) => {
                let value = longhands::mask_position_x::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskPositionX(value)
            }
            
            MaskPositionY(ref value) => {
                let value = longhands::mask_position_y::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskPositionY(value)
            }
            
            MaskRepeat(ref value) => {
                let value = longhands::mask_repeat::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskRepeat(value)
            }
            
            MaskSize(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = longhands::mask_size::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::MaskSize(value)
            }
            
            OffsetAnchor(ref value) => {
                let value = crate::values::specified::PositionOrAuto::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::OffsetAnchor(value)
            }
            
            OffsetPath(ref value) => {
                let value = crate::values::specified::OffsetPath::from_computed_value(&value);
                PropertyDeclaration::OffsetPath(value)
            }
            
            OffsetPosition(ref value) => {
                let value = crate::values::specified::OffsetPosition::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::OffsetPosition(value)
            }
            
            Page(ref value) => {
                let value = crate::values::specified::PageName::from_computed_value(&value);
                PropertyDeclaration::Page(value)
            }
            
            Perspective(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::Perspective::from_computed_value(&value);
                PropertyDeclaration::Perspective(value)
            }
            
            Quotes(ref value) => {
                let value = crate::values::specified::Quotes::from_computed_value(&value);
                PropertyDeclaration::Quotes(value)
            }
            
            Rotate(ref value) => {
                let value = crate::values::specified::Rotate::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::Rotate(value)
            }
            
            Scale(ref value) => {
                let value = crate::values::specified::Scale::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::Scale(value)
            }
            
            ScrollbarColor(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::ui::ScrollbarColor::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::ScrollbarColor(value)
            }
            
            ShapeOutside(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::basic_shape::ShapeOutside::from_computed_value(&value);
                PropertyDeclaration::ShapeOutside(value)
            }
            
            StrokeDasharray(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::SVGStrokeDashArray::from_computed_value(&value);
                PropertyDeclaration::StrokeDasharray(value)
            }
            
            StrokeDashoffset(ref value) => {
                let value = crate::values::specified::SVGLength::from_computed_value(&value);
                PropertyDeclaration::StrokeDashoffset(value)
            }
            
            StrokeWidth(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::SVGWidth::from_computed_value(&value);
                PropertyDeclaration::StrokeWidth(value)
            }
            
            TabSize(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::NonNegativeLengthOrNumber::from_computed_value(&value);
                PropertyDeclaration::TabSize(value)
            }
            
            TextDecorationThickness(ref value) => {
                let value = crate::values::specified::TextDecorationLength::from_computed_value(&value);
                PropertyDeclaration::TextDecorationThickness(value)
            }
            
            TextEmphasisStyle(ref value) => {
                let value = crate::values::specified::TextEmphasisStyle::from_computed_value(&value);
                PropertyDeclaration::TextEmphasisStyle(value)
            }
            
            TextOverflow(ref value) => {
                let value = crate::values::specified::TextOverflow::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::TextOverflow(value)
            }
            
            TextShadow(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = longhands::text_shadow::SpecifiedValue::from_computed_value(&value);
                PropertyDeclaration::TextShadow(value)
            }
            
            Translate(ref value) => {
                let value = crate::values::specified::Translate::from_computed_value(&value);
                let value = Box::new(value);
                PropertyDeclaration::Translate(value)
            }
            
            VerticalAlign(ref value) => {
                let value = crate::values::specified::VerticalAlign::from_computed_value(&value);
                PropertyDeclaration::VerticalAlign(value)
            }
            
            WebkitTextStrokeWidth(ref value) => {
                let value = crate::values::specified::LineWidth::from_computed_value(&value);
                PropertyDeclaration::WebkitTextStrokeWidth(value)
            }
            
            WordSpacing(ref value) => {
                let value = crate::values::specified::WordSpacing::from_computed_value(&value);
                PropertyDeclaration::WordSpacing(value)
            }
            
            ObjectPosition(ref value) |
PerspectiveOrigin(ref value) => {
                let value = crate::values::specified::Position::from_computed_value(&value);
                let value = Box::new(value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::Position>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            Fill(ref value) |
Stroke(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::SVGPaint::from_computed_value(&value);
                let value = Box::new(value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::SVGPaint>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowTransformOrigin(ref value) |
TransformOrigin(ref value) => {
                let value = crate::values::specified::TransformOrigin::from_computed_value(&value);
                let value = Box::new(value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::TransformOrigin>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridTemplateColumns(ref value) |
GridTemplateRows(ref value) => {
                let value = crate::values::specified::GridTemplateComponent::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateComponent>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderImageSource(ref value) |
ListStyleImage(ref value) => {
                let value = crate::values::specified::Image::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Image>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridAutoColumns(ref value) |
GridAutoRows(ref value) => {
                let value = crate::values::specified::ImplicitGridTracks::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::ImplicitGridTracks>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowTransform(ref value) |
Transform(ref value) => {
                let value = crate::values::specified::Transform::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Transform>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            ColumnGap(ref value) |
RowGap(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::length::NonNegativeLengthPercentageOrNormal::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthPercentageOrNormal>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            MarkerEnd(ref value) |
MarkerMid(ref value) |
MarkerStart(ref value) => {
                let value = crate::values::specified::url::UrlOrNone::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::url::UrlOrNone>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            ContainIntrinsicHeight(ref value) |
ContainIntrinsicWidth(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::ContainIntrinsicSize::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::ContainIntrinsicSize>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            GridColumnEnd(ref value) |
GridColumnStart(ref value) |
GridRowEnd(ref value) |
GridRowStart(ref value) => {
                let value = crate::values::specified::GridLine::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::GridLine>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            MaxHeight(ref value) |
MaxWidth(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::MaxSize::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::MaxSize>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            Cx(ref value) |
Cy(ref value) |
OffsetDistance(ref value) |
TextIndent(ref value) |
X(ref value) |
Y(ref value) => {
                let value = crate::values::specified::LengthPercentage::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBottomLeftRadius(ref value) |
BorderBottomRightRadius(ref value) |
BorderTopLeftRadius(ref value) |
BorderTopRightRadius(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::BorderCornerRadius::from_computed_value(&value);
                let value = Box::new(value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderCornerRadius>>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            Height(ref value) |
MinHeight(ref value) |
MinWidth(ref value) |
Width(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::Size::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Size>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            BorderBottomWidth(ref value) |
BorderLeftWidth(ref value) |
BorderRightWidth(ref value) |
BorderTopWidth(ref value) |
ColumnRuleWidth(ref value) |
OutlineWidth(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::BorderSideWidth::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BorderSideWidth>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            PaddingBottom(ref value) |
PaddingLeft(ref value) |
PaddingRight(ref value) |
PaddingTop(ref value) |
R(ref value) |
ShapeMargin(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::NonNegativeLengthPercentage::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentage>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            Rx(ref value) |
Ry(ref value) |
ScrollPaddingBottom(ref value) |
ScrollPaddingLeft(ref value) |
ScrollPaddingRight(ref value) |
ScrollPaddingTop(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::NonNegativeLengthPercentageOrAuto::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentageOrAuto>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            MozWindowInputRegionMargin(ref value) |
OutlineOffset(ref value) |
OverflowClipMargin(ref value) |
ScrollMarginBottom(ref value) |
ScrollMarginLeft(ref value) |
ScrollMarginRight(ref value) |
ScrollMarginTop(ref value) => {
                let value = crate::values::specified::Length::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Length>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            Bottom(ref value) |
Left(ref value) |
MarginBottom(ref value) |
MarginLeft(ref value) |
MarginRight(ref value) |
MarginTop(ref value) |
Right(ref value) |
TextUnderlineOffset(ref value) |
Top(ref value) => {
                let value = crate::values::specified::LengthPercentageOrAuto::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            
            BackgroundColor(ref value) |
BorderBottomColor(ref value) |
BorderLeftColor(ref value) |
BorderRightColor(ref value) |
BorderTopColor(ref value) |
ColumnRuleColor(ref value) |
FloodColor(ref value) |
LightingColor(ref value) |
OutlineColor(ref value) |
StopColor(ref value) |
TextDecorationColor(ref value) |
TextEmphasisColor(ref value) |
WebkitTextFillColor(ref value) |
WebkitTextStrokeColor(ref value) => {
                let ref value = ToAnimatedValue::from_animated_value(value.clone());
                let value = crate::values::specified::Color::from_computed_value(&value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Color>,
                        PropertyDeclarationVariantRepr {
                            tag: *(self as *const _ as *const u16),
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            Contain(void) |
ContainerType(void) |
ContentVisibility(void) |
Direction(void) |
MathDepth(void) |
MathStyle(void) |
MozBoxCollapse(void) |
MozControlCharacterVisibility(void) |
MozMathVariant(void) |
MozMinFontSizeRatio(void) |
MozScriptMinSize(void) |
MozScriptSizeMultiplier(void) |
MozTopLayer(void) |
PageOrientation(void) |
TextCombineUpright(void) |
TextOrientation(void) |
UnicodeBidi(void) |
WritingMode(void) |
XTextScale(void) |
MozDefaultAppearance(void) |
XSpan(void) |
OverflowBlock(void) |
OverflowInline(void) |
OverscrollBehaviorBlock(void) |
OverscrollBehaviorInline(void) |
BorderBlockEndStyle(void) |
BorderBlockStartStyle(void) |
BorderInlineEndStyle(void) |
BorderInlineStartStyle(void) |
AnimationComposition(void) |
AnimationDelay(void) |
AnimationDirection(void) |
AnimationDuration(void) |
AnimationFillMode(void) |
AnimationIterationCount(void) |
AnimationName(void) |
AnimationPlayState(void) |
AnimationTimeline(void) |
AnimationTimingFunction(void) |
ContainerName(void) |
MozContextProperties(void) |
MozFontSmoothingBackgroundColor(void) |
ScrollTimelineAxis(void) |
ScrollTimelineName(void) |
Size(void) |
TransitionDelay(void) |
TransitionDuration(void) |
TransitionProperty(void) |
TransitionTimingFunction(void) |
ViewTimelineAxis(void) |
ViewTimelineInset(void) |
ViewTimelineName(void) |
WillChange(void) |
XLang(void) |
ContainIntrinsicBlockSize(void) |
ContainIntrinsicInlineSize(void) |
MaxBlockSize(void) |
MaxInlineSize(void) |
BorderEndEndRadius(void) |
BorderEndStartRadius(void) |
BorderStartEndRadius(void) |
BorderStartStartRadius(void) |
BlockSize(void) |
InlineSize(void) |
MinBlockSize(void) |
MinInlineSize(void) |
BorderBlockEndWidth(void) |
BorderBlockStartWidth(void) |
BorderInlineEndWidth(void) |
BorderInlineStartWidth(void) |
PaddingBlockEnd(void) |
PaddingBlockStart(void) |
PaddingInlineEnd(void) |
PaddingInlineStart(void) |
ScrollPaddingBlockEnd(void) |
ScrollPaddingBlockStart(void) |
ScrollPaddingInlineEnd(void) |
ScrollPaddingInlineStart(void) |
ScrollMarginBlockEnd(void) |
ScrollMarginBlockStart(void) |
ScrollMarginInlineEnd(void) |
ScrollMarginInlineStart(void) |
InsetBlockEnd(void) |
InsetBlockStart(void) |
InsetInlineEnd(void) |
InsetInlineStart(void) |
MarginBlockEnd(void) |
MarginBlockStart(void) |
MarginInlineEnd(void) |
MarginInlineStart(void) |
BorderBlockEndColor(void) |
BorderBlockStartColor(void) |
BorderInlineEndColor(void) |
BorderInlineStartColor(void) => {
                void::unreachable(void)
            }
        }
    }

    /// Construct an AnimationValue from a property declaration.
    pub fn from_declaration(
        decl: &PropertyDeclaration,
        context: &mut Context,
        extra_custom_properties: Option<&Arc<crate::custom_properties::CustomPropertiesMap>>,
        initial: &ComputedValues,
    ) -> Option<Self> {
        use super::PropertyDeclarationVariantRepr;

        

        let animatable = match *decl {
            PropertyDeclaration::AlignContent(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignContent>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignContent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::AlignItems(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignItems>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignItems as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::AlignSelf(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignSelf>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignSelf as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::AspectRatio(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AspectRatio>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackfaceVisibility(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::backface_visibility::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::backface_visibility::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BaselineSource(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BaselineSource>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BaselineSource as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderCollapse(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::border_collapse::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::border_collapse::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderImageRepeat(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BorderImageRepeat>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BorderImageRepeat as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BoxDecorationBreak(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::box_decoration_break::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::box_decoration_break::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BoxSizing(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::box_sizing::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::box_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BreakInside(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BreakWithin>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BreakWithin as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::CaptionSide(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::table::CaptionSide>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::table::CaptionSide as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Clear(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Clear>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Clear as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColorInterpolation(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::color_interpolation::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::color_interpolation::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColorInterpolationFilters(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::color_interpolation_filters::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::color_interpolation_filters::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColumnCount(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColumnCount>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColumnFill(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::column_fill::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::column_fill::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColumnSpan(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::column_span::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::column_span::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Display(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Display>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Display as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::DominantBaseline(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::dominant_baseline::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::dominant_baseline::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::EmptyCells(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::empty_cells::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::empty_cells::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FlexDirection(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::flex_direction::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::flex_direction::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FlexWrap(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::flex_wrap::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::flex_wrap::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Float(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Float>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Float as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontKerning(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_kerning::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_kerning::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontLanguageOverride(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontLanguageOverride>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontLanguageOverride as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontOpticalSizing(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_optical_sizing::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_optical_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontSizeAdjust(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontSizeAdjust>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontStretch(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontStretch>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                if let Some(sf) = value.get_system() {
                    longhands::system_font::resolve_system_font(sf, context)
                }
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontStyle(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontStyle>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                if let Some(sf) = value.get_system() {
                    longhands::system_font::resolve_system_font(sf, context)
                }
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantCaps(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_variant_caps::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_variant_caps::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantEastAsian(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantEastAsian>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantEastAsian as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantEmoji(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_variant_emoji::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_variant_emoji::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantLigatures(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantLigatures>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantLigatures as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantNumeric(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantNumeric>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantNumeric as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantPosition(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::font_variant_position::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_variant_position::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontWeight(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontWeight>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                if let Some(sf) = value.get_system() {
                    longhands::system_font::resolve_system_font(sf, context)
                }
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ForcedColorAdjust(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ForcedColorAdjust>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ForcedColorAdjust as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::GridAutoFlow(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridAutoFlow>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridAutoFlow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Hyphens(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::hyphens::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::hyphens::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ImageOrientation(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::image_orientation::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::image_orientation::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ImageRendering(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ImageRendering>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ImageRendering as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ImeMode(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::ime_mode::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::ime_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::InitialLetter(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::InitialLetter>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::InitialLetter as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Isolation(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::isolation::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::isolation::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::JustifyContent(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifyContent>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifyContent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::JustifyItems(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifyItems>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifyItems as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::JustifySelf(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifySelf>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifySelf as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::LineBreak(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineBreak>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LineBreak as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ListStylePosition(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::list_style_position::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::list_style_position::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskType(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_type::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_type::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MasonryAutoFlow(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MasonryAutoFlow>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::MasonryAutoFlow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MixBlendMode(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mix_blend_mode::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mix_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozBoxAlign(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_align::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_align::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozBoxDirection(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_direction::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_direction::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozBoxOrient(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_orient::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_orient::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozBoxPack(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_box_pack::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_pack::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozFloatEdge(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_float_edge::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_float_edge::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozInert(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_inert::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_inert::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozOrient(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_orient::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_orient::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozOsxFontSmoothing(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_osx_font_smoothing::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_osx_font_smoothing::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozTextSizeAdjust(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_text_size_adjust::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_text_size_adjust::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozUserFocus(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_user_focus::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_user_focus::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozUserInput(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_user_input::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_user_input::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozUserModify(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_user_modify::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_user_modify::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozWindowDragging(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_window_dragging::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_window_dragging::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozWindowShadow(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_moz_window_shadow::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_window_shadow::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ObjectFit(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::object_fit::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::object_fit::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OffsetRotate(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OffsetRotate>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OutlineStyle(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OutlineStyle>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OutlineStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OverflowAnchor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverflowAnchor>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverflowAnchor as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OverflowWrap(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverflowWrap>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverflowWrap as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::PaintOrder(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGPaintOrder>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::SVGPaintOrder as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::PointerEvents(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::pointer_events::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::pointer_events::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Position(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::position::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::position::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::PrintColorAdjust(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::PrintColorAdjust>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::PrintColorAdjust as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Resize(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Resize>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Resize as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::RubyAlign(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::ruby_align::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::ruby_align::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::RubyPosition(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::RubyPosition>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::RubyPosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollBehavior(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::scroll_behavior::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::scroll_behavior::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollSnapAlign(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollSnapAlign>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollSnapAlign as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollSnapStop(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollSnapStop>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollSnapStop as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollSnapType(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollSnapType>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollSnapType as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollbarGutter(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ScrollbarGutter>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollbarGutter as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollbarWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::scrollbar_width::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::scrollbar_width::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ShapeRendering(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::shape_rendering::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::shape_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::StrokeLinecap(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::stroke_linecap::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::stroke_linecap::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::StrokeLinejoin(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::stroke_linejoin::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::stroke_linejoin::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TableLayout(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::table_layout::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::table_layout::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextAlign(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextAlign>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextAlign as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextAlignLast(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextAlignLast>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextAlignLast as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextAnchor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_anchor::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::text_anchor::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextDecorationLine(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextDecorationLine>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextDecorationLine as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextDecorationSkipInk(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextDecorationSkipInk>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextDecorationSkipInk as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextDecorationStyle(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_decoration_style::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::text_decoration_style::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextEmphasisPosition(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextEmphasisPosition>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextEmphasisPosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextJustify(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextJustify>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextJustify as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextRendering(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_rendering::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::text_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextTransform(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextTransform>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextTransform as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextUnderlinePosition(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextUnderlinePosition>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextUnderlinePosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TouchAction(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TouchAction>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TouchAction as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TransformBox(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::transform_box::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::transform_box::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TransformStyle(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TransformStyle>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TransformStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::UserSelect(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::UserSelect>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::UserSelect as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::VectorEffect(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::vector_effect::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::vector_effect::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Visibility(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::visibility::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::WebkitLineClamp(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineClamp>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::WebkitTextSecurity(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::_webkit_text_security::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_webkit_text_security::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::WhiteSpace(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::white_space::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::white_space::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::WordBreak(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::WordBreak>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::WordBreak as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ZIndex(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ZIndex>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Appearance(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Appearance>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Appearance as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozForceBrokenImageIcon(ref value) |
PropertyDeclaration::MozSubtreeHiddenOnlyVisually(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BoolInteger>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BreakAfter(ref value) |
PropertyDeclaration::BreakBefore(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BreakBetween>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ClipRule(ref value) |
PropertyDeclaration::FillRule(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FillRule>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FillRule as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OverflowClipBoxBlock(ref value) |
PropertyDeclaration::OverflowClipBoxInline(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverflowClipBox>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FillOpacity(ref value) |
PropertyDeclaration::StrokeOpacity(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGOpacity>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontSynthesisSmallCaps(ref value) |
PropertyDeclaration::FontSynthesisStyle(ref value) |
PropertyDeclaration::FontSynthesisWeight(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontSynthesis>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozBoxOrdinalGroup(ref value) |
PropertyDeclaration::Order(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Integer>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FlexGrow(ref value) |
PropertyDeclaration::FlexShrink(ref value) |
PropertyDeclaration::MozBoxFlex(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeNumber>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::StrokeMiterlimit(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeNumber>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OverflowBlock(ref value) |
PropertyDeclaration::OverflowInline(ref value) |
PropertyDeclaration::OverflowX(ref value) |
PropertyDeclaration::OverflowY(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Overflow>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Overflow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OverscrollBehaviorBlock(ref value) |
PropertyDeclaration::OverscrollBehaviorInline(ref value) |
PropertyDeclaration::OverscrollBehaviorX(ref value) |
PropertyDeclaration::OverscrollBehaviorY(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OverscrollBehavior>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FloodOpacity(ref value) |
PropertyDeclaration::MozWindowOpacity(ref value) |
PropertyDeclaration::Opacity(ref value) |
PropertyDeclaration::ShapeImageThreshold(ref value) |
PropertyDeclaration::StopOpacity(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Opacity>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Opacity as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderBottomStyle(ref value) |
PropertyDeclaration::BorderLeftStyle(ref value) |
PropertyDeclaration::BorderRightStyle(ref value) |
PropertyDeclaration::BorderTopStyle(ref value) |
PropertyDeclaration::ColumnRuleStyle(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BorderStyle>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::AccentColor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColorOrAuto>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ColorOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::AlignTracks(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::AlignTracks>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackdropFilter(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::backdrop_filter::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::backdrop_filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundAttachment(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_attachment::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_attachment::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundBlendMode(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_blend_mode::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundClip(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_clip::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_clip::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundImage(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_image::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_image::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundOrigin(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_origin::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_origin::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundPositionX(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_position_x::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundPositionY(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_position_y::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundRepeat(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_repeat::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundSize(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::background_size::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::background_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderImageOutset(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::NonNegativeLengthOrNumberRect>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumberRect as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderImageSlice(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderImageSlice>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderImageSlice as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderImageWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderImageWidth>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderImageWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderSpacing(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderSpacing>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderSpacing as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BoxShadow(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::box_shadow::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::box_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::CaretColor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::color::CaretColor>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::color::CaretColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Clip(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::ClipRectOrAuto>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ClipRectOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ClipPath(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::basic_shape::ClipPath>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ClipPath as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Color(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColorPropertyValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ColorPropertyValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColorScheme(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ColorScheme>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ColorScheme as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColumnWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthOrAuto>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Content(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Content>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Content as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::CounterIncrement(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::CounterIncrement>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::CounterIncrement as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::CounterReset(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::CounterReset>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::CounterReset as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::CounterSet(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::CounterSet>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::CounterSet as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Cursor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Cursor>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Cursor as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::D(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::DProperty>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::DProperty as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Filter(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::filter::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FlexBasis(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::FlexBasis>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FlexBasis as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontFamily(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontFamily>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                if let Some(sf) = value.get_system() {
                    longhands::system_font::resolve_system_font(sf, context)
                }
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontFamily as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontFeatureSettings(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontFeatureSettings>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontFeatureSettings as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontPalette(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontPalette>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontPalette as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontSize(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontSize>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                if let Some(sf) = value.get_system() {
                    longhands::system_font::resolve_system_font(sf, context)
                }
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariantAlternates(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariantAlternates>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantAlternates as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::FontVariationSettings(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::FontVariationSettings>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariationSettings as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::GridTemplateAreas(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateAreas>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridTemplateAreas as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::HyphenateCharacter(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::HyphenateCharacter>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::HyphenateCharacter as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::JustifyTracks(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::JustifyTracks>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifyTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::LetterSpacing(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LetterSpacing>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LetterSpacing as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::LineHeight(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineHeight>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::LineHeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ListStyleType(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::ListStyleType>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ListStyleType as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskClip(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_clip::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_clip::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskComposite(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_composite::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_composite::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskImage(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_image::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_image::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskMode(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_mode::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskOrigin(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_origin::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_origin::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskPositionX(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_position_x::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskPositionY(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_position_y::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskRepeat(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_repeat::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaskSize(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::mask_size::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::mask_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OffsetAnchor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::PositionOrAuto>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::PositionOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OffsetPath(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::OffsetPath>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OffsetPath as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::OffsetPosition(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::OffsetPosition>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OffsetPosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Page(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::PageName>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::PageName as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Perspective(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Perspective>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Perspective as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Quotes(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Quotes>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Quotes as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Rotate(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Rotate>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Rotate as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Scale(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Scale>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Scale as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ScrollbarColor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::ui::ScrollbarColor>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ui::ScrollbarColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ShapeOutside(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::basic_shape::ShapeOutside>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ShapeOutside as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::StrokeDasharray(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGStrokeDashArray>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGStrokeDashArray as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::StrokeDashoffset(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGLength>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::SVGLength as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::StrokeWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::SVGWidth>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TabSize(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthOrNumber>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextDecorationThickness(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextDecorationLength>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextDecorationLength as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextEmphasisStyle(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::TextEmphasisStyle>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextEmphasisStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextOverflow(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::TextOverflow>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextOverflow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextShadow(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<longhands::text_shadow::SpecifiedValue>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::text_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Translate(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Translate>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Translate as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::VerticalAlign(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::VerticalAlign>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::VerticalAlign as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::WebkitTextStrokeWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LineWidth>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LineWidth as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::WordSpacing(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::WordSpacing>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::WordSpacing as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ObjectPosition(ref value) |
PropertyDeclaration::PerspectiveOrigin(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::Position>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Position as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Fill(ref value) |
PropertyDeclaration::Stroke(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::SVGPaint>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozWindowTransformOrigin(ref value) |
PropertyDeclaration::TransformOrigin(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::TransformOrigin>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::GridTemplateColumns(ref value) |
PropertyDeclaration::GridTemplateRows(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateComponent>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderImageSource(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Image>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Image as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ListStyleImage(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Image>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Image as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::GridAutoColumns(ref value) |
PropertyDeclaration::GridAutoRows(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ImplicitGridTracks>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozWindowTransform(ref value) |
PropertyDeclaration::Transform(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Transform>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Transform as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ColumnGap(ref value) |
PropertyDeclaration::RowGap(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthPercentageOrNormal>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MarkerEnd(ref value) |
PropertyDeclaration::MarkerMid(ref value) |
PropertyDeclaration::MarkerStart(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::url::UrlOrNone>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::ContainIntrinsicBlockSize(ref value) |
PropertyDeclaration::ContainIntrinsicHeight(ref value) |
PropertyDeclaration::ContainIntrinsicInlineSize(ref value) |
PropertyDeclaration::ContainIntrinsicWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::ContainIntrinsicSize>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::GridColumnEnd(ref value) |
PropertyDeclaration::GridColumnStart(ref value) |
PropertyDeclaration::GridRowEnd(ref value) |
PropertyDeclaration::GridRowStart(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::GridLine>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridLine as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MaxBlockSize(ref value) |
PropertyDeclaration::MaxHeight(ref value) |
PropertyDeclaration::MaxInlineSize(ref value) |
PropertyDeclaration::MaxWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::MaxSize>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Cx(ref value) |
PropertyDeclaration::Cy(ref value) |
PropertyDeclaration::OffsetDistance(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextIndent(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::X(ref value) |
PropertyDeclaration::Y(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderBottomLeftRadius(ref value) |
PropertyDeclaration::BorderBottomRightRadius(ref value) |
PropertyDeclaration::BorderEndEndRadius(ref value) |
PropertyDeclaration::BorderEndStartRadius(ref value) |
PropertyDeclaration::BorderStartEndRadius(ref value) |
PropertyDeclaration::BorderStartStartRadius(ref value) |
PropertyDeclaration::BorderTopLeftRadius(ref value) |
PropertyDeclaration::BorderTopRightRadius(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderCornerRadius>>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = (**value).to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BlockSize(ref value) |
PropertyDeclaration::Height(ref value) |
PropertyDeclaration::InlineSize(ref value) |
PropertyDeclaration::MinBlockSize(ref value) |
PropertyDeclaration::MinHeight(ref value) |
PropertyDeclaration::MinInlineSize(ref value) |
PropertyDeclaration::MinWidth(ref value) |
PropertyDeclaration::Width(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Size>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BorderBlockEndWidth(ref value) |
PropertyDeclaration::BorderBlockStartWidth(ref value) |
PropertyDeclaration::BorderBottomWidth(ref value) |
PropertyDeclaration::BorderInlineEndWidth(ref value) |
PropertyDeclaration::BorderInlineStartWidth(ref value) |
PropertyDeclaration::BorderLeftWidth(ref value) |
PropertyDeclaration::BorderRightWidth(ref value) |
PropertyDeclaration::BorderTopWidth(ref value) |
PropertyDeclaration::ColumnRuleWidth(ref value) |
PropertyDeclaration::OutlineWidth(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::BorderSideWidth>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::PaddingBlockEnd(ref value) |
PropertyDeclaration::PaddingBlockStart(ref value) |
PropertyDeclaration::PaddingBottom(ref value) |
PropertyDeclaration::PaddingInlineEnd(ref value) |
PropertyDeclaration::PaddingInlineStart(ref value) |
PropertyDeclaration::PaddingLeft(ref value) |
PropertyDeclaration::PaddingRight(ref value) |
PropertyDeclaration::PaddingTop(ref value) |
PropertyDeclaration::R(ref value) |
PropertyDeclaration::ShapeMargin(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentage>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Rx(ref value) |
PropertyDeclaration::Ry(ref value) |
PropertyDeclaration::ScrollPaddingBlockEnd(ref value) |
PropertyDeclaration::ScrollPaddingBlockStart(ref value) |
PropertyDeclaration::ScrollPaddingBottom(ref value) |
PropertyDeclaration::ScrollPaddingInlineEnd(ref value) |
PropertyDeclaration::ScrollPaddingInlineStart(ref value) |
PropertyDeclaration::ScrollPaddingLeft(ref value) |
PropertyDeclaration::ScrollPaddingRight(ref value) |
PropertyDeclaration::ScrollPaddingTop(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentageOrAuto>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::MozWindowInputRegionMargin(ref value) |
PropertyDeclaration::OutlineOffset(ref value) |
PropertyDeclaration::OverflowClipMargin(ref value) |
PropertyDeclaration::ScrollMarginBlockEnd(ref value) |
PropertyDeclaration::ScrollMarginBlockStart(ref value) |
PropertyDeclaration::ScrollMarginBottom(ref value) |
PropertyDeclaration::ScrollMarginInlineEnd(ref value) |
PropertyDeclaration::ScrollMarginInlineStart(ref value) |
PropertyDeclaration::ScrollMarginLeft(ref value) |
PropertyDeclaration::ScrollMarginRight(ref value) |
PropertyDeclaration::ScrollMarginTop(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Length>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Length as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Bottom(ref value) |
PropertyDeclaration::InsetBlockEnd(ref value) |
PropertyDeclaration::InsetBlockStart(ref value) |
PropertyDeclaration::InsetInlineEnd(ref value) |
PropertyDeclaration::InsetInlineStart(ref value) |
PropertyDeclaration::Left(ref value) |
PropertyDeclaration::MarginBlockEnd(ref value) |
PropertyDeclaration::MarginBlockStart(ref value) |
PropertyDeclaration::MarginBottom(ref value) |
PropertyDeclaration::MarginInlineEnd(ref value) |
PropertyDeclaration::MarginInlineStart(ref value) |
PropertyDeclaration::MarginLeft(ref value) |
PropertyDeclaration::MarginRight(ref value) |
PropertyDeclaration::MarginTop(ref value) |
PropertyDeclaration::Right(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextUnderlineOffset(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::Top(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::BackgroundColor(ref value) |
PropertyDeclaration::BorderBlockEndColor(ref value) |
PropertyDeclaration::BorderBlockStartColor(ref value) |
PropertyDeclaration::BorderBottomColor(ref value) |
PropertyDeclaration::BorderInlineEndColor(ref value) |
PropertyDeclaration::BorderInlineStartColor(ref value) |
PropertyDeclaration::BorderLeftColor(ref value) |
PropertyDeclaration::BorderRightColor(ref value) |
PropertyDeclaration::BorderTopColor(ref value) |
PropertyDeclaration::ColumnRuleColor(ref value) |
PropertyDeclaration::FloodColor(ref value) |
PropertyDeclaration::LightingColor(ref value) |
PropertyDeclaration::OutlineColor(ref value) |
PropertyDeclaration::StopColor(ref value) |
PropertyDeclaration::TextDecorationColor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Color>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = Some(longhand_id);
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::TextEmphasisColor(ref value) |
PropertyDeclaration::WebkitTextFillColor(ref value) |
PropertyDeclaration::WebkitTextStrokeColor(ref value) => {
                let decl_repr = unsafe {
                    &*(decl as *const _ as *const PropertyDeclarationVariantRepr<crate::values::specified::Color>)
                };
                let longhand_id = unsafe {
                    *(&decl_repr.tag as *const u16 as *const LonghandId)
                };
                context.for_non_inherited_property = None;
                let value = value.to_computed_value(context);
                let value = value.to_animated_value();

                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: longhand_id.to_physical(context.builder.writing_mode) as u16,
                            value,
                        },
                    );
                    out.assume_init()
                }
            }
            PropertyDeclaration::CSSWideKeyword(ref declaration) => {
                match declaration.id {
                    // We put all the animatable properties first in the hopes
                    // that it might increase match locality.
                    LonghandId::AlignContent => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_align_content();


                            AnimationValue::AlignContent(computed)
                    },
                    LonghandId::AlignItems => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_align_items();


                            AnimationValue::AlignItems(computed)
                    },
                    LonghandId::AlignSelf => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_align_self();


                            AnimationValue::AlignSelf(computed)
                    },
                    LonghandId::AspectRatio => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_aspect_ratio();


                            AnimationValue::AspectRatio(computed)
                    },
                    LonghandId::BackfaceVisibility => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_backface_visibility();


                            AnimationValue::BackfaceVisibility(computed)
                    },
                    LonghandId::BaselineSource => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_baseline_source();


                            AnimationValue::BaselineSource(computed)
                    },
                    LonghandId::BorderCollapse => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_table()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_table()
                            },
                        };
                        let computed = style_struct
                            .clone_border_collapse();


                            AnimationValue::BorderCollapse(computed)
                    },
                    LonghandId::BorderImageRepeat => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_image_repeat();


                            AnimationValue::BorderImageRepeat(computed)
                    },
                    LonghandId::BoxDecorationBreak => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_box_decoration_break();


                            AnimationValue::BoxDecorationBreak(computed)
                    },
                    LonghandId::BoxSizing => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_box_sizing();


                            AnimationValue::BoxSizing(computed)
                    },
                    LonghandId::BreakInside => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_break_inside();


                            AnimationValue::BreakInside(computed)
                    },
                    LonghandId::CaptionSide => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_table()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_table()
                            },
                        };
                        let computed = style_struct
                            .clone_caption_side();


                            AnimationValue::CaptionSide(computed)
                    },
                    LonghandId::Clear => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_clear();


                            AnimationValue::Clear(computed)
                    },
                    LonghandId::ColorInterpolation => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_color_interpolation();


                            AnimationValue::ColorInterpolation(computed)
                    },
                    LonghandId::ColorInterpolationFilters => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_color_interpolation_filters();


                            AnimationValue::ColorInterpolationFilters(computed)
                    },
                    LonghandId::ColumnCount => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_count();

                        let computed = computed.to_animated_value();

                            AnimationValue::ColumnCount(computed)
                    },
                    LonghandId::ColumnFill => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_fill();


                            AnimationValue::ColumnFill(computed)
                    },
                    LonghandId::ColumnSpan => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_span();


                            AnimationValue::ColumnSpan(computed)
                    },
                    LonghandId::Display => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_display();


                            AnimationValue::Display(computed)
                    },
                    LonghandId::DominantBaseline => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_dominant_baseline();


                            AnimationValue::DominantBaseline(computed)
                    },
                    LonghandId::EmptyCells => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_table()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_table()
                            },
                        };
                        let computed = style_struct
                            .clone_empty_cells();


                            AnimationValue::EmptyCells(computed)
                    },
                    LonghandId::FlexDirection => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_flex_direction();


                            AnimationValue::FlexDirection(computed)
                    },
                    LonghandId::FlexWrap => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_flex_wrap();


                            AnimationValue::FlexWrap(computed)
                    },
                    LonghandId::Float => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_float();


                            AnimationValue::Float(computed)
                    },
                    LonghandId::FontKerning => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_kerning();


                            AnimationValue::FontKerning(computed)
                    },
                    LonghandId::FontLanguageOverride => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_language_override();


                            AnimationValue::FontLanguageOverride(computed)
                    },
                    LonghandId::FontOpticalSizing => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_optical_sizing();


                            AnimationValue::FontOpticalSizing(computed)
                    },
                    LonghandId::FontSizeAdjust => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_size_adjust();

                        let computed = computed.to_animated_value();

                            AnimationValue::FontSizeAdjust(computed)
                    },
                    LonghandId::FontStretch => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_stretch();

                        let computed = computed.to_animated_value();

                            AnimationValue::FontStretch(computed)
                    },
                    LonghandId::FontStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_style();

                        let computed = computed.to_animated_value();

                            AnimationValue::FontStyle(computed)
                    },
                    LonghandId::FontVariantCaps => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_caps();


                            AnimationValue::FontVariantCaps(computed)
                    },
                    LonghandId::FontVariantEastAsian => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_east_asian();


                            AnimationValue::FontVariantEastAsian(computed)
                    },
                    LonghandId::FontVariantEmoji => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_emoji();


                            AnimationValue::FontVariantEmoji(computed)
                    },
                    LonghandId::FontVariantLigatures => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_ligatures();


                            AnimationValue::FontVariantLigatures(computed)
                    },
                    LonghandId::FontVariantNumeric => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_numeric();


                            AnimationValue::FontVariantNumeric(computed)
                    },
                    LonghandId::FontVariantPosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_position();


                            AnimationValue::FontVariantPosition(computed)
                    },
                    LonghandId::FontWeight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_weight();

                        let computed = computed.to_animated_value();

                            AnimationValue::FontWeight(computed)
                    },
                    LonghandId::ForcedColorAdjust => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_forced_color_adjust();


                            AnimationValue::ForcedColorAdjust(computed)
                    },
                    LonghandId::GridAutoFlow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_auto_flow();


                            AnimationValue::GridAutoFlow(computed)
                    },
                    LonghandId::Hyphens => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_hyphens();


                            AnimationValue::Hyphens(computed)
                    },
                    LonghandId::ImageOrientation => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_box()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_box()
                            },
                        };
                        let computed = style_struct
                            .clone_image_orientation();


                            AnimationValue::ImageOrientation(computed)
                    },
                    LonghandId::ImageRendering => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_box()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_box()
                            },
                        };
                        let computed = style_struct
                            .clone_image_rendering();


                            AnimationValue::ImageRendering(computed)
                    },
                    LonghandId::ImeMode => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_ime_mode();


                            AnimationValue::ImeMode(computed)
                    },
                    LonghandId::InitialLetter => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_text()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_text()
                            },
                        };
                        let computed = style_struct
                            .clone_initial_letter();


                            AnimationValue::InitialLetter(computed)
                    },
                    LonghandId::Isolation => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_isolation();


                            AnimationValue::Isolation(computed)
                    },
                    LonghandId::JustifyContent => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_justify_content();


                            AnimationValue::JustifyContent(computed)
                    },
                    LonghandId::JustifyItems => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_justify_items();


                            AnimationValue::JustifyItems(computed)
                    },
                    LonghandId::JustifySelf => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_justify_self();


                            AnimationValue::JustifySelf(computed)
                    },
                    LonghandId::LineBreak => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_line_break();


                            AnimationValue::LineBreak(computed)
                    },
                    LonghandId::ListStylePosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_list()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_list()
                            },
                        };
                        let computed = style_struct
                            .clone_list_style_position();


                            AnimationValue::ListStylePosition(computed)
                    },
                    LonghandId::MaskType => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_type();


                            AnimationValue::MaskType(computed)
                    },
                    LonghandId::MasonryAutoFlow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_masonry_auto_flow();


                            AnimationValue::MasonryAutoFlow(computed)
                    },
                    LonghandId::MixBlendMode => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_effects()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_effects()
                            },
                        };
                        let computed = style_struct
                            .clone_mix_blend_mode();


                            AnimationValue::MixBlendMode(computed)
                    },
                    LonghandId::MozBoxAlign => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_xul()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_xul()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_box_align();


                            AnimationValue::MozBoxAlign(computed)
                    },
                    LonghandId::MozBoxDirection => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_xul()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_xul()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_box_direction();


                            AnimationValue::MozBoxDirection(computed)
                    },
                    LonghandId::MozBoxOrient => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_xul()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_xul()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_box_orient();


                            AnimationValue::MozBoxOrient(computed)
                    },
                    LonghandId::MozBoxPack => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_xul()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_xul()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_box_pack();


                            AnimationValue::MozBoxPack(computed)
                    },
                    LonghandId::MozFloatEdge => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_float_edge();


                            AnimationValue::MozFloatEdge(computed)
                    },
                    LonghandId::MozInert => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_inert();


                            AnimationValue::MozInert(computed)
                    },
                    LonghandId::MozOrient => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_orient();


                            AnimationValue::MozOrient(computed)
                    },
                    LonghandId::MozOsxFontSmoothing => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_osx_font_smoothing();


                            AnimationValue::MozOsxFontSmoothing(computed)
                    },
                    LonghandId::MozTextSizeAdjust => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_text_size_adjust();


                            AnimationValue::MozTextSizeAdjust(computed)
                    },
                    LonghandId::MozUserFocus => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_user_focus();


                            AnimationValue::MozUserFocus(computed)
                    },
                    LonghandId::MozUserInput => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_user_input();


                            AnimationValue::MozUserInput(computed)
                    },
                    LonghandId::MozUserModify => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_user_modify();


                            AnimationValue::MozUserModify(computed)
                    },
                    LonghandId::MozWindowDragging => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_window_dragging();


                            AnimationValue::MozWindowDragging(computed)
                    },
                    LonghandId::MozWindowShadow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_window_shadow();


                            AnimationValue::MozWindowShadow(computed)
                    },
                    LonghandId::ObjectFit => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_object_fit();


                            AnimationValue::ObjectFit(computed)
                    },
                    LonghandId::OffsetRotate => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_offset_rotate();


                            AnimationValue::OffsetRotate(computed)
                    },
                    LonghandId::OutlineStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_outline()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_outline()
                            },
                        };
                        let computed = style_struct
                            .clone_outline_style();


                            AnimationValue::OutlineStyle(computed)
                    },
                    LonghandId::OverflowAnchor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_anchor();


                            AnimationValue::OverflowAnchor(computed)
                    },
                    LonghandId::OverflowWrap => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_wrap();


                            AnimationValue::OverflowWrap(computed)
                    },
                    LonghandId::PaintOrder => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_paint_order();


                            AnimationValue::PaintOrder(computed)
                    },
                    LonghandId::PointerEvents => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_pointer_events();


                            AnimationValue::PointerEvents(computed)
                    },
                    LonghandId::Position => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_position();


                            AnimationValue::Position(computed)
                    },
                    LonghandId::PrintColorAdjust => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_box()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_box()
                            },
                        };
                        let computed = style_struct
                            .clone_print_color_adjust();


                            AnimationValue::PrintColorAdjust(computed)
                    },
                    LonghandId::Resize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_resize();


                            AnimationValue::Resize(computed)
                    },
                    LonghandId::RubyAlign => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_ruby_align();


                            AnimationValue::RubyAlign(computed)
                    },
                    LonghandId::RubyPosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_ruby_position();


                            AnimationValue::RubyPosition(computed)
                    },
                    LonghandId::ScrollBehavior => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_behavior();


                            AnimationValue::ScrollBehavior(computed)
                    },
                    LonghandId::ScrollSnapAlign => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_snap_align();


                            AnimationValue::ScrollSnapAlign(computed)
                    },
                    LonghandId::ScrollSnapStop => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_snap_stop();


                            AnimationValue::ScrollSnapStop(computed)
                    },
                    LonghandId::ScrollSnapType => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_snap_type();


                            AnimationValue::ScrollSnapType(computed)
                    },
                    LonghandId::ScrollbarGutter => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_scrollbar_gutter();


                            AnimationValue::ScrollbarGutter(computed)
                    },
                    LonghandId::ScrollbarWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_scrollbar_width();


                            AnimationValue::ScrollbarWidth(computed)
                    },
                    LonghandId::ShapeRendering => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_shape_rendering();


                            AnimationValue::ShapeRendering(computed)
                    },
                    LonghandId::StrokeLinecap => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_linecap();


                            AnimationValue::StrokeLinecap(computed)
                    },
                    LonghandId::StrokeLinejoin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_linejoin();


                            AnimationValue::StrokeLinejoin(computed)
                    },
                    LonghandId::TableLayout => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_table()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_table()
                            },
                        };
                        let computed = style_struct
                            .clone_table_layout();


                            AnimationValue::TableLayout(computed)
                    },
                    LonghandId::TextAlign => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_align();


                            AnimationValue::TextAlign(computed)
                    },
                    LonghandId::TextAlignLast => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_align_last();


                            AnimationValue::TextAlignLast(computed)
                    },
                    LonghandId::TextAnchor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_text_anchor();


                            AnimationValue::TextAnchor(computed)
                    },
                    LonghandId::TextDecorationLine => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_text()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_decoration_line();


                            AnimationValue::TextDecorationLine(computed)
                    },
                    LonghandId::TextDecorationSkipInk => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_decoration_skip_ink();


                            AnimationValue::TextDecorationSkipInk(computed)
                    },
                    LonghandId::TextDecorationStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_text()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_decoration_style();


                            AnimationValue::TextDecorationStyle(computed)
                    },
                    LonghandId::TextEmphasisPosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_emphasis_position();


                            AnimationValue::TextEmphasisPosition(computed)
                    },
                    LonghandId::TextJustify => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_justify();


                            AnimationValue::TextJustify(computed)
                    },
                    LonghandId::TextRendering => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_rendering();


                            AnimationValue::TextRendering(computed)
                    },
                    LonghandId::TextTransform => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_transform();


                            AnimationValue::TextTransform(computed)
                    },
                    LonghandId::TextUnderlinePosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_underline_position();


                            AnimationValue::TextUnderlinePosition(computed)
                    },
                    LonghandId::TouchAction => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_touch_action();


                            AnimationValue::TouchAction(computed)
                    },
                    LonghandId::TransformBox => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_transform_box();


                            AnimationValue::TransformBox(computed)
                    },
                    LonghandId::TransformStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_transform_style();


                            AnimationValue::TransformStyle(computed)
                    },
                    LonghandId::UserSelect => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_user_select();


                            AnimationValue::UserSelect(computed)
                    },
                    LonghandId::VectorEffect => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_vector_effect();


                            AnimationValue::VectorEffect(computed)
                    },
                    LonghandId::Visibility => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_box()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_box()
                            },
                        };
                        let computed = style_struct
                            .clone_visibility();


                            AnimationValue::Visibility(computed)
                    },
                    LonghandId::WebkitLineClamp => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone__webkit_line_clamp();


                            AnimationValue::WebkitLineClamp(computed)
                    },
                    LonghandId::WebkitTextSecurity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone__webkit_text_security();


                            AnimationValue::WebkitTextSecurity(computed)
                    },
                    LonghandId::WhiteSpace => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_white_space();


                            AnimationValue::WhiteSpace(computed)
                    },
                    LonghandId::WordBreak => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_word_break();


                            AnimationValue::WordBreak(computed)
                    },
                    LonghandId::ZIndex => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_z_index();


                            AnimationValue::ZIndex(computed)
                    },
                    LonghandId::Appearance => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_appearance();


                            AnimationValue::Appearance(computed)
                    },
                    LonghandId::MozForceBrokenImageIcon => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_force_broken_image_icon();


                            AnimationValue::MozForceBrokenImageIcon(computed)
                    },
                    LonghandId::MozSubtreeHiddenOnlyVisually => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_subtree_hidden_only_visually();


                            AnimationValue::MozSubtreeHiddenOnlyVisually(computed)
                    },
                    LonghandId::BreakAfter => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_break_after();


                            AnimationValue::BreakAfter(computed)
                    },
                    LonghandId::BreakBefore => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_break_before();


                            AnimationValue::BreakBefore(computed)
                    },
                    LonghandId::ClipRule => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_clip_rule();


                            AnimationValue::ClipRule(computed)
                    },
                    LonghandId::FillRule => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_fill_rule();


                            AnimationValue::FillRule(computed)
                    },
                    LonghandId::OverflowClipBoxBlock => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_clip_box_block();


                            AnimationValue::OverflowClipBoxBlock(computed)
                    },
                    LonghandId::OverflowClipBoxInline => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_clip_box_inline();


                            AnimationValue::OverflowClipBoxInline(computed)
                    },
                    LonghandId::FillOpacity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_fill_opacity();


                            AnimationValue::FillOpacity(computed)
                    },
                    LonghandId::StrokeOpacity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_opacity();


                            AnimationValue::StrokeOpacity(computed)
                    },
                    LonghandId::FontSynthesisSmallCaps => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_synthesis_small_caps();


                            AnimationValue::FontSynthesisSmallCaps(computed)
                    },
                    LonghandId::FontSynthesisStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_synthesis_style();


                            AnimationValue::FontSynthesisStyle(computed)
                    },
                    LonghandId::FontSynthesisWeight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_synthesis_weight();


                            AnimationValue::FontSynthesisWeight(computed)
                    },
                    LonghandId::MozBoxOrdinalGroup => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_xul()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_xul()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_box_ordinal_group();


                            AnimationValue::MozBoxOrdinalGroup(computed)
                    },
                    LonghandId::Order => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_order();


                            AnimationValue::Order(computed)
                    },
                    LonghandId::FlexGrow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_flex_grow();

                        let computed = computed.to_animated_value();

                            AnimationValue::FlexGrow(computed)
                    },
                    LonghandId::FlexShrink => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_flex_shrink();

                        let computed = computed.to_animated_value();

                            AnimationValue::FlexShrink(computed)
                    },
                    LonghandId::MozBoxFlex => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_xul()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_xul()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_box_flex();

                        let computed = computed.to_animated_value();

                            AnimationValue::MozBoxFlex(computed)
                    },
                    LonghandId::StrokeMiterlimit => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_miterlimit();

                        let computed = computed.to_animated_value();

                            AnimationValue::StrokeMiterlimit(computed)
                    },
                    LonghandId::OverflowBlock => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_block(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::OverflowX(computed)
                        
        } else {
            
                            AnimationValue::OverflowY(computed)
                        
        }

                    },
                    LonghandId::OverflowInline => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_inline(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::OverflowY(computed)
                        
        } else {
            
                            AnimationValue::OverflowX(computed)
                        
        }

                    },
                    LonghandId::OverflowX => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_x();


                            AnimationValue::OverflowX(computed)
                    },
                    LonghandId::OverflowY => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_y();


                            AnimationValue::OverflowY(computed)
                    },
                    LonghandId::OverscrollBehaviorBlock => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overscroll_behavior_block(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::OverscrollBehaviorX(computed)
                        
        } else {
            
                            AnimationValue::OverscrollBehaviorY(computed)
                        
        }

                    },
                    LonghandId::OverscrollBehaviorInline => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overscroll_behavior_inline(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::OverscrollBehaviorY(computed)
                        
        } else {
            
                            AnimationValue::OverscrollBehaviorX(computed)
                        
        }

                    },
                    LonghandId::OverscrollBehaviorX => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overscroll_behavior_x();


                            AnimationValue::OverscrollBehaviorX(computed)
                    },
                    LonghandId::OverscrollBehaviorY => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_overscroll_behavior_y();


                            AnimationValue::OverscrollBehaviorY(computed)
                    },
                    LonghandId::FloodOpacity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_flood_opacity();


                            AnimationValue::FloodOpacity(computed)
                    },
                    LonghandId::MozWindowOpacity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_window_opacity();


                            AnimationValue::MozWindowOpacity(computed)
                    },
                    LonghandId::Opacity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_effects()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_effects()
                            },
                        };
                        let computed = style_struct
                            .clone_opacity();


                            AnimationValue::Opacity(computed)
                    },
                    LonghandId::ShapeImageThreshold => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_shape_image_threshold();


                            AnimationValue::ShapeImageThreshold(computed)
                    },
                    LonghandId::StopOpacity => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stop_opacity();


                            AnimationValue::StopOpacity(computed)
                    },
                    LonghandId::BorderBottomStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_bottom_style();


                            AnimationValue::BorderBottomStyle(computed)
                    },
                    LonghandId::BorderLeftStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_left_style();


                            AnimationValue::BorderLeftStyle(computed)
                    },
                    LonghandId::BorderRightStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_right_style();


                            AnimationValue::BorderRightStyle(computed)
                    },
                    LonghandId::BorderTopStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_top_style();


                            AnimationValue::BorderTopStyle(computed)
                    },
                    LonghandId::ColumnRuleStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_rule_style();


                            AnimationValue::ColumnRuleStyle(computed)
                    },
                    LonghandId::AccentColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_accent_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::AccentColor(computed)
                    },
                    LonghandId::AlignTracks => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_align_tracks();


                            AnimationValue::AlignTracks(computed)
                    },
                    LonghandId::BackdropFilter => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_effects()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_effects()
                            },
                        };
                        let computed = style_struct
                            .clone_backdrop_filter();

                        let computed = computed.to_animated_value();

                            AnimationValue::BackdropFilter(computed)
                    },
                    LonghandId::BackgroundAttachment => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_attachment();


                            AnimationValue::BackgroundAttachment(computed)
                    },
                    LonghandId::BackgroundBlendMode => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_blend_mode();


                            AnimationValue::BackgroundBlendMode(computed)
                    },
                    LonghandId::BackgroundClip => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_clip();


                            AnimationValue::BackgroundClip(computed)
                    },
                    LonghandId::BackgroundImage => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_image();


                            AnimationValue::BackgroundImage(computed)
                    },
                    LonghandId::BackgroundOrigin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_origin();


                            AnimationValue::BackgroundOrigin(computed)
                    },
                    LonghandId::BackgroundPositionX => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_position_x();


                            AnimationValue::BackgroundPositionX(computed)
                    },
                    LonghandId::BackgroundPositionY => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_position_y();


                            AnimationValue::BackgroundPositionY(computed)
                    },
                    LonghandId::BackgroundRepeat => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_repeat();


                            AnimationValue::BackgroundRepeat(computed)
                    },
                    LonghandId::BackgroundSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_size();

                        let computed = computed.to_animated_value();

                            AnimationValue::BackgroundSize(computed)
                    },
                    LonghandId::BorderImageOutset => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_image_outset();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderImageOutset(computed)
                    },
                    LonghandId::BorderImageSlice => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_image_slice();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderImageSlice(computed)
                    },
                    LonghandId::BorderImageWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_image_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderImageWidth(computed)
                    },
                    LonghandId::BorderSpacing => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_table()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_table()
                            },
                        };
                        let computed = style_struct
                            .clone_border_spacing();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderSpacing(computed)
                    },
                    LonghandId::BoxShadow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_effects()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_effects()
                            },
                        };
                        let computed = style_struct
                            .clone_box_shadow();

                        let computed = computed.to_animated_value();

                            AnimationValue::BoxShadow(computed)
                    },
                    LonghandId::CaretColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_caret_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::CaretColor(computed)
                    },
                    LonghandId::Clip => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_effects()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_effects()
                            },
                        };
                        let computed = style_struct
                            .clone_clip();


                            AnimationValue::Clip(computed)
                    },
                    LonghandId::ClipPath => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_clip_path();

                        let computed = computed.to_animated_value();

                            AnimationValue::ClipPath(computed)
                    },
                    LonghandId::Color => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::Color(computed)
                    },
                    LonghandId::ColorScheme => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_color_scheme();


                            AnimationValue::ColorScheme(computed)
                    },
                    LonghandId::ColumnWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::ColumnWidth(computed)
                    },
                    LonghandId::Content => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_counters()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_counters()
                            },
                        };
                        let computed = style_struct
                            .clone_content();


                            AnimationValue::Content(computed)
                    },
                    LonghandId::CounterIncrement => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_counters()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_counters()
                            },
                        };
                        let computed = style_struct
                            .clone_counter_increment();


                            AnimationValue::CounterIncrement(computed)
                    },
                    LonghandId::CounterReset => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_counters()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_counters()
                            },
                        };
                        let computed = style_struct
                            .clone_counter_reset();


                            AnimationValue::CounterReset(computed)
                    },
                    LonghandId::CounterSet => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_counters()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_counters()
                            },
                        };
                        let computed = style_struct
                            .clone_counter_set();


                            AnimationValue::CounterSet(computed)
                    },
                    LonghandId::Cursor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_cursor();


                            AnimationValue::Cursor(computed)
                    },
                    LonghandId::D => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_d();


                            AnimationValue::D(computed)
                    },
                    LonghandId::Filter => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_effects()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_effects()
                            },
                        };
                        let computed = style_struct
                            .clone_filter();

                        let computed = computed.to_animated_value();

                            AnimationValue::Filter(computed)
                    },
                    LonghandId::FlexBasis => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_flex_basis();

                        let computed = computed.to_animated_value();

                            AnimationValue::FlexBasis(computed)
                    },
                    LonghandId::FontFamily => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_family();


                            AnimationValue::FontFamily(computed)
                    },
                    LonghandId::FontFeatureSettings => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_feature_settings();


                            AnimationValue::FontFeatureSettings(computed)
                    },
                    LonghandId::FontPalette => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_palette();


                            AnimationValue::FontPalette(computed)
                    },
                    LonghandId::FontSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_size();

                        let computed = computed.to_animated_value();

                            AnimationValue::FontSize(computed)
                    },
                    LonghandId::FontVariantAlternates => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variant_alternates();


                            AnimationValue::FontVariantAlternates(computed)
                    },
                    LonghandId::FontVariationSettings => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_font()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_font()
                            },
                        };
                        let computed = style_struct
                            .clone_font_variation_settings();


                            AnimationValue::FontVariationSettings(computed)
                    },
                    LonghandId::GridTemplateAreas => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_template_areas();


                            AnimationValue::GridTemplateAreas(computed)
                    },
                    LonghandId::HyphenateCharacter => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_hyphenate_character();


                            AnimationValue::HyphenateCharacter(computed)
                    },
                    LonghandId::JustifyTracks => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_justify_tracks();


                            AnimationValue::JustifyTracks(computed)
                    },
                    LonghandId::LetterSpacing => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_letter_spacing();


                            AnimationValue::LetterSpacing(computed)
                    },
                    LonghandId::LineHeight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_line_height();

                        let computed = computed.to_animated_value();

                            AnimationValue::LineHeight(computed)
                    },
                    LonghandId::ListStyleType => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_list()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_list()
                            },
                        };
                        let computed = style_struct
                            .clone_list_style_type();


                            AnimationValue::ListStyleType(computed)
                    },
                    LonghandId::MaskClip => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_clip();


                            AnimationValue::MaskClip(computed)
                    },
                    LonghandId::MaskComposite => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_composite();


                            AnimationValue::MaskComposite(computed)
                    },
                    LonghandId::MaskImage => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_image();


                            AnimationValue::MaskImage(computed)
                    },
                    LonghandId::MaskMode => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_mode();


                            AnimationValue::MaskMode(computed)
                    },
                    LonghandId::MaskOrigin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_origin();


                            AnimationValue::MaskOrigin(computed)
                    },
                    LonghandId::MaskPositionX => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_position_x();


                            AnimationValue::MaskPositionX(computed)
                    },
                    LonghandId::MaskPositionY => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_position_y();


                            AnimationValue::MaskPositionY(computed)
                    },
                    LonghandId::MaskRepeat => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_repeat();


                            AnimationValue::MaskRepeat(computed)
                    },
                    LonghandId::MaskSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_mask_size();

                        let computed = computed.to_animated_value();

                            AnimationValue::MaskSize(computed)
                    },
                    LonghandId::OffsetAnchor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_offset_anchor();


                            AnimationValue::OffsetAnchor(computed)
                    },
                    LonghandId::OffsetPath => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_offset_path();


                            AnimationValue::OffsetPath(computed)
                    },
                    LonghandId::OffsetPosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_offset_position();


                            AnimationValue::OffsetPosition(computed)
                    },
                    LonghandId::Page => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_page()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_page()
                            },
                        };
                        let computed = style_struct
                            .clone_page();


                            AnimationValue::Page(computed)
                    },
                    LonghandId::Perspective => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_perspective();

                        let computed = computed.to_animated_value();

                            AnimationValue::Perspective(computed)
                    },
                    LonghandId::Quotes => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_list()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_list()
                            },
                        };
                        let computed = style_struct
                            .clone_quotes();


                            AnimationValue::Quotes(computed)
                    },
                    LonghandId::Rotate => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_rotate();


                            AnimationValue::Rotate(computed)
                    },
                    LonghandId::Scale => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_scale();


                            AnimationValue::Scale(computed)
                    },
                    LonghandId::ScrollbarColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_ui()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_ui()
                            },
                        };
                        let computed = style_struct
                            .clone_scrollbar_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::ScrollbarColor(computed)
                    },
                    LonghandId::ShapeOutside => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_shape_outside();

                        let computed = computed.to_animated_value();

                            AnimationValue::ShapeOutside(computed)
                    },
                    LonghandId::StrokeDasharray => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_dasharray();

                        let computed = computed.to_animated_value();

                            AnimationValue::StrokeDasharray(computed)
                    },
                    LonghandId::StrokeDashoffset => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_dashoffset();


                            AnimationValue::StrokeDashoffset(computed)
                    },
                    LonghandId::StrokeWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::StrokeWidth(computed)
                    },
                    LonghandId::TabSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_tab_size();

                        let computed = computed.to_animated_value();

                            AnimationValue::TabSize(computed)
                    },
                    LonghandId::TextDecorationThickness => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_text()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_decoration_thickness();


                            AnimationValue::TextDecorationThickness(computed)
                    },
                    LonghandId::TextEmphasisStyle => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_emphasis_style();


                            AnimationValue::TextEmphasisStyle(computed)
                    },
                    LonghandId::TextOverflow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_text()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_overflow();


                            AnimationValue::TextOverflow(computed)
                    },
                    LonghandId::TextShadow => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_shadow();

                        let computed = computed.to_animated_value();

                            AnimationValue::TextShadow(computed)
                    },
                    LonghandId::Translate => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_translate();


                            AnimationValue::Translate(computed)
                    },
                    LonghandId::VerticalAlign => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_vertical_align();


                            AnimationValue::VerticalAlign(computed)
                    },
                    LonghandId::WebkitTextStrokeWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone__webkit_text_stroke_width();


                            AnimationValue::WebkitTextStrokeWidth(computed)
                    },
                    LonghandId::WordSpacing => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_word_spacing();


                            AnimationValue::WordSpacing(computed)
                    },
                    LonghandId::ObjectPosition => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_object_position();


                            AnimationValue::ObjectPosition(computed)
                    },
                    LonghandId::PerspectiveOrigin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_perspective_origin();


                            AnimationValue::PerspectiveOrigin(computed)
                    },
                    LonghandId::Fill => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_fill();

                        let computed = computed.to_animated_value();

                            AnimationValue::Fill(computed)
                    },
                    LonghandId::Stroke => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stroke();

                        let computed = computed.to_animated_value();

                            AnimationValue::Stroke(computed)
                    },
                    LonghandId::MozWindowTransformOrigin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_window_transform_origin();


                            AnimationValue::MozWindowTransformOrigin(computed)
                    },
                    LonghandId::TransformOrigin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_transform_origin();


                            AnimationValue::TransformOrigin(computed)
                    },
                    LonghandId::GridTemplateColumns => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_template_columns();


                            AnimationValue::GridTemplateColumns(computed)
                    },
                    LonghandId::GridTemplateRows => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_template_rows();


                            AnimationValue::GridTemplateRows(computed)
                    },
                    LonghandId::BorderImageSource => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_image_source();


                            AnimationValue::BorderImageSource(computed)
                    },
                    LonghandId::ListStyleImage => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_list()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_list()
                            },
                        };
                        let computed = style_struct
                            .clone_list_style_image();


                            AnimationValue::ListStyleImage(computed)
                    },
                    LonghandId::GridAutoColumns => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_auto_columns();


                            AnimationValue::GridAutoColumns(computed)
                    },
                    LonghandId::GridAutoRows => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_auto_rows();


                            AnimationValue::GridAutoRows(computed)
                    },
                    LonghandId::MozWindowTransform => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_window_transform();


                            AnimationValue::MozWindowTransform(computed)
                    },
                    LonghandId::Transform => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_transform();


                            AnimationValue::Transform(computed)
                    },
                    LonghandId::ColumnGap => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_column_gap();

                        let computed = computed.to_animated_value();

                            AnimationValue::ColumnGap(computed)
                    },
                    LonghandId::RowGap => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_row_gap();

                        let computed = computed.to_animated_value();

                            AnimationValue::RowGap(computed)
                    },
                    LonghandId::MarkerEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_marker_end();


                            AnimationValue::MarkerEnd(computed)
                    },
                    LonghandId::MarkerMid => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_marker_mid();


                            AnimationValue::MarkerMid(computed)
                    },
                    LonghandId::MarkerStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_svg()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_marker_start();


                            AnimationValue::MarkerStart(computed)
                    },
                    LonghandId::ContainIntrinsicBlockSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_contain_intrinsic_block_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::ContainIntrinsicWidth(computed)
                        
        } else {
            
                            AnimationValue::ContainIntrinsicHeight(computed)
                        
        }

                    },
                    LonghandId::ContainIntrinsicHeight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_contain_intrinsic_height();

                        let computed = computed.to_animated_value();

                            AnimationValue::ContainIntrinsicHeight(computed)
                    },
                    LonghandId::ContainIntrinsicInlineSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_contain_intrinsic_inline_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::ContainIntrinsicHeight(computed)
                        
        } else {
            
                            AnimationValue::ContainIntrinsicWidth(computed)
                        
        }

                    },
                    LonghandId::ContainIntrinsicWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_contain_intrinsic_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::ContainIntrinsicWidth(computed)
                    },
                    LonghandId::GridColumnEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_column_end();


                            AnimationValue::GridColumnEnd(computed)
                    },
                    LonghandId::GridColumnStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_column_start();


                            AnimationValue::GridColumnStart(computed)
                    },
                    LonghandId::GridRowEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_row_end();


                            AnimationValue::GridRowEnd(computed)
                    },
                    LonghandId::GridRowStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_grid_row_start();


                            AnimationValue::GridRowStart(computed)
                    },
                    LonghandId::MaxBlockSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_max_block_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::MaxWidth(computed)
                        
        } else {
            
                            AnimationValue::MaxHeight(computed)
                        
        }

                    },
                    LonghandId::MaxHeight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_max_height();

                        let computed = computed.to_animated_value();

                            AnimationValue::MaxHeight(computed)
                    },
                    LonghandId::MaxInlineSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_max_inline_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::MaxHeight(computed)
                        
        } else {
            
                            AnimationValue::MaxWidth(computed)
                        
        }

                    },
                    LonghandId::MaxWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_max_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::MaxWidth(computed)
                    },
                    LonghandId::Cx => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_cx();


                            AnimationValue::Cx(computed)
                    },
                    LonghandId::Cy => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_cy();


                            AnimationValue::Cy(computed)
                    },
                    LonghandId::OffsetDistance => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_offset_distance();


                            AnimationValue::OffsetDistance(computed)
                    },
                    LonghandId::TextIndent => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_indent();


                            AnimationValue::TextIndent(computed)
                    },
                    LonghandId::X => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_x();


                            AnimationValue::X(computed)
                    },
                    LonghandId::Y => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_y();


                            AnimationValue::Y(computed)
                    },
                    LonghandId::BorderBottomLeftRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_bottom_left_radius();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderBottomLeftRadius(computed)
                    },
                    LonghandId::BorderBottomRightRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_bottom_right_radius();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderBottomRightRadius(computed)
                    },
                    LonghandId::BorderEndEndRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_end_end_radius(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                            AnimationValue::BorderTopLeftRadius(computed)
                        
                }
                PhysicalCorner::TopRight => {
                    
                            AnimationValue::BorderTopRightRadius(computed)
                        
                }
                PhysicalCorner::BottomRight => {
                    
                            AnimationValue::BorderBottomRightRadius(computed)
                        
                }
                PhysicalCorner::BottomLeft => {
                    
                            AnimationValue::BorderBottomLeftRadius(computed)
                        
                }
        }

                    },
                    LonghandId::BorderEndStartRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_end_start_radius(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                            AnimationValue::BorderTopLeftRadius(computed)
                        
                }
                PhysicalCorner::TopRight => {
                    
                            AnimationValue::BorderTopRightRadius(computed)
                        
                }
                PhysicalCorner::BottomRight => {
                    
                            AnimationValue::BorderBottomRightRadius(computed)
                        
                }
                PhysicalCorner::BottomLeft => {
                    
                            AnimationValue::BorderBottomLeftRadius(computed)
                        
                }
        }

                    },
                    LonghandId::BorderStartEndRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_start_end_radius(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                            AnimationValue::BorderTopLeftRadius(computed)
                        
                }
                PhysicalCorner::TopRight => {
                    
                            AnimationValue::BorderTopRightRadius(computed)
                        
                }
                PhysicalCorner::BottomRight => {
                    
                            AnimationValue::BorderBottomRightRadius(computed)
                        
                }
                PhysicalCorner::BottomLeft => {
                    
                            AnimationValue::BorderBottomLeftRadius(computed)
                        
                }
        }

                    },
                    LonghandId::BorderStartStartRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_start_start_radius(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                            AnimationValue::BorderTopLeftRadius(computed)
                        
                }
                PhysicalCorner::TopRight => {
                    
                            AnimationValue::BorderTopRightRadius(computed)
                        
                }
                PhysicalCorner::BottomRight => {
                    
                            AnimationValue::BorderBottomRightRadius(computed)
                        
                }
                PhysicalCorner::BottomLeft => {
                    
                            AnimationValue::BorderBottomLeftRadius(computed)
                        
                }
        }

                    },
                    LonghandId::BorderTopLeftRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_top_left_radius();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderTopLeftRadius(computed)
                    },
                    LonghandId::BorderTopRightRadius => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_top_right_radius();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderTopRightRadius(computed)
                    },
                    LonghandId::BlockSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_block_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::Width(computed)
                        
        } else {
            
                            AnimationValue::Height(computed)
                        
        }

                    },
                    LonghandId::Height => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_height();

                        let computed = computed.to_animated_value();

                            AnimationValue::Height(computed)
                    },
                    LonghandId::InlineSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_inline_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::Height(computed)
                        
        } else {
            
                            AnimationValue::Width(computed)
                        
        }

                    },
                    LonghandId::MinBlockSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_min_block_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::MinWidth(computed)
                        
        } else {
            
                            AnimationValue::MinHeight(computed)
                        
        }

                    },
                    LonghandId::MinHeight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_min_height();

                        let computed = computed.to_animated_value();

                            AnimationValue::MinHeight(computed)
                    },
                    LonghandId::MinInlineSize => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_min_inline_size(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        
        if wm.is_vertical() {
            
                            AnimationValue::MinHeight(computed)
                        
        } else {
            
                            AnimationValue::MinWidth(computed)
                        
        }

                    },
                    LonghandId::MinWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_min_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::MinWidth(computed)
                    },
                    LonghandId::Width => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::Width(computed)
                    },
                    LonghandId::BorderBlockEndWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_block_end_width(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopWidth(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightWidth(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomWidth(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftWidth(computed)
                        
                }
        }

                    },
                    LonghandId::BorderBlockStartWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_block_start_width(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopWidth(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightWidth(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomWidth(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftWidth(computed)
                        
                }
        }

                    },
                    LonghandId::BorderBottomWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_bottom_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderBottomWidth(computed)
                    },
                    LonghandId::BorderInlineEndWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_inline_end_width(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopWidth(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightWidth(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomWidth(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftWidth(computed)
                        
                }
        }

                    },
                    LonghandId::BorderInlineStartWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_inline_start_width(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopWidth(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightWidth(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomWidth(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftWidth(computed)
                        
                }
        }

                    },
                    LonghandId::BorderLeftWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_left_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderLeftWidth(computed)
                    },
                    LonghandId::BorderRightWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_right_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderRightWidth(computed)
                    },
                    LonghandId::BorderTopWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_top_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderTopWidth(computed)
                    },
                    LonghandId::ColumnRuleWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_rule_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::ColumnRuleWidth(computed)
                    },
                    LonghandId::OutlineWidth => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_outline()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_outline()
                            },
                        };
                        let computed = style_struct
                            .clone_outline_width();

                        let computed = computed.to_animated_value();

                            AnimationValue::OutlineWidth(computed)
                    },
                    LonghandId::PaddingBlockEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_block_end(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::PaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::PaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::PaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::PaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::PaddingBlockStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_block_start(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::PaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::PaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::PaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::PaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::PaddingBottom => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_bottom();

                        let computed = computed.to_animated_value();

                            AnimationValue::PaddingBottom(computed)
                    },
                    LonghandId::PaddingInlineEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_inline_end(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::PaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::PaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::PaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::PaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::PaddingInlineStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_inline_start(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::PaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::PaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::PaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::PaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::PaddingLeft => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_left();

                        let computed = computed.to_animated_value();

                            AnimationValue::PaddingLeft(computed)
                    },
                    LonghandId::PaddingRight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_right();

                        let computed = computed.to_animated_value();

                            AnimationValue::PaddingRight(computed)
                    },
                    LonghandId::PaddingTop => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_padding_top();

                        let computed = computed.to_animated_value();

                            AnimationValue::PaddingTop(computed)
                    },
                    LonghandId::R => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_r();

                        let computed = computed.to_animated_value();

                            AnimationValue::R(computed)
                    },
                    LonghandId::ShapeMargin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_box()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_box()
                            },
                        };
                        let computed = style_struct
                            .clone_shape_margin();

                        let computed = computed.to_animated_value();

                            AnimationValue::ShapeMargin(computed)
                    },
                    LonghandId::Rx => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_rx();

                        let computed = computed.to_animated_value();

                            AnimationValue::Rx(computed)
                    },
                    LonghandId::Ry => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_ry();

                        let computed = computed.to_animated_value();

                            AnimationValue::Ry(computed)
                    },
                    LonghandId::ScrollPaddingBlockEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_block_end(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollPaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollPaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollPaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollPaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollPaddingBlockStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_block_start(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollPaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollPaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollPaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollPaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollPaddingBottom => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_bottom();

                        let computed = computed.to_animated_value();

                            AnimationValue::ScrollPaddingBottom(computed)
                    },
                    LonghandId::ScrollPaddingInlineEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_inline_end(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollPaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollPaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollPaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollPaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollPaddingInlineStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_inline_start(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollPaddingTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollPaddingRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollPaddingBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollPaddingLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollPaddingLeft => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_left();

                        let computed = computed.to_animated_value();

                            AnimationValue::ScrollPaddingLeft(computed)
                    },
                    LonghandId::ScrollPaddingRight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_right();

                        let computed = computed.to_animated_value();

                            AnimationValue::ScrollPaddingRight(computed)
                    },
                    LonghandId::ScrollPaddingTop => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_padding()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_padding()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_padding_top();

                        let computed = computed.to_animated_value();

                            AnimationValue::ScrollPaddingTop(computed)
                    },
                    LonghandId::MozWindowInputRegionMargin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_ui()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_ui()
                            },
                        };
                        let computed = style_struct
                            .clone__moz_window_input_region_margin();


                            AnimationValue::MozWindowInputRegionMargin(computed)
                    },
                    LonghandId::OutlineOffset => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_outline()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_outline()
                            },
                        };
                        let computed = style_struct
                            .clone_outline_offset();


                            AnimationValue::OutlineOffset(computed)
                    },
                    LonghandId::OverflowClipMargin => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_overflow_clip_margin();


                            AnimationValue::OverflowClipMargin(computed)
                    },
                    LonghandId::ScrollMarginBlockEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_block_end(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollMarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollMarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollMarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollMarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollMarginBlockStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_block_start(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollMarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollMarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollMarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollMarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollMarginBottom => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_bottom();


                            AnimationValue::ScrollMarginBottom(computed)
                    },
                    LonghandId::ScrollMarginInlineEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_inline_end(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollMarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollMarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollMarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollMarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollMarginInlineStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_inline_start(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::ScrollMarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::ScrollMarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::ScrollMarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::ScrollMarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::ScrollMarginLeft => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_left();


                            AnimationValue::ScrollMarginLeft(computed)
                    },
                    LonghandId::ScrollMarginRight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_right();


                            AnimationValue::ScrollMarginRight(computed)
                    },
                    LonghandId::ScrollMarginTop => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_scroll_margin_top();


                            AnimationValue::ScrollMarginTop(computed)
                    },
                    LonghandId::Bottom => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_bottom();


                            AnimationValue::Bottom(computed)
                    },
                    LonghandId::InsetBlockEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_inset_block_end(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::Top(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::Right(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::Bottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::Left(computed)
                        
                }
        }

                    },
                    LonghandId::InsetBlockStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_inset_block_start(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::Top(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::Right(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::Bottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::Left(computed)
                        
                }
        }

                    },
                    LonghandId::InsetInlineEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_inset_inline_end(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::Top(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::Right(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::Bottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::Left(computed)
                        
                }
        }

                    },
                    LonghandId::InsetInlineStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_inset_inline_start(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::Top(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::Right(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::Bottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::Left(computed)
                        
                }
        }

                    },
                    LonghandId::Left => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_left();


                            AnimationValue::Left(computed)
                    },
                    LonghandId::MarginBlockEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_block_end(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::MarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::MarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::MarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::MarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::MarginBlockStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_block_start(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::MarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::MarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::MarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::MarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::MarginBottom => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_bottom();


                            AnimationValue::MarginBottom(computed)
                    },
                    LonghandId::MarginInlineEnd => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_inline_end(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::MarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::MarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::MarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::MarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::MarginInlineStart => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_inline_start(context.builder.writing_mode);


                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::MarginTop(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::MarginRight(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::MarginBottom(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::MarginLeft(computed)
                        
                }
        }

                    },
                    LonghandId::MarginLeft => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_left();


                            AnimationValue::MarginLeft(computed)
                    },
                    LonghandId::MarginRight => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_right();


                            AnimationValue::MarginRight(computed)
                    },
                    LonghandId::MarginTop => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_margin()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_margin()
                            },
                        };
                        let computed = style_struct
                            .clone_margin_top();


                            AnimationValue::MarginTop(computed)
                    },
                    LonghandId::Right => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_right();


                            AnimationValue::Right(computed)
                    },
                    LonghandId::TextUnderlineOffset => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_underline_offset();


                            AnimationValue::TextUnderlineOffset(computed)
                    },
                    LonghandId::Top => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_position()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_position()
                            },
                        };
                        let computed = style_struct
                            .clone_top();


                            AnimationValue::Top(computed)
                    },
                    LonghandId::BackgroundColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_background()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_background()
                            },
                        };
                        let computed = style_struct
                            .clone_background_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::BackgroundColor(computed)
                    },
                    LonghandId::BorderBlockEndColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_block_end_color(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopColor(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightColor(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomColor(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftColor(computed)
                        
                }
        }

                    },
                    LonghandId::BorderBlockStartColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_block_start_color(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopColor(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightColor(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomColor(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftColor(computed)
                        
                }
        }

                    },
                    LonghandId::BorderBottomColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_bottom_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderBottomColor(computed)
                    },
                    LonghandId::BorderInlineEndColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_inline_end_color(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopColor(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightColor(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomColor(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftColor(computed)
                        
                }
        }

                    },
                    LonghandId::BorderInlineStartColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_inline_start_color(context.builder.writing_mode);

                        let computed = computed.to_animated_value();

                        let wm = context.builder.writing_mode;
                        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                            AnimationValue::BorderTopColor(computed)
                        
                }
                PhysicalSide::Right => {
                    
                            AnimationValue::BorderRightColor(computed)
                        
                }
                PhysicalSide::Bottom => {
                    
                            AnimationValue::BorderBottomColor(computed)
                        
                }
                PhysicalSide::Left => {
                    
                            AnimationValue::BorderLeftColor(computed)
                        
                }
        }

                    },
                    LonghandId::BorderLeftColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_left_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderLeftColor(computed)
                    },
                    LonghandId::BorderRightColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_right_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderRightColor(computed)
                    },
                    LonghandId::BorderTopColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_border()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_border()
                            },
                        };
                        let computed = style_struct
                            .clone_border_top_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::BorderTopColor(computed)
                    },
                    LonghandId::ColumnRuleColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_column()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_column()
                            },
                        };
                        let computed = style_struct
                            .clone_column_rule_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::ColumnRuleColor(computed)
                    },
                    LonghandId::FloodColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_flood_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::FloodColor(computed)
                    },
                    LonghandId::LightingColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_lighting_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::LightingColor(computed)
                    },
                    LonghandId::OutlineColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_outline()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_outline()
                            },
                        };
                        let computed = style_struct
                            .clone_outline_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::OutlineColor(computed)
                    },
                    LonghandId::StopColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_svg()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_svg()
                            },
                        };
                        let computed = style_struct
                            .clone_stop_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::StopColor(computed)
                    },
                    LonghandId::TextDecorationColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Initial => {
                                initial.get_text()
                            },
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_decoration_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::TextDecorationColor(computed)
                    },
                    LonghandId::TextEmphasisColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone_text_emphasis_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::TextEmphasisColor(computed)
                    },
                    LonghandId::WebkitTextFillColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone__webkit_text_fill_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::WebkitTextFillColor(computed)
                    },
                    LonghandId::WebkitTextStrokeColor => {
                        // FIXME(emilio, bug 1533327): I think revert (and
                        // revert-layer) handling is not fine here, but what to
                        // do instead?
                        //
                        // Seems we'd need the computed value as if it was
                        // revert, somehow. Treating it as `unset` seems fine
                        // for now...
                        let style_struct = match declaration.keyword {
                            CSSWideKeyword::Initial => {
                                initial.get_inherited_text()
                            },
                            CSSWideKeyword::Revert |
                            CSSWideKeyword::RevertLayer |
                            CSSWideKeyword::Unset |
                            CSSWideKeyword::Inherit => {
                                context.builder
                                       .get_parent_inherited_text()
                            },
                        };
                        let computed = style_struct
                            .clone__webkit_text_stroke_color();

                        let computed = computed.to_animated_value();

                            AnimationValue::WebkitTextStrokeColor(computed)
                    },
                    LonghandId::Contain => return None,
                    LonghandId::ContainerType => return None,
                    LonghandId::ContentVisibility => return None,
                    LonghandId::Direction => return None,
                    LonghandId::MathDepth => return None,
                    LonghandId::MathStyle => return None,
                    LonghandId::MozBoxCollapse => return None,
                    LonghandId::MozControlCharacterVisibility => return None,
                    LonghandId::MozMathVariant => return None,
                    LonghandId::MozMinFontSizeRatio => return None,
                    LonghandId::MozScriptMinSize => return None,
                    LonghandId::MozScriptSizeMultiplier => return None,
                    LonghandId::MozTopLayer => return None,
                    LonghandId::PageOrientation => return None,
                    LonghandId::TextCombineUpright => return None,
                    LonghandId::TextOrientation => return None,
                    LonghandId::UnicodeBidi => return None,
                    LonghandId::WritingMode => return None,
                    LonghandId::XTextScale => return None,
                    LonghandId::MozDefaultAppearance => return None,
                    LonghandId::XSpan => return None,
                    LonghandId::BorderBlockEndStyle => return None,
                    LonghandId::BorderBlockStartStyle => return None,
                    LonghandId::BorderInlineEndStyle => return None,
                    LonghandId::BorderInlineStartStyle => return None,
                    LonghandId::AnimationComposition => return None,
                    LonghandId::AnimationDelay => return None,
                    LonghandId::AnimationDirection => return None,
                    LonghandId::AnimationDuration => return None,
                    LonghandId::AnimationFillMode => return None,
                    LonghandId::AnimationIterationCount => return None,
                    LonghandId::AnimationName => return None,
                    LonghandId::AnimationPlayState => return None,
                    LonghandId::AnimationTimeline => return None,
                    LonghandId::AnimationTimingFunction => return None,
                    LonghandId::ContainerName => return None,
                    LonghandId::MozContextProperties => return None,
                    LonghandId::MozFontSmoothingBackgroundColor => return None,
                    LonghandId::ScrollTimelineAxis => return None,
                    LonghandId::ScrollTimelineName => return None,
                    LonghandId::Size => return None,
                    LonghandId::TransitionDelay => return None,
                    LonghandId::TransitionDuration => return None,
                    LonghandId::TransitionProperty => return None,
                    LonghandId::TransitionTimingFunction => return None,
                    LonghandId::ViewTimelineAxis => return None,
                    LonghandId::ViewTimelineInset => return None,
                    LonghandId::ViewTimelineName => return None,
                    LonghandId::WillChange => return None,
                    LonghandId::XLang => return None,
                }
            },
            PropertyDeclaration::WithVariables(ref declaration) => {
                let mut cache = Default::default();
                let substituted = {
                    let custom_properties =
                        extra_custom_properties.or_else(|| context.style().custom_properties());

                    declaration.value.substitute_variables(
                        declaration.id,
                        context.builder.writing_mode,
                        custom_properties,
                        context.quirks_mode,
                        context.device(),
                        &mut cache,
                    )
                };
                return AnimationValue::from_declaration(
                    &substituted,
                    context,
                    extra_custom_properties,
                    initial,
                )
            },
            _ => return None // non animatable properties will get included because of shorthands. ignore.
        };
        Some(animatable)
    }

    /// Get an AnimationValue for an AnimatableLonghand from a given computed values.
    pub fn from_computed_values(
        property: LonghandId,
        style: &ComputedValues,
    ) -> Option<Self> {
        let property = property.to_physical(style.writing_mode);
        Some(match property {
            LonghandId::AlignContent => {
                let computed = style.clone_align_content();
                AnimationValue::AlignContent(
                    computed
                )
            }
            LonghandId::AlignItems => {
                let computed = style.clone_align_items();
                AnimationValue::AlignItems(
                    computed
                )
            }
            LonghandId::AlignSelf => {
                let computed = style.clone_align_self();
                AnimationValue::AlignSelf(
                    computed
                )
            }
            LonghandId::AspectRatio => {
                let computed = style.clone_aspect_ratio();
                AnimationValue::AspectRatio(
                    computed
                )
            }
            LonghandId::BackfaceVisibility => {
                let computed = style.clone_backface_visibility();
                AnimationValue::BackfaceVisibility(
                    computed
                )
            }
            LonghandId::BaselineSource => {
                let computed = style.clone_baseline_source();
                AnimationValue::BaselineSource(
                    computed
                )
            }
            LonghandId::BorderCollapse => {
                let computed = style.clone_border_collapse();
                AnimationValue::BorderCollapse(
                    computed
                )
            }
            LonghandId::BorderImageRepeat => {
                let computed = style.clone_border_image_repeat();
                AnimationValue::BorderImageRepeat(
                    computed
                )
            }
            LonghandId::BoxDecorationBreak => {
                let computed = style.clone_box_decoration_break();
                AnimationValue::BoxDecorationBreak(
                    computed
                )
            }
            LonghandId::BoxSizing => {
                let computed = style.clone_box_sizing();
                AnimationValue::BoxSizing(
                    computed
                )
            }
            LonghandId::BreakInside => {
                let computed = style.clone_break_inside();
                AnimationValue::BreakInside(
                    computed
                )
            }
            LonghandId::CaptionSide => {
                let computed = style.clone_caption_side();
                AnimationValue::CaptionSide(
                    computed
                )
            }
            LonghandId::Clear => {
                let computed = style.clone_clear();
                AnimationValue::Clear(
                    computed
                )
            }
            LonghandId::ColorInterpolation => {
                let computed = style.clone_color_interpolation();
                AnimationValue::ColorInterpolation(
                    computed
                )
            }
            LonghandId::ColorInterpolationFilters => {
                let computed = style.clone_color_interpolation_filters();
                AnimationValue::ColorInterpolationFilters(
                    computed
                )
            }
            LonghandId::ColumnCount => {
                let computed = style.clone_column_count();
                AnimationValue::ColumnCount(
                    computed.to_animated_value()
                )
            }
            LonghandId::ColumnFill => {
                let computed = style.clone_column_fill();
                AnimationValue::ColumnFill(
                    computed
                )
            }
            LonghandId::ColumnSpan => {
                let computed = style.clone_column_span();
                AnimationValue::ColumnSpan(
                    computed
                )
            }
            LonghandId::Display => {
                let computed = style.clone_display();
                AnimationValue::Display(
                    computed
                )
            }
            LonghandId::DominantBaseline => {
                let computed = style.clone_dominant_baseline();
                AnimationValue::DominantBaseline(
                    computed
                )
            }
            LonghandId::EmptyCells => {
                let computed = style.clone_empty_cells();
                AnimationValue::EmptyCells(
                    computed
                )
            }
            LonghandId::FlexDirection => {
                let computed = style.clone_flex_direction();
                AnimationValue::FlexDirection(
                    computed
                )
            }
            LonghandId::FlexWrap => {
                let computed = style.clone_flex_wrap();
                AnimationValue::FlexWrap(
                    computed
                )
            }
            LonghandId::Float => {
                let computed = style.clone_float();
                AnimationValue::Float(
                    computed
                )
            }
            LonghandId::FontKerning => {
                let computed = style.clone_font_kerning();
                AnimationValue::FontKerning(
                    computed
                )
            }
            LonghandId::FontLanguageOverride => {
                let computed = style.clone_font_language_override();
                AnimationValue::FontLanguageOverride(
                    computed
                )
            }
            LonghandId::FontOpticalSizing => {
                let computed = style.clone_font_optical_sizing();
                AnimationValue::FontOpticalSizing(
                    computed
                )
            }
            LonghandId::FontSizeAdjust => {
                let computed = style.clone_font_size_adjust();
                AnimationValue::FontSizeAdjust(
                    computed.to_animated_value()
                )
            }
            LonghandId::FontStretch => {
                let computed = style.clone_font_stretch();
                AnimationValue::FontStretch(
                    computed.to_animated_value()
                )
            }
            LonghandId::FontStyle => {
                let computed = style.clone_font_style();
                AnimationValue::FontStyle(
                    computed.to_animated_value()
                )
            }
            LonghandId::FontVariantCaps => {
                let computed = style.clone_font_variant_caps();
                AnimationValue::FontVariantCaps(
                    computed
                )
            }
            LonghandId::FontVariantEastAsian => {
                let computed = style.clone_font_variant_east_asian();
                AnimationValue::FontVariantEastAsian(
                    computed
                )
            }
            LonghandId::FontVariantEmoji => {
                let computed = style.clone_font_variant_emoji();
                AnimationValue::FontVariantEmoji(
                    computed
                )
            }
            LonghandId::FontVariantLigatures => {
                let computed = style.clone_font_variant_ligatures();
                AnimationValue::FontVariantLigatures(
                    computed
                )
            }
            LonghandId::FontVariantNumeric => {
                let computed = style.clone_font_variant_numeric();
                AnimationValue::FontVariantNumeric(
                    computed
                )
            }
            LonghandId::FontVariantPosition => {
                let computed = style.clone_font_variant_position();
                AnimationValue::FontVariantPosition(
                    computed
                )
            }
            LonghandId::FontWeight => {
                let computed = style.clone_font_weight();
                AnimationValue::FontWeight(
                    computed.to_animated_value()
                )
            }
            LonghandId::ForcedColorAdjust => {
                let computed = style.clone_forced_color_adjust();
                AnimationValue::ForcedColorAdjust(
                    computed
                )
            }
            LonghandId::GridAutoFlow => {
                let computed = style.clone_grid_auto_flow();
                AnimationValue::GridAutoFlow(
                    computed
                )
            }
            LonghandId::Hyphens => {
                let computed = style.clone_hyphens();
                AnimationValue::Hyphens(
                    computed
                )
            }
            LonghandId::ImageOrientation => {
                let computed = style.clone_image_orientation();
                AnimationValue::ImageOrientation(
                    computed
                )
            }
            LonghandId::ImageRendering => {
                let computed = style.clone_image_rendering();
                AnimationValue::ImageRendering(
                    computed
                )
            }
            LonghandId::ImeMode => {
                let computed = style.clone_ime_mode();
                AnimationValue::ImeMode(
                    computed
                )
            }
            LonghandId::InitialLetter => {
                let computed = style.clone_initial_letter();
                AnimationValue::InitialLetter(
                    computed
                )
            }
            LonghandId::Isolation => {
                let computed = style.clone_isolation();
                AnimationValue::Isolation(
                    computed
                )
            }
            LonghandId::JustifyContent => {
                let computed = style.clone_justify_content();
                AnimationValue::JustifyContent(
                    computed
                )
            }
            LonghandId::JustifyItems => {
                let computed = style.clone_justify_items();
                AnimationValue::JustifyItems(
                    computed
                )
            }
            LonghandId::JustifySelf => {
                let computed = style.clone_justify_self();
                AnimationValue::JustifySelf(
                    computed
                )
            }
            LonghandId::LineBreak => {
                let computed = style.clone_line_break();
                AnimationValue::LineBreak(
                    computed
                )
            }
            LonghandId::ListStylePosition => {
                let computed = style.clone_list_style_position();
                AnimationValue::ListStylePosition(
                    computed
                )
            }
            LonghandId::MaskType => {
                let computed = style.clone_mask_type();
                AnimationValue::MaskType(
                    computed
                )
            }
            LonghandId::MasonryAutoFlow => {
                let computed = style.clone_masonry_auto_flow();
                AnimationValue::MasonryAutoFlow(
                    computed
                )
            }
            LonghandId::MixBlendMode => {
                let computed = style.clone_mix_blend_mode();
                AnimationValue::MixBlendMode(
                    computed
                )
            }
            LonghandId::MozBoxAlign => {
                let computed = style.clone__moz_box_align();
                AnimationValue::MozBoxAlign(
                    computed
                )
            }
            LonghandId::MozBoxDirection => {
                let computed = style.clone__moz_box_direction();
                AnimationValue::MozBoxDirection(
                    computed
                )
            }
            LonghandId::MozBoxOrient => {
                let computed = style.clone__moz_box_orient();
                AnimationValue::MozBoxOrient(
                    computed
                )
            }
            LonghandId::MozBoxPack => {
                let computed = style.clone__moz_box_pack();
                AnimationValue::MozBoxPack(
                    computed
                )
            }
            LonghandId::MozFloatEdge => {
                let computed = style.clone__moz_float_edge();
                AnimationValue::MozFloatEdge(
                    computed
                )
            }
            LonghandId::MozInert => {
                let computed = style.clone__moz_inert();
                AnimationValue::MozInert(
                    computed
                )
            }
            LonghandId::MozOrient => {
                let computed = style.clone__moz_orient();
                AnimationValue::MozOrient(
                    computed
                )
            }
            LonghandId::MozOsxFontSmoothing => {
                let computed = style.clone__moz_osx_font_smoothing();
                AnimationValue::MozOsxFontSmoothing(
                    computed
                )
            }
            LonghandId::MozTextSizeAdjust => {
                let computed = style.clone__moz_text_size_adjust();
                AnimationValue::MozTextSizeAdjust(
                    computed
                )
            }
            LonghandId::MozUserFocus => {
                let computed = style.clone__moz_user_focus();
                AnimationValue::MozUserFocus(
                    computed
                )
            }
            LonghandId::MozUserInput => {
                let computed = style.clone__moz_user_input();
                AnimationValue::MozUserInput(
                    computed
                )
            }
            LonghandId::MozUserModify => {
                let computed = style.clone__moz_user_modify();
                AnimationValue::MozUserModify(
                    computed
                )
            }
            LonghandId::MozWindowDragging => {
                let computed = style.clone__moz_window_dragging();
                AnimationValue::MozWindowDragging(
                    computed
                )
            }
            LonghandId::MozWindowShadow => {
                let computed = style.clone__moz_window_shadow();
                AnimationValue::MozWindowShadow(
                    computed
                )
            }
            LonghandId::ObjectFit => {
                let computed = style.clone_object_fit();
                AnimationValue::ObjectFit(
                    computed
                )
            }
            LonghandId::OffsetRotate => {
                let computed = style.clone_offset_rotate();
                AnimationValue::OffsetRotate(
                    computed
                )
            }
            LonghandId::OutlineStyle => {
                let computed = style.clone_outline_style();
                AnimationValue::OutlineStyle(
                    computed
                )
            }
            LonghandId::OverflowAnchor => {
                let computed = style.clone_overflow_anchor();
                AnimationValue::OverflowAnchor(
                    computed
                )
            }
            LonghandId::OverflowWrap => {
                let computed = style.clone_overflow_wrap();
                AnimationValue::OverflowWrap(
                    computed
                )
            }
            LonghandId::PaintOrder => {
                let computed = style.clone_paint_order();
                AnimationValue::PaintOrder(
                    computed
                )
            }
            LonghandId::PointerEvents => {
                let computed = style.clone_pointer_events();
                AnimationValue::PointerEvents(
                    computed
                )
            }
            LonghandId::Position => {
                let computed = style.clone_position();
                AnimationValue::Position(
                    computed
                )
            }
            LonghandId::PrintColorAdjust => {
                let computed = style.clone_print_color_adjust();
                AnimationValue::PrintColorAdjust(
                    computed
                )
            }
            LonghandId::Resize => {
                let computed = style.clone_resize();
                AnimationValue::Resize(
                    computed
                )
            }
            LonghandId::RubyAlign => {
                let computed = style.clone_ruby_align();
                AnimationValue::RubyAlign(
                    computed
                )
            }
            LonghandId::RubyPosition => {
                let computed = style.clone_ruby_position();
                AnimationValue::RubyPosition(
                    computed
                )
            }
            LonghandId::ScrollBehavior => {
                let computed = style.clone_scroll_behavior();
                AnimationValue::ScrollBehavior(
                    computed
                )
            }
            LonghandId::ScrollSnapAlign => {
                let computed = style.clone_scroll_snap_align();
                AnimationValue::ScrollSnapAlign(
                    computed
                )
            }
            LonghandId::ScrollSnapStop => {
                let computed = style.clone_scroll_snap_stop();
                AnimationValue::ScrollSnapStop(
                    computed
                )
            }
            LonghandId::ScrollSnapType => {
                let computed = style.clone_scroll_snap_type();
                AnimationValue::ScrollSnapType(
                    computed
                )
            }
            LonghandId::ScrollbarGutter => {
                let computed = style.clone_scrollbar_gutter();
                AnimationValue::ScrollbarGutter(
                    computed
                )
            }
            LonghandId::ScrollbarWidth => {
                let computed = style.clone_scrollbar_width();
                AnimationValue::ScrollbarWidth(
                    computed
                )
            }
            LonghandId::ShapeRendering => {
                let computed = style.clone_shape_rendering();
                AnimationValue::ShapeRendering(
                    computed
                )
            }
            LonghandId::StrokeLinecap => {
                let computed = style.clone_stroke_linecap();
                AnimationValue::StrokeLinecap(
                    computed
                )
            }
            LonghandId::StrokeLinejoin => {
                let computed = style.clone_stroke_linejoin();
                AnimationValue::StrokeLinejoin(
                    computed
                )
            }
            LonghandId::TableLayout => {
                let computed = style.clone_table_layout();
                AnimationValue::TableLayout(
                    computed
                )
            }
            LonghandId::TextAlign => {
                let computed = style.clone_text_align();
                AnimationValue::TextAlign(
                    computed
                )
            }
            LonghandId::TextAlignLast => {
                let computed = style.clone_text_align_last();
                AnimationValue::TextAlignLast(
                    computed
                )
            }
            LonghandId::TextAnchor => {
                let computed = style.clone_text_anchor();
                AnimationValue::TextAnchor(
                    computed
                )
            }
            LonghandId::TextDecorationLine => {
                let computed = style.clone_text_decoration_line();
                AnimationValue::TextDecorationLine(
                    computed
                )
            }
            LonghandId::TextDecorationSkipInk => {
                let computed = style.clone_text_decoration_skip_ink();
                AnimationValue::TextDecorationSkipInk(
                    computed
                )
            }
            LonghandId::TextDecorationStyle => {
                let computed = style.clone_text_decoration_style();
                AnimationValue::TextDecorationStyle(
                    computed
                )
            }
            LonghandId::TextEmphasisPosition => {
                let computed = style.clone_text_emphasis_position();
                AnimationValue::TextEmphasisPosition(
                    computed
                )
            }
            LonghandId::TextJustify => {
                let computed = style.clone_text_justify();
                AnimationValue::TextJustify(
                    computed
                )
            }
            LonghandId::TextRendering => {
                let computed = style.clone_text_rendering();
                AnimationValue::TextRendering(
                    computed
                )
            }
            LonghandId::TextTransform => {
                let computed = style.clone_text_transform();
                AnimationValue::TextTransform(
                    computed
                )
            }
            LonghandId::TextUnderlinePosition => {
                let computed = style.clone_text_underline_position();
                AnimationValue::TextUnderlinePosition(
                    computed
                )
            }
            LonghandId::TouchAction => {
                let computed = style.clone_touch_action();
                AnimationValue::TouchAction(
                    computed
                )
            }
            LonghandId::TransformBox => {
                let computed = style.clone_transform_box();
                AnimationValue::TransformBox(
                    computed
                )
            }
            LonghandId::TransformStyle => {
                let computed = style.clone_transform_style();
                AnimationValue::TransformStyle(
                    computed
                )
            }
            LonghandId::UserSelect => {
                let computed = style.clone_user_select();
                AnimationValue::UserSelect(
                    computed
                )
            }
            LonghandId::VectorEffect => {
                let computed = style.clone_vector_effect();
                AnimationValue::VectorEffect(
                    computed
                )
            }
            LonghandId::Visibility => {
                let computed = style.clone_visibility();
                AnimationValue::Visibility(
                    computed
                )
            }
            LonghandId::WebkitLineClamp => {
                let computed = style.clone__webkit_line_clamp();
                AnimationValue::WebkitLineClamp(
                    computed
                )
            }
            LonghandId::WebkitTextSecurity => {
                let computed = style.clone__webkit_text_security();
                AnimationValue::WebkitTextSecurity(
                    computed
                )
            }
            LonghandId::WhiteSpace => {
                let computed = style.clone_white_space();
                AnimationValue::WhiteSpace(
                    computed
                )
            }
            LonghandId::WordBreak => {
                let computed = style.clone_word_break();
                AnimationValue::WordBreak(
                    computed
                )
            }
            LonghandId::ZIndex => {
                let computed = style.clone_z_index();
                AnimationValue::ZIndex(
                    computed
                )
            }
            LonghandId::Appearance => {
                let computed = style.clone_appearance();
                AnimationValue::Appearance(
                    computed
                )
            }
            LonghandId::MozForceBrokenImageIcon => {
                let computed = style.clone__moz_force_broken_image_icon();
                AnimationValue::MozForceBrokenImageIcon(
                    computed
                )
            }
            LonghandId::MozSubtreeHiddenOnlyVisually => {
                let computed = style.clone__moz_subtree_hidden_only_visually();
                AnimationValue::MozSubtreeHiddenOnlyVisually(
                    computed
                )
            }
            LonghandId::BreakAfter => {
                let computed = style.clone_break_after();
                AnimationValue::BreakAfter(
                    computed
                )
            }
            LonghandId::BreakBefore => {
                let computed = style.clone_break_before();
                AnimationValue::BreakBefore(
                    computed
                )
            }
            LonghandId::ClipRule => {
                let computed = style.clone_clip_rule();
                AnimationValue::ClipRule(
                    computed
                )
            }
            LonghandId::FillRule => {
                let computed = style.clone_fill_rule();
                AnimationValue::FillRule(
                    computed
                )
            }
            LonghandId::OverflowClipBoxBlock => {
                let computed = style.clone_overflow_clip_box_block();
                AnimationValue::OverflowClipBoxBlock(
                    computed
                )
            }
            LonghandId::OverflowClipBoxInline => {
                let computed = style.clone_overflow_clip_box_inline();
                AnimationValue::OverflowClipBoxInline(
                    computed
                )
            }
            LonghandId::FillOpacity => {
                let computed = style.clone_fill_opacity();
                AnimationValue::FillOpacity(
                    computed
                )
            }
            LonghandId::StrokeOpacity => {
                let computed = style.clone_stroke_opacity();
                AnimationValue::StrokeOpacity(
                    computed
                )
            }
            LonghandId::FontSynthesisSmallCaps => {
                let computed = style.clone_font_synthesis_small_caps();
                AnimationValue::FontSynthesisSmallCaps(
                    computed
                )
            }
            LonghandId::FontSynthesisStyle => {
                let computed = style.clone_font_synthesis_style();
                AnimationValue::FontSynthesisStyle(
                    computed
                )
            }
            LonghandId::FontSynthesisWeight => {
                let computed = style.clone_font_synthesis_weight();
                AnimationValue::FontSynthesisWeight(
                    computed
                )
            }
            LonghandId::MozBoxOrdinalGroup => {
                let computed = style.clone__moz_box_ordinal_group();
                AnimationValue::MozBoxOrdinalGroup(
                    computed
                )
            }
            LonghandId::Order => {
                let computed = style.clone_order();
                AnimationValue::Order(
                    computed
                )
            }
            LonghandId::FlexGrow => {
                let computed = style.clone_flex_grow();
                AnimationValue::FlexGrow(
                    computed.to_animated_value()
                )
            }
            LonghandId::FlexShrink => {
                let computed = style.clone_flex_shrink();
                AnimationValue::FlexShrink(
                    computed.to_animated_value()
                )
            }
            LonghandId::MozBoxFlex => {
                let computed = style.clone__moz_box_flex();
                AnimationValue::MozBoxFlex(
                    computed.to_animated_value()
                )
            }
            LonghandId::StrokeMiterlimit => {
                let computed = style.clone_stroke_miterlimit();
                AnimationValue::StrokeMiterlimit(
                    computed.to_animated_value()
                )
            }
            LonghandId::OverflowX => {
                let computed = style.clone_overflow_x();
                AnimationValue::OverflowX(
                    computed
                )
            }
            LonghandId::OverflowY => {
                let computed = style.clone_overflow_y();
                AnimationValue::OverflowY(
                    computed
                )
            }
            LonghandId::OverscrollBehaviorX => {
                let computed = style.clone_overscroll_behavior_x();
                AnimationValue::OverscrollBehaviorX(
                    computed
                )
            }
            LonghandId::OverscrollBehaviorY => {
                let computed = style.clone_overscroll_behavior_y();
                AnimationValue::OverscrollBehaviorY(
                    computed
                )
            }
            LonghandId::FloodOpacity => {
                let computed = style.clone_flood_opacity();
                AnimationValue::FloodOpacity(
                    computed
                )
            }
            LonghandId::MozWindowOpacity => {
                let computed = style.clone__moz_window_opacity();
                AnimationValue::MozWindowOpacity(
                    computed
                )
            }
            LonghandId::Opacity => {
                let computed = style.clone_opacity();
                AnimationValue::Opacity(
                    computed
                )
            }
            LonghandId::ShapeImageThreshold => {
                let computed = style.clone_shape_image_threshold();
                AnimationValue::ShapeImageThreshold(
                    computed
                )
            }
            LonghandId::StopOpacity => {
                let computed = style.clone_stop_opacity();
                AnimationValue::StopOpacity(
                    computed
                )
            }
            LonghandId::BorderBottomStyle => {
                let computed = style.clone_border_bottom_style();
                AnimationValue::BorderBottomStyle(
                    computed
                )
            }
            LonghandId::BorderLeftStyle => {
                let computed = style.clone_border_left_style();
                AnimationValue::BorderLeftStyle(
                    computed
                )
            }
            LonghandId::BorderRightStyle => {
                let computed = style.clone_border_right_style();
                AnimationValue::BorderRightStyle(
                    computed
                )
            }
            LonghandId::BorderTopStyle => {
                let computed = style.clone_border_top_style();
                AnimationValue::BorderTopStyle(
                    computed
                )
            }
            LonghandId::ColumnRuleStyle => {
                let computed = style.clone_column_rule_style();
                AnimationValue::ColumnRuleStyle(
                    computed
                )
            }
            LonghandId::AccentColor => {
                let computed = style.clone_accent_color();
                AnimationValue::AccentColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::AlignTracks => {
                let computed = style.clone_align_tracks();
                AnimationValue::AlignTracks(
                    computed
                )
            }
            LonghandId::BackdropFilter => {
                let computed = style.clone_backdrop_filter();
                AnimationValue::BackdropFilter(
                    computed.to_animated_value()
                )
            }
            LonghandId::BackgroundAttachment => {
                let computed = style.clone_background_attachment();
                AnimationValue::BackgroundAttachment(
                    computed
                )
            }
            LonghandId::BackgroundBlendMode => {
                let computed = style.clone_background_blend_mode();
                AnimationValue::BackgroundBlendMode(
                    computed
                )
            }
            LonghandId::BackgroundClip => {
                let computed = style.clone_background_clip();
                AnimationValue::BackgroundClip(
                    computed
                )
            }
            LonghandId::BackgroundImage => {
                let computed = style.clone_background_image();
                AnimationValue::BackgroundImage(
                    computed
                )
            }
            LonghandId::BackgroundOrigin => {
                let computed = style.clone_background_origin();
                AnimationValue::BackgroundOrigin(
                    computed
                )
            }
            LonghandId::BackgroundPositionX => {
                let computed = style.clone_background_position_x();
                AnimationValue::BackgroundPositionX(
                    computed
                )
            }
            LonghandId::BackgroundPositionY => {
                let computed = style.clone_background_position_y();
                AnimationValue::BackgroundPositionY(
                    computed
                )
            }
            LonghandId::BackgroundRepeat => {
                let computed = style.clone_background_repeat();
                AnimationValue::BackgroundRepeat(
                    computed
                )
            }
            LonghandId::BackgroundSize => {
                let computed = style.clone_background_size();
                AnimationValue::BackgroundSize(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderImageOutset => {
                let computed = style.clone_border_image_outset();
                AnimationValue::BorderImageOutset(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderImageSlice => {
                let computed = style.clone_border_image_slice();
                AnimationValue::BorderImageSlice(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderImageWidth => {
                let computed = style.clone_border_image_width();
                AnimationValue::BorderImageWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderSpacing => {
                let computed = style.clone_border_spacing();
                AnimationValue::BorderSpacing(
                    computed.to_animated_value()
                )
            }
            LonghandId::BoxShadow => {
                let computed = style.clone_box_shadow();
                AnimationValue::BoxShadow(
                    computed.to_animated_value()
                )
            }
            LonghandId::CaretColor => {
                let computed = style.clone_caret_color();
                AnimationValue::CaretColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::Clip => {
                let computed = style.clone_clip();
                AnimationValue::Clip(
                    computed
                )
            }
            LonghandId::ClipPath => {
                let computed = style.clone_clip_path();
                AnimationValue::ClipPath(
                    computed.to_animated_value()
                )
            }
            LonghandId::Color => {
                let computed = style.clone_color();
                AnimationValue::Color(
                    computed.to_animated_value()
                )
            }
            LonghandId::ColorScheme => {
                let computed = style.clone_color_scheme();
                AnimationValue::ColorScheme(
                    computed
                )
            }
            LonghandId::ColumnWidth => {
                let computed = style.clone_column_width();
                AnimationValue::ColumnWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::Content => {
                let computed = style.clone_content();
                AnimationValue::Content(
                    computed
                )
            }
            LonghandId::CounterIncrement => {
                let computed = style.clone_counter_increment();
                AnimationValue::CounterIncrement(
                    computed
                )
            }
            LonghandId::CounterReset => {
                let computed = style.clone_counter_reset();
                AnimationValue::CounterReset(
                    computed
                )
            }
            LonghandId::CounterSet => {
                let computed = style.clone_counter_set();
                AnimationValue::CounterSet(
                    computed
                )
            }
            LonghandId::Cursor => {
                let computed = style.clone_cursor();
                AnimationValue::Cursor(
                    computed
                )
            }
            LonghandId::D => {
                let computed = style.clone_d();
                AnimationValue::D(
                    computed
                )
            }
            LonghandId::Filter => {
                let computed = style.clone_filter();
                AnimationValue::Filter(
                    computed.to_animated_value()
                )
            }
            LonghandId::FlexBasis => {
                let computed = style.clone_flex_basis();
                AnimationValue::FlexBasis(
                    computed.to_animated_value()
                )
            }
            LonghandId::FontFamily => {
                let computed = style.clone_font_family();
                AnimationValue::FontFamily(
                    computed
                )
            }
            LonghandId::FontFeatureSettings => {
                let computed = style.clone_font_feature_settings();
                AnimationValue::FontFeatureSettings(
                    computed
                )
            }
            LonghandId::FontPalette => {
                let computed = style.clone_font_palette();
                AnimationValue::FontPalette(
                    computed
                )
            }
            LonghandId::FontSize => {
                let computed = style.clone_font_size();
                AnimationValue::FontSize(
                    computed.to_animated_value()
                )
            }
            LonghandId::FontVariantAlternates => {
                let computed = style.clone_font_variant_alternates();
                AnimationValue::FontVariantAlternates(
                    computed
                )
            }
            LonghandId::FontVariationSettings => {
                let computed = style.clone_font_variation_settings();
                AnimationValue::FontVariationSettings(
                    computed
                )
            }
            LonghandId::GridTemplateAreas => {
                let computed = style.clone_grid_template_areas();
                AnimationValue::GridTemplateAreas(
                    computed
                )
            }
            LonghandId::HyphenateCharacter => {
                let computed = style.clone_hyphenate_character();
                AnimationValue::HyphenateCharacter(
                    computed
                )
            }
            LonghandId::JustifyTracks => {
                let computed = style.clone_justify_tracks();
                AnimationValue::JustifyTracks(
                    computed
                )
            }
            LonghandId::LetterSpacing => {
                let computed = style.clone_letter_spacing();
                AnimationValue::LetterSpacing(
                    computed
                )
            }
            LonghandId::LineHeight => {
                let computed = style.clone_line_height();
                AnimationValue::LineHeight(
                    computed.to_animated_value()
                )
            }
            LonghandId::ListStyleType => {
                let computed = style.clone_list_style_type();
                AnimationValue::ListStyleType(
                    computed
                )
            }
            LonghandId::MaskClip => {
                let computed = style.clone_mask_clip();
                AnimationValue::MaskClip(
                    computed
                )
            }
            LonghandId::MaskComposite => {
                let computed = style.clone_mask_composite();
                AnimationValue::MaskComposite(
                    computed
                )
            }
            LonghandId::MaskImage => {
                let computed = style.clone_mask_image();
                AnimationValue::MaskImage(
                    computed
                )
            }
            LonghandId::MaskMode => {
                let computed = style.clone_mask_mode();
                AnimationValue::MaskMode(
                    computed
                )
            }
            LonghandId::MaskOrigin => {
                let computed = style.clone_mask_origin();
                AnimationValue::MaskOrigin(
                    computed
                )
            }
            LonghandId::MaskPositionX => {
                let computed = style.clone_mask_position_x();
                AnimationValue::MaskPositionX(
                    computed
                )
            }
            LonghandId::MaskPositionY => {
                let computed = style.clone_mask_position_y();
                AnimationValue::MaskPositionY(
                    computed
                )
            }
            LonghandId::MaskRepeat => {
                let computed = style.clone_mask_repeat();
                AnimationValue::MaskRepeat(
                    computed
                )
            }
            LonghandId::MaskSize => {
                let computed = style.clone_mask_size();
                AnimationValue::MaskSize(
                    computed.to_animated_value()
                )
            }
            LonghandId::OffsetAnchor => {
                let computed = style.clone_offset_anchor();
                AnimationValue::OffsetAnchor(
                    computed
                )
            }
            LonghandId::OffsetPath => {
                let computed = style.clone_offset_path();
                AnimationValue::OffsetPath(
                    computed
                )
            }
            LonghandId::OffsetPosition => {
                let computed = style.clone_offset_position();
                AnimationValue::OffsetPosition(
                    computed
                )
            }
            LonghandId::Page => {
                let computed = style.clone_page();
                AnimationValue::Page(
                    computed
                )
            }
            LonghandId::Perspective => {
                let computed = style.clone_perspective();
                AnimationValue::Perspective(
                    computed.to_animated_value()
                )
            }
            LonghandId::Quotes => {
                let computed = style.clone_quotes();
                AnimationValue::Quotes(
                    computed
                )
            }
            LonghandId::Rotate => {
                let computed = style.clone_rotate();
                AnimationValue::Rotate(
                    computed
                )
            }
            LonghandId::Scale => {
                let computed = style.clone_scale();
                AnimationValue::Scale(
                    computed
                )
            }
            LonghandId::ScrollbarColor => {
                let computed = style.clone_scrollbar_color();
                AnimationValue::ScrollbarColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::ShapeOutside => {
                let computed = style.clone_shape_outside();
                AnimationValue::ShapeOutside(
                    computed.to_animated_value()
                )
            }
            LonghandId::StrokeDasharray => {
                let computed = style.clone_stroke_dasharray();
                AnimationValue::StrokeDasharray(
                    computed.to_animated_value()
                )
            }
            LonghandId::StrokeDashoffset => {
                let computed = style.clone_stroke_dashoffset();
                AnimationValue::StrokeDashoffset(
                    computed
                )
            }
            LonghandId::StrokeWidth => {
                let computed = style.clone_stroke_width();
                AnimationValue::StrokeWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::TabSize => {
                let computed = style.clone_tab_size();
                AnimationValue::TabSize(
                    computed.to_animated_value()
                )
            }
            LonghandId::TextDecorationThickness => {
                let computed = style.clone_text_decoration_thickness();
                AnimationValue::TextDecorationThickness(
                    computed
                )
            }
            LonghandId::TextEmphasisStyle => {
                let computed = style.clone_text_emphasis_style();
                AnimationValue::TextEmphasisStyle(
                    computed
                )
            }
            LonghandId::TextOverflow => {
                let computed = style.clone_text_overflow();
                AnimationValue::TextOverflow(
                    computed
                )
            }
            LonghandId::TextShadow => {
                let computed = style.clone_text_shadow();
                AnimationValue::TextShadow(
                    computed.to_animated_value()
                )
            }
            LonghandId::Translate => {
                let computed = style.clone_translate();
                AnimationValue::Translate(
                    computed
                )
            }
            LonghandId::VerticalAlign => {
                let computed = style.clone_vertical_align();
                AnimationValue::VerticalAlign(
                    computed
                )
            }
            LonghandId::WebkitTextStrokeWidth => {
                let computed = style.clone__webkit_text_stroke_width();
                AnimationValue::WebkitTextStrokeWidth(
                    computed
                )
            }
            LonghandId::WordSpacing => {
                let computed = style.clone_word_spacing();
                AnimationValue::WordSpacing(
                    computed
                )
            }
            LonghandId::ObjectPosition => {
                let computed = style.clone_object_position();
                AnimationValue::ObjectPosition(
                    computed
                )
            }
            LonghandId::PerspectiveOrigin => {
                let computed = style.clone_perspective_origin();
                AnimationValue::PerspectiveOrigin(
                    computed
                )
            }
            LonghandId::Fill => {
                let computed = style.clone_fill();
                AnimationValue::Fill(
                    computed.to_animated_value()
                )
            }
            LonghandId::Stroke => {
                let computed = style.clone_stroke();
                AnimationValue::Stroke(
                    computed.to_animated_value()
                )
            }
            LonghandId::MozWindowTransformOrigin => {
                let computed = style.clone__moz_window_transform_origin();
                AnimationValue::MozWindowTransformOrigin(
                    computed
                )
            }
            LonghandId::TransformOrigin => {
                let computed = style.clone_transform_origin();
                AnimationValue::TransformOrigin(
                    computed
                )
            }
            LonghandId::GridTemplateColumns => {
                let computed = style.clone_grid_template_columns();
                AnimationValue::GridTemplateColumns(
                    computed
                )
            }
            LonghandId::GridTemplateRows => {
                let computed = style.clone_grid_template_rows();
                AnimationValue::GridTemplateRows(
                    computed
                )
            }
            LonghandId::BorderImageSource => {
                let computed = style.clone_border_image_source();
                AnimationValue::BorderImageSource(
                    computed
                )
            }
            LonghandId::ListStyleImage => {
                let computed = style.clone_list_style_image();
                AnimationValue::ListStyleImage(
                    computed
                )
            }
            LonghandId::GridAutoColumns => {
                let computed = style.clone_grid_auto_columns();
                AnimationValue::GridAutoColumns(
                    computed
                )
            }
            LonghandId::GridAutoRows => {
                let computed = style.clone_grid_auto_rows();
                AnimationValue::GridAutoRows(
                    computed
                )
            }
            LonghandId::MozWindowTransform => {
                let computed = style.clone__moz_window_transform();
                AnimationValue::MozWindowTransform(
                    computed
                )
            }
            LonghandId::Transform => {
                let computed = style.clone_transform();
                AnimationValue::Transform(
                    computed
                )
            }
            LonghandId::ColumnGap => {
                let computed = style.clone_column_gap();
                AnimationValue::ColumnGap(
                    computed.to_animated_value()
                )
            }
            LonghandId::RowGap => {
                let computed = style.clone_row_gap();
                AnimationValue::RowGap(
                    computed.to_animated_value()
                )
            }
            LonghandId::MarkerEnd => {
                let computed = style.clone_marker_end();
                AnimationValue::MarkerEnd(
                    computed
                )
            }
            LonghandId::MarkerMid => {
                let computed = style.clone_marker_mid();
                AnimationValue::MarkerMid(
                    computed
                )
            }
            LonghandId::MarkerStart => {
                let computed = style.clone_marker_start();
                AnimationValue::MarkerStart(
                    computed
                )
            }
            LonghandId::ContainIntrinsicHeight => {
                let computed = style.clone_contain_intrinsic_height();
                AnimationValue::ContainIntrinsicHeight(
                    computed.to_animated_value()
                )
            }
            LonghandId::ContainIntrinsicWidth => {
                let computed = style.clone_contain_intrinsic_width();
                AnimationValue::ContainIntrinsicWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::GridColumnEnd => {
                let computed = style.clone_grid_column_end();
                AnimationValue::GridColumnEnd(
                    computed
                )
            }
            LonghandId::GridColumnStart => {
                let computed = style.clone_grid_column_start();
                AnimationValue::GridColumnStart(
                    computed
                )
            }
            LonghandId::GridRowEnd => {
                let computed = style.clone_grid_row_end();
                AnimationValue::GridRowEnd(
                    computed
                )
            }
            LonghandId::GridRowStart => {
                let computed = style.clone_grid_row_start();
                AnimationValue::GridRowStart(
                    computed
                )
            }
            LonghandId::MaxHeight => {
                let computed = style.clone_max_height();
                AnimationValue::MaxHeight(
                    computed.to_animated_value()
                )
            }
            LonghandId::MaxWidth => {
                let computed = style.clone_max_width();
                AnimationValue::MaxWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::Cx => {
                let computed = style.clone_cx();
                AnimationValue::Cx(
                    computed
                )
            }
            LonghandId::Cy => {
                let computed = style.clone_cy();
                AnimationValue::Cy(
                    computed
                )
            }
            LonghandId::OffsetDistance => {
                let computed = style.clone_offset_distance();
                AnimationValue::OffsetDistance(
                    computed
                )
            }
            LonghandId::TextIndent => {
                let computed = style.clone_text_indent();
                AnimationValue::TextIndent(
                    computed
                )
            }
            LonghandId::X => {
                let computed = style.clone_x();
                AnimationValue::X(
                    computed
                )
            }
            LonghandId::Y => {
                let computed = style.clone_y();
                AnimationValue::Y(
                    computed
                )
            }
            LonghandId::BorderBottomLeftRadius => {
                let computed = style.clone_border_bottom_left_radius();
                AnimationValue::BorderBottomLeftRadius(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderBottomRightRadius => {
                let computed = style.clone_border_bottom_right_radius();
                AnimationValue::BorderBottomRightRadius(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderTopLeftRadius => {
                let computed = style.clone_border_top_left_radius();
                AnimationValue::BorderTopLeftRadius(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderTopRightRadius => {
                let computed = style.clone_border_top_right_radius();
                AnimationValue::BorderTopRightRadius(
                    computed.to_animated_value()
                )
            }
            LonghandId::Height => {
                let computed = style.clone_height();
                AnimationValue::Height(
                    computed.to_animated_value()
                )
            }
            LonghandId::MinHeight => {
                let computed = style.clone_min_height();
                AnimationValue::MinHeight(
                    computed.to_animated_value()
                )
            }
            LonghandId::MinWidth => {
                let computed = style.clone_min_width();
                AnimationValue::MinWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::Width => {
                let computed = style.clone_width();
                AnimationValue::Width(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderBottomWidth => {
                let computed = style.clone_border_bottom_width();
                AnimationValue::BorderBottomWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderLeftWidth => {
                let computed = style.clone_border_left_width();
                AnimationValue::BorderLeftWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderRightWidth => {
                let computed = style.clone_border_right_width();
                AnimationValue::BorderRightWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderTopWidth => {
                let computed = style.clone_border_top_width();
                AnimationValue::BorderTopWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::ColumnRuleWidth => {
                let computed = style.clone_column_rule_width();
                AnimationValue::ColumnRuleWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::OutlineWidth => {
                let computed = style.clone_outline_width();
                AnimationValue::OutlineWidth(
                    computed.to_animated_value()
                )
            }
            LonghandId::PaddingBottom => {
                let computed = style.clone_padding_bottom();
                AnimationValue::PaddingBottom(
                    computed.to_animated_value()
                )
            }
            LonghandId::PaddingLeft => {
                let computed = style.clone_padding_left();
                AnimationValue::PaddingLeft(
                    computed.to_animated_value()
                )
            }
            LonghandId::PaddingRight => {
                let computed = style.clone_padding_right();
                AnimationValue::PaddingRight(
                    computed.to_animated_value()
                )
            }
            LonghandId::PaddingTop => {
                let computed = style.clone_padding_top();
                AnimationValue::PaddingTop(
                    computed.to_animated_value()
                )
            }
            LonghandId::R => {
                let computed = style.clone_r();
                AnimationValue::R(
                    computed.to_animated_value()
                )
            }
            LonghandId::ShapeMargin => {
                let computed = style.clone_shape_margin();
                AnimationValue::ShapeMargin(
                    computed.to_animated_value()
                )
            }
            LonghandId::Rx => {
                let computed = style.clone_rx();
                AnimationValue::Rx(
                    computed.to_animated_value()
                )
            }
            LonghandId::Ry => {
                let computed = style.clone_ry();
                AnimationValue::Ry(
                    computed.to_animated_value()
                )
            }
            LonghandId::ScrollPaddingBottom => {
                let computed = style.clone_scroll_padding_bottom();
                AnimationValue::ScrollPaddingBottom(
                    computed.to_animated_value()
                )
            }
            LonghandId::ScrollPaddingLeft => {
                let computed = style.clone_scroll_padding_left();
                AnimationValue::ScrollPaddingLeft(
                    computed.to_animated_value()
                )
            }
            LonghandId::ScrollPaddingRight => {
                let computed = style.clone_scroll_padding_right();
                AnimationValue::ScrollPaddingRight(
                    computed.to_animated_value()
                )
            }
            LonghandId::ScrollPaddingTop => {
                let computed = style.clone_scroll_padding_top();
                AnimationValue::ScrollPaddingTop(
                    computed.to_animated_value()
                )
            }
            LonghandId::MozWindowInputRegionMargin => {
                let computed = style.clone__moz_window_input_region_margin();
                AnimationValue::MozWindowInputRegionMargin(
                    computed
                )
            }
            LonghandId::OutlineOffset => {
                let computed = style.clone_outline_offset();
                AnimationValue::OutlineOffset(
                    computed
                )
            }
            LonghandId::OverflowClipMargin => {
                let computed = style.clone_overflow_clip_margin();
                AnimationValue::OverflowClipMargin(
                    computed
                )
            }
            LonghandId::ScrollMarginBottom => {
                let computed = style.clone_scroll_margin_bottom();
                AnimationValue::ScrollMarginBottom(
                    computed
                )
            }
            LonghandId::ScrollMarginLeft => {
                let computed = style.clone_scroll_margin_left();
                AnimationValue::ScrollMarginLeft(
                    computed
                )
            }
            LonghandId::ScrollMarginRight => {
                let computed = style.clone_scroll_margin_right();
                AnimationValue::ScrollMarginRight(
                    computed
                )
            }
            LonghandId::ScrollMarginTop => {
                let computed = style.clone_scroll_margin_top();
                AnimationValue::ScrollMarginTop(
                    computed
                )
            }
            LonghandId::Bottom => {
                let computed = style.clone_bottom();
                AnimationValue::Bottom(
                    computed
                )
            }
            LonghandId::Left => {
                let computed = style.clone_left();
                AnimationValue::Left(
                    computed
                )
            }
            LonghandId::MarginBottom => {
                let computed = style.clone_margin_bottom();
                AnimationValue::MarginBottom(
                    computed
                )
            }
            LonghandId::MarginLeft => {
                let computed = style.clone_margin_left();
                AnimationValue::MarginLeft(
                    computed
                )
            }
            LonghandId::MarginRight => {
                let computed = style.clone_margin_right();
                AnimationValue::MarginRight(
                    computed
                )
            }
            LonghandId::MarginTop => {
                let computed = style.clone_margin_top();
                AnimationValue::MarginTop(
                    computed
                )
            }
            LonghandId::Right => {
                let computed = style.clone_right();
                AnimationValue::Right(
                    computed
                )
            }
            LonghandId::TextUnderlineOffset => {
                let computed = style.clone_text_underline_offset();
                AnimationValue::TextUnderlineOffset(
                    computed
                )
            }
            LonghandId::Top => {
                let computed = style.clone_top();
                AnimationValue::Top(
                    computed
                )
            }
            LonghandId::BackgroundColor => {
                let computed = style.clone_background_color();
                AnimationValue::BackgroundColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderBottomColor => {
                let computed = style.clone_border_bottom_color();
                AnimationValue::BorderBottomColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderLeftColor => {
                let computed = style.clone_border_left_color();
                AnimationValue::BorderLeftColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderRightColor => {
                let computed = style.clone_border_right_color();
                AnimationValue::BorderRightColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::BorderTopColor => {
                let computed = style.clone_border_top_color();
                AnimationValue::BorderTopColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::ColumnRuleColor => {
                let computed = style.clone_column_rule_color();
                AnimationValue::ColumnRuleColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::FloodColor => {
                let computed = style.clone_flood_color();
                AnimationValue::FloodColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::LightingColor => {
                let computed = style.clone_lighting_color();
                AnimationValue::LightingColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::OutlineColor => {
                let computed = style.clone_outline_color();
                AnimationValue::OutlineColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::StopColor => {
                let computed = style.clone_stop_color();
                AnimationValue::StopColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::TextDecorationColor => {
                let computed = style.clone_text_decoration_color();
                AnimationValue::TextDecorationColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::TextEmphasisColor => {
                let computed = style.clone_text_emphasis_color();
                AnimationValue::TextEmphasisColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::WebkitTextFillColor => {
                let computed = style.clone__webkit_text_fill_color();
                AnimationValue::WebkitTextFillColor(
                    computed.to_animated_value()
                )
            }
            LonghandId::WebkitTextStrokeColor => {
                let computed = style.clone__webkit_text_stroke_color();
                AnimationValue::WebkitTextStrokeColor(
                    computed.to_animated_value()
                )
            }
            _ => return None,
        })
    }

    /// Update `style` with the value of this `AnimationValue`.
    ///
    /// SERVO ONLY: This doesn't properly handle things like updating 'em' units
    /// when animated font-size.
    #[cfg(feature = "servo")]
    pub fn set_in_style_for_servo(&self, style: &mut ComputedValues) {
        match self {
            AnimationValue::AlignContent(ref value) => {
                    style.mutate_position().set_align_content(value.clone());
            }
            AnimationValue::AlignItems(ref value) => {
                    style.mutate_position().set_align_items(value.clone());
            }
            AnimationValue::AlignSelf(ref value) => {
                    style.mutate_position().set_align_self(value.clone());
            }
            AnimationValue::AspectRatio(ref value) => {
                    style.mutate_position().set_aspect_ratio(value.clone());
            }
            AnimationValue::BackfaceVisibility(ref value) => {
                    style.mutate_box().set_backface_visibility(value.clone());
            }
            AnimationValue::BaselineSource(ref value) => {
                    style.mutate_box().set_baseline_source(value.clone());
            }
            AnimationValue::BorderCollapse(ref value) => {
                    style.mutate_inherited_table().set_border_collapse(value.clone());
            }
            AnimationValue::BorderImageRepeat(ref value) => {
                    style.mutate_border().set_border_image_repeat(value.clone());
            }
            AnimationValue::BoxDecorationBreak(ref value) => {
                    style.mutate_border().set_box_decoration_break(value.clone());
            }
            AnimationValue::BoxSizing(ref value) => {
                    style.mutate_position().set_box_sizing(value.clone());
            }
            AnimationValue::BreakInside(ref value) => {
                    style.mutate_box().set_break_inside(value.clone());
            }
            AnimationValue::CaptionSide(ref value) => {
                    style.mutate_inherited_table().set_caption_side(value.clone());
            }
            AnimationValue::Clear(ref value) => {
                    style.mutate_box().set_clear(value.clone());
            }
            AnimationValue::ColorInterpolation(ref value) => {
                    style.mutate_inherited_svg().set_color_interpolation(value.clone());
            }
            AnimationValue::ColorInterpolationFilters(ref value) => {
                    style.mutate_inherited_svg().set_color_interpolation_filters(value.clone());
            }
            AnimationValue::ColumnCount(ref value) => {
                let value: longhands::column_count::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_column().set_column_count(value);
            }
            AnimationValue::ColumnFill(ref value) => {
                    style.mutate_column().set_column_fill(value.clone());
            }
            AnimationValue::ColumnSpan(ref value) => {
                    style.mutate_column().set_column_span(value.clone());
            }
            AnimationValue::Contain(..) => unreachable!(),
            AnimationValue::ContainerType(..) => unreachable!(),
            AnimationValue::ContentVisibility(..) => unreachable!(),
            AnimationValue::Direction(..) => unreachable!(),
            AnimationValue::Display(ref value) => {
                    style.mutate_box().set_display(value.clone());
            }
            AnimationValue::DominantBaseline(ref value) => {
                    style.mutate_inherited_svg().set_dominant_baseline(value.clone());
            }
            AnimationValue::EmptyCells(ref value) => {
                    style.mutate_inherited_table().set_empty_cells(value.clone());
            }
            AnimationValue::FlexDirection(ref value) => {
                    style.mutate_position().set_flex_direction(value.clone());
            }
            AnimationValue::FlexWrap(ref value) => {
                    style.mutate_position().set_flex_wrap(value.clone());
            }
            AnimationValue::Float(ref value) => {
                    style.mutate_box().set_float(value.clone());
            }
            AnimationValue::FontKerning(ref value) => {
                    style.mutate_font().set_font_kerning(value.clone());
            }
            AnimationValue::FontLanguageOverride(ref value) => {
                    style.mutate_font().set_font_language_override(value.clone());
            }
            AnimationValue::FontOpticalSizing(ref value) => {
                    style.mutate_font().set_font_optical_sizing(value.clone());
            }
            AnimationValue::FontSizeAdjust(ref value) => {
                let value: longhands::font_size_adjust::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_font().set_font_size_adjust(value);
            }
            AnimationValue::FontStretch(ref value) => {
                let value: longhands::font_stretch::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_font().set_font_stretch(value);
            }
            AnimationValue::FontStyle(ref value) => {
                let value: longhands::font_style::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_font().set_font_style(value);
            }
            AnimationValue::FontVariantCaps(ref value) => {
                    style.mutate_font().set_font_variant_caps(value.clone());
            }
            AnimationValue::FontVariantEastAsian(ref value) => {
                    style.mutate_font().set_font_variant_east_asian(value.clone());
            }
            AnimationValue::FontVariantEmoji(ref value) => {
                    style.mutate_font().set_font_variant_emoji(value.clone());
            }
            AnimationValue::FontVariantLigatures(ref value) => {
                    style.mutate_font().set_font_variant_ligatures(value.clone());
            }
            AnimationValue::FontVariantNumeric(ref value) => {
                    style.mutate_font().set_font_variant_numeric(value.clone());
            }
            AnimationValue::FontVariantPosition(ref value) => {
                    style.mutate_font().set_font_variant_position(value.clone());
            }
            AnimationValue::FontWeight(ref value) => {
                let value: longhands::font_weight::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_font().set_font_weight(value);
            }
            AnimationValue::ForcedColorAdjust(ref value) => {
                    style.mutate_inherited_text().set_forced_color_adjust(value.clone());
            }
            AnimationValue::GridAutoFlow(ref value) => {
                    style.mutate_position().set_grid_auto_flow(value.clone());
            }
            AnimationValue::Hyphens(ref value) => {
                    style.mutate_inherited_text().set_hyphens(value.clone());
            }
            AnimationValue::ImageOrientation(ref value) => {
                    style.mutate_inherited_box().set_image_orientation(value.clone());
            }
            AnimationValue::ImageRendering(ref value) => {
                    style.mutate_inherited_box().set_image_rendering(value.clone());
            }
            AnimationValue::ImeMode(ref value) => {
                    style.mutate_ui().set_ime_mode(value.clone());
            }
            AnimationValue::InitialLetter(ref value) => {
                    style.mutate_text().set_initial_letter(value.clone());
            }
            AnimationValue::Isolation(ref value) => {
                    style.mutate_box().set_isolation(value.clone());
            }
            AnimationValue::JustifyContent(ref value) => {
                    style.mutate_position().set_justify_content(value.clone());
            }
            AnimationValue::JustifyItems(ref value) => {
                    style.mutate_position().set_justify_items(value.clone());
            }
            AnimationValue::JustifySelf(ref value) => {
                    style.mutate_position().set_justify_self(value.clone());
            }
            AnimationValue::LineBreak(ref value) => {
                    style.mutate_inherited_text().set_line_break(value.clone());
            }
            AnimationValue::ListStylePosition(ref value) => {
                    style.mutate_list().set_list_style_position(value.clone());
            }
            AnimationValue::MaskType(ref value) => {
                    style.mutate_svg().set_mask_type(value.clone());
            }
            AnimationValue::MasonryAutoFlow(ref value) => {
                    style.mutate_position().set_masonry_auto_flow(value.clone());
            }
            AnimationValue::MathDepth(..) => unreachable!(),
            AnimationValue::MathStyle(..) => unreachable!(),
            AnimationValue::MixBlendMode(ref value) => {
                    style.mutate_effects().set_mix_blend_mode(value.clone());
            }
            AnimationValue::MozBoxAlign(ref value) => {
                    style.mutate_xul().set__moz_box_align(value.clone());
            }
            AnimationValue::MozBoxCollapse(..) => unreachable!(),
            AnimationValue::MozBoxDirection(ref value) => {
                    style.mutate_xul().set__moz_box_direction(value.clone());
            }
            AnimationValue::MozBoxOrient(ref value) => {
                    style.mutate_xul().set__moz_box_orient(value.clone());
            }
            AnimationValue::MozBoxPack(ref value) => {
                    style.mutate_xul().set__moz_box_pack(value.clone());
            }
            AnimationValue::MozControlCharacterVisibility(..) => unreachable!(),
            AnimationValue::MozFloatEdge(ref value) => {
                    style.mutate_border().set__moz_float_edge(value.clone());
            }
            AnimationValue::MozInert(ref value) => {
                    style.mutate_inherited_ui().set__moz_inert(value.clone());
            }
            AnimationValue::MozMathVariant(..) => unreachable!(),
            AnimationValue::MozMinFontSizeRatio(..) => unreachable!(),
            AnimationValue::MozOrient(ref value) => {
                    style.mutate_box().set__moz_orient(value.clone());
            }
            AnimationValue::MozOsxFontSmoothing(ref value) => {
                    style.mutate_font().set__moz_osx_font_smoothing(value.clone());
            }
            AnimationValue::MozScriptMinSize(..) => unreachable!(),
            AnimationValue::MozScriptSizeMultiplier(..) => unreachable!(),
            AnimationValue::MozTextSizeAdjust(ref value) => {
                    style.mutate_inherited_text().set__moz_text_size_adjust(value.clone());
            }
            AnimationValue::MozTopLayer(..) => unreachable!(),
            AnimationValue::MozUserFocus(ref value) => {
                    style.mutate_inherited_ui().set__moz_user_focus(value.clone());
            }
            AnimationValue::MozUserInput(ref value) => {
                    style.mutate_inherited_ui().set__moz_user_input(value.clone());
            }
            AnimationValue::MozUserModify(ref value) => {
                    style.mutate_inherited_ui().set__moz_user_modify(value.clone());
            }
            AnimationValue::MozWindowDragging(ref value) => {
                    style.mutate_ui().set__moz_window_dragging(value.clone());
            }
            AnimationValue::MozWindowShadow(ref value) => {
                    style.mutate_ui().set__moz_window_shadow(value.clone());
            }
            AnimationValue::ObjectFit(ref value) => {
                    style.mutate_position().set_object_fit(value.clone());
            }
            AnimationValue::OffsetRotate(ref value) => {
                    style.mutate_box().set_offset_rotate(value.clone());
            }
            AnimationValue::OutlineStyle(ref value) => {
                    style.mutate_outline().set_outline_style(value.clone());
            }
            AnimationValue::OverflowAnchor(ref value) => {
                    style.mutate_box().set_overflow_anchor(value.clone());
            }
            AnimationValue::OverflowWrap(ref value) => {
                    style.mutate_inherited_text().set_overflow_wrap(value.clone());
            }
            AnimationValue::PageOrientation(..) => unreachable!(),
            AnimationValue::PaintOrder(ref value) => {
                    style.mutate_inherited_svg().set_paint_order(value.clone());
            }
            AnimationValue::PointerEvents(ref value) => {
                    style.mutate_inherited_ui().set_pointer_events(value.clone());
            }
            AnimationValue::Position(ref value) => {
                    style.mutate_box().set_position(value.clone());
            }
            AnimationValue::PrintColorAdjust(ref value) => {
                    style.mutate_inherited_box().set_print_color_adjust(value.clone());
            }
            AnimationValue::Resize(ref value) => {
                    style.mutate_box().set_resize(value.clone());
            }
            AnimationValue::RubyAlign(ref value) => {
                    style.mutate_inherited_text().set_ruby_align(value.clone());
            }
            AnimationValue::RubyPosition(ref value) => {
                    style.mutate_inherited_text().set_ruby_position(value.clone());
            }
            AnimationValue::ScrollBehavior(ref value) => {
                    style.mutate_box().set_scroll_behavior(value.clone());
            }
            AnimationValue::ScrollSnapAlign(ref value) => {
                    style.mutate_box().set_scroll_snap_align(value.clone());
            }
            AnimationValue::ScrollSnapStop(ref value) => {
                    style.mutate_box().set_scroll_snap_stop(value.clone());
            }
            AnimationValue::ScrollSnapType(ref value) => {
                    style.mutate_box().set_scroll_snap_type(value.clone());
            }
            AnimationValue::ScrollbarGutter(ref value) => {
                    style.mutate_box().set_scrollbar_gutter(value.clone());
            }
            AnimationValue::ScrollbarWidth(ref value) => {
                    style.mutate_ui().set_scrollbar_width(value.clone());
            }
            AnimationValue::ShapeRendering(ref value) => {
                    style.mutate_inherited_svg().set_shape_rendering(value.clone());
            }
            AnimationValue::StrokeLinecap(ref value) => {
                    style.mutate_inherited_svg().set_stroke_linecap(value.clone());
            }
            AnimationValue::StrokeLinejoin(ref value) => {
                    style.mutate_inherited_svg().set_stroke_linejoin(value.clone());
            }
            AnimationValue::TableLayout(ref value) => {
                    style.mutate_table().set_table_layout(value.clone());
            }
            AnimationValue::TextAlign(ref value) => {
                    style.mutate_inherited_text().set_text_align(value.clone());
            }
            AnimationValue::TextAlignLast(ref value) => {
                    style.mutate_inherited_text().set_text_align_last(value.clone());
            }
            AnimationValue::TextAnchor(ref value) => {
                    style.mutate_inherited_svg().set_text_anchor(value.clone());
            }
            AnimationValue::TextCombineUpright(..) => unreachable!(),
            AnimationValue::TextDecorationLine(ref value) => {
                    style.mutate_text().set_text_decoration_line(value.clone());
            }
            AnimationValue::TextDecorationSkipInk(ref value) => {
                    style.mutate_inherited_text().set_text_decoration_skip_ink(value.clone());
            }
            AnimationValue::TextDecorationStyle(ref value) => {
                    style.mutate_text().set_text_decoration_style(value.clone());
            }
            AnimationValue::TextEmphasisPosition(ref value) => {
                    style.mutate_inherited_text().set_text_emphasis_position(value.clone());
            }
            AnimationValue::TextJustify(ref value) => {
                    style.mutate_inherited_text().set_text_justify(value.clone());
            }
            AnimationValue::TextOrientation(..) => unreachable!(),
            AnimationValue::TextRendering(ref value) => {
                    style.mutate_inherited_text().set_text_rendering(value.clone());
            }
            AnimationValue::TextTransform(ref value) => {
                    style.mutate_inherited_text().set_text_transform(value.clone());
            }
            AnimationValue::TextUnderlinePosition(ref value) => {
                    style.mutate_inherited_text().set_text_underline_position(value.clone());
            }
            AnimationValue::TouchAction(ref value) => {
                    style.mutate_box().set_touch_action(value.clone());
            }
            AnimationValue::TransformBox(ref value) => {
                    style.mutate_box().set_transform_box(value.clone());
            }
            AnimationValue::TransformStyle(ref value) => {
                    style.mutate_box().set_transform_style(value.clone());
            }
            AnimationValue::UnicodeBidi(..) => unreachable!(),
            AnimationValue::UserSelect(ref value) => {
                    style.mutate_ui().set_user_select(value.clone());
            }
            AnimationValue::VectorEffect(ref value) => {
                    style.mutate_svg().set_vector_effect(value.clone());
            }
            AnimationValue::Visibility(ref value) => {
                    style.mutate_inherited_box().set_visibility(value.clone());
            }
            AnimationValue::WebkitLineClamp(ref value) => {
                    style.mutate_box().set__webkit_line_clamp(value.clone());
            }
            AnimationValue::WebkitTextSecurity(ref value) => {
                    style.mutate_inherited_text().set__webkit_text_security(value.clone());
            }
            AnimationValue::WhiteSpace(ref value) => {
                    style.mutate_inherited_text().set_white_space(value.clone());
            }
            AnimationValue::WordBreak(ref value) => {
                    style.mutate_inherited_text().set_word_break(value.clone());
            }
            AnimationValue::WritingMode(..) => unreachable!(),
            AnimationValue::XTextScale(..) => unreachable!(),
            AnimationValue::ZIndex(ref value) => {
                    style.mutate_position().set_z_index(value.clone());
            }
            AnimationValue::Appearance(ref value) => {
                    style.mutate_box().set_appearance(value.clone());
            }
            AnimationValue::MozDefaultAppearance(..) => unreachable!(),
            AnimationValue::MozForceBrokenImageIcon(ref value) => {
                    style.mutate_ui().set__moz_force_broken_image_icon(value.clone());
            }
            AnimationValue::MozSubtreeHiddenOnlyVisually(ref value) => {
                    style.mutate_ui().set__moz_subtree_hidden_only_visually(value.clone());
            }
            AnimationValue::BreakAfter(ref value) => {
                    style.mutate_box().set_break_after(value.clone());
            }
            AnimationValue::BreakBefore(ref value) => {
                    style.mutate_box().set_break_before(value.clone());
            }
            AnimationValue::ClipRule(ref value) => {
                    style.mutate_inherited_svg().set_clip_rule(value.clone());
            }
            AnimationValue::FillRule(ref value) => {
                    style.mutate_inherited_svg().set_fill_rule(value.clone());
            }
            AnimationValue::OverflowClipBoxBlock(ref value) => {
                    style.mutate_box().set_overflow_clip_box_block(value.clone());
            }
            AnimationValue::OverflowClipBoxInline(ref value) => {
                    style.mutate_box().set_overflow_clip_box_inline(value.clone());
            }
            AnimationValue::FillOpacity(ref value) => {
                    style.mutate_inherited_svg().set_fill_opacity(value.clone());
            }
            AnimationValue::StrokeOpacity(ref value) => {
                    style.mutate_inherited_svg().set_stroke_opacity(value.clone());
            }
            AnimationValue::FontSynthesisSmallCaps(ref value) => {
                    style.mutate_font().set_font_synthesis_small_caps(value.clone());
            }
            AnimationValue::FontSynthesisStyle(ref value) => {
                    style.mutate_font().set_font_synthesis_style(value.clone());
            }
            AnimationValue::FontSynthesisWeight(ref value) => {
                    style.mutate_font().set_font_synthesis_weight(value.clone());
            }
            AnimationValue::MozBoxOrdinalGroup(ref value) => {
                    style.mutate_xul().set__moz_box_ordinal_group(value.clone());
            }
            AnimationValue::Order(ref value) => {
                    style.mutate_position().set_order(value.clone());
            }
            AnimationValue::XSpan(..) => unreachable!(),
            AnimationValue::FlexGrow(ref value) => {
                let value: longhands::flex_grow::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_flex_grow(value);
            }
            AnimationValue::FlexShrink(ref value) => {
                let value: longhands::flex_shrink::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_flex_shrink(value);
            }
            AnimationValue::MozBoxFlex(ref value) => {
                let value: longhands::_moz_box_flex::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_xul().set__moz_box_flex(value);
            }
            AnimationValue::StrokeMiterlimit(ref value) => {
                let value: longhands::stroke_miterlimit::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_svg().set_stroke_miterlimit(value);
            }
            AnimationValue::OverflowBlock(..) => unreachable!(),
            AnimationValue::OverflowInline(..) => unreachable!(),
            AnimationValue::OverflowX(ref value) => {
                    style.mutate_box().set_overflow_x(value.clone());
            }
            AnimationValue::OverflowY(ref value) => {
                    style.mutate_box().set_overflow_y(value.clone());
            }
            AnimationValue::OverscrollBehaviorBlock(..) => unreachable!(),
            AnimationValue::OverscrollBehaviorInline(..) => unreachable!(),
            AnimationValue::OverscrollBehaviorX(ref value) => {
                    style.mutate_box().set_overscroll_behavior_x(value.clone());
            }
            AnimationValue::OverscrollBehaviorY(ref value) => {
                    style.mutate_box().set_overscroll_behavior_y(value.clone());
            }
            AnimationValue::FloodOpacity(ref value) => {
                    style.mutate_svg().set_flood_opacity(value.clone());
            }
            AnimationValue::MozWindowOpacity(ref value) => {
                    style.mutate_ui().set__moz_window_opacity(value.clone());
            }
            AnimationValue::Opacity(ref value) => {
                    style.mutate_effects().set_opacity(value.clone());
            }
            AnimationValue::ShapeImageThreshold(ref value) => {
                    style.mutate_box().set_shape_image_threshold(value.clone());
            }
            AnimationValue::StopOpacity(ref value) => {
                    style.mutate_svg().set_stop_opacity(value.clone());
            }
            AnimationValue::BorderBlockEndStyle(..) => unreachable!(),
            AnimationValue::BorderBlockStartStyle(..) => unreachable!(),
            AnimationValue::BorderBottomStyle(ref value) => {
                    style.mutate_border().set_border_bottom_style(value.clone());
            }
            AnimationValue::BorderInlineEndStyle(..) => unreachable!(),
            AnimationValue::BorderInlineStartStyle(..) => unreachable!(),
            AnimationValue::BorderLeftStyle(ref value) => {
                    style.mutate_border().set_border_left_style(value.clone());
            }
            AnimationValue::BorderRightStyle(ref value) => {
                    style.mutate_border().set_border_right_style(value.clone());
            }
            AnimationValue::BorderTopStyle(ref value) => {
                    style.mutate_border().set_border_top_style(value.clone());
            }
            AnimationValue::ColumnRuleStyle(ref value) => {
                    style.mutate_column().set_column_rule_style(value.clone());
            }
            AnimationValue::AccentColor(ref value) => {
                let value: longhands::accent_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_ui().set_accent_color(value);
            }
            AnimationValue::AlignTracks(ref value) => {
                    style.mutate_position().set_align_tracks(value.clone());
            }
            AnimationValue::AnimationComposition(..) => unreachable!(),
            AnimationValue::AnimationDelay(..) => unreachable!(),
            AnimationValue::AnimationDirection(..) => unreachable!(),
            AnimationValue::AnimationDuration(..) => unreachable!(),
            AnimationValue::AnimationFillMode(..) => unreachable!(),
            AnimationValue::AnimationIterationCount(..) => unreachable!(),
            AnimationValue::AnimationName(..) => unreachable!(),
            AnimationValue::AnimationPlayState(..) => unreachable!(),
            AnimationValue::AnimationTimeline(..) => unreachable!(),
            AnimationValue::AnimationTimingFunction(..) => unreachable!(),
            AnimationValue::BackdropFilter(ref value) => {
                let value: longhands::backdrop_filter::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_effects().set_backdrop_filter(value);
            }
            AnimationValue::BackgroundAttachment(ref value) => {
                    style.mutate_background().set_background_attachment(value.clone());
            }
            AnimationValue::BackgroundBlendMode(ref value) => {
                    style.mutate_background().set_background_blend_mode(value.clone());
            }
            AnimationValue::BackgroundClip(ref value) => {
                    style.mutate_background().set_background_clip(value.clone());
            }
            AnimationValue::BackgroundImage(ref value) => {
                    style.mutate_background().set_background_image(value.clone());
            }
            AnimationValue::BackgroundOrigin(ref value) => {
                    style.mutate_background().set_background_origin(value.clone());
            }
            AnimationValue::BackgroundPositionX(ref value) => {
                    style.mutate_background().set_background_position_x(value.clone());
            }
            AnimationValue::BackgroundPositionY(ref value) => {
                    style.mutate_background().set_background_position_y(value.clone());
            }
            AnimationValue::BackgroundRepeat(ref value) => {
                    style.mutate_background().set_background_repeat(value.clone());
            }
            AnimationValue::BackgroundSize(ref value) => {
                let value: longhands::background_size::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_background().set_background_size(value);
            }
            AnimationValue::BorderImageOutset(ref value) => {
                let value: longhands::border_image_outset::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_image_outset(value);
            }
            AnimationValue::BorderImageSlice(ref value) => {
                let value: longhands::border_image_slice::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_image_slice(value);
            }
            AnimationValue::BorderImageWidth(ref value) => {
                let value: longhands::border_image_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_image_width(value);
            }
            AnimationValue::BorderSpacing(ref value) => {
                let value: longhands::border_spacing::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_table().set_border_spacing(value);
            }
            AnimationValue::BoxShadow(ref value) => {
                let value: longhands::box_shadow::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_effects().set_box_shadow(value);
            }
            AnimationValue::CaretColor(ref value) => {
                let value: longhands::caret_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_ui().set_caret_color(value);
            }
            AnimationValue::Clip(ref value) => {
                    style.mutate_effects().set_clip(value.clone());
            }
            AnimationValue::ClipPath(ref value) => {
                let value: longhands::clip_path::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_clip_path(value);
            }
            AnimationValue::Color(ref value) => {
                let value: longhands::color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set_color(value);
            }
            AnimationValue::ColorScheme(ref value) => {
                    style.mutate_inherited_ui().set_color_scheme(value.clone());
            }
            AnimationValue::ColumnWidth(ref value) => {
                let value: longhands::column_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_column().set_column_width(value);
            }
            AnimationValue::ContainerName(..) => unreachable!(),
            AnimationValue::Content(ref value) => {
                    style.mutate_counters().set_content(value.clone());
            }
            AnimationValue::CounterIncrement(ref value) => {
                    style.mutate_counters().set_counter_increment(value.clone());
            }
            AnimationValue::CounterReset(ref value) => {
                    style.mutate_counters().set_counter_reset(value.clone());
            }
            AnimationValue::CounterSet(ref value) => {
                    style.mutate_counters().set_counter_set(value.clone());
            }
            AnimationValue::Cursor(ref value) => {
                    style.mutate_inherited_ui().set_cursor(value.clone());
            }
            AnimationValue::D(ref value) => {
                    style.mutate_svg().set_d(value.clone());
            }
            AnimationValue::Filter(ref value) => {
                let value: longhands::filter::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_effects().set_filter(value);
            }
            AnimationValue::FlexBasis(ref value) => {
                let value: longhands::flex_basis::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_flex_basis(value);
            }
            AnimationValue::FontFamily(ref value) => {
                    style.mutate_font().set_font_family(value.clone());
            }
            AnimationValue::FontFeatureSettings(ref value) => {
                    style.mutate_font().set_font_feature_settings(value.clone());
            }
            AnimationValue::FontPalette(ref value) => {
                    style.mutate_font().set_font_palette(value.clone());
            }
            AnimationValue::FontSize(ref value) => {
                let value: longhands::font_size::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_font().set_font_size(value);
            }
            AnimationValue::FontVariantAlternates(ref value) => {
                    style.mutate_font().set_font_variant_alternates(value.clone());
            }
            AnimationValue::FontVariationSettings(ref value) => {
                    style.mutate_font().set_font_variation_settings(value.clone());
            }
            AnimationValue::GridTemplateAreas(ref value) => {
                    style.mutate_position().set_grid_template_areas(value.clone());
            }
            AnimationValue::HyphenateCharacter(ref value) => {
                    style.mutate_inherited_text().set_hyphenate_character(value.clone());
            }
            AnimationValue::JustifyTracks(ref value) => {
                    style.mutate_position().set_justify_tracks(value.clone());
            }
            AnimationValue::LetterSpacing(ref value) => {
                    style.mutate_inherited_text().set_letter_spacing(value.clone());
            }
            AnimationValue::LineHeight(ref value) => {
                let value: longhands::line_height::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set_line_height(value);
            }
            AnimationValue::ListStyleType(ref value) => {
                    style.mutate_list().set_list_style_type(value.clone());
            }
            AnimationValue::MaskClip(ref value) => {
                    style.mutate_svg().set_mask_clip(value.clone());
            }
            AnimationValue::MaskComposite(ref value) => {
                    style.mutate_svg().set_mask_composite(value.clone());
            }
            AnimationValue::MaskImage(ref value) => {
                    style.mutate_svg().set_mask_image(value.clone());
            }
            AnimationValue::MaskMode(ref value) => {
                    style.mutate_svg().set_mask_mode(value.clone());
            }
            AnimationValue::MaskOrigin(ref value) => {
                    style.mutate_svg().set_mask_origin(value.clone());
            }
            AnimationValue::MaskPositionX(ref value) => {
                    style.mutate_svg().set_mask_position_x(value.clone());
            }
            AnimationValue::MaskPositionY(ref value) => {
                    style.mutate_svg().set_mask_position_y(value.clone());
            }
            AnimationValue::MaskRepeat(ref value) => {
                    style.mutate_svg().set_mask_repeat(value.clone());
            }
            AnimationValue::MaskSize(ref value) => {
                let value: longhands::mask_size::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_mask_size(value);
            }
            AnimationValue::MozContextProperties(..) => unreachable!(),
            AnimationValue::MozFontSmoothingBackgroundColor(..) => unreachable!(),
            AnimationValue::OffsetAnchor(ref value) => {
                    style.mutate_box().set_offset_anchor(value.clone());
            }
            AnimationValue::OffsetPath(ref value) => {
                    style.mutate_box().set_offset_path(value.clone());
            }
            AnimationValue::OffsetPosition(ref value) => {
                    style.mutate_box().set_offset_position(value.clone());
            }
            AnimationValue::Page(ref value) => {
                    style.mutate_page().set_page(value.clone());
            }
            AnimationValue::Perspective(ref value) => {
                let value: longhands::perspective::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_box().set_perspective(value);
            }
            AnimationValue::Quotes(ref value) => {
                    style.mutate_list().set_quotes(value.clone());
            }
            AnimationValue::Rotate(ref value) => {
                    style.mutate_box().set_rotate(value.clone());
            }
            AnimationValue::Scale(ref value) => {
                    style.mutate_box().set_scale(value.clone());
            }
            AnimationValue::ScrollTimelineAxis(..) => unreachable!(),
            AnimationValue::ScrollTimelineName(..) => unreachable!(),
            AnimationValue::ScrollbarColor(ref value) => {
                let value: longhands::scrollbar_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_ui().set_scrollbar_color(value);
            }
            AnimationValue::ShapeOutside(ref value) => {
                let value: longhands::shape_outside::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_box().set_shape_outside(value);
            }
            AnimationValue::Size(..) => unreachable!(),
            AnimationValue::StrokeDasharray(ref value) => {
                let value: longhands::stroke_dasharray::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_svg().set_stroke_dasharray(value);
            }
            AnimationValue::StrokeDashoffset(ref value) => {
                    style.mutate_inherited_svg().set_stroke_dashoffset(value.clone());
            }
            AnimationValue::StrokeWidth(ref value) => {
                let value: longhands::stroke_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_svg().set_stroke_width(value);
            }
            AnimationValue::TabSize(ref value) => {
                let value: longhands::tab_size::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set_tab_size(value);
            }
            AnimationValue::TextDecorationThickness(ref value) => {
                    style.mutate_text().set_text_decoration_thickness(value.clone());
            }
            AnimationValue::TextEmphasisStyle(ref value) => {
                    style.mutate_inherited_text().set_text_emphasis_style(value.clone());
            }
            AnimationValue::TextOverflow(ref value) => {
                    style.mutate_text().set_text_overflow(value.clone());
            }
            AnimationValue::TextShadow(ref value) => {
                let value: longhands::text_shadow::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set_text_shadow(value);
            }
            AnimationValue::TransitionDelay(..) => unreachable!(),
            AnimationValue::TransitionDuration(..) => unreachable!(),
            AnimationValue::TransitionProperty(..) => unreachable!(),
            AnimationValue::TransitionTimingFunction(..) => unreachable!(),
            AnimationValue::Translate(ref value) => {
                    style.mutate_box().set_translate(value.clone());
            }
            AnimationValue::VerticalAlign(ref value) => {
                    style.mutate_box().set_vertical_align(value.clone());
            }
            AnimationValue::ViewTimelineAxis(..) => unreachable!(),
            AnimationValue::ViewTimelineInset(..) => unreachable!(),
            AnimationValue::ViewTimelineName(..) => unreachable!(),
            AnimationValue::WebkitTextStrokeWidth(ref value) => {
                    style.mutate_inherited_text().set__webkit_text_stroke_width(value.clone());
            }
            AnimationValue::WillChange(..) => unreachable!(),
            AnimationValue::WordSpacing(ref value) => {
                    style.mutate_inherited_text().set_word_spacing(value.clone());
            }
            AnimationValue::XLang(..) => unreachable!(),
            AnimationValue::ObjectPosition(ref value) => {
                    style.mutate_position().set_object_position(value.clone());
            }
            AnimationValue::PerspectiveOrigin(ref value) => {
                    style.mutate_box().set_perspective_origin(value.clone());
            }
            AnimationValue::Fill(ref value) => {
                let value: longhands::fill::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_svg().set_fill(value);
            }
            AnimationValue::Stroke(ref value) => {
                let value: longhands::stroke::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_svg().set_stroke(value);
            }
            AnimationValue::MozWindowTransformOrigin(ref value) => {
                    style.mutate_ui().set__moz_window_transform_origin(value.clone());
            }
            AnimationValue::TransformOrigin(ref value) => {
                    style.mutate_box().set_transform_origin(value.clone());
            }
            AnimationValue::GridTemplateColumns(ref value) => {
                    style.mutate_position().set_grid_template_columns(value.clone());
            }
            AnimationValue::GridTemplateRows(ref value) => {
                    style.mutate_position().set_grid_template_rows(value.clone());
            }
            AnimationValue::BorderImageSource(ref value) => {
                    style.mutate_border().set_border_image_source(value.clone());
            }
            AnimationValue::ListStyleImage(ref value) => {
                    style.mutate_list().set_list_style_image(value.clone());
            }
            AnimationValue::GridAutoColumns(ref value) => {
                    style.mutate_position().set_grid_auto_columns(value.clone());
            }
            AnimationValue::GridAutoRows(ref value) => {
                    style.mutate_position().set_grid_auto_rows(value.clone());
            }
            AnimationValue::MozWindowTransform(ref value) => {
                    style.mutate_ui().set__moz_window_transform(value.clone());
            }
            AnimationValue::Transform(ref value) => {
                    style.mutate_box().set_transform(value.clone());
            }
            AnimationValue::ColumnGap(ref value) => {
                let value: longhands::column_gap::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_column_gap(value);
            }
            AnimationValue::RowGap(ref value) => {
                let value: longhands::row_gap::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_row_gap(value);
            }
            AnimationValue::MarkerEnd(ref value) => {
                    style.mutate_inherited_svg().set_marker_end(value.clone());
            }
            AnimationValue::MarkerMid(ref value) => {
                    style.mutate_inherited_svg().set_marker_mid(value.clone());
            }
            AnimationValue::MarkerStart(ref value) => {
                    style.mutate_inherited_svg().set_marker_start(value.clone());
            }
            AnimationValue::ContainIntrinsicBlockSize(..) => unreachable!(),
            AnimationValue::ContainIntrinsicHeight(ref value) => {
                let value: longhands::contain_intrinsic_height::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_contain_intrinsic_height(value);
            }
            AnimationValue::ContainIntrinsicInlineSize(..) => unreachable!(),
            AnimationValue::ContainIntrinsicWidth(ref value) => {
                let value: longhands::contain_intrinsic_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_contain_intrinsic_width(value);
            }
            AnimationValue::GridColumnEnd(ref value) => {
                    style.mutate_position().set_grid_column_end(value.clone());
            }
            AnimationValue::GridColumnStart(ref value) => {
                    style.mutate_position().set_grid_column_start(value.clone());
            }
            AnimationValue::GridRowEnd(ref value) => {
                    style.mutate_position().set_grid_row_end(value.clone());
            }
            AnimationValue::GridRowStart(ref value) => {
                    style.mutate_position().set_grid_row_start(value.clone());
            }
            AnimationValue::MaxBlockSize(..) => unreachable!(),
            AnimationValue::MaxHeight(ref value) => {
                let value: longhands::max_height::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_max_height(value);
            }
            AnimationValue::MaxInlineSize(..) => unreachable!(),
            AnimationValue::MaxWidth(ref value) => {
                let value: longhands::max_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_max_width(value);
            }
            AnimationValue::Cx(ref value) => {
                    style.mutate_svg().set_cx(value.clone());
            }
            AnimationValue::Cy(ref value) => {
                    style.mutate_svg().set_cy(value.clone());
            }
            AnimationValue::OffsetDistance(ref value) => {
                    style.mutate_box().set_offset_distance(value.clone());
            }
            AnimationValue::TextIndent(ref value) => {
                    style.mutate_inherited_text().set_text_indent(value.clone());
            }
            AnimationValue::X(ref value) => {
                    style.mutate_svg().set_x(value.clone());
            }
            AnimationValue::Y(ref value) => {
                    style.mutate_svg().set_y(value.clone());
            }
            AnimationValue::BorderBottomLeftRadius(ref value) => {
                let value: longhands::border_bottom_left_radius::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_bottom_left_radius(value);
            }
            AnimationValue::BorderBottomRightRadius(ref value) => {
                let value: longhands::border_bottom_right_radius::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_bottom_right_radius(value);
            }
            AnimationValue::BorderEndEndRadius(..) => unreachable!(),
            AnimationValue::BorderEndStartRadius(..) => unreachable!(),
            AnimationValue::BorderStartEndRadius(..) => unreachable!(),
            AnimationValue::BorderStartStartRadius(..) => unreachable!(),
            AnimationValue::BorderTopLeftRadius(ref value) => {
                let value: longhands::border_top_left_radius::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_top_left_radius(value);
            }
            AnimationValue::BorderTopRightRadius(ref value) => {
                let value: longhands::border_top_right_radius::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_top_right_radius(value);
            }
            AnimationValue::BlockSize(..) => unreachable!(),
            AnimationValue::Height(ref value) => {
                let value: longhands::height::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_height(value);
            }
            AnimationValue::InlineSize(..) => unreachable!(),
            AnimationValue::MinBlockSize(..) => unreachable!(),
            AnimationValue::MinHeight(ref value) => {
                let value: longhands::min_height::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_min_height(value);
            }
            AnimationValue::MinInlineSize(..) => unreachable!(),
            AnimationValue::MinWidth(ref value) => {
                let value: longhands::min_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_min_width(value);
            }
            AnimationValue::Width(ref value) => {
                let value: longhands::width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_position().set_width(value);
            }
            AnimationValue::BorderBlockEndWidth(..) => unreachable!(),
            AnimationValue::BorderBlockStartWidth(..) => unreachable!(),
            AnimationValue::BorderBottomWidth(ref value) => {
                let value: longhands::border_bottom_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_bottom_width(value);
            }
            AnimationValue::BorderInlineEndWidth(..) => unreachable!(),
            AnimationValue::BorderInlineStartWidth(..) => unreachable!(),
            AnimationValue::BorderLeftWidth(ref value) => {
                let value: longhands::border_left_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_left_width(value);
            }
            AnimationValue::BorderRightWidth(ref value) => {
                let value: longhands::border_right_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_right_width(value);
            }
            AnimationValue::BorderTopWidth(ref value) => {
                let value: longhands::border_top_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_top_width(value);
            }
            AnimationValue::ColumnRuleWidth(ref value) => {
                let value: longhands::column_rule_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_column().set_column_rule_width(value);
            }
            AnimationValue::OutlineWidth(ref value) => {
                let value: longhands::outline_width::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_outline().set_outline_width(value);
            }
            AnimationValue::PaddingBlockEnd(..) => unreachable!(),
            AnimationValue::PaddingBlockStart(..) => unreachable!(),
            AnimationValue::PaddingBottom(ref value) => {
                let value: longhands::padding_bottom::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_padding_bottom(value);
            }
            AnimationValue::PaddingInlineEnd(..) => unreachable!(),
            AnimationValue::PaddingInlineStart(..) => unreachable!(),
            AnimationValue::PaddingLeft(ref value) => {
                let value: longhands::padding_left::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_padding_left(value);
            }
            AnimationValue::PaddingRight(ref value) => {
                let value: longhands::padding_right::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_padding_right(value);
            }
            AnimationValue::PaddingTop(ref value) => {
                let value: longhands::padding_top::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_padding_top(value);
            }
            AnimationValue::R(ref value) => {
                let value: longhands::r::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_r(value);
            }
            AnimationValue::ShapeMargin(ref value) => {
                let value: longhands::shape_margin::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_box().set_shape_margin(value);
            }
            AnimationValue::Rx(ref value) => {
                let value: longhands::rx::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_rx(value);
            }
            AnimationValue::Ry(ref value) => {
                let value: longhands::ry::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_ry(value);
            }
            AnimationValue::ScrollPaddingBlockEnd(..) => unreachable!(),
            AnimationValue::ScrollPaddingBlockStart(..) => unreachable!(),
            AnimationValue::ScrollPaddingBottom(ref value) => {
                let value: longhands::scroll_padding_bottom::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_scroll_padding_bottom(value);
            }
            AnimationValue::ScrollPaddingInlineEnd(..) => unreachable!(),
            AnimationValue::ScrollPaddingInlineStart(..) => unreachable!(),
            AnimationValue::ScrollPaddingLeft(ref value) => {
                let value: longhands::scroll_padding_left::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_scroll_padding_left(value);
            }
            AnimationValue::ScrollPaddingRight(ref value) => {
                let value: longhands::scroll_padding_right::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_scroll_padding_right(value);
            }
            AnimationValue::ScrollPaddingTop(ref value) => {
                let value: longhands::scroll_padding_top::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_padding().set_scroll_padding_top(value);
            }
            AnimationValue::MozWindowInputRegionMargin(ref value) => {
                    style.mutate_ui().set__moz_window_input_region_margin(value.clone());
            }
            AnimationValue::OutlineOffset(ref value) => {
                    style.mutate_outline().set_outline_offset(value.clone());
            }
            AnimationValue::OverflowClipMargin(ref value) => {
                    style.mutate_margin().set_overflow_clip_margin(value.clone());
            }
            AnimationValue::ScrollMarginBlockEnd(..) => unreachable!(),
            AnimationValue::ScrollMarginBlockStart(..) => unreachable!(),
            AnimationValue::ScrollMarginBottom(ref value) => {
                    style.mutate_margin().set_scroll_margin_bottom(value.clone());
            }
            AnimationValue::ScrollMarginInlineEnd(..) => unreachable!(),
            AnimationValue::ScrollMarginInlineStart(..) => unreachable!(),
            AnimationValue::ScrollMarginLeft(ref value) => {
                    style.mutate_margin().set_scroll_margin_left(value.clone());
            }
            AnimationValue::ScrollMarginRight(ref value) => {
                    style.mutate_margin().set_scroll_margin_right(value.clone());
            }
            AnimationValue::ScrollMarginTop(ref value) => {
                    style.mutate_margin().set_scroll_margin_top(value.clone());
            }
            AnimationValue::Bottom(ref value) => {
                    style.mutate_position().set_bottom(value.clone());
            }
            AnimationValue::InsetBlockEnd(..) => unreachable!(),
            AnimationValue::InsetBlockStart(..) => unreachable!(),
            AnimationValue::InsetInlineEnd(..) => unreachable!(),
            AnimationValue::InsetInlineStart(..) => unreachable!(),
            AnimationValue::Left(ref value) => {
                    style.mutate_position().set_left(value.clone());
            }
            AnimationValue::MarginBlockEnd(..) => unreachable!(),
            AnimationValue::MarginBlockStart(..) => unreachable!(),
            AnimationValue::MarginBottom(ref value) => {
                    style.mutate_margin().set_margin_bottom(value.clone());
            }
            AnimationValue::MarginInlineEnd(..) => unreachable!(),
            AnimationValue::MarginInlineStart(..) => unreachable!(),
            AnimationValue::MarginLeft(ref value) => {
                    style.mutate_margin().set_margin_left(value.clone());
            }
            AnimationValue::MarginRight(ref value) => {
                    style.mutate_margin().set_margin_right(value.clone());
            }
            AnimationValue::MarginTop(ref value) => {
                    style.mutate_margin().set_margin_top(value.clone());
            }
            AnimationValue::Right(ref value) => {
                    style.mutate_position().set_right(value.clone());
            }
            AnimationValue::TextUnderlineOffset(ref value) => {
                    style.mutate_inherited_text().set_text_underline_offset(value.clone());
            }
            AnimationValue::Top(ref value) => {
                    style.mutate_position().set_top(value.clone());
            }
            AnimationValue::BackgroundColor(ref value) => {
                let value: longhands::background_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_background().set_background_color(value);
            }
            AnimationValue::BorderBlockEndColor(..) => unreachable!(),
            AnimationValue::BorderBlockStartColor(..) => unreachable!(),
            AnimationValue::BorderBottomColor(ref value) => {
                let value: longhands::border_bottom_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_bottom_color(value);
            }
            AnimationValue::BorderInlineEndColor(..) => unreachable!(),
            AnimationValue::BorderInlineStartColor(..) => unreachable!(),
            AnimationValue::BorderLeftColor(ref value) => {
                let value: longhands::border_left_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_left_color(value);
            }
            AnimationValue::BorderRightColor(ref value) => {
                let value: longhands::border_right_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_right_color(value);
            }
            AnimationValue::BorderTopColor(ref value) => {
                let value: longhands::border_top_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_border().set_border_top_color(value);
            }
            AnimationValue::ColumnRuleColor(ref value) => {
                let value: longhands::column_rule_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_column().set_column_rule_color(value);
            }
            AnimationValue::FloodColor(ref value) => {
                let value: longhands::flood_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_flood_color(value);
            }
            AnimationValue::LightingColor(ref value) => {
                let value: longhands::lighting_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_lighting_color(value);
            }
            AnimationValue::OutlineColor(ref value) => {
                let value: longhands::outline_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_outline().set_outline_color(value);
            }
            AnimationValue::StopColor(ref value) => {
                let value: longhands::stop_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_svg().set_stop_color(value);
            }
            AnimationValue::TextDecorationColor(ref value) => {
                let value: longhands::text_decoration_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_text().set_text_decoration_color(value);
            }
            AnimationValue::TextEmphasisColor(ref value) => {
                let value: longhands::text_emphasis_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set_text_emphasis_color(value);
            }
            AnimationValue::WebkitTextFillColor(ref value) => {
                let value: longhands::_webkit_text_fill_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set__webkit_text_fill_color(value);
            }
            AnimationValue::WebkitTextStrokeColor(ref value) => {
                let value: longhands::_webkit_text_stroke_color::computed_value::T =
                    ToAnimatedValue::from_animated_value(value.clone());
                    style.mutate_inherited_text().set__webkit_text_stroke_color(value);
            }
        }
    }

    /// As above, but a stub for Gecko.
    #[cfg(feature = "gecko")]
    pub fn set_in_style_for_servo(&self, _: &mut ComputedValues) {
    }
}

fn animate_discrete<T: Clone>(this: &T, other: &T, procedure: Procedure) -> Result<T, ()> {
    if let Procedure::Interpolate { progress } = procedure {
        Ok(if progress < 0.5 { this.clone() } else { other.clone() })
    } else {
        Err(())
    }
}

impl Animate for AnimationValue {
    fn animate(&self, other: &Self, procedure: Procedure) -> Result<Self, ()> {
        Ok(unsafe {
            use self::AnimationValue::*;

            let this_tag = *(self as *const _ as *const u16);
            let other_tag = *(other as *const _ as *const u16);
            if this_tag != other_tag {
                panic!("Unexpected AnimationValue::animate call");
            }

            match *self {
                
                AlignContent(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignContent as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignContent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                AlignItems(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignItems as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignItems as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                AlignSelf(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignSelf as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignSelf as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                AspectRatio(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackfaceVisibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::backface_visibility::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::backface_visibility::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BaselineSource(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BaselineSource as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BaselineSource as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderCollapse(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::border_collapse::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::border_collapse::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderImageRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BorderImageRepeat as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BorderImageRepeat as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BoxDecorationBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::box_decoration_break::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::box_decoration_break::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BoxSizing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::box_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::box_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BreakInside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BreakWithin as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BreakWithin as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                CaptionSide(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::table::CaptionSide as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::table::CaptionSide as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Clear(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Clear as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Clear as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColorInterpolation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::color_interpolation::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::color_interpolation::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColorInterpolationFilters(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::color_interpolation_filters::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::color_interpolation_filters::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColumnCount(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColumnFill(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::column_fill::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::column_fill::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColumnSpan(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::column_span::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::column_span::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Display(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Display as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Display as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                DominantBaseline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::dominant_baseline::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::dominant_baseline::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                EmptyCells(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::empty_cells::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::empty_cells::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FlexDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::flex_direction::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::flex_direction::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FlexWrap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::flex_wrap::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::flex_wrap::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Float(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Float as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Float as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontKerning(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_kerning::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_kerning::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontLanguageOverride(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontLanguageOverride as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontLanguageOverride as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontOpticalSizing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_optical_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_optical_sizing::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontStretch(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantCaps(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_variant_caps::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_variant_caps::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantEastAsian(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantEastAsian as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantEastAsian as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantEmoji(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_variant_emoji::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_variant_emoji::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantLigatures(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantLigatures as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantLigatures as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantNumeric(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantNumeric as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantNumeric as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::font_variant_position::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::font_variant_position::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ForcedColorAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ForcedColorAdjust as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ForcedColorAdjust as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                GridAutoFlow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridAutoFlow as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridAutoFlow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Hyphens(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::hyphens::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::hyphens::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ImageOrientation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::image_orientation::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::image_orientation::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ImageRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ImageRendering as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ImageRendering as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ImeMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::ime_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::ime_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                InitialLetter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::InitialLetter as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::InitialLetter as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Isolation(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::isolation::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::isolation::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                JustifyContent(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifyContent as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifyContent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                JustifyItems(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifyItems as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifyItems as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                JustifySelf(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifySelf as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifySelf as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                LineBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineBreak as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LineBreak as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ListStylePosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::list_style_position::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::list_style_position::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_type::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_type::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MasonryAutoFlow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::MasonryAutoFlow as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::MasonryAutoFlow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MixBlendMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mix_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mix_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozBoxAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_align::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_align::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozBoxDirection(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_direction::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_direction::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozBoxOrient(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_orient::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_orient::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozBoxPack(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_box_pack::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_box_pack::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozFloatEdge(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_float_edge::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_float_edge::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozInert(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_inert::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_inert::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozOrient(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_orient::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_orient::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozOsxFontSmoothing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_osx_font_smoothing::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_osx_font_smoothing::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozTextSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_text_size_adjust::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_text_size_adjust::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozUserFocus(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_user_focus::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_user_focus::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozUserInput(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_user_input::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_user_input::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozUserModify(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_user_modify::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_user_modify::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozWindowDragging(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_window_dragging::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_window_dragging::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozWindowShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_moz_window_shadow::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_moz_window_shadow::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ObjectFit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::object_fit::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::object_fit::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OffsetRotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OutlineStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OutlineStyle as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OutlineStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OverflowAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverflowAnchor as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverflowAnchor as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OverflowWrap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverflowWrap as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverflowWrap as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                PaintOrder(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGPaintOrder as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::SVGPaintOrder as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                PointerEvents(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::pointer_events::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::pointer_events::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Position(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::position::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::position::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                PrintColorAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PrintColorAdjust as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::PrintColorAdjust as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Resize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Resize as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Resize as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                RubyAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::ruby_align::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::ruby_align::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                RubyPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::RubyPosition as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::RubyPosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollBehavior(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::scroll_behavior::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::scroll_behavior::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollSnapAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollSnapAlign as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollSnapAlign as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollSnapStop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollSnapStop as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollSnapStop as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollSnapType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollSnapType as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollSnapType as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollbarGutter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ScrollbarGutter as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ScrollbarGutter as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollbarWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::scrollbar_width::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::scrollbar_width::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ShapeRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::shape_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::shape_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                StrokeLinecap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::stroke_linecap::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::stroke_linecap::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                StrokeLinejoin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::stroke_linejoin::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::stroke_linejoin::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TableLayout(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::table_layout::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::table_layout::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextAlign as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextAlign as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextAlignLast(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextAlignLast as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextAlignLast as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::text_anchor::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::text_anchor::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextDecorationLine(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationLine as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextDecorationLine as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextDecorationSkipInk(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationSkipInk as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextDecorationSkipInk as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextDecorationStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::text_decoration_style::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::text_decoration_style::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextEmphasisPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextEmphasisPosition as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextEmphasisPosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextJustify(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextJustify as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextJustify as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextRendering(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::text_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::text_rendering::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextTransform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextTransform as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextTransform as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextUnderlinePosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextUnderlinePosition as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextUnderlinePosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TouchAction(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TouchAction as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TouchAction as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TransformBox(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::transform_box::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::transform_box::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TransformStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TransformStyle as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TransformStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                UserSelect(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::UserSelect as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::UserSelect as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                VectorEffect(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::vector_effect::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::vector_effect::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Visibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                WebkitLineClamp(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                WebkitTextSecurity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::_webkit_text_security::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::_webkit_text_security::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                WhiteSpace(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::white_space::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::white_space::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                WordBreak(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::WordBreak as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::WordBreak as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ZIndex(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Appearance(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Appearance as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Appearance as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozForceBrokenImageIcon(ref this) |
MozSubtreeHiddenOnlyVisually(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BoolInteger as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BreakAfter(ref this) |
BreakBefore(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BreakBetween as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ClipRule(ref this) |
FillRule(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FillRule as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FillRule as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OverflowClipBoxBlock(ref this) |
OverflowClipBoxInline(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverflowClipBox as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FillOpacity(ref this) |
StrokeOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontSynthesisSmallCaps(ref this) |
FontSynthesisStyle(ref this) |
FontSynthesisWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontSynthesis as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozBoxOrdinalGroup(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Order(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FlexGrow(ref this) |
FlexShrink(ref this) |
MozBoxFlex(ref this) |
StrokeMiterlimit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OverflowX(ref this) |
OverflowY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Overflow as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Overflow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OverscrollBehaviorX(ref this) |
OverscrollBehaviorY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OverscrollBehavior as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FloodOpacity(ref this) |
MozWindowOpacity(ref this) |
Opacity(ref this) |
ShapeImageThreshold(ref this) |
StopOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Opacity as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Opacity as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderBottomStyle(ref this) |
BorderLeftStyle(ref this) |
BorderRightStyle(ref this) |
BorderTopStyle(ref this) |
ColumnRuleStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::BorderStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                AccentColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColorOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ColorOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                AlignTracks(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AlignTracks as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::AlignTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackdropFilter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::backdrop_filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::backdrop_filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundAttachment(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_attachment::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_attachment::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundBlendMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_blend_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundClip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_clip::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_clip::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_image::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_image::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_origin::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_origin::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::background_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::background_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::background_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderImageOutset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumberRect as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumberRect as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderImageSlice(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderImageSlice as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderImageSlice as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderImageWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderImageWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderImageWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderSpacing as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderSpacing as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BoxShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::box_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::box_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                CaretColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::color::CaretColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::color::CaretColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Clip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ClipRectOrAuto as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ClipRectOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ClipPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ClipPath as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ClipPath as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Color(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColorPropertyValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ColorPropertyValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColorScheme(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ColorScheme as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ColorScheme as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColumnWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Content(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Content as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Content as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                CounterIncrement(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::CounterIncrement as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::CounterIncrement as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                CounterReset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::CounterReset as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::CounterReset as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                CounterSet(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::CounterSet as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::CounterSet as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Cursor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Cursor as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Cursor as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                D(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::DProperty as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::DProperty as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Filter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FlexBasis(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FlexBasis as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FlexBasis as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontFamily(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontFamily as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontFamily as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontFeatureSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontFeatureSettings as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontFeatureSettings as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontPalette(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontPalette as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontPalette as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::FontSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariantAlternates(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariantAlternates as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariantAlternates as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                FontVariationSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariationSettings as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::FontVariationSettings as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                GridTemplateAreas(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridTemplateAreas as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridTemplateAreas as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                HyphenateCharacter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::HyphenateCharacter as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::HyphenateCharacter as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                JustifyTracks(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::JustifyTracks as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::JustifyTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                LetterSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LetterSpacing as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LetterSpacing as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                LineHeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::LineHeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::LineHeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ListStyleType(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ListStyleType as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ListStyleType as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskClip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_clip::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_clip::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskComposite(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_composite::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_composite::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_image::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_image::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskMode(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_mode::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_mode::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_origin::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_origin::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskRepeat(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<longhands::mask_repeat::SpecifiedValue as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaskSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::mask_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::mask_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OffsetAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PositionOrAuto as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::PositionOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OffsetPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetPath as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OffsetPath as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                OffsetPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetPosition as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::OffsetPosition as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Page(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PageName as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::PageName as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Perspective(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Perspective as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Perspective as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Quotes(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Quotes as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Quotes as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Rotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Rotate as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Rotate as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Scale(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Scale as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Scale as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ScrollbarColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ui::ScrollbarColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ui::ScrollbarColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ShapeOutside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ShapeOutside as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ShapeOutside as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                StrokeDasharray(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGStrokeDashArray as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGStrokeDashArray as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                StrokeDashoffset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGLength as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::SVGLength as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                StrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TabSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextDecorationThickness(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationLength as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextDecorationLength as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextEmphasisStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextEmphasisStyle as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextEmphasisStyle as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextOverflow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextOverflow as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TextOverflow as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                TextShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::text_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<longhands::text_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Translate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Translate as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Translate as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                VerticalAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::VerticalAlign as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::VerticalAlign as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                WebkitTextStrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineWidth as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LineWidth as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                WordSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::WordSpacing as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::WordSpacing as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ObjectPosition(ref this) |
PerspectiveOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Position as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Position as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Fill(ref this) |
Stroke(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozWindowTransformOrigin(ref this) |
TransformOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                GridTemplateColumns(ref this) |
GridTemplateRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderImageSource(ref this) |
ListStyleImage(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Image as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Image as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                GridAutoColumns(ref this) |
GridAutoRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::ImplicitGridTracks as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozWindowTransform(ref this) |
Transform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Transform as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Transform as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ColumnGap(ref this) |
RowGap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MarkerEnd(ref this) |
MarkerMid(ref this) |
MarkerStart(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::url::UrlOrNone as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                ContainIntrinsicHeight(ref this) |
ContainIntrinsicWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                GridColumnEnd(ref this) |
GridColumnStart(ref this) |
GridRowEnd(ref this) |
GridRowStart(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridLine as ToComputedValue>::ComputedValue>);
                    let value = animate_discrete(this, &other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::GridLine as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MaxHeight(ref this) |
MaxWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Cx(ref this) |
Cy(ref this) |
OffsetDistance(ref this) |
TextIndent(ref this) |
X(ref this) |
Y(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderBottomLeftRadius(ref this) |
BorderBottomRightRadius(ref this) |
BorderTopLeftRadius(ref this) |
BorderTopRightRadius(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Height(ref this) |
MinHeight(ref this) |
MinWidth(ref this) |
Width(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BorderBottomWidth(ref this) |
BorderLeftWidth(ref this) |
BorderRightWidth(ref this) |
BorderTopWidth(ref this) |
ColumnRuleWidth(ref this) |
OutlineWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                PaddingBottom(ref this) |
PaddingLeft(ref this) |
PaddingRight(ref this) |
PaddingTop(ref this) |
R(ref this) |
ShapeMargin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Rx(ref this) |
Ry(ref this) |
ScrollPaddingBottom(ref this) |
ScrollPaddingLeft(ref this) |
ScrollPaddingRight(ref this) |
ScrollPaddingTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                MozWindowInputRegionMargin(ref this) |
OutlineOffset(ref this) |
OverflowClipMargin(ref this) |
ScrollMarginBottom(ref this) |
ScrollMarginLeft(ref this) |
ScrollMarginRight(ref this) |
ScrollMarginTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Length as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::Length as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Bottom(ref this) |
Left(ref this) |
MarginBottom(ref this) |
MarginLeft(ref this) |
MarginRight(ref this) |
MarginTop(ref this) |
Right(ref this) |
TextUnderlineOffset(ref this) |
Top(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                BackgroundColor(ref this) |
BorderBottomColor(ref this) |
BorderLeftColor(ref this) |
BorderRightColor(ref this) |
BorderTopColor(ref this) |
ColumnRuleColor(ref this) |
FloodColor(ref this) |
LightingColor(ref this) |
OutlineColor(ref this) |
StopColor(ref this) |
TextDecorationColor(ref this) |
TextEmphasisColor(ref this) |
WebkitTextFillColor(ref this) |
WebkitTextStrokeColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);
                    let value = this.animate(&other_repr.value, procedure)?;

                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>,
                        AnimationValueVariantRepr {
                            tag: this_tag,
                            value,
                        },
                    );
                    out.assume_init()
                }
                Contain(void) |
ContainerType(void) |
ContentVisibility(void) |
Direction(void) |
MathDepth(void) |
MathStyle(void) |
MozBoxCollapse(void) |
MozControlCharacterVisibility(void) |
MozMathVariant(void) |
MozMinFontSizeRatio(void) |
MozScriptMinSize(void) |
MozScriptSizeMultiplier(void) |
MozTopLayer(void) |
PageOrientation(void) |
TextCombineUpright(void) |
TextOrientation(void) |
UnicodeBidi(void) |
WritingMode(void) |
XTextScale(void) |
MozDefaultAppearance(void) |
XSpan(void) |
OverflowBlock(void) |
OverflowInline(void) |
OverscrollBehaviorBlock(void) |
OverscrollBehaviorInline(void) |
BorderBlockEndStyle(void) |
BorderBlockStartStyle(void) |
BorderInlineEndStyle(void) |
BorderInlineStartStyle(void) |
AnimationComposition(void) |
AnimationDelay(void) |
AnimationDirection(void) |
AnimationDuration(void) |
AnimationFillMode(void) |
AnimationIterationCount(void) |
AnimationName(void) |
AnimationPlayState(void) |
AnimationTimeline(void) |
AnimationTimingFunction(void) |
ContainerName(void) |
MozContextProperties(void) |
MozFontSmoothingBackgroundColor(void) |
ScrollTimelineAxis(void) |
ScrollTimelineName(void) |
Size(void) |
TransitionDelay(void) |
TransitionDuration(void) |
TransitionProperty(void) |
TransitionTimingFunction(void) |
ViewTimelineAxis(void) |
ViewTimelineInset(void) |
ViewTimelineName(void) |
WillChange(void) |
XLang(void) |
ContainIntrinsicBlockSize(void) |
ContainIntrinsicInlineSize(void) |
MaxBlockSize(void) |
MaxInlineSize(void) |
BorderEndEndRadius(void) |
BorderEndStartRadius(void) |
BorderStartEndRadius(void) |
BorderStartStartRadius(void) |
BlockSize(void) |
InlineSize(void) |
MinBlockSize(void) |
MinInlineSize(void) |
BorderBlockEndWidth(void) |
BorderBlockStartWidth(void) |
BorderInlineEndWidth(void) |
BorderInlineStartWidth(void) |
PaddingBlockEnd(void) |
PaddingBlockStart(void) |
PaddingInlineEnd(void) |
PaddingInlineStart(void) |
ScrollPaddingBlockEnd(void) |
ScrollPaddingBlockStart(void) |
ScrollPaddingInlineEnd(void) |
ScrollPaddingInlineStart(void) |
ScrollMarginBlockEnd(void) |
ScrollMarginBlockStart(void) |
ScrollMarginInlineEnd(void) |
ScrollMarginInlineStart(void) |
InsetBlockEnd(void) |
InsetBlockStart(void) |
InsetInlineEnd(void) |
InsetInlineStart(void) |
MarginBlockEnd(void) |
MarginBlockStart(void) |
MarginInlineEnd(void) |
MarginInlineStart(void) |
BorderBlockEndColor(void) |
BorderBlockStartColor(void) |
BorderInlineEndColor(void) |
BorderInlineStartColor(void) => {
                    void::unreachable(void)
                }
            }
        })
    }
}



impl ComputeSquaredDistance for AnimationValue {
    fn compute_squared_distance(&self, other: &Self) -> Result<SquaredDistance, ()> {
        unsafe {
            use self::AnimationValue::*;

            let this_tag = *(self as *const _ as *const u16);
            let other_tag = *(other as *const _ as *const u16);
            if this_tag != other_tag {
                panic!("Unexpected AnimationValue::compute_squared_distance call");
            }

            match *self {
                AspectRatio(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::AspectRatio as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ColumnCount(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColumnCount as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FontSizeAdjust(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontSizeAdjust as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FontStretch(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontStretch as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FontStyle(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontStyle as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FontWeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontWeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                OffsetRotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetRotate as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Visibility(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::visibility::SpecifiedValue as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                WebkitLineClamp(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LineClamp as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ZIndex(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ZIndex as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FillOpacity(ref this) |
StrokeOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGOpacity as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Order(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Integer as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FlexGrow(ref this) |
FlexShrink(ref this) |
MozBoxFlex(ref this) |
StrokeMiterlimit(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FloodOpacity(ref this) |
MozWindowOpacity(ref this) |
Opacity(ref this) |
ShapeImageThreshold(ref this) |
StopOpacity(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Opacity as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                AccentColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColorOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BackdropFilter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::backdrop_filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BackgroundPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BackgroundPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::background_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BackgroundSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::background_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BorderImageOutset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumberRect as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BorderImageSlice(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderImageSlice as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BorderImageWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderImageWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BorderSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderSpacing as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BoxShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::box_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                CaretColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::color::CaretColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Clip(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::ClipRectOrAuto as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ClipPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ClipPath as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Color(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ColorPropertyValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ColumnWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                D(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::DProperty as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Filter(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::filter::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FlexBasis(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FlexBasis as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FontSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::FontSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                FontVariationSettings(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::FontVariationSettings as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                LetterSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LetterSpacing as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                LineHeight(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::LineHeight as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MaskPositionX(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_position_x::SpecifiedValue as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MaskPositionY(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<longhands::mask_position_y::SpecifiedValue as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MaskSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::mask_size::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                OffsetAnchor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::PositionOrAuto as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                OffsetPath(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetPath as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                OffsetPosition(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::OffsetPosition as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Perspective(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Perspective as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Rotate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Rotate as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Scale(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Scale as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ScrollbarColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ui::ScrollbarColor as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ShapeOutside(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::basic_shape::ShapeOutside as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                StrokeDasharray(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGStrokeDashArray as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                StrokeDashoffset(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::SVGLength as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                StrokeWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                TabSize(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthOrNumber as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                TextDecorationThickness(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TextDecorationLength as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                TextShadow(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<longhands::text_shadow::SpecifiedValue as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Translate(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Translate as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                VerticalAlign(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::VerticalAlign as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                WordSpacing(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::WordSpacing as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ObjectPosition(ref this) |
PerspectiveOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Position as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Fill(ref this) |
Stroke(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::SVGPaint as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MozWindowTransformOrigin(ref this) |
TransformOrigin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::TransformOrigin as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                GridTemplateColumns(ref this) |
GridTemplateRows(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::GridTemplateComponent as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MozWindowTransform(ref this) |
Transform(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Transform as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ColumnGap(ref this) |
RowGap(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::length::NonNegativeLengthPercentageOrNormal as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                ContainIntrinsicHeight(ref this) |
ContainIntrinsicWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::ContainIntrinsicSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MaxHeight(ref this) |
MaxWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::MaxSize as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Cx(ref this) |
Cy(ref this) |
OffsetDistance(ref this) |
TextIndent(ref this) |
X(ref this) |
Y(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LengthPercentage as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BorderBottomLeftRadius(ref this) |
BorderBottomRightRadius(ref this) |
BorderTopLeftRadius(ref this) |
BorderTopRightRadius(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderCornerRadius as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Height(ref this) |
MinHeight(ref this) |
MinWidth(ref this) |
Width(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Size as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BorderBottomWidth(ref this) |
BorderLeftWidth(ref this) |
BorderRightWidth(ref this) |
BorderTopWidth(ref this) |
ColumnRuleWidth(ref this) |
OutlineWidth(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::BorderSideWidth as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                PaddingBottom(ref this) |
PaddingLeft(ref this) |
PaddingRight(ref this) |
PaddingTop(ref this) |
R(ref this) |
ShapeMargin(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentage as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Rx(ref this) |
Ry(ref this) |
ScrollPaddingBottom(ref this) |
ScrollPaddingLeft(ref this) |
ScrollPaddingRight(ref this) |
ScrollPaddingTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::NonNegativeLengthPercentageOrAuto as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                MozWindowInputRegionMargin(ref this) |
OutlineOffset(ref this) |
OverflowClipMargin(ref this) |
ScrollMarginBottom(ref this) |
ScrollMarginLeft(ref this) |
ScrollMarginRight(ref this) |
ScrollMarginTop(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::Length as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                Bottom(ref this) |
Left(ref this) |
MarginBottom(ref this) |
MarginLeft(ref this) |
MarginRight(ref this) |
MarginTop(ref this) |
Right(ref this) |
TextUnderlineOffset(ref this) |
Top(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<crate::values::specified::LengthPercentageOrAuto as ToComputedValue>::ComputedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                BackgroundColor(ref this) |
BorderBottomColor(ref this) |
BorderLeftColor(ref this) |
BorderRightColor(ref this) |
BorderTopColor(ref this) |
ColumnRuleColor(ref this) |
FloodColor(ref this) |
LightingColor(ref this) |
OutlineColor(ref this) |
StopColor(ref this) |
TextDecorationColor(ref this) |
TextEmphasisColor(ref this) |
WebkitTextFillColor(ref this) |
WebkitTextStrokeColor(ref this) => {
                    let other_repr =
                        &*(other as *const _ as *const AnimationValueVariantRepr<<<crate::values::specified::Color as ToComputedValue>::ComputedValue as ToAnimatedValue>::AnimatedValue>);

                    this.compute_squared_distance(&other_repr.value)
                }
                _ => Err(()),
            }
        }
    }
}

impl ToAnimatedZero for AnimationValue {
    #[inline]
    fn to_animated_zero(&self) -> Result<Self, ()> {
        match *self {
            AnimationValue::AspectRatio(ref base) => {
                Ok(AnimationValue::AspectRatio(base.to_animated_zero()?))
            },
            AnimationValue::ColumnCount(ref base) => {
                Ok(AnimationValue::ColumnCount(base.to_animated_zero()?))
            },
            AnimationValue::FontSizeAdjust(ref base) => {
                Ok(AnimationValue::FontSizeAdjust(base.to_animated_zero()?))
            },
            AnimationValue::FontStretch(ref base) => {
                Ok(AnimationValue::FontStretch(base.to_animated_zero()?))
            },
            AnimationValue::FontStyle(ref base) => {
                Ok(AnimationValue::FontStyle(base.to_animated_zero()?))
            },
            AnimationValue::FontWeight(ref base) => {
                Ok(AnimationValue::FontWeight(base.to_animated_zero()?))
            },
            AnimationValue::OffsetRotate(ref base) => {
                Ok(AnimationValue::OffsetRotate(base.to_animated_zero()?))
            },
            AnimationValue::Visibility(ref base) => {
                Ok(AnimationValue::Visibility(base.to_animated_zero()?))
            },
            AnimationValue::WebkitLineClamp(ref base) => {
                Ok(AnimationValue::WebkitLineClamp(base.to_animated_zero()?))
            },
            AnimationValue::ZIndex(ref base) => {
                Ok(AnimationValue::ZIndex(base.to_animated_zero()?))
            },
            AnimationValue::FillOpacity(ref base) => {
                Ok(AnimationValue::FillOpacity(base.to_animated_zero()?))
            },
            AnimationValue::StrokeOpacity(ref base) => {
                Ok(AnimationValue::StrokeOpacity(base.to_animated_zero()?))
            },
            AnimationValue::Order(ref base) => {
                Ok(AnimationValue::Order(base.to_animated_zero()?))
            },
            AnimationValue::FlexGrow(ref base) => {
                Ok(AnimationValue::FlexGrow(base.to_animated_zero()?))
            },
            AnimationValue::FlexShrink(ref base) => {
                Ok(AnimationValue::FlexShrink(base.to_animated_zero()?))
            },
            AnimationValue::MozBoxFlex(ref base) => {
                Ok(AnimationValue::MozBoxFlex(base.to_animated_zero()?))
            },
            AnimationValue::StrokeMiterlimit(ref base) => {
                Ok(AnimationValue::StrokeMiterlimit(base.to_animated_zero()?))
            },
            AnimationValue::FloodOpacity(ref base) => {
                Ok(AnimationValue::FloodOpacity(base.to_animated_zero()?))
            },
            AnimationValue::MozWindowOpacity(ref base) => {
                Ok(AnimationValue::MozWindowOpacity(base.to_animated_zero()?))
            },
            AnimationValue::Opacity(ref base) => {
                Ok(AnimationValue::Opacity(base.to_animated_zero()?))
            },
            AnimationValue::ShapeImageThreshold(ref base) => {
                Ok(AnimationValue::ShapeImageThreshold(base.to_animated_zero()?))
            },
            AnimationValue::StopOpacity(ref base) => {
                Ok(AnimationValue::StopOpacity(base.to_animated_zero()?))
            },
            AnimationValue::AccentColor(ref base) => {
                Ok(AnimationValue::AccentColor(base.to_animated_zero()?))
            },
            AnimationValue::BackdropFilter(ref base) => {
                Ok(AnimationValue::BackdropFilter(base.to_animated_zero()?))
            },
            AnimationValue::BackgroundPositionX(ref base) => {
                Ok(AnimationValue::BackgroundPositionX(base.to_animated_zero()?))
            },
            AnimationValue::BackgroundPositionY(ref base) => {
                Ok(AnimationValue::BackgroundPositionY(base.to_animated_zero()?))
            },
            AnimationValue::BackgroundSize(ref base) => {
                Ok(AnimationValue::BackgroundSize(base.to_animated_zero()?))
            },
            AnimationValue::BorderImageOutset(ref base) => {
                Ok(AnimationValue::BorderImageOutset(base.to_animated_zero()?))
            },
            AnimationValue::BorderImageSlice(ref base) => {
                Ok(AnimationValue::BorderImageSlice(base.to_animated_zero()?))
            },
            AnimationValue::BorderImageWidth(ref base) => {
                Ok(AnimationValue::BorderImageWidth(base.to_animated_zero()?))
            },
            AnimationValue::BorderSpacing(ref base) => {
                Ok(AnimationValue::BorderSpacing(base.to_animated_zero()?))
            },
            AnimationValue::BoxShadow(ref base) => {
                Ok(AnimationValue::BoxShadow(base.to_animated_zero()?))
            },
            AnimationValue::CaretColor(ref base) => {
                Ok(AnimationValue::CaretColor(base.to_animated_zero()?))
            },
            AnimationValue::Clip(ref base) => {
                Ok(AnimationValue::Clip(base.to_animated_zero()?))
            },
            AnimationValue::ClipPath(ref base) => {
                Ok(AnimationValue::ClipPath(base.to_animated_zero()?))
            },
            AnimationValue::Color(ref base) => {
                Ok(AnimationValue::Color(base.to_animated_zero()?))
            },
            AnimationValue::ColumnWidth(ref base) => {
                Ok(AnimationValue::ColumnWidth(base.to_animated_zero()?))
            },
            AnimationValue::D(ref base) => {
                Ok(AnimationValue::D(base.to_animated_zero()?))
            },
            AnimationValue::Filter(ref base) => {
                Ok(AnimationValue::Filter(base.to_animated_zero()?))
            },
            AnimationValue::FlexBasis(ref base) => {
                Ok(AnimationValue::FlexBasis(base.to_animated_zero()?))
            },
            AnimationValue::FontSize(ref base) => {
                Ok(AnimationValue::FontSize(base.to_animated_zero()?))
            },
            AnimationValue::FontVariationSettings(ref base) => {
                Ok(AnimationValue::FontVariationSettings(base.to_animated_zero()?))
            },
            AnimationValue::LetterSpacing(ref base) => {
                Ok(AnimationValue::LetterSpacing(base.to_animated_zero()?))
            },
            AnimationValue::LineHeight(ref base) => {
                Ok(AnimationValue::LineHeight(base.to_animated_zero()?))
            },
            AnimationValue::MaskPositionX(ref base) => {
                Ok(AnimationValue::MaskPositionX(base.to_animated_zero()?))
            },
            AnimationValue::MaskPositionY(ref base) => {
                Ok(AnimationValue::MaskPositionY(base.to_animated_zero()?))
            },
            AnimationValue::MaskSize(ref base) => {
                Ok(AnimationValue::MaskSize(base.to_animated_zero()?))
            },
            AnimationValue::OffsetAnchor(ref base) => {
                Ok(AnimationValue::OffsetAnchor(base.to_animated_zero()?))
            },
            AnimationValue::OffsetPath(ref base) => {
                Ok(AnimationValue::OffsetPath(base.to_animated_zero()?))
            },
            AnimationValue::OffsetPosition(ref base) => {
                Ok(AnimationValue::OffsetPosition(base.to_animated_zero()?))
            },
            AnimationValue::Perspective(ref base) => {
                Ok(AnimationValue::Perspective(base.to_animated_zero()?))
            },
            AnimationValue::Rotate(ref base) => {
                Ok(AnimationValue::Rotate(base.to_animated_zero()?))
            },
            AnimationValue::Scale(ref base) => {
                Ok(AnimationValue::Scale(base.to_animated_zero()?))
            },
            AnimationValue::ScrollbarColor(ref base) => {
                Ok(AnimationValue::ScrollbarColor(base.to_animated_zero()?))
            },
            AnimationValue::ShapeOutside(ref base) => {
                Ok(AnimationValue::ShapeOutside(base.to_animated_zero()?))
            },
            AnimationValue::StrokeDasharray(ref base) => {
                Ok(AnimationValue::StrokeDasharray(base.to_animated_zero()?))
            },
            AnimationValue::StrokeDashoffset(ref base) => {
                Ok(AnimationValue::StrokeDashoffset(base.to_animated_zero()?))
            },
            AnimationValue::StrokeWidth(ref base) => {
                Ok(AnimationValue::StrokeWidth(base.to_animated_zero()?))
            },
            AnimationValue::TabSize(ref base) => {
                Ok(AnimationValue::TabSize(base.to_animated_zero()?))
            },
            AnimationValue::TextDecorationThickness(ref base) => {
                Ok(AnimationValue::TextDecorationThickness(base.to_animated_zero()?))
            },
            AnimationValue::TextShadow(ref base) => {
                Ok(AnimationValue::TextShadow(base.to_animated_zero()?))
            },
            AnimationValue::Translate(ref base) => {
                Ok(AnimationValue::Translate(base.to_animated_zero()?))
            },
            AnimationValue::VerticalAlign(ref base) => {
                Ok(AnimationValue::VerticalAlign(base.to_animated_zero()?))
            },
            AnimationValue::WordSpacing(ref base) => {
                Ok(AnimationValue::WordSpacing(base.to_animated_zero()?))
            },
            AnimationValue::ObjectPosition(ref base) => {
                Ok(AnimationValue::ObjectPosition(base.to_animated_zero()?))
            },
            AnimationValue::PerspectiveOrigin(ref base) => {
                Ok(AnimationValue::PerspectiveOrigin(base.to_animated_zero()?))
            },
            AnimationValue::Fill(ref base) => {
                Ok(AnimationValue::Fill(base.to_animated_zero()?))
            },
            AnimationValue::Stroke(ref base) => {
                Ok(AnimationValue::Stroke(base.to_animated_zero()?))
            },
            AnimationValue::MozWindowTransformOrigin(ref base) => {
                Ok(AnimationValue::MozWindowTransformOrigin(base.to_animated_zero()?))
            },
            AnimationValue::TransformOrigin(ref base) => {
                Ok(AnimationValue::TransformOrigin(base.to_animated_zero()?))
            },
            AnimationValue::GridTemplateColumns(ref base) => {
                Ok(AnimationValue::GridTemplateColumns(base.to_animated_zero()?))
            },
            AnimationValue::GridTemplateRows(ref base) => {
                Ok(AnimationValue::GridTemplateRows(base.to_animated_zero()?))
            },
            AnimationValue::MozWindowTransform(ref base) => {
                Ok(AnimationValue::MozWindowTransform(base.to_animated_zero()?))
            },
            AnimationValue::Transform(ref base) => {
                Ok(AnimationValue::Transform(base.to_animated_zero()?))
            },
            AnimationValue::ColumnGap(ref base) => {
                Ok(AnimationValue::ColumnGap(base.to_animated_zero()?))
            },
            AnimationValue::RowGap(ref base) => {
                Ok(AnimationValue::RowGap(base.to_animated_zero()?))
            },
            AnimationValue::ContainIntrinsicHeight(ref base) => {
                Ok(AnimationValue::ContainIntrinsicHeight(base.to_animated_zero()?))
            },
            AnimationValue::ContainIntrinsicWidth(ref base) => {
                Ok(AnimationValue::ContainIntrinsicWidth(base.to_animated_zero()?))
            },
            AnimationValue::MaxHeight(ref base) => {
                Ok(AnimationValue::MaxHeight(base.to_animated_zero()?))
            },
            AnimationValue::MaxWidth(ref base) => {
                Ok(AnimationValue::MaxWidth(base.to_animated_zero()?))
            },
            AnimationValue::Cx(ref base) => {
                Ok(AnimationValue::Cx(base.to_animated_zero()?))
            },
            AnimationValue::Cy(ref base) => {
                Ok(AnimationValue::Cy(base.to_animated_zero()?))
            },
            AnimationValue::OffsetDistance(ref base) => {
                Ok(AnimationValue::OffsetDistance(base.to_animated_zero()?))
            },
            AnimationValue::TextIndent(ref base) => {
                Ok(AnimationValue::TextIndent(base.to_animated_zero()?))
            },
            AnimationValue::X(ref base) => {
                Ok(AnimationValue::X(base.to_animated_zero()?))
            },
            AnimationValue::Y(ref base) => {
                Ok(AnimationValue::Y(base.to_animated_zero()?))
            },
            AnimationValue::BorderBottomLeftRadius(ref base) => {
                Ok(AnimationValue::BorderBottomLeftRadius(base.to_animated_zero()?))
            },
            AnimationValue::BorderBottomRightRadius(ref base) => {
                Ok(AnimationValue::BorderBottomRightRadius(base.to_animated_zero()?))
            },
            AnimationValue::BorderTopLeftRadius(ref base) => {
                Ok(AnimationValue::BorderTopLeftRadius(base.to_animated_zero()?))
            },
            AnimationValue::BorderTopRightRadius(ref base) => {
                Ok(AnimationValue::BorderTopRightRadius(base.to_animated_zero()?))
            },
            AnimationValue::Height(ref base) => {
                Ok(AnimationValue::Height(base.to_animated_zero()?))
            },
            AnimationValue::MinHeight(ref base) => {
                Ok(AnimationValue::MinHeight(base.to_animated_zero()?))
            },
            AnimationValue::MinWidth(ref base) => {
                Ok(AnimationValue::MinWidth(base.to_animated_zero()?))
            },
            AnimationValue::Width(ref base) => {
                Ok(AnimationValue::Width(base.to_animated_zero()?))
            },
            AnimationValue::BorderBottomWidth(ref base) => {
                Ok(AnimationValue::BorderBottomWidth(base.to_animated_zero()?))
            },
            AnimationValue::BorderLeftWidth(ref base) => {
                Ok(AnimationValue::BorderLeftWidth(base.to_animated_zero()?))
            },
            AnimationValue::BorderRightWidth(ref base) => {
                Ok(AnimationValue::BorderRightWidth(base.to_animated_zero()?))
            },
            AnimationValue::BorderTopWidth(ref base) => {
                Ok(AnimationValue::BorderTopWidth(base.to_animated_zero()?))
            },
            AnimationValue::ColumnRuleWidth(ref base) => {
                Ok(AnimationValue::ColumnRuleWidth(base.to_animated_zero()?))
            },
            AnimationValue::OutlineWidth(ref base) => {
                Ok(AnimationValue::OutlineWidth(base.to_animated_zero()?))
            },
            AnimationValue::PaddingBottom(ref base) => {
                Ok(AnimationValue::PaddingBottom(base.to_animated_zero()?))
            },
            AnimationValue::PaddingLeft(ref base) => {
                Ok(AnimationValue::PaddingLeft(base.to_animated_zero()?))
            },
            AnimationValue::PaddingRight(ref base) => {
                Ok(AnimationValue::PaddingRight(base.to_animated_zero()?))
            },
            AnimationValue::PaddingTop(ref base) => {
                Ok(AnimationValue::PaddingTop(base.to_animated_zero()?))
            },
            AnimationValue::R(ref base) => {
                Ok(AnimationValue::R(base.to_animated_zero()?))
            },
            AnimationValue::ShapeMargin(ref base) => {
                Ok(AnimationValue::ShapeMargin(base.to_animated_zero()?))
            },
            AnimationValue::Rx(ref base) => {
                Ok(AnimationValue::Rx(base.to_animated_zero()?))
            },
            AnimationValue::Ry(ref base) => {
                Ok(AnimationValue::Ry(base.to_animated_zero()?))
            },
            AnimationValue::ScrollPaddingBottom(ref base) => {
                Ok(AnimationValue::ScrollPaddingBottom(base.to_animated_zero()?))
            },
            AnimationValue::ScrollPaddingLeft(ref base) => {
                Ok(AnimationValue::ScrollPaddingLeft(base.to_animated_zero()?))
            },
            AnimationValue::ScrollPaddingRight(ref base) => {
                Ok(AnimationValue::ScrollPaddingRight(base.to_animated_zero()?))
            },
            AnimationValue::ScrollPaddingTop(ref base) => {
                Ok(AnimationValue::ScrollPaddingTop(base.to_animated_zero()?))
            },
            AnimationValue::MozWindowInputRegionMargin(ref base) => {
                Ok(AnimationValue::MozWindowInputRegionMargin(base.to_animated_zero()?))
            },
            AnimationValue::OutlineOffset(ref base) => {
                Ok(AnimationValue::OutlineOffset(base.to_animated_zero()?))
            },
            AnimationValue::OverflowClipMargin(ref base) => {
                Ok(AnimationValue::OverflowClipMargin(base.to_animated_zero()?))
            },
            AnimationValue::ScrollMarginBottom(ref base) => {
                Ok(AnimationValue::ScrollMarginBottom(base.to_animated_zero()?))
            },
            AnimationValue::ScrollMarginLeft(ref base) => {
                Ok(AnimationValue::ScrollMarginLeft(base.to_animated_zero()?))
            },
            AnimationValue::ScrollMarginRight(ref base) => {
                Ok(AnimationValue::ScrollMarginRight(base.to_animated_zero()?))
            },
            AnimationValue::ScrollMarginTop(ref base) => {
                Ok(AnimationValue::ScrollMarginTop(base.to_animated_zero()?))
            },
            AnimationValue::Bottom(ref base) => {
                Ok(AnimationValue::Bottom(base.to_animated_zero()?))
            },
            AnimationValue::Left(ref base) => {
                Ok(AnimationValue::Left(base.to_animated_zero()?))
            },
            AnimationValue::MarginBottom(ref base) => {
                Ok(AnimationValue::MarginBottom(base.to_animated_zero()?))
            },
            AnimationValue::MarginLeft(ref base) => {
                Ok(AnimationValue::MarginLeft(base.to_animated_zero()?))
            },
            AnimationValue::MarginRight(ref base) => {
                Ok(AnimationValue::MarginRight(base.to_animated_zero()?))
            },
            AnimationValue::MarginTop(ref base) => {
                Ok(AnimationValue::MarginTop(base.to_animated_zero()?))
            },
            AnimationValue::Right(ref base) => {
                Ok(AnimationValue::Right(base.to_animated_zero()?))
            },
            AnimationValue::TextUnderlineOffset(ref base) => {
                Ok(AnimationValue::TextUnderlineOffset(base.to_animated_zero()?))
            },
            AnimationValue::Top(ref base) => {
                Ok(AnimationValue::Top(base.to_animated_zero()?))
            },
            AnimationValue::BackgroundColor(ref base) => {
                Ok(AnimationValue::BackgroundColor(base.to_animated_zero()?))
            },
            AnimationValue::BorderBottomColor(ref base) => {
                Ok(AnimationValue::BorderBottomColor(base.to_animated_zero()?))
            },
            AnimationValue::BorderLeftColor(ref base) => {
                Ok(AnimationValue::BorderLeftColor(base.to_animated_zero()?))
            },
            AnimationValue::BorderRightColor(ref base) => {
                Ok(AnimationValue::BorderRightColor(base.to_animated_zero()?))
            },
            AnimationValue::BorderTopColor(ref base) => {
                Ok(AnimationValue::BorderTopColor(base.to_animated_zero()?))
            },
            AnimationValue::ColumnRuleColor(ref base) => {
                Ok(AnimationValue::ColumnRuleColor(base.to_animated_zero()?))
            },
            AnimationValue::FloodColor(ref base) => {
                Ok(AnimationValue::FloodColor(base.to_animated_zero()?))
            },
            AnimationValue::LightingColor(ref base) => {
                Ok(AnimationValue::LightingColor(base.to_animated_zero()?))
            },
            AnimationValue::OutlineColor(ref base) => {
                Ok(AnimationValue::OutlineColor(base.to_animated_zero()?))
            },
            AnimationValue::StopColor(ref base) => {
                Ok(AnimationValue::StopColor(base.to_animated_zero()?))
            },
            AnimationValue::TextDecorationColor(ref base) => {
                Ok(AnimationValue::TextDecorationColor(base.to_animated_zero()?))
            },
            AnimationValue::TextEmphasisColor(ref base) => {
                Ok(AnimationValue::TextEmphasisColor(base.to_animated_zero()?))
            },
            AnimationValue::WebkitTextFillColor(ref base) => {
                Ok(AnimationValue::WebkitTextFillColor(base.to_animated_zero()?))
            },
            AnimationValue::WebkitTextStrokeColor(ref base) => {
                Ok(AnimationValue::WebkitTextStrokeColor(base.to_animated_zero()?))
            },
            _ => Err(()),
        }
    }
}

/// <https://drafts.csswg.org/web-animations-1/#animating-visibility>
impl Animate for Visibility {
    #[inline]
    fn animate(&self, other: &Self, procedure: Procedure) -> Result<Self, ()> {
        match procedure {
            Procedure::Interpolate { .. } => {
                let (this_weight, other_weight) = procedure.weights();
                match (*self, *other) {
                    (Visibility::Visible, _) => {
                        Ok(if this_weight > 0.0 { *self } else { *other })
                    },
                    (_, Visibility::Visible) => {
                        Ok(if other_weight > 0.0 { *other } else { *self })
                    },
                    _ => Err(()),
                }
            },
            _ => Err(()),
        }
    }
}

impl ComputeSquaredDistance for Visibility {
    #[inline]
    fn compute_squared_distance(&self, other: &Self) -> Result<SquaredDistance, ()> {
        Ok(SquaredDistance::from_sqrt(if *self == *other { 0. } else { 1. }))
    }
}

impl ToAnimatedZero for Visibility {
    #[inline]
    fn to_animated_zero(&self) -> Result<Self, ()> {
        Err(())
    }
}

/// <https://drafts.csswg.org/css-transitions/#animtype-rect>
impl Animate for ClipRect {
    #[inline]
    fn animate(&self, other: &Self, procedure: Procedure) -> Result<Self, ()> {
        use crate::values::computed::LengthOrAuto;
        let animate_component = |this: &LengthOrAuto, other: &LengthOrAuto| {
            let result = this.animate(other, procedure)?;
            if let Procedure::Interpolate { .. } = procedure {
                return Ok(result);
            }
            if result.is_auto() {
                // FIXME(emilio): Why? A couple SMIL tests fail without this,
                // but it seems extremely fishy.
                return Err(());
            }
            Ok(result)
        };

        Ok(ClipRect {
            top: animate_component(&self.top, &other.top)?,
            right: animate_component(&self.right, &other.right)?,
            bottom: animate_component(&self.bottom, &other.bottom)?,
            left: animate_component(&self.left, &other.left)?,
        })
    }
}



/// <https://drafts.fxtf.org/filters/#animation-of-filters>
impl Animate for AnimatedFilter {
    fn animate(
        &self,
        other: &Self,
        procedure: Procedure,
    ) -> Result<Self, ()> {
        use crate::values::animated::animate_multiplicative_factor;
        match (self, other) {
            (&Filter::Blur(ref this), &Filter::Blur(ref other)) => {
                Ok(Filter::Blur(this.animate(other, procedure)?))
            },
            (&Filter::Grayscale(ref this), &Filter::Grayscale(ref other)) => {
                Ok(Filter::Grayscale(this.animate(other, procedure)?))
            },
            (&Filter::HueRotate(ref this), &Filter::HueRotate(ref other)) => {
                Ok(Filter::HueRotate(this.animate(other, procedure)?))
            },
            (&Filter::Invert(ref this), &Filter::Invert(ref other)) => {
                Ok(Filter::Invert(this.animate(other, procedure)?))
            },
            (&Filter::Sepia(ref this), &Filter::Sepia(ref other)) => {
                Ok(Filter::Sepia(this.animate(other, procedure)?))
            },
            (&Filter::Brightness(this), &Filter::Brightness(other)) => {
                Ok(Filter::Brightness(animate_multiplicative_factor(this, other, procedure)?))
            },
            (&Filter::Contrast(this), &Filter::Contrast(other)) => {
                Ok(Filter::Contrast(animate_multiplicative_factor(this, other, procedure)?))
            },
            (&Filter::Opacity(this), &Filter::Opacity(other)) => {
                Ok(Filter::Opacity(animate_multiplicative_factor(this, other, procedure)?))
            },
            (&Filter::Saturate(this), &Filter::Saturate(other)) => {
                Ok(Filter::Saturate(animate_multiplicative_factor(this, other, procedure)?))
            },
            (&Filter::DropShadow(ref this), &Filter::DropShadow(ref other)) => {
                Ok(Filter::DropShadow(this.animate(other, procedure)?))
            },
            _ => Err(()),
        }
    }
}

/// <http://dev.w3.org/csswg/css-transforms/#none-transform-animation>
impl ToAnimatedZero for AnimatedFilter {
    fn to_animated_zero(&self) -> Result<Self, ()> {
        match *self {
            Filter::Blur(ref this) => Ok(Filter::Blur(this.to_animated_zero()?)),
            Filter::Grayscale(ref this) => Ok(Filter::Grayscale(this.to_animated_zero()?)),
            Filter::HueRotate(ref this) => Ok(Filter::HueRotate(this.to_animated_zero()?)),
            Filter::Invert(ref this) => Ok(Filter::Invert(this.to_animated_zero()?)),
            Filter::Sepia(ref this) => Ok(Filter::Sepia(this.to_animated_zero()?)),
            Filter::Brightness(_) => Ok(Filter::Brightness(1.)),
            Filter::Contrast(_) => Ok(Filter::Contrast(1.)),
            Filter::Opacity(_) => Ok(Filter::Opacity(1.)),
            Filter::Saturate(_) => Ok(Filter::Saturate(1.)),
            Filter::DropShadow(ref this) => Ok(Filter::DropShadow(this.to_animated_zero()?)),
            _ => Err(()),
        }
    }
}

/// An iterator over all the properties that transition on a given style.
pub struct TransitionPropertyIterator<'a> {
    style: &'a ComputedValues,
    index_range: core::ops::Range<usize>,
    longhand_iterator: Option<NonCustomPropertyIterator<LonghandId>>,
}

impl<'a> TransitionPropertyIterator<'a> {
    /// Create a `TransitionPropertyIterator` for the given style.
    pub fn from_style(style: &'a ComputedValues) -> Self {
        Self {
            style,
            index_range: 0..style.get_ui().transition_property_count(),
            longhand_iterator: None,
        }
    }
}

/// A single iteration of the TransitionPropertyIterator.
pub struct TransitionPropertyIteration {
    /// The id of the longhand for this property.
    pub longhand_id: LonghandId,

    /// The index of this property in the list of transition properties for this
    /// iterator's style.
    pub index: usize,
}

impl<'a> Iterator for TransitionPropertyIterator<'a> {
    type Item = TransitionPropertyIteration;

    fn next(&mut self) -> Option<Self::Item> {
        use crate::values::computed::TransitionProperty;
        loop {
            if let Some(ref mut longhand_iterator) = self.longhand_iterator {
                if let Some(longhand_id) = longhand_iterator.next() {
                    return Some(TransitionPropertyIteration {
                        longhand_id,
                        index: self.index_range.start - 1,
                    });
                }
                self.longhand_iterator = None;
            }

            let index = self.index_range.next()?;
            match self.style.get_ui().transition_property_at(index) {
                TransitionProperty::Longhand(longhand_id) => {
                    return Some(TransitionPropertyIteration {
                        longhand_id,
                        index,
                    })
                }
                // In the other cases, we set up our state so that we are ready to
                // compute the next value of the iterator and then loop (equivalent
                // to calling self.next()).
                TransitionProperty::Shorthand(ref shorthand_id) =>
                    self.longhand_iterator = Some(shorthand_id.longhands()),
                TransitionProperty::Custom(..) | TransitionProperty::Unsupported(..) => {}
            }
        }
    }
}

}

/// A longhand or shorthand property.
#[derive(Clone, Copy, Debug)]
pub struct NonCustomPropertyId(usize);

/// The length of all the non-custom properties.
pub const NON_CUSTOM_PROPERTY_ID_COUNT: usize =
    589;

/// The length of all counted unknown properties.
pub const COUNTED_UNKNOWN_PROPERTY_COUNT: usize = 104;

#[allow(dead_code)]
unsafe fn static_assert_nscsspropertyid() {
    std::mem::transmute::<[u8; 0], [u8; nsCSSPropertyID::eCSSProperty_align_content as usize]>([0; 0]); // align-content
    std::mem::transmute::<[u8; 1], [u8; nsCSSPropertyID::eCSSProperty_align_items as usize]>([0; 1]); // align-items
    std::mem::transmute::<[u8; 2], [u8; nsCSSPropertyID::eCSSProperty_align_self as usize]>([0; 2]); // align-self
    std::mem::transmute::<[u8; 3], [u8; nsCSSPropertyID::eCSSProperty_aspect_ratio as usize]>([0; 3]); // aspect-ratio
    std::mem::transmute::<[u8; 4], [u8; nsCSSPropertyID::eCSSProperty_backface_visibility as usize]>([0; 4]); // backface-visibility
    std::mem::transmute::<[u8; 5], [u8; nsCSSPropertyID::eCSSProperty_baseline_source as usize]>([0; 5]); // baseline-source
    std::mem::transmute::<[u8; 6], [u8; nsCSSPropertyID::eCSSProperty_border_collapse as usize]>([0; 6]); // border-collapse
    std::mem::transmute::<[u8; 7], [u8; nsCSSPropertyID::eCSSProperty_border_image_repeat as usize]>([0; 7]); // border-image-repeat
    std::mem::transmute::<[u8; 8], [u8; nsCSSPropertyID::eCSSProperty_box_decoration_break as usize]>([0; 8]); // box-decoration-break
    std::mem::transmute::<[u8; 9], [u8; nsCSSPropertyID::eCSSProperty_box_sizing as usize]>([0; 9]); // box-sizing
    std::mem::transmute::<[u8; 10], [u8; nsCSSPropertyID::eCSSProperty_break_inside as usize]>([0; 10]); // break-inside
    std::mem::transmute::<[u8; 11], [u8; nsCSSPropertyID::eCSSProperty_caption_side as usize]>([0; 11]); // caption-side
    std::mem::transmute::<[u8; 12], [u8; nsCSSPropertyID::eCSSProperty_clear as usize]>([0; 12]); // clear
    std::mem::transmute::<[u8; 13], [u8; nsCSSPropertyID::eCSSProperty_color_interpolation as usize]>([0; 13]); // color-interpolation
    std::mem::transmute::<[u8; 14], [u8; nsCSSPropertyID::eCSSProperty_color_interpolation_filters as usize]>([0; 14]); // color-interpolation-filters
    std::mem::transmute::<[u8; 15], [u8; nsCSSPropertyID::eCSSProperty_column_count as usize]>([0; 15]); // column-count
    std::mem::transmute::<[u8; 16], [u8; nsCSSPropertyID::eCSSProperty_column_fill as usize]>([0; 16]); // column-fill
    std::mem::transmute::<[u8; 17], [u8; nsCSSPropertyID::eCSSProperty_column_span as usize]>([0; 17]); // column-span
    std::mem::transmute::<[u8; 18], [u8; nsCSSPropertyID::eCSSProperty_contain as usize]>([0; 18]); // contain
    std::mem::transmute::<[u8; 19], [u8; nsCSSPropertyID::eCSSProperty_container_type as usize]>([0; 19]); // container-type
    std::mem::transmute::<[u8; 20], [u8; nsCSSPropertyID::eCSSProperty_content_visibility as usize]>([0; 20]); // content-visibility
    std::mem::transmute::<[u8; 21], [u8; nsCSSPropertyID::eCSSProperty_direction as usize]>([0; 21]); // direction
    std::mem::transmute::<[u8; 22], [u8; nsCSSPropertyID::eCSSProperty_display as usize]>([0; 22]); // display
    std::mem::transmute::<[u8; 23], [u8; nsCSSPropertyID::eCSSProperty_dominant_baseline as usize]>([0; 23]); // dominant-baseline
    std::mem::transmute::<[u8; 24], [u8; nsCSSPropertyID::eCSSProperty_empty_cells as usize]>([0; 24]); // empty-cells
    std::mem::transmute::<[u8; 25], [u8; nsCSSPropertyID::eCSSProperty_flex_direction as usize]>([0; 25]); // flex-direction
    std::mem::transmute::<[u8; 26], [u8; nsCSSPropertyID::eCSSProperty_flex_wrap as usize]>([0; 26]); // flex-wrap
    std::mem::transmute::<[u8; 27], [u8; nsCSSPropertyID::eCSSProperty_float as usize]>([0; 27]); // float
    std::mem::transmute::<[u8; 28], [u8; nsCSSPropertyID::eCSSProperty_font_kerning as usize]>([0; 28]); // font-kerning
    std::mem::transmute::<[u8; 29], [u8; nsCSSPropertyID::eCSSProperty_font_language_override as usize]>([0; 29]); // font-language-override
    std::mem::transmute::<[u8; 30], [u8; nsCSSPropertyID::eCSSProperty_font_optical_sizing as usize]>([0; 30]); // font-optical-sizing
    std::mem::transmute::<[u8; 31], [u8; nsCSSPropertyID::eCSSProperty_font_size_adjust as usize]>([0; 31]); // font-size-adjust
    std::mem::transmute::<[u8; 32], [u8; nsCSSPropertyID::eCSSProperty_font_stretch as usize]>([0; 32]); // font-stretch
    std::mem::transmute::<[u8; 33], [u8; nsCSSPropertyID::eCSSProperty_font_style as usize]>([0; 33]); // font-style
    std::mem::transmute::<[u8; 34], [u8; nsCSSPropertyID::eCSSProperty_font_variant_caps as usize]>([0; 34]); // font-variant-caps
    std::mem::transmute::<[u8; 35], [u8; nsCSSPropertyID::eCSSProperty_font_variant_east_asian as usize]>([0; 35]); // font-variant-east-asian
    std::mem::transmute::<[u8; 36], [u8; nsCSSPropertyID::eCSSProperty_font_variant_emoji as usize]>([0; 36]); // font-variant-emoji
    std::mem::transmute::<[u8; 37], [u8; nsCSSPropertyID::eCSSProperty_font_variant_ligatures as usize]>([0; 37]); // font-variant-ligatures
    std::mem::transmute::<[u8; 38], [u8; nsCSSPropertyID::eCSSProperty_font_variant_numeric as usize]>([0; 38]); // font-variant-numeric
    std::mem::transmute::<[u8; 39], [u8; nsCSSPropertyID::eCSSProperty_font_variant_position as usize]>([0; 39]); // font-variant-position
    std::mem::transmute::<[u8; 40], [u8; nsCSSPropertyID::eCSSProperty_font_weight as usize]>([0; 40]); // font-weight
    std::mem::transmute::<[u8; 41], [u8; nsCSSPropertyID::eCSSProperty_forced_color_adjust as usize]>([0; 41]); // forced-color-adjust
    std::mem::transmute::<[u8; 42], [u8; nsCSSPropertyID::eCSSProperty_grid_auto_flow as usize]>([0; 42]); // grid-auto-flow
    std::mem::transmute::<[u8; 43], [u8; nsCSSPropertyID::eCSSProperty_hyphens as usize]>([0; 43]); // hyphens
    std::mem::transmute::<[u8; 44], [u8; nsCSSPropertyID::eCSSProperty_image_orientation as usize]>([0; 44]); // image-orientation
    std::mem::transmute::<[u8; 45], [u8; nsCSSPropertyID::eCSSProperty_image_rendering as usize]>([0; 45]); // image-rendering
    std::mem::transmute::<[u8; 46], [u8; nsCSSPropertyID::eCSSProperty_ime_mode as usize]>([0; 46]); // ime-mode
    std::mem::transmute::<[u8; 47], [u8; nsCSSPropertyID::eCSSProperty_initial_letter as usize]>([0; 47]); // initial-letter
    std::mem::transmute::<[u8; 48], [u8; nsCSSPropertyID::eCSSProperty_isolation as usize]>([0; 48]); // isolation
    std::mem::transmute::<[u8; 49], [u8; nsCSSPropertyID::eCSSProperty_justify_content as usize]>([0; 49]); // justify-content
    std::mem::transmute::<[u8; 50], [u8; nsCSSPropertyID::eCSSProperty_justify_items as usize]>([0; 50]); // justify-items
    std::mem::transmute::<[u8; 51], [u8; nsCSSPropertyID::eCSSProperty_justify_self as usize]>([0; 51]); // justify-self
    std::mem::transmute::<[u8; 52], [u8; nsCSSPropertyID::eCSSProperty_line_break as usize]>([0; 52]); // line-break
    std::mem::transmute::<[u8; 53], [u8; nsCSSPropertyID::eCSSProperty_list_style_position as usize]>([0; 53]); // list-style-position
    std::mem::transmute::<[u8; 54], [u8; nsCSSPropertyID::eCSSProperty_mask_type as usize]>([0; 54]); // mask-type
    std::mem::transmute::<[u8; 55], [u8; nsCSSPropertyID::eCSSProperty_masonry_auto_flow as usize]>([0; 55]); // masonry-auto-flow
    std::mem::transmute::<[u8; 56], [u8; nsCSSPropertyID::eCSSProperty_math_depth as usize]>([0; 56]); // math-depth
    std::mem::transmute::<[u8; 57], [u8; nsCSSPropertyID::eCSSProperty_math_style as usize]>([0; 57]); // math-style
    std::mem::transmute::<[u8; 58], [u8; nsCSSPropertyID::eCSSProperty_mix_blend_mode as usize]>([0; 58]); // mix-blend-mode
    std::mem::transmute::<[u8; 59], [u8; nsCSSPropertyID::eCSSProperty__moz_box_align as usize]>([0; 59]); // -moz-box-align
    std::mem::transmute::<[u8; 60], [u8; nsCSSPropertyID::eCSSProperty__moz_box_collapse as usize]>([0; 60]); // -moz-box-collapse
    std::mem::transmute::<[u8; 61], [u8; nsCSSPropertyID::eCSSProperty__moz_box_direction as usize]>([0; 61]); // -moz-box-direction
    std::mem::transmute::<[u8; 62], [u8; nsCSSPropertyID::eCSSProperty__moz_box_orient as usize]>([0; 62]); // -moz-box-orient
    std::mem::transmute::<[u8; 63], [u8; nsCSSPropertyID::eCSSProperty__moz_box_pack as usize]>([0; 63]); // -moz-box-pack
    std::mem::transmute::<[u8; 64], [u8; nsCSSPropertyID::eCSSProperty__moz_control_character_visibility as usize]>([0; 64]); // -moz-control-character-visibility
    std::mem::transmute::<[u8; 65], [u8; nsCSSPropertyID::eCSSProperty__moz_float_edge as usize]>([0; 65]); // -moz-float-edge
    std::mem::transmute::<[u8; 66], [u8; nsCSSPropertyID::eCSSProperty__moz_inert as usize]>([0; 66]); // -moz-inert
    std::mem::transmute::<[u8; 67], [u8; nsCSSPropertyID::eCSSProperty__moz_math_variant as usize]>([0; 67]); // -moz-math-variant
    std::mem::transmute::<[u8; 68], [u8; nsCSSPropertyID::eCSSProperty__moz_min_font_size_ratio as usize]>([0; 68]); // -moz-min-font-size-ratio
    std::mem::transmute::<[u8; 69], [u8; nsCSSPropertyID::eCSSProperty__moz_orient as usize]>([0; 69]); // -moz-orient
    std::mem::transmute::<[u8; 70], [u8; nsCSSPropertyID::eCSSProperty__moz_osx_font_smoothing as usize]>([0; 70]); // -moz-osx-font-smoothing
    std::mem::transmute::<[u8; 71], [u8; nsCSSPropertyID::eCSSProperty__moz_script_min_size as usize]>([0; 71]); // -moz-script-min-size
    std::mem::transmute::<[u8; 72], [u8; nsCSSPropertyID::eCSSProperty__moz_script_size_multiplier as usize]>([0; 72]); // -moz-script-size-multiplier
    std::mem::transmute::<[u8; 73], [u8; nsCSSPropertyID::eCSSProperty__moz_text_size_adjust as usize]>([0; 73]); // -moz-text-size-adjust
    std::mem::transmute::<[u8; 74], [u8; nsCSSPropertyID::eCSSProperty__moz_top_layer as usize]>([0; 74]); // -moz-top-layer
    std::mem::transmute::<[u8; 75], [u8; nsCSSPropertyID::eCSSProperty__moz_user_focus as usize]>([0; 75]); // -moz-user-focus
    std::mem::transmute::<[u8; 76], [u8; nsCSSPropertyID::eCSSProperty__moz_user_input as usize]>([0; 76]); // -moz-user-input
    std::mem::transmute::<[u8; 77], [u8; nsCSSPropertyID::eCSSProperty__moz_user_modify as usize]>([0; 77]); // -moz-user-modify
    std::mem::transmute::<[u8; 78], [u8; nsCSSPropertyID::eCSSProperty__moz_window_dragging as usize]>([0; 78]); // -moz-window-dragging
    std::mem::transmute::<[u8; 79], [u8; nsCSSPropertyID::eCSSProperty__moz_window_shadow as usize]>([0; 79]); // -moz-window-shadow
    std::mem::transmute::<[u8; 80], [u8; nsCSSPropertyID::eCSSProperty_object_fit as usize]>([0; 80]); // object-fit
    std::mem::transmute::<[u8; 81], [u8; nsCSSPropertyID::eCSSProperty_offset_rotate as usize]>([0; 81]); // offset-rotate
    std::mem::transmute::<[u8; 82], [u8; nsCSSPropertyID::eCSSProperty_outline_style as usize]>([0; 82]); // outline-style
    std::mem::transmute::<[u8; 83], [u8; nsCSSPropertyID::eCSSProperty_overflow_anchor as usize]>([0; 83]); // overflow-anchor
    std::mem::transmute::<[u8; 84], [u8; nsCSSPropertyID::eCSSProperty_overflow_wrap as usize]>([0; 84]); // overflow-wrap
    std::mem::transmute::<[u8; 85], [u8; nsCSSPropertyID::eCSSProperty_page_orientation as usize]>([0; 85]); // page-orientation
    std::mem::transmute::<[u8; 86], [u8; nsCSSPropertyID::eCSSProperty_paint_order as usize]>([0; 86]); // paint-order
    std::mem::transmute::<[u8; 87], [u8; nsCSSPropertyID::eCSSProperty_pointer_events as usize]>([0; 87]); // pointer-events
    std::mem::transmute::<[u8; 88], [u8; nsCSSPropertyID::eCSSProperty_position as usize]>([0; 88]); // position
    std::mem::transmute::<[u8; 89], [u8; nsCSSPropertyID::eCSSProperty_print_color_adjust as usize]>([0; 89]); // print-color-adjust
    std::mem::transmute::<[u8; 90], [u8; nsCSSPropertyID::eCSSProperty_resize as usize]>([0; 90]); // resize
    std::mem::transmute::<[u8; 91], [u8; nsCSSPropertyID::eCSSProperty_ruby_align as usize]>([0; 91]); // ruby-align
    std::mem::transmute::<[u8; 92], [u8; nsCSSPropertyID::eCSSProperty_ruby_position as usize]>([0; 92]); // ruby-position
    std::mem::transmute::<[u8; 93], [u8; nsCSSPropertyID::eCSSProperty_scroll_behavior as usize]>([0; 93]); // scroll-behavior
    std::mem::transmute::<[u8; 94], [u8; nsCSSPropertyID::eCSSProperty_scroll_snap_align as usize]>([0; 94]); // scroll-snap-align
    std::mem::transmute::<[u8; 95], [u8; nsCSSPropertyID::eCSSProperty_scroll_snap_stop as usize]>([0; 95]); // scroll-snap-stop
    std::mem::transmute::<[u8; 96], [u8; nsCSSPropertyID::eCSSProperty_scroll_snap_type as usize]>([0; 96]); // scroll-snap-type
    std::mem::transmute::<[u8; 97], [u8; nsCSSPropertyID::eCSSProperty_scrollbar_gutter as usize]>([0; 97]); // scrollbar-gutter
    std::mem::transmute::<[u8; 98], [u8; nsCSSPropertyID::eCSSProperty_scrollbar_width as usize]>([0; 98]); // scrollbar-width
    std::mem::transmute::<[u8; 99], [u8; nsCSSPropertyID::eCSSProperty_shape_rendering as usize]>([0; 99]); // shape-rendering
    std::mem::transmute::<[u8; 100], [u8; nsCSSPropertyID::eCSSProperty_stroke_linecap as usize]>([0; 100]); // stroke-linecap
    std::mem::transmute::<[u8; 101], [u8; nsCSSPropertyID::eCSSProperty_stroke_linejoin as usize]>([0; 101]); // stroke-linejoin
    std::mem::transmute::<[u8; 102], [u8; nsCSSPropertyID::eCSSProperty_table_layout as usize]>([0; 102]); // table-layout
    std::mem::transmute::<[u8; 103], [u8; nsCSSPropertyID::eCSSProperty_text_align as usize]>([0; 103]); // text-align
    std::mem::transmute::<[u8; 104], [u8; nsCSSPropertyID::eCSSProperty_text_align_last as usize]>([0; 104]); // text-align-last
    std::mem::transmute::<[u8; 105], [u8; nsCSSPropertyID::eCSSProperty_text_anchor as usize]>([0; 105]); // text-anchor
    std::mem::transmute::<[u8; 106], [u8; nsCSSPropertyID::eCSSProperty_text_combine_upright as usize]>([0; 106]); // text-combine-upright
    std::mem::transmute::<[u8; 107], [u8; nsCSSPropertyID::eCSSProperty_text_decoration_line as usize]>([0; 107]); // text-decoration-line
    std::mem::transmute::<[u8; 108], [u8; nsCSSPropertyID::eCSSProperty_text_decoration_skip_ink as usize]>([0; 108]); // text-decoration-skip-ink
    std::mem::transmute::<[u8; 109], [u8; nsCSSPropertyID::eCSSProperty_text_decoration_style as usize]>([0; 109]); // text-decoration-style
    std::mem::transmute::<[u8; 110], [u8; nsCSSPropertyID::eCSSProperty_text_emphasis_position as usize]>([0; 110]); // text-emphasis-position
    std::mem::transmute::<[u8; 111], [u8; nsCSSPropertyID::eCSSProperty_text_justify as usize]>([0; 111]); // text-justify
    std::mem::transmute::<[u8; 112], [u8; nsCSSPropertyID::eCSSProperty_text_orientation as usize]>([0; 112]); // text-orientation
    std::mem::transmute::<[u8; 113], [u8; nsCSSPropertyID::eCSSProperty_text_rendering as usize]>([0; 113]); // text-rendering
    std::mem::transmute::<[u8; 114], [u8; nsCSSPropertyID::eCSSProperty_text_transform as usize]>([0; 114]); // text-transform
    std::mem::transmute::<[u8; 115], [u8; nsCSSPropertyID::eCSSProperty_text_underline_position as usize]>([0; 115]); // text-underline-position
    std::mem::transmute::<[u8; 116], [u8; nsCSSPropertyID::eCSSProperty_touch_action as usize]>([0; 116]); // touch-action
    std::mem::transmute::<[u8; 117], [u8; nsCSSPropertyID::eCSSProperty_transform_box as usize]>([0; 117]); // transform-box
    std::mem::transmute::<[u8; 118], [u8; nsCSSPropertyID::eCSSProperty_transform_style as usize]>([0; 118]); // transform-style
    std::mem::transmute::<[u8; 119], [u8; nsCSSPropertyID::eCSSProperty_unicode_bidi as usize]>([0; 119]); // unicode-bidi
    std::mem::transmute::<[u8; 120], [u8; nsCSSPropertyID::eCSSProperty_user_select as usize]>([0; 120]); // user-select
    std::mem::transmute::<[u8; 121], [u8; nsCSSPropertyID::eCSSProperty_vector_effect as usize]>([0; 121]); // vector-effect
    std::mem::transmute::<[u8; 122], [u8; nsCSSPropertyID::eCSSProperty_visibility as usize]>([0; 122]); // visibility
    std::mem::transmute::<[u8; 123], [u8; nsCSSPropertyID::eCSSProperty__webkit_line_clamp as usize]>([0; 123]); // -webkit-line-clamp
    std::mem::transmute::<[u8; 124], [u8; nsCSSPropertyID::eCSSProperty__webkit_text_security as usize]>([0; 124]); // -webkit-text-security
    std::mem::transmute::<[u8; 125], [u8; nsCSSPropertyID::eCSSProperty_white_space as usize]>([0; 125]); // white-space
    std::mem::transmute::<[u8; 126], [u8; nsCSSPropertyID::eCSSProperty_word_break as usize]>([0; 126]); // word-break
    std::mem::transmute::<[u8; 127], [u8; nsCSSPropertyID::eCSSProperty_writing_mode as usize]>([0; 127]); // writing-mode
    std::mem::transmute::<[u8; 128], [u8; nsCSSPropertyID::eCSSProperty__x_text_scale as usize]>([0; 128]); // -x-text-scale
    std::mem::transmute::<[u8; 129], [u8; nsCSSPropertyID::eCSSProperty_z_index as usize]>([0; 129]); // z-index
    std::mem::transmute::<[u8; 130], [u8; nsCSSPropertyID::eCSSProperty_appearance as usize]>([0; 130]); // appearance
    std::mem::transmute::<[u8; 131], [u8; nsCSSPropertyID::eCSSProperty__moz_default_appearance as usize]>([0; 131]); // -moz-default-appearance
    std::mem::transmute::<[u8; 132], [u8; nsCSSPropertyID::eCSSProperty__moz_force_broken_image_icon as usize]>([0; 132]); // -moz-force-broken-image-icon
    std::mem::transmute::<[u8; 133], [u8; nsCSSPropertyID::eCSSProperty__moz_subtree_hidden_only_visually as usize]>([0; 133]); // -moz-subtree-hidden-only-visually
    std::mem::transmute::<[u8; 134], [u8; nsCSSPropertyID::eCSSProperty_break_after as usize]>([0; 134]); // break-after
    std::mem::transmute::<[u8; 135], [u8; nsCSSPropertyID::eCSSProperty_break_before as usize]>([0; 135]); // break-before
    std::mem::transmute::<[u8; 136], [u8; nsCSSPropertyID::eCSSProperty_clip_rule as usize]>([0; 136]); // clip-rule
    std::mem::transmute::<[u8; 137], [u8; nsCSSPropertyID::eCSSProperty_fill_rule as usize]>([0; 137]); // fill-rule
    std::mem::transmute::<[u8; 138], [u8; nsCSSPropertyID::eCSSProperty_overflow_clip_box_block as usize]>([0; 138]); // overflow-clip-box-block
    std::mem::transmute::<[u8; 139], [u8; nsCSSPropertyID::eCSSProperty_overflow_clip_box_inline as usize]>([0; 139]); // overflow-clip-box-inline
    std::mem::transmute::<[u8; 140], [u8; nsCSSPropertyID::eCSSProperty_fill_opacity as usize]>([0; 140]); // fill-opacity
    std::mem::transmute::<[u8; 141], [u8; nsCSSPropertyID::eCSSProperty_stroke_opacity as usize]>([0; 141]); // stroke-opacity
    std::mem::transmute::<[u8; 142], [u8; nsCSSPropertyID::eCSSProperty_font_synthesis_small_caps as usize]>([0; 142]); // font-synthesis-small-caps
    std::mem::transmute::<[u8; 143], [u8; nsCSSPropertyID::eCSSProperty_font_synthesis_style as usize]>([0; 143]); // font-synthesis-style
    std::mem::transmute::<[u8; 144], [u8; nsCSSPropertyID::eCSSProperty_font_synthesis_weight as usize]>([0; 144]); // font-synthesis-weight
    std::mem::transmute::<[u8; 145], [u8; nsCSSPropertyID::eCSSProperty__moz_box_ordinal_group as usize]>([0; 145]); // -moz-box-ordinal-group
    std::mem::transmute::<[u8; 146], [u8; nsCSSPropertyID::eCSSProperty_order as usize]>([0; 146]); // order
    std::mem::transmute::<[u8; 147], [u8; nsCSSPropertyID::eCSSProperty__x_span as usize]>([0; 147]); // -x-span
    std::mem::transmute::<[u8; 148], [u8; nsCSSPropertyID::eCSSProperty_flex_grow as usize]>([0; 148]); // flex-grow
    std::mem::transmute::<[u8; 149], [u8; nsCSSPropertyID::eCSSProperty_flex_shrink as usize]>([0; 149]); // flex-shrink
    std::mem::transmute::<[u8; 150], [u8; nsCSSPropertyID::eCSSProperty__moz_box_flex as usize]>([0; 150]); // -moz-box-flex
    std::mem::transmute::<[u8; 151], [u8; nsCSSPropertyID::eCSSProperty_stroke_miterlimit as usize]>([0; 151]); // stroke-miterlimit
    std::mem::transmute::<[u8; 152], [u8; nsCSSPropertyID::eCSSProperty_overflow_block as usize]>([0; 152]); // overflow-block
    std::mem::transmute::<[u8; 153], [u8; nsCSSPropertyID::eCSSProperty_overflow_inline as usize]>([0; 153]); // overflow-inline
    std::mem::transmute::<[u8; 154], [u8; nsCSSPropertyID::eCSSProperty_overflow_x as usize]>([0; 154]); // overflow-x
    std::mem::transmute::<[u8; 155], [u8; nsCSSPropertyID::eCSSProperty_overflow_y as usize]>([0; 155]); // overflow-y
    std::mem::transmute::<[u8; 156], [u8; nsCSSPropertyID::eCSSProperty_overscroll_behavior_block as usize]>([0; 156]); // overscroll-behavior-block
    std::mem::transmute::<[u8; 157], [u8; nsCSSPropertyID::eCSSProperty_overscroll_behavior_inline as usize]>([0; 157]); // overscroll-behavior-inline
    std::mem::transmute::<[u8; 158], [u8; nsCSSPropertyID::eCSSProperty_overscroll_behavior_x as usize]>([0; 158]); // overscroll-behavior-x
    std::mem::transmute::<[u8; 159], [u8; nsCSSPropertyID::eCSSProperty_overscroll_behavior_y as usize]>([0; 159]); // overscroll-behavior-y
    std::mem::transmute::<[u8; 160], [u8; nsCSSPropertyID::eCSSProperty_flood_opacity as usize]>([0; 160]); // flood-opacity
    std::mem::transmute::<[u8; 161], [u8; nsCSSPropertyID::eCSSProperty__moz_window_opacity as usize]>([0; 161]); // -moz-window-opacity
    std::mem::transmute::<[u8; 162], [u8; nsCSSPropertyID::eCSSProperty_opacity as usize]>([0; 162]); // opacity
    std::mem::transmute::<[u8; 163], [u8; nsCSSPropertyID::eCSSProperty_shape_image_threshold as usize]>([0; 163]); // shape-image-threshold
    std::mem::transmute::<[u8; 164], [u8; nsCSSPropertyID::eCSSProperty_stop_opacity as usize]>([0; 164]); // stop-opacity
    std::mem::transmute::<[u8; 165], [u8; nsCSSPropertyID::eCSSProperty_border_block_end_style as usize]>([0; 165]); // border-block-end-style
    std::mem::transmute::<[u8; 166], [u8; nsCSSPropertyID::eCSSProperty_border_block_start_style as usize]>([0; 166]); // border-block-start-style
    std::mem::transmute::<[u8; 167], [u8; nsCSSPropertyID::eCSSProperty_border_bottom_style as usize]>([0; 167]); // border-bottom-style
    std::mem::transmute::<[u8; 168], [u8; nsCSSPropertyID::eCSSProperty_border_inline_end_style as usize]>([0; 168]); // border-inline-end-style
    std::mem::transmute::<[u8; 169], [u8; nsCSSPropertyID::eCSSProperty_border_inline_start_style as usize]>([0; 169]); // border-inline-start-style
    std::mem::transmute::<[u8; 170], [u8; nsCSSPropertyID::eCSSProperty_border_left_style as usize]>([0; 170]); // border-left-style
    std::mem::transmute::<[u8; 171], [u8; nsCSSPropertyID::eCSSProperty_border_right_style as usize]>([0; 171]); // border-right-style
    std::mem::transmute::<[u8; 172], [u8; nsCSSPropertyID::eCSSProperty_border_top_style as usize]>([0; 172]); // border-top-style
    std::mem::transmute::<[u8; 173], [u8; nsCSSPropertyID::eCSSProperty_column_rule_style as usize]>([0; 173]); // column-rule-style
    std::mem::transmute::<[u8; 174], [u8; nsCSSPropertyID::eCSSProperty_accent_color as usize]>([0; 174]); // accent-color
    std::mem::transmute::<[u8; 175], [u8; nsCSSPropertyID::eCSSProperty_align_tracks as usize]>([0; 175]); // align-tracks
    std::mem::transmute::<[u8; 176], [u8; nsCSSPropertyID::eCSSProperty_animation_composition as usize]>([0; 176]); // animation-composition
    std::mem::transmute::<[u8; 177], [u8; nsCSSPropertyID::eCSSProperty_animation_delay as usize]>([0; 177]); // animation-delay
    std::mem::transmute::<[u8; 178], [u8; nsCSSPropertyID::eCSSProperty_animation_direction as usize]>([0; 178]); // animation-direction
    std::mem::transmute::<[u8; 179], [u8; nsCSSPropertyID::eCSSProperty_animation_duration as usize]>([0; 179]); // animation-duration
    std::mem::transmute::<[u8; 180], [u8; nsCSSPropertyID::eCSSProperty_animation_fill_mode as usize]>([0; 180]); // animation-fill-mode
    std::mem::transmute::<[u8; 181], [u8; nsCSSPropertyID::eCSSProperty_animation_iteration_count as usize]>([0; 181]); // animation-iteration-count
    std::mem::transmute::<[u8; 182], [u8; nsCSSPropertyID::eCSSProperty_animation_name as usize]>([0; 182]); // animation-name
    std::mem::transmute::<[u8; 183], [u8; nsCSSPropertyID::eCSSProperty_animation_play_state as usize]>([0; 183]); // animation-play-state
    std::mem::transmute::<[u8; 184], [u8; nsCSSPropertyID::eCSSProperty_animation_timeline as usize]>([0; 184]); // animation-timeline
    std::mem::transmute::<[u8; 185], [u8; nsCSSPropertyID::eCSSProperty_animation_timing_function as usize]>([0; 185]); // animation-timing-function
    std::mem::transmute::<[u8; 186], [u8; nsCSSPropertyID::eCSSProperty_backdrop_filter as usize]>([0; 186]); // backdrop-filter
    std::mem::transmute::<[u8; 187], [u8; nsCSSPropertyID::eCSSProperty_background_attachment as usize]>([0; 187]); // background-attachment
    std::mem::transmute::<[u8; 188], [u8; nsCSSPropertyID::eCSSProperty_background_blend_mode as usize]>([0; 188]); // background-blend-mode
    std::mem::transmute::<[u8; 189], [u8; nsCSSPropertyID::eCSSProperty_background_clip as usize]>([0; 189]); // background-clip
    std::mem::transmute::<[u8; 190], [u8; nsCSSPropertyID::eCSSProperty_background_image as usize]>([0; 190]); // background-image
    std::mem::transmute::<[u8; 191], [u8; nsCSSPropertyID::eCSSProperty_background_origin as usize]>([0; 191]); // background-origin
    std::mem::transmute::<[u8; 192], [u8; nsCSSPropertyID::eCSSProperty_background_position_x as usize]>([0; 192]); // background-position-x
    std::mem::transmute::<[u8; 193], [u8; nsCSSPropertyID::eCSSProperty_background_position_y as usize]>([0; 193]); // background-position-y
    std::mem::transmute::<[u8; 194], [u8; nsCSSPropertyID::eCSSProperty_background_repeat as usize]>([0; 194]); // background-repeat
    std::mem::transmute::<[u8; 195], [u8; nsCSSPropertyID::eCSSProperty_background_size as usize]>([0; 195]); // background-size
    std::mem::transmute::<[u8; 196], [u8; nsCSSPropertyID::eCSSProperty_border_image_outset as usize]>([0; 196]); // border-image-outset
    std::mem::transmute::<[u8; 197], [u8; nsCSSPropertyID::eCSSProperty_border_image_slice as usize]>([0; 197]); // border-image-slice
    std::mem::transmute::<[u8; 198], [u8; nsCSSPropertyID::eCSSProperty_border_image_width as usize]>([0; 198]); // border-image-width
    std::mem::transmute::<[u8; 199], [u8; nsCSSPropertyID::eCSSProperty_border_spacing as usize]>([0; 199]); // border-spacing
    std::mem::transmute::<[u8; 200], [u8; nsCSSPropertyID::eCSSProperty_box_shadow as usize]>([0; 200]); // box-shadow
    std::mem::transmute::<[u8; 201], [u8; nsCSSPropertyID::eCSSProperty_caret_color as usize]>([0; 201]); // caret-color
    std::mem::transmute::<[u8; 202], [u8; nsCSSPropertyID::eCSSProperty_clip as usize]>([0; 202]); // clip
    std::mem::transmute::<[u8; 203], [u8; nsCSSPropertyID::eCSSProperty_clip_path as usize]>([0; 203]); // clip-path
    std::mem::transmute::<[u8; 204], [u8; nsCSSPropertyID::eCSSProperty_color as usize]>([0; 204]); // color
    std::mem::transmute::<[u8; 205], [u8; nsCSSPropertyID::eCSSProperty_color_scheme as usize]>([0; 205]); // color-scheme
    std::mem::transmute::<[u8; 206], [u8; nsCSSPropertyID::eCSSProperty_column_width as usize]>([0; 206]); // column-width
    std::mem::transmute::<[u8; 207], [u8; nsCSSPropertyID::eCSSProperty_container_name as usize]>([0; 207]); // container-name
    std::mem::transmute::<[u8; 208], [u8; nsCSSPropertyID::eCSSProperty_content as usize]>([0; 208]); // content
    std::mem::transmute::<[u8; 209], [u8; nsCSSPropertyID::eCSSProperty_counter_increment as usize]>([0; 209]); // counter-increment
    std::mem::transmute::<[u8; 210], [u8; nsCSSPropertyID::eCSSProperty_counter_reset as usize]>([0; 210]); // counter-reset
    std::mem::transmute::<[u8; 211], [u8; nsCSSPropertyID::eCSSProperty_counter_set as usize]>([0; 211]); // counter-set
    std::mem::transmute::<[u8; 212], [u8; nsCSSPropertyID::eCSSProperty_cursor as usize]>([0; 212]); // cursor
    std::mem::transmute::<[u8; 213], [u8; nsCSSPropertyID::eCSSProperty_d as usize]>([0; 213]); // d
    std::mem::transmute::<[u8; 214], [u8; nsCSSPropertyID::eCSSProperty_filter as usize]>([0; 214]); // filter
    std::mem::transmute::<[u8; 215], [u8; nsCSSPropertyID::eCSSProperty_flex_basis as usize]>([0; 215]); // flex-basis
    std::mem::transmute::<[u8; 216], [u8; nsCSSPropertyID::eCSSProperty_font_family as usize]>([0; 216]); // font-family
    std::mem::transmute::<[u8; 217], [u8; nsCSSPropertyID::eCSSProperty_font_feature_settings as usize]>([0; 217]); // font-feature-settings
    std::mem::transmute::<[u8; 218], [u8; nsCSSPropertyID::eCSSProperty_font_palette as usize]>([0; 218]); // font-palette
    std::mem::transmute::<[u8; 219], [u8; nsCSSPropertyID::eCSSProperty_font_size as usize]>([0; 219]); // font-size
    std::mem::transmute::<[u8; 220], [u8; nsCSSPropertyID::eCSSProperty_font_variant_alternates as usize]>([0; 220]); // font-variant-alternates
    std::mem::transmute::<[u8; 221], [u8; nsCSSPropertyID::eCSSProperty_font_variation_settings as usize]>([0; 221]); // font-variation-settings
    std::mem::transmute::<[u8; 222], [u8; nsCSSPropertyID::eCSSProperty_grid_template_areas as usize]>([0; 222]); // grid-template-areas
    std::mem::transmute::<[u8; 223], [u8; nsCSSPropertyID::eCSSProperty_hyphenate_character as usize]>([0; 223]); // hyphenate-character
    std::mem::transmute::<[u8; 224], [u8; nsCSSPropertyID::eCSSProperty_justify_tracks as usize]>([0; 224]); // justify-tracks
    std::mem::transmute::<[u8; 225], [u8; nsCSSPropertyID::eCSSProperty_letter_spacing as usize]>([0; 225]); // letter-spacing
    std::mem::transmute::<[u8; 226], [u8; nsCSSPropertyID::eCSSProperty_line_height as usize]>([0; 226]); // line-height
    std::mem::transmute::<[u8; 227], [u8; nsCSSPropertyID::eCSSProperty_list_style_type as usize]>([0; 227]); // list-style-type
    std::mem::transmute::<[u8; 228], [u8; nsCSSPropertyID::eCSSProperty_mask_clip as usize]>([0; 228]); // mask-clip
    std::mem::transmute::<[u8; 229], [u8; nsCSSPropertyID::eCSSProperty_mask_composite as usize]>([0; 229]); // mask-composite
    std::mem::transmute::<[u8; 230], [u8; nsCSSPropertyID::eCSSProperty_mask_image as usize]>([0; 230]); // mask-image
    std::mem::transmute::<[u8; 231], [u8; nsCSSPropertyID::eCSSProperty_mask_mode as usize]>([0; 231]); // mask-mode
    std::mem::transmute::<[u8; 232], [u8; nsCSSPropertyID::eCSSProperty_mask_origin as usize]>([0; 232]); // mask-origin
    std::mem::transmute::<[u8; 233], [u8; nsCSSPropertyID::eCSSProperty_mask_position_x as usize]>([0; 233]); // mask-position-x
    std::mem::transmute::<[u8; 234], [u8; nsCSSPropertyID::eCSSProperty_mask_position_y as usize]>([0; 234]); // mask-position-y
    std::mem::transmute::<[u8; 235], [u8; nsCSSPropertyID::eCSSProperty_mask_repeat as usize]>([0; 235]); // mask-repeat
    std::mem::transmute::<[u8; 236], [u8; nsCSSPropertyID::eCSSProperty_mask_size as usize]>([0; 236]); // mask-size
    std::mem::transmute::<[u8; 237], [u8; nsCSSPropertyID::eCSSProperty__moz_context_properties as usize]>([0; 237]); // -moz-context-properties
    std::mem::transmute::<[u8; 238], [u8; nsCSSPropertyID::eCSSProperty__moz_font_smoothing_background_color as usize]>([0; 238]); // -moz-font-smoothing-background-color
    std::mem::transmute::<[u8; 239], [u8; nsCSSPropertyID::eCSSProperty_offset_anchor as usize]>([0; 239]); // offset-anchor
    std::mem::transmute::<[u8; 240], [u8; nsCSSPropertyID::eCSSProperty_offset_path as usize]>([0; 240]); // offset-path
    std::mem::transmute::<[u8; 241], [u8; nsCSSPropertyID::eCSSProperty_offset_position as usize]>([0; 241]); // offset-position
    std::mem::transmute::<[u8; 242], [u8; nsCSSPropertyID::eCSSProperty_page as usize]>([0; 242]); // page
    std::mem::transmute::<[u8; 243], [u8; nsCSSPropertyID::eCSSProperty_perspective as usize]>([0; 243]); // perspective
    std::mem::transmute::<[u8; 244], [u8; nsCSSPropertyID::eCSSProperty_quotes as usize]>([0; 244]); // quotes
    std::mem::transmute::<[u8; 245], [u8; nsCSSPropertyID::eCSSProperty_rotate as usize]>([0; 245]); // rotate
    std::mem::transmute::<[u8; 246], [u8; nsCSSPropertyID::eCSSProperty_scale as usize]>([0; 246]); // scale
    std::mem::transmute::<[u8; 247], [u8; nsCSSPropertyID::eCSSProperty_scroll_timeline_axis as usize]>([0; 247]); // scroll-timeline-axis
    std::mem::transmute::<[u8; 248], [u8; nsCSSPropertyID::eCSSProperty_scroll_timeline_name as usize]>([0; 248]); // scroll-timeline-name
    std::mem::transmute::<[u8; 249], [u8; nsCSSPropertyID::eCSSProperty_scrollbar_color as usize]>([0; 249]); // scrollbar-color
    std::mem::transmute::<[u8; 250], [u8; nsCSSPropertyID::eCSSProperty_shape_outside as usize]>([0; 250]); // shape-outside
    std::mem::transmute::<[u8; 251], [u8; nsCSSPropertyID::eCSSProperty_size as usize]>([0; 251]); // size
    std::mem::transmute::<[u8; 252], [u8; nsCSSPropertyID::eCSSProperty_stroke_dasharray as usize]>([0; 252]); // stroke-dasharray
    std::mem::transmute::<[u8; 253], [u8; nsCSSPropertyID::eCSSProperty_stroke_dashoffset as usize]>([0; 253]); // stroke-dashoffset
    std::mem::transmute::<[u8; 254], [u8; nsCSSPropertyID::eCSSProperty_stroke_width as usize]>([0; 254]); // stroke-width
    std::mem::transmute::<[u8; 255], [u8; nsCSSPropertyID::eCSSProperty_tab_size as usize]>([0; 255]); // tab-size
    std::mem::transmute::<[u8; 256], [u8; nsCSSPropertyID::eCSSProperty_text_decoration_thickness as usize]>([0; 256]); // text-decoration-thickness
    std::mem::transmute::<[u8; 257], [u8; nsCSSPropertyID::eCSSProperty_text_emphasis_style as usize]>([0; 257]); // text-emphasis-style
    std::mem::transmute::<[u8; 258], [u8; nsCSSPropertyID::eCSSProperty_text_overflow as usize]>([0; 258]); // text-overflow
    std::mem::transmute::<[u8; 259], [u8; nsCSSPropertyID::eCSSProperty_text_shadow as usize]>([0; 259]); // text-shadow
    std::mem::transmute::<[u8; 260], [u8; nsCSSPropertyID::eCSSProperty_transition_delay as usize]>([0; 260]); // transition-delay
    std::mem::transmute::<[u8; 261], [u8; nsCSSPropertyID::eCSSProperty_transition_duration as usize]>([0; 261]); // transition-duration
    std::mem::transmute::<[u8; 262], [u8; nsCSSPropertyID::eCSSProperty_transition_property as usize]>([0; 262]); // transition-property
    std::mem::transmute::<[u8; 263], [u8; nsCSSPropertyID::eCSSProperty_transition_timing_function as usize]>([0; 263]); // transition-timing-function
    std::mem::transmute::<[u8; 264], [u8; nsCSSPropertyID::eCSSProperty_translate as usize]>([0; 264]); // translate
    std::mem::transmute::<[u8; 265], [u8; nsCSSPropertyID::eCSSProperty_vertical_align as usize]>([0; 265]); // vertical-align
    std::mem::transmute::<[u8; 266], [u8; nsCSSPropertyID::eCSSProperty_view_timeline_axis as usize]>([0; 266]); // view-timeline-axis
    std::mem::transmute::<[u8; 267], [u8; nsCSSPropertyID::eCSSProperty_view_timeline_inset as usize]>([0; 267]); // view-timeline-inset
    std::mem::transmute::<[u8; 268], [u8; nsCSSPropertyID::eCSSProperty_view_timeline_name as usize]>([0; 268]); // view-timeline-name
    std::mem::transmute::<[u8; 269], [u8; nsCSSPropertyID::eCSSProperty__webkit_text_stroke_width as usize]>([0; 269]); // -webkit-text-stroke-width
    std::mem::transmute::<[u8; 270], [u8; nsCSSPropertyID::eCSSProperty_will_change as usize]>([0; 270]); // will-change
    std::mem::transmute::<[u8; 271], [u8; nsCSSPropertyID::eCSSProperty_word_spacing as usize]>([0; 271]); // word-spacing
    std::mem::transmute::<[u8; 272], [u8; nsCSSPropertyID::eCSSProperty__x_lang as usize]>([0; 272]); // -x-lang
    std::mem::transmute::<[u8; 273], [u8; nsCSSPropertyID::eCSSProperty_object_position as usize]>([0; 273]); // object-position
    std::mem::transmute::<[u8; 274], [u8; nsCSSPropertyID::eCSSProperty_perspective_origin as usize]>([0; 274]); // perspective-origin
    std::mem::transmute::<[u8; 275], [u8; nsCSSPropertyID::eCSSProperty_fill as usize]>([0; 275]); // fill
    std::mem::transmute::<[u8; 276], [u8; nsCSSPropertyID::eCSSProperty_stroke as usize]>([0; 276]); // stroke
    std::mem::transmute::<[u8; 277], [u8; nsCSSPropertyID::eCSSProperty__moz_window_transform_origin as usize]>([0; 277]); // -moz-window-transform-origin
    std::mem::transmute::<[u8; 278], [u8; nsCSSPropertyID::eCSSProperty_transform_origin as usize]>([0; 278]); // transform-origin
    std::mem::transmute::<[u8; 279], [u8; nsCSSPropertyID::eCSSProperty_grid_template_columns as usize]>([0; 279]); // grid-template-columns
    std::mem::transmute::<[u8; 280], [u8; nsCSSPropertyID::eCSSProperty_grid_template_rows as usize]>([0; 280]); // grid-template-rows
    std::mem::transmute::<[u8; 281], [u8; nsCSSPropertyID::eCSSProperty_border_image_source as usize]>([0; 281]); // border-image-source
    std::mem::transmute::<[u8; 282], [u8; nsCSSPropertyID::eCSSProperty_list_style_image as usize]>([0; 282]); // list-style-image
    std::mem::transmute::<[u8; 283], [u8; nsCSSPropertyID::eCSSProperty_grid_auto_columns as usize]>([0; 283]); // grid-auto-columns
    std::mem::transmute::<[u8; 284], [u8; nsCSSPropertyID::eCSSProperty_grid_auto_rows as usize]>([0; 284]); // grid-auto-rows
    std::mem::transmute::<[u8; 285], [u8; nsCSSPropertyID::eCSSProperty__moz_window_transform as usize]>([0; 285]); // -moz-window-transform
    std::mem::transmute::<[u8; 286], [u8; nsCSSPropertyID::eCSSProperty_transform as usize]>([0; 286]); // transform
    std::mem::transmute::<[u8; 287], [u8; nsCSSPropertyID::eCSSProperty_column_gap as usize]>([0; 287]); // column-gap
    std::mem::transmute::<[u8; 288], [u8; nsCSSPropertyID::eCSSProperty_row_gap as usize]>([0; 288]); // row-gap
    std::mem::transmute::<[u8; 289], [u8; nsCSSPropertyID::eCSSProperty_marker_end as usize]>([0; 289]); // marker-end
    std::mem::transmute::<[u8; 290], [u8; nsCSSPropertyID::eCSSProperty_marker_mid as usize]>([0; 290]); // marker-mid
    std::mem::transmute::<[u8; 291], [u8; nsCSSPropertyID::eCSSProperty_marker_start as usize]>([0; 291]); // marker-start
    std::mem::transmute::<[u8; 292], [u8; nsCSSPropertyID::eCSSProperty_contain_intrinsic_block_size as usize]>([0; 292]); // contain-intrinsic-block-size
    std::mem::transmute::<[u8; 293], [u8; nsCSSPropertyID::eCSSProperty_contain_intrinsic_height as usize]>([0; 293]); // contain-intrinsic-height
    std::mem::transmute::<[u8; 294], [u8; nsCSSPropertyID::eCSSProperty_contain_intrinsic_inline_size as usize]>([0; 294]); // contain-intrinsic-inline-size
    std::mem::transmute::<[u8; 295], [u8; nsCSSPropertyID::eCSSProperty_contain_intrinsic_width as usize]>([0; 295]); // contain-intrinsic-width
    std::mem::transmute::<[u8; 296], [u8; nsCSSPropertyID::eCSSProperty_grid_column_end as usize]>([0; 296]); // grid-column-end
    std::mem::transmute::<[u8; 297], [u8; nsCSSPropertyID::eCSSProperty_grid_column_start as usize]>([0; 297]); // grid-column-start
    std::mem::transmute::<[u8; 298], [u8; nsCSSPropertyID::eCSSProperty_grid_row_end as usize]>([0; 298]); // grid-row-end
    std::mem::transmute::<[u8; 299], [u8; nsCSSPropertyID::eCSSProperty_grid_row_start as usize]>([0; 299]); // grid-row-start
    std::mem::transmute::<[u8; 300], [u8; nsCSSPropertyID::eCSSProperty_max_block_size as usize]>([0; 300]); // max-block-size
    std::mem::transmute::<[u8; 301], [u8; nsCSSPropertyID::eCSSProperty_max_height as usize]>([0; 301]); // max-height
    std::mem::transmute::<[u8; 302], [u8; nsCSSPropertyID::eCSSProperty_max_inline_size as usize]>([0; 302]); // max-inline-size
    std::mem::transmute::<[u8; 303], [u8; nsCSSPropertyID::eCSSProperty_max_width as usize]>([0; 303]); // max-width
    std::mem::transmute::<[u8; 304], [u8; nsCSSPropertyID::eCSSProperty_cx as usize]>([0; 304]); // cx
    std::mem::transmute::<[u8; 305], [u8; nsCSSPropertyID::eCSSProperty_cy as usize]>([0; 305]); // cy
    std::mem::transmute::<[u8; 306], [u8; nsCSSPropertyID::eCSSProperty_offset_distance as usize]>([0; 306]); // offset-distance
    std::mem::transmute::<[u8; 307], [u8; nsCSSPropertyID::eCSSProperty_text_indent as usize]>([0; 307]); // text-indent
    std::mem::transmute::<[u8; 308], [u8; nsCSSPropertyID::eCSSProperty_x as usize]>([0; 308]); // x
    std::mem::transmute::<[u8; 309], [u8; nsCSSPropertyID::eCSSProperty_y as usize]>([0; 309]); // y
    std::mem::transmute::<[u8; 310], [u8; nsCSSPropertyID::eCSSProperty_border_bottom_left_radius as usize]>([0; 310]); // border-bottom-left-radius
    std::mem::transmute::<[u8; 311], [u8; nsCSSPropertyID::eCSSProperty_border_bottom_right_radius as usize]>([0; 311]); // border-bottom-right-radius
    std::mem::transmute::<[u8; 312], [u8; nsCSSPropertyID::eCSSProperty_border_end_end_radius as usize]>([0; 312]); // border-end-end-radius
    std::mem::transmute::<[u8; 313], [u8; nsCSSPropertyID::eCSSProperty_border_end_start_radius as usize]>([0; 313]); // border-end-start-radius
    std::mem::transmute::<[u8; 314], [u8; nsCSSPropertyID::eCSSProperty_border_start_end_radius as usize]>([0; 314]); // border-start-end-radius
    std::mem::transmute::<[u8; 315], [u8; nsCSSPropertyID::eCSSProperty_border_start_start_radius as usize]>([0; 315]); // border-start-start-radius
    std::mem::transmute::<[u8; 316], [u8; nsCSSPropertyID::eCSSProperty_border_top_left_radius as usize]>([0; 316]); // border-top-left-radius
    std::mem::transmute::<[u8; 317], [u8; nsCSSPropertyID::eCSSProperty_border_top_right_radius as usize]>([0; 317]); // border-top-right-radius
    std::mem::transmute::<[u8; 318], [u8; nsCSSPropertyID::eCSSProperty_block_size as usize]>([0; 318]); // block-size
    std::mem::transmute::<[u8; 319], [u8; nsCSSPropertyID::eCSSProperty_height as usize]>([0; 319]); // height
    std::mem::transmute::<[u8; 320], [u8; nsCSSPropertyID::eCSSProperty_inline_size as usize]>([0; 320]); // inline-size
    std::mem::transmute::<[u8; 321], [u8; nsCSSPropertyID::eCSSProperty_min_block_size as usize]>([0; 321]); // min-block-size
    std::mem::transmute::<[u8; 322], [u8; nsCSSPropertyID::eCSSProperty_min_height as usize]>([0; 322]); // min-height
    std::mem::transmute::<[u8; 323], [u8; nsCSSPropertyID::eCSSProperty_min_inline_size as usize]>([0; 323]); // min-inline-size
    std::mem::transmute::<[u8; 324], [u8; nsCSSPropertyID::eCSSProperty_min_width as usize]>([0; 324]); // min-width
    std::mem::transmute::<[u8; 325], [u8; nsCSSPropertyID::eCSSProperty_width as usize]>([0; 325]); // width
    std::mem::transmute::<[u8; 326], [u8; nsCSSPropertyID::eCSSProperty_border_block_end_width as usize]>([0; 326]); // border-block-end-width
    std::mem::transmute::<[u8; 327], [u8; nsCSSPropertyID::eCSSProperty_border_block_start_width as usize]>([0; 327]); // border-block-start-width
    std::mem::transmute::<[u8; 328], [u8; nsCSSPropertyID::eCSSProperty_border_bottom_width as usize]>([0; 328]); // border-bottom-width
    std::mem::transmute::<[u8; 329], [u8; nsCSSPropertyID::eCSSProperty_border_inline_end_width as usize]>([0; 329]); // border-inline-end-width
    std::mem::transmute::<[u8; 330], [u8; nsCSSPropertyID::eCSSProperty_border_inline_start_width as usize]>([0; 330]); // border-inline-start-width
    std::mem::transmute::<[u8; 331], [u8; nsCSSPropertyID::eCSSProperty_border_left_width as usize]>([0; 331]); // border-left-width
    std::mem::transmute::<[u8; 332], [u8; nsCSSPropertyID::eCSSProperty_border_right_width as usize]>([0; 332]); // border-right-width
    std::mem::transmute::<[u8; 333], [u8; nsCSSPropertyID::eCSSProperty_border_top_width as usize]>([0; 333]); // border-top-width
    std::mem::transmute::<[u8; 334], [u8; nsCSSPropertyID::eCSSProperty_column_rule_width as usize]>([0; 334]); // column-rule-width
    std::mem::transmute::<[u8; 335], [u8; nsCSSPropertyID::eCSSProperty_outline_width as usize]>([0; 335]); // outline-width
    std::mem::transmute::<[u8; 336], [u8; nsCSSPropertyID::eCSSProperty_padding_block_end as usize]>([0; 336]); // padding-block-end
    std::mem::transmute::<[u8; 337], [u8; nsCSSPropertyID::eCSSProperty_padding_block_start as usize]>([0; 337]); // padding-block-start
    std::mem::transmute::<[u8; 338], [u8; nsCSSPropertyID::eCSSProperty_padding_bottom as usize]>([0; 338]); // padding-bottom
    std::mem::transmute::<[u8; 339], [u8; nsCSSPropertyID::eCSSProperty_padding_inline_end as usize]>([0; 339]); // padding-inline-end
    std::mem::transmute::<[u8; 340], [u8; nsCSSPropertyID::eCSSProperty_padding_inline_start as usize]>([0; 340]); // padding-inline-start
    std::mem::transmute::<[u8; 341], [u8; nsCSSPropertyID::eCSSProperty_padding_left as usize]>([0; 341]); // padding-left
    std::mem::transmute::<[u8; 342], [u8; nsCSSPropertyID::eCSSProperty_padding_right as usize]>([0; 342]); // padding-right
    std::mem::transmute::<[u8; 343], [u8; nsCSSPropertyID::eCSSProperty_padding_top as usize]>([0; 343]); // padding-top
    std::mem::transmute::<[u8; 344], [u8; nsCSSPropertyID::eCSSProperty_r as usize]>([0; 344]); // r
    std::mem::transmute::<[u8; 345], [u8; nsCSSPropertyID::eCSSProperty_shape_margin as usize]>([0; 345]); // shape-margin
    std::mem::transmute::<[u8; 346], [u8; nsCSSPropertyID::eCSSProperty_rx as usize]>([0; 346]); // rx
    std::mem::transmute::<[u8; 347], [u8; nsCSSPropertyID::eCSSProperty_ry as usize]>([0; 347]); // ry
    std::mem::transmute::<[u8; 348], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_block_end as usize]>([0; 348]); // scroll-padding-block-end
    std::mem::transmute::<[u8; 349], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_block_start as usize]>([0; 349]); // scroll-padding-block-start
    std::mem::transmute::<[u8; 350], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_bottom as usize]>([0; 350]); // scroll-padding-bottom
    std::mem::transmute::<[u8; 351], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_inline_end as usize]>([0; 351]); // scroll-padding-inline-end
    std::mem::transmute::<[u8; 352], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_inline_start as usize]>([0; 352]); // scroll-padding-inline-start
    std::mem::transmute::<[u8; 353], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_left as usize]>([0; 353]); // scroll-padding-left
    std::mem::transmute::<[u8; 354], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_right as usize]>([0; 354]); // scroll-padding-right
    std::mem::transmute::<[u8; 355], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_top as usize]>([0; 355]); // scroll-padding-top
    std::mem::transmute::<[u8; 356], [u8; nsCSSPropertyID::eCSSProperty__moz_window_input_region_margin as usize]>([0; 356]); // -moz-window-input-region-margin
    std::mem::transmute::<[u8; 357], [u8; nsCSSPropertyID::eCSSProperty_outline_offset as usize]>([0; 357]); // outline-offset
    std::mem::transmute::<[u8; 358], [u8; nsCSSPropertyID::eCSSProperty_overflow_clip_margin as usize]>([0; 358]); // overflow-clip-margin
    std::mem::transmute::<[u8; 359], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_block_end as usize]>([0; 359]); // scroll-margin-block-end
    std::mem::transmute::<[u8; 360], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_block_start as usize]>([0; 360]); // scroll-margin-block-start
    std::mem::transmute::<[u8; 361], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_bottom as usize]>([0; 361]); // scroll-margin-bottom
    std::mem::transmute::<[u8; 362], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_inline_end as usize]>([0; 362]); // scroll-margin-inline-end
    std::mem::transmute::<[u8; 363], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_inline_start as usize]>([0; 363]); // scroll-margin-inline-start
    std::mem::transmute::<[u8; 364], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_left as usize]>([0; 364]); // scroll-margin-left
    std::mem::transmute::<[u8; 365], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_right as usize]>([0; 365]); // scroll-margin-right
    std::mem::transmute::<[u8; 366], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_top as usize]>([0; 366]); // scroll-margin-top
    std::mem::transmute::<[u8; 367], [u8; nsCSSPropertyID::eCSSProperty_bottom as usize]>([0; 367]); // bottom
    std::mem::transmute::<[u8; 368], [u8; nsCSSPropertyID::eCSSProperty_inset_block_end as usize]>([0; 368]); // inset-block-end
    std::mem::transmute::<[u8; 369], [u8; nsCSSPropertyID::eCSSProperty_inset_block_start as usize]>([0; 369]); // inset-block-start
    std::mem::transmute::<[u8; 370], [u8; nsCSSPropertyID::eCSSProperty_inset_inline_end as usize]>([0; 370]); // inset-inline-end
    std::mem::transmute::<[u8; 371], [u8; nsCSSPropertyID::eCSSProperty_inset_inline_start as usize]>([0; 371]); // inset-inline-start
    std::mem::transmute::<[u8; 372], [u8; nsCSSPropertyID::eCSSProperty_left as usize]>([0; 372]); // left
    std::mem::transmute::<[u8; 373], [u8; nsCSSPropertyID::eCSSProperty_margin_block_end as usize]>([0; 373]); // margin-block-end
    std::mem::transmute::<[u8; 374], [u8; nsCSSPropertyID::eCSSProperty_margin_block_start as usize]>([0; 374]); // margin-block-start
    std::mem::transmute::<[u8; 375], [u8; nsCSSPropertyID::eCSSProperty_margin_bottom as usize]>([0; 375]); // margin-bottom
    std::mem::transmute::<[u8; 376], [u8; nsCSSPropertyID::eCSSProperty_margin_inline_end as usize]>([0; 376]); // margin-inline-end
    std::mem::transmute::<[u8; 377], [u8; nsCSSPropertyID::eCSSProperty_margin_inline_start as usize]>([0; 377]); // margin-inline-start
    std::mem::transmute::<[u8; 378], [u8; nsCSSPropertyID::eCSSProperty_margin_left as usize]>([0; 378]); // margin-left
    std::mem::transmute::<[u8; 379], [u8; nsCSSPropertyID::eCSSProperty_margin_right as usize]>([0; 379]); // margin-right
    std::mem::transmute::<[u8; 380], [u8; nsCSSPropertyID::eCSSProperty_margin_top as usize]>([0; 380]); // margin-top
    std::mem::transmute::<[u8; 381], [u8; nsCSSPropertyID::eCSSProperty_right as usize]>([0; 381]); // right
    std::mem::transmute::<[u8; 382], [u8; nsCSSPropertyID::eCSSProperty_text_underline_offset as usize]>([0; 382]); // text-underline-offset
    std::mem::transmute::<[u8; 383], [u8; nsCSSPropertyID::eCSSProperty_top as usize]>([0; 383]); // top
    std::mem::transmute::<[u8; 384], [u8; nsCSSPropertyID::eCSSProperty_background_color as usize]>([0; 384]); // background-color
    std::mem::transmute::<[u8; 385], [u8; nsCSSPropertyID::eCSSProperty_border_block_end_color as usize]>([0; 385]); // border-block-end-color
    std::mem::transmute::<[u8; 386], [u8; nsCSSPropertyID::eCSSProperty_border_block_start_color as usize]>([0; 386]); // border-block-start-color
    std::mem::transmute::<[u8; 387], [u8; nsCSSPropertyID::eCSSProperty_border_bottom_color as usize]>([0; 387]); // border-bottom-color
    std::mem::transmute::<[u8; 388], [u8; nsCSSPropertyID::eCSSProperty_border_inline_end_color as usize]>([0; 388]); // border-inline-end-color
    std::mem::transmute::<[u8; 389], [u8; nsCSSPropertyID::eCSSProperty_border_inline_start_color as usize]>([0; 389]); // border-inline-start-color
    std::mem::transmute::<[u8; 390], [u8; nsCSSPropertyID::eCSSProperty_border_left_color as usize]>([0; 390]); // border-left-color
    std::mem::transmute::<[u8; 391], [u8; nsCSSPropertyID::eCSSProperty_border_right_color as usize]>([0; 391]); // border-right-color
    std::mem::transmute::<[u8; 392], [u8; nsCSSPropertyID::eCSSProperty_border_top_color as usize]>([0; 392]); // border-top-color
    std::mem::transmute::<[u8; 393], [u8; nsCSSPropertyID::eCSSProperty_column_rule_color as usize]>([0; 393]); // column-rule-color
    std::mem::transmute::<[u8; 394], [u8; nsCSSPropertyID::eCSSProperty_flood_color as usize]>([0; 394]); // flood-color
    std::mem::transmute::<[u8; 395], [u8; nsCSSPropertyID::eCSSProperty_lighting_color as usize]>([0; 395]); // lighting-color
    std::mem::transmute::<[u8; 396], [u8; nsCSSPropertyID::eCSSProperty_outline_color as usize]>([0; 396]); // outline-color
    std::mem::transmute::<[u8; 397], [u8; nsCSSPropertyID::eCSSProperty_stop_color as usize]>([0; 397]); // stop-color
    std::mem::transmute::<[u8; 398], [u8; nsCSSPropertyID::eCSSProperty_text_decoration_color as usize]>([0; 398]); // text-decoration-color
    std::mem::transmute::<[u8; 399], [u8; nsCSSPropertyID::eCSSProperty_text_emphasis_color as usize]>([0; 399]); // text-emphasis-color
    std::mem::transmute::<[u8; 400], [u8; nsCSSPropertyID::eCSSProperty__webkit_text_fill_color as usize]>([0; 400]); // -webkit-text-fill-color
    std::mem::transmute::<[u8; 401], [u8; nsCSSPropertyID::eCSSProperty__webkit_text_stroke_color as usize]>([0; 401]); // -webkit-text-stroke-color
    std::mem::transmute::<[u8; 402], [u8; nsCSSPropertyID::eCSSProperty_background as usize]>([0; 402]); // background
    std::mem::transmute::<[u8; 403], [u8; nsCSSPropertyID::eCSSProperty_background_position as usize]>([0; 403]); // background-position
    std::mem::transmute::<[u8; 404], [u8; nsCSSPropertyID::eCSSProperty_border_color as usize]>([0; 404]); // border-color
    std::mem::transmute::<[u8; 405], [u8; nsCSSPropertyID::eCSSProperty_border_style as usize]>([0; 405]); // border-style
    std::mem::transmute::<[u8; 406], [u8; nsCSSPropertyID::eCSSProperty_border_width as usize]>([0; 406]); // border-width
    std::mem::transmute::<[u8; 407], [u8; nsCSSPropertyID::eCSSProperty_border_top as usize]>([0; 407]); // border-top
    std::mem::transmute::<[u8; 408], [u8; nsCSSPropertyID::eCSSProperty_border_right as usize]>([0; 408]); // border-right
    std::mem::transmute::<[u8; 409], [u8; nsCSSPropertyID::eCSSProperty_border_bottom as usize]>([0; 409]); // border-bottom
    std::mem::transmute::<[u8; 410], [u8; nsCSSPropertyID::eCSSProperty_border_left as usize]>([0; 410]); // border-left
    std::mem::transmute::<[u8; 411], [u8; nsCSSPropertyID::eCSSProperty_border_block_start as usize]>([0; 411]); // border-block-start
    std::mem::transmute::<[u8; 412], [u8; nsCSSPropertyID::eCSSProperty_border_block_end as usize]>([0; 412]); // border-block-end
    std::mem::transmute::<[u8; 413], [u8; nsCSSPropertyID::eCSSProperty_border_inline_start as usize]>([0; 413]); // border-inline-start
    std::mem::transmute::<[u8; 414], [u8; nsCSSPropertyID::eCSSProperty_border_inline_end as usize]>([0; 414]); // border-inline-end
    std::mem::transmute::<[u8; 415], [u8; nsCSSPropertyID::eCSSProperty_border as usize]>([0; 415]); // border
    std::mem::transmute::<[u8; 416], [u8; nsCSSPropertyID::eCSSProperty_border_radius as usize]>([0; 416]); // border-radius
    std::mem::transmute::<[u8; 417], [u8; nsCSSPropertyID::eCSSProperty_border_image as usize]>([0; 417]); // border-image
    std::mem::transmute::<[u8; 418], [u8; nsCSSPropertyID::eCSSProperty_border_block_width as usize]>([0; 418]); // border-block-width
    std::mem::transmute::<[u8; 419], [u8; nsCSSPropertyID::eCSSProperty_border_block_style as usize]>([0; 419]); // border-block-style
    std::mem::transmute::<[u8; 420], [u8; nsCSSPropertyID::eCSSProperty_border_block_color as usize]>([0; 420]); // border-block-color
    std::mem::transmute::<[u8; 421], [u8; nsCSSPropertyID::eCSSProperty_border_inline_width as usize]>([0; 421]); // border-inline-width
    std::mem::transmute::<[u8; 422], [u8; nsCSSPropertyID::eCSSProperty_border_inline_style as usize]>([0; 422]); // border-inline-style
    std::mem::transmute::<[u8; 423], [u8; nsCSSPropertyID::eCSSProperty_border_inline_color as usize]>([0; 423]); // border-inline-color
    std::mem::transmute::<[u8; 424], [u8; nsCSSPropertyID::eCSSProperty_border_block as usize]>([0; 424]); // border-block
    std::mem::transmute::<[u8; 425], [u8; nsCSSPropertyID::eCSSProperty_border_inline as usize]>([0; 425]); // border-inline
    std::mem::transmute::<[u8; 426], [u8; nsCSSPropertyID::eCSSProperty_overflow as usize]>([0; 426]); // overflow
    std::mem::transmute::<[u8; 427], [u8; nsCSSPropertyID::eCSSProperty_overflow_clip_box as usize]>([0; 427]); // overflow-clip-box
    std::mem::transmute::<[u8; 428], [u8; nsCSSPropertyID::eCSSProperty_overscroll_behavior as usize]>([0; 428]); // overscroll-behavior
    std::mem::transmute::<[u8; 429], [u8; nsCSSPropertyID::eCSSProperty_container as usize]>([0; 429]); // container
    std::mem::transmute::<[u8; 430], [u8; nsCSSPropertyID::eCSSProperty_page_break_before as usize]>([0; 430]); // page-break-before
    std::mem::transmute::<[u8; 431], [u8; nsCSSPropertyID::eCSSProperty_page_break_after as usize]>([0; 431]); // page-break-after
    std::mem::transmute::<[u8; 432], [u8; nsCSSPropertyID::eCSSProperty_page_break_inside as usize]>([0; 432]); // page-break-inside
    std::mem::transmute::<[u8; 433], [u8; nsCSSPropertyID::eCSSProperty_offset as usize]>([0; 433]); // offset
    std::mem::transmute::<[u8; 434], [u8; nsCSSPropertyID::eCSSProperty_zoom as usize]>([0; 434]); // zoom
    std::mem::transmute::<[u8; 435], [u8; nsCSSPropertyID::eCSSProperty_columns as usize]>([0; 435]); // columns
    std::mem::transmute::<[u8; 436], [u8; nsCSSPropertyID::eCSSProperty_column_rule as usize]>([0; 436]); // column-rule
    std::mem::transmute::<[u8; 437], [u8; nsCSSPropertyID::eCSSProperty_font as usize]>([0; 437]); // font
    std::mem::transmute::<[u8; 438], [u8; nsCSSPropertyID::eCSSProperty_font_variant as usize]>([0; 438]); // font-variant
    std::mem::transmute::<[u8; 439], [u8; nsCSSPropertyID::eCSSProperty_font_synthesis as usize]>([0; 439]); // font-synthesis
    std::mem::transmute::<[u8; 440], [u8; nsCSSPropertyID::eCSSProperty_marker as usize]>([0; 440]); // marker
    std::mem::transmute::<[u8; 441], [u8; nsCSSPropertyID::eCSSProperty_text_emphasis as usize]>([0; 441]); // text-emphasis
    std::mem::transmute::<[u8; 442], [u8; nsCSSPropertyID::eCSSProperty__webkit_text_stroke as usize]>([0; 442]); // -webkit-text-stroke
    std::mem::transmute::<[u8; 443], [u8; nsCSSPropertyID::eCSSProperty_list_style as usize]>([0; 443]); // list-style
    std::mem::transmute::<[u8; 444], [u8; nsCSSPropertyID::eCSSProperty_margin as usize]>([0; 444]); // margin
    std::mem::transmute::<[u8; 445], [u8; nsCSSPropertyID::eCSSProperty_margin_block as usize]>([0; 445]); // margin-block
    std::mem::transmute::<[u8; 446], [u8; nsCSSPropertyID::eCSSProperty_margin_inline as usize]>([0; 446]); // margin-inline
    std::mem::transmute::<[u8; 447], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin as usize]>([0; 447]); // scroll-margin
    std::mem::transmute::<[u8; 448], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_block as usize]>([0; 448]); // scroll-margin-block
    std::mem::transmute::<[u8; 449], [u8; nsCSSPropertyID::eCSSProperty_scroll_margin_inline as usize]>([0; 449]); // scroll-margin-inline
    std::mem::transmute::<[u8; 450], [u8; nsCSSPropertyID::eCSSProperty_outline as usize]>([0; 450]); // outline
    std::mem::transmute::<[u8; 451], [u8; nsCSSPropertyID::eCSSProperty_padding as usize]>([0; 451]); // padding
    std::mem::transmute::<[u8; 452], [u8; nsCSSPropertyID::eCSSProperty_padding_block as usize]>([0; 452]); // padding-block
    std::mem::transmute::<[u8; 453], [u8; nsCSSPropertyID::eCSSProperty_padding_inline as usize]>([0; 453]); // padding-inline
    std::mem::transmute::<[u8; 454], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding as usize]>([0; 454]); // scroll-padding
    std::mem::transmute::<[u8; 455], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_block as usize]>([0; 455]); // scroll-padding-block
    std::mem::transmute::<[u8; 456], [u8; nsCSSPropertyID::eCSSProperty_scroll_padding_inline as usize]>([0; 456]); // scroll-padding-inline
    std::mem::transmute::<[u8; 457], [u8; nsCSSPropertyID::eCSSProperty_flex_flow as usize]>([0; 457]); // flex-flow
    std::mem::transmute::<[u8; 458], [u8; nsCSSPropertyID::eCSSProperty_flex as usize]>([0; 458]); // flex
    std::mem::transmute::<[u8; 459], [u8; nsCSSPropertyID::eCSSProperty_gap as usize]>([0; 459]); // gap
    std::mem::transmute::<[u8; 460], [u8; nsCSSPropertyID::eCSSProperty_grid_row as usize]>([0; 460]); // grid-row
    std::mem::transmute::<[u8; 461], [u8; nsCSSPropertyID::eCSSProperty_grid_column as usize]>([0; 461]); // grid-column
    std::mem::transmute::<[u8; 462], [u8; nsCSSPropertyID::eCSSProperty_grid_area as usize]>([0; 462]); // grid-area
    std::mem::transmute::<[u8; 463], [u8; nsCSSPropertyID::eCSSProperty_grid_template as usize]>([0; 463]); // grid-template
    std::mem::transmute::<[u8; 464], [u8; nsCSSPropertyID::eCSSProperty_grid as usize]>([0; 464]); // grid
    std::mem::transmute::<[u8; 465], [u8; nsCSSPropertyID::eCSSProperty_place_content as usize]>([0; 465]); // place-content
    std::mem::transmute::<[u8; 466], [u8; nsCSSPropertyID::eCSSProperty_place_self as usize]>([0; 466]); // place-self
    std::mem::transmute::<[u8; 467], [u8; nsCSSPropertyID::eCSSProperty_place_items as usize]>([0; 467]); // place-items
    std::mem::transmute::<[u8; 468], [u8; nsCSSPropertyID::eCSSProperty_inset as usize]>([0; 468]); // inset
    std::mem::transmute::<[u8; 469], [u8; nsCSSPropertyID::eCSSProperty_inset_block as usize]>([0; 469]); // inset-block
    std::mem::transmute::<[u8; 470], [u8; nsCSSPropertyID::eCSSProperty_inset_inline as usize]>([0; 470]); // inset-inline
    std::mem::transmute::<[u8; 471], [u8; nsCSSPropertyID::eCSSProperty_contain_intrinsic_size as usize]>([0; 471]); // contain-intrinsic-size
    std::mem::transmute::<[u8; 472], [u8; nsCSSPropertyID::eCSSProperty_mask as usize]>([0; 472]); // mask
    std::mem::transmute::<[u8; 473], [u8; nsCSSPropertyID::eCSSProperty_mask_position as usize]>([0; 473]); // mask-position
    std::mem::transmute::<[u8; 474], [u8; nsCSSPropertyID::eCSSProperty_text_decoration as usize]>([0; 474]); // text-decoration
    std::mem::transmute::<[u8; 475], [u8; nsCSSPropertyID::eCSSProperty_transition as usize]>([0; 475]); // transition
    std::mem::transmute::<[u8; 476], [u8; nsCSSPropertyID::eCSSProperty_animation as usize]>([0; 476]); // animation
    std::mem::transmute::<[u8; 477], [u8; nsCSSPropertyID::eCSSProperty_scroll_timeline as usize]>([0; 477]); // scroll-timeline
    std::mem::transmute::<[u8; 478], [u8; nsCSSPropertyID::eCSSProperty_view_timeline as usize]>([0; 478]); // view-timeline
    std::mem::transmute::<[u8; 479], [u8; nsCSSPropertyID::eCSSProperty_all as usize]>([0; 479]); // all
    std::mem::transmute::<[u8; 480], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_background_clip as usize]>([0; 480]); // -webkit-background-clip
    std::mem::transmute::<[u8; 481], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_background_origin as usize]>([0; 481]); // -webkit-background-origin
    std::mem::transmute::<[u8; 482], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_background_size as usize]>([0; 482]); // -webkit-background-size
    std::mem::transmute::<[u8; 483], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_start_color as usize]>([0; 483]); // -moz-border-start-color
    std::mem::transmute::<[u8; 484], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_start_style as usize]>([0; 484]); // -moz-border-start-style
    std::mem::transmute::<[u8; 485], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_start_width as usize]>([0; 485]); // -moz-border-start-width
    std::mem::transmute::<[u8; 486], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_end_color as usize]>([0; 486]); // -moz-border-end-color
    std::mem::transmute::<[u8; 487], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_end_style as usize]>([0; 487]); // -moz-border-end-style
    std::mem::transmute::<[u8; 488], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_end_width as usize]>([0; 488]); // -moz-border-end-width
    std::mem::transmute::<[u8; 489], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_border_top_left_radius as usize]>([0; 489]); // -webkit-border-top-left-radius
    std::mem::transmute::<[u8; 490], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_border_top_right_radius as usize]>([0; 490]); // -webkit-border-top-right-radius
    std::mem::transmute::<[u8; 491], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_border_bottom_right_radius as usize]>([0; 491]); // -webkit-border-bottom-right-radius
    std::mem::transmute::<[u8; 492], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_border_bottom_left_radius as usize]>([0; 492]); // -webkit-border-bottom-left-radius
    std::mem::transmute::<[u8; 493], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transform as usize]>([0; 493]); // -moz-transform
    std::mem::transmute::<[u8; 494], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transform as usize]>([0; 494]); // -webkit-transform
    std::mem::transmute::<[u8; 495], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_perspective as usize]>([0; 495]); // -moz-perspective
    std::mem::transmute::<[u8; 496], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_perspective as usize]>([0; 496]); // -webkit-perspective
    std::mem::transmute::<[u8; 497], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_perspective_origin as usize]>([0; 497]); // -moz-perspective-origin
    std::mem::transmute::<[u8; 498], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_perspective_origin as usize]>([0; 498]); // -webkit-perspective-origin
    std::mem::transmute::<[u8; 499], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_backface_visibility as usize]>([0; 499]); // -moz-backface-visibility
    std::mem::transmute::<[u8; 500], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_backface_visibility as usize]>([0; 500]); // -webkit-backface-visibility
    std::mem::transmute::<[u8; 501], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transform_style as usize]>([0; 501]); // -moz-transform-style
    std::mem::transmute::<[u8; 502], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transform_style as usize]>([0; 502]); // -webkit-transform-style
    std::mem::transmute::<[u8; 503], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transform_origin as usize]>([0; 503]); // -moz-transform-origin
    std::mem::transmute::<[u8; 504], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transform_origin as usize]>([0; 504]); // -webkit-transform-origin
    std::mem::transmute::<[u8; 505], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_appearance as usize]>([0; 505]); // -moz-appearance
    std::mem::transmute::<[u8; 506], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_appearance as usize]>([0; 506]); // -webkit-appearance
    std::mem::transmute::<[u8; 507], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_shadow as usize]>([0; 507]); // -webkit-box-shadow
    std::mem::transmute::<[u8; 508], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_filter as usize]>([0; 508]); // -webkit-filter
    std::mem::transmute::<[u8; 509], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_font_feature_settings as usize]>([0; 509]); // -moz-font-feature-settings
    std::mem::transmute::<[u8; 510], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_font_language_override as usize]>([0; 510]); // -moz-font-language-override
    std::mem::transmute::<[u8; 511], [u8; nsCSSPropertyID::eCSSPropertyAlias_color_adjust as usize]>([0; 511]); // color-adjust
    std::mem::transmute::<[u8; 512], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_hyphens as usize]>([0; 512]); // -moz-hyphens
    std::mem::transmute::<[u8; 513], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_text_size_adjust as usize]>([0; 513]); // -webkit-text-size-adjust
    std::mem::transmute::<[u8; 514], [u8; nsCSSPropertyID::eCSSPropertyAlias_word_wrap as usize]>([0; 514]); // word-wrap
    std::mem::transmute::<[u8; 515], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_tab_size as usize]>([0; 515]); // -moz-tab-size
    std::mem::transmute::<[u8; 516], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_margin_start as usize]>([0; 516]); // -moz-margin-start
    std::mem::transmute::<[u8; 517], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_margin_end as usize]>([0; 517]); // -moz-margin-end
    std::mem::transmute::<[u8; 518], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_padding_start as usize]>([0; 518]); // -moz-padding-start
    std::mem::transmute::<[u8; 519], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_padding_end as usize]>([0; 519]); // -moz-padding-end
    std::mem::transmute::<[u8; 520], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex_direction as usize]>([0; 520]); // -webkit-flex-direction
    std::mem::transmute::<[u8; 521], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex_wrap as usize]>([0; 521]); // -webkit-flex-wrap
    std::mem::transmute::<[u8; 522], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_justify_content as usize]>([0; 522]); // -webkit-justify-content
    std::mem::transmute::<[u8; 523], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_align_content as usize]>([0; 523]); // -webkit-align-content
    std::mem::transmute::<[u8; 524], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_align_items as usize]>([0; 524]); // -webkit-align-items
    std::mem::transmute::<[u8; 525], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex_grow as usize]>([0; 525]); // -webkit-flex-grow
    std::mem::transmute::<[u8; 526], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex_shrink as usize]>([0; 526]); // -webkit-flex-shrink
    std::mem::transmute::<[u8; 527], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_align_self as usize]>([0; 527]); // -webkit-align-self
    std::mem::transmute::<[u8; 528], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_order as usize]>([0; 528]); // -webkit-order
    std::mem::transmute::<[u8; 529], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex_basis as usize]>([0; 529]); // -webkit-flex-basis
    std::mem::transmute::<[u8; 530], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_box_sizing as usize]>([0; 530]); // -moz-box-sizing
    std::mem::transmute::<[u8; 531], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_sizing as usize]>([0; 531]); // -webkit-box-sizing
    std::mem::transmute::<[u8; 532], [u8; nsCSSPropertyID::eCSSPropertyAlias_grid_column_gap as usize]>([0; 532]); // grid-column-gap
    std::mem::transmute::<[u8; 533], [u8; nsCSSPropertyID::eCSSPropertyAlias_grid_row_gap as usize]>([0; 533]); // grid-row-gap
    std::mem::transmute::<[u8; 534], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_clip_path as usize]>([0; 534]); // -webkit-clip-path
    std::mem::transmute::<[u8; 535], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_repeat as usize]>([0; 535]); // -webkit-mask-repeat
    std::mem::transmute::<[u8; 536], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_position_x as usize]>([0; 536]); // -webkit-mask-position-x
    std::mem::transmute::<[u8; 537], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_position_y as usize]>([0; 537]); // -webkit-mask-position-y
    std::mem::transmute::<[u8; 538], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_clip as usize]>([0; 538]); // -webkit-mask-clip
    std::mem::transmute::<[u8; 539], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_origin as usize]>([0; 539]); // -webkit-mask-origin
    std::mem::transmute::<[u8; 540], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_size as usize]>([0; 540]); // -webkit-mask-size
    std::mem::transmute::<[u8; 541], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_composite as usize]>([0; 541]); // -webkit-mask-composite
    std::mem::transmute::<[u8; 542], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_image as usize]>([0; 542]); // -webkit-mask-image
    std::mem::transmute::<[u8; 543], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_user_select as usize]>([0; 543]); // -moz-user-select
    std::mem::transmute::<[u8; 544], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_user_select as usize]>([0; 544]); // -webkit-user-select
    std::mem::transmute::<[u8; 545], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transition_duration as usize]>([0; 545]); // -moz-transition-duration
    std::mem::transmute::<[u8; 546], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transition_duration as usize]>([0; 546]); // -webkit-transition-duration
    std::mem::transmute::<[u8; 547], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transition_timing_function as usize]>([0; 547]); // -moz-transition-timing-function
    std::mem::transmute::<[u8; 548], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transition_timing_function as usize]>([0; 548]); // -webkit-transition-timing-function
    std::mem::transmute::<[u8; 549], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transition_property as usize]>([0; 549]); // -moz-transition-property
    std::mem::transmute::<[u8; 550], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transition_property as usize]>([0; 550]); // -webkit-transition-property
    std::mem::transmute::<[u8; 551], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transition_delay as usize]>([0; 551]); // -moz-transition-delay
    std::mem::transmute::<[u8; 552], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transition_delay as usize]>([0; 552]); // -webkit-transition-delay
    std::mem::transmute::<[u8; 553], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_name as usize]>([0; 553]); // -moz-animation-name
    std::mem::transmute::<[u8; 554], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_name as usize]>([0; 554]); // -webkit-animation-name
    std::mem::transmute::<[u8; 555], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_duration as usize]>([0; 555]); // -moz-animation-duration
    std::mem::transmute::<[u8; 556], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_duration as usize]>([0; 556]); // -webkit-animation-duration
    std::mem::transmute::<[u8; 557], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_timing_function as usize]>([0; 557]); // -moz-animation-timing-function
    std::mem::transmute::<[u8; 558], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_timing_function as usize]>([0; 558]); // -webkit-animation-timing-function
    std::mem::transmute::<[u8; 559], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_iteration_count as usize]>([0; 559]); // -moz-animation-iteration-count
    std::mem::transmute::<[u8; 560], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_iteration_count as usize]>([0; 560]); // -webkit-animation-iteration-count
    std::mem::transmute::<[u8; 561], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_direction as usize]>([0; 561]); // -moz-animation-direction
    std::mem::transmute::<[u8; 562], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_direction as usize]>([0; 562]); // -webkit-animation-direction
    std::mem::transmute::<[u8; 563], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_play_state as usize]>([0; 563]); // -moz-animation-play-state
    std::mem::transmute::<[u8; 564], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_play_state as usize]>([0; 564]); // -webkit-animation-play-state
    std::mem::transmute::<[u8; 565], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_fill_mode as usize]>([0; 565]); // -moz-animation-fill-mode
    std::mem::transmute::<[u8; 566], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_fill_mode as usize]>([0; 566]); // -webkit-animation-fill-mode
    std::mem::transmute::<[u8; 567], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation_delay as usize]>([0; 567]); // -moz-animation-delay
    std::mem::transmute::<[u8; 568], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation_delay as usize]>([0; 568]); // -webkit-animation-delay
    std::mem::transmute::<[u8; 569], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_align as usize]>([0; 569]); // -webkit-box-align
    std::mem::transmute::<[u8; 570], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_direction as usize]>([0; 570]); // -webkit-box-direction
    std::mem::transmute::<[u8; 571], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_flex as usize]>([0; 571]); // -webkit-box-flex
    std::mem::transmute::<[u8; 572], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_orient as usize]>([0; 572]); // -webkit-box-orient
    std::mem::transmute::<[u8; 573], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_pack as usize]>([0; 573]); // -webkit-box-pack
    std::mem::transmute::<[u8; 574], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_box_ordinal_group as usize]>([0; 574]); // -webkit-box-ordinal-group
    std::mem::transmute::<[u8; 575], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_start as usize]>([0; 575]); // -moz-border-start
    std::mem::transmute::<[u8; 576], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_end as usize]>([0; 576]); // -moz-border-end
    std::mem::transmute::<[u8; 577], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_border_radius as usize]>([0; 577]); // -webkit-border-radius
    std::mem::transmute::<[u8; 578], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_border_image as usize]>([0; 578]); // -moz-border-image
    std::mem::transmute::<[u8; 579], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_border_image as usize]>([0; 579]); // -webkit-border-image
    std::mem::transmute::<[u8; 580], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex_flow as usize]>([0; 580]); // -webkit-flex-flow
    std::mem::transmute::<[u8; 581], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_flex as usize]>([0; 581]); // -webkit-flex
    std::mem::transmute::<[u8; 582], [u8; nsCSSPropertyID::eCSSPropertyAlias_grid_gap as usize]>([0; 582]); // grid-gap
    std::mem::transmute::<[u8; 583], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask as usize]>([0; 583]); // -webkit-mask
    std::mem::transmute::<[u8; 584], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_mask_position as usize]>([0; 584]); // -webkit-mask-position
    std::mem::transmute::<[u8; 585], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_transition as usize]>([0; 585]); // -moz-transition
    std::mem::transmute::<[u8; 586], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_transition as usize]>([0; 586]); // -webkit-transition
    std::mem::transmute::<[u8; 587], [u8; nsCSSPropertyID::eCSSPropertyAlias__moz_animation as usize]>([0; 587]); // -moz-animation
    std::mem::transmute::<[u8; 588], [u8; nsCSSPropertyID::eCSSPropertyAlias__webkit_animation as usize]>([0; 588]); // -webkit-animation
}

impl NonCustomPropertyId {
    /// Returns the underlying index, used for use counter.
    pub fn bit(self) -> usize {
        self.0
    }

    /// Convert a `NonCustomPropertyId` into a `nsCSSPropertyID`.
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn to_nscsspropertyid(self) -> nsCSSPropertyID {
        // unsafe: guaranteed by static_assert_nscsspropertyid above.
        unsafe { std::mem::transmute(self.0 as i32) }
    }

    /// Convert an `nsCSSPropertyID` into a `NonCustomPropertyId`.
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn from_nscsspropertyid(prop: nsCSSPropertyID) -> Result<Self, ()> {
        let prop = prop as i32;
        if prop < 0 {
            return Err(());
        }
        if prop >= NON_CUSTOM_PROPERTY_ID_COUNT as i32 {
            return Err(());
        }
        // unsafe: guaranteed by static_assert_nscsspropertyid above.
        Ok(unsafe { std::mem::transmute(prop as usize) })
    }

    /// Get the property name.
    #[inline]
    pub fn name(self) -> &'static str {
        static MAP: [&'static str; NON_CUSTOM_PROPERTY_ID_COUNT] = [
            "align-content",
            "align-items",
            "align-self",
            "aspect-ratio",
            "backface-visibility",
            "baseline-source",
            "border-collapse",
            "border-image-repeat",
            "box-decoration-break",
            "box-sizing",
            "break-inside",
            "caption-side",
            "clear",
            "color-interpolation",
            "color-interpolation-filters",
            "column-count",
            "column-fill",
            "column-span",
            "contain",
            "container-type",
            "content-visibility",
            "direction",
            "display",
            "dominant-baseline",
            "empty-cells",
            "flex-direction",
            "flex-wrap",
            "float",
            "font-kerning",
            "font-language-override",
            "font-optical-sizing",
            "font-size-adjust",
            "font-stretch",
            "font-style",
            "font-variant-caps",
            "font-variant-east-asian",
            "font-variant-emoji",
            "font-variant-ligatures",
            "font-variant-numeric",
            "font-variant-position",
            "font-weight",
            "forced-color-adjust",
            "grid-auto-flow",
            "hyphens",
            "image-orientation",
            "image-rendering",
            "ime-mode",
            "initial-letter",
            "isolation",
            "justify-content",
            "justify-items",
            "justify-self",
            "line-break",
            "list-style-position",
            "mask-type",
            "masonry-auto-flow",
            "math-depth",
            "math-style",
            "mix-blend-mode",
            "-moz-box-align",
            "-moz-box-collapse",
            "-moz-box-direction",
            "-moz-box-orient",
            "-moz-box-pack",
            "-moz-control-character-visibility",
            "-moz-float-edge",
            "-moz-inert",
            "-moz-math-variant",
            "-moz-min-font-size-ratio",
            "-moz-orient",
            "-moz-osx-font-smoothing",
            "-moz-script-min-size",
            "-moz-script-size-multiplier",
            "-moz-text-size-adjust",
            "-moz-top-layer",
            "-moz-user-focus",
            "-moz-user-input",
            "-moz-user-modify",
            "-moz-window-dragging",
            "-moz-window-shadow",
            "object-fit",
            "offset-rotate",
            "outline-style",
            "overflow-anchor",
            "overflow-wrap",
            "page-orientation",
            "paint-order",
            "pointer-events",
            "position",
            "print-color-adjust",
            "resize",
            "ruby-align",
            "ruby-position",
            "scroll-behavior",
            "scroll-snap-align",
            "scroll-snap-stop",
            "scroll-snap-type",
            "scrollbar-gutter",
            "scrollbar-width",
            "shape-rendering",
            "stroke-linecap",
            "stroke-linejoin",
            "table-layout",
            "text-align",
            "text-align-last",
            "text-anchor",
            "text-combine-upright",
            "text-decoration-line",
            "text-decoration-skip-ink",
            "text-decoration-style",
            "text-emphasis-position",
            "text-justify",
            "text-orientation",
            "text-rendering",
            "text-transform",
            "text-underline-position",
            "touch-action",
            "transform-box",
            "transform-style",
            "unicode-bidi",
            "user-select",
            "vector-effect",
            "visibility",
            "-webkit-line-clamp",
            "-webkit-text-security",
            "white-space",
            "word-break",
            "writing-mode",
            "-x-text-scale",
            "z-index",
            "appearance",
            "-moz-default-appearance",
            "-moz-force-broken-image-icon",
            "-moz-subtree-hidden-only-visually",
            "break-after",
            "break-before",
            "clip-rule",
            "fill-rule",
            "overflow-clip-box-block",
            "overflow-clip-box-inline",
            "fill-opacity",
            "stroke-opacity",
            "font-synthesis-small-caps",
            "font-synthesis-style",
            "font-synthesis-weight",
            "-moz-box-ordinal-group",
            "order",
            "-x-span",
            "flex-grow",
            "flex-shrink",
            "-moz-box-flex",
            "stroke-miterlimit",
            "overflow-block",
            "overflow-inline",
            "overflow-x",
            "overflow-y",
            "overscroll-behavior-block",
            "overscroll-behavior-inline",
            "overscroll-behavior-x",
            "overscroll-behavior-y",
            "flood-opacity",
            "-moz-window-opacity",
            "opacity",
            "shape-image-threshold",
            "stop-opacity",
            "border-block-end-style",
            "border-block-start-style",
            "border-bottom-style",
            "border-inline-end-style",
            "border-inline-start-style",
            "border-left-style",
            "border-right-style",
            "border-top-style",
            "column-rule-style",
            "accent-color",
            "align-tracks",
            "animation-composition",
            "animation-delay",
            "animation-direction",
            "animation-duration",
            "animation-fill-mode",
            "animation-iteration-count",
            "animation-name",
            "animation-play-state",
            "animation-timeline",
            "animation-timing-function",
            "backdrop-filter",
            "background-attachment",
            "background-blend-mode",
            "background-clip",
            "background-image",
            "background-origin",
            "background-position-x",
            "background-position-y",
            "background-repeat",
            "background-size",
            "border-image-outset",
            "border-image-slice",
            "border-image-width",
            "border-spacing",
            "box-shadow",
            "caret-color",
            "clip",
            "clip-path",
            "color",
            "color-scheme",
            "column-width",
            "container-name",
            "content",
            "counter-increment",
            "counter-reset",
            "counter-set",
            "cursor",
            "d",
            "filter",
            "flex-basis",
            "font-family",
            "font-feature-settings",
            "font-palette",
            "font-size",
            "font-variant-alternates",
            "font-variation-settings",
            "grid-template-areas",
            "hyphenate-character",
            "justify-tracks",
            "letter-spacing",
            "line-height",
            "list-style-type",
            "mask-clip",
            "mask-composite",
            "mask-image",
            "mask-mode",
            "mask-origin",
            "mask-position-x",
            "mask-position-y",
            "mask-repeat",
            "mask-size",
            "-moz-context-properties",
            "-moz-font-smoothing-background-color",
            "offset-anchor",
            "offset-path",
            "offset-position",
            "page",
            "perspective",
            "quotes",
            "rotate",
            "scale",
            "scroll-timeline-axis",
            "scroll-timeline-name",
            "scrollbar-color",
            "shape-outside",
            "size",
            "stroke-dasharray",
            "stroke-dashoffset",
            "stroke-width",
            "tab-size",
            "text-decoration-thickness",
            "text-emphasis-style",
            "text-overflow",
            "text-shadow",
            "transition-delay",
            "transition-duration",
            "transition-property",
            "transition-timing-function",
            "translate",
            "vertical-align",
            "view-timeline-axis",
            "view-timeline-inset",
            "view-timeline-name",
            "-webkit-text-stroke-width",
            "will-change",
            "word-spacing",
            "-x-lang",
            "object-position",
            "perspective-origin",
            "fill",
            "stroke",
            "-moz-window-transform-origin",
            "transform-origin",
            "grid-template-columns",
            "grid-template-rows",
            "border-image-source",
            "list-style-image",
            "grid-auto-columns",
            "grid-auto-rows",
            "-moz-window-transform",
            "transform",
            "column-gap",
            "row-gap",
            "marker-end",
            "marker-mid",
            "marker-start",
            "contain-intrinsic-block-size",
            "contain-intrinsic-height",
            "contain-intrinsic-inline-size",
            "contain-intrinsic-width",
            "grid-column-end",
            "grid-column-start",
            "grid-row-end",
            "grid-row-start",
            "max-block-size",
            "max-height",
            "max-inline-size",
            "max-width",
            "cx",
            "cy",
            "offset-distance",
            "text-indent",
            "x",
            "y",
            "border-bottom-left-radius",
            "border-bottom-right-radius",
            "border-end-end-radius",
            "border-end-start-radius",
            "border-start-end-radius",
            "border-start-start-radius",
            "border-top-left-radius",
            "border-top-right-radius",
            "block-size",
            "height",
            "inline-size",
            "min-block-size",
            "min-height",
            "min-inline-size",
            "min-width",
            "width",
            "border-block-end-width",
            "border-block-start-width",
            "border-bottom-width",
            "border-inline-end-width",
            "border-inline-start-width",
            "border-left-width",
            "border-right-width",
            "border-top-width",
            "column-rule-width",
            "outline-width",
            "padding-block-end",
            "padding-block-start",
            "padding-bottom",
            "padding-inline-end",
            "padding-inline-start",
            "padding-left",
            "padding-right",
            "padding-top",
            "r",
            "shape-margin",
            "rx",
            "ry",
            "scroll-padding-block-end",
            "scroll-padding-block-start",
            "scroll-padding-bottom",
            "scroll-padding-inline-end",
            "scroll-padding-inline-start",
            "scroll-padding-left",
            "scroll-padding-right",
            "scroll-padding-top",
            "-moz-window-input-region-margin",
            "outline-offset",
            "overflow-clip-margin",
            "scroll-margin-block-end",
            "scroll-margin-block-start",
            "scroll-margin-bottom",
            "scroll-margin-inline-end",
            "scroll-margin-inline-start",
            "scroll-margin-left",
            "scroll-margin-right",
            "scroll-margin-top",
            "bottom",
            "inset-block-end",
            "inset-block-start",
            "inset-inline-end",
            "inset-inline-start",
            "left",
            "margin-block-end",
            "margin-block-start",
            "margin-bottom",
            "margin-inline-end",
            "margin-inline-start",
            "margin-left",
            "margin-right",
            "margin-top",
            "right",
            "text-underline-offset",
            "top",
            "background-color",
            "border-block-end-color",
            "border-block-start-color",
            "border-bottom-color",
            "border-inline-end-color",
            "border-inline-start-color",
            "border-left-color",
            "border-right-color",
            "border-top-color",
            "column-rule-color",
            "flood-color",
            "lighting-color",
            "outline-color",
            "stop-color",
            "text-decoration-color",
            "text-emphasis-color",
            "-webkit-text-fill-color",
            "-webkit-text-stroke-color",
            "background",
            "background-position",
            "border-color",
            "border-style",
            "border-width",
            "border-top",
            "border-right",
            "border-bottom",
            "border-left",
            "border-block-start",
            "border-block-end",
            "border-inline-start",
            "border-inline-end",
            "border",
            "border-radius",
            "border-image",
            "border-block-width",
            "border-block-style",
            "border-block-color",
            "border-inline-width",
            "border-inline-style",
            "border-inline-color",
            "border-block",
            "border-inline",
            "overflow",
            "overflow-clip-box",
            "overscroll-behavior",
            "container",
            "page-break-before",
            "page-break-after",
            "page-break-inside",
            "offset",
            "zoom",
            "columns",
            "column-rule",
            "font",
            "font-variant",
            "font-synthesis",
            "marker",
            "text-emphasis",
            "-webkit-text-stroke",
            "list-style",
            "margin",
            "margin-block",
            "margin-inline",
            "scroll-margin",
            "scroll-margin-block",
            "scroll-margin-inline",
            "outline",
            "padding",
            "padding-block",
            "padding-inline",
            "scroll-padding",
            "scroll-padding-block",
            "scroll-padding-inline",
            "flex-flow",
            "flex",
            "gap",
            "grid-row",
            "grid-column",
            "grid-area",
            "grid-template",
            "grid",
            "place-content",
            "place-self",
            "place-items",
            "inset",
            "inset-block",
            "inset-inline",
            "contain-intrinsic-size",
            "mask",
            "mask-position",
            "text-decoration",
            "transition",
            "animation",
            "scroll-timeline",
            "view-timeline",
            "all",
            "-webkit-background-clip",
            "-webkit-background-origin",
            "-webkit-background-size",
            "-moz-border-start-color",
            "-moz-border-start-style",
            "-moz-border-start-width",
            "-moz-border-end-color",
            "-moz-border-end-style",
            "-moz-border-end-width",
            "-webkit-border-top-left-radius",
            "-webkit-border-top-right-radius",
            "-webkit-border-bottom-right-radius",
            "-webkit-border-bottom-left-radius",
            "-moz-transform",
            "-webkit-transform",
            "-moz-perspective",
            "-webkit-perspective",
            "-moz-perspective-origin",
            "-webkit-perspective-origin",
            "-moz-backface-visibility",
            "-webkit-backface-visibility",
            "-moz-transform-style",
            "-webkit-transform-style",
            "-moz-transform-origin",
            "-webkit-transform-origin",
            "-moz-appearance",
            "-webkit-appearance",
            "-webkit-box-shadow",
            "-webkit-filter",
            "-moz-font-feature-settings",
            "-moz-font-language-override",
            "color-adjust",
            "-moz-hyphens",
            "-webkit-text-size-adjust",
            "word-wrap",
            "-moz-tab-size",
            "-moz-margin-start",
            "-moz-margin-end",
            "-moz-padding-start",
            "-moz-padding-end",
            "-webkit-flex-direction",
            "-webkit-flex-wrap",
            "-webkit-justify-content",
            "-webkit-align-content",
            "-webkit-align-items",
            "-webkit-flex-grow",
            "-webkit-flex-shrink",
            "-webkit-align-self",
            "-webkit-order",
            "-webkit-flex-basis",
            "-moz-box-sizing",
            "-webkit-box-sizing",
            "grid-column-gap",
            "grid-row-gap",
            "-webkit-clip-path",
            "-webkit-mask-repeat",
            "-webkit-mask-position-x",
            "-webkit-mask-position-y",
            "-webkit-mask-clip",
            "-webkit-mask-origin",
            "-webkit-mask-size",
            "-webkit-mask-composite",
            "-webkit-mask-image",
            "-moz-user-select",
            "-webkit-user-select",
            "-moz-transition-duration",
            "-webkit-transition-duration",
            "-moz-transition-timing-function",
            "-webkit-transition-timing-function",
            "-moz-transition-property",
            "-webkit-transition-property",
            "-moz-transition-delay",
            "-webkit-transition-delay",
            "-moz-animation-name",
            "-webkit-animation-name",
            "-moz-animation-duration",
            "-webkit-animation-duration",
            "-moz-animation-timing-function",
            "-webkit-animation-timing-function",
            "-moz-animation-iteration-count",
            "-webkit-animation-iteration-count",
            "-moz-animation-direction",
            "-webkit-animation-direction",
            "-moz-animation-play-state",
            "-webkit-animation-play-state",
            "-moz-animation-fill-mode",
            "-webkit-animation-fill-mode",
            "-moz-animation-delay",
            "-webkit-animation-delay",
            "-webkit-box-align",
            "-webkit-box-direction",
            "-webkit-box-flex",
            "-webkit-box-orient",
            "-webkit-box-pack",
            "-webkit-box-ordinal-group",
            "-moz-border-start",
            "-moz-border-end",
            "-webkit-border-radius",
            "-moz-border-image",
            "-webkit-border-image",
            "-webkit-flex-flow",
            "-webkit-flex",
            "grid-gap",
            "-webkit-mask",
            "-webkit-mask-position",
            "-moz-transition",
            "-webkit-transition",
            "-moz-animation",
            "-webkit-animation",
        ];
        MAP[self.0]
    }

    /// Returns whether this property is transitionable.
    #[inline]
    pub fn is_transitionable(self) -> bool {
        
static TRANSITIONABLE: NonCustomPropertyIdSet = NonCustomPropertyIdSet {
    
    storage: [0x80008008, 0x103, 0x20000, 0xc000000, 0xf43002, 0x400401f, 0x28e05ffb, 0xf66b9606, 0xe1fe8309, 0xfffff0f1, 0xffffffff, 0xffffffff, 0xffdfffff, 0xf63e03b7, 0x87f18dff, 0x1987ff6c, 0x137360f8, 0x88000000, 0x1ef]
};

        TRANSITIONABLE.contains(self)
    }

    /// Returns whether this property is animatable.
    #[inline]
    pub fn is_animatable(self) -> bool {
        
static ANIMATABLE: NonCustomPropertyIdSet = NonCustomPropertyIdSet {
    
    storage: [0xffc3ffff, 0xecffffff, 0xffdffa66, 0x7f7efbff, 0xfff7fff6, 0xfc00fc9f, 0xffff7fff, 0xf67f9fff, 0xfffea30f, 0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff, 0xffffdfb7, 0x87ffffff, 0xffffff6f, 0xffffffff, 0xfe000001, 0x1ff]
};

        ANIMATABLE.contains(self)
    }

    #[inline]
    fn enabled_for_all_content(self) -> bool {
        
static EXPERIMENTAL: NonCustomPropertyIdSet = NonCustomPropertyIdSet {
    
    storage: [0x40180000, 0x3808210, 0x2a0041, 0x2, 0xf3000c00, 0x501c000, 0xa400a000, 0x9e3a001, 0x1d00, 0x400f0, 0x0, 0x0, 0x0, 0x63800, 0x60800000, 0x60aaa000, 0x40000, 0xaaaaaa, 0xa04]
};


        
static ALWAYS_ENABLED: NonCustomPropertyIdSet = NonCustomPropertyIdSet {
    
    storage: [0xbfe7ffff, 0xec7f7def, 0xffd57a22, 0xfffffffd, 0xcf7f3d6, 0xfafe3ffd, 0x5bff5fff, 0xf61c1ffe, 0xdfdee2ff, 0xfffbff0f, 0xffffffff, 0xffffffef, 0xffffffff, 0xfff9c7ff, 0x9f7fffff, 0x9f555fff, 0xfffbffff, 0xff555555, 0x15fb]
};


        let passes_pref_check = || {
                unsafe { structs::nsCSSProps_gPropertyEnabled[self.0] }
        };

        if ALWAYS_ENABLED.contains(self) {
            return true
        }

        if EXPERIMENTAL.contains(self) && passes_pref_check() {
            return true
        }

        false
    }

    /// Returns whether a given rule allows a given property.
    #[inline]
    pub fn allowed_in_rule(self, rule_types: CssRuleTypes) -> bool {
        debug_assert!(
            rule_types.contains(CssRuleType::Keyframe) ||
            rule_types.contains(CssRuleType::Page) ||
            rule_types.contains(CssRuleType::Style),
            "Declarations are only expected inside a keyframe, page, or style rule."
        );

        static MAP: [u32; NON_CUSTOM_PROPERTY_ID_COUNT] = [
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Page.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Page.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Page.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            CssRuleType::Keyframe.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
            CssRuleType::Style.bit() |
            0,
        ];
        MAP[self.0] & rule_types.bits() != 0
    }

    fn allowed_in(self, context: &ParserContext) -> bool {
        if !self.allowed_in_rule(context.rule_types()) {
            return false;
        }

        self.allowed_in_ignoring_rule_type(context)
    }


    fn allowed_in_ignoring_rule_type(self, context: &ParserContext) -> bool {
        // The semantics of these are kinda hard to reason about, what follows
        // is a description of the different combinations that can happen with
        // these three sets.
        //
        // Experimental properties are generally controlled by prefs, but an
        // experimental property explicitly enabled in certain context (UA or
        // chrome sheets) is always usable in the context regardless of the
        // pref value.
        //
        // Non-experimental properties are either normal properties which are
        // usable everywhere, or internal-only properties which are only usable
        // in certain context they are explicitly enabled in.
        if self.enabled_for_all_content() {
            return true;
        }

        
static ENABLED_IN_UA_SHEETS: NonCustomPropertyIdSet = NonCustomPropertyIdSet {
    
    storage: [0x80000, 0x13000000, 0x8415, 0x0, 0xc28, 0x2, 0xa000, 0x6000, 0x20200000, 0x0, 0x0, 0x10, 0x0, 0x2800, 0x0, 0x0, 0x0, 0x0, 0x0]
};

        
static ENABLED_IN_CHROME: NonCustomPropertyIdSet = NonCustomPropertyIdSet {
    
    storage: [0x0, 0x10000000, 0x8001, 0x0, 0x28, 0x2, 0x2000, 0x6000, 0x20200000, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0]
};


        if context.stylesheet_origin == Origin::UserAgent &&
            ENABLED_IN_UA_SHEETS.contains(self)
        {
            return true
        }

        if context.chrome_rules_enabled() && ENABLED_IN_CHROME.contains(self) {
            return true
        }

        false
    }

    /// The supported types of this property. The return value should be
    /// style_traits::CssType when it can become a bitflags type.
    fn supported_types(&self) -> u8 {
        const SUPPORTED_TYPES: [u8; 480] = [
                <crate::values::specified::AlignContent as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::AlignItems as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::AlignSelf as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::AspectRatio as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::backface_visibility::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BaselineSource as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::border_collapse::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderImageRepeat as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::box_decoration_break::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::box_sizing::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BreakWithin as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::table::CaptionSide as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Clear as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::color_interpolation::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::color_interpolation_filters::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ColumnCount as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::column_fill::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::column_span::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Contain as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContainerType as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContentVisibility as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::direction::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Display as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::dominant_baseline::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::empty_cells::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::flex_direction::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::flex_wrap::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Float as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::font_kerning::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontLanguageOverride as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::font_optical_sizing::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontSizeAdjust as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontStretch as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::font_variant_caps::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontVariantEastAsian as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::font_variant_emoji::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontVariantLigatures as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontVariantNumeric as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::font_variant_position::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontWeight as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ForcedColorAdjust as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridAutoFlow as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::hyphens::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::image_orientation::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ImageRendering as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::ime_mode::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::InitialLetter as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::isolation::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::JustifyContent as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::JustifyItems as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::JustifySelf as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LineBreak as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::list_style_position::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_type::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MasonryAutoFlow as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MathDepth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::math_style::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mix_blend_mode::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_box_align::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_box_collapse::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_box_direction::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_box_orient::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_box_pack::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::text::MozControlCharacterVisibility as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_float_edge::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_inert::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_math_variant::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Percentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_orient::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_osx_font_smoothing::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MozScriptMinSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MozScriptSizeMultiplier as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_text_size_adjust::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_top_layer::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_user_focus::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_user_input::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_user_modify::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_window_dragging::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_moz_window_shadow::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::object_fit::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OffsetRotate as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OutlineStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverflowAnchor as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverflowWrap as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::PageOrientation as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::SVGPaintOrder as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::pointer_events::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::position::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::PrintColorAdjust as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Resize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::ruby_align::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::RubyPosition as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::scroll_behavior::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ScrollSnapAlign as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ScrollSnapStop as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ScrollSnapType as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ScrollbarGutter as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::scrollbar_width::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::shape_rendering::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::stroke_linecap::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::stroke_linejoin::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::table_layout::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextAlign as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextAlignLast as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::text_anchor::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::text_combine_upright::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextDecorationLine as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextDecorationSkipInk as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::text_decoration_style::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextEmphasisPosition as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextJustify as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::text_orientation::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::text_rendering::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextTransform as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextUnderlinePosition as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TouchAction as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::transform_box::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TransformStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::unicode_bidi::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::UserSelect as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::vector_effect::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::visibility::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LineClamp as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::_webkit_text_security::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::white_space::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::WordBreak as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::writing_mode::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::XTextScale as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ZIndex as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Appearance as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Appearance as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BoolInteger as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BoolInteger as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BreakBetween as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BreakBetween as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FillRule as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FillRule as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverflowClipBox as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverflowClipBox as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::SVGOpacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::SVGOpacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontSynthesis as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontSynthesis as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontSynthesis as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Integer as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Integer as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Integer as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ColorOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::AlignTracks as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_composition::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_delay::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_direction::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_duration::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_fill_mode::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_iteration_count::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_name::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_play_state::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_timeline::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::animation_timing_function::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::backdrop_filter::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_attachment::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_blend_mode::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_clip::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_image::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_origin::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_position_x::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_position_y::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_repeat::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::background_size::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::NonNegativeLengthOrNumberRect> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderImageSlice> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderImageWidth> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderSpacing> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::box_shadow::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::color::CaretColor as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::ClipRectOrAuto> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::basic_shape::ClipPath as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ColorPropertyValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ColorScheme as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::length::NonNegativeLengthOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContainerName as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Content as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::CounterIncrement as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::CounterReset as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::CounterSet as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Cursor as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::DProperty as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::filter::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::FlexBasis> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontFamily as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontFeatureSettings as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontPalette as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontVariantAlternates as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::FontVariationSettings as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridTemplateAreas as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::HyphenateCharacter as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::JustifyTracks as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LetterSpacing as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LineHeight as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::ListStyleType> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_clip::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_composite::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_image::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_mode::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_origin::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_position_x::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_position_y::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_repeat::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::mask_size::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MozContextProperties as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::color::MozFontSmoothingBackgroundColor as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::PositionOrAuto> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::OffsetPath as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::OffsetPosition> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::PageName as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Perspective as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Quotes as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::Rotate> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::Scale> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::scroll_timeline_axis::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::scroll_timeline_name::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::ui::ScrollbarColor> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::basic_shape::ShapeOutside as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::PageSize> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::SVGStrokeDashArray as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::SVGLength as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::SVGWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthOrNumber as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextDecorationLength as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::TextEmphasisStyle as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::TextOverflow> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::text_shadow::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::transition_delay::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::transition_duration::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::transition_property::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::transition_timing_function::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::Translate> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::VerticalAlign as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::view_timeline_axis::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::view_timeline_inset::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <longhands::view_timeline_name::SpecifiedValue as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LineWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::WillChange as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::WordSpacing as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::XLang as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::Position> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::Position> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::SVGPaint> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::SVGPaint> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::TransformOrigin> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::TransformOrigin> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridTemplateComponent as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridTemplateComponent as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Image as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Image as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ImplicitGridTracks as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ImplicitGridTracks as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Transform as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Transform as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::length::NonNegativeLengthPercentageOrNormal as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::length::NonNegativeLengthPercentageOrNormal as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::url::UrlOrNone as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::url::UrlOrNone as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::url::UrlOrNone as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Size as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Length as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <crate::values::specified::Color as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::background::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::background_position::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_color::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_style::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_width::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_top::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_right::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_bottom::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_left::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_block_start::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_block_end::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_inline_start::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_inline_end::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_radius::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_image::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_block_width::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_block_style::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_block_color::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_inline_width::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_inline_style::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_inline_color::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_block::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::border_inline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::overflow::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::overflow_clip_box::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::overscroll_behavior::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::container::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::page_break_before::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::page_break_after::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::page_break_inside::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::offset::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::zoom::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::columns::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::column_rule::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::font::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::font_variant::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::font_synthesis::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::marker::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::text_emphasis::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::_webkit_text_stroke::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::list_style::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::margin::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::margin_block::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::margin_inline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_margin::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_margin_block::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_margin_inline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::outline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::padding::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::padding_block::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::padding_inline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_padding::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_padding_block::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_padding_inline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::flex_flow::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::flex::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::gap::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::grid_row::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::grid_column::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::grid_area::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::grid_template::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::grid::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::place_content::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::place_self::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::place_items::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::inset::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::inset_block::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::inset_inline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::contain_intrinsic_size::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::mask::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::mask_position::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::text_decoration::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::transition::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::animation::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::scroll_timeline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                <shorthands::view_timeline::Longhands as SpecifiedValueInfo>::SUPPORTED_TYPES,
                0, // 'all' accepts no value other than CSS-wide keywords
        ];
        SUPPORTED_TYPES[self.0]
    }

    /// See PropertyId::collect_property_completion_keywords.
    fn collect_property_completion_keywords(&self, f: KeywordsCollectFn) {
        fn do_nothing(_: KeywordsCollectFn) {}
        const COLLECT_FUNCTIONS: [fn(KeywordsCollectFn);
                                  480] = [
                <crate::values::specified::AlignContent as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::AlignItems as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::AlignSelf as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::AspectRatio as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::backface_visibility::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BaselineSource as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::border_collapse::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderImageRepeat as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::box_decoration_break::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::box_sizing::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BreakWithin as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::table::CaptionSide as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Clear as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::color_interpolation::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::color_interpolation_filters::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ColumnCount as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::column_fill::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::column_span::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Contain as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContainerType as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContentVisibility as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::direction::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Display as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::dominant_baseline::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::empty_cells::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::flex_direction::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::flex_wrap::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Float as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::font_kerning::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontLanguageOverride as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::font_optical_sizing::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontSizeAdjust as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontStretch as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::font_variant_caps::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontVariantEastAsian as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::font_variant_emoji::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontVariantLigatures as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontVariantNumeric as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::font_variant_position::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontWeight as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ForcedColorAdjust as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridAutoFlow as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::hyphens::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::image_orientation::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ImageRendering as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::ime_mode::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::InitialLetter as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::isolation::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::JustifyContent as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::JustifyItems as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::JustifySelf as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LineBreak as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::list_style_position::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_type::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MasonryAutoFlow as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MathDepth as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::math_style::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mix_blend_mode::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_box_align::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_box_collapse::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_box_direction::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_box_orient::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_box_pack::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::text::MozControlCharacterVisibility as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_float_edge::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_inert::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_math_variant::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Percentage as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_orient::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_osx_font_smoothing::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MozScriptMinSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MozScriptSizeMultiplier as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_text_size_adjust::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_top_layer::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_user_focus::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_user_input::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_user_modify::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_window_dragging::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_moz_window_shadow::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::object_fit::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OffsetRotate as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OutlineStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverflowAnchor as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverflowWrap as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::PageOrientation as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::SVGPaintOrder as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::pointer_events::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::position::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::PrintColorAdjust as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Resize as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::ruby_align::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::RubyPosition as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::scroll_behavior::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ScrollSnapAlign as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ScrollSnapStop as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ScrollSnapType as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ScrollbarGutter as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::scrollbar_width::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::shape_rendering::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::stroke_linecap::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::stroke_linejoin::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::table_layout::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextAlign as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextAlignLast as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::text_anchor::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::text_combine_upright::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextDecorationLine as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextDecorationSkipInk as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::text_decoration_style::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextEmphasisPosition as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextJustify as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::text_orientation::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::text_rendering::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextTransform as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextUnderlinePosition as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TouchAction as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::transform_box::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TransformStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::unicode_bidi::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::UserSelect as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::vector_effect::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::visibility::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LineClamp as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::_webkit_text_security::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::white_space::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::WordBreak as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::writing_mode::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::XTextScale as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ZIndex as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Appearance as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Appearance as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BoolInteger as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BoolInteger as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BreakBetween as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BreakBetween as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FillRule as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FillRule as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverflowClipBox as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverflowClipBox as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::SVGOpacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::SVGOpacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontSynthesis as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontSynthesis as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontSynthesis as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Integer as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Integer as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Integer as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeNumber as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Overflow as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OverscrollBehavior as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Opacity as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ColorOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::AlignTracks as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_composition::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_delay::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_direction::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_duration::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_fill_mode::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_iteration_count::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_name::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_play_state::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_timeline::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::animation_timing_function::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::backdrop_filter::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_attachment::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_blend_mode::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_clip::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_image::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_origin::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_position_x::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_position_y::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_repeat::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::background_size::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::NonNegativeLengthOrNumberRect> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderImageSlice> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderImageWidth> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderSpacing> as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::box_shadow::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::color::CaretColor as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::ClipRectOrAuto> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::basic_shape::ClipPath as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ColorPropertyValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ColorScheme as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::length::NonNegativeLengthOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContainerName as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Content as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::CounterIncrement as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::CounterReset as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::CounterSet as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Cursor as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::DProperty as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::filter::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::FlexBasis> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontFamily as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontFeatureSettings as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontPalette as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontVariantAlternates as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::FontVariationSettings as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridTemplateAreas as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::HyphenateCharacter as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::JustifyTracks as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LetterSpacing as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LineHeight as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::ListStyleType> as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_clip::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_composite::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_image::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_mode::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_origin::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_position_x::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_position_y::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_repeat::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::mask_size::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MozContextProperties as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::color::MozFontSmoothingBackgroundColor as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::PositionOrAuto> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::OffsetPath as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::OffsetPosition> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::PageName as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Perspective as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Quotes as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::Rotate> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::Scale> as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::scroll_timeline_axis::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::scroll_timeline_name::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::ui::ScrollbarColor> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::basic_shape::ShapeOutside as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::PageSize> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::SVGStrokeDashArray as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::SVGLength as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::SVGWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthOrNumber as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextDecorationLength as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::TextEmphasisStyle as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::TextOverflow> as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::text_shadow::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::transition_delay::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::transition_duration::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::transition_property::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::transition_timing_function::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::Translate> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::VerticalAlign as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::view_timeline_axis::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::view_timeline_inset::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <longhands::view_timeline_name::SpecifiedValue as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LineWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::WillChange as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::WordSpacing as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::XLang as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::Position> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::Position> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::SVGPaint> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::SVGPaint> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::TransformOrigin> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::TransformOrigin> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridTemplateComponent as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridTemplateComponent as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Image as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Image as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ImplicitGridTracks as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ImplicitGridTracks as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Transform as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Transform as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::length::NonNegativeLengthPercentageOrNormal as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::length::NonNegativeLengthPercentageOrNormal as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::url::UrlOrNone as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::url::UrlOrNone as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::url::UrlOrNone as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::ContainIntrinsicSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::GridLine as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::MaxSize as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <Box<crate::values::specified::BorderCornerRadius> as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Size as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::BorderSideWidth as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentage as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::NonNegativeLengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Length as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::LengthPercentageOrAuto as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <crate::values::specified::Color as SpecifiedValueInfo>::collect_completion_keywords,
                <shorthands::background::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::background_position::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_color::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_style::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_width::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_top::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_right::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_bottom::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_left::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_block_start::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_block_end::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_inline_start::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_inline_end::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_radius::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_image::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_block_width::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_block_style::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_block_color::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_inline_width::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_inline_style::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_inline_color::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_block::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::border_inline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::overflow::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::overflow_clip_box::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::overscroll_behavior::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::container::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::page_break_before::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::page_break_after::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::page_break_inside::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::offset::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::zoom::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::columns::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::column_rule::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::font::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::font_variant::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::font_synthesis::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::marker::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::text_emphasis::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::_webkit_text_stroke::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::list_style::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::margin::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::margin_block::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::margin_inline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_margin::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_margin_block::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_margin_inline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::outline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::padding::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::padding_block::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::padding_inline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_padding::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_padding_block::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_padding_inline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::flex_flow::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::flex::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::gap::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::grid_row::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::grid_column::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::grid_area::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::grid_template::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::grid::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::place_content::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::place_self::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::place_items::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::inset::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::inset_block::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::inset_inline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::contain_intrinsic_size::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::mask::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::mask_position::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::text_decoration::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::transition::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::animation::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::scroll_timeline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                <shorthands::view_timeline::Longhands as SpecifiedValueInfo>::
                    collect_completion_keywords,
                do_nothing, // 'all' accepts no value other than CSS-wide keywords
        ];
        COLLECT_FUNCTIONS[self.0](f);
    }

    /// Turns this `NonCustomPropertyId` into a `PropertyId`.
    #[inline]
    pub fn to_property_id(self) -> PropertyId {
        use std::mem::transmute;
        if self.0 < 402 {
            return unsafe {
                PropertyId::Longhand(transmute(self.0 as u16))
            }
        }
        if self.0 < 480 {
            return unsafe {
                PropertyId::Shorthand(transmute((self.0 - 402) as u16))
            }
        }
        assert!(self.0 < NON_CUSTOM_PROPERTY_ID_COUNT);
        let alias_id: AliasId = unsafe {
            transmute((self.0 - 480) as u16)
        };

        match alias_id.aliased_property() {
            AliasedPropertyId::Longhand(longhand) => PropertyId::LonghandAlias(longhand, alias_id),
            AliasedPropertyId::Shorthand(shorthand) => PropertyId::ShorthandAlias(shorthand, alias_id),
        }
    }
}

impl From<LonghandId> for NonCustomPropertyId {
    #[inline]
    fn from(id: LonghandId) -> Self {
        NonCustomPropertyId(id as usize)
    }
}

impl From<ShorthandId> for NonCustomPropertyId {
    #[inline]
    fn from(id: ShorthandId) -> Self {
        NonCustomPropertyId((id as usize) + 402)
    }
}

impl From<AliasId> for NonCustomPropertyId {
    #[inline]
    fn from(id: AliasId) -> Self {
        NonCustomPropertyId(id as usize + 480)
    }
}

/// A set of all properties
#[derive(Clone, PartialEq, Default)]
pub struct NonCustomPropertyIdSet {
    storage: [u32; (NON_CUSTOM_PROPERTY_ID_COUNT - 1 + 32) / 32]
}

impl NonCustomPropertyIdSet {
    /// Creates an empty `NonCustomPropertyIdSet`.
    pub fn new() -> Self {
        Self {
            storage: Default::default(),
        }
    }

    /// Insert a non-custom-property in the set.
    #[inline]
    pub fn insert(&mut self, id: NonCustomPropertyId) {
        let bit = id.0;
        self.storage[bit / 32] |= 1 << (bit % 32);
    }

    /// Return whether the given property is in the set
    #[inline]
    pub fn contains(&self, id: NonCustomPropertyId) -> bool {
        let bit = id.0;
        (self.storage[bit / 32] & (1 << (bit % 32))) != 0
    }
}







/// A group for properties which may override each other
/// via logical resolution.
#[derive(Clone, Copy, Eq, Hash, PartialEq)]
#[repr(u8)]
pub enum LogicalGroup {
    /// overflow
    Overflow = 0,
    /// overscroll-behavior
    OverscrollBehavior = 1,
    /// border-style
    BorderStyle = 2,
    /// contain-intrinsic-size
    ContainIntrinsicSize = 3,
    /// max-size
    MaxSize = 4,
    /// border-radius
    BorderRadius = 5,
    /// size
    Size = 6,
    /// min-size
    MinSize = 7,
    /// border-width
    BorderWidth = 8,
    /// padding
    Padding = 9,
    /// scroll-padding
    ScrollPadding = 10,
    /// scroll-margin
    ScrollMargin = 11,
    /// inset
    Inset = 12,
    /// margin
    Margin = 13,
    /// border-color
    BorderColor = 14,
}


/// A set of logical groups.
#[derive(Clone, Copy, Debug, Default, MallocSizeOf, PartialEq)]
pub struct LogicalGroupSet {
    storage: [u32; (15 - 1 + 32) / 32]
}

impl LogicalGroupSet {
    /// Creates an empty `NonCustomPropertyIdSet`.
    pub fn new() -> Self {
        Self {
            storage: Default::default(),
        }
    }

    /// Return whether the given group is in the set
    #[inline]
    pub fn contains(&self, g: LogicalGroup) -> bool {
        let bit = g as usize;
        (self.storage[bit / 32] & (1 << (bit % 32))) != 0
    }

    /// Insert a group the set.
    #[inline]
    pub fn insert(&mut self, g: LogicalGroup) {
        let bit = g as usize;
        self.storage[bit / 32] |= 1 << (bit % 32);
    }
}

/// A set of longhand properties
#[derive(Clone, Copy, Debug, Default, MallocSizeOf, PartialEq)]
pub struct LonghandIdSet {
    storage: [u32; (402 - 1 + 32) / 32]
}

impl_trivial_to_shmem!(LonghandIdSet);

/// An iterator over a set of longhand ids.
pub struct LonghandIdSetIterator<'a> {
    longhands: &'a LonghandIdSet,
    cur: usize,
}

impl<'a> Iterator for LonghandIdSetIterator<'a> {
    type Item = LonghandId;

    fn next(&mut self) -> Option<Self::Item> {
        use std::mem;

        loop {
            if self.cur >= 402 {
                return None;
            }

            let id: LonghandId = unsafe { mem::transmute(self.cur as u16) };
            self.cur += 1;

            if self.longhands.contains(id) {
                return Some(id);
            }
        }
    }
}



impl LonghandIdSet {
    #[inline]
    fn reset() -> &'static Self {
        
static RESET: LonghandIdSet = LonghandIdSet {
    
    storage: [0xe5f97bf, 0xeccfc400, 0xe52fc422, 0xbf02847, 0xff7e0cfe, 0xffffbfff, 0x40efcd7f, 0xdef9ff1, 0xfbe65ff5, 0xfff7fff1, 0xffffffff, 0xbfffffff, 0x7fff]
};

        &RESET
    }

    #[inline]
    fn animatable() -> &'static Self {
        
static ANIMATABLE: LonghandIdSet = LonghandIdSet {
    
    storage: [0xffc3ffff, 0xecffffff, 0xffdffa66, 0x7f7efbff, 0xfff7fff6, 0xfc00fc9f, 0xffff7fff, 0xf67f9fff, 0xfffea30f, 0xffffffff, 0xffffffff, 0xffffffff, 0x3ffff]
};

        &ANIMATABLE
    }

    #[inline]
    fn discrete_animatable() -> &'static Self {
        
static DISCRETE_ANIMATABLE: LonghandIdSet = LonghandIdSet {
    
    storage: [0x7fc37ff7, 0xecfffefc, 0xffddfa66, 0x737efbff, 0xff03cff4, 0xf800bc80, 0xd71f2004, 0x1409f9, 0x1e002006, 0xf0e, 0x0, 0x0, 0x0]
};

        &DISCRETE_ANIMATABLE
    }

    #[inline]
    fn logical() -> &'static Self {
        
static LOGICAL: LonghandIdSet = LonghandIdSet {
    
    storage: [0x0, 0x0, 0x0, 0x0, 0x33000000, 0x360, 0x0, 0x0, 0x0, 0x4f005050, 0xb01b06cb, 0x36f0d81, 0x36]
};

        &LOGICAL
    }

    /// Returns the set of longhands that are ignored when document colors are
    /// disabled.
    #[inline]
    fn ignored_when_colors_disabled() -> &'static Self {
        
static IGNORED_WHEN_COLORS_DISABLED: LonghandIdSet = LonghandIdSet {
    
    storage: [0x0, 0x0, 0x0, 0x0, 0x0, 0x40004000, 0x3300, 0x2000000, 0x2000008, 0x0, 0x0, 0x0, 0x3d3ff]
};

        &IGNORED_WHEN_COLORS_DISABLED
    }

    /// Only a few properties are allowed to depend on the visited state of
    /// links. When cascading visited styles, we can save time by only
    /// processing these properties.
    pub(super) fn visited_dependent() -> &'static Self {
        
static VISITED_DEPENDENT: LonghandIdSet = LonghandIdSet {
    
    storage: [0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1200, 0x0, 0x180000, 0x0, 0x0, 0x0, 0x3d3ff]
};

        debug_assert!(Self::late_group().contains_all(&VISITED_DEPENDENT));
        &VISITED_DEPENDENT
    }

    #[inline]
    pub(super) fn writing_mode_group() -> &'static Self {
        
static WRITING_MODE_GROUP: LonghandIdSet = LonghandIdSet {
    
    storage: [0x200000, 0x0, 0x0, 0x80010000, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0]
};

        &WRITING_MODE_GROUP
    }

    #[inline]
    pub(super) fn fonts_and_color_group() -> &'static Self {
        
static FONTS_AND_COLOR_GROUP: LonghandIdSet = LonghandIdSet {
    
    storage: [0x80000000, 0x1000303, 0x10, 0x0, 0x1, 0x0, 0x9002000, 0x0, 0x10000, 0x0, 0x0, 0x0, 0x0]
};

        &FONTS_AND_COLOR_GROUP
    }

    #[inline]
    pub(super) fn late_group_only_inherited() -> &'static Self {
        
static LATE_GROUP_ONLY_INHERITED: LonghandIdSet = LonghandIdSet {
    
    storage: [0x71806840, 0x123038fc, 0x1ad03bcd, 0x740ed7b8, 0x81f300, 0x4000, 0xb6101280, 0xf210600e, 0x418a00a, 0x8000e, 0x0, 0x40000000, 0x38000]
};

        &LATE_GROUP_ONLY_INHERITED
    }

    #[inline]
    pub(super) fn late_group() -> &'static Self {
        
static LATE_GROUP: LonghandIdSet = LonghandIdSet {
    
    storage: [0x7fdfffff, 0xfefffcfc, 0xffffffef, 0x7ffeffff, 0xfffffffe, 0xffffffff, 0xf6ffdfff, 0xffffffff, 0xfffeffff, 0xffffffff, 0xffffffff, 0xffffffff, 0x3ffff]
};

        &LATE_GROUP
    }

    /// Returns the set of properties that are declared as having no effect on
    /// Gecko <scrollbar> elements or their descendant scrollbar parts.
    #[cfg(debug_assertions)]
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn has_no_effect_on_gecko_scrollbars() -> &'static Self {
        // data.py asserts that has_no_effect_on_gecko_scrollbars is True or
        // False for properties that are inherited and Gecko pref controlled,
        // and is None for all other properties.
        
static HAS_NO_EFFECT_ON_SCROLLBARS: LonghandIdSet = LonghandIdSet {
    
    storage: [0x40000000, 0x3000210, 0x1c9, 0x0, 0x1, 0x4000, 0xa4002000, 0x2000, 0x10000, 0x0, 0x0, 0x0, 0x0]
};

        &HAS_NO_EFFECT_ON_SCROLLBARS
    }

    /// Returns the set of border properties for the purpose of disabling native
    /// appearance.
    #[inline]
    pub fn border_background_properties() -> &'static Self {
        
static BORDER_BACKGROUND_PROPERTIES: LonghandIdSet = LonghandIdSet {
    
    storage: [0x0, 0x0, 0x0, 0x0, 0x0, 0x40001fe0, 0x0, 0x0, 0x0, 0x3fc00000, 0x3fc0, 0x0, 0x1ff]
};

        &BORDER_BACKGROUND_PROPERTIES
    }

    /// Iterate over the current longhand id set.
    pub fn iter(&self) -> LonghandIdSetIterator {
        LonghandIdSetIterator { longhands: self, cur: 0, }
    }

    /// Returns whether this set contains at least every longhand that `other`
    /// also contains.
    pub fn contains_all(&self, other: &Self) -> bool {
        for (self_cell, other_cell) in self.storage.iter().zip(other.storage.iter()) {
            if (*self_cell & *other_cell) != *other_cell {
                return false;
            }
        }
        true
    }

    /// Returns whether this set contains any longhand that `other` also contains.
    pub fn contains_any(&self, other: &Self) -> bool {
        for (self_cell, other_cell) in self.storage.iter().zip(other.storage.iter()) {
            if (*self_cell & *other_cell) != 0 {
                return true;
            }
        }
        false
    }

    /// Remove all the given properties from the set.
    #[inline]
    pub fn remove_all(&mut self, other: &Self) {
        for (self_cell, other_cell) in self.storage.iter_mut().zip(other.storage.iter()) {
            *self_cell &= !*other_cell;
        }
    }

    /// Create an empty set
    #[inline]
    pub fn new() -> LonghandIdSet {
        LonghandIdSet { storage: [0; (402 - 1 + 32) / 32] }
    }

    /// Return whether the given property is in the set
    #[inline]
    pub fn contains(&self, id: LonghandId) -> bool {
        let bit = id as usize;
        (self.storage[bit / 32] & (1 << (bit % 32))) != 0
    }

    /// Return whether this set contains any reset longhand.
    #[inline]
    pub fn contains_any_reset(&self) -> bool {
        self.contains_any(Self::reset())
    }

    /// Add the given property to the set
    #[inline]
    pub fn insert(&mut self, id: LonghandId) {
        let bit = id as usize;
        self.storage[bit / 32] |= 1 << (bit % 32);
    }

    /// Remove the given property from the set
    #[inline]
    pub fn remove(&mut self, id: LonghandId) {
        let bit = id as usize;
        self.storage[bit / 32] &= !(1 << (bit % 32));
    }

    /// Clear all bits
    #[inline]
    pub fn clear(&mut self) {
        for cell in &mut self.storage {
            *cell = 0
        }
    }

    /// Returns whether the set is empty.
    #[inline]
    pub fn is_empty(&self) -> bool {
        self.storage.iter().all(|c| *c == 0)
    }
}

/// An enum to represent a CSS Wide keyword.
#[derive(Clone, Copy, Debug, Eq, MallocSizeOf, PartialEq, SpecifiedValueInfo,
         ToCss, ToShmem)]
pub enum CSSWideKeyword {
    /// The `initial` keyword.
    Initial,
    /// The `inherit` keyword.
    Inherit,
    /// The `unset` keyword.
    Unset,
    /// The `revert` keyword.
    Revert,
    /// The `revert-layer` keyword.
    RevertLayer,
}

impl CSSWideKeyword {
    fn to_str(&self) -> &'static str {
        match *self {
            CSSWideKeyword::Initial => "initial",
            CSSWideKeyword::Inherit => "inherit",
            CSSWideKeyword::Unset => "unset",
            CSSWideKeyword::Revert => "revert",
            CSSWideKeyword::RevertLayer => "revert-layer",
        }
    }
}

impl CSSWideKeyword {
    /// Parses a CSS wide keyword from a CSS identifier.
    pub fn from_ident(ident: &str) -> Result<Self, ()> {
        Ok(match_ignore_ascii_case! { ident,
            "initial" => CSSWideKeyword::Initial,
            "inherit" => CSSWideKeyword::Inherit,
            "unset" => CSSWideKeyword::Unset,
            "revert" => CSSWideKeyword::Revert,
            "revert-layer" => CSSWideKeyword::RevertLayer,
            _ => return Err(()),
        })
    }

    fn parse(input: &mut Parser) -> Result<Self, ()> {
        let keyword = {
            let ident = input.expect_ident().map_err(|_| ())?;
            Self::from_ident(ident)?
        };
        input.expect_exhausted().map_err(|_| ())?;
        Ok(keyword)
    }
}

bitflags! {
    /// A set of flags for properties.
    #[derive(Clone, Copy)]
    pub struct PropertyFlags: u16 {
        /// This longhand property applies to ::first-letter.
        const APPLIES_TO_FIRST_LETTER = 1 << 1;
        /// This longhand property applies to ::first-line.
        const APPLIES_TO_FIRST_LINE = 1 << 2;
        /// This longhand property applies to ::placeholder.
        const APPLIES_TO_PLACEHOLDER = 1 << 3;
        ///  This longhand property applies to ::cue.
        const APPLIES_TO_CUE = 1 << 4;
        /// This longhand property applies to ::marker.
        const APPLIES_TO_MARKER = 1 << 5;
        /// This property is a legacy shorthand.
        ///
        /// https://drafts.csswg.org/css-cascade/#legacy-shorthand
        const IS_LEGACY_SHORTHAND = 1 << 6;

        /* The following flags are currently not used in Rust code, they
         * only need to be listed in corresponding properties so that
         * they can be checked in the C++ side via ServoCSSPropList.h. */
        /// This property can be animated on the compositor.
        const CAN_ANIMATE_ON_COMPOSITOR = 0;
        /// This shorthand property is accessible from getComputedStyle.
        const SHORTHAND_IN_GETCS = 0;
    }
}

/// An identifier for a given longhand property.
#[derive(Clone, Copy, Eq, Hash, MallocSizeOf, PartialEq, ToComputedValue, ToResolvedValue, ToShmem)]
#[repr(u16)]
pub enum LonghandId {
        /// align-content
        AlignContent = 0,
        /// align-items
        AlignItems = 1,
        /// align-self
        AlignSelf = 2,
        /// aspect-ratio
        AspectRatio = 3,
        /// backface-visibility
        BackfaceVisibility = 4,
        /// baseline-source
        BaselineSource = 5,
        /// border-collapse
        BorderCollapse = 6,
        /// border-image-repeat
        BorderImageRepeat = 7,
        /// box-decoration-break
        BoxDecorationBreak = 8,
        /// box-sizing
        BoxSizing = 9,
        /// break-inside
        BreakInside = 10,
        /// caption-side
        CaptionSide = 11,
        /// clear
        Clear = 12,
        /// color-interpolation
        ColorInterpolation = 13,
        /// color-interpolation-filters
        ColorInterpolationFilters = 14,
        /// column-count
        ColumnCount = 15,
        /// column-fill
        ColumnFill = 16,
        /// column-span
        ColumnSpan = 17,
        /// contain
        Contain = 18,
        /// container-type
        ContainerType = 19,
        /// content-visibility
        ContentVisibility = 20,
        /// direction
        Direction = 21,
        /// display
        Display = 22,
        /// dominant-baseline
        DominantBaseline = 23,
        /// empty-cells
        EmptyCells = 24,
        /// flex-direction
        FlexDirection = 25,
        /// flex-wrap
        FlexWrap = 26,
        /// float
        Float = 27,
        /// font-kerning
        FontKerning = 28,
        /// font-language-override
        FontLanguageOverride = 29,
        /// font-optical-sizing
        FontOpticalSizing = 30,
        /// font-size-adjust
        FontSizeAdjust = 31,
        /// font-stretch
        FontStretch = 32,
        /// font-style
        FontStyle = 33,
        /// font-variant-caps
        FontVariantCaps = 34,
        /// font-variant-east-asian
        FontVariantEastAsian = 35,
        /// font-variant-emoji
        FontVariantEmoji = 36,
        /// font-variant-ligatures
        FontVariantLigatures = 37,
        /// font-variant-numeric
        FontVariantNumeric = 38,
        /// font-variant-position
        FontVariantPosition = 39,
        /// font-weight
        FontWeight = 40,
        /// forced-color-adjust
        ForcedColorAdjust = 41,
        /// grid-auto-flow
        GridAutoFlow = 42,
        /// hyphens
        Hyphens = 43,
        /// image-orientation
        ImageOrientation = 44,
        /// image-rendering
        ImageRendering = 45,
        /// ime-mode
        ImeMode = 46,
        /// initial-letter
        InitialLetter = 47,
        /// isolation
        Isolation = 48,
        /// justify-content
        JustifyContent = 49,
        /// justify-items
        JustifyItems = 50,
        /// justify-self
        JustifySelf = 51,
        /// line-break
        LineBreak = 52,
        /// list-style-position
        ListStylePosition = 53,
        /// mask-type
        MaskType = 54,
        /// masonry-auto-flow
        MasonryAutoFlow = 55,
        /// math-depth
        MathDepth = 56,
        /// math-style
        MathStyle = 57,
        /// mix-blend-mode
        MixBlendMode = 58,
        /// -moz-box-align
        MozBoxAlign = 59,
        /// -moz-box-collapse
        MozBoxCollapse = 60,
        /// -moz-box-direction
        MozBoxDirection = 61,
        /// -moz-box-orient
        MozBoxOrient = 62,
        /// -moz-box-pack
        MozBoxPack = 63,
        /// -moz-control-character-visibility
        MozControlCharacterVisibility = 64,
        /// -moz-float-edge
        MozFloatEdge = 65,
        /// -moz-inert
        MozInert = 66,
        /// -moz-math-variant
        MozMathVariant = 67,
        /// -moz-min-font-size-ratio
        MozMinFontSizeRatio = 68,
        /// -moz-orient
        MozOrient = 69,
        /// -moz-osx-font-smoothing
        MozOsxFontSmoothing = 70,
        /// -moz-script-min-size
        MozScriptMinSize = 71,
        /// -moz-script-size-multiplier
        MozScriptSizeMultiplier = 72,
        /// -moz-text-size-adjust
        MozTextSizeAdjust = 73,
        /// -moz-top-layer
        MozTopLayer = 74,
        /// -moz-user-focus
        MozUserFocus = 75,
        /// -moz-user-input
        MozUserInput = 76,
        /// -moz-user-modify
        MozUserModify = 77,
        /// -moz-window-dragging
        MozWindowDragging = 78,
        /// -moz-window-shadow
        MozWindowShadow = 79,
        /// object-fit
        ObjectFit = 80,
        /// offset-rotate
        OffsetRotate = 81,
        /// outline-style
        OutlineStyle = 82,
        /// overflow-anchor
        OverflowAnchor = 83,
        /// overflow-wrap
        OverflowWrap = 84,
        /// page-orientation
        PageOrientation = 85,
        /// paint-order
        PaintOrder = 86,
        /// pointer-events
        PointerEvents = 87,
        /// position
        Position = 88,
        /// print-color-adjust
        PrintColorAdjust = 89,
        /// resize
        Resize = 90,
        /// ruby-align
        RubyAlign = 91,
        /// ruby-position
        RubyPosition = 92,
        /// scroll-behavior
        ScrollBehavior = 93,
        /// scroll-snap-align
        ScrollSnapAlign = 94,
        /// scroll-snap-stop
        ScrollSnapStop = 95,
        /// scroll-snap-type
        ScrollSnapType = 96,
        /// scrollbar-gutter
        ScrollbarGutter = 97,
        /// scrollbar-width
        ScrollbarWidth = 98,
        /// shape-rendering
        ShapeRendering = 99,
        /// stroke-linecap
        StrokeLinecap = 100,
        /// stroke-linejoin
        StrokeLinejoin = 101,
        /// table-layout
        TableLayout = 102,
        /// text-align
        TextAlign = 103,
        /// text-align-last
        TextAlignLast = 104,
        /// text-anchor
        TextAnchor = 105,
        /// text-combine-upright
        TextCombineUpright = 106,
        /// text-decoration-line
        TextDecorationLine = 107,
        /// text-decoration-skip-ink
        TextDecorationSkipInk = 108,
        /// text-decoration-style
        TextDecorationStyle = 109,
        /// text-emphasis-position
        TextEmphasisPosition = 110,
        /// text-justify
        TextJustify = 111,
        /// text-orientation
        TextOrientation = 112,
        /// text-rendering
        TextRendering = 113,
        /// text-transform
        TextTransform = 114,
        /// text-underline-position
        TextUnderlinePosition = 115,
        /// touch-action
        TouchAction = 116,
        /// transform-box
        TransformBox = 117,
        /// transform-style
        TransformStyle = 118,
        /// unicode-bidi
        UnicodeBidi = 119,
        /// user-select
        UserSelect = 120,
        /// vector-effect
        VectorEffect = 121,
        /// visibility
        Visibility = 122,
        /// -webkit-line-clamp
        WebkitLineClamp = 123,
        /// -webkit-text-security
        WebkitTextSecurity = 124,
        /// white-space
        WhiteSpace = 125,
        /// word-break
        WordBreak = 126,
        /// writing-mode
        WritingMode = 127,
        /// -x-text-scale
        XTextScale = 128,
        /// z-index
        ZIndex = 129,
        /// appearance
        Appearance = 130,
        /// -moz-default-appearance
        MozDefaultAppearance = 131,
        /// -moz-force-broken-image-icon
        MozForceBrokenImageIcon = 132,
        /// -moz-subtree-hidden-only-visually
        MozSubtreeHiddenOnlyVisually = 133,
        /// break-after
        BreakAfter = 134,
        /// break-before
        BreakBefore = 135,
        /// clip-rule
        ClipRule = 136,
        /// fill-rule
        FillRule = 137,
        /// overflow-clip-box-block
        OverflowClipBoxBlock = 138,
        /// overflow-clip-box-inline
        OverflowClipBoxInline = 139,
        /// fill-opacity
        FillOpacity = 140,
        /// stroke-opacity
        StrokeOpacity = 141,
        /// font-synthesis-small-caps
        FontSynthesisSmallCaps = 142,
        /// font-synthesis-style
        FontSynthesisStyle = 143,
        /// font-synthesis-weight
        FontSynthesisWeight = 144,
        /// -moz-box-ordinal-group
        MozBoxOrdinalGroup = 145,
        /// order
        Order = 146,
        /// -x-span
        XSpan = 147,
        /// flex-grow
        FlexGrow = 148,
        /// flex-shrink
        FlexShrink = 149,
        /// -moz-box-flex
        MozBoxFlex = 150,
        /// stroke-miterlimit
        StrokeMiterlimit = 151,
        /// overflow-block
        OverflowBlock = 152,
        /// overflow-inline
        OverflowInline = 153,
        /// overflow-x
        OverflowX = 154,
        /// overflow-y
        OverflowY = 155,
        /// overscroll-behavior-block
        OverscrollBehaviorBlock = 156,
        /// overscroll-behavior-inline
        OverscrollBehaviorInline = 157,
        /// overscroll-behavior-x
        OverscrollBehaviorX = 158,
        /// overscroll-behavior-y
        OverscrollBehaviorY = 159,
        /// flood-opacity
        FloodOpacity = 160,
        /// -moz-window-opacity
        MozWindowOpacity = 161,
        /// opacity
        Opacity = 162,
        /// shape-image-threshold
        ShapeImageThreshold = 163,
        /// stop-opacity
        StopOpacity = 164,
        /// border-block-end-style
        BorderBlockEndStyle = 165,
        /// border-block-start-style
        BorderBlockStartStyle = 166,
        /// border-bottom-style
        BorderBottomStyle = 167,
        /// border-inline-end-style
        BorderInlineEndStyle = 168,
        /// border-inline-start-style
        BorderInlineStartStyle = 169,
        /// border-left-style
        BorderLeftStyle = 170,
        /// border-right-style
        BorderRightStyle = 171,
        /// border-top-style
        BorderTopStyle = 172,
        /// column-rule-style
        ColumnRuleStyle = 173,
        /// accent-color
        AccentColor = 174,
        /// align-tracks
        AlignTracks = 175,
        /// animation-composition
        AnimationComposition = 176,
        /// animation-delay
        AnimationDelay = 177,
        /// animation-direction
        AnimationDirection = 178,
        /// animation-duration
        AnimationDuration = 179,
        /// animation-fill-mode
        AnimationFillMode = 180,
        /// animation-iteration-count
        AnimationIterationCount = 181,
        /// animation-name
        AnimationName = 182,
        /// animation-play-state
        AnimationPlayState = 183,
        /// animation-timeline
        AnimationTimeline = 184,
        /// animation-timing-function
        AnimationTimingFunction = 185,
        /// backdrop-filter
        BackdropFilter = 186,
        /// background-attachment
        BackgroundAttachment = 187,
        /// background-blend-mode
        BackgroundBlendMode = 188,
        /// background-clip
        BackgroundClip = 189,
        /// background-image
        BackgroundImage = 190,
        /// background-origin
        BackgroundOrigin = 191,
        /// background-position-x
        BackgroundPositionX = 192,
        /// background-position-y
        BackgroundPositionY = 193,
        /// background-repeat
        BackgroundRepeat = 194,
        /// background-size
        BackgroundSize = 195,
        /// border-image-outset
        BorderImageOutset = 196,
        /// border-image-slice
        BorderImageSlice = 197,
        /// border-image-width
        BorderImageWidth = 198,
        /// border-spacing
        BorderSpacing = 199,
        /// box-shadow
        BoxShadow = 200,
        /// caret-color
        CaretColor = 201,
        /// clip
        Clip = 202,
        /// clip-path
        ClipPath = 203,
        /// color
        Color = 204,
        /// color-scheme
        ColorScheme = 205,
        /// column-width
        ColumnWidth = 206,
        /// container-name
        ContainerName = 207,
        /// content
        Content = 208,
        /// counter-increment
        CounterIncrement = 209,
        /// counter-reset
        CounterReset = 210,
        /// counter-set
        CounterSet = 211,
        /// cursor
        Cursor = 212,
        /// d
        D = 213,
        /// filter
        Filter = 214,
        /// flex-basis
        FlexBasis = 215,
        /// font-family
        FontFamily = 216,
        /// font-feature-settings
        FontFeatureSettings = 217,
        /// font-palette
        FontPalette = 218,
        /// font-size
        FontSize = 219,
        /// font-variant-alternates
        FontVariantAlternates = 220,
        /// font-variation-settings
        FontVariationSettings = 221,
        /// grid-template-areas
        GridTemplateAreas = 222,
        /// hyphenate-character
        HyphenateCharacter = 223,
        /// justify-tracks
        JustifyTracks = 224,
        /// letter-spacing
        LetterSpacing = 225,
        /// line-height
        LineHeight = 226,
        /// list-style-type
        ListStyleType = 227,
        /// mask-clip
        MaskClip = 228,
        /// mask-composite
        MaskComposite = 229,
        /// mask-image
        MaskImage = 230,
        /// mask-mode
        MaskMode = 231,
        /// mask-origin
        MaskOrigin = 232,
        /// mask-position-x
        MaskPositionX = 233,
        /// mask-position-y
        MaskPositionY = 234,
        /// mask-repeat
        MaskRepeat = 235,
        /// mask-size
        MaskSize = 236,
        /// -moz-context-properties
        MozContextProperties = 237,
        /// -moz-font-smoothing-background-color
        MozFontSmoothingBackgroundColor = 238,
        /// offset-anchor
        OffsetAnchor = 239,
        /// offset-path
        OffsetPath = 240,
        /// offset-position
        OffsetPosition = 241,
        /// page
        Page = 242,
        /// perspective
        Perspective = 243,
        /// quotes
        Quotes = 244,
        /// rotate
        Rotate = 245,
        /// scale
        Scale = 246,
        /// scroll-timeline-axis
        ScrollTimelineAxis = 247,
        /// scroll-timeline-name
        ScrollTimelineName = 248,
        /// scrollbar-color
        ScrollbarColor = 249,
        /// shape-outside
        ShapeOutside = 250,
        /// size
        Size = 251,
        /// stroke-dasharray
        StrokeDasharray = 252,
        /// stroke-dashoffset
        StrokeDashoffset = 253,
        /// stroke-width
        StrokeWidth = 254,
        /// tab-size
        TabSize = 255,
        /// text-decoration-thickness
        TextDecorationThickness = 256,
        /// text-emphasis-style
        TextEmphasisStyle = 257,
        /// text-overflow
        TextOverflow = 258,
        /// text-shadow
        TextShadow = 259,
        /// transition-delay
        TransitionDelay = 260,
        /// transition-duration
        TransitionDuration = 261,
        /// transition-property
        TransitionProperty = 262,
        /// transition-timing-function
        TransitionTimingFunction = 263,
        /// translate
        Translate = 264,
        /// vertical-align
        VerticalAlign = 265,
        /// view-timeline-axis
        ViewTimelineAxis = 266,
        /// view-timeline-inset
        ViewTimelineInset = 267,
        /// view-timeline-name
        ViewTimelineName = 268,
        /// -webkit-text-stroke-width
        WebkitTextStrokeWidth = 269,
        /// will-change
        WillChange = 270,
        /// word-spacing
        WordSpacing = 271,
        /// -x-lang
        XLang = 272,
        /// object-position
        ObjectPosition = 273,
        /// perspective-origin
        PerspectiveOrigin = 274,
        /// fill
        Fill = 275,
        /// stroke
        Stroke = 276,
        /// -moz-window-transform-origin
        MozWindowTransformOrigin = 277,
        /// transform-origin
        TransformOrigin = 278,
        /// grid-template-columns
        GridTemplateColumns = 279,
        /// grid-template-rows
        GridTemplateRows = 280,
        /// border-image-source
        BorderImageSource = 281,
        /// list-style-image
        ListStyleImage = 282,
        /// grid-auto-columns
        GridAutoColumns = 283,
        /// grid-auto-rows
        GridAutoRows = 284,
        /// -moz-window-transform
        MozWindowTransform = 285,
        /// transform
        Transform = 286,
        /// column-gap
        ColumnGap = 287,
        /// row-gap
        RowGap = 288,
        /// marker-end
        MarkerEnd = 289,
        /// marker-mid
        MarkerMid = 290,
        /// marker-start
        MarkerStart = 291,
        /// contain-intrinsic-block-size
        ContainIntrinsicBlockSize = 292,
        /// contain-intrinsic-height
        ContainIntrinsicHeight = 293,
        /// contain-intrinsic-inline-size
        ContainIntrinsicInlineSize = 294,
        /// contain-intrinsic-width
        ContainIntrinsicWidth = 295,
        /// grid-column-end
        GridColumnEnd = 296,
        /// grid-column-start
        GridColumnStart = 297,
        /// grid-row-end
        GridRowEnd = 298,
        /// grid-row-start
        GridRowStart = 299,
        /// max-block-size
        MaxBlockSize = 300,
        /// max-height
        MaxHeight = 301,
        /// max-inline-size
        MaxInlineSize = 302,
        /// max-width
        MaxWidth = 303,
        /// cx
        Cx = 304,
        /// cy
        Cy = 305,
        /// offset-distance
        OffsetDistance = 306,
        /// text-indent
        TextIndent = 307,
        /// x
        X = 308,
        /// y
        Y = 309,
        /// border-bottom-left-radius
        BorderBottomLeftRadius = 310,
        /// border-bottom-right-radius
        BorderBottomRightRadius = 311,
        /// border-end-end-radius
        BorderEndEndRadius = 312,
        /// border-end-start-radius
        BorderEndStartRadius = 313,
        /// border-start-end-radius
        BorderStartEndRadius = 314,
        /// border-start-start-radius
        BorderStartStartRadius = 315,
        /// border-top-left-radius
        BorderTopLeftRadius = 316,
        /// border-top-right-radius
        BorderTopRightRadius = 317,
        /// block-size
        BlockSize = 318,
        /// height
        Height = 319,
        /// inline-size
        InlineSize = 320,
        /// min-block-size
        MinBlockSize = 321,
        /// min-height
        MinHeight = 322,
        /// min-inline-size
        MinInlineSize = 323,
        /// min-width
        MinWidth = 324,
        /// width
        Width = 325,
        /// border-block-end-width
        BorderBlockEndWidth = 326,
        /// border-block-start-width
        BorderBlockStartWidth = 327,
        /// border-bottom-width
        BorderBottomWidth = 328,
        /// border-inline-end-width
        BorderInlineEndWidth = 329,
        /// border-inline-start-width
        BorderInlineStartWidth = 330,
        /// border-left-width
        BorderLeftWidth = 331,
        /// border-right-width
        BorderRightWidth = 332,
        /// border-top-width
        BorderTopWidth = 333,
        /// column-rule-width
        ColumnRuleWidth = 334,
        /// outline-width
        OutlineWidth = 335,
        /// padding-block-end
        PaddingBlockEnd = 336,
        /// padding-block-start
        PaddingBlockStart = 337,
        /// padding-bottom
        PaddingBottom = 338,
        /// padding-inline-end
        PaddingInlineEnd = 339,
        /// padding-inline-start
        PaddingInlineStart = 340,
        /// padding-left
        PaddingLeft = 341,
        /// padding-right
        PaddingRight = 342,
        /// padding-top
        PaddingTop = 343,
        /// r
        R = 344,
        /// shape-margin
        ShapeMargin = 345,
        /// rx
        Rx = 346,
        /// ry
        Ry = 347,
        /// scroll-padding-block-end
        ScrollPaddingBlockEnd = 348,
        /// scroll-padding-block-start
        ScrollPaddingBlockStart = 349,
        /// scroll-padding-bottom
        ScrollPaddingBottom = 350,
        /// scroll-padding-inline-end
        ScrollPaddingInlineEnd = 351,
        /// scroll-padding-inline-start
        ScrollPaddingInlineStart = 352,
        /// scroll-padding-left
        ScrollPaddingLeft = 353,
        /// scroll-padding-right
        ScrollPaddingRight = 354,
        /// scroll-padding-top
        ScrollPaddingTop = 355,
        /// -moz-window-input-region-margin
        MozWindowInputRegionMargin = 356,
        /// outline-offset
        OutlineOffset = 357,
        /// overflow-clip-margin
        OverflowClipMargin = 358,
        /// scroll-margin-block-end
        ScrollMarginBlockEnd = 359,
        /// scroll-margin-block-start
        ScrollMarginBlockStart = 360,
        /// scroll-margin-bottom
        ScrollMarginBottom = 361,
        /// scroll-margin-inline-end
        ScrollMarginInlineEnd = 362,
        /// scroll-margin-inline-start
        ScrollMarginInlineStart = 363,
        /// scroll-margin-left
        ScrollMarginLeft = 364,
        /// scroll-margin-right
        ScrollMarginRight = 365,
        /// scroll-margin-top
        ScrollMarginTop = 366,
        /// bottom
        Bottom = 367,
        /// inset-block-end
        InsetBlockEnd = 368,
        /// inset-block-start
        InsetBlockStart = 369,
        /// inset-inline-end
        InsetInlineEnd = 370,
        /// inset-inline-start
        InsetInlineStart = 371,
        /// left
        Left = 372,
        /// margin-block-end
        MarginBlockEnd = 373,
        /// margin-block-start
        MarginBlockStart = 374,
        /// margin-bottom
        MarginBottom = 375,
        /// margin-inline-end
        MarginInlineEnd = 376,
        /// margin-inline-start
        MarginInlineStart = 377,
        /// margin-left
        MarginLeft = 378,
        /// margin-right
        MarginRight = 379,
        /// margin-top
        MarginTop = 380,
        /// right
        Right = 381,
        /// text-underline-offset
        TextUnderlineOffset = 382,
        /// top
        Top = 383,
        /// background-color
        BackgroundColor = 384,
        /// border-block-end-color
        BorderBlockEndColor = 385,
        /// border-block-start-color
        BorderBlockStartColor = 386,
        /// border-bottom-color
        BorderBottomColor = 387,
        /// border-inline-end-color
        BorderInlineEndColor = 388,
        /// border-inline-start-color
        BorderInlineStartColor = 389,
        /// border-left-color
        BorderLeftColor = 390,
        /// border-right-color
        BorderRightColor = 391,
        /// border-top-color
        BorderTopColor = 392,
        /// column-rule-color
        ColumnRuleColor = 393,
        /// flood-color
        FloodColor = 394,
        /// lighting-color
        LightingColor = 395,
        /// outline-color
        OutlineColor = 396,
        /// stop-color
        StopColor = 397,
        /// text-decoration-color
        TextDecorationColor = 398,
        /// text-emphasis-color
        TextEmphasisColor = 399,
        /// -webkit-text-fill-color
        WebkitTextFillColor = 400,
        /// -webkit-text-stroke-color
        WebkitTextStrokeColor = 401,
}

impl ToCss for LonghandId {
    #[inline]
    fn to_css<W>(&self, dest: &mut CssWriter<W>) -> fmt::Result
    where
        W: Write,
    {
        dest.write_str(self.name())
    }
}

impl fmt::Debug for LonghandId {
    fn fmt(&self, formatter: &mut fmt::Formatter) -> fmt::Result {
        formatter.write_str(self.name())
    }
}

impl LonghandId {
    /// Get the name of this longhand property.
    #[inline]
    pub fn name(&self) -> &'static str {
        NonCustomPropertyId::from(*self).name()
    }

    /// Returns whether the longhand property is inherited by default.
    #[inline]
    pub fn inherited(self) -> bool {
        !LonghandIdSet::reset().contains(self)
    }

    /// Returns an iterator over all the shorthands that include this longhand.
    pub fn shorthands(&self) -> NonCustomPropertyIterator<ShorthandId> {
        // first generate longhand to shorthands lookup map
        //
        // NOTE(emilio): This currently doesn't exclude the "all" shorthand. It
        // could potentially do so, which would speed up serialization
        // algorithms and what not, I guess.
        

        // based on lookup results for each longhand, create result arrays
            static ALIGN_CONTENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PlaceContent,
            ];
            static ALIGN_ITEMS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PlaceItems,
            ];
            static ALIGN_SELF: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PlaceSelf,
            ];
            static ASPECT_RATIO: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BACKFACE_VISIBILITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BASELINE_SOURCE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_COLLAPSE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_IMAGE_REPEAT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderImage,
            ];
            static BOX_DECORATION_BREAK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BOX_SIZING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BREAK_INSIDE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PageBreakInside,
            ];
            static CAPTION_SIDE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CLEAR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLOR_INTERPOLATION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLOR_INTERPOLATION_FILTERS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLUMN_COUNT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Columns,
            ];
            static COLUMN_FILL: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLUMN_SPAN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CONTAIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CONTAINER_TYPE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Container,
            ];
            static CONTENT_VISIBILITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static DIRECTION: &'static [ShorthandId] = &[
            ];
            static DISPLAY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static DOMINANT_BASELINE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static EMPTY_CELLS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FLEX_DIRECTION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::FlexFlow,
            ];
            static FLEX_WRAP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::FlexFlow,
            ];
            static FLOAT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FONT_KERNING: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_LANGUAGE_OVERRIDE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_OPTICAL_SIZING: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_SIZE_ADJUST: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_STRETCH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_VARIANT_CAPS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_VARIANT_EAST_ASIAN: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_VARIANT_EMOJI: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_VARIANT_LIGATURES: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_VARIANT_NUMERIC: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_VARIANT_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_WEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FORCED_COLOR_ADJUST: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static GRID_AUTO_FLOW: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Grid,
            ];
            static HYPHENS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static IMAGE_ORIENTATION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static IMAGE_RENDERING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static IME_MODE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static INITIAL_LETTER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static ISOLATION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static JUSTIFY_CONTENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PlaceContent,
            ];
            static JUSTIFY_ITEMS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PlaceItems,
            ];
            static JUSTIFY_SELF: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PlaceSelf,
            ];
            static LINE_BREAK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static LIST_STYLE_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ListStyle,
            ];
            static MASK_TYPE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MASONRY_AUTO_FLOW: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MATH_DEPTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MATH_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MIX_BLEND_MODE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_BOX_ALIGN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_BOX_COLLAPSE: &'static [ShorthandId] = &[
            ];
            static _MOZ_BOX_DIRECTION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_BOX_ORIENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_BOX_PACK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_CONTROL_CHARACTER_VISIBILITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_FLOAT_EDGE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_INERT: &'static [ShorthandId] = &[
            ];
            static _MOZ_MATH_VARIANT: &'static [ShorthandId] = &[
            ];
            static _MOZ_MIN_FONT_SIZE_RATIO: &'static [ShorthandId] = &[
            ];
            static _MOZ_ORIENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_OSX_FONT_SMOOTHING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_SCRIPT_MIN_SIZE: &'static [ShorthandId] = &[
            ];
            static _MOZ_SCRIPT_SIZE_MULTIPLIER: &'static [ShorthandId] = &[
            ];
            static _MOZ_TEXT_SIZE_ADJUST: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_TOP_LAYER: &'static [ShorthandId] = &[
            ];
            static _MOZ_USER_FOCUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_USER_INPUT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_USER_MODIFY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_WINDOW_DRAGGING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_WINDOW_SHADOW: &'static [ShorthandId] = &[
            ];
            static OBJECT_FIT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OFFSET_ROTATE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Offset,
            ];
            static OUTLINE_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Outline,
            ];
            static OVERFLOW_ANCHOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERFLOW_WRAP: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static PAGE_ORIENTATION: &'static [ShorthandId] = &[
            ];
            static PAINT_ORDER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static POINTER_EVENTS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static PRINT_COLOR_ADJUST: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static RESIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static RUBY_ALIGN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static RUBY_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_BEHAVIOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_SNAP_ALIGN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_SNAP_STOP: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_SNAP_TYPE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLLBAR_GUTTER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLLBAR_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SHAPE_RENDERING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE_LINECAP: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE_LINEJOIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TABLE_LAYOUT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_ALIGN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_ALIGN_LAST: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_ANCHOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_COMBINE_UPRIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_DECORATION_LINE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::TextDecoration,
            ];
            static TEXT_DECORATION_SKIP_INK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_DECORATION_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::TextDecoration,
            ];
            static TEXT_EMPHASIS_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_JUSTIFY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_ORIENTATION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_RENDERING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_TRANSFORM: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_UNDERLINE_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TOUCH_ACTION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TRANSFORM_BOX: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TRANSFORM_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static UNICODE_BIDI: &'static [ShorthandId] = &[
            ];
            static USER_SELECT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static VECTOR_EFFECT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static VISIBILITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _WEBKIT_LINE_CLAMP: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _WEBKIT_TEXT_SECURITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static WHITE_SPACE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static WORD_BREAK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static WRITING_MODE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _X_TEXT_SCALE: &'static [ShorthandId] = &[
            ];
            static Z_INDEX: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static APPEARANCE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_DEFAULT_APPEARANCE: &'static [ShorthandId] = &[
            ];
            static _MOZ_FORCE_BROKEN_IMAGE_ICON: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_SUBTREE_HIDDEN_ONLY_VISUALLY: &'static [ShorthandId] = &[
            ];
            static BREAK_AFTER: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PageBreakAfter,
            ];
            static BREAK_BEFORE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PageBreakBefore,
            ];
            static CLIP_RULE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FILL_RULE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERFLOW_CLIP_BOX_BLOCK: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::OverflowClipBox,
            ];
            static OVERFLOW_CLIP_BOX_INLINE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::OverflowClipBox,
            ];
            static FILL_OPACITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE_OPACITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FONT_SYNTHESIS_SMALL_CAPS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::FontSynthesis,
            ];
            static FONT_SYNTHESIS_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::FontSynthesis,
            ];
            static FONT_SYNTHESIS_WEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::FontSynthesis,
            ];
            static _MOZ_BOX_ORDINAL_GROUP: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static ORDER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _X_SPAN: &'static [ShorthandId] = &[
            ];
            static FLEX_GROW: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Flex,
            ];
            static FLEX_SHRINK: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Flex,
            ];
            static _MOZ_BOX_FLEX: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE_MITERLIMIT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERFLOW_BLOCK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERFLOW_INLINE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERFLOW_X: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Overflow,
            ];
            static OVERFLOW_Y: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Overflow,
            ];
            static OVERSCROLL_BEHAVIOR_BLOCK: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERSCROLL_BEHAVIOR_INLINE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERSCROLL_BEHAVIOR_X: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::OverscrollBehavior,
            ];
            static OVERSCROLL_BEHAVIOR_Y: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::OverscrollBehavior,
            ];
            static FLOOD_OPACITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_WINDOW_OPACITY: &'static [ShorthandId] = &[
            ];
            static OPACITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SHAPE_IMAGE_THRESHOLD: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STOP_OPACITY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_BLOCK_END_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderBlock,
                    ShorthandId::BorderBlockEnd,
                    ShorthandId::BorderBlockStyle,
            ];
            static BORDER_BLOCK_START_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderBlock,
                    ShorthandId::BorderBlockStart,
                    ShorthandId::BorderBlockStyle,
            ];
            static BORDER_BOTTOM_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderStyle,
                    ShorthandId::BorderBottom,
            ];
            static BORDER_INLINE_END_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderInline,
                    ShorthandId::BorderInlineEnd,
                    ShorthandId::BorderInlineStyle,
            ];
            static BORDER_INLINE_START_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderInline,
                    ShorthandId::BorderInlineStart,
                    ShorthandId::BorderInlineStyle,
            ];
            static BORDER_LEFT_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderStyle,
                    ShorthandId::BorderLeft,
            ];
            static BORDER_RIGHT_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderStyle,
                    ShorthandId::BorderRight,
            ];
            static BORDER_TOP_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderStyle,
                    ShorthandId::BorderTop,
            ];
            static COLUMN_RULE_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ColumnRule,
            ];
            static ACCENT_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static ALIGN_TRACKS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static ANIMATION_COMPOSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static ANIMATION_DELAY: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_DIRECTION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_DURATION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_FILL_MODE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_ITERATION_COUNT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_NAME: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_PLAY_STATE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_TIMELINE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static ANIMATION_TIMING_FUNCTION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Animation,
            ];
            static BACKDROP_FILTER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BACKGROUND_ATTACHMENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BACKGROUND_BLEND_MODE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BACKGROUND_CLIP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BACKGROUND_IMAGE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BACKGROUND_ORIGIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BACKGROUND_POSITION_X: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
                    ShorthandId::BackgroundPosition,
            ];
            static BACKGROUND_POSITION_Y: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
                    ShorthandId::BackgroundPosition,
            ];
            static BACKGROUND_REPEAT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BACKGROUND_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BORDER_IMAGE_OUTSET: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderImage,
            ];
            static BORDER_IMAGE_SLICE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderImage,
            ];
            static BORDER_IMAGE_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderImage,
            ];
            static BORDER_SPACING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BOX_SHADOW: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CARET_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CLIP: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CLIP_PATH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLOR_SCHEME: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COLUMN_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Columns,
            ];
            static CONTAINER_NAME: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Container,
            ];
            static CONTENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COUNTER_INCREMENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COUNTER_RESET: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static COUNTER_SET: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CURSOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static D: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FILTER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FLEX_BASIS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Flex,
            ];
            static FONT_FAMILY: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_FEATURE_SETTINGS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_PALETTE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FONT_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static FONT_VARIANT_ALTERNATES: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
                    ShorthandId::FontVariant,
            ];
            static FONT_VARIATION_SETTINGS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static GRID_TEMPLATE_AREAS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Grid,
                    ShorthandId::GridTemplate,
            ];
            static HYPHENATE_CHARACTER: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static JUSTIFY_TRACKS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static LETTER_SPACING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static LINE_HEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Font,
            ];
            static LIST_STYLE_TYPE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ListStyle,
            ];
            static MASK_CLIP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static MASK_COMPOSITE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static MASK_IMAGE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static MASK_MODE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static MASK_ORIGIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static MASK_POSITION_X: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
                    ShorthandId::MaskPosition,
            ];
            static MASK_POSITION_Y: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
                    ShorthandId::MaskPosition,
            ];
            static MASK_REPEAT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static MASK_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Mask,
            ];
            static _MOZ_CONTEXT_PROPERTIES: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_FONT_SMOOTHING_BACKGROUND_COLOR: &'static [ShorthandId] = &[
            ];
            static OFFSET_ANCHOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Offset,
            ];
            static OFFSET_PATH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Offset,
            ];
            static OFFSET_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Offset,
            ];
            static PAGE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static PERSPECTIVE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static QUOTES: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static ROTATE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCALE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_TIMELINE_AXIS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollTimeline,
            ];
            static SCROLL_TIMELINE_NAME: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollTimeline,
            ];
            static SCROLLBAR_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SHAPE_OUTSIDE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SIZE: &'static [ShorthandId] = &[
            ];
            static STROKE_DASHARRAY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE_DASHOFFSET: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TAB_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_DECORATION_THICKNESS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::TextDecoration,
            ];
            static TEXT_EMPHASIS_STYLE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::TextEmphasis,
            ];
            static TEXT_OVERFLOW: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_SHADOW: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TRANSITION_DELAY: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Transition,
            ];
            static TRANSITION_DURATION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Transition,
            ];
            static TRANSITION_PROPERTY: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Transition,
            ];
            static TRANSITION_TIMING_FUNCTION: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Transition,
            ];
            static TRANSLATE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static VERTICAL_ALIGN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static VIEW_TIMELINE_AXIS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ViewTimeline,
            ];
            static VIEW_TIMELINE_INSET: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static VIEW_TIMELINE_NAME: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ViewTimeline,
            ];
            static _WEBKIT_TEXT_STROKE_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::WebkitTextStroke,
            ];
            static WILL_CHANGE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static WORD_SPACING: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _X_LANG: &'static [ShorthandId] = &[
            ];
            static OBJECT_POSITION: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static PERSPECTIVE_ORIGIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static FILL: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static STROKE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _MOZ_WINDOW_TRANSFORM_ORIGIN: &'static [ShorthandId] = &[
            ];
            static TRANSFORM_ORIGIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Zoom,
            ];
            static GRID_TEMPLATE_COLUMNS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Grid,
                    ShorthandId::GridTemplate,
            ];
            static GRID_TEMPLATE_ROWS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Grid,
                    ShorthandId::GridTemplate,
            ];
            static BORDER_IMAGE_SOURCE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderImage,
            ];
            static LIST_STYLE_IMAGE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ListStyle,
            ];
            static GRID_AUTO_COLUMNS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Grid,
            ];
            static GRID_AUTO_ROWS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Grid,
            ];
            static _MOZ_WINDOW_TRANSFORM: &'static [ShorthandId] = &[
            ];
            static TRANSFORM: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Zoom,
            ];
            static COLUMN_GAP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Gap,
            ];
            static ROW_GAP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Gap,
            ];
            static MARKER_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Marker,
            ];
            static MARKER_MID: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Marker,
            ];
            static MARKER_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Marker,
            ];
            static CONTAIN_INTRINSIC_BLOCK_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CONTAIN_INTRINSIC_HEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ContainIntrinsicSize,
            ];
            static CONTAIN_INTRINSIC_INLINE_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CONTAIN_INTRINSIC_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ContainIntrinsicSize,
            ];
            static GRID_COLUMN_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::GridArea,
                    ShorthandId::GridColumn,
            ];
            static GRID_COLUMN_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::GridArea,
                    ShorthandId::GridColumn,
            ];
            static GRID_ROW_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::GridArea,
                    ShorthandId::GridRow,
            ];
            static GRID_ROW_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::GridArea,
                    ShorthandId::GridRow,
            ];
            static MAX_BLOCK_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MAX_HEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MAX_INLINE_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MAX_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CX: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static CY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OFFSET_DISTANCE: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Offset,
            ];
            static TEXT_INDENT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static X: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static Y: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_BOTTOM_LEFT_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderRadius,
            ];
            static BORDER_BOTTOM_RIGHT_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderRadius,
            ];
            static BORDER_END_END_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_END_START_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_START_END_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_START_START_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_TOP_LEFT_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderRadius,
            ];
            static BORDER_TOP_RIGHT_RADIUS: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderRadius,
            ];
            static BLOCK_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static HEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static INLINE_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MIN_BLOCK_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MIN_HEIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MIN_INLINE_SIZE: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static MIN_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static BORDER_BLOCK_END_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderBlock,
                    ShorthandId::BorderBlockEnd,
                    ShorthandId::BorderBlockWidth,
            ];
            static BORDER_BLOCK_START_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderBlock,
                    ShorthandId::BorderBlockStart,
                    ShorthandId::BorderBlockWidth,
            ];
            static BORDER_BOTTOM_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderWidth,
                    ShorthandId::BorderBottom,
            ];
            static BORDER_INLINE_END_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderInline,
                    ShorthandId::BorderInlineEnd,
                    ShorthandId::BorderInlineWidth,
            ];
            static BORDER_INLINE_START_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderInline,
                    ShorthandId::BorderInlineStart,
                    ShorthandId::BorderInlineWidth,
            ];
            static BORDER_LEFT_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderWidth,
                    ShorthandId::BorderLeft,
            ];
            static BORDER_RIGHT_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderWidth,
                    ShorthandId::BorderRight,
            ];
            static BORDER_TOP_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderWidth,
                    ShorthandId::BorderTop,
            ];
            static COLUMN_RULE_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ColumnRule,
            ];
            static OUTLINE_WIDTH: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Outline,
            ];
            static PADDING_BLOCK_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PaddingBlock,
            ];
            static PADDING_BLOCK_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PaddingBlock,
            ];
            static PADDING_BOTTOM: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Padding,
            ];
            static PADDING_INLINE_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PaddingInline,
            ];
            static PADDING_INLINE_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::PaddingInline,
            ];
            static PADDING_LEFT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Padding,
            ];
            static PADDING_RIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Padding,
            ];
            static PADDING_TOP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Padding,
            ];
            static R: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SHAPE_MARGIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static RX: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static RY: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_PADDING_BLOCK_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPaddingBlock,
            ];
            static SCROLL_PADDING_BLOCK_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPaddingBlock,
            ];
            static SCROLL_PADDING_BOTTOM: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPadding,
            ];
            static SCROLL_PADDING_INLINE_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPaddingInline,
            ];
            static SCROLL_PADDING_INLINE_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPaddingInline,
            ];
            static SCROLL_PADDING_LEFT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPadding,
            ];
            static SCROLL_PADDING_RIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPadding,
            ];
            static SCROLL_PADDING_TOP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollPadding,
            ];
            static _MOZ_WINDOW_INPUT_REGION_MARGIN: &'static [ShorthandId] = &[
            ];
            static OUTLINE_OFFSET: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OVERFLOW_CLIP_MARGIN: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static SCROLL_MARGIN_BLOCK_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMarginBlock,
            ];
            static SCROLL_MARGIN_BLOCK_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMarginBlock,
            ];
            static SCROLL_MARGIN_BOTTOM: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMargin,
            ];
            static SCROLL_MARGIN_INLINE_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMarginInline,
            ];
            static SCROLL_MARGIN_INLINE_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMarginInline,
            ];
            static SCROLL_MARGIN_LEFT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMargin,
            ];
            static SCROLL_MARGIN_RIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMargin,
            ];
            static SCROLL_MARGIN_TOP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ScrollMargin,
            ];
            static BOTTOM: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Inset,
            ];
            static INSET_BLOCK_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::InsetBlock,
            ];
            static INSET_BLOCK_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::InsetBlock,
            ];
            static INSET_INLINE_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::InsetInline,
            ];
            static INSET_INLINE_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::InsetInline,
            ];
            static LEFT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Inset,
            ];
            static MARGIN_BLOCK_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::MarginBlock,
            ];
            static MARGIN_BLOCK_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::MarginBlock,
            ];
            static MARGIN_BOTTOM: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Margin,
            ];
            static MARGIN_INLINE_END: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::MarginInline,
            ];
            static MARGIN_INLINE_START: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::MarginInline,
            ];
            static MARGIN_LEFT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Margin,
            ];
            static MARGIN_RIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Margin,
            ];
            static MARGIN_TOP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Margin,
            ];
            static RIGHT: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Inset,
            ];
            static TEXT_UNDERLINE_OFFSET: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TOP: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Inset,
            ];
            static BACKGROUND_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Background,
            ];
            static BORDER_BLOCK_END_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderBlock,
                    ShorthandId::BorderBlockEnd,
                    ShorthandId::BorderBlockColor,
            ];
            static BORDER_BLOCK_START_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderBlock,
                    ShorthandId::BorderBlockStart,
                    ShorthandId::BorderBlockColor,
            ];
            static BORDER_BOTTOM_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderColor,
                    ShorthandId::BorderBottom,
            ];
            static BORDER_INLINE_END_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderInline,
                    ShorthandId::BorderInlineEnd,
                    ShorthandId::BorderInlineColor,
            ];
            static BORDER_INLINE_START_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::BorderInline,
                    ShorthandId::BorderInlineStart,
                    ShorthandId::BorderInlineColor,
            ];
            static BORDER_LEFT_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderColor,
                    ShorthandId::BorderLeft,
            ];
            static BORDER_RIGHT_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderColor,
                    ShorthandId::BorderRight,
            ];
            static BORDER_TOP_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Border,
                    ShorthandId::BorderColor,
                    ShorthandId::BorderTop,
            ];
            static COLUMN_RULE_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::ColumnRule,
            ];
            static FLOOD_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static LIGHTING_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static OUTLINE_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::Outline,
            ];
            static STOP_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static TEXT_DECORATION_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::TextDecoration,
            ];
            static TEXT_EMPHASIS_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::TextEmphasis,
            ];
            static _WEBKIT_TEXT_FILL_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
            ];
            static _WEBKIT_TEXT_STROKE_COLOR: &'static [ShorthandId] = &[
                    ShorthandId::All,
                    ShorthandId::WebkitTextStroke,
            ];

        NonCustomPropertyIterator {
            filter: NonCustomPropertyId::from(*self).enabled_for_all_content(),
            iter: match *self {
                    LonghandId::AlignContent => ALIGN_CONTENT,
                    LonghandId::AlignItems => ALIGN_ITEMS,
                    LonghandId::AlignSelf => ALIGN_SELF,
                    LonghandId::AspectRatio => ASPECT_RATIO,
                    LonghandId::BackfaceVisibility => BACKFACE_VISIBILITY,
                    LonghandId::BaselineSource => BASELINE_SOURCE,
                    LonghandId::BorderCollapse => BORDER_COLLAPSE,
                    LonghandId::BorderImageRepeat => BORDER_IMAGE_REPEAT,
                    LonghandId::BoxDecorationBreak => BOX_DECORATION_BREAK,
                    LonghandId::BoxSizing => BOX_SIZING,
                    LonghandId::BreakInside => BREAK_INSIDE,
                    LonghandId::CaptionSide => CAPTION_SIDE,
                    LonghandId::Clear => CLEAR,
                    LonghandId::ColorInterpolation => COLOR_INTERPOLATION,
                    LonghandId::ColorInterpolationFilters => COLOR_INTERPOLATION_FILTERS,
                    LonghandId::ColumnCount => COLUMN_COUNT,
                    LonghandId::ColumnFill => COLUMN_FILL,
                    LonghandId::ColumnSpan => COLUMN_SPAN,
                    LonghandId::Contain => CONTAIN,
                    LonghandId::ContainerType => CONTAINER_TYPE,
                    LonghandId::ContentVisibility => CONTENT_VISIBILITY,
                    LonghandId::Direction => DIRECTION,
                    LonghandId::Display => DISPLAY,
                    LonghandId::DominantBaseline => DOMINANT_BASELINE,
                    LonghandId::EmptyCells => EMPTY_CELLS,
                    LonghandId::FlexDirection => FLEX_DIRECTION,
                    LonghandId::FlexWrap => FLEX_WRAP,
                    LonghandId::Float => FLOAT,
                    LonghandId::FontKerning => FONT_KERNING,
                    LonghandId::FontLanguageOverride => FONT_LANGUAGE_OVERRIDE,
                    LonghandId::FontOpticalSizing => FONT_OPTICAL_SIZING,
                    LonghandId::FontSizeAdjust => FONT_SIZE_ADJUST,
                    LonghandId::FontStretch => FONT_STRETCH,
                    LonghandId::FontStyle => FONT_STYLE,
                    LonghandId::FontVariantCaps => FONT_VARIANT_CAPS,
                    LonghandId::FontVariantEastAsian => FONT_VARIANT_EAST_ASIAN,
                    LonghandId::FontVariantEmoji => FONT_VARIANT_EMOJI,
                    LonghandId::FontVariantLigatures => FONT_VARIANT_LIGATURES,
                    LonghandId::FontVariantNumeric => FONT_VARIANT_NUMERIC,
                    LonghandId::FontVariantPosition => FONT_VARIANT_POSITION,
                    LonghandId::FontWeight => FONT_WEIGHT,
                    LonghandId::ForcedColorAdjust => FORCED_COLOR_ADJUST,
                    LonghandId::GridAutoFlow => GRID_AUTO_FLOW,
                    LonghandId::Hyphens => HYPHENS,
                    LonghandId::ImageOrientation => IMAGE_ORIENTATION,
                    LonghandId::ImageRendering => IMAGE_RENDERING,
                    LonghandId::ImeMode => IME_MODE,
                    LonghandId::InitialLetter => INITIAL_LETTER,
                    LonghandId::Isolation => ISOLATION,
                    LonghandId::JustifyContent => JUSTIFY_CONTENT,
                    LonghandId::JustifyItems => JUSTIFY_ITEMS,
                    LonghandId::JustifySelf => JUSTIFY_SELF,
                    LonghandId::LineBreak => LINE_BREAK,
                    LonghandId::ListStylePosition => LIST_STYLE_POSITION,
                    LonghandId::MaskType => MASK_TYPE,
                    LonghandId::MasonryAutoFlow => MASONRY_AUTO_FLOW,
                    LonghandId::MathDepth => MATH_DEPTH,
                    LonghandId::MathStyle => MATH_STYLE,
                    LonghandId::MixBlendMode => MIX_BLEND_MODE,
                    LonghandId::MozBoxAlign => _MOZ_BOX_ALIGN,
                    LonghandId::MozBoxCollapse => _MOZ_BOX_COLLAPSE,
                    LonghandId::MozBoxDirection => _MOZ_BOX_DIRECTION,
                    LonghandId::MozBoxOrient => _MOZ_BOX_ORIENT,
                    LonghandId::MozBoxPack => _MOZ_BOX_PACK,
                    LonghandId::MozControlCharacterVisibility => _MOZ_CONTROL_CHARACTER_VISIBILITY,
                    LonghandId::MozFloatEdge => _MOZ_FLOAT_EDGE,
                    LonghandId::MozInert => _MOZ_INERT,
                    LonghandId::MozMathVariant => _MOZ_MATH_VARIANT,
                    LonghandId::MozMinFontSizeRatio => _MOZ_MIN_FONT_SIZE_RATIO,
                    LonghandId::MozOrient => _MOZ_ORIENT,
                    LonghandId::MozOsxFontSmoothing => _MOZ_OSX_FONT_SMOOTHING,
                    LonghandId::MozScriptMinSize => _MOZ_SCRIPT_MIN_SIZE,
                    LonghandId::MozScriptSizeMultiplier => _MOZ_SCRIPT_SIZE_MULTIPLIER,
                    LonghandId::MozTextSizeAdjust => _MOZ_TEXT_SIZE_ADJUST,
                    LonghandId::MozTopLayer => _MOZ_TOP_LAYER,
                    LonghandId::MozUserFocus => _MOZ_USER_FOCUS,
                    LonghandId::MozUserInput => _MOZ_USER_INPUT,
                    LonghandId::MozUserModify => _MOZ_USER_MODIFY,
                    LonghandId::MozWindowDragging => _MOZ_WINDOW_DRAGGING,
                    LonghandId::MozWindowShadow => _MOZ_WINDOW_SHADOW,
                    LonghandId::ObjectFit => OBJECT_FIT,
                    LonghandId::OffsetRotate => OFFSET_ROTATE,
                    LonghandId::OutlineStyle => OUTLINE_STYLE,
                    LonghandId::OverflowAnchor => OVERFLOW_ANCHOR,
                    LonghandId::OverflowWrap => OVERFLOW_WRAP,
                    LonghandId::PageOrientation => PAGE_ORIENTATION,
                    LonghandId::PaintOrder => PAINT_ORDER,
                    LonghandId::PointerEvents => POINTER_EVENTS,
                    LonghandId::Position => POSITION,
                    LonghandId::PrintColorAdjust => PRINT_COLOR_ADJUST,
                    LonghandId::Resize => RESIZE,
                    LonghandId::RubyAlign => RUBY_ALIGN,
                    LonghandId::RubyPosition => RUBY_POSITION,
                    LonghandId::ScrollBehavior => SCROLL_BEHAVIOR,
                    LonghandId::ScrollSnapAlign => SCROLL_SNAP_ALIGN,
                    LonghandId::ScrollSnapStop => SCROLL_SNAP_STOP,
                    LonghandId::ScrollSnapType => SCROLL_SNAP_TYPE,
                    LonghandId::ScrollbarGutter => SCROLLBAR_GUTTER,
                    LonghandId::ScrollbarWidth => SCROLLBAR_WIDTH,
                    LonghandId::ShapeRendering => SHAPE_RENDERING,
                    LonghandId::StrokeLinecap => STROKE_LINECAP,
                    LonghandId::StrokeLinejoin => STROKE_LINEJOIN,
                    LonghandId::TableLayout => TABLE_LAYOUT,
                    LonghandId::TextAlign => TEXT_ALIGN,
                    LonghandId::TextAlignLast => TEXT_ALIGN_LAST,
                    LonghandId::TextAnchor => TEXT_ANCHOR,
                    LonghandId::TextCombineUpright => TEXT_COMBINE_UPRIGHT,
                    LonghandId::TextDecorationLine => TEXT_DECORATION_LINE,
                    LonghandId::TextDecorationSkipInk => TEXT_DECORATION_SKIP_INK,
                    LonghandId::TextDecorationStyle => TEXT_DECORATION_STYLE,
                    LonghandId::TextEmphasisPosition => TEXT_EMPHASIS_POSITION,
                    LonghandId::TextJustify => TEXT_JUSTIFY,
                    LonghandId::TextOrientation => TEXT_ORIENTATION,
                    LonghandId::TextRendering => TEXT_RENDERING,
                    LonghandId::TextTransform => TEXT_TRANSFORM,
                    LonghandId::TextUnderlinePosition => TEXT_UNDERLINE_POSITION,
                    LonghandId::TouchAction => TOUCH_ACTION,
                    LonghandId::TransformBox => TRANSFORM_BOX,
                    LonghandId::TransformStyle => TRANSFORM_STYLE,
                    LonghandId::UnicodeBidi => UNICODE_BIDI,
                    LonghandId::UserSelect => USER_SELECT,
                    LonghandId::VectorEffect => VECTOR_EFFECT,
                    LonghandId::Visibility => VISIBILITY,
                    LonghandId::WebkitLineClamp => _WEBKIT_LINE_CLAMP,
                    LonghandId::WebkitTextSecurity => _WEBKIT_TEXT_SECURITY,
                    LonghandId::WhiteSpace => WHITE_SPACE,
                    LonghandId::WordBreak => WORD_BREAK,
                    LonghandId::WritingMode => WRITING_MODE,
                    LonghandId::XTextScale => _X_TEXT_SCALE,
                    LonghandId::ZIndex => Z_INDEX,
                    LonghandId::Appearance => APPEARANCE,
                    LonghandId::MozDefaultAppearance => _MOZ_DEFAULT_APPEARANCE,
                    LonghandId::MozForceBrokenImageIcon => _MOZ_FORCE_BROKEN_IMAGE_ICON,
                    LonghandId::MozSubtreeHiddenOnlyVisually => _MOZ_SUBTREE_HIDDEN_ONLY_VISUALLY,
                    LonghandId::BreakAfter => BREAK_AFTER,
                    LonghandId::BreakBefore => BREAK_BEFORE,
                    LonghandId::ClipRule => CLIP_RULE,
                    LonghandId::FillRule => FILL_RULE,
                    LonghandId::OverflowClipBoxBlock => OVERFLOW_CLIP_BOX_BLOCK,
                    LonghandId::OverflowClipBoxInline => OVERFLOW_CLIP_BOX_INLINE,
                    LonghandId::FillOpacity => FILL_OPACITY,
                    LonghandId::StrokeOpacity => STROKE_OPACITY,
                    LonghandId::FontSynthesisSmallCaps => FONT_SYNTHESIS_SMALL_CAPS,
                    LonghandId::FontSynthesisStyle => FONT_SYNTHESIS_STYLE,
                    LonghandId::FontSynthesisWeight => FONT_SYNTHESIS_WEIGHT,
                    LonghandId::MozBoxOrdinalGroup => _MOZ_BOX_ORDINAL_GROUP,
                    LonghandId::Order => ORDER,
                    LonghandId::XSpan => _X_SPAN,
                    LonghandId::FlexGrow => FLEX_GROW,
                    LonghandId::FlexShrink => FLEX_SHRINK,
                    LonghandId::MozBoxFlex => _MOZ_BOX_FLEX,
                    LonghandId::StrokeMiterlimit => STROKE_MITERLIMIT,
                    LonghandId::OverflowBlock => OVERFLOW_BLOCK,
                    LonghandId::OverflowInline => OVERFLOW_INLINE,
                    LonghandId::OverflowX => OVERFLOW_X,
                    LonghandId::OverflowY => OVERFLOW_Y,
                    LonghandId::OverscrollBehaviorBlock => OVERSCROLL_BEHAVIOR_BLOCK,
                    LonghandId::OverscrollBehaviorInline => OVERSCROLL_BEHAVIOR_INLINE,
                    LonghandId::OverscrollBehaviorX => OVERSCROLL_BEHAVIOR_X,
                    LonghandId::OverscrollBehaviorY => OVERSCROLL_BEHAVIOR_Y,
                    LonghandId::FloodOpacity => FLOOD_OPACITY,
                    LonghandId::MozWindowOpacity => _MOZ_WINDOW_OPACITY,
                    LonghandId::Opacity => OPACITY,
                    LonghandId::ShapeImageThreshold => SHAPE_IMAGE_THRESHOLD,
                    LonghandId::StopOpacity => STOP_OPACITY,
                    LonghandId::BorderBlockEndStyle => BORDER_BLOCK_END_STYLE,
                    LonghandId::BorderBlockStartStyle => BORDER_BLOCK_START_STYLE,
                    LonghandId::BorderBottomStyle => BORDER_BOTTOM_STYLE,
                    LonghandId::BorderInlineEndStyle => BORDER_INLINE_END_STYLE,
                    LonghandId::BorderInlineStartStyle => BORDER_INLINE_START_STYLE,
                    LonghandId::BorderLeftStyle => BORDER_LEFT_STYLE,
                    LonghandId::BorderRightStyle => BORDER_RIGHT_STYLE,
                    LonghandId::BorderTopStyle => BORDER_TOP_STYLE,
                    LonghandId::ColumnRuleStyle => COLUMN_RULE_STYLE,
                    LonghandId::AccentColor => ACCENT_COLOR,
                    LonghandId::AlignTracks => ALIGN_TRACKS,
                    LonghandId::AnimationComposition => ANIMATION_COMPOSITION,
                    LonghandId::AnimationDelay => ANIMATION_DELAY,
                    LonghandId::AnimationDirection => ANIMATION_DIRECTION,
                    LonghandId::AnimationDuration => ANIMATION_DURATION,
                    LonghandId::AnimationFillMode => ANIMATION_FILL_MODE,
                    LonghandId::AnimationIterationCount => ANIMATION_ITERATION_COUNT,
                    LonghandId::AnimationName => ANIMATION_NAME,
                    LonghandId::AnimationPlayState => ANIMATION_PLAY_STATE,
                    LonghandId::AnimationTimeline => ANIMATION_TIMELINE,
                    LonghandId::AnimationTimingFunction => ANIMATION_TIMING_FUNCTION,
                    LonghandId::BackdropFilter => BACKDROP_FILTER,
                    LonghandId::BackgroundAttachment => BACKGROUND_ATTACHMENT,
                    LonghandId::BackgroundBlendMode => BACKGROUND_BLEND_MODE,
                    LonghandId::BackgroundClip => BACKGROUND_CLIP,
                    LonghandId::BackgroundImage => BACKGROUND_IMAGE,
                    LonghandId::BackgroundOrigin => BACKGROUND_ORIGIN,
                    LonghandId::BackgroundPositionX => BACKGROUND_POSITION_X,
                    LonghandId::BackgroundPositionY => BACKGROUND_POSITION_Y,
                    LonghandId::BackgroundRepeat => BACKGROUND_REPEAT,
                    LonghandId::BackgroundSize => BACKGROUND_SIZE,
                    LonghandId::BorderImageOutset => BORDER_IMAGE_OUTSET,
                    LonghandId::BorderImageSlice => BORDER_IMAGE_SLICE,
                    LonghandId::BorderImageWidth => BORDER_IMAGE_WIDTH,
                    LonghandId::BorderSpacing => BORDER_SPACING,
                    LonghandId::BoxShadow => BOX_SHADOW,
                    LonghandId::CaretColor => CARET_COLOR,
                    LonghandId::Clip => CLIP,
                    LonghandId::ClipPath => CLIP_PATH,
                    LonghandId::Color => COLOR,
                    LonghandId::ColorScheme => COLOR_SCHEME,
                    LonghandId::ColumnWidth => COLUMN_WIDTH,
                    LonghandId::ContainerName => CONTAINER_NAME,
                    LonghandId::Content => CONTENT,
                    LonghandId::CounterIncrement => COUNTER_INCREMENT,
                    LonghandId::CounterReset => COUNTER_RESET,
                    LonghandId::CounterSet => COUNTER_SET,
                    LonghandId::Cursor => CURSOR,
                    LonghandId::D => D,
                    LonghandId::Filter => FILTER,
                    LonghandId::FlexBasis => FLEX_BASIS,
                    LonghandId::FontFamily => FONT_FAMILY,
                    LonghandId::FontFeatureSettings => FONT_FEATURE_SETTINGS,
                    LonghandId::FontPalette => FONT_PALETTE,
                    LonghandId::FontSize => FONT_SIZE,
                    LonghandId::FontVariantAlternates => FONT_VARIANT_ALTERNATES,
                    LonghandId::FontVariationSettings => FONT_VARIATION_SETTINGS,
                    LonghandId::GridTemplateAreas => GRID_TEMPLATE_AREAS,
                    LonghandId::HyphenateCharacter => HYPHENATE_CHARACTER,
                    LonghandId::JustifyTracks => JUSTIFY_TRACKS,
                    LonghandId::LetterSpacing => LETTER_SPACING,
                    LonghandId::LineHeight => LINE_HEIGHT,
                    LonghandId::ListStyleType => LIST_STYLE_TYPE,
                    LonghandId::MaskClip => MASK_CLIP,
                    LonghandId::MaskComposite => MASK_COMPOSITE,
                    LonghandId::MaskImage => MASK_IMAGE,
                    LonghandId::MaskMode => MASK_MODE,
                    LonghandId::MaskOrigin => MASK_ORIGIN,
                    LonghandId::MaskPositionX => MASK_POSITION_X,
                    LonghandId::MaskPositionY => MASK_POSITION_Y,
                    LonghandId::MaskRepeat => MASK_REPEAT,
                    LonghandId::MaskSize => MASK_SIZE,
                    LonghandId::MozContextProperties => _MOZ_CONTEXT_PROPERTIES,
                    LonghandId::MozFontSmoothingBackgroundColor => _MOZ_FONT_SMOOTHING_BACKGROUND_COLOR,
                    LonghandId::OffsetAnchor => OFFSET_ANCHOR,
                    LonghandId::OffsetPath => OFFSET_PATH,
                    LonghandId::OffsetPosition => OFFSET_POSITION,
                    LonghandId::Page => PAGE,
                    LonghandId::Perspective => PERSPECTIVE,
                    LonghandId::Quotes => QUOTES,
                    LonghandId::Rotate => ROTATE,
                    LonghandId::Scale => SCALE,
                    LonghandId::ScrollTimelineAxis => SCROLL_TIMELINE_AXIS,
                    LonghandId::ScrollTimelineName => SCROLL_TIMELINE_NAME,
                    LonghandId::ScrollbarColor => SCROLLBAR_COLOR,
                    LonghandId::ShapeOutside => SHAPE_OUTSIDE,
                    LonghandId::Size => SIZE,
                    LonghandId::StrokeDasharray => STROKE_DASHARRAY,
                    LonghandId::StrokeDashoffset => STROKE_DASHOFFSET,
                    LonghandId::StrokeWidth => STROKE_WIDTH,
                    LonghandId::TabSize => TAB_SIZE,
                    LonghandId::TextDecorationThickness => TEXT_DECORATION_THICKNESS,
                    LonghandId::TextEmphasisStyle => TEXT_EMPHASIS_STYLE,
                    LonghandId::TextOverflow => TEXT_OVERFLOW,
                    LonghandId::TextShadow => TEXT_SHADOW,
                    LonghandId::TransitionDelay => TRANSITION_DELAY,
                    LonghandId::TransitionDuration => TRANSITION_DURATION,
                    LonghandId::TransitionProperty => TRANSITION_PROPERTY,
                    LonghandId::TransitionTimingFunction => TRANSITION_TIMING_FUNCTION,
                    LonghandId::Translate => TRANSLATE,
                    LonghandId::VerticalAlign => VERTICAL_ALIGN,
                    LonghandId::ViewTimelineAxis => VIEW_TIMELINE_AXIS,
                    LonghandId::ViewTimelineInset => VIEW_TIMELINE_INSET,
                    LonghandId::ViewTimelineName => VIEW_TIMELINE_NAME,
                    LonghandId::WebkitTextStrokeWidth => _WEBKIT_TEXT_STROKE_WIDTH,
                    LonghandId::WillChange => WILL_CHANGE,
                    LonghandId::WordSpacing => WORD_SPACING,
                    LonghandId::XLang => _X_LANG,
                    LonghandId::ObjectPosition => OBJECT_POSITION,
                    LonghandId::PerspectiveOrigin => PERSPECTIVE_ORIGIN,
                    LonghandId::Fill => FILL,
                    LonghandId::Stroke => STROKE,
                    LonghandId::MozWindowTransformOrigin => _MOZ_WINDOW_TRANSFORM_ORIGIN,
                    LonghandId::TransformOrigin => TRANSFORM_ORIGIN,
                    LonghandId::GridTemplateColumns => GRID_TEMPLATE_COLUMNS,
                    LonghandId::GridTemplateRows => GRID_TEMPLATE_ROWS,
                    LonghandId::BorderImageSource => BORDER_IMAGE_SOURCE,
                    LonghandId::ListStyleImage => LIST_STYLE_IMAGE,
                    LonghandId::GridAutoColumns => GRID_AUTO_COLUMNS,
                    LonghandId::GridAutoRows => GRID_AUTO_ROWS,
                    LonghandId::MozWindowTransform => _MOZ_WINDOW_TRANSFORM,
                    LonghandId::Transform => TRANSFORM,
                    LonghandId::ColumnGap => COLUMN_GAP,
                    LonghandId::RowGap => ROW_GAP,
                    LonghandId::MarkerEnd => MARKER_END,
                    LonghandId::MarkerMid => MARKER_MID,
                    LonghandId::MarkerStart => MARKER_START,
                    LonghandId::ContainIntrinsicBlockSize => CONTAIN_INTRINSIC_BLOCK_SIZE,
                    LonghandId::ContainIntrinsicHeight => CONTAIN_INTRINSIC_HEIGHT,
                    LonghandId::ContainIntrinsicInlineSize => CONTAIN_INTRINSIC_INLINE_SIZE,
                    LonghandId::ContainIntrinsicWidth => CONTAIN_INTRINSIC_WIDTH,
                    LonghandId::GridColumnEnd => GRID_COLUMN_END,
                    LonghandId::GridColumnStart => GRID_COLUMN_START,
                    LonghandId::GridRowEnd => GRID_ROW_END,
                    LonghandId::GridRowStart => GRID_ROW_START,
                    LonghandId::MaxBlockSize => MAX_BLOCK_SIZE,
                    LonghandId::MaxHeight => MAX_HEIGHT,
                    LonghandId::MaxInlineSize => MAX_INLINE_SIZE,
                    LonghandId::MaxWidth => MAX_WIDTH,
                    LonghandId::Cx => CX,
                    LonghandId::Cy => CY,
                    LonghandId::OffsetDistance => OFFSET_DISTANCE,
                    LonghandId::TextIndent => TEXT_INDENT,
                    LonghandId::X => X,
                    LonghandId::Y => Y,
                    LonghandId::BorderBottomLeftRadius => BORDER_BOTTOM_LEFT_RADIUS,
                    LonghandId::BorderBottomRightRadius => BORDER_BOTTOM_RIGHT_RADIUS,
                    LonghandId::BorderEndEndRadius => BORDER_END_END_RADIUS,
                    LonghandId::BorderEndStartRadius => BORDER_END_START_RADIUS,
                    LonghandId::BorderStartEndRadius => BORDER_START_END_RADIUS,
                    LonghandId::BorderStartStartRadius => BORDER_START_START_RADIUS,
                    LonghandId::BorderTopLeftRadius => BORDER_TOP_LEFT_RADIUS,
                    LonghandId::BorderTopRightRadius => BORDER_TOP_RIGHT_RADIUS,
                    LonghandId::BlockSize => BLOCK_SIZE,
                    LonghandId::Height => HEIGHT,
                    LonghandId::InlineSize => INLINE_SIZE,
                    LonghandId::MinBlockSize => MIN_BLOCK_SIZE,
                    LonghandId::MinHeight => MIN_HEIGHT,
                    LonghandId::MinInlineSize => MIN_INLINE_SIZE,
                    LonghandId::MinWidth => MIN_WIDTH,
                    LonghandId::Width => WIDTH,
                    LonghandId::BorderBlockEndWidth => BORDER_BLOCK_END_WIDTH,
                    LonghandId::BorderBlockStartWidth => BORDER_BLOCK_START_WIDTH,
                    LonghandId::BorderBottomWidth => BORDER_BOTTOM_WIDTH,
                    LonghandId::BorderInlineEndWidth => BORDER_INLINE_END_WIDTH,
                    LonghandId::BorderInlineStartWidth => BORDER_INLINE_START_WIDTH,
                    LonghandId::BorderLeftWidth => BORDER_LEFT_WIDTH,
                    LonghandId::BorderRightWidth => BORDER_RIGHT_WIDTH,
                    LonghandId::BorderTopWidth => BORDER_TOP_WIDTH,
                    LonghandId::ColumnRuleWidth => COLUMN_RULE_WIDTH,
                    LonghandId::OutlineWidth => OUTLINE_WIDTH,
                    LonghandId::PaddingBlockEnd => PADDING_BLOCK_END,
                    LonghandId::PaddingBlockStart => PADDING_BLOCK_START,
                    LonghandId::PaddingBottom => PADDING_BOTTOM,
                    LonghandId::PaddingInlineEnd => PADDING_INLINE_END,
                    LonghandId::PaddingInlineStart => PADDING_INLINE_START,
                    LonghandId::PaddingLeft => PADDING_LEFT,
                    LonghandId::PaddingRight => PADDING_RIGHT,
                    LonghandId::PaddingTop => PADDING_TOP,
                    LonghandId::R => R,
                    LonghandId::ShapeMargin => SHAPE_MARGIN,
                    LonghandId::Rx => RX,
                    LonghandId::Ry => RY,
                    LonghandId::ScrollPaddingBlockEnd => SCROLL_PADDING_BLOCK_END,
                    LonghandId::ScrollPaddingBlockStart => SCROLL_PADDING_BLOCK_START,
                    LonghandId::ScrollPaddingBottom => SCROLL_PADDING_BOTTOM,
                    LonghandId::ScrollPaddingInlineEnd => SCROLL_PADDING_INLINE_END,
                    LonghandId::ScrollPaddingInlineStart => SCROLL_PADDING_INLINE_START,
                    LonghandId::ScrollPaddingLeft => SCROLL_PADDING_LEFT,
                    LonghandId::ScrollPaddingRight => SCROLL_PADDING_RIGHT,
                    LonghandId::ScrollPaddingTop => SCROLL_PADDING_TOP,
                    LonghandId::MozWindowInputRegionMargin => _MOZ_WINDOW_INPUT_REGION_MARGIN,
                    LonghandId::OutlineOffset => OUTLINE_OFFSET,
                    LonghandId::OverflowClipMargin => OVERFLOW_CLIP_MARGIN,
                    LonghandId::ScrollMarginBlockEnd => SCROLL_MARGIN_BLOCK_END,
                    LonghandId::ScrollMarginBlockStart => SCROLL_MARGIN_BLOCK_START,
                    LonghandId::ScrollMarginBottom => SCROLL_MARGIN_BOTTOM,
                    LonghandId::ScrollMarginInlineEnd => SCROLL_MARGIN_INLINE_END,
                    LonghandId::ScrollMarginInlineStart => SCROLL_MARGIN_INLINE_START,
                    LonghandId::ScrollMarginLeft => SCROLL_MARGIN_LEFT,
                    LonghandId::ScrollMarginRight => SCROLL_MARGIN_RIGHT,
                    LonghandId::ScrollMarginTop => SCROLL_MARGIN_TOP,
                    LonghandId::Bottom => BOTTOM,
                    LonghandId::InsetBlockEnd => INSET_BLOCK_END,
                    LonghandId::InsetBlockStart => INSET_BLOCK_START,
                    LonghandId::InsetInlineEnd => INSET_INLINE_END,
                    LonghandId::InsetInlineStart => INSET_INLINE_START,
                    LonghandId::Left => LEFT,
                    LonghandId::MarginBlockEnd => MARGIN_BLOCK_END,
                    LonghandId::MarginBlockStart => MARGIN_BLOCK_START,
                    LonghandId::MarginBottom => MARGIN_BOTTOM,
                    LonghandId::MarginInlineEnd => MARGIN_INLINE_END,
                    LonghandId::MarginInlineStart => MARGIN_INLINE_START,
                    LonghandId::MarginLeft => MARGIN_LEFT,
                    LonghandId::MarginRight => MARGIN_RIGHT,
                    LonghandId::MarginTop => MARGIN_TOP,
                    LonghandId::Right => RIGHT,
                    LonghandId::TextUnderlineOffset => TEXT_UNDERLINE_OFFSET,
                    LonghandId::Top => TOP,
                    LonghandId::BackgroundColor => BACKGROUND_COLOR,
                    LonghandId::BorderBlockEndColor => BORDER_BLOCK_END_COLOR,
                    LonghandId::BorderBlockStartColor => BORDER_BLOCK_START_COLOR,
                    LonghandId::BorderBottomColor => BORDER_BOTTOM_COLOR,
                    LonghandId::BorderInlineEndColor => BORDER_INLINE_END_COLOR,
                    LonghandId::BorderInlineStartColor => BORDER_INLINE_START_COLOR,
                    LonghandId::BorderLeftColor => BORDER_LEFT_COLOR,
                    LonghandId::BorderRightColor => BORDER_RIGHT_COLOR,
                    LonghandId::BorderTopColor => BORDER_TOP_COLOR,
                    LonghandId::ColumnRuleColor => COLUMN_RULE_COLOR,
                    LonghandId::FloodColor => FLOOD_COLOR,
                    LonghandId::LightingColor => LIGHTING_COLOR,
                    LonghandId::OutlineColor => OUTLINE_COLOR,
                    LonghandId::StopColor => STOP_COLOR,
                    LonghandId::TextDecorationColor => TEXT_DECORATION_COLOR,
                    LonghandId::TextEmphasisColor => TEXT_EMPHASIS_COLOR,
                    LonghandId::WebkitTextFillColor => _WEBKIT_TEXT_FILL_COLOR,
                    LonghandId::WebkitTextStrokeColor => _WEBKIT_TEXT_STROKE_COLOR,
            }.iter(),
        }
    }

    fn parse_value<'i, 't>(
        &self,
        context: &ParserContext,
        input: &mut Parser<'i, 't>,
    ) -> Result<PropertyDeclaration, ParseError<'i>> {
        type ParsePropertyFn = for<'i, 't> fn(
            context: &ParserContext,
            input: &mut Parser<'i, 't>,
        ) -> Result<PropertyDeclaration, ParseError<'i>>;
        static PARSE_PROPERTY: [ParsePropertyFn; 402] = [
            longhands::align_content::parse_declared,
            longhands::align_items::parse_declared,
            longhands::align_self::parse_declared,
            longhands::aspect_ratio::parse_declared,
            longhands::backface_visibility::parse_declared,
            longhands::baseline_source::parse_declared,
            longhands::border_collapse::parse_declared,
            longhands::border_image_repeat::parse_declared,
            longhands::box_decoration_break::parse_declared,
            longhands::box_sizing::parse_declared,
            longhands::break_inside::parse_declared,
            longhands::caption_side::parse_declared,
            longhands::clear::parse_declared,
            longhands::color_interpolation::parse_declared,
            longhands::color_interpolation_filters::parse_declared,
            longhands::column_count::parse_declared,
            longhands::column_fill::parse_declared,
            longhands::column_span::parse_declared,
            longhands::contain::parse_declared,
            longhands::container_type::parse_declared,
            longhands::content_visibility::parse_declared,
            longhands::direction::parse_declared,
            longhands::display::parse_declared,
            longhands::dominant_baseline::parse_declared,
            longhands::empty_cells::parse_declared,
            longhands::flex_direction::parse_declared,
            longhands::flex_wrap::parse_declared,
            longhands::float::parse_declared,
            longhands::font_kerning::parse_declared,
            longhands::font_language_override::parse_declared,
            longhands::font_optical_sizing::parse_declared,
            longhands::font_size_adjust::parse_declared,
            longhands::font_stretch::parse_declared,
            longhands::font_style::parse_declared,
            longhands::font_variant_caps::parse_declared,
            longhands::font_variant_east_asian::parse_declared,
            longhands::font_variant_emoji::parse_declared,
            longhands::font_variant_ligatures::parse_declared,
            longhands::font_variant_numeric::parse_declared,
            longhands::font_variant_position::parse_declared,
            longhands::font_weight::parse_declared,
            longhands::forced_color_adjust::parse_declared,
            longhands::grid_auto_flow::parse_declared,
            longhands::hyphens::parse_declared,
            longhands::image_orientation::parse_declared,
            longhands::image_rendering::parse_declared,
            longhands::ime_mode::parse_declared,
            longhands::initial_letter::parse_declared,
            longhands::isolation::parse_declared,
            longhands::justify_content::parse_declared,
            longhands::justify_items::parse_declared,
            longhands::justify_self::parse_declared,
            longhands::line_break::parse_declared,
            longhands::list_style_position::parse_declared,
            longhands::mask_type::parse_declared,
            longhands::masonry_auto_flow::parse_declared,
            longhands::math_depth::parse_declared,
            longhands::math_style::parse_declared,
            longhands::mix_blend_mode::parse_declared,
            longhands::_moz_box_align::parse_declared,
            longhands::_moz_box_collapse::parse_declared,
            longhands::_moz_box_direction::parse_declared,
            longhands::_moz_box_orient::parse_declared,
            longhands::_moz_box_pack::parse_declared,
            longhands::_moz_control_character_visibility::parse_declared,
            longhands::_moz_float_edge::parse_declared,
            longhands::_moz_inert::parse_declared,
            longhands::_moz_math_variant::parse_declared,
            longhands::_moz_min_font_size_ratio::parse_declared,
            longhands::_moz_orient::parse_declared,
            longhands::_moz_osx_font_smoothing::parse_declared,
            longhands::_moz_script_min_size::parse_declared,
            longhands::_moz_script_size_multiplier::parse_declared,
            longhands::_moz_text_size_adjust::parse_declared,
            longhands::_moz_top_layer::parse_declared,
            longhands::_moz_user_focus::parse_declared,
            longhands::_moz_user_input::parse_declared,
            longhands::_moz_user_modify::parse_declared,
            longhands::_moz_window_dragging::parse_declared,
            longhands::_moz_window_shadow::parse_declared,
            longhands::object_fit::parse_declared,
            longhands::offset_rotate::parse_declared,
            longhands::outline_style::parse_declared,
            longhands::overflow_anchor::parse_declared,
            longhands::overflow_wrap::parse_declared,
            longhands::page_orientation::parse_declared,
            longhands::paint_order::parse_declared,
            longhands::pointer_events::parse_declared,
            longhands::position::parse_declared,
            longhands::print_color_adjust::parse_declared,
            longhands::resize::parse_declared,
            longhands::ruby_align::parse_declared,
            longhands::ruby_position::parse_declared,
            longhands::scroll_behavior::parse_declared,
            longhands::scroll_snap_align::parse_declared,
            longhands::scroll_snap_stop::parse_declared,
            longhands::scroll_snap_type::parse_declared,
            longhands::scrollbar_gutter::parse_declared,
            longhands::scrollbar_width::parse_declared,
            longhands::shape_rendering::parse_declared,
            longhands::stroke_linecap::parse_declared,
            longhands::stroke_linejoin::parse_declared,
            longhands::table_layout::parse_declared,
            longhands::text_align::parse_declared,
            longhands::text_align_last::parse_declared,
            longhands::text_anchor::parse_declared,
            longhands::text_combine_upright::parse_declared,
            longhands::text_decoration_line::parse_declared,
            longhands::text_decoration_skip_ink::parse_declared,
            longhands::text_decoration_style::parse_declared,
            longhands::text_emphasis_position::parse_declared,
            longhands::text_justify::parse_declared,
            longhands::text_orientation::parse_declared,
            longhands::text_rendering::parse_declared,
            longhands::text_transform::parse_declared,
            longhands::text_underline_position::parse_declared,
            longhands::touch_action::parse_declared,
            longhands::transform_box::parse_declared,
            longhands::transform_style::parse_declared,
            longhands::unicode_bidi::parse_declared,
            longhands::user_select::parse_declared,
            longhands::vector_effect::parse_declared,
            longhands::visibility::parse_declared,
            longhands::_webkit_line_clamp::parse_declared,
            longhands::_webkit_text_security::parse_declared,
            longhands::white_space::parse_declared,
            longhands::word_break::parse_declared,
            longhands::writing_mode::parse_declared,
            longhands::_x_text_scale::parse_declared,
            longhands::z_index::parse_declared,
            longhands::appearance::parse_declared,
            longhands::_moz_default_appearance::parse_declared,
            longhands::_moz_force_broken_image_icon::parse_declared,
            longhands::_moz_subtree_hidden_only_visually::parse_declared,
            longhands::break_after::parse_declared,
            longhands::break_before::parse_declared,
            longhands::clip_rule::parse_declared,
            longhands::fill_rule::parse_declared,
            longhands::overflow_clip_box_block::parse_declared,
            longhands::overflow_clip_box_inline::parse_declared,
            longhands::fill_opacity::parse_declared,
            longhands::stroke_opacity::parse_declared,
            longhands::font_synthesis_small_caps::parse_declared,
            longhands::font_synthesis_style::parse_declared,
            longhands::font_synthesis_weight::parse_declared,
            longhands::_moz_box_ordinal_group::parse_declared,
            longhands::order::parse_declared,
            longhands::_x_span::parse_declared,
            longhands::flex_grow::parse_declared,
            longhands::flex_shrink::parse_declared,
            longhands::_moz_box_flex::parse_declared,
            longhands::stroke_miterlimit::parse_declared,
            longhands::overflow_block::parse_declared,
            longhands::overflow_inline::parse_declared,
            longhands::overflow_x::parse_declared,
            longhands::overflow_y::parse_declared,
            longhands::overscroll_behavior_block::parse_declared,
            longhands::overscroll_behavior_inline::parse_declared,
            longhands::overscroll_behavior_x::parse_declared,
            longhands::overscroll_behavior_y::parse_declared,
            longhands::flood_opacity::parse_declared,
            longhands::_moz_window_opacity::parse_declared,
            longhands::opacity::parse_declared,
            longhands::shape_image_threshold::parse_declared,
            longhands::stop_opacity::parse_declared,
            longhands::border_block_end_style::parse_declared,
            longhands::border_block_start_style::parse_declared,
            longhands::border_bottom_style::parse_declared,
            longhands::border_inline_end_style::parse_declared,
            longhands::border_inline_start_style::parse_declared,
            longhands::border_left_style::parse_declared,
            longhands::border_right_style::parse_declared,
            longhands::border_top_style::parse_declared,
            longhands::column_rule_style::parse_declared,
            longhands::accent_color::parse_declared,
            longhands::align_tracks::parse_declared,
            longhands::animation_composition::parse_declared,
            longhands::animation_delay::parse_declared,
            longhands::animation_direction::parse_declared,
            longhands::animation_duration::parse_declared,
            longhands::animation_fill_mode::parse_declared,
            longhands::animation_iteration_count::parse_declared,
            longhands::animation_name::parse_declared,
            longhands::animation_play_state::parse_declared,
            longhands::animation_timeline::parse_declared,
            longhands::animation_timing_function::parse_declared,
            longhands::backdrop_filter::parse_declared,
            longhands::background_attachment::parse_declared,
            longhands::background_blend_mode::parse_declared,
            longhands::background_clip::parse_declared,
            longhands::background_image::parse_declared,
            longhands::background_origin::parse_declared,
            longhands::background_position_x::parse_declared,
            longhands::background_position_y::parse_declared,
            longhands::background_repeat::parse_declared,
            longhands::background_size::parse_declared,
            longhands::border_image_outset::parse_declared,
            longhands::border_image_slice::parse_declared,
            longhands::border_image_width::parse_declared,
            longhands::border_spacing::parse_declared,
            longhands::box_shadow::parse_declared,
            longhands::caret_color::parse_declared,
            longhands::clip::parse_declared,
            longhands::clip_path::parse_declared,
            longhands::color::parse_declared,
            longhands::color_scheme::parse_declared,
            longhands::column_width::parse_declared,
            longhands::container_name::parse_declared,
            longhands::content::parse_declared,
            longhands::counter_increment::parse_declared,
            longhands::counter_reset::parse_declared,
            longhands::counter_set::parse_declared,
            longhands::cursor::parse_declared,
            longhands::d::parse_declared,
            longhands::filter::parse_declared,
            longhands::flex_basis::parse_declared,
            longhands::font_family::parse_declared,
            longhands::font_feature_settings::parse_declared,
            longhands::font_palette::parse_declared,
            longhands::font_size::parse_declared,
            longhands::font_variant_alternates::parse_declared,
            longhands::font_variation_settings::parse_declared,
            longhands::grid_template_areas::parse_declared,
            longhands::hyphenate_character::parse_declared,
            longhands::justify_tracks::parse_declared,
            longhands::letter_spacing::parse_declared,
            longhands::line_height::parse_declared,
            longhands::list_style_type::parse_declared,
            longhands::mask_clip::parse_declared,
            longhands::mask_composite::parse_declared,
            longhands::mask_image::parse_declared,
            longhands::mask_mode::parse_declared,
            longhands::mask_origin::parse_declared,
            longhands::mask_position_x::parse_declared,
            longhands::mask_position_y::parse_declared,
            longhands::mask_repeat::parse_declared,
            longhands::mask_size::parse_declared,
            longhands::_moz_context_properties::parse_declared,
            longhands::_moz_font_smoothing_background_color::parse_declared,
            longhands::offset_anchor::parse_declared,
            longhands::offset_path::parse_declared,
            longhands::offset_position::parse_declared,
            longhands::page::parse_declared,
            longhands::perspective::parse_declared,
            longhands::quotes::parse_declared,
            longhands::rotate::parse_declared,
            longhands::scale::parse_declared,
            longhands::scroll_timeline_axis::parse_declared,
            longhands::scroll_timeline_name::parse_declared,
            longhands::scrollbar_color::parse_declared,
            longhands::shape_outside::parse_declared,
            longhands::size::parse_declared,
            longhands::stroke_dasharray::parse_declared,
            longhands::stroke_dashoffset::parse_declared,
            longhands::stroke_width::parse_declared,
            longhands::tab_size::parse_declared,
            longhands::text_decoration_thickness::parse_declared,
            longhands::text_emphasis_style::parse_declared,
            longhands::text_overflow::parse_declared,
            longhands::text_shadow::parse_declared,
            longhands::transition_delay::parse_declared,
            longhands::transition_duration::parse_declared,
            longhands::transition_property::parse_declared,
            longhands::transition_timing_function::parse_declared,
            longhands::translate::parse_declared,
            longhands::vertical_align::parse_declared,
            longhands::view_timeline_axis::parse_declared,
            longhands::view_timeline_inset::parse_declared,
            longhands::view_timeline_name::parse_declared,
            longhands::_webkit_text_stroke_width::parse_declared,
            longhands::will_change::parse_declared,
            longhands::word_spacing::parse_declared,
            longhands::_x_lang::parse_declared,
            longhands::object_position::parse_declared,
            longhands::perspective_origin::parse_declared,
            longhands::fill::parse_declared,
            longhands::stroke::parse_declared,
            longhands::_moz_window_transform_origin::parse_declared,
            longhands::transform_origin::parse_declared,
            longhands::grid_template_columns::parse_declared,
            longhands::grid_template_rows::parse_declared,
            longhands::border_image_source::parse_declared,
            longhands::list_style_image::parse_declared,
            longhands::grid_auto_columns::parse_declared,
            longhands::grid_auto_rows::parse_declared,
            longhands::_moz_window_transform::parse_declared,
            longhands::transform::parse_declared,
            longhands::column_gap::parse_declared,
            longhands::row_gap::parse_declared,
            longhands::marker_end::parse_declared,
            longhands::marker_mid::parse_declared,
            longhands::marker_start::parse_declared,
            longhands::contain_intrinsic_block_size::parse_declared,
            longhands::contain_intrinsic_height::parse_declared,
            longhands::contain_intrinsic_inline_size::parse_declared,
            longhands::contain_intrinsic_width::parse_declared,
            longhands::grid_column_end::parse_declared,
            longhands::grid_column_start::parse_declared,
            longhands::grid_row_end::parse_declared,
            longhands::grid_row_start::parse_declared,
            longhands::max_block_size::parse_declared,
            longhands::max_height::parse_declared,
            longhands::max_inline_size::parse_declared,
            longhands::max_width::parse_declared,
            longhands::cx::parse_declared,
            longhands::cy::parse_declared,
            longhands::offset_distance::parse_declared,
            longhands::text_indent::parse_declared,
            longhands::x::parse_declared,
            longhands::y::parse_declared,
            longhands::border_bottom_left_radius::parse_declared,
            longhands::border_bottom_right_radius::parse_declared,
            longhands::border_end_end_radius::parse_declared,
            longhands::border_end_start_radius::parse_declared,
            longhands::border_start_end_radius::parse_declared,
            longhands::border_start_start_radius::parse_declared,
            longhands::border_top_left_radius::parse_declared,
            longhands::border_top_right_radius::parse_declared,
            longhands::block_size::parse_declared,
            longhands::height::parse_declared,
            longhands::inline_size::parse_declared,
            longhands::min_block_size::parse_declared,
            longhands::min_height::parse_declared,
            longhands::min_inline_size::parse_declared,
            longhands::min_width::parse_declared,
            longhands::width::parse_declared,
            longhands::border_block_end_width::parse_declared,
            longhands::border_block_start_width::parse_declared,
            longhands::border_bottom_width::parse_declared,
            longhands::border_inline_end_width::parse_declared,
            longhands::border_inline_start_width::parse_declared,
            longhands::border_left_width::parse_declared,
            longhands::border_right_width::parse_declared,
            longhands::border_top_width::parse_declared,
            longhands::column_rule_width::parse_declared,
            longhands::outline_width::parse_declared,
            longhands::padding_block_end::parse_declared,
            longhands::padding_block_start::parse_declared,
            longhands::padding_bottom::parse_declared,
            longhands::padding_inline_end::parse_declared,
            longhands::padding_inline_start::parse_declared,
            longhands::padding_left::parse_declared,
            longhands::padding_right::parse_declared,
            longhands::padding_top::parse_declared,
            longhands::r::parse_declared,
            longhands::shape_margin::parse_declared,
            longhands::rx::parse_declared,
            longhands::ry::parse_declared,
            longhands::scroll_padding_block_end::parse_declared,
            longhands::scroll_padding_block_start::parse_declared,
            longhands::scroll_padding_bottom::parse_declared,
            longhands::scroll_padding_inline_end::parse_declared,
            longhands::scroll_padding_inline_start::parse_declared,
            longhands::scroll_padding_left::parse_declared,
            longhands::scroll_padding_right::parse_declared,
            longhands::scroll_padding_top::parse_declared,
            longhands::_moz_window_input_region_margin::parse_declared,
            longhands::outline_offset::parse_declared,
            longhands::overflow_clip_margin::parse_declared,
            longhands::scroll_margin_block_end::parse_declared,
            longhands::scroll_margin_block_start::parse_declared,
            longhands::scroll_margin_bottom::parse_declared,
            longhands::scroll_margin_inline_end::parse_declared,
            longhands::scroll_margin_inline_start::parse_declared,
            longhands::scroll_margin_left::parse_declared,
            longhands::scroll_margin_right::parse_declared,
            longhands::scroll_margin_top::parse_declared,
            longhands::bottom::parse_declared,
            longhands::inset_block_end::parse_declared,
            longhands::inset_block_start::parse_declared,
            longhands::inset_inline_end::parse_declared,
            longhands::inset_inline_start::parse_declared,
            longhands::left::parse_declared,
            longhands::margin_block_end::parse_declared,
            longhands::margin_block_start::parse_declared,
            longhands::margin_bottom::parse_declared,
            longhands::margin_inline_end::parse_declared,
            longhands::margin_inline_start::parse_declared,
            longhands::margin_left::parse_declared,
            longhands::margin_right::parse_declared,
            longhands::margin_top::parse_declared,
            longhands::right::parse_declared,
            longhands::text_underline_offset::parse_declared,
            longhands::top::parse_declared,
            longhands::background_color::parse_declared,
            longhands::border_block_end_color::parse_declared,
            longhands::border_block_start_color::parse_declared,
            longhands::border_bottom_color::parse_declared,
            longhands::border_inline_end_color::parse_declared,
            longhands::border_inline_start_color::parse_declared,
            longhands::border_left_color::parse_declared,
            longhands::border_right_color::parse_declared,
            longhands::border_top_color::parse_declared,
            longhands::column_rule_color::parse_declared,
            longhands::flood_color::parse_declared,
            longhands::lighting_color::parse_declared,
            longhands::outline_color::parse_declared,
            longhands::stop_color::parse_declared,
            longhands::text_decoration_color::parse_declared,
            longhands::text_emphasis_color::parse_declared,
            longhands::_webkit_text_fill_color::parse_declared,
            longhands::_webkit_text_stroke_color::parse_declared,
        ];
        (PARSE_PROPERTY[*self as usize])(context, input)
    }

    /// Returns whether this property is animatable.
    #[inline]
    pub fn is_animatable(self) -> bool {
        LonghandIdSet::animatable().contains(self)
    }

    /// Returns whether this property is animatable in a discrete way.
    #[inline]
    pub fn is_discrete_animatable(self) -> bool {
        LonghandIdSet::discrete_animatable().contains(self)
    }

    /// Converts from a LonghandId to an adequate nsCSSPropertyID.
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn to_nscsspropertyid(self) -> nsCSSPropertyID {
        NonCustomPropertyId::from(self).to_nscsspropertyid()
    }

    #[cfg(feature = "gecko")]
    #[allow(non_upper_case_globals)]
    /// Returns a longhand id from Gecko's nsCSSPropertyID.
    pub fn from_nscsspropertyid(id: nsCSSPropertyID) -> Result<Self, ()> {
        match PropertyId::from_nscsspropertyid(id) {
            Ok(PropertyId::Longhand(id)) |
            Ok(PropertyId::LonghandAlias(id, _)) => Ok(id),
            _ => Err(()),
        }
    }

    /// Return whether this property is logical.
    #[inline]
    pub fn is_logical(self) -> bool {
        LonghandIdSet::logical().contains(self)
    }

    /// If this is a logical property, return the corresponding physical one in
    /// the given writing mode.
    ///
    /// Otherwise, return unchanged.
    #[inline]
    pub fn to_physical(&self, wm: WritingMode) -> Self {
        match *self {
                
                LonghandId::OverflowBlock => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::OverflowX
                    
        } else {
            
                        
                        LonghandId::OverflowY
                    
        }

                }
                
                LonghandId::OverflowInline => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::OverflowY
                    
        } else {
            
                        
                        LonghandId::OverflowX
                    
        }

                }
                
                LonghandId::OverscrollBehaviorBlock => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::OverscrollBehaviorX
                    
        } else {
            
                        
                        LonghandId::OverscrollBehaviorY
                    
        }

                }
                
                LonghandId::OverscrollBehaviorInline => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::OverscrollBehaviorY
                    
        } else {
            
                        
                        LonghandId::OverscrollBehaviorX
                    
        }

                }
                
                LonghandId::BorderBlockEndStyle => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopStyle
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightStyle
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomStyle
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftStyle
                    
                }
        }

                }
                
                LonghandId::BorderBlockStartStyle => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopStyle
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightStyle
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomStyle
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftStyle
                    
                }
        }

                }
                
                LonghandId::BorderInlineEndStyle => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopStyle
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightStyle
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomStyle
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftStyle
                    
                }
        }

                }
                
                LonghandId::BorderInlineStartStyle => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopStyle
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightStyle
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomStyle
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftStyle
                    
                }
        }

                }
                
                LonghandId::ContainIntrinsicBlockSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::ContainIntrinsicWidth
                    
        } else {
            
                        
                        LonghandId::ContainIntrinsicHeight
                    
        }

                }
                
                LonghandId::ContainIntrinsicInlineSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::ContainIntrinsicHeight
                    
        } else {
            
                        
                        LonghandId::ContainIntrinsicWidth
                    
        }

                }
                
                LonghandId::MaxBlockSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::MaxWidth
                    
        } else {
            
                        
                        LonghandId::MaxHeight
                    
        }

                }
                
                LonghandId::MaxInlineSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::MaxHeight
                    
        } else {
            
                        
                        LonghandId::MaxWidth
                    
        }

                }
                
                LonghandId::BorderEndEndRadius => {
                    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                        
                        LonghandId::BorderTopLeftRadius
                    
                }
                PhysicalCorner::TopRight => {
                    
                        
                        LonghandId::BorderTopRightRadius
                    
                }
                PhysicalCorner::BottomRight => {
                    
                        
                        LonghandId::BorderBottomRightRadius
                    
                }
                PhysicalCorner::BottomLeft => {
                    
                        
                        LonghandId::BorderBottomLeftRadius
                    
                }
        }

                }
                
                LonghandId::BorderEndStartRadius => {
                    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                        
                        LonghandId::BorderTopLeftRadius
                    
                }
                PhysicalCorner::TopRight => {
                    
                        
                        LonghandId::BorderTopRightRadius
                    
                }
                PhysicalCorner::BottomRight => {
                    
                        
                        LonghandId::BorderBottomRightRadius
                    
                }
                PhysicalCorner::BottomLeft => {
                    
                        
                        LonghandId::BorderBottomLeftRadius
                    
                }
        }

                }
                
                LonghandId::BorderStartEndRadius => {
                    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                        
                        LonghandId::BorderTopLeftRadius
                    
                }
                PhysicalCorner::TopRight => {
                    
                        
                        LonghandId::BorderTopRightRadius
                    
                }
                PhysicalCorner::BottomRight => {
                    
                        
                        LonghandId::BorderBottomRightRadius
                    
                }
                PhysicalCorner::BottomLeft => {
                    
                        
                        LonghandId::BorderBottomLeftRadius
                    
                }
        }

                }
                
                LonghandId::BorderStartStartRadius => {
                    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                        
                        LonghandId::BorderTopLeftRadius
                    
                }
                PhysicalCorner::TopRight => {
                    
                        
                        LonghandId::BorderTopRightRadius
                    
                }
                PhysicalCorner::BottomRight => {
                    
                        
                        LonghandId::BorderBottomRightRadius
                    
                }
                PhysicalCorner::BottomLeft => {
                    
                        
                        LonghandId::BorderBottomLeftRadius
                    
                }
        }

                }
                
                LonghandId::BlockSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::Width
                    
        } else {
            
                        
                        LonghandId::Height
                    
        }

                }
                
                LonghandId::InlineSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::Height
                    
        } else {
            
                        
                        LonghandId::Width
                    
        }

                }
                
                LonghandId::MinBlockSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::MinWidth
                    
        } else {
            
                        
                        LonghandId::MinHeight
                    
        }

                }
                
                LonghandId::MinInlineSize => {
                    
    
        
        if wm.is_vertical() {
            
                        
                        LonghandId::MinHeight
                    
        } else {
            
                        
                        LonghandId::MinWidth
                    
        }

                }
                
                LonghandId::BorderBlockEndWidth => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopWidth
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightWidth
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomWidth
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftWidth
                    
                }
        }

                }
                
                LonghandId::BorderBlockStartWidth => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopWidth
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightWidth
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomWidth
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftWidth
                    
                }
        }

                }
                
                LonghandId::BorderInlineEndWidth => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopWidth
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightWidth
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomWidth
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftWidth
                    
                }
        }

                }
                
                LonghandId::BorderInlineStartWidth => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopWidth
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightWidth
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomWidth
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftWidth
                    
                }
        }

                }
                
                LonghandId::PaddingBlockEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::PaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::PaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::PaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::PaddingLeft
                    
                }
        }

                }
                
                LonghandId::PaddingBlockStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::PaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::PaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::PaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::PaddingLeft
                    
                }
        }

                }
                
                LonghandId::PaddingInlineEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::PaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::PaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::PaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::PaddingLeft
                    
                }
        }

                }
                
                LonghandId::PaddingInlineStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::PaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::PaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::PaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::PaddingLeft
                    
                }
        }

                }
                
                LonghandId::ScrollPaddingBlockEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollPaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollPaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollPaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollPaddingLeft
                    
                }
        }

                }
                
                LonghandId::ScrollPaddingBlockStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollPaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollPaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollPaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollPaddingLeft
                    
                }
        }

                }
                
                LonghandId::ScrollPaddingInlineEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollPaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollPaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollPaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollPaddingLeft
                    
                }
        }

                }
                
                LonghandId::ScrollPaddingInlineStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollPaddingTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollPaddingRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollPaddingBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollPaddingLeft
                    
                }
        }

                }
                
                LonghandId::ScrollMarginBlockEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollMarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollMarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollMarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollMarginLeft
                    
                }
        }

                }
                
                LonghandId::ScrollMarginBlockStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollMarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollMarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollMarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollMarginLeft
                    
                }
        }

                }
                
                LonghandId::ScrollMarginInlineEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollMarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollMarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollMarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollMarginLeft
                    
                }
        }

                }
                
                LonghandId::ScrollMarginInlineStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::ScrollMarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::ScrollMarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::ScrollMarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::ScrollMarginLeft
                    
                }
        }

                }
                
                LonghandId::InsetBlockEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::Top
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::Right
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::Bottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::Left
                    
                }
        }

                }
                
                LonghandId::InsetBlockStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::Top
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::Right
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::Bottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::Left
                    
                }
        }

                }
                
                LonghandId::InsetInlineEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::Top
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::Right
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::Bottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::Left
                    
                }
        }

                }
                
                LonghandId::InsetInlineStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::Top
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::Right
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::Bottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::Left
                    
                }
        }

                }
                
                LonghandId::MarginBlockEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::MarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::MarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::MarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::MarginLeft
                    
                }
        }

                }
                
                LonghandId::MarginBlockStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::MarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::MarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::MarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::MarginLeft
                    
                }
        }

                }
                
                LonghandId::MarginInlineEnd => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::MarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::MarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::MarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::MarginLeft
                    
                }
        }

                }
                
                LonghandId::MarginInlineStart => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::MarginTop
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::MarginRight
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::MarginBottom
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::MarginLeft
                    
                }
        }

                }
                
                LonghandId::BorderBlockEndColor => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopColor
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightColor
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomColor
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftColor
                    
                }
        }

                }
                
                LonghandId::BorderBlockStartColor => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopColor
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightColor
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomColor
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftColor
                    
                }
        }

                }
                
                LonghandId::BorderInlineEndColor => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopColor
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightColor
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomColor
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftColor
                    
                }
        }

                }
                
                LonghandId::BorderInlineStartColor => {
                    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                        
                        LonghandId::BorderTopColor
                    
                }
                PhysicalSide::Right => {
                    
                        
                        LonghandId::BorderRightColor
                    
                }
                PhysicalSide::Bottom => {
                    
                        
                        LonghandId::BorderBottomColor
                    
                }
                PhysicalSide::Left => {
                    
                        
                        LonghandId::BorderLeftColor
                    
                }
        }

                }
            _ => *self
        }
    }

    /// Return the logical group of this longhand property.
    pub fn logical_group(&self) -> Option<LogicalGroup> {
        const LOGICAL_GROUPS: [Option<LogicalGroup>; 402] = [
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            Some(LogicalGroup::Overflow),
            Some(LogicalGroup::Overflow),
            Some(LogicalGroup::Overflow),
            Some(LogicalGroup::Overflow),
            Some(LogicalGroup::OverscrollBehavior),
            Some(LogicalGroup::OverscrollBehavior),
            Some(LogicalGroup::OverscrollBehavior),
            Some(LogicalGroup::OverscrollBehavior),
            None,
            None,
            None,
            None,
            None,
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            Some(LogicalGroup::BorderStyle),
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            Some(LogicalGroup::ContainIntrinsicSize),
            Some(LogicalGroup::ContainIntrinsicSize),
            Some(LogicalGroup::ContainIntrinsicSize),
            Some(LogicalGroup::ContainIntrinsicSize),
            None,
            None,
            None,
            None,
            Some(LogicalGroup::MaxSize),
            Some(LogicalGroup::MaxSize),
            Some(LogicalGroup::MaxSize),
            Some(LogicalGroup::MaxSize),
            None,
            None,
            None,
            None,
            None,
            None,
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::BorderRadius),
            Some(LogicalGroup::Size),
            Some(LogicalGroup::Size),
            Some(LogicalGroup::Size),
            Some(LogicalGroup::MinSize),
            Some(LogicalGroup::MinSize),
            Some(LogicalGroup::MinSize),
            Some(LogicalGroup::MinSize),
            Some(LogicalGroup::Size),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            Some(LogicalGroup::BorderWidth),
            None,
            None,
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            Some(LogicalGroup::Padding),
            None,
            None,
            None,
            None,
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            Some(LogicalGroup::ScrollPadding),
            None,
            None,
            None,
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::ScrollMargin),
            Some(LogicalGroup::Inset),
            Some(LogicalGroup::Inset),
            Some(LogicalGroup::Inset),
            Some(LogicalGroup::Inset),
            Some(LogicalGroup::Inset),
            Some(LogicalGroup::Inset),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Margin),
            Some(LogicalGroup::Inset),
            None,
            Some(LogicalGroup::Inset),
            None,
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            Some(LogicalGroup::BorderColor),
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
            None,
        ];
        LOGICAL_GROUPS[*self as usize]
    }

    /// Returns PropertyFlags for given longhand property.
    #[inline(always)]
    pub fn flags(self) -> PropertyFlags {
        // TODO(emilio): This can be simplified further as Rust gains more
        // constant expression support.
        const FLAGS: [u16; 402] = [
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::APPLIES_TO_MARKER.bits |
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                0,
                    PropertyFlags::CAN_ANIMATE_ON_COMPOSITOR.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                    PropertyFlags::APPLIES_TO_CUE.bits |
                0,
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
                    PropertyFlags::APPLIES_TO_FIRST_LINE.bits |
                    PropertyFlags::APPLIES_TO_FIRST_LETTER.bits |
                    PropertyFlags::APPLIES_TO_PLACEHOLDER.bits |
                0,
        ];
        PropertyFlags::from_bits_retain(FLAGS[self as usize])
    }

    /// Returns true if the property is one that is ignored when document
    /// colors are disabled.
    #[inline]
    pub fn ignored_when_document_colors_disabled(self) -> bool {
        LonghandIdSet::ignored_when_colors_disabled().contains(self)
    }
}

/// An iterator over all the property ids that are enabled for a given
/// shorthand, if that shorthand is enabled for all content too.
pub struct NonCustomPropertyIterator<Item: 'static> {
    filter: bool,
    iter: std::slice::Iter<'static, Item>,
}

impl<Item> Iterator for NonCustomPropertyIterator<Item>
where
    Item: 'static + Copy + Into<NonCustomPropertyId>,
{
    type Item = Item;

    fn next(&mut self) -> Option<Self::Item> {
        loop {
            let id = *self.iter.next()?;
            if !self.filter || id.into().enabled_for_all_content() {
                return Some(id)
            }
        }
    }
}

/// An identifier for a given shorthand property.
#[derive(Clone, Copy, Debug, Eq, Hash, MallocSizeOf, PartialEq, ToComputedValue, ToResolvedValue, ToShmem)]
#[repr(u16)]
pub enum ShorthandId {
        /// background
        Background = 0,
        /// background-position
        BackgroundPosition = 1,
        /// border-color
        BorderColor = 2,
        /// border-style
        BorderStyle = 3,
        /// border-width
        BorderWidth = 4,
        /// border-top
        BorderTop = 5,
        /// border-right
        BorderRight = 6,
        /// border-bottom
        BorderBottom = 7,
        /// border-left
        BorderLeft = 8,
        /// border-block-start
        BorderBlockStart = 9,
        /// border-block-end
        BorderBlockEnd = 10,
        /// border-inline-start
        BorderInlineStart = 11,
        /// border-inline-end
        BorderInlineEnd = 12,
        /// border
        Border = 13,
        /// border-radius
        BorderRadius = 14,
        /// border-image
        BorderImage = 15,
        /// border-block-width
        BorderBlockWidth = 16,
        /// border-block-style
        BorderBlockStyle = 17,
        /// border-block-color
        BorderBlockColor = 18,
        /// border-inline-width
        BorderInlineWidth = 19,
        /// border-inline-style
        BorderInlineStyle = 20,
        /// border-inline-color
        BorderInlineColor = 21,
        /// border-block
        BorderBlock = 22,
        /// border-inline
        BorderInline = 23,
        /// overflow
        Overflow = 24,
        /// overflow-clip-box
        OverflowClipBox = 25,
        /// overscroll-behavior
        OverscrollBehavior = 26,
        /// container
        Container = 27,
        /// page-break-before
        PageBreakBefore = 28,
        /// page-break-after
        PageBreakAfter = 29,
        /// page-break-inside
        PageBreakInside = 30,
        /// offset
        Offset = 31,
        /// zoom
        Zoom = 32,
        /// columns
        Columns = 33,
        /// column-rule
        ColumnRule = 34,
        /// font
        Font = 35,
        /// font-variant
        FontVariant = 36,
        /// font-synthesis
        FontSynthesis = 37,
        /// marker
        Marker = 38,
        /// text-emphasis
        TextEmphasis = 39,
        /// -webkit-text-stroke
        WebkitTextStroke = 40,
        /// list-style
        ListStyle = 41,
        /// margin
        Margin = 42,
        /// margin-block
        MarginBlock = 43,
        /// margin-inline
        MarginInline = 44,
        /// scroll-margin
        ScrollMargin = 45,
        /// scroll-margin-block
        ScrollMarginBlock = 46,
        /// scroll-margin-inline
        ScrollMarginInline = 47,
        /// outline
        Outline = 48,
        /// padding
        Padding = 49,
        /// padding-block
        PaddingBlock = 50,
        /// padding-inline
        PaddingInline = 51,
        /// scroll-padding
        ScrollPadding = 52,
        /// scroll-padding-block
        ScrollPaddingBlock = 53,
        /// scroll-padding-inline
        ScrollPaddingInline = 54,
        /// flex-flow
        FlexFlow = 55,
        /// flex
        Flex = 56,
        /// gap
        Gap = 57,
        /// grid-row
        GridRow = 58,
        /// grid-column
        GridColumn = 59,
        /// grid-area
        GridArea = 60,
        /// grid-template
        GridTemplate = 61,
        /// grid
        Grid = 62,
        /// place-content
        PlaceContent = 63,
        /// place-self
        PlaceSelf = 64,
        /// place-items
        PlaceItems = 65,
        /// inset
        Inset = 66,
        /// inset-block
        InsetBlock = 67,
        /// inset-inline
        InsetInline = 68,
        /// contain-intrinsic-size
        ContainIntrinsicSize = 69,
        /// mask
        Mask = 70,
        /// mask-position
        MaskPosition = 71,
        /// text-decoration
        TextDecoration = 72,
        /// transition
        Transition = 73,
        /// animation
        Animation = 74,
        /// scroll-timeline
        ScrollTimeline = 75,
        /// view-timeline
        ViewTimeline = 76,
        /// all
        All = 77,
}

impl ToCss for ShorthandId {
    #[inline]
    fn to_css<W>(&self, dest: &mut CssWriter<W>) -> fmt::Result
    where
        W: Write,
    {
        dest.write_str(self.name())
    }
}

impl ShorthandId {
    /// Get the name for this shorthand property.
    #[inline]
    pub fn name(&self) -> &'static str {
        NonCustomPropertyId::from(*self).name()
    }

    /// Converts from a ShorthandId to an adequate nsCSSPropertyID.
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn to_nscsspropertyid(self) -> nsCSSPropertyID {
        NonCustomPropertyId::from(self).to_nscsspropertyid()
    }

    /// Converts from a nsCSSPropertyID to a ShorthandId.
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn from_nscsspropertyid(prop: nsCSSPropertyID) -> Result<Self, ()> {
        PropertyId::from_nscsspropertyid(prop)?.as_shorthand().map_err(|_| ())
    }

    /// Get the longhand ids that form this shorthand.
    pub fn longhands(&self) -> NonCustomPropertyIterator<LonghandId> {
            static BACKGROUND: &'static [LonghandId] = &[
                    LonghandId::BackgroundColor,
                    LonghandId::BackgroundPositionX,
                    LonghandId::BackgroundPositionY,
                    LonghandId::BackgroundRepeat,
                    LonghandId::BackgroundAttachment,
                    LonghandId::BackgroundImage,
                    LonghandId::BackgroundSize,
                    LonghandId::BackgroundOrigin,
                    LonghandId::BackgroundClip,
            ];
            static BACKGROUND_POSITION: &'static [LonghandId] = &[
                    LonghandId::BackgroundPositionX,
                    LonghandId::BackgroundPositionY,
            ];
            static BORDER_COLOR: &'static [LonghandId] = &[
                    LonghandId::BorderTopColor,
                    LonghandId::BorderRightColor,
                    LonghandId::BorderBottomColor,
                    LonghandId::BorderLeftColor,
            ];
            static BORDER_STYLE: &'static [LonghandId] = &[
                    LonghandId::BorderTopStyle,
                    LonghandId::BorderRightStyle,
                    LonghandId::BorderBottomStyle,
                    LonghandId::BorderLeftStyle,
            ];
            static BORDER_WIDTH: &'static [LonghandId] = &[
                    LonghandId::BorderTopWidth,
                    LonghandId::BorderRightWidth,
                    LonghandId::BorderBottomWidth,
                    LonghandId::BorderLeftWidth,
            ];
            static BORDER_TOP: &'static [LonghandId] = &[
                    LonghandId::BorderTopColor,
                    LonghandId::BorderTopStyle,
                    LonghandId::BorderTopWidth,
            ];
            static BORDER_RIGHT: &'static [LonghandId] = &[
                    LonghandId::BorderRightColor,
                    LonghandId::BorderRightStyle,
                    LonghandId::BorderRightWidth,
            ];
            static BORDER_BOTTOM: &'static [LonghandId] = &[
                    LonghandId::BorderBottomColor,
                    LonghandId::BorderBottomStyle,
                    LonghandId::BorderBottomWidth,
            ];
            static BORDER_LEFT: &'static [LonghandId] = &[
                    LonghandId::BorderLeftColor,
                    LonghandId::BorderLeftStyle,
                    LonghandId::BorderLeftWidth,
            ];
            static BORDER_BLOCK_START: &'static [LonghandId] = &[
                    LonghandId::BorderBlockStartColor,
                    LonghandId::BorderBlockStartStyle,
                    LonghandId::BorderBlockStartWidth,
            ];
            static BORDER_BLOCK_END: &'static [LonghandId] = &[
                    LonghandId::BorderBlockEndColor,
                    LonghandId::BorderBlockEndStyle,
                    LonghandId::BorderBlockEndWidth,
            ];
            static BORDER_INLINE_START: &'static [LonghandId] = &[
                    LonghandId::BorderInlineStartColor,
                    LonghandId::BorderInlineStartStyle,
                    LonghandId::BorderInlineStartWidth,
            ];
            static BORDER_INLINE_END: &'static [LonghandId] = &[
                    LonghandId::BorderInlineEndColor,
                    LonghandId::BorderInlineEndStyle,
                    LonghandId::BorderInlineEndWidth,
            ];
            static BORDER: &'static [LonghandId] = &[
                    LonghandId::BorderTopColor,
                    LonghandId::BorderTopStyle,
                    LonghandId::BorderTopWidth,
                    LonghandId::BorderRightColor,
                    LonghandId::BorderRightStyle,
                    LonghandId::BorderRightWidth,
                    LonghandId::BorderBottomColor,
                    LonghandId::BorderBottomStyle,
                    LonghandId::BorderBottomWidth,
                    LonghandId::BorderLeftColor,
                    LonghandId::BorderLeftStyle,
                    LonghandId::BorderLeftWidth,
                    LonghandId::BorderImageOutset,
                    LonghandId::BorderImageRepeat,
                    LonghandId::BorderImageSlice,
                    LonghandId::BorderImageSource,
                    LonghandId::BorderImageWidth,
            ];
            static BORDER_RADIUS: &'static [LonghandId] = &[
                    LonghandId::BorderTopLeftRadius,
                    LonghandId::BorderTopRightRadius,
                    LonghandId::BorderBottomRightRadius,
                    LonghandId::BorderBottomLeftRadius,
            ];
            static BORDER_IMAGE: &'static [LonghandId] = &[
                    LonghandId::BorderImageOutset,
                    LonghandId::BorderImageRepeat,
                    LonghandId::BorderImageSlice,
                    LonghandId::BorderImageSource,
                    LonghandId::BorderImageWidth,
            ];
            static BORDER_BLOCK_WIDTH: &'static [LonghandId] = &[
                    LonghandId::BorderBlockStartWidth,
                    LonghandId::BorderBlockEndWidth,
            ];
            static BORDER_BLOCK_STYLE: &'static [LonghandId] = &[
                    LonghandId::BorderBlockStartStyle,
                    LonghandId::BorderBlockEndStyle,
            ];
            static BORDER_BLOCK_COLOR: &'static [LonghandId] = &[
                    LonghandId::BorderBlockStartColor,
                    LonghandId::BorderBlockEndColor,
            ];
            static BORDER_INLINE_WIDTH: &'static [LonghandId] = &[
                    LonghandId::BorderInlineStartWidth,
                    LonghandId::BorderInlineEndWidth,
            ];
            static BORDER_INLINE_STYLE: &'static [LonghandId] = &[
                    LonghandId::BorderInlineStartStyle,
                    LonghandId::BorderInlineEndStyle,
            ];
            static BORDER_INLINE_COLOR: &'static [LonghandId] = &[
                    LonghandId::BorderInlineStartColor,
                    LonghandId::BorderInlineEndColor,
            ];
            static BORDER_BLOCK: &'static [LonghandId] = &[
                    LonghandId::BorderBlockStartWidth,
                    LonghandId::BorderBlockEndWidth,
                    LonghandId::BorderBlockStartStyle,
                    LonghandId::BorderBlockEndStyle,
                    LonghandId::BorderBlockStartColor,
                    LonghandId::BorderBlockEndColor,
            ];
            static BORDER_INLINE: &'static [LonghandId] = &[
                    LonghandId::BorderInlineStartWidth,
                    LonghandId::BorderInlineEndWidth,
                    LonghandId::BorderInlineStartStyle,
                    LonghandId::BorderInlineEndStyle,
                    LonghandId::BorderInlineStartColor,
                    LonghandId::BorderInlineEndColor,
            ];
            static OVERFLOW: &'static [LonghandId] = &[
                    LonghandId::OverflowX,
                    LonghandId::OverflowY,
            ];
            static OVERFLOW_CLIP_BOX: &'static [LonghandId] = &[
                    LonghandId::OverflowClipBoxBlock,
                    LonghandId::OverflowClipBoxInline,
            ];
            static OVERSCROLL_BEHAVIOR: &'static [LonghandId] = &[
                    LonghandId::OverscrollBehaviorX,
                    LonghandId::OverscrollBehaviorY,
            ];
            static CONTAINER: &'static [LonghandId] = &[
                    LonghandId::ContainerName,
                    LonghandId::ContainerType,
            ];
            static PAGE_BREAK_BEFORE: &'static [LonghandId] = &[
                    LonghandId::BreakBefore,
            ];
            static PAGE_BREAK_AFTER: &'static [LonghandId] = &[
                    LonghandId::BreakAfter,
            ];
            static PAGE_BREAK_INSIDE: &'static [LonghandId] = &[
                    LonghandId::BreakInside,
            ];
            static OFFSET: &'static [LonghandId] = &[
                    LonghandId::OffsetPath,
                    LonghandId::OffsetDistance,
                    LonghandId::OffsetRotate,
                    LonghandId::OffsetAnchor,
                    LonghandId::OffsetPosition,
            ];
            static ZOOM: &'static [LonghandId] = &[
                    LonghandId::Transform,
                    LonghandId::TransformOrigin,
            ];
            static COLUMNS: &'static [LonghandId] = &[
                    LonghandId::ColumnWidth,
                    LonghandId::ColumnCount,
            ];
            static COLUMN_RULE: &'static [LonghandId] = &[
                    LonghandId::ColumnRuleWidth,
                    LonghandId::ColumnRuleStyle,
                    LonghandId::ColumnRuleColor,
            ];
            static FONT: &'static [LonghandId] = &[
                    LonghandId::FontStyle,
                    LonghandId::FontVariantCaps,
                    LonghandId::FontWeight,
                    LonghandId::FontStretch,
                    LonghandId::FontSize,
                    LonghandId::LineHeight,
                    LonghandId::FontFamily,
                    LonghandId::FontSizeAdjust,
                    LonghandId::FontKerning,
                    LonghandId::FontOpticalSizing,
                    LonghandId::FontVariantAlternates,
                    LonghandId::FontVariantEastAsian,
                    LonghandId::FontVariantEmoji,
                    LonghandId::FontVariantLigatures,
                    LonghandId::FontVariantNumeric,
                    LonghandId::FontVariantPosition,
                    LonghandId::FontLanguageOverride,
                    LonghandId::FontFeatureSettings,
                    LonghandId::FontVariationSettings,
            ];
            static FONT_VARIANT: &'static [LonghandId] = &[
                    LonghandId::FontVariantCaps,
                    LonghandId::FontVariantAlternates,
                    LonghandId::FontVariantEastAsian,
                    LonghandId::FontVariantEmoji,
                    LonghandId::FontVariantLigatures,
                    LonghandId::FontVariantNumeric,
                    LonghandId::FontVariantPosition,
            ];
            static FONT_SYNTHESIS: &'static [LonghandId] = &[
                    LonghandId::FontSynthesisWeight,
                    LonghandId::FontSynthesisStyle,
                    LonghandId::FontSynthesisSmallCaps,
            ];
            static MARKER: &'static [LonghandId] = &[
                    LonghandId::MarkerStart,
                    LonghandId::MarkerEnd,
                    LonghandId::MarkerMid,
            ];
            static TEXT_EMPHASIS: &'static [LonghandId] = &[
                    LonghandId::TextEmphasisStyle,
                    LonghandId::TextEmphasisColor,
            ];
            static _WEBKIT_TEXT_STROKE: &'static [LonghandId] = &[
                    LonghandId::WebkitTextStrokeWidth,
                    LonghandId::WebkitTextStrokeColor,
            ];
            static LIST_STYLE: &'static [LonghandId] = &[
                    LonghandId::ListStylePosition,
                    LonghandId::ListStyleImage,
                    LonghandId::ListStyleType,
            ];
            static MARGIN: &'static [LonghandId] = &[
                    LonghandId::MarginTop,
                    LonghandId::MarginRight,
                    LonghandId::MarginBottom,
                    LonghandId::MarginLeft,
            ];
            static MARGIN_BLOCK: &'static [LonghandId] = &[
                    LonghandId::MarginBlockStart,
                    LonghandId::MarginBlockEnd,
            ];
            static MARGIN_INLINE: &'static [LonghandId] = &[
                    LonghandId::MarginInlineStart,
                    LonghandId::MarginInlineEnd,
            ];
            static SCROLL_MARGIN: &'static [LonghandId] = &[
                    LonghandId::ScrollMarginTop,
                    LonghandId::ScrollMarginRight,
                    LonghandId::ScrollMarginBottom,
                    LonghandId::ScrollMarginLeft,
            ];
            static SCROLL_MARGIN_BLOCK: &'static [LonghandId] = &[
                    LonghandId::ScrollMarginBlockStart,
                    LonghandId::ScrollMarginBlockEnd,
            ];
            static SCROLL_MARGIN_INLINE: &'static [LonghandId] = &[
                    LonghandId::ScrollMarginInlineStart,
                    LonghandId::ScrollMarginInlineEnd,
            ];
            static OUTLINE: &'static [LonghandId] = &[
                    LonghandId::OutlineColor,
                    LonghandId::OutlineStyle,
                    LonghandId::OutlineWidth,
            ];
            static PADDING: &'static [LonghandId] = &[
                    LonghandId::PaddingTop,
                    LonghandId::PaddingRight,
                    LonghandId::PaddingBottom,
                    LonghandId::PaddingLeft,
            ];
            static PADDING_BLOCK: &'static [LonghandId] = &[
                    LonghandId::PaddingBlockStart,
                    LonghandId::PaddingBlockEnd,
            ];
            static PADDING_INLINE: &'static [LonghandId] = &[
                    LonghandId::PaddingInlineStart,
                    LonghandId::PaddingInlineEnd,
            ];
            static SCROLL_PADDING: &'static [LonghandId] = &[
                    LonghandId::ScrollPaddingTop,
                    LonghandId::ScrollPaddingRight,
                    LonghandId::ScrollPaddingBottom,
                    LonghandId::ScrollPaddingLeft,
            ];
            static SCROLL_PADDING_BLOCK: &'static [LonghandId] = &[
                    LonghandId::ScrollPaddingBlockStart,
                    LonghandId::ScrollPaddingBlockEnd,
            ];
            static SCROLL_PADDING_INLINE: &'static [LonghandId] = &[
                    LonghandId::ScrollPaddingInlineStart,
                    LonghandId::ScrollPaddingInlineEnd,
            ];
            static FLEX_FLOW: &'static [LonghandId] = &[
                    LonghandId::FlexDirection,
                    LonghandId::FlexWrap,
            ];
            static FLEX: &'static [LonghandId] = &[
                    LonghandId::FlexGrow,
                    LonghandId::FlexShrink,
                    LonghandId::FlexBasis,
            ];
            static GAP: &'static [LonghandId] = &[
                    LonghandId::RowGap,
                    LonghandId::ColumnGap,
            ];
            static GRID_ROW: &'static [LonghandId] = &[
                    LonghandId::GridRowStart,
                    LonghandId::GridRowEnd,
            ];
            static GRID_COLUMN: &'static [LonghandId] = &[
                    LonghandId::GridColumnStart,
                    LonghandId::GridColumnEnd,
            ];
            static GRID_AREA: &'static [LonghandId] = &[
                    LonghandId::GridRowStart,
                    LonghandId::GridRowEnd,
                    LonghandId::GridColumnStart,
                    LonghandId::GridColumnEnd,
            ];
            static GRID_TEMPLATE: &'static [LonghandId] = &[
                    LonghandId::GridTemplateRows,
                    LonghandId::GridTemplateColumns,
                    LonghandId::GridTemplateAreas,
            ];
            static GRID: &'static [LonghandId] = &[
                    LonghandId::GridTemplateRows,
                    LonghandId::GridTemplateColumns,
                    LonghandId::GridTemplateAreas,
                    LonghandId::GridAutoRows,
                    LonghandId::GridAutoColumns,
                    LonghandId::GridAutoFlow,
            ];
            static PLACE_CONTENT: &'static [LonghandId] = &[
                    LonghandId::AlignContent,
                    LonghandId::JustifyContent,
            ];
            static PLACE_SELF: &'static [LonghandId] = &[
                    LonghandId::AlignSelf,
                    LonghandId::JustifySelf,
            ];
            static PLACE_ITEMS: &'static [LonghandId] = &[
                    LonghandId::AlignItems,
                    LonghandId::JustifyItems,
            ];
            static INSET: &'static [LonghandId] = &[
                    LonghandId::Top,
                    LonghandId::Right,
                    LonghandId::Bottom,
                    LonghandId::Left,
            ];
            static INSET_BLOCK: &'static [LonghandId] = &[
                    LonghandId::InsetBlockStart,
                    LonghandId::InsetBlockEnd,
            ];
            static INSET_INLINE: &'static [LonghandId] = &[
                    LonghandId::InsetInlineStart,
                    LonghandId::InsetInlineEnd,
            ];
            static CONTAIN_INTRINSIC_SIZE: &'static [LonghandId] = &[
                    LonghandId::ContainIntrinsicWidth,
                    LonghandId::ContainIntrinsicHeight,
            ];
            static MASK: &'static [LonghandId] = &[
                    LonghandId::MaskMode,
                    LonghandId::MaskRepeat,
                    LonghandId::MaskClip,
                    LonghandId::MaskOrigin,
                    LonghandId::MaskComposite,
                    LonghandId::MaskPositionX,
                    LonghandId::MaskPositionY,
                    LonghandId::MaskSize,
                    LonghandId::MaskImage,
            ];
            static MASK_POSITION: &'static [LonghandId] = &[
                    LonghandId::MaskPositionX,
                    LonghandId::MaskPositionY,
            ];
            static TEXT_DECORATION: &'static [LonghandId] = &[
                    LonghandId::TextDecorationLine,
                    LonghandId::TextDecorationStyle,
                    LonghandId::TextDecorationColor,
                    LonghandId::TextDecorationThickness,
            ];
            static TRANSITION: &'static [LonghandId] = &[
                    LonghandId::TransitionProperty,
                    LonghandId::TransitionDuration,
                    LonghandId::TransitionTimingFunction,
                    LonghandId::TransitionDelay,
            ];
            static ANIMATION: &'static [LonghandId] = &[
                    LonghandId::AnimationName,
                    LonghandId::AnimationDuration,
                    LonghandId::AnimationTimingFunction,
                    LonghandId::AnimationDelay,
                    LonghandId::AnimationIterationCount,
                    LonghandId::AnimationDirection,
                    LonghandId::AnimationFillMode,
                    LonghandId::AnimationPlayState,
                    LonghandId::AnimationTimeline,
            ];
            static SCROLL_TIMELINE: &'static [LonghandId] = &[
                    LonghandId::ScrollTimelineName,
                    LonghandId::ScrollTimelineAxis,
            ];
            static VIEW_TIMELINE: &'static [LonghandId] = &[
                    LonghandId::ViewTimelineName,
                    LonghandId::ViewTimelineAxis,
            ];
            static ALL: &'static [LonghandId] = &[
                    LonghandId::BorderBlockStartColor,
                    LonghandId::BorderBlockStartStyle,
                    LonghandId::BorderBlockStartWidth,
                    LonghandId::BorderBlockEndColor,
                    LonghandId::BorderBlockEndStyle,
                    LonghandId::BorderBlockEndWidth,
                    LonghandId::BorderInlineStartColor,
                    LonghandId::BorderInlineStartStyle,
                    LonghandId::BorderInlineStartWidth,
                    LonghandId::BorderInlineEndColor,
                    LonghandId::BorderInlineEndStyle,
                    LonghandId::BorderInlineEndWidth,
                    LonghandId::BorderStartStartRadius,
                    LonghandId::BorderStartEndRadius,
                    LonghandId::BorderEndStartRadius,
                    LonghandId::BorderEndEndRadius,
                    LonghandId::OverflowInline,
                    LonghandId::OverflowBlock,
                    LonghandId::OverscrollBehaviorInline,
                    LonghandId::OverscrollBehaviorBlock,
                    LonghandId::MarginBlockStart,
                    LonghandId::MarginBlockEnd,
                    LonghandId::MarginInlineStart,
                    LonghandId::MarginInlineEnd,
                    LonghandId::ScrollMarginBlockStart,
                    LonghandId::ScrollMarginBlockEnd,
                    LonghandId::ScrollMarginInlineStart,
                    LonghandId::ScrollMarginInlineEnd,
                    LonghandId::PaddingBlockStart,
                    LonghandId::PaddingBlockEnd,
                    LonghandId::PaddingInlineStart,
                    LonghandId::PaddingInlineEnd,
                    LonghandId::ScrollPaddingBlockStart,
                    LonghandId::ScrollPaddingBlockEnd,
                    LonghandId::ScrollPaddingInlineStart,
                    LonghandId::ScrollPaddingInlineEnd,
                    LonghandId::InsetBlockStart,
                    LonghandId::InsetBlockEnd,
                    LonghandId::InsetInlineStart,
                    LonghandId::InsetInlineEnd,
                    LonghandId::BlockSize,
                    LonghandId::MinBlockSize,
                    LonghandId::MaxBlockSize,
                    LonghandId::InlineSize,
                    LonghandId::MinInlineSize,
                    LonghandId::MaxInlineSize,
                    LonghandId::ContainIntrinsicBlockSize,
                    LonghandId::ContainIntrinsicInlineSize,
                    LonghandId::BackgroundColor,
                    LonghandId::BackgroundImage,
                    LonghandId::BackgroundPositionX,
                    LonghandId::BackgroundPositionY,
                    LonghandId::BackgroundRepeat,
                    LonghandId::BackgroundAttachment,
                    LonghandId::BackgroundClip,
                    LonghandId::BackgroundOrigin,
                    LonghandId::BackgroundSize,
                    LonghandId::BackgroundBlendMode,
                    LonghandId::BorderTopColor,
                    LonghandId::BorderTopStyle,
                    LonghandId::BorderTopWidth,
                    LonghandId::BorderRightColor,
                    LonghandId::BorderRightStyle,
                    LonghandId::BorderRightWidth,
                    LonghandId::BorderBottomColor,
                    LonghandId::BorderBottomStyle,
                    LonghandId::BorderBottomWidth,
                    LonghandId::BorderLeftColor,
                    LonghandId::BorderLeftStyle,
                    LonghandId::BorderLeftWidth,
                    LonghandId::BorderTopLeftRadius,
                    LonghandId::BorderTopRightRadius,
                    LonghandId::BorderBottomRightRadius,
                    LonghandId::BorderBottomLeftRadius,
                    LonghandId::BoxDecorationBreak,
                    LonghandId::MozFloatEdge,
                    LonghandId::BorderImageSource,
                    LonghandId::BorderImageOutset,
                    LonghandId::BorderImageRepeat,
                    LonghandId::BorderImageWidth,
                    LonghandId::BorderImageSlice,
                    LonghandId::Display,
                    LonghandId::Position,
                    LonghandId::Float,
                    LonghandId::Clear,
                    LonghandId::VerticalAlign,
                    LonghandId::BaselineSource,
                    LonghandId::OverflowClipBoxInline,
                    LonghandId::OverflowClipBoxBlock,
                    LonghandId::OverflowX,
                    LonghandId::OverflowY,
                    LonghandId::OverflowAnchor,
                    LonghandId::Transform,
                    LonghandId::Rotate,
                    LonghandId::Scale,
                    LonghandId::Translate,
                    LonghandId::OffsetPath,
                    LonghandId::OffsetDistance,
                    LonghandId::OffsetRotate,
                    LonghandId::OffsetAnchor,
                    LonghandId::OffsetPosition,
                    LonghandId::ScrollBehavior,
                    LonghandId::ScrollSnapAlign,
                    LonghandId::ScrollSnapType,
                    LonghandId::ScrollSnapStop,
                    LonghandId::OverscrollBehaviorX,
                    LonghandId::OverscrollBehaviorY,
                    LonghandId::Isolation,
                    LonghandId::BreakAfter,
                    LonghandId::BreakBefore,
                    LonghandId::BreakInside,
                    LonghandId::Resize,
                    LonghandId::Perspective,
                    LonghandId::PerspectiveOrigin,
                    LonghandId::BackfaceVisibility,
                    LonghandId::TransformBox,
                    LonghandId::TransformStyle,
                    LonghandId::TransformOrigin,
                    LonghandId::Contain,
                    LonghandId::ContentVisibility,
                    LonghandId::ContainerType,
                    LonghandId::ContainerName,
                    LonghandId::Appearance,
                    LonghandId::MozOrient,
                    LonghandId::WillChange,
                    LonghandId::ShapeImageThreshold,
                    LonghandId::ShapeMargin,
                    LonghandId::ShapeOutside,
                    LonghandId::TouchAction,
                    LonghandId::WebkitLineClamp,
                    LonghandId::ScrollbarGutter,
                    LonghandId::ColumnWidth,
                    LonghandId::ColumnCount,
                    LonghandId::ColumnFill,
                    LonghandId::ColumnRuleWidth,
                    LonghandId::ColumnRuleColor,
                    LonghandId::ColumnSpan,
                    LonghandId::ColumnRuleStyle,
                    LonghandId::Content,
                    LonghandId::CounterIncrement,
                    LonghandId::CounterReset,
                    LonghandId::CounterSet,
                    LonghandId::Opacity,
                    LonghandId::BoxShadow,
                    LonghandId::Clip,
                    LonghandId::Filter,
                    LonghandId::BackdropFilter,
                    LonghandId::MixBlendMode,
                    LonghandId::FontFamily,
                    LonghandId::FontStyle,
                    LonghandId::FontVariantCaps,
                    LonghandId::FontWeight,
                    LonghandId::FontSize,
                    LonghandId::FontSizeAdjust,
                    LonghandId::FontSynthesisWeight,
                    LonghandId::FontSynthesisStyle,
                    LonghandId::FontSynthesisSmallCaps,
                    LonghandId::FontStretch,
                    LonghandId::FontKerning,
                    LonghandId::FontVariantAlternates,
                    LonghandId::FontVariantEastAsian,
                    LonghandId::FontVariantEmoji,
                    LonghandId::FontVariantLigatures,
                    LonghandId::FontVariantNumeric,
                    LonghandId::FontVariantPosition,
                    LonghandId::FontFeatureSettings,
                    LonghandId::FontVariationSettings,
                    LonghandId::FontLanguageOverride,
                    LonghandId::FontOpticalSizing,
                    LonghandId::FontPalette,
                    LonghandId::MathDepth,
                    LonghandId::MathStyle,
                    LonghandId::MozOsxFontSmoothing,
                    LonghandId::Visibility,
                    LonghandId::WritingMode,
                    LonghandId::TextOrientation,
                    LonghandId::PrintColorAdjust,
                    LonghandId::ImageRendering,
                    LonghandId::ImageOrientation,
                    LonghandId::DominantBaseline,
                    LonghandId::TextAnchor,
                    LonghandId::ColorInterpolation,
                    LonghandId::ColorInterpolationFilters,
                    LonghandId::Fill,
                    LonghandId::FillOpacity,
                    LonghandId::FillRule,
                    LonghandId::ShapeRendering,
                    LonghandId::Stroke,
                    LonghandId::StrokeWidth,
                    LonghandId::StrokeLinecap,
                    LonghandId::StrokeLinejoin,
                    LonghandId::StrokeMiterlimit,
                    LonghandId::StrokeOpacity,
                    LonghandId::StrokeDasharray,
                    LonghandId::StrokeDashoffset,
                    LonghandId::ClipRule,
                    LonghandId::MarkerStart,
                    LonghandId::MarkerMid,
                    LonghandId::MarkerEnd,
                    LonghandId::PaintOrder,
                    LonghandId::MozContextProperties,
                    LonghandId::BorderCollapse,
                    LonghandId::EmptyCells,
                    LonghandId::CaptionSide,
                    LonghandId::BorderSpacing,
                    LonghandId::Color,
                    LonghandId::LineHeight,
                    LonghandId::TextTransform,
                    LonghandId::Hyphens,
                    LonghandId::MozTextSizeAdjust,
                    LonghandId::TextIndent,
                    LonghandId::OverflowWrap,
                    LonghandId::WordBreak,
                    LonghandId::TextJustify,
                    LonghandId::TextAlignLast,
                    LonghandId::TextAlign,
                    LonghandId::LetterSpacing,
                    LonghandId::WordSpacing,
                    LonghandId::WhiteSpace,
                    LonghandId::TextShadow,
                    LonghandId::TextEmphasisStyle,
                    LonghandId::TextEmphasisPosition,
                    LonghandId::TextEmphasisColor,
                    LonghandId::TabSize,
                    LonghandId::LineBreak,
                    LonghandId::WebkitTextFillColor,
                    LonghandId::WebkitTextStrokeColor,
                    LonghandId::WebkitTextStrokeWidth,
                    LonghandId::RubyAlign,
                    LonghandId::RubyPosition,
                    LonghandId::TextCombineUpright,
                    LonghandId::TextRendering,
                    LonghandId::MozControlCharacterVisibility,
                    LonghandId::TextUnderlineOffset,
                    LonghandId::TextUnderlinePosition,
                    LonghandId::TextDecorationSkipInk,
                    LonghandId::HyphenateCharacter,
                    LonghandId::ForcedColorAdjust,
                    LonghandId::WebkitTextSecurity,
                    LonghandId::Cursor,
                    LonghandId::PointerEvents,
                    LonghandId::MozUserInput,
                    LonghandId::MozUserModify,
                    LonghandId::MozUserFocus,
                    LonghandId::CaretColor,
                    LonghandId::AccentColor,
                    LonghandId::ColorScheme,
                    LonghandId::ScrollbarColor,
                    LonghandId::ListStylePosition,
                    LonghandId::ListStyleType,
                    LonghandId::ListStyleImage,
                    LonghandId::Quotes,
                    LonghandId::MarginTop,
                    LonghandId::MarginRight,
                    LonghandId::MarginBottom,
                    LonghandId::MarginLeft,
                    LonghandId::OverflowClipMargin,
                    LonghandId::ScrollMarginTop,
                    LonghandId::ScrollMarginRight,
                    LonghandId::ScrollMarginBottom,
                    LonghandId::ScrollMarginLeft,
                    LonghandId::OutlineColor,
                    LonghandId::OutlineStyle,
                    LonghandId::OutlineWidth,
                    LonghandId::OutlineOffset,
                    LonghandId::Page,
                    LonghandId::PaddingTop,
                    LonghandId::PaddingRight,
                    LonghandId::PaddingBottom,
                    LonghandId::PaddingLeft,
                    LonghandId::ScrollPaddingTop,
                    LonghandId::ScrollPaddingRight,
                    LonghandId::ScrollPaddingBottom,
                    LonghandId::ScrollPaddingLeft,
                    LonghandId::Top,
                    LonghandId::Right,
                    LonghandId::Bottom,
                    LonghandId::Left,
                    LonghandId::ZIndex,
                    LonghandId::FlexDirection,
                    LonghandId::FlexWrap,
                    LonghandId::JustifyContent,
                    LonghandId::JustifyTracks,
                    LonghandId::AlignContent,
                    LonghandId::AlignTracks,
                    LonghandId::AlignItems,
                    LonghandId::JustifyItems,
                    LonghandId::FlexGrow,
                    LonghandId::FlexShrink,
                    LonghandId::AlignSelf,
                    LonghandId::JustifySelf,
                    LonghandId::Order,
                    LonghandId::FlexBasis,
                    LonghandId::Width,
                    LonghandId::MinWidth,
                    LonghandId::MaxWidth,
                    LonghandId::Height,
                    LonghandId::MinHeight,
                    LonghandId::MaxHeight,
                    LonghandId::BoxSizing,
                    LonghandId::ObjectFit,
                    LonghandId::ObjectPosition,
                    LonghandId::GridRowStart,
                    LonghandId::GridRowEnd,
                    LonghandId::GridAutoRows,
                    LonghandId::GridTemplateRows,
                    LonghandId::GridColumnStart,
                    LonghandId::GridColumnEnd,
                    LonghandId::GridAutoColumns,
                    LonghandId::GridTemplateColumns,
                    LonghandId::MasonryAutoFlow,
                    LonghandId::GridAutoFlow,
                    LonghandId::GridTemplateAreas,
                    LonghandId::ColumnGap,
                    LonghandId::RowGap,
                    LonghandId::AspectRatio,
                    LonghandId::ContainIntrinsicWidth,
                    LonghandId::ContainIntrinsicHeight,
                    LonghandId::VectorEffect,
                    LonghandId::StopColor,
                    LonghandId::StopOpacity,
                    LonghandId::FloodColor,
                    LonghandId::FloodOpacity,
                    LonghandId::LightingColor,
                    LonghandId::MaskType,
                    LonghandId::ClipPath,
                    LonghandId::MaskMode,
                    LonghandId::MaskRepeat,
                    LonghandId::MaskPositionX,
                    LonghandId::MaskPositionY,
                    LonghandId::MaskClip,
                    LonghandId::MaskOrigin,
                    LonghandId::MaskSize,
                    LonghandId::MaskComposite,
                    LonghandId::MaskImage,
                    LonghandId::X,
                    LonghandId::Y,
                    LonghandId::Cx,
                    LonghandId::Cy,
                    LonghandId::Rx,
                    LonghandId::Ry,
                    LonghandId::R,
                    LonghandId::D,
                    LonghandId::TableLayout,
                    LonghandId::TextOverflow,
                    LonghandId::TextDecorationLine,
                    LonghandId::TextDecorationStyle,
                    LonghandId::TextDecorationColor,
                    LonghandId::InitialLetter,
                    LonghandId::TextDecorationThickness,
                    LonghandId::ImeMode,
                    LonghandId::ScrollbarWidth,
                    LonghandId::UserSelect,
                    LonghandId::MozWindowDragging,
                    LonghandId::MozForceBrokenImageIcon,
                    LonghandId::TransitionDuration,
                    LonghandId::TransitionTimingFunction,
                    LonghandId::TransitionProperty,
                    LonghandId::TransitionDelay,
                    LonghandId::AnimationName,
                    LonghandId::AnimationDuration,
                    LonghandId::AnimationTimingFunction,
                    LonghandId::AnimationIterationCount,
                    LonghandId::AnimationDirection,
                    LonghandId::AnimationPlayState,
                    LonghandId::AnimationFillMode,
                    LonghandId::AnimationComposition,
                    LonghandId::AnimationDelay,
                    LonghandId::AnimationTimeline,
                    LonghandId::ScrollTimelineName,
                    LonghandId::ScrollTimelineAxis,
                    LonghandId::ViewTimelineName,
                    LonghandId::ViewTimelineAxis,
                    LonghandId::ViewTimelineInset,
                    LonghandId::MozBoxAlign,
                    LonghandId::MozBoxDirection,
                    LonghandId::MozBoxFlex,
                    LonghandId::MozBoxOrient,
                    LonghandId::MozBoxPack,
                    LonghandId::MozBoxOrdinalGroup,
            ];
        NonCustomPropertyIterator {
            filter: NonCustomPropertyId::from(*self).enabled_for_all_content(),
            iter: match *self {
                    ShorthandId::Background => BACKGROUND,
                    ShorthandId::BackgroundPosition => BACKGROUND_POSITION,
                    ShorthandId::BorderColor => BORDER_COLOR,
                    ShorthandId::BorderStyle => BORDER_STYLE,
                    ShorthandId::BorderWidth => BORDER_WIDTH,
                    ShorthandId::BorderTop => BORDER_TOP,
                    ShorthandId::BorderRight => BORDER_RIGHT,
                    ShorthandId::BorderBottom => BORDER_BOTTOM,
                    ShorthandId::BorderLeft => BORDER_LEFT,
                    ShorthandId::BorderBlockStart => BORDER_BLOCK_START,
                    ShorthandId::BorderBlockEnd => BORDER_BLOCK_END,
                    ShorthandId::BorderInlineStart => BORDER_INLINE_START,
                    ShorthandId::BorderInlineEnd => BORDER_INLINE_END,
                    ShorthandId::Border => BORDER,
                    ShorthandId::BorderRadius => BORDER_RADIUS,
                    ShorthandId::BorderImage => BORDER_IMAGE,
                    ShorthandId::BorderBlockWidth => BORDER_BLOCK_WIDTH,
                    ShorthandId::BorderBlockStyle => BORDER_BLOCK_STYLE,
                    ShorthandId::BorderBlockColor => BORDER_BLOCK_COLOR,
                    ShorthandId::BorderInlineWidth => BORDER_INLINE_WIDTH,
                    ShorthandId::BorderInlineStyle => BORDER_INLINE_STYLE,
                    ShorthandId::BorderInlineColor => BORDER_INLINE_COLOR,
                    ShorthandId::BorderBlock => BORDER_BLOCK,
                    ShorthandId::BorderInline => BORDER_INLINE,
                    ShorthandId::Overflow => OVERFLOW,
                    ShorthandId::OverflowClipBox => OVERFLOW_CLIP_BOX,
                    ShorthandId::OverscrollBehavior => OVERSCROLL_BEHAVIOR,
                    ShorthandId::Container => CONTAINER,
                    ShorthandId::PageBreakBefore => PAGE_BREAK_BEFORE,
                    ShorthandId::PageBreakAfter => PAGE_BREAK_AFTER,
                    ShorthandId::PageBreakInside => PAGE_BREAK_INSIDE,
                    ShorthandId::Offset => OFFSET,
                    ShorthandId::Zoom => ZOOM,
                    ShorthandId::Columns => COLUMNS,
                    ShorthandId::ColumnRule => COLUMN_RULE,
                    ShorthandId::Font => FONT,
                    ShorthandId::FontVariant => FONT_VARIANT,
                    ShorthandId::FontSynthesis => FONT_SYNTHESIS,
                    ShorthandId::Marker => MARKER,
                    ShorthandId::TextEmphasis => TEXT_EMPHASIS,
                    ShorthandId::WebkitTextStroke => _WEBKIT_TEXT_STROKE,
                    ShorthandId::ListStyle => LIST_STYLE,
                    ShorthandId::Margin => MARGIN,
                    ShorthandId::MarginBlock => MARGIN_BLOCK,
                    ShorthandId::MarginInline => MARGIN_INLINE,
                    ShorthandId::ScrollMargin => SCROLL_MARGIN,
                    ShorthandId::ScrollMarginBlock => SCROLL_MARGIN_BLOCK,
                    ShorthandId::ScrollMarginInline => SCROLL_MARGIN_INLINE,
                    ShorthandId::Outline => OUTLINE,
                    ShorthandId::Padding => PADDING,
                    ShorthandId::PaddingBlock => PADDING_BLOCK,
                    ShorthandId::PaddingInline => PADDING_INLINE,
                    ShorthandId::ScrollPadding => SCROLL_PADDING,
                    ShorthandId::ScrollPaddingBlock => SCROLL_PADDING_BLOCK,
                    ShorthandId::ScrollPaddingInline => SCROLL_PADDING_INLINE,
                    ShorthandId::FlexFlow => FLEX_FLOW,
                    ShorthandId::Flex => FLEX,
                    ShorthandId::Gap => GAP,
                    ShorthandId::GridRow => GRID_ROW,
                    ShorthandId::GridColumn => GRID_COLUMN,
                    ShorthandId::GridArea => GRID_AREA,
                    ShorthandId::GridTemplate => GRID_TEMPLATE,
                    ShorthandId::Grid => GRID,
                    ShorthandId::PlaceContent => PLACE_CONTENT,
                    ShorthandId::PlaceSelf => PLACE_SELF,
                    ShorthandId::PlaceItems => PLACE_ITEMS,
                    ShorthandId::Inset => INSET,
                    ShorthandId::InsetBlock => INSET_BLOCK,
                    ShorthandId::InsetInline => INSET_INLINE,
                    ShorthandId::ContainIntrinsicSize => CONTAIN_INTRINSIC_SIZE,
                    ShorthandId::Mask => MASK,
                    ShorthandId::MaskPosition => MASK_POSITION,
                    ShorthandId::TextDecoration => TEXT_DECORATION,
                    ShorthandId::Transition => TRANSITION,
                    ShorthandId::Animation => ANIMATION,
                    ShorthandId::ScrollTimeline => SCROLL_TIMELINE,
                    ShorthandId::ViewTimeline => VIEW_TIMELINE,
                    ShorthandId::All => ALL,
            }.iter()
        }
    }

    /// Try to serialize the given declarations as this shorthand.
    ///
    /// Returns an error if writing to the stream fails, or if the declarations
    /// do not map to a shorthand.
    pub fn longhands_to_css(
        &self,
        declarations: &[&PropertyDeclaration],
        dest: &mut CssStringWriter,
    ) -> fmt::Result {
        type LonghandsToCssFn = for<'a, 'b> fn(&'a [&'b PropertyDeclaration], &mut CssStringWriter) -> fmt::Result;
        fn all_to_css(_: &[&PropertyDeclaration], _: &mut CssStringWriter) -> fmt::Result {
            // No need to try to serialize the declarations as the 'all'
            // shorthand, since it only accepts CSS-wide keywords (and variable
            // references), which will be handled in
            // get_shorthand_appendable_value.
            Ok(())
        }

        static LONGHANDS_TO_CSS: [LonghandsToCssFn; 78] = [
                shorthands::background::to_css,
                shorthands::background_position::to_css,
                shorthands::border_color::to_css,
                shorthands::border_style::to_css,
                shorthands::border_width::to_css,
                shorthands::border_top::to_css,
                shorthands::border_right::to_css,
                shorthands::border_bottom::to_css,
                shorthands::border_left::to_css,
                shorthands::border_block_start::to_css,
                shorthands::border_block_end::to_css,
                shorthands::border_inline_start::to_css,
                shorthands::border_inline_end::to_css,
                shorthands::border::to_css,
                shorthands::border_radius::to_css,
                shorthands::border_image::to_css,
                shorthands::border_block_width::to_css,
                shorthands::border_block_style::to_css,
                shorthands::border_block_color::to_css,
                shorthands::border_inline_width::to_css,
                shorthands::border_inline_style::to_css,
                shorthands::border_inline_color::to_css,
                shorthands::border_block::to_css,
                shorthands::border_inline::to_css,
                shorthands::overflow::to_css,
                shorthands::overflow_clip_box::to_css,
                shorthands::overscroll_behavior::to_css,
                shorthands::container::to_css,
                shorthands::page_break_before::to_css,
                shorthands::page_break_after::to_css,
                shorthands::page_break_inside::to_css,
                shorthands::offset::to_css,
                shorthands::zoom::to_css,
                shorthands::columns::to_css,
                shorthands::column_rule::to_css,
                shorthands::font::to_css,
                shorthands::font_variant::to_css,
                shorthands::font_synthesis::to_css,
                shorthands::marker::to_css,
                shorthands::text_emphasis::to_css,
                shorthands::_webkit_text_stroke::to_css,
                shorthands::list_style::to_css,
                shorthands::margin::to_css,
                shorthands::margin_block::to_css,
                shorthands::margin_inline::to_css,
                shorthands::scroll_margin::to_css,
                shorthands::scroll_margin_block::to_css,
                shorthands::scroll_margin_inline::to_css,
                shorthands::outline::to_css,
                shorthands::padding::to_css,
                shorthands::padding_block::to_css,
                shorthands::padding_inline::to_css,
                shorthands::scroll_padding::to_css,
                shorthands::scroll_padding_block::to_css,
                shorthands::scroll_padding_inline::to_css,
                shorthands::flex_flow::to_css,
                shorthands::flex::to_css,
                shorthands::gap::to_css,
                shorthands::grid_row::to_css,
                shorthands::grid_column::to_css,
                shorthands::grid_area::to_css,
                shorthands::grid_template::to_css,
                shorthands::grid::to_css,
                shorthands::place_content::to_css,
                shorthands::place_self::to_css,
                shorthands::place_items::to_css,
                shorthands::inset::to_css,
                shorthands::inset_block::to_css,
                shorthands::inset_inline::to_css,
                shorthands::contain_intrinsic_size::to_css,
                shorthands::mask::to_css,
                shorthands::mask_position::to_css,
                shorthands::text_decoration::to_css,
                shorthands::transition::to_css,
                shorthands::animation::to_css,
                shorthands::scroll_timeline::to_css,
                shorthands::view_timeline::to_css,
                all_to_css,
        ];

        LONGHANDS_TO_CSS[*self as usize](declarations, dest)
    }

    /// Finds and returns an appendable value for the given declarations.
    ///
    /// Returns the optional appendable value.
    pub fn get_shorthand_appendable_value<'a, 'b: 'a>(
        self,
        declarations: &'a [&'b PropertyDeclaration],
    ) -> Option<AppendableValue<'a, 'b>> {
        let first_declaration = declarations.get(0)?;
        let rest = || declarations.iter().skip(1);

        // https://drafts.csswg.org/css-variables/#variables-in-shorthands
        if let Some(css) = first_declaration.with_variables_from_shorthand(self) {
            if rest().all(|d| d.with_variables_from_shorthand(self) == Some(css)) {
               return Some(AppendableValue::Css(css));
            }
            return None;
        }

        // Check whether they are all the same CSS-wide keyword.
        if let Some(keyword) = first_declaration.get_css_wide_keyword() {
            if rest().all(|d| d.get_css_wide_keyword() == Some(keyword)) {
                return Some(AppendableValue::Css(keyword.to_str()))
            }
            return None;
        }

        if self == ShorthandId::All {
            // 'all' only supports variables and CSS wide keywords.
            return None;
        }

        // Check whether all declarations can be serialized as part of shorthand.
        if declarations.iter().all(|d| d.may_serialize_as_part_of_shorthand()) {
            return Some(AppendableValue::DeclarationsForShorthand(self, declarations));
        }

        None
    }

    /// Returns PropertyFlags for the given shorthand property.
    #[inline]
    pub fn flags(self) -> PropertyFlags {
        const FLAGS: [u16; 78] = [
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                    PropertyFlags::IS_LEGACY_SHORTHAND.bits |
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                    PropertyFlags::IS_LEGACY_SHORTHAND.bits |
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                    PropertyFlags::IS_LEGACY_SHORTHAND.bits |
                0,
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                    PropertyFlags::IS_LEGACY_SHORTHAND.bits |
                0,
                0,
                0,
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                    PropertyFlags::SHORTHAND_IN_GETCS.bits |
                0,
                0,
                0,
                0,
                0,
                0,
        ];
        PropertyFlags::from_bits_retain(FLAGS[self as usize])
    }

    /// Returns whether this property is a legacy shorthand.
    #[inline]
    pub fn is_legacy_shorthand(self) -> bool {
        self.flags().contains(PropertyFlags::IS_LEGACY_SHORTHAND)
    }

    /// Returns the order in which this property appears relative to other
    /// shorthands in idl-name-sorting order.
    #[inline]
    pub fn idl_name_sort_order(self) -> u32 {
        
        static IDL_NAME_SORT_ORDER: [u32; 78] = [
            3,
            4,
            13,
            24,
            26,
            25,
            23,
            12,
            21,
            9,
            8,
            18,
            17,
            5,
            22,
            14,
            11,
            10,
            7,
            20,
            19,
            16,
            6,
            15,
            54,
            55,
            56,
            30,
            61,
            60,
            62,
            52,
            77,
            28,
            27,
            33,
            35,
            34,
            49,
            74,
            0,
            45,
            46,
            47,
            48,
            66,
            67,
            68,
            53,
            57,
            58,
            59,
            69,
            70,
            71,
            32,
            31,
            36,
            40,
            39,
            38,
            41,
            37,
            63,
            65,
            64,
            42,
            43,
            44,
            29,
            50,
            51,
            73,
            75,
            2,
            72,
            76,
            1,
        ];
        IDL_NAME_SORT_ORDER[self as usize]
    }

    fn parse_into<'i, 't>(
        &self,
        declarations: &mut SourcePropertyDeclaration,
        context: &ParserContext,
        input: &mut Parser<'i, 't>,
    ) -> Result<(), ParseError<'i>> {
        type ParseIntoFn = for<'i, 't> fn(
            declarations: &mut SourcePropertyDeclaration,
            context: &ParserContext,
            input: &mut Parser<'i, 't>,
        ) -> Result<(), ParseError<'i>>;

        fn parse_all<'i, 't>(
            _: &mut SourcePropertyDeclaration,
            _: &ParserContext,
            input: &mut Parser<'i, 't>
        ) -> Result<(), ParseError<'i>> {
            // 'all' accepts no value other than CSS-wide keywords
            Err(input.new_custom_error(StyleParseErrorKind::UnspecifiedError))
        }


        static PARSE_INTO: [ParseIntoFn; 78] = [
            shorthands::background::parse_into,
            shorthands::background_position::parse_into,
            shorthands::border_color::parse_into,
            shorthands::border_style::parse_into,
            shorthands::border_width::parse_into,
            shorthands::border_top::parse_into,
            shorthands::border_right::parse_into,
            shorthands::border_bottom::parse_into,
            shorthands::border_left::parse_into,
            shorthands::border_block_start::parse_into,
            shorthands::border_block_end::parse_into,
            shorthands::border_inline_start::parse_into,
            shorthands::border_inline_end::parse_into,
            shorthands::border::parse_into,
            shorthands::border_radius::parse_into,
            shorthands::border_image::parse_into,
            shorthands::border_block_width::parse_into,
            shorthands::border_block_style::parse_into,
            shorthands::border_block_color::parse_into,
            shorthands::border_inline_width::parse_into,
            shorthands::border_inline_style::parse_into,
            shorthands::border_inline_color::parse_into,
            shorthands::border_block::parse_into,
            shorthands::border_inline::parse_into,
            shorthands::overflow::parse_into,
            shorthands::overflow_clip_box::parse_into,
            shorthands::overscroll_behavior::parse_into,
            shorthands::container::parse_into,
            shorthands::page_break_before::parse_into,
            shorthands::page_break_after::parse_into,
            shorthands::page_break_inside::parse_into,
            shorthands::offset::parse_into,
            shorthands::zoom::parse_into,
            shorthands::columns::parse_into,
            shorthands::column_rule::parse_into,
            shorthands::font::parse_into,
            shorthands::font_variant::parse_into,
            shorthands::font_synthesis::parse_into,
            shorthands::marker::parse_into,
            shorthands::text_emphasis::parse_into,
            shorthands::_webkit_text_stroke::parse_into,
            shorthands::list_style::parse_into,
            shorthands::margin::parse_into,
            shorthands::margin_block::parse_into,
            shorthands::margin_inline::parse_into,
            shorthands::scroll_margin::parse_into,
            shorthands::scroll_margin_block::parse_into,
            shorthands::scroll_margin_inline::parse_into,
            shorthands::outline::parse_into,
            shorthands::padding::parse_into,
            shorthands::padding_block::parse_into,
            shorthands::padding_inline::parse_into,
            shorthands::scroll_padding::parse_into,
            shorthands::scroll_padding_block::parse_into,
            shorthands::scroll_padding_inline::parse_into,
            shorthands::flex_flow::parse_into,
            shorthands::flex::parse_into,
            shorthands::gap::parse_into,
            shorthands::grid_row::parse_into,
            shorthands::grid_column::parse_into,
            shorthands::grid_area::parse_into,
            shorthands::grid_template::parse_into,
            shorthands::grid::parse_into,
            shorthands::place_content::parse_into,
            shorthands::place_self::parse_into,
            shorthands::place_items::parse_into,
            shorthands::inset::parse_into,
            shorthands::inset_block::parse_into,
            shorthands::inset_inline::parse_into,
            shorthands::contain_intrinsic_size::parse_into,
            shorthands::mask::parse_into,
            shorthands::mask_position::parse_into,
            shorthands::text_decoration::parse_into,
            shorthands::transition::parse_into,
            shorthands::animation::parse_into,
            shorthands::scroll_timeline::parse_into,
            shorthands::view_timeline::parse_into,
            parse_all,
        ];

        (PARSE_INTO[*self as usize])(declarations, context, input)
    }
}

/// An unparsed property value that contains `var()` functions.
#[derive(Debug, Eq, PartialEq, ToShmem)]
pub struct UnparsedValue {
    /// The css serialization for this value.
    css: String,
    /// The first token type for this serialization.
    first_token_type: TokenSerializationType,
    /// The url data for resolving url values.
    url_data: UrlExtraData,
    /// The shorthand this came from.
    from_shorthand: Option<ShorthandId>,
}

impl ToCss for UnparsedValue {
    fn to_css<W>(&self, dest: &mut CssWriter<W>) -> fmt::Result
    where
        W: Write,
    {
        // https://drafts.csswg.org/css-variables/#variables-in-shorthands
        if self.from_shorthand.is_none() {
            dest.write_str(&*self.css)?;
        }
        Ok(())
    }
}

/// A simple cache for properties that come from a shorthand and have variable
/// references.
///
/// This cache works because of the fact that you can't have competing values
/// for a given longhand coming from the same shorthand (but note that this is
/// why the shorthand needs to be part of the cache key).
pub type ShorthandsWithPropertyReferencesCache =
    FxHashMap<(ShorthandId, LonghandId), PropertyDeclaration>;

impl UnparsedValue {
    pub(super) fn substitute_variables<'cache>(
        &self,
        longhand_id: LonghandId,
        writing_mode: WritingMode,
        custom_properties: Option<&Arc<crate::custom_properties::CustomPropertiesMap>>,
        quirks_mode: QuirksMode,
        device: &Device,
        shorthand_cache: &'cache mut ShorthandsWithPropertyReferencesCache,
    ) -> Cow<'cache, PropertyDeclaration> {
        let invalid_at_computed_value_time = || {
            let keyword = if longhand_id.inherited() {
                CSSWideKeyword::Inherit
            } else {
                CSSWideKeyword::Initial
            };
            Cow::Owned(PropertyDeclaration::css_wide_keyword(longhand_id, keyword))
        };

        if let Some(shorthand_id) = self.from_shorthand {
            let key = (shorthand_id, longhand_id);
            if shorthand_cache.contains_key(&key) {
                // FIXME: This double lookup should be avoidable, but rustc
                // doesn't like that, see:
                //
                // https://github.com/rust-lang/rust/issues/82146
                return Cow::Borrowed(&shorthand_cache[&key]);
            }
        }

        let css = match crate::custom_properties::substitute(
            &self.css,
            self.first_token_type,
            custom_properties,
            device,
        ) {
            Ok(css) => css,
            Err(..) => return invalid_at_computed_value_time(),
        };

        // As of this writing, only the base URL is used for property
        // values.
        //
        // NOTE(emilio): we intentionally pase `None` as the rule type here.
        // If something starts depending on it, it's probably a bug, since
        // it'd change how values are parsed depending on whether we're in a
        // @keyframes rule or not, for example... So think twice about
        // whether you want to do this!
        //
        // FIXME(emilio): ParsingMode is slightly fishy...
        let context = ParserContext::new(
            Origin::Author,
            &self.url_data,
            None,
            ParsingMode::DEFAULT,
            quirks_mode,
            /* namespaces = */ Default::default(),
            None,
            None,
        );

        let mut input = ParserInput::new(&css);
        let mut input = Parser::new(&mut input);
        input.skip_whitespace();

        if let Ok(keyword) = input.try_parse(CSSWideKeyword::parse) {
            return Cow::Owned(PropertyDeclaration::css_wide_keyword(longhand_id, keyword));
        }

        let shorthand = match self.from_shorthand {
            None => {
                return match input.parse_entirely(|input| longhand_id.parse_value(&context, input)) {
                    Ok(decl) => Cow::Owned(decl),
                    Err(..) => invalid_at_computed_value_time(),
                }
            },
            Some(shorthand) => shorthand,
        };

        let mut decls = SourcePropertyDeclaration::default();
        // parse_into takes care of doing `parse_entirely` for us.
        if shorthand.parse_into(&mut decls, &context, &mut input).is_err() {
            return invalid_at_computed_value_time();
        }

        for declaration in decls.declarations.drain(..) {
            let longhand = declaration.id().as_longhand().unwrap();
            if longhand.is_logical() {
                shorthand_cache.insert((shorthand, longhand.to_physical(writing_mode)), declaration.clone());
            }
            shorthand_cache.insert((shorthand, longhand), declaration);
        }

        let key = (shorthand, longhand_id);
        match shorthand_cache.get(&key) {
            Some(decl) => Cow::Borrowed(decl),
            None => {
                // FIXME: We should always have the key here but it seems
                // sometimes we don't, see bug 1696409.
                #[cfg(feature = "gecko")]
                {
                    if structs::GECKO_IS_NIGHTLY {
                        panic!("Expected {:?} to be in the cache but it was not!", key);
                    }
                }
                invalid_at_computed_value_time()
            }
        }
    }
}

/// An identifier for a given property declaration, which can be either a
/// longhand or a custom property.
#[derive(Clone, Copy, Debug, PartialEq)]
#[cfg_attr(feature = "servo", derive(MallocSizeOf))]
pub enum PropertyDeclarationId<'a> {
    /// A longhand.
    Longhand(LonghandId),
    /// A custom property declaration.
    Custom(&'a crate::custom_properties::Name),
}

impl<'a> ToCss for PropertyDeclarationId<'a> {
    fn to_css<W>(&self, dest: &mut CssWriter<W>) -> fmt::Result
    where
        W: Write,
    {
        match *self {
            PropertyDeclarationId::Longhand(id) => dest.write_str(id.name()),
            PropertyDeclarationId::Custom(ref name) => {
                dest.write_str("--")?;
                serialize_atom_name(name, dest)
            }
        }
    }
}

impl<'a> PropertyDeclarationId<'a> {
    /// Whether a given declaration id is either the same as `other`, or a
    /// longhand of it.
    pub fn is_or_is_longhand_of(&self, other: &PropertyId) -> bool {
        match *self {
            PropertyDeclarationId::Longhand(id) => {
                match *other {
                    PropertyId::Longhand(other_id) |
                    PropertyId::LonghandAlias(other_id, _) => id == other_id,
                    PropertyId::Shorthand(shorthand) |
                    PropertyId::ShorthandAlias(shorthand, _) => self.is_longhand_of(shorthand),
                    PropertyId::Custom(_) => false,
                }
            }
            PropertyDeclarationId::Custom(name) => {
                matches!(*other, PropertyId::Custom(ref other_name) if name == other_name)
            }
        }
    }

    /// Whether a given declaration id is a longhand belonging to this
    /// shorthand.
    pub fn is_longhand_of(&self, shorthand: ShorthandId) -> bool {
        match *self {
            PropertyDeclarationId::Longhand(ref id) => id.shorthands().any(|s| s == shorthand),
            _ => false,
        }
    }

    /// Returns the name of the property without CSS escaping.
    pub fn name(&self) -> Cow<'static, str> {
        match *self {
            PropertyDeclarationId::Longhand(id) => id.name().into(),
            PropertyDeclarationId::Custom(name) => {
                let mut s = String::new();
                write!(&mut s, "--{}", name).unwrap();
                s.into()
            }
        }
    }

    /// Returns longhand id if it is, None otherwise.
    #[inline]
    pub fn as_longhand(&self) -> Option<LonghandId> {
        match *self {
            PropertyDeclarationId::Longhand(id) => Some(id),
            _ => None,
        }
    }
}

/// Servo's representation of a CSS property, that is, either a longhand, a
/// shorthand, or a custom property.
#[derive(Clone, Eq, PartialEq)]
pub enum PropertyId {
    /// A longhand property.
    Longhand(LonghandId),
    /// A shorthand property.
    Shorthand(ShorthandId),
    /// An alias for a longhand property.
    LonghandAlias(LonghandId, AliasId),
    /// An alias for a shorthand property.
    ShorthandAlias(ShorthandId, AliasId),
    /// A custom property.
    Custom(crate::custom_properties::Name),
}

impl fmt::Debug for PropertyId {
    fn fmt(&self, formatter: &mut fmt::Formatter) -> fmt::Result {
        self.to_css(&mut CssWriter::new(formatter))
    }
}

impl ToCss for PropertyId {
    fn to_css<W>(&self, dest: &mut CssWriter<W>) -> fmt::Result
    where
        W: Write,
    {
        match *self {
            PropertyId::Longhand(id) => dest.write_str(id.name()),
            PropertyId::Shorthand(id) => dest.write_str(id.name()),
            PropertyId::LonghandAlias(id, _) => dest.write_str(id.name()),
            PropertyId::ShorthandAlias(id, _) => dest.write_str(id.name()),
            PropertyId::Custom(ref name) => {
                dest.write_str("--")?;
                serialize_atom_name(name, dest)
            }
        }
    }
}

/// The counted unknown property list which is used for css use counters.
///
/// FIXME: This should be just #[repr(u8)], but can't be because of ABI issues,
/// see https://bugs.llvm.org/show_bug.cgi?id=44228.
#[derive(Clone, Copy, Debug, Eq, FromPrimitive, Hash, PartialEq)]
#[repr(u32)]
pub enum CountedUnknownProperty {
    /// -webkit-font-smoothing
    WebkitFontSmoothing,
    /// -webkit-tap-highlight-color
    WebkitTapHighlightColor,
    /// speak
    Speak,
    /// text-size-adjust
    TextSizeAdjust,
    /// -webkit-font-feature-settings
    WebkitFontFeatureSettings,
    /// -webkit-user-drag
    WebkitUserDrag,
    /// orphans
    Orphans,
    /// widows
    Widows,
    /// -webkit-user-modify
    WebkitUserModify,
    /// -webkit-margin-before
    WebkitMarginBefore,
    /// -webkit-margin-after
    WebkitMarginAfter,
    /// -webkit-margin-start
    WebkitMarginStart,
    /// -webkit-column-break-inside
    WebkitColumnBreakInside,
    /// -webkit-padding-start
    WebkitPaddingStart,
    /// -webkit-margin-end
    WebkitMarginEnd,
    /// -webkit-box-reflect
    WebkitBoxReflect,
    /// -webkit-print-color-adjust
    WebkitPrintColorAdjust,
    /// -webkit-mask-box-image
    WebkitMaskBoxImage,
    /// -webkit-line-break
    WebkitLineBreak,
    /// alignment-baseline
    AlignmentBaseline,
    /// -webkit-writing-mode
    WebkitWritingMode,
    /// baseline-shift
    BaselineShift,
    /// -webkit-hyphenate-character
    WebkitHyphenateCharacter,
    /// -webkit-highlight
    WebkitHighlight,
    /// background-repeat-x
    BackgroundRepeatX,
    /// -webkit-padding-end
    WebkitPaddingEnd,
    /// background-repeat-y
    BackgroundRepeatY,
    /// -webkit-text-emphasis-color
    WebkitTextEmphasisColor,
    /// -webkit-margin-top-collapse
    WebkitMarginTopCollapse,
    /// -webkit-rtl-ordering
    WebkitRtlOrdering,
    /// -webkit-padding-before
    WebkitPaddingBefore,
    /// -webkit-text-decorations-in-effect
    WebkitTextDecorationsInEffect,
    /// -webkit-border-vertical-spacing
    WebkitBorderVerticalSpacing,
    /// -webkit-locale
    WebkitLocale,
    /// -webkit-padding-after
    WebkitPaddingAfter,
    /// -webkit-border-horizontal-spacing
    WebkitBorderHorizontalSpacing,
    /// color-rendering
    ColorRendering,
    /// -webkit-column-break-before
    WebkitColumnBreakBefore,
    /// -webkit-transform-origin-x
    WebkitTransformOriginX,
    /// -webkit-transform-origin-y
    WebkitTransformOriginY,
    /// -webkit-text-emphasis-position
    WebkitTextEmphasisPosition,
    /// buffered-rendering
    BufferedRendering,
    /// -webkit-text-orientation
    WebkitTextOrientation,
    /// -webkit-text-combine
    WebkitTextCombine,
    /// -webkit-text-emphasis-style
    WebkitTextEmphasisStyle,
    /// -webkit-text-emphasis
    WebkitTextEmphasis,
    /// -webkit-mask-box-image-width
    WebkitMaskBoxImageWidth,
    /// -webkit-mask-box-image-source
    WebkitMaskBoxImageSource,
    /// -webkit-mask-box-image-outset
    WebkitMaskBoxImageOutset,
    /// -webkit-mask-box-image-slice
    WebkitMaskBoxImageSlice,
    /// -webkit-mask-box-image-repeat
    WebkitMaskBoxImageRepeat,
    /// -webkit-margin-after-collapse
    WebkitMarginAfterCollapse,
    /// -webkit-border-before-color
    WebkitBorderBeforeColor,
    /// -webkit-border-before-width
    WebkitBorderBeforeWidth,
    /// -webkit-perspective-origin-x
    WebkitPerspectiveOriginX,
    /// -webkit-perspective-origin-y
    WebkitPerspectiveOriginY,
    /// -webkit-margin-before-collapse
    WebkitMarginBeforeCollapse,
    /// -webkit-border-before-style
    WebkitBorderBeforeStyle,
    /// -webkit-margin-bottom-collapse
    WebkitMarginBottomCollapse,
    /// -webkit-ruby-position
    WebkitRubyPosition,
    /// -webkit-column-break-after
    WebkitColumnBreakAfter,
    /// -webkit-margin-collapse
    WebkitMarginCollapse,
    /// -webkit-border-before
    WebkitBorderBefore,
    /// -webkit-border-end
    WebkitBorderEnd,
    /// -webkit-border-after
    WebkitBorderAfter,
    /// -webkit-border-start
    WebkitBorderStart,
    /// -webkit-min-logical-width
    WebkitMinLogicalWidth,
    /// -webkit-logical-height
    WebkitLogicalHeight,
    /// -webkit-transform-origin-z
    WebkitTransformOriginZ,
    /// -webkit-font-size-delta
    WebkitFontSizeDelta,
    /// -webkit-logical-width
    WebkitLogicalWidth,
    /// -webkit-max-logical-width
    WebkitMaxLogicalWidth,
    /// -webkit-min-logical-height
    WebkitMinLogicalHeight,
    /// -webkit-max-logical-height
    WebkitMaxLogicalHeight,
    /// -webkit-border-end-color
    WebkitBorderEndColor,
    /// -webkit-border-end-width
    WebkitBorderEndWidth,
    /// -webkit-border-start-color
    WebkitBorderStartColor,
    /// -webkit-border-start-width
    WebkitBorderStartWidth,
    /// -webkit-border-after-color
    WebkitBorderAfterColor,
    /// -webkit-border-after-width
    WebkitBorderAfterWidth,
    /// -webkit-border-end-style
    WebkitBorderEndStyle,
    /// -webkit-border-after-style
    WebkitBorderAfterStyle,
    /// -webkit-border-start-style
    WebkitBorderStartStyle,
    /// -webkit-mask-repeat-x
    WebkitMaskRepeatX,
    /// -webkit-mask-repeat-y
    WebkitMaskRepeatY,
    /// user-zoom
    UserZoom,
    /// min-zoom
    MinZoom,
    /// -webkit-box-decoration-break
    WebkitBoxDecorationBreak,
    /// orientation
    Orientation,
    /// max-zoom
    MaxZoom,
    /// -webkit-app-region
    WebkitAppRegion,
    /// -webkit-column-rule
    WebkitColumnRule,
    /// -webkit-column-span
    WebkitColumnSpan,
    /// -webkit-column-gap
    WebkitColumnGap,
    /// -webkit-shape-outside
    WebkitShapeOutside,
    /// -webkit-column-rule-width
    WebkitColumnRuleWidth,
    /// -webkit-column-count
    WebkitColumnCount,
    /// -webkit-opacity
    WebkitOpacity,
    /// -webkit-column-width
    WebkitColumnWidth,
    /// -webkit-shape-image-threshold
    WebkitShapeImageThreshold,
    /// -webkit-column-rule-style
    WebkitColumnRuleStyle,
    /// -webkit-columns
    WebkitColumns,
    /// -webkit-column-rule-color
    WebkitColumnRuleColor,
    /// -webkit-shape-margin
    WebkitShapeMargin,
}

impl CountedUnknownProperty {
    /// Parse the counted unknown property, for testing purposes only.
    pub fn parse_for_testing(property_name: &str) -> Option<Self> {
        ascii_case_insensitive_phf_map! {
            unknown_id -> CountedUnknownProperty = {
                "-webkit-font-smoothing" => CountedUnknownProperty::WebkitFontSmoothing,
                "-webkit-tap-highlight-color" => CountedUnknownProperty::WebkitTapHighlightColor,
                "speak" => CountedUnknownProperty::Speak,
                "text-size-adjust" => CountedUnknownProperty::TextSizeAdjust,
                "-webkit-font-feature-settings" => CountedUnknownProperty::WebkitFontFeatureSettings,
                "-webkit-user-drag" => CountedUnknownProperty::WebkitUserDrag,
                "orphans" => CountedUnknownProperty::Orphans,
                "widows" => CountedUnknownProperty::Widows,
                "-webkit-user-modify" => CountedUnknownProperty::WebkitUserModify,
                "-webkit-margin-before" => CountedUnknownProperty::WebkitMarginBefore,
                "-webkit-margin-after" => CountedUnknownProperty::WebkitMarginAfter,
                "-webkit-margin-start" => CountedUnknownProperty::WebkitMarginStart,
                "-webkit-column-break-inside" => CountedUnknownProperty::WebkitColumnBreakInside,
                "-webkit-padding-start" => CountedUnknownProperty::WebkitPaddingStart,
                "-webkit-margin-end" => CountedUnknownProperty::WebkitMarginEnd,
                "-webkit-box-reflect" => CountedUnknownProperty::WebkitBoxReflect,
                "-webkit-print-color-adjust" => CountedUnknownProperty::WebkitPrintColorAdjust,
                "-webkit-mask-box-image" => CountedUnknownProperty::WebkitMaskBoxImage,
                "-webkit-line-break" => CountedUnknownProperty::WebkitLineBreak,
                "alignment-baseline" => CountedUnknownProperty::AlignmentBaseline,
                "-webkit-writing-mode" => CountedUnknownProperty::WebkitWritingMode,
                "baseline-shift" => CountedUnknownProperty::BaselineShift,
                "-webkit-hyphenate-character" => CountedUnknownProperty::WebkitHyphenateCharacter,
                "-webkit-highlight" => CountedUnknownProperty::WebkitHighlight,
                "background-repeat-x" => CountedUnknownProperty::BackgroundRepeatX,
                "-webkit-padding-end" => CountedUnknownProperty::WebkitPaddingEnd,
                "background-repeat-y" => CountedUnknownProperty::BackgroundRepeatY,
                "-webkit-text-emphasis-color" => CountedUnknownProperty::WebkitTextEmphasisColor,
                "-webkit-margin-top-collapse" => CountedUnknownProperty::WebkitMarginTopCollapse,
                "-webkit-rtl-ordering" => CountedUnknownProperty::WebkitRtlOrdering,
                "-webkit-padding-before" => CountedUnknownProperty::WebkitPaddingBefore,
                "-webkit-text-decorations-in-effect" => CountedUnknownProperty::WebkitTextDecorationsInEffect,
                "-webkit-border-vertical-spacing" => CountedUnknownProperty::WebkitBorderVerticalSpacing,
                "-webkit-locale" => CountedUnknownProperty::WebkitLocale,
                "-webkit-padding-after" => CountedUnknownProperty::WebkitPaddingAfter,
                "-webkit-border-horizontal-spacing" => CountedUnknownProperty::WebkitBorderHorizontalSpacing,
                "color-rendering" => CountedUnknownProperty::ColorRendering,
                "-webkit-column-break-before" => CountedUnknownProperty::WebkitColumnBreakBefore,
                "-webkit-transform-origin-x" => CountedUnknownProperty::WebkitTransformOriginX,
                "-webkit-transform-origin-y" => CountedUnknownProperty::WebkitTransformOriginY,
                "-webkit-text-emphasis-position" => CountedUnknownProperty::WebkitTextEmphasisPosition,
                "buffered-rendering" => CountedUnknownProperty::BufferedRendering,
                "-webkit-text-orientation" => CountedUnknownProperty::WebkitTextOrientation,
                "-webkit-text-combine" => CountedUnknownProperty::WebkitTextCombine,
                "-webkit-text-emphasis-style" => CountedUnknownProperty::WebkitTextEmphasisStyle,
                "-webkit-text-emphasis" => CountedUnknownProperty::WebkitTextEmphasis,
                "-webkit-mask-box-image-width" => CountedUnknownProperty::WebkitMaskBoxImageWidth,
                "-webkit-mask-box-image-source" => CountedUnknownProperty::WebkitMaskBoxImageSource,
                "-webkit-mask-box-image-outset" => CountedUnknownProperty::WebkitMaskBoxImageOutset,
                "-webkit-mask-box-image-slice" => CountedUnknownProperty::WebkitMaskBoxImageSlice,
                "-webkit-mask-box-image-repeat" => CountedUnknownProperty::WebkitMaskBoxImageRepeat,
                "-webkit-margin-after-collapse" => CountedUnknownProperty::WebkitMarginAfterCollapse,
                "-webkit-border-before-color" => CountedUnknownProperty::WebkitBorderBeforeColor,
                "-webkit-border-before-width" => CountedUnknownProperty::WebkitBorderBeforeWidth,
                "-webkit-perspective-origin-x" => CountedUnknownProperty::WebkitPerspectiveOriginX,
                "-webkit-perspective-origin-y" => CountedUnknownProperty::WebkitPerspectiveOriginY,
                "-webkit-margin-before-collapse" => CountedUnknownProperty::WebkitMarginBeforeCollapse,
                "-webkit-border-before-style" => CountedUnknownProperty::WebkitBorderBeforeStyle,
                "-webkit-margin-bottom-collapse" => CountedUnknownProperty::WebkitMarginBottomCollapse,
                "-webkit-ruby-position" => CountedUnknownProperty::WebkitRubyPosition,
                "-webkit-column-break-after" => CountedUnknownProperty::WebkitColumnBreakAfter,
                "-webkit-margin-collapse" => CountedUnknownProperty::WebkitMarginCollapse,
                "-webkit-border-before" => CountedUnknownProperty::WebkitBorderBefore,
                "-webkit-border-end" => CountedUnknownProperty::WebkitBorderEnd,
                "-webkit-border-after" => CountedUnknownProperty::WebkitBorderAfter,
                "-webkit-border-start" => CountedUnknownProperty::WebkitBorderStart,
                "-webkit-min-logical-width" => CountedUnknownProperty::WebkitMinLogicalWidth,
                "-webkit-logical-height" => CountedUnknownProperty::WebkitLogicalHeight,
                "-webkit-transform-origin-z" => CountedUnknownProperty::WebkitTransformOriginZ,
                "-webkit-font-size-delta" => CountedUnknownProperty::WebkitFontSizeDelta,
                "-webkit-logical-width" => CountedUnknownProperty::WebkitLogicalWidth,
                "-webkit-max-logical-width" => CountedUnknownProperty::WebkitMaxLogicalWidth,
                "-webkit-min-logical-height" => CountedUnknownProperty::WebkitMinLogicalHeight,
                "-webkit-max-logical-height" => CountedUnknownProperty::WebkitMaxLogicalHeight,
                "-webkit-border-end-color" => CountedUnknownProperty::WebkitBorderEndColor,
                "-webkit-border-end-width" => CountedUnknownProperty::WebkitBorderEndWidth,
                "-webkit-border-start-color" => CountedUnknownProperty::WebkitBorderStartColor,
                "-webkit-border-start-width" => CountedUnknownProperty::WebkitBorderStartWidth,
                "-webkit-border-after-color" => CountedUnknownProperty::WebkitBorderAfterColor,
                "-webkit-border-after-width" => CountedUnknownProperty::WebkitBorderAfterWidth,
                "-webkit-border-end-style" => CountedUnknownProperty::WebkitBorderEndStyle,
                "-webkit-border-after-style" => CountedUnknownProperty::WebkitBorderAfterStyle,
                "-webkit-border-start-style" => CountedUnknownProperty::WebkitBorderStartStyle,
                "-webkit-mask-repeat-x" => CountedUnknownProperty::WebkitMaskRepeatX,
                "-webkit-mask-repeat-y" => CountedUnknownProperty::WebkitMaskRepeatY,
                "user-zoom" => CountedUnknownProperty::UserZoom,
                "min-zoom" => CountedUnknownProperty::MinZoom,
                "-webkit-box-decoration-break" => CountedUnknownProperty::WebkitBoxDecorationBreak,
                "orientation" => CountedUnknownProperty::Orientation,
                "max-zoom" => CountedUnknownProperty::MaxZoom,
                "-webkit-app-region" => CountedUnknownProperty::WebkitAppRegion,
                "-webkit-column-rule" => CountedUnknownProperty::WebkitColumnRule,
                "-webkit-column-span" => CountedUnknownProperty::WebkitColumnSpan,
                "-webkit-column-gap" => CountedUnknownProperty::WebkitColumnGap,
                "-webkit-shape-outside" => CountedUnknownProperty::WebkitShapeOutside,
                "-webkit-column-rule-width" => CountedUnknownProperty::WebkitColumnRuleWidth,
                "-webkit-column-count" => CountedUnknownProperty::WebkitColumnCount,
                "-webkit-opacity" => CountedUnknownProperty::WebkitOpacity,
                "-webkit-column-width" => CountedUnknownProperty::WebkitColumnWidth,
                "-webkit-shape-image-threshold" => CountedUnknownProperty::WebkitShapeImageThreshold,
                "-webkit-column-rule-style" => CountedUnknownProperty::WebkitColumnRuleStyle,
                "-webkit-columns" => CountedUnknownProperty::WebkitColumns,
                "-webkit-column-rule-color" => CountedUnknownProperty::WebkitColumnRuleColor,
                "-webkit-shape-margin" => CountedUnknownProperty::WebkitShapeMargin,
            }
        }
        unknown_id(property_name).cloned()
    }

    /// Returns the underlying index, used for use counter.
    #[inline]
    pub fn bit(self) -> usize {
        self as usize
    }
}

impl PropertyId {
    /// Return the longhand id that this property id represents.
    #[inline]
    pub fn longhand_id(&self) -> Option<LonghandId> {
        Some(match *self {
            PropertyId::Longhand(id) => id,
            PropertyId::LonghandAlias(id, _) => id,
            _ => return None,
        })
    }

    /// Returns a given property from the given name, _regardless of whether it
    /// is enabled or not_, or Err(()) for unknown properties.
    ///
    /// Do not use for non-testing purposes.
    pub fn parse_unchecked_for_testing(name: &str) -> Result<Self, ()> {
        Self::parse_unchecked(name, None)
    }

    /// Returns a given property from the given name, _regardless of whether it
    /// is enabled or not_, or Err(()) for unknown properties.
    fn parse_unchecked(
        property_name: &str,
        use_counters: Option< &UseCounters>,
    ) -> Result<Self, ()> {
        // A special id for css use counters.
        // ShorthandAlias is not used in the Servo build.
        // That's why we need to allow dead_code.
        #[allow(dead_code)]
        pub enum StaticId {
            Longhand(LonghandId),
            Shorthand(ShorthandId),
            LonghandAlias(LonghandId, AliasId),
            ShorthandAlias(ShorthandId, AliasId),
            CountedUnknown(CountedUnknownProperty),
        }
        ascii_case_insensitive_phf_map! {
            static_id -> StaticId = {
                "align-content" => StaticId::Longhand(LonghandId::AlignContent),
                "-webkit-align-content" => {
                    StaticId::LonghandAlias(
                        LonghandId::AlignContent,
                        AliasId::WebkitAlignContent,
                    )
                },
                "align-items" => StaticId::Longhand(LonghandId::AlignItems),
                "-webkit-align-items" => {
                    StaticId::LonghandAlias(
                        LonghandId::AlignItems,
                        AliasId::WebkitAlignItems,
                    )
                },
                "align-self" => StaticId::Longhand(LonghandId::AlignSelf),
                "-webkit-align-self" => {
                    StaticId::LonghandAlias(
                        LonghandId::AlignSelf,
                        AliasId::WebkitAlignSelf,
                    )
                },
                "aspect-ratio" => StaticId::Longhand(LonghandId::AspectRatio),
                "backface-visibility" => StaticId::Longhand(LonghandId::BackfaceVisibility),
                "-moz-backface-visibility" => {
                    StaticId::LonghandAlias(
                        LonghandId::BackfaceVisibility,
                        AliasId::MozBackfaceVisibility,
                    )
                },
                "-webkit-backface-visibility" => {
                    StaticId::LonghandAlias(
                        LonghandId::BackfaceVisibility,
                        AliasId::WebkitBackfaceVisibility,
                    )
                },
                "baseline-source" => StaticId::Longhand(LonghandId::BaselineSource),
                "border-collapse" => StaticId::Longhand(LonghandId::BorderCollapse),
                "border-image-repeat" => StaticId::Longhand(LonghandId::BorderImageRepeat),
                "box-decoration-break" => StaticId::Longhand(LonghandId::BoxDecorationBreak),
                "box-sizing" => StaticId::Longhand(LonghandId::BoxSizing),
                "-moz-box-sizing" => {
                    StaticId::LonghandAlias(
                        LonghandId::BoxSizing,
                        AliasId::MozBoxSizing,
                    )
                },
                "-webkit-box-sizing" => {
                    StaticId::LonghandAlias(
                        LonghandId::BoxSizing,
                        AliasId::WebkitBoxSizing,
                    )
                },
                "break-inside" => StaticId::Longhand(LonghandId::BreakInside),
                "caption-side" => StaticId::Longhand(LonghandId::CaptionSide),
                "clear" => StaticId::Longhand(LonghandId::Clear),
                "color-interpolation" => StaticId::Longhand(LonghandId::ColorInterpolation),
                "color-interpolation-filters" => StaticId::Longhand(LonghandId::ColorInterpolationFilters),
                "column-count" => StaticId::Longhand(LonghandId::ColumnCount),
                "column-fill" => StaticId::Longhand(LonghandId::ColumnFill),
                "column-span" => StaticId::Longhand(LonghandId::ColumnSpan),
                "contain" => StaticId::Longhand(LonghandId::Contain),
                "container-type" => StaticId::Longhand(LonghandId::ContainerType),
                "content-visibility" => StaticId::Longhand(LonghandId::ContentVisibility),
                "direction" => StaticId::Longhand(LonghandId::Direction),
                "display" => StaticId::Longhand(LonghandId::Display),
                "dominant-baseline" => StaticId::Longhand(LonghandId::DominantBaseline),
                "empty-cells" => StaticId::Longhand(LonghandId::EmptyCells),
                "flex-direction" => StaticId::Longhand(LonghandId::FlexDirection),
                "-webkit-flex-direction" => {
                    StaticId::LonghandAlias(
                        LonghandId::FlexDirection,
                        AliasId::WebkitFlexDirection,
                    )
                },
                "flex-wrap" => StaticId::Longhand(LonghandId::FlexWrap),
                "-webkit-flex-wrap" => {
                    StaticId::LonghandAlias(
                        LonghandId::FlexWrap,
                        AliasId::WebkitFlexWrap,
                    )
                },
                "float" => StaticId::Longhand(LonghandId::Float),
                "font-kerning" => StaticId::Longhand(LonghandId::FontKerning),
                "font-language-override" => StaticId::Longhand(LonghandId::FontLanguageOverride),
                "-moz-font-language-override" => {
                    StaticId::LonghandAlias(
                        LonghandId::FontLanguageOverride,
                        AliasId::MozFontLanguageOverride,
                    )
                },
                "font-optical-sizing" => StaticId::Longhand(LonghandId::FontOpticalSizing),
                "font-size-adjust" => StaticId::Longhand(LonghandId::FontSizeAdjust),
                "font-stretch" => StaticId::Longhand(LonghandId::FontStretch),
                "font-style" => StaticId::Longhand(LonghandId::FontStyle),
                "font-variant-caps" => StaticId::Longhand(LonghandId::FontVariantCaps),
                "font-variant-east-asian" => StaticId::Longhand(LonghandId::FontVariantEastAsian),
                "font-variant-emoji" => StaticId::Longhand(LonghandId::FontVariantEmoji),
                "font-variant-ligatures" => StaticId::Longhand(LonghandId::FontVariantLigatures),
                "font-variant-numeric" => StaticId::Longhand(LonghandId::FontVariantNumeric),
                "font-variant-position" => StaticId::Longhand(LonghandId::FontVariantPosition),
                "font-weight" => StaticId::Longhand(LonghandId::FontWeight),
                "forced-color-adjust" => StaticId::Longhand(LonghandId::ForcedColorAdjust),
                "grid-auto-flow" => StaticId::Longhand(LonghandId::GridAutoFlow),
                "hyphens" => StaticId::Longhand(LonghandId::Hyphens),
                "-moz-hyphens" => {
                    StaticId::LonghandAlias(
                        LonghandId::Hyphens,
                        AliasId::MozHyphens,
                    )
                },
                "image-orientation" => StaticId::Longhand(LonghandId::ImageOrientation),
                "image-rendering" => StaticId::Longhand(LonghandId::ImageRendering),
                "ime-mode" => StaticId::Longhand(LonghandId::ImeMode),
                "initial-letter" => StaticId::Longhand(LonghandId::InitialLetter),
                "isolation" => StaticId::Longhand(LonghandId::Isolation),
                "justify-content" => StaticId::Longhand(LonghandId::JustifyContent),
                "-webkit-justify-content" => {
                    StaticId::LonghandAlias(
                        LonghandId::JustifyContent,
                        AliasId::WebkitJustifyContent,
                    )
                },
                "justify-items" => StaticId::Longhand(LonghandId::JustifyItems),
                "justify-self" => StaticId::Longhand(LonghandId::JustifySelf),
                "line-break" => StaticId::Longhand(LonghandId::LineBreak),
                "list-style-position" => StaticId::Longhand(LonghandId::ListStylePosition),
                "mask-type" => StaticId::Longhand(LonghandId::MaskType),
                "masonry-auto-flow" => StaticId::Longhand(LonghandId::MasonryAutoFlow),
                "math-depth" => StaticId::Longhand(LonghandId::MathDepth),
                "math-style" => StaticId::Longhand(LonghandId::MathStyle),
                "mix-blend-mode" => StaticId::Longhand(LonghandId::MixBlendMode),
                "-moz-box-align" => StaticId::Longhand(LonghandId::MozBoxAlign),
                "-webkit-box-align" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozBoxAlign,
                        AliasId::WebkitBoxAlign,
                    )
                },
                "-moz-box-collapse" => StaticId::Longhand(LonghandId::MozBoxCollapse),
                "-moz-box-direction" => StaticId::Longhand(LonghandId::MozBoxDirection),
                "-webkit-box-direction" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozBoxDirection,
                        AliasId::WebkitBoxDirection,
                    )
                },
                "-moz-box-orient" => StaticId::Longhand(LonghandId::MozBoxOrient),
                "-webkit-box-orient" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozBoxOrient,
                        AliasId::WebkitBoxOrient,
                    )
                },
                "-moz-box-pack" => StaticId::Longhand(LonghandId::MozBoxPack),
                "-webkit-box-pack" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozBoxPack,
                        AliasId::WebkitBoxPack,
                    )
                },
                "-moz-control-character-visibility" => StaticId::Longhand(LonghandId::MozControlCharacterVisibility),
                "-moz-float-edge" => StaticId::Longhand(LonghandId::MozFloatEdge),
                "-moz-inert" => StaticId::Longhand(LonghandId::MozInert),
                "-moz-math-variant" => StaticId::Longhand(LonghandId::MozMathVariant),
                "-moz-min-font-size-ratio" => StaticId::Longhand(LonghandId::MozMinFontSizeRatio),
                "-moz-orient" => StaticId::Longhand(LonghandId::MozOrient),
                "-moz-osx-font-smoothing" => StaticId::Longhand(LonghandId::MozOsxFontSmoothing),
                "-moz-script-min-size" => StaticId::Longhand(LonghandId::MozScriptMinSize),
                "-moz-script-size-multiplier" => StaticId::Longhand(LonghandId::MozScriptSizeMultiplier),
                "-moz-text-size-adjust" => StaticId::Longhand(LonghandId::MozTextSizeAdjust),
                "-webkit-text-size-adjust" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozTextSizeAdjust,
                        AliasId::WebkitTextSizeAdjust,
                    )
                },
                "-moz-top-layer" => StaticId::Longhand(LonghandId::MozTopLayer),
                "-moz-user-focus" => StaticId::Longhand(LonghandId::MozUserFocus),
                "-moz-user-input" => StaticId::Longhand(LonghandId::MozUserInput),
                "-moz-user-modify" => StaticId::Longhand(LonghandId::MozUserModify),
                "-moz-window-dragging" => StaticId::Longhand(LonghandId::MozWindowDragging),
                "-moz-window-shadow" => StaticId::Longhand(LonghandId::MozWindowShadow),
                "object-fit" => StaticId::Longhand(LonghandId::ObjectFit),
                "offset-rotate" => StaticId::Longhand(LonghandId::OffsetRotate),
                "outline-style" => StaticId::Longhand(LonghandId::OutlineStyle),
                "overflow-anchor" => StaticId::Longhand(LonghandId::OverflowAnchor),
                "overflow-wrap" => StaticId::Longhand(LonghandId::OverflowWrap),
                "word-wrap" => {
                    StaticId::LonghandAlias(
                        LonghandId::OverflowWrap,
                        AliasId::WordWrap,
                    )
                },
                "page-orientation" => StaticId::Longhand(LonghandId::PageOrientation),
                "paint-order" => StaticId::Longhand(LonghandId::PaintOrder),
                "pointer-events" => StaticId::Longhand(LonghandId::PointerEvents),
                "position" => StaticId::Longhand(LonghandId::Position),
                "print-color-adjust" => StaticId::Longhand(LonghandId::PrintColorAdjust),
                "color-adjust" => {
                    StaticId::LonghandAlias(
                        LonghandId::PrintColorAdjust,
                        AliasId::ColorAdjust,
                    )
                },
                "resize" => StaticId::Longhand(LonghandId::Resize),
                "ruby-align" => StaticId::Longhand(LonghandId::RubyAlign),
                "ruby-position" => StaticId::Longhand(LonghandId::RubyPosition),
                "scroll-behavior" => StaticId::Longhand(LonghandId::ScrollBehavior),
                "scroll-snap-align" => StaticId::Longhand(LonghandId::ScrollSnapAlign),
                "scroll-snap-stop" => StaticId::Longhand(LonghandId::ScrollSnapStop),
                "scroll-snap-type" => StaticId::Longhand(LonghandId::ScrollSnapType),
                "scrollbar-gutter" => StaticId::Longhand(LonghandId::ScrollbarGutter),
                "scrollbar-width" => StaticId::Longhand(LonghandId::ScrollbarWidth),
                "shape-rendering" => StaticId::Longhand(LonghandId::ShapeRendering),
                "stroke-linecap" => StaticId::Longhand(LonghandId::StrokeLinecap),
                "stroke-linejoin" => StaticId::Longhand(LonghandId::StrokeLinejoin),
                "table-layout" => StaticId::Longhand(LonghandId::TableLayout),
                "text-align" => StaticId::Longhand(LonghandId::TextAlign),
                "text-align-last" => StaticId::Longhand(LonghandId::TextAlignLast),
                "text-anchor" => StaticId::Longhand(LonghandId::TextAnchor),
                "text-combine-upright" => StaticId::Longhand(LonghandId::TextCombineUpright),
                "text-decoration-line" => StaticId::Longhand(LonghandId::TextDecorationLine),
                "text-decoration-skip-ink" => StaticId::Longhand(LonghandId::TextDecorationSkipInk),
                "text-decoration-style" => StaticId::Longhand(LonghandId::TextDecorationStyle),
                "text-emphasis-position" => StaticId::Longhand(LonghandId::TextEmphasisPosition),
                "text-justify" => StaticId::Longhand(LonghandId::TextJustify),
                "text-orientation" => StaticId::Longhand(LonghandId::TextOrientation),
                "text-rendering" => StaticId::Longhand(LonghandId::TextRendering),
                "text-transform" => StaticId::Longhand(LonghandId::TextTransform),
                "text-underline-position" => StaticId::Longhand(LonghandId::TextUnderlinePosition),
                "touch-action" => StaticId::Longhand(LonghandId::TouchAction),
                "transform-box" => StaticId::Longhand(LonghandId::TransformBox),
                "transform-style" => StaticId::Longhand(LonghandId::TransformStyle),
                "-moz-transform-style" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransformStyle,
                        AliasId::MozTransformStyle,
                    )
                },
                "-webkit-transform-style" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransformStyle,
                        AliasId::WebkitTransformStyle,
                    )
                },
                "unicode-bidi" => StaticId::Longhand(LonghandId::UnicodeBidi),
                "user-select" => StaticId::Longhand(LonghandId::UserSelect),
                "-moz-user-select" => {
                    StaticId::LonghandAlias(
                        LonghandId::UserSelect,
                        AliasId::MozUserSelect,
                    )
                },
                "-webkit-user-select" => {
                    StaticId::LonghandAlias(
                        LonghandId::UserSelect,
                        AliasId::WebkitUserSelect,
                    )
                },
                "vector-effect" => StaticId::Longhand(LonghandId::VectorEffect),
                "visibility" => StaticId::Longhand(LonghandId::Visibility),
                "-webkit-line-clamp" => StaticId::Longhand(LonghandId::WebkitLineClamp),
                "-webkit-text-security" => StaticId::Longhand(LonghandId::WebkitTextSecurity),
                "white-space" => StaticId::Longhand(LonghandId::WhiteSpace),
                "word-break" => StaticId::Longhand(LonghandId::WordBreak),
                "writing-mode" => StaticId::Longhand(LonghandId::WritingMode),
                "-x-text-scale" => StaticId::Longhand(LonghandId::XTextScale),
                "z-index" => StaticId::Longhand(LonghandId::ZIndex),
                "appearance" => StaticId::Longhand(LonghandId::Appearance),
                "-moz-appearance" => {
                    StaticId::LonghandAlias(
                        LonghandId::Appearance,
                        AliasId::MozAppearance,
                    )
                },
                "-webkit-appearance" => {
                    StaticId::LonghandAlias(
                        LonghandId::Appearance,
                        AliasId::WebkitAppearance,
                    )
                },
                "-moz-default-appearance" => StaticId::Longhand(LonghandId::MozDefaultAppearance),
                "-moz-force-broken-image-icon" => StaticId::Longhand(LonghandId::MozForceBrokenImageIcon),
                "-moz-subtree-hidden-only-visually" => StaticId::Longhand(LonghandId::MozSubtreeHiddenOnlyVisually),
                "break-after" => StaticId::Longhand(LonghandId::BreakAfter),
                "break-before" => StaticId::Longhand(LonghandId::BreakBefore),
                "clip-rule" => StaticId::Longhand(LonghandId::ClipRule),
                "fill-rule" => StaticId::Longhand(LonghandId::FillRule),
                "overflow-clip-box-block" => StaticId::Longhand(LonghandId::OverflowClipBoxBlock),
                "overflow-clip-box-inline" => StaticId::Longhand(LonghandId::OverflowClipBoxInline),
                "fill-opacity" => StaticId::Longhand(LonghandId::FillOpacity),
                "stroke-opacity" => StaticId::Longhand(LonghandId::StrokeOpacity),
                "font-synthesis-small-caps" => StaticId::Longhand(LonghandId::FontSynthesisSmallCaps),
                "font-synthesis-style" => StaticId::Longhand(LonghandId::FontSynthesisStyle),
                "font-synthesis-weight" => StaticId::Longhand(LonghandId::FontSynthesisWeight),
                "-moz-box-ordinal-group" => StaticId::Longhand(LonghandId::MozBoxOrdinalGroup),
                "-webkit-box-ordinal-group" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozBoxOrdinalGroup,
                        AliasId::WebkitBoxOrdinalGroup,
                    )
                },
                "order" => StaticId::Longhand(LonghandId::Order),
                "-webkit-order" => {
                    StaticId::LonghandAlias(
                        LonghandId::Order,
                        AliasId::WebkitOrder,
                    )
                },
                "-x-span" => StaticId::Longhand(LonghandId::XSpan),
                "flex-grow" => StaticId::Longhand(LonghandId::FlexGrow),
                "-webkit-flex-grow" => {
                    StaticId::LonghandAlias(
                        LonghandId::FlexGrow,
                        AliasId::WebkitFlexGrow,
                    )
                },
                "flex-shrink" => StaticId::Longhand(LonghandId::FlexShrink),
                "-webkit-flex-shrink" => {
                    StaticId::LonghandAlias(
                        LonghandId::FlexShrink,
                        AliasId::WebkitFlexShrink,
                    )
                },
                "-moz-box-flex" => StaticId::Longhand(LonghandId::MozBoxFlex),
                "-webkit-box-flex" => {
                    StaticId::LonghandAlias(
                        LonghandId::MozBoxFlex,
                        AliasId::WebkitBoxFlex,
                    )
                },
                "stroke-miterlimit" => StaticId::Longhand(LonghandId::StrokeMiterlimit),
                "overflow-block" => StaticId::Longhand(LonghandId::OverflowBlock),
                "overflow-inline" => StaticId::Longhand(LonghandId::OverflowInline),
                "overflow-x" => StaticId::Longhand(LonghandId::OverflowX),
                "overflow-y" => StaticId::Longhand(LonghandId::OverflowY),
                "overscroll-behavior-block" => StaticId::Longhand(LonghandId::OverscrollBehaviorBlock),
                "overscroll-behavior-inline" => StaticId::Longhand(LonghandId::OverscrollBehaviorInline),
                "overscroll-behavior-x" => StaticId::Longhand(LonghandId::OverscrollBehaviorX),
                "overscroll-behavior-y" => StaticId::Longhand(LonghandId::OverscrollBehaviorY),
                "flood-opacity" => StaticId::Longhand(LonghandId::FloodOpacity),
                "-moz-window-opacity" => StaticId::Longhand(LonghandId::MozWindowOpacity),
                "opacity" => StaticId::Longhand(LonghandId::Opacity),
                "shape-image-threshold" => StaticId::Longhand(LonghandId::ShapeImageThreshold),
                "stop-opacity" => StaticId::Longhand(LonghandId::StopOpacity),
                "border-block-end-style" => StaticId::Longhand(LonghandId::BorderBlockEndStyle),
                "border-block-start-style" => StaticId::Longhand(LonghandId::BorderBlockStartStyle),
                "border-bottom-style" => StaticId::Longhand(LonghandId::BorderBottomStyle),
                "border-inline-end-style" => StaticId::Longhand(LonghandId::BorderInlineEndStyle),
                "-moz-border-end-style" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderInlineEndStyle,
                        AliasId::MozBorderEndStyle,
                    )
                },
                "border-inline-start-style" => StaticId::Longhand(LonghandId::BorderInlineStartStyle),
                "-moz-border-start-style" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderInlineStartStyle,
                        AliasId::MozBorderStartStyle,
                    )
                },
                "border-left-style" => StaticId::Longhand(LonghandId::BorderLeftStyle),
                "border-right-style" => StaticId::Longhand(LonghandId::BorderRightStyle),
                "border-top-style" => StaticId::Longhand(LonghandId::BorderTopStyle),
                "column-rule-style" => StaticId::Longhand(LonghandId::ColumnRuleStyle),
                "accent-color" => StaticId::Longhand(LonghandId::AccentColor),
                "align-tracks" => StaticId::Longhand(LonghandId::AlignTracks),
                "animation-composition" => StaticId::Longhand(LonghandId::AnimationComposition),
                "animation-delay" => StaticId::Longhand(LonghandId::AnimationDelay),
                "-moz-animation-delay" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationDelay,
                        AliasId::MozAnimationDelay,
                    )
                },
                "-webkit-animation-delay" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationDelay,
                        AliasId::WebkitAnimationDelay,
                    )
                },
                "animation-direction" => StaticId::Longhand(LonghandId::AnimationDirection),
                "-moz-animation-direction" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationDirection,
                        AliasId::MozAnimationDirection,
                    )
                },
                "-webkit-animation-direction" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationDirection,
                        AliasId::WebkitAnimationDirection,
                    )
                },
                "animation-duration" => StaticId::Longhand(LonghandId::AnimationDuration),
                "-moz-animation-duration" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationDuration,
                        AliasId::MozAnimationDuration,
                    )
                },
                "-webkit-animation-duration" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationDuration,
                        AliasId::WebkitAnimationDuration,
                    )
                },
                "animation-fill-mode" => StaticId::Longhand(LonghandId::AnimationFillMode),
                "-moz-animation-fill-mode" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationFillMode,
                        AliasId::MozAnimationFillMode,
                    )
                },
                "-webkit-animation-fill-mode" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationFillMode,
                        AliasId::WebkitAnimationFillMode,
                    )
                },
                "animation-iteration-count" => StaticId::Longhand(LonghandId::AnimationIterationCount),
                "-moz-animation-iteration-count" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationIterationCount,
                        AliasId::MozAnimationIterationCount,
                    )
                },
                "-webkit-animation-iteration-count" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationIterationCount,
                        AliasId::WebkitAnimationIterationCount,
                    )
                },
                "animation-name" => StaticId::Longhand(LonghandId::AnimationName),
                "-moz-animation-name" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationName,
                        AliasId::MozAnimationName,
                    )
                },
                "-webkit-animation-name" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationName,
                        AliasId::WebkitAnimationName,
                    )
                },
                "animation-play-state" => StaticId::Longhand(LonghandId::AnimationPlayState),
                "-moz-animation-play-state" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationPlayState,
                        AliasId::MozAnimationPlayState,
                    )
                },
                "-webkit-animation-play-state" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationPlayState,
                        AliasId::WebkitAnimationPlayState,
                    )
                },
                "animation-timeline" => StaticId::Longhand(LonghandId::AnimationTimeline),
                "animation-timing-function" => StaticId::Longhand(LonghandId::AnimationTimingFunction),
                "-moz-animation-timing-function" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationTimingFunction,
                        AliasId::MozAnimationTimingFunction,
                    )
                },
                "-webkit-animation-timing-function" => {
                    StaticId::LonghandAlias(
                        LonghandId::AnimationTimingFunction,
                        AliasId::WebkitAnimationTimingFunction,
                    )
                },
                "backdrop-filter" => StaticId::Longhand(LonghandId::BackdropFilter),
                "background-attachment" => StaticId::Longhand(LonghandId::BackgroundAttachment),
                "background-blend-mode" => StaticId::Longhand(LonghandId::BackgroundBlendMode),
                "background-clip" => StaticId::Longhand(LonghandId::BackgroundClip),
                "-webkit-background-clip" => {
                    StaticId::LonghandAlias(
                        LonghandId::BackgroundClip,
                        AliasId::WebkitBackgroundClip,
                    )
                },
                "background-image" => StaticId::Longhand(LonghandId::BackgroundImage),
                "background-origin" => StaticId::Longhand(LonghandId::BackgroundOrigin),
                "-webkit-background-origin" => {
                    StaticId::LonghandAlias(
                        LonghandId::BackgroundOrigin,
                        AliasId::WebkitBackgroundOrigin,
                    )
                },
                "background-position-x" => StaticId::Longhand(LonghandId::BackgroundPositionX),
                "background-position-y" => StaticId::Longhand(LonghandId::BackgroundPositionY),
                "background-repeat" => StaticId::Longhand(LonghandId::BackgroundRepeat),
                "background-size" => StaticId::Longhand(LonghandId::BackgroundSize),
                "-webkit-background-size" => {
                    StaticId::LonghandAlias(
                        LonghandId::BackgroundSize,
                        AliasId::WebkitBackgroundSize,
                    )
                },
                "border-image-outset" => StaticId::Longhand(LonghandId::BorderImageOutset),
                "border-image-slice" => StaticId::Longhand(LonghandId::BorderImageSlice),
                "border-image-width" => StaticId::Longhand(LonghandId::BorderImageWidth),
                "border-spacing" => StaticId::Longhand(LonghandId::BorderSpacing),
                "box-shadow" => StaticId::Longhand(LonghandId::BoxShadow),
                "-webkit-box-shadow" => {
                    StaticId::LonghandAlias(
                        LonghandId::BoxShadow,
                        AliasId::WebkitBoxShadow,
                    )
                },
                "caret-color" => StaticId::Longhand(LonghandId::CaretColor),
                "clip" => StaticId::Longhand(LonghandId::Clip),
                "clip-path" => StaticId::Longhand(LonghandId::ClipPath),
                "-webkit-clip-path" => {
                    StaticId::LonghandAlias(
                        LonghandId::ClipPath,
                        AliasId::WebkitClipPath,
                    )
                },
                "color" => StaticId::Longhand(LonghandId::Color),
                "color-scheme" => StaticId::Longhand(LonghandId::ColorScheme),
                "column-width" => StaticId::Longhand(LonghandId::ColumnWidth),
                "container-name" => StaticId::Longhand(LonghandId::ContainerName),
                "content" => StaticId::Longhand(LonghandId::Content),
                "counter-increment" => StaticId::Longhand(LonghandId::CounterIncrement),
                "counter-reset" => StaticId::Longhand(LonghandId::CounterReset),
                "counter-set" => StaticId::Longhand(LonghandId::CounterSet),
                "cursor" => StaticId::Longhand(LonghandId::Cursor),
                "d" => StaticId::Longhand(LonghandId::D),
                "filter" => StaticId::Longhand(LonghandId::Filter),
                "-webkit-filter" => {
                    StaticId::LonghandAlias(
                        LonghandId::Filter,
                        AliasId::WebkitFilter,
                    )
                },
                "flex-basis" => StaticId::Longhand(LonghandId::FlexBasis),
                "-webkit-flex-basis" => {
                    StaticId::LonghandAlias(
                        LonghandId::FlexBasis,
                        AliasId::WebkitFlexBasis,
                    )
                },
                "font-family" => StaticId::Longhand(LonghandId::FontFamily),
                "font-feature-settings" => StaticId::Longhand(LonghandId::FontFeatureSettings),
                "-moz-font-feature-settings" => {
                    StaticId::LonghandAlias(
                        LonghandId::FontFeatureSettings,
                        AliasId::MozFontFeatureSettings,
                    )
                },
                "font-palette" => StaticId::Longhand(LonghandId::FontPalette),
                "font-size" => StaticId::Longhand(LonghandId::FontSize),
                "font-variant-alternates" => StaticId::Longhand(LonghandId::FontVariantAlternates),
                "font-variation-settings" => StaticId::Longhand(LonghandId::FontVariationSettings),
                "grid-template-areas" => StaticId::Longhand(LonghandId::GridTemplateAreas),
                "hyphenate-character" => StaticId::Longhand(LonghandId::HyphenateCharacter),
                "justify-tracks" => StaticId::Longhand(LonghandId::JustifyTracks),
                "letter-spacing" => StaticId::Longhand(LonghandId::LetterSpacing),
                "line-height" => StaticId::Longhand(LonghandId::LineHeight),
                "list-style-type" => StaticId::Longhand(LonghandId::ListStyleType),
                "mask-clip" => StaticId::Longhand(LonghandId::MaskClip),
                "-webkit-mask-clip" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskClip,
                        AliasId::WebkitMaskClip,
                    )
                },
                "mask-composite" => StaticId::Longhand(LonghandId::MaskComposite),
                "-webkit-mask-composite" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskComposite,
                        AliasId::WebkitMaskComposite,
                    )
                },
                "mask-image" => StaticId::Longhand(LonghandId::MaskImage),
                "-webkit-mask-image" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskImage,
                        AliasId::WebkitMaskImage,
                    )
                },
                "mask-mode" => StaticId::Longhand(LonghandId::MaskMode),
                "mask-origin" => StaticId::Longhand(LonghandId::MaskOrigin),
                "-webkit-mask-origin" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskOrigin,
                        AliasId::WebkitMaskOrigin,
                    )
                },
                "mask-position-x" => StaticId::Longhand(LonghandId::MaskPositionX),
                "-webkit-mask-position-x" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskPositionX,
                        AliasId::WebkitMaskPositionX,
                    )
                },
                "mask-position-y" => StaticId::Longhand(LonghandId::MaskPositionY),
                "-webkit-mask-position-y" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskPositionY,
                        AliasId::WebkitMaskPositionY,
                    )
                },
                "mask-repeat" => StaticId::Longhand(LonghandId::MaskRepeat),
                "-webkit-mask-repeat" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskRepeat,
                        AliasId::WebkitMaskRepeat,
                    )
                },
                "mask-size" => StaticId::Longhand(LonghandId::MaskSize),
                "-webkit-mask-size" => {
                    StaticId::LonghandAlias(
                        LonghandId::MaskSize,
                        AliasId::WebkitMaskSize,
                    )
                },
                "-moz-context-properties" => StaticId::Longhand(LonghandId::MozContextProperties),
                "-moz-font-smoothing-background-color" => StaticId::Longhand(LonghandId::MozFontSmoothingBackgroundColor),
                "offset-anchor" => StaticId::Longhand(LonghandId::OffsetAnchor),
                "offset-path" => StaticId::Longhand(LonghandId::OffsetPath),
                "offset-position" => StaticId::Longhand(LonghandId::OffsetPosition),
                "page" => StaticId::Longhand(LonghandId::Page),
                "perspective" => StaticId::Longhand(LonghandId::Perspective),
                "-moz-perspective" => {
                    StaticId::LonghandAlias(
                        LonghandId::Perspective,
                        AliasId::MozPerspective,
                    )
                },
                "-webkit-perspective" => {
                    StaticId::LonghandAlias(
                        LonghandId::Perspective,
                        AliasId::WebkitPerspective,
                    )
                },
                "quotes" => StaticId::Longhand(LonghandId::Quotes),
                "rotate" => StaticId::Longhand(LonghandId::Rotate),
                "scale" => StaticId::Longhand(LonghandId::Scale),
                "scroll-timeline-axis" => StaticId::Longhand(LonghandId::ScrollTimelineAxis),
                "scroll-timeline-name" => StaticId::Longhand(LonghandId::ScrollTimelineName),
                "scrollbar-color" => StaticId::Longhand(LonghandId::ScrollbarColor),
                "shape-outside" => StaticId::Longhand(LonghandId::ShapeOutside),
                "size" => StaticId::Longhand(LonghandId::Size),
                "stroke-dasharray" => StaticId::Longhand(LonghandId::StrokeDasharray),
                "stroke-dashoffset" => StaticId::Longhand(LonghandId::StrokeDashoffset),
                "stroke-width" => StaticId::Longhand(LonghandId::StrokeWidth),
                "tab-size" => StaticId::Longhand(LonghandId::TabSize),
                "-moz-tab-size" => {
                    StaticId::LonghandAlias(
                        LonghandId::TabSize,
                        AliasId::MozTabSize,
                    )
                },
                "text-decoration-thickness" => StaticId::Longhand(LonghandId::TextDecorationThickness),
                "text-emphasis-style" => StaticId::Longhand(LonghandId::TextEmphasisStyle),
                "text-overflow" => StaticId::Longhand(LonghandId::TextOverflow),
                "text-shadow" => StaticId::Longhand(LonghandId::TextShadow),
                "transition-delay" => StaticId::Longhand(LonghandId::TransitionDelay),
                "-moz-transition-delay" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionDelay,
                        AliasId::MozTransitionDelay,
                    )
                },
                "-webkit-transition-delay" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionDelay,
                        AliasId::WebkitTransitionDelay,
                    )
                },
                "transition-duration" => StaticId::Longhand(LonghandId::TransitionDuration),
                "-moz-transition-duration" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionDuration,
                        AliasId::MozTransitionDuration,
                    )
                },
                "-webkit-transition-duration" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionDuration,
                        AliasId::WebkitTransitionDuration,
                    )
                },
                "transition-property" => StaticId::Longhand(LonghandId::TransitionProperty),
                "-moz-transition-property" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionProperty,
                        AliasId::MozTransitionProperty,
                    )
                },
                "-webkit-transition-property" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionProperty,
                        AliasId::WebkitTransitionProperty,
                    )
                },
                "transition-timing-function" => StaticId::Longhand(LonghandId::TransitionTimingFunction),
                "-moz-transition-timing-function" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionTimingFunction,
                        AliasId::MozTransitionTimingFunction,
                    )
                },
                "-webkit-transition-timing-function" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransitionTimingFunction,
                        AliasId::WebkitTransitionTimingFunction,
                    )
                },
                "translate" => StaticId::Longhand(LonghandId::Translate),
                "vertical-align" => StaticId::Longhand(LonghandId::VerticalAlign),
                "view-timeline-axis" => StaticId::Longhand(LonghandId::ViewTimelineAxis),
                "view-timeline-inset" => StaticId::Longhand(LonghandId::ViewTimelineInset),
                "view-timeline-name" => StaticId::Longhand(LonghandId::ViewTimelineName),
                "-webkit-text-stroke-width" => StaticId::Longhand(LonghandId::WebkitTextStrokeWidth),
                "will-change" => StaticId::Longhand(LonghandId::WillChange),
                "word-spacing" => StaticId::Longhand(LonghandId::WordSpacing),
                "-x-lang" => StaticId::Longhand(LonghandId::XLang),
                "object-position" => StaticId::Longhand(LonghandId::ObjectPosition),
                "perspective-origin" => StaticId::Longhand(LonghandId::PerspectiveOrigin),
                "-moz-perspective-origin" => {
                    StaticId::LonghandAlias(
                        LonghandId::PerspectiveOrigin,
                        AliasId::MozPerspectiveOrigin,
                    )
                },
                "-webkit-perspective-origin" => {
                    StaticId::LonghandAlias(
                        LonghandId::PerspectiveOrigin,
                        AliasId::WebkitPerspectiveOrigin,
                    )
                },
                "fill" => StaticId::Longhand(LonghandId::Fill),
                "stroke" => StaticId::Longhand(LonghandId::Stroke),
                "-moz-window-transform-origin" => StaticId::Longhand(LonghandId::MozWindowTransformOrigin),
                "transform-origin" => StaticId::Longhand(LonghandId::TransformOrigin),
                "-moz-transform-origin" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransformOrigin,
                        AliasId::MozTransformOrigin,
                    )
                },
                "-webkit-transform-origin" => {
                    StaticId::LonghandAlias(
                        LonghandId::TransformOrigin,
                        AliasId::WebkitTransformOrigin,
                    )
                },
                "grid-template-columns" => StaticId::Longhand(LonghandId::GridTemplateColumns),
                "grid-template-rows" => StaticId::Longhand(LonghandId::GridTemplateRows),
                "border-image-source" => StaticId::Longhand(LonghandId::BorderImageSource),
                "list-style-image" => StaticId::Longhand(LonghandId::ListStyleImage),
                "grid-auto-columns" => StaticId::Longhand(LonghandId::GridAutoColumns),
                "grid-auto-rows" => StaticId::Longhand(LonghandId::GridAutoRows),
                "-moz-window-transform" => StaticId::Longhand(LonghandId::MozWindowTransform),
                "transform" => StaticId::Longhand(LonghandId::Transform),
                "-moz-transform" => {
                    StaticId::LonghandAlias(
                        LonghandId::Transform,
                        AliasId::MozTransform,
                    )
                },
                "-webkit-transform" => {
                    StaticId::LonghandAlias(
                        LonghandId::Transform,
                        AliasId::WebkitTransform,
                    )
                },
                "column-gap" => StaticId::Longhand(LonghandId::ColumnGap),
                "grid-column-gap" => {
                    StaticId::LonghandAlias(
                        LonghandId::ColumnGap,
                        AliasId::GridColumnGap,
                    )
                },
                "row-gap" => StaticId::Longhand(LonghandId::RowGap),
                "grid-row-gap" => {
                    StaticId::LonghandAlias(
                        LonghandId::RowGap,
                        AliasId::GridRowGap,
                    )
                },
                "marker-end" => StaticId::Longhand(LonghandId::MarkerEnd),
                "marker-mid" => StaticId::Longhand(LonghandId::MarkerMid),
                "marker-start" => StaticId::Longhand(LonghandId::MarkerStart),
                "contain-intrinsic-block-size" => StaticId::Longhand(LonghandId::ContainIntrinsicBlockSize),
                "contain-intrinsic-height" => StaticId::Longhand(LonghandId::ContainIntrinsicHeight),
                "contain-intrinsic-inline-size" => StaticId::Longhand(LonghandId::ContainIntrinsicInlineSize),
                "contain-intrinsic-width" => StaticId::Longhand(LonghandId::ContainIntrinsicWidth),
                "grid-column-end" => StaticId::Longhand(LonghandId::GridColumnEnd),
                "grid-column-start" => StaticId::Longhand(LonghandId::GridColumnStart),
                "grid-row-end" => StaticId::Longhand(LonghandId::GridRowEnd),
                "grid-row-start" => StaticId::Longhand(LonghandId::GridRowStart),
                "max-block-size" => StaticId::Longhand(LonghandId::MaxBlockSize),
                "max-height" => StaticId::Longhand(LonghandId::MaxHeight),
                "max-inline-size" => StaticId::Longhand(LonghandId::MaxInlineSize),
                "max-width" => StaticId::Longhand(LonghandId::MaxWidth),
                "cx" => StaticId::Longhand(LonghandId::Cx),
                "cy" => StaticId::Longhand(LonghandId::Cy),
                "offset-distance" => StaticId::Longhand(LonghandId::OffsetDistance),
                "text-indent" => StaticId::Longhand(LonghandId::TextIndent),
                "x" => StaticId::Longhand(LonghandId::X),
                "y" => StaticId::Longhand(LonghandId::Y),
                "border-bottom-left-radius" => StaticId::Longhand(LonghandId::BorderBottomLeftRadius),
                "-webkit-border-bottom-left-radius" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderBottomLeftRadius,
                        AliasId::WebkitBorderBottomLeftRadius,
                    )
                },
                "border-bottom-right-radius" => StaticId::Longhand(LonghandId::BorderBottomRightRadius),
                "-webkit-border-bottom-right-radius" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderBottomRightRadius,
                        AliasId::WebkitBorderBottomRightRadius,
                    )
                },
                "border-end-end-radius" => StaticId::Longhand(LonghandId::BorderEndEndRadius),
                "border-end-start-radius" => StaticId::Longhand(LonghandId::BorderEndStartRadius),
                "border-start-end-radius" => StaticId::Longhand(LonghandId::BorderStartEndRadius),
                "border-start-start-radius" => StaticId::Longhand(LonghandId::BorderStartStartRadius),
                "border-top-left-radius" => StaticId::Longhand(LonghandId::BorderTopLeftRadius),
                "-webkit-border-top-left-radius" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderTopLeftRadius,
                        AliasId::WebkitBorderTopLeftRadius,
                    )
                },
                "border-top-right-radius" => StaticId::Longhand(LonghandId::BorderTopRightRadius),
                "-webkit-border-top-right-radius" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderTopRightRadius,
                        AliasId::WebkitBorderTopRightRadius,
                    )
                },
                "block-size" => StaticId::Longhand(LonghandId::BlockSize),
                "height" => StaticId::Longhand(LonghandId::Height),
                "inline-size" => StaticId::Longhand(LonghandId::InlineSize),
                "min-block-size" => StaticId::Longhand(LonghandId::MinBlockSize),
                "min-height" => StaticId::Longhand(LonghandId::MinHeight),
                "min-inline-size" => StaticId::Longhand(LonghandId::MinInlineSize),
                "min-width" => StaticId::Longhand(LonghandId::MinWidth),
                "width" => StaticId::Longhand(LonghandId::Width),
                "border-block-end-width" => StaticId::Longhand(LonghandId::BorderBlockEndWidth),
                "border-block-start-width" => StaticId::Longhand(LonghandId::BorderBlockStartWidth),
                "border-bottom-width" => StaticId::Longhand(LonghandId::BorderBottomWidth),
                "border-inline-end-width" => StaticId::Longhand(LonghandId::BorderInlineEndWidth),
                "-moz-border-end-width" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderInlineEndWidth,
                        AliasId::MozBorderEndWidth,
                    )
                },
                "border-inline-start-width" => StaticId::Longhand(LonghandId::BorderInlineStartWidth),
                "-moz-border-start-width" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderInlineStartWidth,
                        AliasId::MozBorderStartWidth,
                    )
                },
                "border-left-width" => StaticId::Longhand(LonghandId::BorderLeftWidth),
                "border-right-width" => StaticId::Longhand(LonghandId::BorderRightWidth),
                "border-top-width" => StaticId::Longhand(LonghandId::BorderTopWidth),
                "column-rule-width" => StaticId::Longhand(LonghandId::ColumnRuleWidth),
                "outline-width" => StaticId::Longhand(LonghandId::OutlineWidth),
                "padding-block-end" => StaticId::Longhand(LonghandId::PaddingBlockEnd),
                "padding-block-start" => StaticId::Longhand(LonghandId::PaddingBlockStart),
                "padding-bottom" => StaticId::Longhand(LonghandId::PaddingBottom),
                "padding-inline-end" => StaticId::Longhand(LonghandId::PaddingInlineEnd),
                "-moz-padding-end" => {
                    StaticId::LonghandAlias(
                        LonghandId::PaddingInlineEnd,
                        AliasId::MozPaddingEnd,
                    )
                },
                "padding-inline-start" => StaticId::Longhand(LonghandId::PaddingInlineStart),
                "-moz-padding-start" => {
                    StaticId::LonghandAlias(
                        LonghandId::PaddingInlineStart,
                        AliasId::MozPaddingStart,
                    )
                },
                "padding-left" => StaticId::Longhand(LonghandId::PaddingLeft),
                "padding-right" => StaticId::Longhand(LonghandId::PaddingRight),
                "padding-top" => StaticId::Longhand(LonghandId::PaddingTop),
                "r" => StaticId::Longhand(LonghandId::R),
                "shape-margin" => StaticId::Longhand(LonghandId::ShapeMargin),
                "rx" => StaticId::Longhand(LonghandId::Rx),
                "ry" => StaticId::Longhand(LonghandId::Ry),
                "scroll-padding-block-end" => StaticId::Longhand(LonghandId::ScrollPaddingBlockEnd),
                "scroll-padding-block-start" => StaticId::Longhand(LonghandId::ScrollPaddingBlockStart),
                "scroll-padding-bottom" => StaticId::Longhand(LonghandId::ScrollPaddingBottom),
                "scroll-padding-inline-end" => StaticId::Longhand(LonghandId::ScrollPaddingInlineEnd),
                "scroll-padding-inline-start" => StaticId::Longhand(LonghandId::ScrollPaddingInlineStart),
                "scroll-padding-left" => StaticId::Longhand(LonghandId::ScrollPaddingLeft),
                "scroll-padding-right" => StaticId::Longhand(LonghandId::ScrollPaddingRight),
                "scroll-padding-top" => StaticId::Longhand(LonghandId::ScrollPaddingTop),
                "-moz-window-input-region-margin" => StaticId::Longhand(LonghandId::MozWindowInputRegionMargin),
                "outline-offset" => StaticId::Longhand(LonghandId::OutlineOffset),
                "overflow-clip-margin" => StaticId::Longhand(LonghandId::OverflowClipMargin),
                "scroll-margin-block-end" => StaticId::Longhand(LonghandId::ScrollMarginBlockEnd),
                "scroll-margin-block-start" => StaticId::Longhand(LonghandId::ScrollMarginBlockStart),
                "scroll-margin-bottom" => StaticId::Longhand(LonghandId::ScrollMarginBottom),
                "scroll-margin-inline-end" => StaticId::Longhand(LonghandId::ScrollMarginInlineEnd),
                "scroll-margin-inline-start" => StaticId::Longhand(LonghandId::ScrollMarginInlineStart),
                "scroll-margin-left" => StaticId::Longhand(LonghandId::ScrollMarginLeft),
                "scroll-margin-right" => StaticId::Longhand(LonghandId::ScrollMarginRight),
                "scroll-margin-top" => StaticId::Longhand(LonghandId::ScrollMarginTop),
                "bottom" => StaticId::Longhand(LonghandId::Bottom),
                "inset-block-end" => StaticId::Longhand(LonghandId::InsetBlockEnd),
                "inset-block-start" => StaticId::Longhand(LonghandId::InsetBlockStart),
                "inset-inline-end" => StaticId::Longhand(LonghandId::InsetInlineEnd),
                "inset-inline-start" => StaticId::Longhand(LonghandId::InsetInlineStart),
                "left" => StaticId::Longhand(LonghandId::Left),
                "margin-block-end" => StaticId::Longhand(LonghandId::MarginBlockEnd),
                "margin-block-start" => StaticId::Longhand(LonghandId::MarginBlockStart),
                "margin-bottom" => StaticId::Longhand(LonghandId::MarginBottom),
                "margin-inline-end" => StaticId::Longhand(LonghandId::MarginInlineEnd),
                "-moz-margin-end" => {
                    StaticId::LonghandAlias(
                        LonghandId::MarginInlineEnd,
                        AliasId::MozMarginEnd,
                    )
                },
                "margin-inline-start" => StaticId::Longhand(LonghandId::MarginInlineStart),
                "-moz-margin-start" => {
                    StaticId::LonghandAlias(
                        LonghandId::MarginInlineStart,
                        AliasId::MozMarginStart,
                    )
                },
                "margin-left" => StaticId::Longhand(LonghandId::MarginLeft),
                "margin-right" => StaticId::Longhand(LonghandId::MarginRight),
                "margin-top" => StaticId::Longhand(LonghandId::MarginTop),
                "right" => StaticId::Longhand(LonghandId::Right),
                "text-underline-offset" => StaticId::Longhand(LonghandId::TextUnderlineOffset),
                "top" => StaticId::Longhand(LonghandId::Top),
                "background-color" => StaticId::Longhand(LonghandId::BackgroundColor),
                "border-block-end-color" => StaticId::Longhand(LonghandId::BorderBlockEndColor),
                "border-block-start-color" => StaticId::Longhand(LonghandId::BorderBlockStartColor),
                "border-bottom-color" => StaticId::Longhand(LonghandId::BorderBottomColor),
                "border-inline-end-color" => StaticId::Longhand(LonghandId::BorderInlineEndColor),
                "-moz-border-end-color" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderInlineEndColor,
                        AliasId::MozBorderEndColor,
                    )
                },
                "border-inline-start-color" => StaticId::Longhand(LonghandId::BorderInlineStartColor),
                "-moz-border-start-color" => {
                    StaticId::LonghandAlias(
                        LonghandId::BorderInlineStartColor,
                        AliasId::MozBorderStartColor,
                    )
                },
                "border-left-color" => StaticId::Longhand(LonghandId::BorderLeftColor),
                "border-right-color" => StaticId::Longhand(LonghandId::BorderRightColor),
                "border-top-color" => StaticId::Longhand(LonghandId::BorderTopColor),
                "column-rule-color" => StaticId::Longhand(LonghandId::ColumnRuleColor),
                "flood-color" => StaticId::Longhand(LonghandId::FloodColor),
                "lighting-color" => StaticId::Longhand(LonghandId::LightingColor),
                "outline-color" => StaticId::Longhand(LonghandId::OutlineColor),
                "stop-color" => StaticId::Longhand(LonghandId::StopColor),
                "text-decoration-color" => StaticId::Longhand(LonghandId::TextDecorationColor),
                "text-emphasis-color" => StaticId::Longhand(LonghandId::TextEmphasisColor),
                "-webkit-text-fill-color" => StaticId::Longhand(LonghandId::WebkitTextFillColor),
                "-webkit-text-stroke-color" => StaticId::Longhand(LonghandId::WebkitTextStrokeColor),
                "background" => StaticId::Shorthand(ShorthandId::Background),
                "background-position" => StaticId::Shorthand(ShorthandId::BackgroundPosition),
                "border-color" => StaticId::Shorthand(ShorthandId::BorderColor),
                "border-style" => StaticId::Shorthand(ShorthandId::BorderStyle),
                "border-width" => StaticId::Shorthand(ShorthandId::BorderWidth),
                "border-top" => StaticId::Shorthand(ShorthandId::BorderTop),
                "border-right" => StaticId::Shorthand(ShorthandId::BorderRight),
                "border-bottom" => StaticId::Shorthand(ShorthandId::BorderBottom),
                "border-left" => StaticId::Shorthand(ShorthandId::BorderLeft),
                "border-block-start" => StaticId::Shorthand(ShorthandId::BorderBlockStart),
                "border-block-end" => StaticId::Shorthand(ShorthandId::BorderBlockEnd),
                "border-inline-start" => StaticId::Shorthand(ShorthandId::BorderInlineStart),
                "-moz-border-start" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::BorderInlineStart,
                        AliasId::MozBorderStart,
                    )
                },
                "border-inline-end" => StaticId::Shorthand(ShorthandId::BorderInlineEnd),
                "-moz-border-end" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::BorderInlineEnd,
                        AliasId::MozBorderEnd,
                    )
                },
                "border" => StaticId::Shorthand(ShorthandId::Border),
                "border-radius" => StaticId::Shorthand(ShorthandId::BorderRadius),
                "-webkit-border-radius" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::BorderRadius,
                        AliasId::WebkitBorderRadius,
                    )
                },
                "border-image" => StaticId::Shorthand(ShorthandId::BorderImage),
                "-moz-border-image" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::BorderImage,
                        AliasId::MozBorderImage,
                    )
                },
                "-webkit-border-image" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::BorderImage,
                        AliasId::WebkitBorderImage,
                    )
                },
                "border-block-width" => StaticId::Shorthand(ShorthandId::BorderBlockWidth),
                "border-block-style" => StaticId::Shorthand(ShorthandId::BorderBlockStyle),
                "border-block-color" => StaticId::Shorthand(ShorthandId::BorderBlockColor),
                "border-inline-width" => StaticId::Shorthand(ShorthandId::BorderInlineWidth),
                "border-inline-style" => StaticId::Shorthand(ShorthandId::BorderInlineStyle),
                "border-inline-color" => StaticId::Shorthand(ShorthandId::BorderInlineColor),
                "border-block" => StaticId::Shorthand(ShorthandId::BorderBlock),
                "border-inline" => StaticId::Shorthand(ShorthandId::BorderInline),
                "overflow" => StaticId::Shorthand(ShorthandId::Overflow),
                "overflow-clip-box" => StaticId::Shorthand(ShorthandId::OverflowClipBox),
                "overscroll-behavior" => StaticId::Shorthand(ShorthandId::OverscrollBehavior),
                "container" => StaticId::Shorthand(ShorthandId::Container),
                "page-break-before" => StaticId::Shorthand(ShorthandId::PageBreakBefore),
                "page-break-after" => StaticId::Shorthand(ShorthandId::PageBreakAfter),
                "page-break-inside" => StaticId::Shorthand(ShorthandId::PageBreakInside),
                "offset" => StaticId::Shorthand(ShorthandId::Offset),
                "zoom" => StaticId::Shorthand(ShorthandId::Zoom),
                "columns" => StaticId::Shorthand(ShorthandId::Columns),
                "column-rule" => StaticId::Shorthand(ShorthandId::ColumnRule),
                "font" => StaticId::Shorthand(ShorthandId::Font),
                "font-variant" => StaticId::Shorthand(ShorthandId::FontVariant),
                "font-synthesis" => StaticId::Shorthand(ShorthandId::FontSynthesis),
                "marker" => StaticId::Shorthand(ShorthandId::Marker),
                "text-emphasis" => StaticId::Shorthand(ShorthandId::TextEmphasis),
                "-webkit-text-stroke" => StaticId::Shorthand(ShorthandId::WebkitTextStroke),
                "list-style" => StaticId::Shorthand(ShorthandId::ListStyle),
                "margin" => StaticId::Shorthand(ShorthandId::Margin),
                "margin-block" => StaticId::Shorthand(ShorthandId::MarginBlock),
                "margin-inline" => StaticId::Shorthand(ShorthandId::MarginInline),
                "scroll-margin" => StaticId::Shorthand(ShorthandId::ScrollMargin),
                "scroll-margin-block" => StaticId::Shorthand(ShorthandId::ScrollMarginBlock),
                "scroll-margin-inline" => StaticId::Shorthand(ShorthandId::ScrollMarginInline),
                "outline" => StaticId::Shorthand(ShorthandId::Outline),
                "padding" => StaticId::Shorthand(ShorthandId::Padding),
                "padding-block" => StaticId::Shorthand(ShorthandId::PaddingBlock),
                "padding-inline" => StaticId::Shorthand(ShorthandId::PaddingInline),
                "scroll-padding" => StaticId::Shorthand(ShorthandId::ScrollPadding),
                "scroll-padding-block" => StaticId::Shorthand(ShorthandId::ScrollPaddingBlock),
                "scroll-padding-inline" => StaticId::Shorthand(ShorthandId::ScrollPaddingInline),
                "flex-flow" => StaticId::Shorthand(ShorthandId::FlexFlow),
                "-webkit-flex-flow" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::FlexFlow,
                        AliasId::WebkitFlexFlow,
                    )
                },
                "flex" => StaticId::Shorthand(ShorthandId::Flex),
                "-webkit-flex" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Flex,
                        AliasId::WebkitFlex,
                    )
                },
                "gap" => StaticId::Shorthand(ShorthandId::Gap),
                "grid-gap" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Gap,
                        AliasId::GridGap,
                    )
                },
                "grid-row" => StaticId::Shorthand(ShorthandId::GridRow),
                "grid-column" => StaticId::Shorthand(ShorthandId::GridColumn),
                "grid-area" => StaticId::Shorthand(ShorthandId::GridArea),
                "grid-template" => StaticId::Shorthand(ShorthandId::GridTemplate),
                "grid" => StaticId::Shorthand(ShorthandId::Grid),
                "place-content" => StaticId::Shorthand(ShorthandId::PlaceContent),
                "place-self" => StaticId::Shorthand(ShorthandId::PlaceSelf),
                "place-items" => StaticId::Shorthand(ShorthandId::PlaceItems),
                "inset" => StaticId::Shorthand(ShorthandId::Inset),
                "inset-block" => StaticId::Shorthand(ShorthandId::InsetBlock),
                "inset-inline" => StaticId::Shorthand(ShorthandId::InsetInline),
                "contain-intrinsic-size" => StaticId::Shorthand(ShorthandId::ContainIntrinsicSize),
                "mask" => StaticId::Shorthand(ShorthandId::Mask),
                "-webkit-mask" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Mask,
                        AliasId::WebkitMask,
                    )
                },
                "mask-position" => StaticId::Shorthand(ShorthandId::MaskPosition),
                "-webkit-mask-position" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::MaskPosition,
                        AliasId::WebkitMaskPosition,
                    )
                },
                "text-decoration" => StaticId::Shorthand(ShorthandId::TextDecoration),
                "transition" => StaticId::Shorthand(ShorthandId::Transition),
                "-moz-transition" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Transition,
                        AliasId::MozTransition,
                    )
                },
                "-webkit-transition" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Transition,
                        AliasId::WebkitTransition,
                    )
                },
                "animation" => StaticId::Shorthand(ShorthandId::Animation),
                "-moz-animation" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Animation,
                        AliasId::MozAnimation,
                    )
                },
                "-webkit-animation" => {
                    StaticId::ShorthandAlias(
                        ShorthandId::Animation,
                        AliasId::WebkitAnimation,
                    )
                },
                "scroll-timeline" => StaticId::Shorthand(ShorthandId::ScrollTimeline),
                "view-timeline" => StaticId::Shorthand(ShorthandId::ViewTimeline),
                "all" => StaticId::Shorthand(ShorthandId::All),
                "-webkit-font-smoothing" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitFontSmoothing)
                },
                "-webkit-tap-highlight-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTapHighlightColor)
                },
                "speak" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::Speak)
                },
                "text-size-adjust" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::TextSizeAdjust)
                },
                "-webkit-font-feature-settings" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitFontFeatureSettings)
                },
                "-webkit-user-drag" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitUserDrag)
                },
                "orphans" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::Orphans)
                },
                "widows" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::Widows)
                },
                "-webkit-user-modify" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitUserModify)
                },
                "-webkit-margin-before" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginBefore)
                },
                "-webkit-margin-after" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginAfter)
                },
                "-webkit-margin-start" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginStart)
                },
                "-webkit-column-break-inside" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnBreakInside)
                },
                "-webkit-padding-start" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPaddingStart)
                },
                "-webkit-margin-end" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginEnd)
                },
                "-webkit-box-reflect" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBoxReflect)
                },
                "-webkit-print-color-adjust" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPrintColorAdjust)
                },
                "-webkit-mask-box-image" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskBoxImage)
                },
                "-webkit-line-break" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitLineBreak)
                },
                "alignment-baseline" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::AlignmentBaseline)
                },
                "-webkit-writing-mode" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitWritingMode)
                },
                "baseline-shift" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::BaselineShift)
                },
                "-webkit-hyphenate-character" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitHyphenateCharacter)
                },
                "-webkit-highlight" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitHighlight)
                },
                "background-repeat-x" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::BackgroundRepeatX)
                },
                "-webkit-padding-end" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPaddingEnd)
                },
                "background-repeat-y" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::BackgroundRepeatY)
                },
                "-webkit-text-emphasis-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextEmphasisColor)
                },
                "-webkit-margin-top-collapse" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginTopCollapse)
                },
                "-webkit-rtl-ordering" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitRtlOrdering)
                },
                "-webkit-padding-before" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPaddingBefore)
                },
                "-webkit-text-decorations-in-effect" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextDecorationsInEffect)
                },
                "-webkit-border-vertical-spacing" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderVerticalSpacing)
                },
                "-webkit-locale" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitLocale)
                },
                "-webkit-padding-after" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPaddingAfter)
                },
                "-webkit-border-horizontal-spacing" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderHorizontalSpacing)
                },
                "color-rendering" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::ColorRendering)
                },
                "-webkit-column-break-before" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnBreakBefore)
                },
                "-webkit-transform-origin-x" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTransformOriginX)
                },
                "-webkit-transform-origin-y" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTransformOriginY)
                },
                "-webkit-text-emphasis-position" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextEmphasisPosition)
                },
                "buffered-rendering" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::BufferedRendering)
                },
                "-webkit-text-orientation" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextOrientation)
                },
                "-webkit-text-combine" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextCombine)
                },
                "-webkit-text-emphasis-style" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextEmphasisStyle)
                },
                "-webkit-text-emphasis" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTextEmphasis)
                },
                "-webkit-mask-box-image-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskBoxImageWidth)
                },
                "-webkit-mask-box-image-source" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskBoxImageSource)
                },
                "-webkit-mask-box-image-outset" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskBoxImageOutset)
                },
                "-webkit-mask-box-image-slice" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskBoxImageSlice)
                },
                "-webkit-mask-box-image-repeat" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskBoxImageRepeat)
                },
                "-webkit-margin-after-collapse" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginAfterCollapse)
                },
                "-webkit-border-before-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderBeforeColor)
                },
                "-webkit-border-before-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderBeforeWidth)
                },
                "-webkit-perspective-origin-x" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPerspectiveOriginX)
                },
                "-webkit-perspective-origin-y" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitPerspectiveOriginY)
                },
                "-webkit-margin-before-collapse" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginBeforeCollapse)
                },
                "-webkit-border-before-style" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderBeforeStyle)
                },
                "-webkit-margin-bottom-collapse" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginBottomCollapse)
                },
                "-webkit-ruby-position" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitRubyPosition)
                },
                "-webkit-column-break-after" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnBreakAfter)
                },
                "-webkit-margin-collapse" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMarginCollapse)
                },
                "-webkit-border-before" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderBefore)
                },
                "-webkit-border-end" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderEnd)
                },
                "-webkit-border-after" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderAfter)
                },
                "-webkit-border-start" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderStart)
                },
                "-webkit-min-logical-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMinLogicalWidth)
                },
                "-webkit-logical-height" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitLogicalHeight)
                },
                "-webkit-transform-origin-z" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitTransformOriginZ)
                },
                "-webkit-font-size-delta" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitFontSizeDelta)
                },
                "-webkit-logical-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitLogicalWidth)
                },
                "-webkit-max-logical-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaxLogicalWidth)
                },
                "-webkit-min-logical-height" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMinLogicalHeight)
                },
                "-webkit-max-logical-height" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaxLogicalHeight)
                },
                "-webkit-border-end-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderEndColor)
                },
                "-webkit-border-end-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderEndWidth)
                },
                "-webkit-border-start-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderStartColor)
                },
                "-webkit-border-start-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderStartWidth)
                },
                "-webkit-border-after-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderAfterColor)
                },
                "-webkit-border-after-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderAfterWidth)
                },
                "-webkit-border-end-style" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderEndStyle)
                },
                "-webkit-border-after-style" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderAfterStyle)
                },
                "-webkit-border-start-style" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBorderStartStyle)
                },
                "-webkit-mask-repeat-x" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskRepeatX)
                },
                "-webkit-mask-repeat-y" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitMaskRepeatY)
                },
                "user-zoom" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::UserZoom)
                },
                "min-zoom" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::MinZoom)
                },
                "-webkit-box-decoration-break" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitBoxDecorationBreak)
                },
                "orientation" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::Orientation)
                },
                "max-zoom" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::MaxZoom)
                },
                "-webkit-app-region" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitAppRegion)
                },
                "-webkit-column-rule" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnRule)
                },
                "-webkit-column-span" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnSpan)
                },
                "-webkit-column-gap" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnGap)
                },
                "-webkit-shape-outside" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitShapeOutside)
                },
                "-webkit-column-rule-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnRuleWidth)
                },
                "-webkit-column-count" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnCount)
                },
                "-webkit-opacity" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitOpacity)
                },
                "-webkit-column-width" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnWidth)
                },
                "-webkit-shape-image-threshold" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitShapeImageThreshold)
                },
                "-webkit-column-rule-style" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnRuleStyle)
                },
                "-webkit-columns" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumns)
                },
                "-webkit-column-rule-color" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitColumnRuleColor)
                },
                "-webkit-shape-margin" => {
                    StaticId::CountedUnknown(CountedUnknownProperty::WebkitShapeMargin)
                },
            }
        }

        if let Some(id) = static_id(property_name) {
            return Ok(match *id {
                StaticId::Longhand(id) => PropertyId::Longhand(id),
                StaticId::Shorthand(id) => {
                    #[cfg(feature = "gecko")]
                    {
                        // We want to count `zoom` even if disabled.
                        if matches!(id, ShorthandId::Zoom) {
                            if let Some(counters) = use_counters {
                                counters.non_custom_properties.record(id.into());
                            }
                        }
                    }

                    PropertyId::Shorthand(id)
                },
                StaticId::LonghandAlias(id, alias) => PropertyId::LonghandAlias(id, alias),
                StaticId::ShorthandAlias(id, alias) => PropertyId::ShorthandAlias(id, alias),
                StaticId::CountedUnknown(unknown_prop) => {
                    if let Some(counters) = use_counters {
                        counters.counted_unknown_properties.record(unknown_prop);
                    }

                    // Always return Err(()) because these aren't valid custom property names.
                    return Err(());
                }
            });
        }

        let name = crate::custom_properties::parse_name(property_name)?;
        Ok(PropertyId::Custom(crate::custom_properties::Name::from(name)))
    }

    /// Parses a property name, and returns an error if it's unknown or isn't
    /// enabled for all content.
    #[inline]
    pub fn parse_enabled_for_all_content(name: &str) -> Result<Self, ()> {
        let id = Self::parse_unchecked(name, None)?;

        if !id.enabled_for_all_content() {
            return Err(());
        }

        Ok(id)
    }


    /// Parses a property name, and returns an error if it's unknown or isn't
    /// allowed in this context.
    #[inline]
    pub fn parse(name: &str, context: &ParserContext) -> Result<Self, ()> {
        let id = Self::parse_unchecked(name, context.use_counters)?;

        if !id.allowed_in(context) {
            return Err(());
        }

        Ok(id)
    }

    /// Parses a property name, and returns an error if it's unknown or isn't
    /// allowed in this context, ignoring the rule_type checks.
    ///
    /// This is useful for parsing stuff from CSS values, for example.
    #[inline]
    pub fn parse_ignoring_rule_type(
        name: &str,
        context: &ParserContext,
    ) -> Result<Self, ()> {
        let id = Self::parse_unchecked(name, None)?;

        if !id.allowed_in_ignoring_rule_type(context) {
            return Err(());
        }

        Ok(id)
    }

    /// Returns a property id from Gecko's nsCSSPropertyID.
    #[cfg(feature = "gecko")]
    #[allow(non_upper_case_globals)]
    #[inline]
    pub fn from_nscsspropertyid(id: nsCSSPropertyID) -> Result<Self, ()> {
        Ok(NonCustomPropertyId::from_nscsspropertyid(id)?.to_property_id())
    }

    /// Returns true if the property is a shorthand or shorthand alias.
    #[inline]
    pub fn is_shorthand(&self) -> bool {
        self.as_shorthand().is_ok()
    }

    /// Given this property id, get it either as a shorthand or as a
    /// `PropertyDeclarationId`.
    pub fn as_shorthand(&self) -> Result<ShorthandId, PropertyDeclarationId> {
        match *self {
            PropertyId::ShorthandAlias(id, _) |
            PropertyId::Shorthand(id) => Ok(id),
            PropertyId::LonghandAlias(id, _) |
            PropertyId::Longhand(id) => Err(PropertyDeclarationId::Longhand(id)),
            PropertyId::Custom(ref name) => Err(PropertyDeclarationId::Custom(name)),
        }
    }

    /// Returns the `NonCustomPropertyId` corresponding to this property id.
    pub fn non_custom_id(&self) -> Option<NonCustomPropertyId> {
        Some(match *self {
            PropertyId::Custom(_) => return None,
            PropertyId::Shorthand(shorthand_id) => shorthand_id.into(),
            PropertyId::Longhand(longhand_id) => longhand_id.into(),
            PropertyId::ShorthandAlias(_, alias_id) => alias_id.into(),
            PropertyId::LonghandAlias(_, alias_id) => alias_id.into(),
        })
    }

    /// Returns non-alias NonCustomPropertyId corresponding to this
    /// property id.
    fn non_custom_non_alias_id(&self) -> Option<NonCustomPropertyId> {
        Some(match *self {
            PropertyId::Custom(_) => return None,
            PropertyId::Shorthand(id) => id.into(),
            PropertyId::Longhand(id) => id.into(),
            PropertyId::ShorthandAlias(id, _) => id.into(),
            PropertyId::LonghandAlias(id, _) => id.into(),
        })
    }

    /// Whether the property is enabled for all content regardless of the
    /// stylesheet it was declared on (that is, in practice only checks prefs).
    #[inline]
    pub fn enabled_for_all_content(&self) -> bool {
        let id = match self.non_custom_id() {
            // Custom properties are allowed everywhere
            None => return true,
            Some(id) => id,
        };

        id.enabled_for_all_content()
    }

    /// Converts this PropertyId in nsCSSPropertyID, resolving aliases to the
    /// resolved property, and returning eCSSPropertyExtra_variable for custom
    /// properties.
    #[cfg(feature = "gecko")]
    #[inline]
    pub fn to_nscsspropertyid_resolving_aliases(&self) -> nsCSSPropertyID {
        match self.non_custom_non_alias_id() {
            Some(id) => id.to_nscsspropertyid(),
            None => nsCSSPropertyID::eCSSPropertyExtra_variable,
        }
    }

    fn allowed_in(&self, context: &ParserContext) -> bool {
        let id = match self.non_custom_id() {
            // Custom properties are allowed everywhere
            None => return true,
            Some(id) => id,
        };
        id.allowed_in(context)
    }

    #[inline]
    fn allowed_in_ignoring_rule_type(&self, context: &ParserContext) -> bool {
        let id = match self.non_custom_id() {
            // Custom properties are allowed everywhere
            None => return true,
            Some(id) => id,
        };
        id.allowed_in_ignoring_rule_type(context)
    }

    /// Whether the property supports the given CSS type.
    /// `ty` should a bitflags of constants in style_traits::CssType.
    pub fn supports_type(&self, ty: u8) -> bool {
        let id = self.non_custom_non_alias_id();
        id.map_or(0, |id| id.supported_types()) & ty != 0
    }

    /// Collect supported starting word of values of this property.
    ///
    /// See style_traits::SpecifiedValueInfo::collect_completion_keywords for more
    /// details.
    pub fn collect_property_completion_keywords(&self, f: KeywordsCollectFn) {
        if let Some(id) = self.non_custom_non_alias_id() {
            id.collect_property_completion_keywords(f);
        }
        CSSWideKeyword::collect_completion_keywords(f);
    }
}

/// A declaration using a CSS-wide keyword.
#[cfg_attr(feature = "gecko", derive(MallocSizeOf))]
#[derive(Clone, PartialEq, ToCss, ToShmem)]
pub struct WideKeywordDeclaration {
    #[css(skip)]
    id: LonghandId,
    /// The CSS-wide keyword.
    pub keyword: CSSWideKeyword,
}

/// An unparsed declaration that contains `var()` functions.
#[cfg_attr(feature = "gecko", derive(MallocSizeOf))]
#[derive(Clone, PartialEq, ToCss, ToShmem)]
pub struct VariableDeclaration {
    /// The id of the property this declaration represents.
    #[css(skip)]
    pub id: LonghandId,
    /// The unparsed value of the variable.
    #[cfg_attr(feature = "gecko", ignore_malloc_size_of = "XXX: how to handle this?")]
    pub value: Arc<UnparsedValue>,
}

/// A custom property declaration value is either an unparsed value or a CSS
/// wide-keyword.
#[derive(Clone, PartialEq, ToCss, ToShmem)]
pub enum CustomDeclarationValue {
    /// A value.
    Value(Arc<crate::custom_properties::SpecifiedValue>),
    /// A wide keyword.
    CSSWideKeyword(CSSWideKeyword),
}

/// A custom property declaration with the property name and the declared value.
#[cfg_attr(feature = "gecko", derive(MallocSizeOf))]
#[derive(Clone, PartialEq, ToCss, ToShmem)]
pub struct CustomDeclaration {
    /// The name of the custom property.
    #[css(skip)]
    pub name: crate::custom_properties::Name,
    /// The value of the custom property.
    #[cfg_attr(feature = "gecko", ignore_malloc_size_of = "XXX: how to handle this?")]
    pub value: CustomDeclarationValue,
}

impl fmt::Debug for PropertyDeclaration {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        self.id().to_css(&mut CssWriter::new(f))?;
        f.write_str(": ")?;

        // Because PropertyDeclaration::to_css requires CssStringWriter, we can't write
        // it directly to f, and need to allocate an intermediate string. This is
        // fine for debug-only code.
        let mut s = CssString::new();
        self.to_css(&mut s)?;
        write!(f, "{}", s)
    }
}

impl PropertyDeclaration {
    /// Given a property declaration, return the property declaration id.
    #[inline]
    pub fn id(&self) -> PropertyDeclarationId {
        match *self {
            PropertyDeclaration::Custom(ref declaration) => {
                return PropertyDeclarationId::Custom(&declaration.name)
            }
            PropertyDeclaration::CSSWideKeyword(ref declaration) => {
                return PropertyDeclarationId::Longhand(declaration.id);
            }
            PropertyDeclaration::WithVariables(ref declaration) => {
                return PropertyDeclarationId::Longhand(declaration.id);
            }
            _ => {}
        }
        // This is just fine because PropertyDeclaration and LonghandId
        // have corresponding discriminants.
        let id = unsafe { *(self as *const _ as *const LonghandId) };
        debug_assert_eq!(id, match *self {
            PropertyDeclaration::AlignContent(..) => LonghandId::AlignContent,
            PropertyDeclaration::AlignItems(..) => LonghandId::AlignItems,
            PropertyDeclaration::AlignSelf(..) => LonghandId::AlignSelf,
            PropertyDeclaration::AspectRatio(..) => LonghandId::AspectRatio,
            PropertyDeclaration::BackfaceVisibility(..) => LonghandId::BackfaceVisibility,
            PropertyDeclaration::BaselineSource(..) => LonghandId::BaselineSource,
            PropertyDeclaration::BorderCollapse(..) => LonghandId::BorderCollapse,
            PropertyDeclaration::BorderImageRepeat(..) => LonghandId::BorderImageRepeat,
            PropertyDeclaration::BoxDecorationBreak(..) => LonghandId::BoxDecorationBreak,
            PropertyDeclaration::BoxSizing(..) => LonghandId::BoxSizing,
            PropertyDeclaration::BreakInside(..) => LonghandId::BreakInside,
            PropertyDeclaration::CaptionSide(..) => LonghandId::CaptionSide,
            PropertyDeclaration::Clear(..) => LonghandId::Clear,
            PropertyDeclaration::ColorInterpolation(..) => LonghandId::ColorInterpolation,
            PropertyDeclaration::ColorInterpolationFilters(..) => LonghandId::ColorInterpolationFilters,
            PropertyDeclaration::ColumnCount(..) => LonghandId::ColumnCount,
            PropertyDeclaration::ColumnFill(..) => LonghandId::ColumnFill,
            PropertyDeclaration::ColumnSpan(..) => LonghandId::ColumnSpan,
            PropertyDeclaration::Contain(..) => LonghandId::Contain,
            PropertyDeclaration::ContainerType(..) => LonghandId::ContainerType,
            PropertyDeclaration::ContentVisibility(..) => LonghandId::ContentVisibility,
            PropertyDeclaration::Direction(..) => LonghandId::Direction,
            PropertyDeclaration::Display(..) => LonghandId::Display,
            PropertyDeclaration::DominantBaseline(..) => LonghandId::DominantBaseline,
            PropertyDeclaration::EmptyCells(..) => LonghandId::EmptyCells,
            PropertyDeclaration::FlexDirection(..) => LonghandId::FlexDirection,
            PropertyDeclaration::FlexWrap(..) => LonghandId::FlexWrap,
            PropertyDeclaration::Float(..) => LonghandId::Float,
            PropertyDeclaration::FontKerning(..) => LonghandId::FontKerning,
            PropertyDeclaration::FontLanguageOverride(..) => LonghandId::FontLanguageOverride,
            PropertyDeclaration::FontOpticalSizing(..) => LonghandId::FontOpticalSizing,
            PropertyDeclaration::FontSizeAdjust(..) => LonghandId::FontSizeAdjust,
            PropertyDeclaration::FontStretch(..) => LonghandId::FontStretch,
            PropertyDeclaration::FontStyle(..) => LonghandId::FontStyle,
            PropertyDeclaration::FontVariantCaps(..) => LonghandId::FontVariantCaps,
            PropertyDeclaration::FontVariantEastAsian(..) => LonghandId::FontVariantEastAsian,
            PropertyDeclaration::FontVariantEmoji(..) => LonghandId::FontVariantEmoji,
            PropertyDeclaration::FontVariantLigatures(..) => LonghandId::FontVariantLigatures,
            PropertyDeclaration::FontVariantNumeric(..) => LonghandId::FontVariantNumeric,
            PropertyDeclaration::FontVariantPosition(..) => LonghandId::FontVariantPosition,
            PropertyDeclaration::FontWeight(..) => LonghandId::FontWeight,
            PropertyDeclaration::ForcedColorAdjust(..) => LonghandId::ForcedColorAdjust,
            PropertyDeclaration::GridAutoFlow(..) => LonghandId::GridAutoFlow,
            PropertyDeclaration::Hyphens(..) => LonghandId::Hyphens,
            PropertyDeclaration::ImageOrientation(..) => LonghandId::ImageOrientation,
            PropertyDeclaration::ImageRendering(..) => LonghandId::ImageRendering,
            PropertyDeclaration::ImeMode(..) => LonghandId::ImeMode,
            PropertyDeclaration::InitialLetter(..) => LonghandId::InitialLetter,
            PropertyDeclaration::Isolation(..) => LonghandId::Isolation,
            PropertyDeclaration::JustifyContent(..) => LonghandId::JustifyContent,
            PropertyDeclaration::JustifyItems(..) => LonghandId::JustifyItems,
            PropertyDeclaration::JustifySelf(..) => LonghandId::JustifySelf,
            PropertyDeclaration::LineBreak(..) => LonghandId::LineBreak,
            PropertyDeclaration::ListStylePosition(..) => LonghandId::ListStylePosition,
            PropertyDeclaration::MaskType(..) => LonghandId::MaskType,
            PropertyDeclaration::MasonryAutoFlow(..) => LonghandId::MasonryAutoFlow,
            PropertyDeclaration::MathDepth(..) => LonghandId::MathDepth,
            PropertyDeclaration::MathStyle(..) => LonghandId::MathStyle,
            PropertyDeclaration::MixBlendMode(..) => LonghandId::MixBlendMode,
            PropertyDeclaration::MozBoxAlign(..) => LonghandId::MozBoxAlign,
            PropertyDeclaration::MozBoxCollapse(..) => LonghandId::MozBoxCollapse,
            PropertyDeclaration::MozBoxDirection(..) => LonghandId::MozBoxDirection,
            PropertyDeclaration::MozBoxOrient(..) => LonghandId::MozBoxOrient,
            PropertyDeclaration::MozBoxPack(..) => LonghandId::MozBoxPack,
            PropertyDeclaration::MozControlCharacterVisibility(..) => LonghandId::MozControlCharacterVisibility,
            PropertyDeclaration::MozFloatEdge(..) => LonghandId::MozFloatEdge,
            PropertyDeclaration::MozInert(..) => LonghandId::MozInert,
            PropertyDeclaration::MozMathVariant(..) => LonghandId::MozMathVariant,
            PropertyDeclaration::MozMinFontSizeRatio(..) => LonghandId::MozMinFontSizeRatio,
            PropertyDeclaration::MozOrient(..) => LonghandId::MozOrient,
            PropertyDeclaration::MozOsxFontSmoothing(..) => LonghandId::MozOsxFontSmoothing,
            PropertyDeclaration::MozScriptMinSize(..) => LonghandId::MozScriptMinSize,
            PropertyDeclaration::MozScriptSizeMultiplier(..) => LonghandId::MozScriptSizeMultiplier,
            PropertyDeclaration::MozTextSizeAdjust(..) => LonghandId::MozTextSizeAdjust,
            PropertyDeclaration::MozTopLayer(..) => LonghandId::MozTopLayer,
            PropertyDeclaration::MozUserFocus(..) => LonghandId::MozUserFocus,
            PropertyDeclaration::MozUserInput(..) => LonghandId::MozUserInput,
            PropertyDeclaration::MozUserModify(..) => LonghandId::MozUserModify,
            PropertyDeclaration::MozWindowDragging(..) => LonghandId::MozWindowDragging,
            PropertyDeclaration::MozWindowShadow(..) => LonghandId::MozWindowShadow,
            PropertyDeclaration::ObjectFit(..) => LonghandId::ObjectFit,
            PropertyDeclaration::OffsetRotate(..) => LonghandId::OffsetRotate,
            PropertyDeclaration::OutlineStyle(..) => LonghandId::OutlineStyle,
            PropertyDeclaration::OverflowAnchor(..) => LonghandId::OverflowAnchor,
            PropertyDeclaration::OverflowWrap(..) => LonghandId::OverflowWrap,
            PropertyDeclaration::PageOrientation(..) => LonghandId::PageOrientation,
            PropertyDeclaration::PaintOrder(..) => LonghandId::PaintOrder,
            PropertyDeclaration::PointerEvents(..) => LonghandId::PointerEvents,
            PropertyDeclaration::Position(..) => LonghandId::Position,
            PropertyDeclaration::PrintColorAdjust(..) => LonghandId::PrintColorAdjust,
            PropertyDeclaration::Resize(..) => LonghandId::Resize,
            PropertyDeclaration::RubyAlign(..) => LonghandId::RubyAlign,
            PropertyDeclaration::RubyPosition(..) => LonghandId::RubyPosition,
            PropertyDeclaration::ScrollBehavior(..) => LonghandId::ScrollBehavior,
            PropertyDeclaration::ScrollSnapAlign(..) => LonghandId::ScrollSnapAlign,
            PropertyDeclaration::ScrollSnapStop(..) => LonghandId::ScrollSnapStop,
            PropertyDeclaration::ScrollSnapType(..) => LonghandId::ScrollSnapType,
            PropertyDeclaration::ScrollbarGutter(..) => LonghandId::ScrollbarGutter,
            PropertyDeclaration::ScrollbarWidth(..) => LonghandId::ScrollbarWidth,
            PropertyDeclaration::ShapeRendering(..) => LonghandId::ShapeRendering,
            PropertyDeclaration::StrokeLinecap(..) => LonghandId::StrokeLinecap,
            PropertyDeclaration::StrokeLinejoin(..) => LonghandId::StrokeLinejoin,
            PropertyDeclaration::TableLayout(..) => LonghandId::TableLayout,
            PropertyDeclaration::TextAlign(..) => LonghandId::TextAlign,
            PropertyDeclaration::TextAlignLast(..) => LonghandId::TextAlignLast,
            PropertyDeclaration::TextAnchor(..) => LonghandId::TextAnchor,
            PropertyDeclaration::TextCombineUpright(..) => LonghandId::TextCombineUpright,
            PropertyDeclaration::TextDecorationLine(..) => LonghandId::TextDecorationLine,
            PropertyDeclaration::TextDecorationSkipInk(..) => LonghandId::TextDecorationSkipInk,
            PropertyDeclaration::TextDecorationStyle(..) => LonghandId::TextDecorationStyle,
            PropertyDeclaration::TextEmphasisPosition(..) => LonghandId::TextEmphasisPosition,
            PropertyDeclaration::TextJustify(..) => LonghandId::TextJustify,
            PropertyDeclaration::TextOrientation(..) => LonghandId::TextOrientation,
            PropertyDeclaration::TextRendering(..) => LonghandId::TextRendering,
            PropertyDeclaration::TextTransform(..) => LonghandId::TextTransform,
            PropertyDeclaration::TextUnderlinePosition(..) => LonghandId::TextUnderlinePosition,
            PropertyDeclaration::TouchAction(..) => LonghandId::TouchAction,
            PropertyDeclaration::TransformBox(..) => LonghandId::TransformBox,
            PropertyDeclaration::TransformStyle(..) => LonghandId::TransformStyle,
            PropertyDeclaration::UnicodeBidi(..) => LonghandId::UnicodeBidi,
            PropertyDeclaration::UserSelect(..) => LonghandId::UserSelect,
            PropertyDeclaration::VectorEffect(..) => LonghandId::VectorEffect,
            PropertyDeclaration::Visibility(..) => LonghandId::Visibility,
            PropertyDeclaration::WebkitLineClamp(..) => LonghandId::WebkitLineClamp,
            PropertyDeclaration::WebkitTextSecurity(..) => LonghandId::WebkitTextSecurity,
            PropertyDeclaration::WhiteSpace(..) => LonghandId::WhiteSpace,
            PropertyDeclaration::WordBreak(..) => LonghandId::WordBreak,
            PropertyDeclaration::WritingMode(..) => LonghandId::WritingMode,
            PropertyDeclaration::XTextScale(..) => LonghandId::XTextScale,
            PropertyDeclaration::ZIndex(..) => LonghandId::ZIndex,
            PropertyDeclaration::Appearance(..) => LonghandId::Appearance,
            PropertyDeclaration::MozDefaultAppearance(..) => LonghandId::MozDefaultAppearance,
            PropertyDeclaration::MozForceBrokenImageIcon(..) => LonghandId::MozForceBrokenImageIcon,
            PropertyDeclaration::MozSubtreeHiddenOnlyVisually(..) => LonghandId::MozSubtreeHiddenOnlyVisually,
            PropertyDeclaration::BreakAfter(..) => LonghandId::BreakAfter,
            PropertyDeclaration::BreakBefore(..) => LonghandId::BreakBefore,
            PropertyDeclaration::ClipRule(..) => LonghandId::ClipRule,
            PropertyDeclaration::FillRule(..) => LonghandId::FillRule,
            PropertyDeclaration::OverflowClipBoxBlock(..) => LonghandId::OverflowClipBoxBlock,
            PropertyDeclaration::OverflowClipBoxInline(..) => LonghandId::OverflowClipBoxInline,
            PropertyDeclaration::FillOpacity(..) => LonghandId::FillOpacity,
            PropertyDeclaration::StrokeOpacity(..) => LonghandId::StrokeOpacity,
            PropertyDeclaration::FontSynthesisSmallCaps(..) => LonghandId::FontSynthesisSmallCaps,
            PropertyDeclaration::FontSynthesisStyle(..) => LonghandId::FontSynthesisStyle,
            PropertyDeclaration::FontSynthesisWeight(..) => LonghandId::FontSynthesisWeight,
            PropertyDeclaration::MozBoxOrdinalGroup(..) => LonghandId::MozBoxOrdinalGroup,
            PropertyDeclaration::Order(..) => LonghandId::Order,
            PropertyDeclaration::XSpan(..) => LonghandId::XSpan,
            PropertyDeclaration::FlexGrow(..) => LonghandId::FlexGrow,
            PropertyDeclaration::FlexShrink(..) => LonghandId::FlexShrink,
            PropertyDeclaration::MozBoxFlex(..) => LonghandId::MozBoxFlex,
            PropertyDeclaration::StrokeMiterlimit(..) => LonghandId::StrokeMiterlimit,
            PropertyDeclaration::OverflowBlock(..) => LonghandId::OverflowBlock,
            PropertyDeclaration::OverflowInline(..) => LonghandId::OverflowInline,
            PropertyDeclaration::OverflowX(..) => LonghandId::OverflowX,
            PropertyDeclaration::OverflowY(..) => LonghandId::OverflowY,
            PropertyDeclaration::OverscrollBehaviorBlock(..) => LonghandId::OverscrollBehaviorBlock,
            PropertyDeclaration::OverscrollBehaviorInline(..) => LonghandId::OverscrollBehaviorInline,
            PropertyDeclaration::OverscrollBehaviorX(..) => LonghandId::OverscrollBehaviorX,
            PropertyDeclaration::OverscrollBehaviorY(..) => LonghandId::OverscrollBehaviorY,
            PropertyDeclaration::FloodOpacity(..) => LonghandId::FloodOpacity,
            PropertyDeclaration::MozWindowOpacity(..) => LonghandId::MozWindowOpacity,
            PropertyDeclaration::Opacity(..) => LonghandId::Opacity,
            PropertyDeclaration::ShapeImageThreshold(..) => LonghandId::ShapeImageThreshold,
            PropertyDeclaration::StopOpacity(..) => LonghandId::StopOpacity,
            PropertyDeclaration::BorderBlockEndStyle(..) => LonghandId::BorderBlockEndStyle,
            PropertyDeclaration::BorderBlockStartStyle(..) => LonghandId::BorderBlockStartStyle,
            PropertyDeclaration::BorderBottomStyle(..) => LonghandId::BorderBottomStyle,
            PropertyDeclaration::BorderInlineEndStyle(..) => LonghandId::BorderInlineEndStyle,
            PropertyDeclaration::BorderInlineStartStyle(..) => LonghandId::BorderInlineStartStyle,
            PropertyDeclaration::BorderLeftStyle(..) => LonghandId::BorderLeftStyle,
            PropertyDeclaration::BorderRightStyle(..) => LonghandId::BorderRightStyle,
            PropertyDeclaration::BorderTopStyle(..) => LonghandId::BorderTopStyle,
            PropertyDeclaration::ColumnRuleStyle(..) => LonghandId::ColumnRuleStyle,
            PropertyDeclaration::AccentColor(..) => LonghandId::AccentColor,
            PropertyDeclaration::AlignTracks(..) => LonghandId::AlignTracks,
            PropertyDeclaration::AnimationComposition(..) => LonghandId::AnimationComposition,
            PropertyDeclaration::AnimationDelay(..) => LonghandId::AnimationDelay,
            PropertyDeclaration::AnimationDirection(..) => LonghandId::AnimationDirection,
            PropertyDeclaration::AnimationDuration(..) => LonghandId::AnimationDuration,
            PropertyDeclaration::AnimationFillMode(..) => LonghandId::AnimationFillMode,
            PropertyDeclaration::AnimationIterationCount(..) => LonghandId::AnimationIterationCount,
            PropertyDeclaration::AnimationName(..) => LonghandId::AnimationName,
            PropertyDeclaration::AnimationPlayState(..) => LonghandId::AnimationPlayState,
            PropertyDeclaration::AnimationTimeline(..) => LonghandId::AnimationTimeline,
            PropertyDeclaration::AnimationTimingFunction(..) => LonghandId::AnimationTimingFunction,
            PropertyDeclaration::BackdropFilter(..) => LonghandId::BackdropFilter,
            PropertyDeclaration::BackgroundAttachment(..) => LonghandId::BackgroundAttachment,
            PropertyDeclaration::BackgroundBlendMode(..) => LonghandId::BackgroundBlendMode,
            PropertyDeclaration::BackgroundClip(..) => LonghandId::BackgroundClip,
            PropertyDeclaration::BackgroundImage(..) => LonghandId::BackgroundImage,
            PropertyDeclaration::BackgroundOrigin(..) => LonghandId::BackgroundOrigin,
            PropertyDeclaration::BackgroundPositionX(..) => LonghandId::BackgroundPositionX,
            PropertyDeclaration::BackgroundPositionY(..) => LonghandId::BackgroundPositionY,
            PropertyDeclaration::BackgroundRepeat(..) => LonghandId::BackgroundRepeat,
            PropertyDeclaration::BackgroundSize(..) => LonghandId::BackgroundSize,
            PropertyDeclaration::BorderImageOutset(..) => LonghandId::BorderImageOutset,
            PropertyDeclaration::BorderImageSlice(..) => LonghandId::BorderImageSlice,
            PropertyDeclaration::BorderImageWidth(..) => LonghandId::BorderImageWidth,
            PropertyDeclaration::BorderSpacing(..) => LonghandId::BorderSpacing,
            PropertyDeclaration::BoxShadow(..) => LonghandId::BoxShadow,
            PropertyDeclaration::CaretColor(..) => LonghandId::CaretColor,
            PropertyDeclaration::Clip(..) => LonghandId::Clip,
            PropertyDeclaration::ClipPath(..) => LonghandId::ClipPath,
            PropertyDeclaration::Color(..) => LonghandId::Color,
            PropertyDeclaration::ColorScheme(..) => LonghandId::ColorScheme,
            PropertyDeclaration::ColumnWidth(..) => LonghandId::ColumnWidth,
            PropertyDeclaration::ContainerName(..) => LonghandId::ContainerName,
            PropertyDeclaration::Content(..) => LonghandId::Content,
            PropertyDeclaration::CounterIncrement(..) => LonghandId::CounterIncrement,
            PropertyDeclaration::CounterReset(..) => LonghandId::CounterReset,
            PropertyDeclaration::CounterSet(..) => LonghandId::CounterSet,
            PropertyDeclaration::Cursor(..) => LonghandId::Cursor,
            PropertyDeclaration::D(..) => LonghandId::D,
            PropertyDeclaration::Filter(..) => LonghandId::Filter,
            PropertyDeclaration::FlexBasis(..) => LonghandId::FlexBasis,
            PropertyDeclaration::FontFamily(..) => LonghandId::FontFamily,
            PropertyDeclaration::FontFeatureSettings(..) => LonghandId::FontFeatureSettings,
            PropertyDeclaration::FontPalette(..) => LonghandId::FontPalette,
            PropertyDeclaration::FontSize(..) => LonghandId::FontSize,
            PropertyDeclaration::FontVariantAlternates(..) => LonghandId::FontVariantAlternates,
            PropertyDeclaration::FontVariationSettings(..) => LonghandId::FontVariationSettings,
            PropertyDeclaration::GridTemplateAreas(..) => LonghandId::GridTemplateAreas,
            PropertyDeclaration::HyphenateCharacter(..) => LonghandId::HyphenateCharacter,
            PropertyDeclaration::JustifyTracks(..) => LonghandId::JustifyTracks,
            PropertyDeclaration::LetterSpacing(..) => LonghandId::LetterSpacing,
            PropertyDeclaration::LineHeight(..) => LonghandId::LineHeight,
            PropertyDeclaration::ListStyleType(..) => LonghandId::ListStyleType,
            PropertyDeclaration::MaskClip(..) => LonghandId::MaskClip,
            PropertyDeclaration::MaskComposite(..) => LonghandId::MaskComposite,
            PropertyDeclaration::MaskImage(..) => LonghandId::MaskImage,
            PropertyDeclaration::MaskMode(..) => LonghandId::MaskMode,
            PropertyDeclaration::MaskOrigin(..) => LonghandId::MaskOrigin,
            PropertyDeclaration::MaskPositionX(..) => LonghandId::MaskPositionX,
            PropertyDeclaration::MaskPositionY(..) => LonghandId::MaskPositionY,
            PropertyDeclaration::MaskRepeat(..) => LonghandId::MaskRepeat,
            PropertyDeclaration::MaskSize(..) => LonghandId::MaskSize,
            PropertyDeclaration::MozContextProperties(..) => LonghandId::MozContextProperties,
            PropertyDeclaration::MozFontSmoothingBackgroundColor(..) => LonghandId::MozFontSmoothingBackgroundColor,
            PropertyDeclaration::OffsetAnchor(..) => LonghandId::OffsetAnchor,
            PropertyDeclaration::OffsetPath(..) => LonghandId::OffsetPath,
            PropertyDeclaration::OffsetPosition(..) => LonghandId::OffsetPosition,
            PropertyDeclaration::Page(..) => LonghandId::Page,
            PropertyDeclaration::Perspective(..) => LonghandId::Perspective,
            PropertyDeclaration::Quotes(..) => LonghandId::Quotes,
            PropertyDeclaration::Rotate(..) => LonghandId::Rotate,
            PropertyDeclaration::Scale(..) => LonghandId::Scale,
            PropertyDeclaration::ScrollTimelineAxis(..) => LonghandId::ScrollTimelineAxis,
            PropertyDeclaration::ScrollTimelineName(..) => LonghandId::ScrollTimelineName,
            PropertyDeclaration::ScrollbarColor(..) => LonghandId::ScrollbarColor,
            PropertyDeclaration::ShapeOutside(..) => LonghandId::ShapeOutside,
            PropertyDeclaration::Size(..) => LonghandId::Size,
            PropertyDeclaration::StrokeDasharray(..) => LonghandId::StrokeDasharray,
            PropertyDeclaration::StrokeDashoffset(..) => LonghandId::StrokeDashoffset,
            PropertyDeclaration::StrokeWidth(..) => LonghandId::StrokeWidth,
            PropertyDeclaration::TabSize(..) => LonghandId::TabSize,
            PropertyDeclaration::TextDecorationThickness(..) => LonghandId::TextDecorationThickness,
            PropertyDeclaration::TextEmphasisStyle(..) => LonghandId::TextEmphasisStyle,
            PropertyDeclaration::TextOverflow(..) => LonghandId::TextOverflow,
            PropertyDeclaration::TextShadow(..) => LonghandId::TextShadow,
            PropertyDeclaration::TransitionDelay(..) => LonghandId::TransitionDelay,
            PropertyDeclaration::TransitionDuration(..) => LonghandId::TransitionDuration,
            PropertyDeclaration::TransitionProperty(..) => LonghandId::TransitionProperty,
            PropertyDeclaration::TransitionTimingFunction(..) => LonghandId::TransitionTimingFunction,
            PropertyDeclaration::Translate(..) => LonghandId::Translate,
            PropertyDeclaration::VerticalAlign(..) => LonghandId::VerticalAlign,
            PropertyDeclaration::ViewTimelineAxis(..) => LonghandId::ViewTimelineAxis,
            PropertyDeclaration::ViewTimelineInset(..) => LonghandId::ViewTimelineInset,
            PropertyDeclaration::ViewTimelineName(..) => LonghandId::ViewTimelineName,
            PropertyDeclaration::WebkitTextStrokeWidth(..) => LonghandId::WebkitTextStrokeWidth,
            PropertyDeclaration::WillChange(..) => LonghandId::WillChange,
            PropertyDeclaration::WordSpacing(..) => LonghandId::WordSpacing,
            PropertyDeclaration::XLang(..) => LonghandId::XLang,
            PropertyDeclaration::ObjectPosition(..) => LonghandId::ObjectPosition,
            PropertyDeclaration::PerspectiveOrigin(..) => LonghandId::PerspectiveOrigin,
            PropertyDeclaration::Fill(..) => LonghandId::Fill,
            PropertyDeclaration::Stroke(..) => LonghandId::Stroke,
            PropertyDeclaration::MozWindowTransformOrigin(..) => LonghandId::MozWindowTransformOrigin,
            PropertyDeclaration::TransformOrigin(..) => LonghandId::TransformOrigin,
            PropertyDeclaration::GridTemplateColumns(..) => LonghandId::GridTemplateColumns,
            PropertyDeclaration::GridTemplateRows(..) => LonghandId::GridTemplateRows,
            PropertyDeclaration::BorderImageSource(..) => LonghandId::BorderImageSource,
            PropertyDeclaration::ListStyleImage(..) => LonghandId::ListStyleImage,
            PropertyDeclaration::GridAutoColumns(..) => LonghandId::GridAutoColumns,
            PropertyDeclaration::GridAutoRows(..) => LonghandId::GridAutoRows,
            PropertyDeclaration::MozWindowTransform(..) => LonghandId::MozWindowTransform,
            PropertyDeclaration::Transform(..) => LonghandId::Transform,
            PropertyDeclaration::ColumnGap(..) => LonghandId::ColumnGap,
            PropertyDeclaration::RowGap(..) => LonghandId::RowGap,
            PropertyDeclaration::MarkerEnd(..) => LonghandId::MarkerEnd,
            PropertyDeclaration::MarkerMid(..) => LonghandId::MarkerMid,
            PropertyDeclaration::MarkerStart(..) => LonghandId::MarkerStart,
            PropertyDeclaration::ContainIntrinsicBlockSize(..) => LonghandId::ContainIntrinsicBlockSize,
            PropertyDeclaration::ContainIntrinsicHeight(..) => LonghandId::ContainIntrinsicHeight,
            PropertyDeclaration::ContainIntrinsicInlineSize(..) => LonghandId::ContainIntrinsicInlineSize,
            PropertyDeclaration::ContainIntrinsicWidth(..) => LonghandId::ContainIntrinsicWidth,
            PropertyDeclaration::GridColumnEnd(..) => LonghandId::GridColumnEnd,
            PropertyDeclaration::GridColumnStart(..) => LonghandId::GridColumnStart,
            PropertyDeclaration::GridRowEnd(..) => LonghandId::GridRowEnd,
            PropertyDeclaration::GridRowStart(..) => LonghandId::GridRowStart,
            PropertyDeclaration::MaxBlockSize(..) => LonghandId::MaxBlockSize,
            PropertyDeclaration::MaxHeight(..) => LonghandId::MaxHeight,
            PropertyDeclaration::MaxInlineSize(..) => LonghandId::MaxInlineSize,
            PropertyDeclaration::MaxWidth(..) => LonghandId::MaxWidth,
            PropertyDeclaration::Cx(..) => LonghandId::Cx,
            PropertyDeclaration::Cy(..) => LonghandId::Cy,
            PropertyDeclaration::OffsetDistance(..) => LonghandId::OffsetDistance,
            PropertyDeclaration::TextIndent(..) => LonghandId::TextIndent,
            PropertyDeclaration::X(..) => LonghandId::X,
            PropertyDeclaration::Y(..) => LonghandId::Y,
            PropertyDeclaration::BorderBottomLeftRadius(..) => LonghandId::BorderBottomLeftRadius,
            PropertyDeclaration::BorderBottomRightRadius(..) => LonghandId::BorderBottomRightRadius,
            PropertyDeclaration::BorderEndEndRadius(..) => LonghandId::BorderEndEndRadius,
            PropertyDeclaration::BorderEndStartRadius(..) => LonghandId::BorderEndStartRadius,
            PropertyDeclaration::BorderStartEndRadius(..) => LonghandId::BorderStartEndRadius,
            PropertyDeclaration::BorderStartStartRadius(..) => LonghandId::BorderStartStartRadius,
            PropertyDeclaration::BorderTopLeftRadius(..) => LonghandId::BorderTopLeftRadius,
            PropertyDeclaration::BorderTopRightRadius(..) => LonghandId::BorderTopRightRadius,
            PropertyDeclaration::BlockSize(..) => LonghandId::BlockSize,
            PropertyDeclaration::Height(..) => LonghandId::Height,
            PropertyDeclaration::InlineSize(..) => LonghandId::InlineSize,
            PropertyDeclaration::MinBlockSize(..) => LonghandId::MinBlockSize,
            PropertyDeclaration::MinHeight(..) => LonghandId::MinHeight,
            PropertyDeclaration::MinInlineSize(..) => LonghandId::MinInlineSize,
            PropertyDeclaration::MinWidth(..) => LonghandId::MinWidth,
            PropertyDeclaration::Width(..) => LonghandId::Width,
            PropertyDeclaration::BorderBlockEndWidth(..) => LonghandId::BorderBlockEndWidth,
            PropertyDeclaration::BorderBlockStartWidth(..) => LonghandId::BorderBlockStartWidth,
            PropertyDeclaration::BorderBottomWidth(..) => LonghandId::BorderBottomWidth,
            PropertyDeclaration::BorderInlineEndWidth(..) => LonghandId::BorderInlineEndWidth,
            PropertyDeclaration::BorderInlineStartWidth(..) => LonghandId::BorderInlineStartWidth,
            PropertyDeclaration::BorderLeftWidth(..) => LonghandId::BorderLeftWidth,
            PropertyDeclaration::BorderRightWidth(..) => LonghandId::BorderRightWidth,
            PropertyDeclaration::BorderTopWidth(..) => LonghandId::BorderTopWidth,
            PropertyDeclaration::ColumnRuleWidth(..) => LonghandId::ColumnRuleWidth,
            PropertyDeclaration::OutlineWidth(..) => LonghandId::OutlineWidth,
            PropertyDeclaration::PaddingBlockEnd(..) => LonghandId::PaddingBlockEnd,
            PropertyDeclaration::PaddingBlockStart(..) => LonghandId::PaddingBlockStart,
            PropertyDeclaration::PaddingBottom(..) => LonghandId::PaddingBottom,
            PropertyDeclaration::PaddingInlineEnd(..) => LonghandId::PaddingInlineEnd,
            PropertyDeclaration::PaddingInlineStart(..) => LonghandId::PaddingInlineStart,
            PropertyDeclaration::PaddingLeft(..) => LonghandId::PaddingLeft,
            PropertyDeclaration::PaddingRight(..) => LonghandId::PaddingRight,
            PropertyDeclaration::PaddingTop(..) => LonghandId::PaddingTop,
            PropertyDeclaration::R(..) => LonghandId::R,
            PropertyDeclaration::ShapeMargin(..) => LonghandId::ShapeMargin,
            PropertyDeclaration::Rx(..) => LonghandId::Rx,
            PropertyDeclaration::Ry(..) => LonghandId::Ry,
            PropertyDeclaration::ScrollPaddingBlockEnd(..) => LonghandId::ScrollPaddingBlockEnd,
            PropertyDeclaration::ScrollPaddingBlockStart(..) => LonghandId::ScrollPaddingBlockStart,
            PropertyDeclaration::ScrollPaddingBottom(..) => LonghandId::ScrollPaddingBottom,
            PropertyDeclaration::ScrollPaddingInlineEnd(..) => LonghandId::ScrollPaddingInlineEnd,
            PropertyDeclaration::ScrollPaddingInlineStart(..) => LonghandId::ScrollPaddingInlineStart,
            PropertyDeclaration::ScrollPaddingLeft(..) => LonghandId::ScrollPaddingLeft,
            PropertyDeclaration::ScrollPaddingRight(..) => LonghandId::ScrollPaddingRight,
            PropertyDeclaration::ScrollPaddingTop(..) => LonghandId::ScrollPaddingTop,
            PropertyDeclaration::MozWindowInputRegionMargin(..) => LonghandId::MozWindowInputRegionMargin,
            PropertyDeclaration::OutlineOffset(..) => LonghandId::OutlineOffset,
            PropertyDeclaration::OverflowClipMargin(..) => LonghandId::OverflowClipMargin,
            PropertyDeclaration::ScrollMarginBlockEnd(..) => LonghandId::ScrollMarginBlockEnd,
            PropertyDeclaration::ScrollMarginBlockStart(..) => LonghandId::ScrollMarginBlockStart,
            PropertyDeclaration::ScrollMarginBottom(..) => LonghandId::ScrollMarginBottom,
            PropertyDeclaration::ScrollMarginInlineEnd(..) => LonghandId::ScrollMarginInlineEnd,
            PropertyDeclaration::ScrollMarginInlineStart(..) => LonghandId::ScrollMarginInlineStart,
            PropertyDeclaration::ScrollMarginLeft(..) => LonghandId::ScrollMarginLeft,
            PropertyDeclaration::ScrollMarginRight(..) => LonghandId::ScrollMarginRight,
            PropertyDeclaration::ScrollMarginTop(..) => LonghandId::ScrollMarginTop,
            PropertyDeclaration::Bottom(..) => LonghandId::Bottom,
            PropertyDeclaration::InsetBlockEnd(..) => LonghandId::InsetBlockEnd,
            PropertyDeclaration::InsetBlockStart(..) => LonghandId::InsetBlockStart,
            PropertyDeclaration::InsetInlineEnd(..) => LonghandId::InsetInlineEnd,
            PropertyDeclaration::InsetInlineStart(..) => LonghandId::InsetInlineStart,
            PropertyDeclaration::Left(..) => LonghandId::Left,
            PropertyDeclaration::MarginBlockEnd(..) => LonghandId::MarginBlockEnd,
            PropertyDeclaration::MarginBlockStart(..) => LonghandId::MarginBlockStart,
            PropertyDeclaration::MarginBottom(..) => LonghandId::MarginBottom,
            PropertyDeclaration::MarginInlineEnd(..) => LonghandId::MarginInlineEnd,
            PropertyDeclaration::MarginInlineStart(..) => LonghandId::MarginInlineStart,
            PropertyDeclaration::MarginLeft(..) => LonghandId::MarginLeft,
            PropertyDeclaration::MarginRight(..) => LonghandId::MarginRight,
            PropertyDeclaration::MarginTop(..) => LonghandId::MarginTop,
            PropertyDeclaration::Right(..) => LonghandId::Right,
            PropertyDeclaration::TextUnderlineOffset(..) => LonghandId::TextUnderlineOffset,
            PropertyDeclaration::Top(..) => LonghandId::Top,
            PropertyDeclaration::BackgroundColor(..) => LonghandId::BackgroundColor,
            PropertyDeclaration::BorderBlockEndColor(..) => LonghandId::BorderBlockEndColor,
            PropertyDeclaration::BorderBlockStartColor(..) => LonghandId::BorderBlockStartColor,
            PropertyDeclaration::BorderBottomColor(..) => LonghandId::BorderBottomColor,
            PropertyDeclaration::BorderInlineEndColor(..) => LonghandId::BorderInlineEndColor,
            PropertyDeclaration::BorderInlineStartColor(..) => LonghandId::BorderInlineStartColor,
            PropertyDeclaration::BorderLeftColor(..) => LonghandId::BorderLeftColor,
            PropertyDeclaration::BorderRightColor(..) => LonghandId::BorderRightColor,
            PropertyDeclaration::BorderTopColor(..) => LonghandId::BorderTopColor,
            PropertyDeclaration::ColumnRuleColor(..) => LonghandId::ColumnRuleColor,
            PropertyDeclaration::FloodColor(..) => LonghandId::FloodColor,
            PropertyDeclaration::LightingColor(..) => LonghandId::LightingColor,
            PropertyDeclaration::OutlineColor(..) => LonghandId::OutlineColor,
            PropertyDeclaration::StopColor(..) => LonghandId::StopColor,
            PropertyDeclaration::TextDecorationColor(..) => LonghandId::TextDecorationColor,
            PropertyDeclaration::TextEmphasisColor(..) => LonghandId::TextEmphasisColor,
            PropertyDeclaration::WebkitTextFillColor(..) => LonghandId::WebkitTextFillColor,
            PropertyDeclaration::WebkitTextStrokeColor(..) => LonghandId::WebkitTextStrokeColor,
            _ => id,
        });
        PropertyDeclarationId::Longhand(id)
    }

    /// Given a declaration, convert it into a declaration for a corresponding
    /// physical property.
    #[inline]
    pub fn to_physical(&self, wm: WritingMode) -> Self {
        match *self {
            PropertyDeclaration::WithVariables(VariableDeclaration {
                id,
                ref value,
            }) => {
                return PropertyDeclaration::WithVariables(VariableDeclaration {
                    id: id.to_physical(wm),
                    value: value.clone(),
                })
            }
            PropertyDeclaration::CSSWideKeyword(WideKeywordDeclaration {
                id,
                keyword,
            }) => {
                return PropertyDeclaration::CSSWideKeyword(WideKeywordDeclaration {
                    id: id.to_physical(wm),
                    keyword,
                })
            }
            PropertyDeclaration::Custom(..) => return self.clone(),
            PropertyDeclaration::AlignContent(..) => {},
            PropertyDeclaration::AlignItems(..) => {},
            PropertyDeclaration::AlignSelf(..) => {},
            PropertyDeclaration::AspectRatio(..) => {},
            PropertyDeclaration::BackfaceVisibility(..) => {},
            PropertyDeclaration::BaselineSource(..) => {},
            PropertyDeclaration::BorderCollapse(..) => {},
            PropertyDeclaration::BorderImageRepeat(..) => {},
            PropertyDeclaration::BoxDecorationBreak(..) => {},
            PropertyDeclaration::BoxSizing(..) => {},
            PropertyDeclaration::BreakInside(..) => {},
            PropertyDeclaration::CaptionSide(..) => {},
            PropertyDeclaration::Clear(..) => {},
            PropertyDeclaration::ColorInterpolation(..) => {},
            PropertyDeclaration::ColorInterpolationFilters(..) => {},
            PropertyDeclaration::ColumnCount(..) => {},
            PropertyDeclaration::ColumnFill(..) => {},
            PropertyDeclaration::ColumnSpan(..) => {},
            PropertyDeclaration::Contain(..) => {},
            PropertyDeclaration::ContainerType(..) => {},
            PropertyDeclaration::ContentVisibility(..) => {},
            PropertyDeclaration::Direction(..) => {},
            PropertyDeclaration::Display(..) => {},
            PropertyDeclaration::DominantBaseline(..) => {},
            PropertyDeclaration::EmptyCells(..) => {},
            PropertyDeclaration::FlexDirection(..) => {},
            PropertyDeclaration::FlexWrap(..) => {},
            PropertyDeclaration::Float(..) => {},
            PropertyDeclaration::FontKerning(..) => {},
            PropertyDeclaration::FontLanguageOverride(..) => {},
            PropertyDeclaration::FontOpticalSizing(..) => {},
            PropertyDeclaration::FontSizeAdjust(..) => {},
            PropertyDeclaration::FontStretch(..) => {},
            PropertyDeclaration::FontStyle(..) => {},
            PropertyDeclaration::FontVariantCaps(..) => {},
            PropertyDeclaration::FontVariantEastAsian(..) => {},
            PropertyDeclaration::FontVariantEmoji(..) => {},
            PropertyDeclaration::FontVariantLigatures(..) => {},
            PropertyDeclaration::FontVariantNumeric(..) => {},
            PropertyDeclaration::FontVariantPosition(..) => {},
            PropertyDeclaration::FontWeight(..) => {},
            PropertyDeclaration::ForcedColorAdjust(..) => {},
            PropertyDeclaration::GridAutoFlow(..) => {},
            PropertyDeclaration::Hyphens(..) => {},
            PropertyDeclaration::ImageOrientation(..) => {},
            PropertyDeclaration::ImageRendering(..) => {},
            PropertyDeclaration::ImeMode(..) => {},
            PropertyDeclaration::InitialLetter(..) => {},
            PropertyDeclaration::Isolation(..) => {},
            PropertyDeclaration::JustifyContent(..) => {},
            PropertyDeclaration::JustifyItems(..) => {},
            PropertyDeclaration::JustifySelf(..) => {},
            PropertyDeclaration::LineBreak(..) => {},
            PropertyDeclaration::ListStylePosition(..) => {},
            PropertyDeclaration::MaskType(..) => {},
            PropertyDeclaration::MasonryAutoFlow(..) => {},
            PropertyDeclaration::MathDepth(..) => {},
            PropertyDeclaration::MathStyle(..) => {},
            PropertyDeclaration::MixBlendMode(..) => {},
            PropertyDeclaration::MozBoxAlign(..) => {},
            PropertyDeclaration::MozBoxCollapse(..) => {},
            PropertyDeclaration::MozBoxDirection(..) => {},
            PropertyDeclaration::MozBoxOrient(..) => {},
            PropertyDeclaration::MozBoxPack(..) => {},
            PropertyDeclaration::MozControlCharacterVisibility(..) => {},
            PropertyDeclaration::MozFloatEdge(..) => {},
            PropertyDeclaration::MozInert(..) => {},
            PropertyDeclaration::MozMathVariant(..) => {},
            PropertyDeclaration::MozMinFontSizeRatio(..) => {},
            PropertyDeclaration::MozOrient(..) => {},
            PropertyDeclaration::MozOsxFontSmoothing(..) => {},
            PropertyDeclaration::MozScriptMinSize(..) => {},
            PropertyDeclaration::MozScriptSizeMultiplier(..) => {},
            PropertyDeclaration::MozTextSizeAdjust(..) => {},
            PropertyDeclaration::MozTopLayer(..) => {},
            PropertyDeclaration::MozUserFocus(..) => {},
            PropertyDeclaration::MozUserInput(..) => {},
            PropertyDeclaration::MozUserModify(..) => {},
            PropertyDeclaration::MozWindowDragging(..) => {},
            PropertyDeclaration::MozWindowShadow(..) => {},
            PropertyDeclaration::ObjectFit(..) => {},
            PropertyDeclaration::OffsetRotate(..) => {},
            PropertyDeclaration::OutlineStyle(..) => {},
            PropertyDeclaration::OverflowAnchor(..) => {},
            PropertyDeclaration::OverflowWrap(..) => {},
            PropertyDeclaration::PageOrientation(..) => {},
            PropertyDeclaration::PaintOrder(..) => {},
            PropertyDeclaration::PointerEvents(..) => {},
            PropertyDeclaration::Position(..) => {},
            PropertyDeclaration::PrintColorAdjust(..) => {},
            PropertyDeclaration::Resize(..) => {},
            PropertyDeclaration::RubyAlign(..) => {},
            PropertyDeclaration::RubyPosition(..) => {},
            PropertyDeclaration::ScrollBehavior(..) => {},
            PropertyDeclaration::ScrollSnapAlign(..) => {},
            PropertyDeclaration::ScrollSnapStop(..) => {},
            PropertyDeclaration::ScrollSnapType(..) => {},
            PropertyDeclaration::ScrollbarGutter(..) => {},
            PropertyDeclaration::ScrollbarWidth(..) => {},
            PropertyDeclaration::ShapeRendering(..) => {},
            PropertyDeclaration::StrokeLinecap(..) => {},
            PropertyDeclaration::StrokeLinejoin(..) => {},
            PropertyDeclaration::TableLayout(..) => {},
            PropertyDeclaration::TextAlign(..) => {},
            PropertyDeclaration::TextAlignLast(..) => {},
            PropertyDeclaration::TextAnchor(..) => {},
            PropertyDeclaration::TextCombineUpright(..) => {},
            PropertyDeclaration::TextDecorationLine(..) => {},
            PropertyDeclaration::TextDecorationSkipInk(..) => {},
            PropertyDeclaration::TextDecorationStyle(..) => {},
            PropertyDeclaration::TextEmphasisPosition(..) => {},
            PropertyDeclaration::TextJustify(..) => {},
            PropertyDeclaration::TextOrientation(..) => {},
            PropertyDeclaration::TextRendering(..) => {},
            PropertyDeclaration::TextTransform(..) => {},
            PropertyDeclaration::TextUnderlinePosition(..) => {},
            PropertyDeclaration::TouchAction(..) => {},
            PropertyDeclaration::TransformBox(..) => {},
            PropertyDeclaration::TransformStyle(..) => {},
            PropertyDeclaration::UnicodeBidi(..) => {},
            PropertyDeclaration::UserSelect(..) => {},
            PropertyDeclaration::VectorEffect(..) => {},
            PropertyDeclaration::Visibility(..) => {},
            PropertyDeclaration::WebkitLineClamp(..) => {},
            PropertyDeclaration::WebkitTextSecurity(..) => {},
            PropertyDeclaration::WhiteSpace(..) => {},
            PropertyDeclaration::WordBreak(..) => {},
            PropertyDeclaration::WritingMode(..) => {},
            PropertyDeclaration::XTextScale(..) => {},
            PropertyDeclaration::ZIndex(..) => {},
            PropertyDeclaration::Appearance(..) => {},
            PropertyDeclaration::MozDefaultAppearance(..) => {},
            PropertyDeclaration::MozForceBrokenImageIcon(..) => {},
            PropertyDeclaration::MozSubtreeHiddenOnlyVisually(..) => {},
            PropertyDeclaration::BreakAfter(..) => {},
            PropertyDeclaration::BreakBefore(..) => {},
            PropertyDeclaration::ClipRule(..) => {},
            PropertyDeclaration::FillRule(..) => {},
            PropertyDeclaration::OverflowClipBoxBlock(..) => {},
            PropertyDeclaration::OverflowClipBoxInline(..) => {},
            PropertyDeclaration::FillOpacity(..) => {},
            PropertyDeclaration::StrokeOpacity(..) => {},
            PropertyDeclaration::FontSynthesisSmallCaps(..) => {},
            PropertyDeclaration::FontSynthesisStyle(..) => {},
            PropertyDeclaration::FontSynthesisWeight(..) => {},
            PropertyDeclaration::MozBoxOrdinalGroup(..) => {},
            PropertyDeclaration::Order(..) => {},
            PropertyDeclaration::XSpan(..) => {},
            PropertyDeclaration::FlexGrow(..) => {},
            PropertyDeclaration::FlexShrink(..) => {},
            PropertyDeclaration::MozBoxFlex(..) => {},
            PropertyDeclaration::StrokeMiterlimit(..) => {},
            PropertyDeclaration::OverflowBlock(..) => {},
            PropertyDeclaration::OverflowInline(..) => {},
            PropertyDeclaration::OverflowX(..) => {},
            PropertyDeclaration::OverflowY(..) => {},
            PropertyDeclaration::OverscrollBehaviorBlock(..) => {},
            PropertyDeclaration::OverscrollBehaviorInline(..) => {},
            PropertyDeclaration::OverscrollBehaviorX(..) => {},
            PropertyDeclaration::OverscrollBehaviorY(..) => {},
            PropertyDeclaration::FloodOpacity(..) => {},
            PropertyDeclaration::MozWindowOpacity(..) => {},
            PropertyDeclaration::Opacity(..) => {},
            PropertyDeclaration::ShapeImageThreshold(..) => {},
            PropertyDeclaration::StopOpacity(..) => {},
            PropertyDeclaration::BorderBlockEndStyle(..) => {},
            PropertyDeclaration::BorderBlockStartStyle(..) => {},
            PropertyDeclaration::BorderBottomStyle(..) => {},
            PropertyDeclaration::BorderInlineEndStyle(..) => {},
            PropertyDeclaration::BorderInlineStartStyle(..) => {},
            PropertyDeclaration::BorderLeftStyle(..) => {},
            PropertyDeclaration::BorderRightStyle(..) => {},
            PropertyDeclaration::BorderTopStyle(..) => {},
            PropertyDeclaration::ColumnRuleStyle(..) => {},
            PropertyDeclaration::AccentColor(..) => {},
            PropertyDeclaration::AlignTracks(..) => {},
            PropertyDeclaration::AnimationComposition(..) => {},
            PropertyDeclaration::AnimationDelay(..) => {},
            PropertyDeclaration::AnimationDirection(..) => {},
            PropertyDeclaration::AnimationDuration(..) => {},
            PropertyDeclaration::AnimationFillMode(..) => {},
            PropertyDeclaration::AnimationIterationCount(..) => {},
            PropertyDeclaration::AnimationName(..) => {},
            PropertyDeclaration::AnimationPlayState(..) => {},
            PropertyDeclaration::AnimationTimeline(..) => {},
            PropertyDeclaration::AnimationTimingFunction(..) => {},
            PropertyDeclaration::BackdropFilter(..) => {},
            PropertyDeclaration::BackgroundAttachment(..) => {},
            PropertyDeclaration::BackgroundBlendMode(..) => {},
            PropertyDeclaration::BackgroundClip(..) => {},
            PropertyDeclaration::BackgroundImage(..) => {},
            PropertyDeclaration::BackgroundOrigin(..) => {},
            PropertyDeclaration::BackgroundPositionX(..) => {},
            PropertyDeclaration::BackgroundPositionY(..) => {},
            PropertyDeclaration::BackgroundRepeat(..) => {},
            PropertyDeclaration::BackgroundSize(..) => {},
            PropertyDeclaration::BorderImageOutset(..) => {},
            PropertyDeclaration::BorderImageSlice(..) => {},
            PropertyDeclaration::BorderImageWidth(..) => {},
            PropertyDeclaration::BorderSpacing(..) => {},
            PropertyDeclaration::BoxShadow(..) => {},
            PropertyDeclaration::CaretColor(..) => {},
            PropertyDeclaration::Clip(..) => {},
            PropertyDeclaration::ClipPath(..) => {},
            PropertyDeclaration::Color(..) => {},
            PropertyDeclaration::ColorScheme(..) => {},
            PropertyDeclaration::ColumnWidth(..) => {},
            PropertyDeclaration::ContainerName(..) => {},
            PropertyDeclaration::Content(..) => {},
            PropertyDeclaration::CounterIncrement(..) => {},
            PropertyDeclaration::CounterReset(..) => {},
            PropertyDeclaration::CounterSet(..) => {},
            PropertyDeclaration::Cursor(..) => {},
            PropertyDeclaration::D(..) => {},
            PropertyDeclaration::Filter(..) => {},
            PropertyDeclaration::FlexBasis(..) => {},
            PropertyDeclaration::FontFamily(..) => {},
            PropertyDeclaration::FontFeatureSettings(..) => {},
            PropertyDeclaration::FontPalette(..) => {},
            PropertyDeclaration::FontSize(..) => {},
            PropertyDeclaration::FontVariantAlternates(..) => {},
            PropertyDeclaration::FontVariationSettings(..) => {},
            PropertyDeclaration::GridTemplateAreas(..) => {},
            PropertyDeclaration::HyphenateCharacter(..) => {},
            PropertyDeclaration::JustifyTracks(..) => {},
            PropertyDeclaration::LetterSpacing(..) => {},
            PropertyDeclaration::LineHeight(..) => {},
            PropertyDeclaration::ListStyleType(..) => {},
            PropertyDeclaration::MaskClip(..) => {},
            PropertyDeclaration::MaskComposite(..) => {},
            PropertyDeclaration::MaskImage(..) => {},
            PropertyDeclaration::MaskMode(..) => {},
            PropertyDeclaration::MaskOrigin(..) => {},
            PropertyDeclaration::MaskPositionX(..) => {},
            PropertyDeclaration::MaskPositionY(..) => {},
            PropertyDeclaration::MaskRepeat(..) => {},
            PropertyDeclaration::MaskSize(..) => {},
            PropertyDeclaration::MozContextProperties(..) => {},
            PropertyDeclaration::MozFontSmoothingBackgroundColor(..) => {},
            PropertyDeclaration::OffsetAnchor(..) => {},
            PropertyDeclaration::OffsetPath(..) => {},
            PropertyDeclaration::OffsetPosition(..) => {},
            PropertyDeclaration::Page(..) => {},
            PropertyDeclaration::Perspective(..) => {},
            PropertyDeclaration::Quotes(..) => {},
            PropertyDeclaration::Rotate(..) => {},
            PropertyDeclaration::Scale(..) => {},
            PropertyDeclaration::ScrollTimelineAxis(..) => {},
            PropertyDeclaration::ScrollTimelineName(..) => {},
            PropertyDeclaration::ScrollbarColor(..) => {},
            PropertyDeclaration::ShapeOutside(..) => {},
            PropertyDeclaration::Size(..) => {},
            PropertyDeclaration::StrokeDasharray(..) => {},
            PropertyDeclaration::StrokeDashoffset(..) => {},
            PropertyDeclaration::StrokeWidth(..) => {},
            PropertyDeclaration::TabSize(..) => {},
            PropertyDeclaration::TextDecorationThickness(..) => {},
            PropertyDeclaration::TextEmphasisStyle(..) => {},
            PropertyDeclaration::TextOverflow(..) => {},
            PropertyDeclaration::TextShadow(..) => {},
            PropertyDeclaration::TransitionDelay(..) => {},
            PropertyDeclaration::TransitionDuration(..) => {},
            PropertyDeclaration::TransitionProperty(..) => {},
            PropertyDeclaration::TransitionTimingFunction(..) => {},
            PropertyDeclaration::Translate(..) => {},
            PropertyDeclaration::VerticalAlign(..) => {},
            PropertyDeclaration::ViewTimelineAxis(..) => {},
            PropertyDeclaration::ViewTimelineInset(..) => {},
            PropertyDeclaration::ViewTimelineName(..) => {},
            PropertyDeclaration::WebkitTextStrokeWidth(..) => {},
            PropertyDeclaration::WillChange(..) => {},
            PropertyDeclaration::WordSpacing(..) => {},
            PropertyDeclaration::XLang(..) => {},
            PropertyDeclaration::ObjectPosition(..) => {},
            PropertyDeclaration::PerspectiveOrigin(..) => {},
            PropertyDeclaration::Fill(..) => {},
            PropertyDeclaration::Stroke(..) => {},
            PropertyDeclaration::MozWindowTransformOrigin(..) => {},
            PropertyDeclaration::TransformOrigin(..) => {},
            PropertyDeclaration::GridTemplateColumns(..) => {},
            PropertyDeclaration::GridTemplateRows(..) => {},
            PropertyDeclaration::BorderImageSource(..) => {},
            PropertyDeclaration::ListStyleImage(..) => {},
            PropertyDeclaration::GridAutoColumns(..) => {},
            PropertyDeclaration::GridAutoRows(..) => {},
            PropertyDeclaration::MozWindowTransform(..) => {},
            PropertyDeclaration::Transform(..) => {},
            PropertyDeclaration::ColumnGap(..) => {},
            PropertyDeclaration::RowGap(..) => {},
            PropertyDeclaration::MarkerEnd(..) => {},
            PropertyDeclaration::MarkerMid(..) => {},
            PropertyDeclaration::MarkerStart(..) => {},
            PropertyDeclaration::ContainIntrinsicBlockSize(..) => {},
            PropertyDeclaration::ContainIntrinsicHeight(..) => {},
            PropertyDeclaration::ContainIntrinsicInlineSize(..) => {},
            PropertyDeclaration::ContainIntrinsicWidth(..) => {},
            PropertyDeclaration::GridColumnEnd(..) => {},
            PropertyDeclaration::GridColumnStart(..) => {},
            PropertyDeclaration::GridRowEnd(..) => {},
            PropertyDeclaration::GridRowStart(..) => {},
            PropertyDeclaration::MaxBlockSize(..) => {},
            PropertyDeclaration::MaxHeight(..) => {},
            PropertyDeclaration::MaxInlineSize(..) => {},
            PropertyDeclaration::MaxWidth(..) => {},
            PropertyDeclaration::Cx(..) => {},
            PropertyDeclaration::Cy(..) => {},
            PropertyDeclaration::OffsetDistance(..) => {},
            PropertyDeclaration::TextIndent(..) => {},
            PropertyDeclaration::X(..) => {},
            PropertyDeclaration::Y(..) => {},
            PropertyDeclaration::BorderBottomLeftRadius(..) => {},
            PropertyDeclaration::BorderBottomRightRadius(..) => {},
            PropertyDeclaration::BorderEndEndRadius(..) => {},
            PropertyDeclaration::BorderEndStartRadius(..) => {},
            PropertyDeclaration::BorderStartEndRadius(..) => {},
            PropertyDeclaration::BorderStartStartRadius(..) => {},
            PropertyDeclaration::BorderTopLeftRadius(..) => {},
            PropertyDeclaration::BorderTopRightRadius(..) => {},
            PropertyDeclaration::BlockSize(..) => {},
            PropertyDeclaration::Height(..) => {},
            PropertyDeclaration::InlineSize(..) => {},
            PropertyDeclaration::MinBlockSize(..) => {},
            PropertyDeclaration::MinHeight(..) => {},
            PropertyDeclaration::MinInlineSize(..) => {},
            PropertyDeclaration::MinWidth(..) => {},
            PropertyDeclaration::Width(..) => {},
            PropertyDeclaration::BorderBlockEndWidth(..) => {},
            PropertyDeclaration::BorderBlockStartWidth(..) => {},
            PropertyDeclaration::BorderBottomWidth(..) => {},
            PropertyDeclaration::BorderInlineEndWidth(..) => {},
            PropertyDeclaration::BorderInlineStartWidth(..) => {},
            PropertyDeclaration::BorderLeftWidth(..) => {},
            PropertyDeclaration::BorderRightWidth(..) => {},
            PropertyDeclaration::BorderTopWidth(..) => {},
            PropertyDeclaration::ColumnRuleWidth(..) => {},
            PropertyDeclaration::OutlineWidth(..) => {},
            PropertyDeclaration::PaddingBlockEnd(..) => {},
            PropertyDeclaration::PaddingBlockStart(..) => {},
            PropertyDeclaration::PaddingBottom(..) => {},
            PropertyDeclaration::PaddingInlineEnd(..) => {},
            PropertyDeclaration::PaddingInlineStart(..) => {},
            PropertyDeclaration::PaddingLeft(..) => {},
            PropertyDeclaration::PaddingRight(..) => {},
            PropertyDeclaration::PaddingTop(..) => {},
            PropertyDeclaration::R(..) => {},
            PropertyDeclaration::ShapeMargin(..) => {},
            PropertyDeclaration::Rx(..) => {},
            PropertyDeclaration::Ry(..) => {},
            PropertyDeclaration::ScrollPaddingBlockEnd(..) => {},
            PropertyDeclaration::ScrollPaddingBlockStart(..) => {},
            PropertyDeclaration::ScrollPaddingBottom(..) => {},
            PropertyDeclaration::ScrollPaddingInlineEnd(..) => {},
            PropertyDeclaration::ScrollPaddingInlineStart(..) => {},
            PropertyDeclaration::ScrollPaddingLeft(..) => {},
            PropertyDeclaration::ScrollPaddingRight(..) => {},
            PropertyDeclaration::ScrollPaddingTop(..) => {},
            PropertyDeclaration::MozWindowInputRegionMargin(..) => {},
            PropertyDeclaration::OutlineOffset(..) => {},
            PropertyDeclaration::OverflowClipMargin(..) => {},
            PropertyDeclaration::ScrollMarginBlockEnd(..) => {},
            PropertyDeclaration::ScrollMarginBlockStart(..) => {},
            PropertyDeclaration::ScrollMarginBottom(..) => {},
            PropertyDeclaration::ScrollMarginInlineEnd(..) => {},
            PropertyDeclaration::ScrollMarginInlineStart(..) => {},
            PropertyDeclaration::ScrollMarginLeft(..) => {},
            PropertyDeclaration::ScrollMarginRight(..) => {},
            PropertyDeclaration::ScrollMarginTop(..) => {},
            PropertyDeclaration::Bottom(..) => {},
            PropertyDeclaration::InsetBlockEnd(..) => {},
            PropertyDeclaration::InsetBlockStart(..) => {},
            PropertyDeclaration::InsetInlineEnd(..) => {},
            PropertyDeclaration::InsetInlineStart(..) => {},
            PropertyDeclaration::Left(..) => {},
            PropertyDeclaration::MarginBlockEnd(..) => {},
            PropertyDeclaration::MarginBlockStart(..) => {},
            PropertyDeclaration::MarginBottom(..) => {},
            PropertyDeclaration::MarginInlineEnd(..) => {},
            PropertyDeclaration::MarginInlineStart(..) => {},
            PropertyDeclaration::MarginLeft(..) => {},
            PropertyDeclaration::MarginRight(..) => {},
            PropertyDeclaration::MarginTop(..) => {},
            PropertyDeclaration::Right(..) => {},
            PropertyDeclaration::TextUnderlineOffset(..) => {},
            PropertyDeclaration::Top(..) => {},
            PropertyDeclaration::BackgroundColor(..) => {},
            PropertyDeclaration::BorderBlockEndColor(..) => {},
            PropertyDeclaration::BorderBlockStartColor(..) => {},
            PropertyDeclaration::BorderBottomColor(..) => {},
            PropertyDeclaration::BorderInlineEndColor(..) => {},
            PropertyDeclaration::BorderInlineStartColor(..) => {},
            PropertyDeclaration::BorderLeftColor(..) => {},
            PropertyDeclaration::BorderRightColor(..) => {},
            PropertyDeclaration::BorderTopColor(..) => {},
            PropertyDeclaration::ColumnRuleColor(..) => {},
            PropertyDeclaration::FloodColor(..) => {},
            PropertyDeclaration::LightingColor(..) => {},
            PropertyDeclaration::OutlineColor(..) => {},
            PropertyDeclaration::StopColor(..) => {},
            PropertyDeclaration::TextDecorationColor(..) => {},
            PropertyDeclaration::TextEmphasisColor(..) => {},
            PropertyDeclaration::WebkitTextFillColor(..) => {},
            PropertyDeclaration::WebkitTextStrokeColor(..) => {},
        }

        let mut ret = self.clone();


        unsafe {
            let longhand_id = *(&mut ret as *mut _ as *mut LonghandId);

            debug_assert_eq!(
                PropertyDeclarationId::Longhand(longhand_id),
                ret.id()
            );

            // This is just fine because PropertyDeclaration and LonghandId
            // have corresponding discriminants.
            *(&mut ret as *mut _ as *mut LonghandId) = longhand_id.to_physical(wm);

            debug_assert_eq!(
                PropertyDeclarationId::Longhand(longhand_id.to_physical(wm)),
                ret.id()
            );
        }

        ret
    }

    fn with_variables_from_shorthand(&self, shorthand: ShorthandId) -> Option< &str> {
        match *self {
            PropertyDeclaration::WithVariables(ref declaration) => {
                let s = declaration.value.from_shorthand?;
                if s != shorthand {
                    return None;
                }
                Some(&*declaration.value.css)
            },
            _ => None,
        }
    }

    /// Returns a CSS-wide keyword declaration for a given property.
    #[inline]
    pub fn css_wide_keyword(id: LonghandId, keyword: CSSWideKeyword) -> Self {
        Self::CSSWideKeyword(WideKeywordDeclaration { id, keyword })
    }

    /// Returns a CSS-wide keyword if the declaration's value is one.
    #[inline]
    pub fn get_css_wide_keyword(&self) -> Option<CSSWideKeyword> {
        match *self {
            PropertyDeclaration::CSSWideKeyword(ref declaration) => {
                Some(declaration.keyword)
            },
            _ => None,
        }
    }

    /// Returns whether or not the property is set by a system font
    pub fn get_system(&self) -> Option<SystemFont> {
        match *self {
                PropertyDeclaration::FontFamily(ref prop) => {
                    prop.get_system()
                }
                PropertyDeclaration::FontSize(ref prop) => {
                    prop.get_system()
                }
                PropertyDeclaration::FontStyle(ref prop) => {
                    prop.get_system()
                }
                PropertyDeclaration::FontStretch(ref prop) => {
                    prop.get_system()
                }
                PropertyDeclaration::FontWeight(ref prop) => {
                    prop.get_system()
                }
            _ => None,
        }
    }

    /// Is it the default value of line-height?
    pub fn is_default_line_height(&self) -> bool {
        match *self {
            PropertyDeclaration::LineHeight(LineHeight::Normal) => true,
            _ => false
        }
    }

    /// Returns whether the declaration may be serialized as part of a shorthand.
    ///
    /// This method returns false if this declaration contains variable or has a
    /// CSS-wide keyword value, since these values cannot be serialized as part
    /// of a shorthand.
    ///
    /// Caller should check `with_variables_from_shorthand()` and whether all
    /// needed declarations has the same CSS-wide keyword first.
    ///
    /// Note that, serialization of a shorthand may still fail because of other
    /// property-specific requirement even when this method returns true for all
    /// the longhand declarations.
    pub fn may_serialize_as_part_of_shorthand(&self) -> bool {
        match *self {
            PropertyDeclaration::CSSWideKeyword(..) |
            PropertyDeclaration::WithVariables(..) => false,
            PropertyDeclaration::Custom(..) =>
                unreachable!("Serializing a custom property as part of shorthand?"),
            _ => true,
        }
    }

    /// Return whether the value is stored as it was in the CSS source,
    /// preserving whitespace (as opposed to being parsed into a more abstract
    /// data structure).
    ///
    /// This is the case of custom properties and values that contain
    /// unsubstituted variables.
    pub fn value_is_unparsed(&self) -> bool {
        match *self {
            PropertyDeclaration::WithVariables(..) => true,
            PropertyDeclaration::Custom(ref declaration) => {
                matches!(declaration.value, CustomDeclarationValue::Value(..))
            }
            _ => false,
        }
    }

    /// Returns true if this property declaration is for one of the animatable
    /// properties.
    pub fn is_animatable(&self) -> bool {
        match self.id() {
            PropertyDeclarationId::Longhand(id) => id.is_animatable(),
            PropertyDeclarationId::Custom(..) => false,
        }
    }

    /// Returns true if this property is a custom property, false
    /// otherwise.
    pub fn is_custom(&self) -> bool {
        matches!(*self, PropertyDeclaration::Custom(..))
    }

    /// The `context` parameter controls this:
    ///
    /// <https://drafts.csswg.org/css-animations/#keyframes>
    /// > The <declaration-list> inside of <keyframe-block> accepts any CSS property
    /// > except those defined in this specification,
    /// > but does accept the `animation-play-state` property and interprets it specially.
    ///
    /// This will not actually parse Importance values, and will always set things
    /// to Importance::Normal. Parsing Importance values is the job of PropertyDeclarationParser,
    /// we only set them here so that we don't have to reallocate
    pub fn parse_into<'i, 't>(
        declarations: &mut SourcePropertyDeclaration,
        id: PropertyId,
        context: &ParserContext,
        input: &mut Parser<'i, 't>,
    ) -> Result<(), ParseError<'i>> {
        assert!(declarations.is_empty());
        debug_assert!(id.allowed_in(context), "{:?}", id);

        let non_custom_id = id.non_custom_id();
        input.skip_whitespace();

        let start = input.state();
        match id {
            PropertyId::Custom(property_name) => {
                let value = match input.try_parse(CSSWideKeyword::parse) {
                    Ok(keyword) => CustomDeclarationValue::CSSWideKeyword(keyword),
                    Err(()) => CustomDeclarationValue::Value(
                        crate::custom_properties::SpecifiedValue::parse(input)?
                    ),
                };
                declarations.push(PropertyDeclaration::Custom(CustomDeclaration {
                    name: property_name,
                    value,
                }));
                return Ok(());
            }
            PropertyId::LonghandAlias(id, _) |
            PropertyId::Longhand(id) => {
                input.try_parse(CSSWideKeyword::parse).map(|keyword| {
                    PropertyDeclaration::css_wide_keyword(id, keyword)
                }).or_else(|()| {
                    input.look_for_var_or_env_functions();
                    input.parse_entirely(|input| id.parse_value(context, input))
                    .or_else(|err| {
                        while let Ok(_) = input.next() {}  // Look for var() after the error.
                        if !input.seen_var_or_env_functions() {
                            return Err(err);
                        }
                        input.reset(&start);
                        let (first_token_type, css) =
                            crate::custom_properties::parse_non_custom_with_var(input)?;
                        Ok(PropertyDeclaration::WithVariables(VariableDeclaration {
                            id,
                            value: Arc::new(UnparsedValue {
                                css: css.into_owned(),
                                first_token_type,
                                url_data: context.url_data.clone(),
                                from_shorthand: None,
                            }),
                        }))
                    })
                }).map(|declaration| {
                    declarations.push(declaration)
                })?;
            }
            PropertyId::ShorthandAlias(id, _) |
            PropertyId::Shorthand(id) => {
                if let Ok(keyword) = input.try_parse(CSSWideKeyword::parse) {
                    if id == ShorthandId::All {
                        declarations.all_shorthand = AllShorthand::CSSWideKeyword(keyword)
                    } else {
                        for longhand in id.longhands() {
                            declarations.push(PropertyDeclaration::css_wide_keyword(longhand, keyword));
                        }
                    }
                } else {
                    input.look_for_var_or_env_functions();
                    // Not using parse_entirely here: each
                    // all::parse_into function needs to do so
                    // *before* pushing to `declarations`.
                    id.parse_into(declarations, context, input).or_else(|err| {
                        while let Ok(_) = input.next() {}  // Look for var() after the error.
                        if !input.seen_var_or_env_functions() {
                            return Err(err);
                        }

                        input.reset(&start);
                        let (first_token_type, css) =
                            crate::custom_properties::parse_non_custom_with_var(input)?;
                        let unparsed = Arc::new(UnparsedValue {
                            css: css.into_owned(),
                            first_token_type,
                            url_data: context.url_data.clone(),
                            from_shorthand: Some(id),
                        });
                        if id == ShorthandId::All {
                            declarations.all_shorthand = AllShorthand::WithVariables(unparsed)
                        } else {
                            for id in id.longhands() {
                                declarations.push(
                                    PropertyDeclaration::WithVariables(VariableDeclaration {
                                        id,
                                        value: unparsed.clone(),
                                    })
                                )
                            }
                        }
                        Ok(())
                    })?;
                }
            }
        }
        debug_assert!(non_custom_id.is_some(), "Custom properties should've returned earlier");
        if let Some(use_counters) = context.use_counters {
            use_counters.non_custom_properties.record(non_custom_id.unwrap());
        }
        Ok(())
    }
}

const SUB_PROPERTIES_ARRAY_CAP: usize =
    19;

/// An ArrayVec of subproperties, contains space for the longest shorthand except all.
pub type SubpropertiesVec<T> = ArrayVec<T, SUB_PROPERTIES_ARRAY_CAP>;

/// A stack-allocated vector of `PropertyDeclaration`
/// large enough to parse one CSS `key: value` declaration.
/// (Shorthands expand to multiple `PropertyDeclaration`s.)
#[derive(Default)]
pub struct SourcePropertyDeclaration {
    /// The storage for the actual declarations (except for all).
    pub declarations: SubpropertiesVec<PropertyDeclaration>,
    /// Stored separately to keep SubpropertiesVec smaller.
    pub all_shorthand: AllShorthand,
}

// This is huge, but we allocate it on the stack and then never move it,
// we only pass `&mut SourcePropertyDeclaration` references around.
size_of_test!(SourcePropertyDeclaration, 632);

impl SourcePropertyDeclaration {
    /// Create one with a single PropertyDeclaration.
    #[inline]
    pub fn with_one(decl: PropertyDeclaration) -> Self {
        let mut result = Self::default();
        result.declarations.push(decl);
        result
    }

    /// Similar to Vec::drain: leaves this empty when the return value is dropped.
    pub fn drain(&mut self) -> SourcePropertyDeclarationDrain {
        SourcePropertyDeclarationDrain {
            declarations: self.declarations.drain(..),
            all_shorthand: mem::replace(&mut self.all_shorthand, AllShorthand::NotSet),
        }
    }

    /// Reset to initial state
    pub fn clear(&mut self) {
        self.declarations.clear();
        self.all_shorthand = AllShorthand::NotSet;
    }

    fn is_empty(&self) -> bool {
        self.declarations.is_empty() && matches!(self.all_shorthand, AllShorthand::NotSet)
    }

    fn push(&mut self, declaration: PropertyDeclaration) {
        let _result = self.declarations.try_push(declaration);
        debug_assert!(_result.is_ok());
    }
}

/// Return type of SourcePropertyDeclaration::drain
pub struct SourcePropertyDeclarationDrain<'a> {
    /// A drain over the non-all declarations.
    pub declarations: ArrayVecDrain<'a, PropertyDeclaration, SUB_PROPERTIES_ARRAY_CAP>,
    /// The all shorthand that was set.
    pub all_shorthand: AllShorthand,
}

/// A parsed all-shorthand value.
pub enum AllShorthand {
    /// Not present.
    NotSet,
    /// A CSS-wide keyword.
    CSSWideKeyword(CSSWideKeyword),
    /// An all shorthand with var() references that we can't resolve right now.
    WithVariables(Arc<UnparsedValue>)
}

impl Default for AllShorthand {
    fn default() -> Self {
        Self::NotSet
    }
}

impl AllShorthand {
    /// Iterates property declarations from the given all shorthand value.
    #[inline]
    pub fn declarations(&self) -> AllShorthandDeclarationIterator {
        AllShorthandDeclarationIterator {
            all_shorthand: self,
            longhands: ShorthandId::All.longhands(),
        }
    }
}

/// An iterator over the all shorthand's shorthand declarations.
pub struct AllShorthandDeclarationIterator<'a> {
    all_shorthand: &'a AllShorthand,
    longhands: NonCustomPropertyIterator<LonghandId>,
}

impl<'a> Iterator for AllShorthandDeclarationIterator<'a> {
    type Item = PropertyDeclaration;

    #[inline]
    fn next(&mut self) -> Option<Self::Item> {
        match *self.all_shorthand {
            AllShorthand::NotSet => None,
            AllShorthand::CSSWideKeyword(ref keyword) => {
                Some(PropertyDeclaration::css_wide_keyword(self.longhands.next()?, *keyword))
            }
            AllShorthand::WithVariables(ref unparsed) => {
                Some(PropertyDeclaration::WithVariables(
                    VariableDeclaration {
                        id: self.longhands.next()?,
                        value: unparsed.clone()
                    }
                ))
            }
        }
    }
}

#[cfg(feature = "gecko")]
pub use super::gecko::style_structs;

/// The module where all the style structs are defined.
#[cfg(feature = "servo")]
pub mod style_structs {
    use fxhash::FxHasher;
    use super::longhands;
    use std::hash::{Hash, Hasher};
    use crate::logical_geometry::WritingMode;
    use crate::media_queries::Device;
    use crate::values::computed::NonNegativeLength;

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Background style struct.
        pub struct Background {
                    /// The background-color computed value.
                    pub background_color: longhands::background_color::computed_value::T,
                    /// The background-image computed value.
                    pub background_image: longhands::background_image::computed_value::T,
                    /// The background-position-x computed value.
                    pub background_position_x: longhands::background_position_x::computed_value::T,
                    /// The background-position-y computed value.
                    pub background_position_y: longhands::background_position_y::computed_value::T,
                    /// The background-repeat computed value.
                    pub background_repeat: longhands::background_repeat::computed_value::T,
                    /// The background-attachment computed value.
                    pub background_attachment: longhands::background_attachment::computed_value::T,
                    /// The background-clip computed value.
                    pub background_clip: longhands::background_clip::computed_value::T,
                    /// The background-origin computed value.
                    pub background_origin: longhands::background_origin::computed_value::T,
                    /// The background-size computed value.
                    pub background_size: longhands::background_size::computed_value::T,
                    /// The background-blend-mode computed value.
                    pub background_blend_mode: longhands::background_blend_mode::computed_value::T,
        }

        impl Background {
                        /// Set background-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_color(&mut self, v: longhands::background_color::computed_value::T) {
                            self.background_color = v;
                        }
                        /// Set background-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_color_from(&mut self, other: &Self) {
                            self.background_color = other.background_color.clone();
                        }
                    /// Reset background-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_color(&mut self, other: &Self) {
                        self.copy_background_color_from(other)
                    }

                    /// Get the computed value for background-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_color(&self) -> longhands::background_color::computed_value::T {
                        self.background_color.clone()
                    }
                        /// Set background-image.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_image(&mut self, v: longhands::background_image::computed_value::T) {
                            self.background_image = v;
                        }
                        /// Set background-image from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_image_from(&mut self, other: &Self) {
                            self.background_image = other.background_image.clone();
                        }
                    /// Reset background-image from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_image(&mut self, other: &Self) {
                        self.copy_background_image_from(other)
                    }

                    /// Get the computed value for background-image.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_image(&self) -> longhands::background_image::computed_value::T {
                        self.background_image.clone()
                    }
                        /// Set background-position-x.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_position_x(&mut self, v: longhands::background_position_x::computed_value::T) {
                            self.background_position_x = v;
                        }
                        /// Set background-position-x from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_position_x_from(&mut self, other: &Self) {
                            self.background_position_x = other.background_position_x.clone();
                        }
                    /// Reset background-position-x from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_position_x(&mut self, other: &Self) {
                        self.copy_background_position_x_from(other)
                    }

                    /// Get the computed value for background-position-x.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_position_x(&self) -> longhands::background_position_x::computed_value::T {
                        self.background_position_x.clone()
                    }
                        /// Set background-position-y.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_position_y(&mut self, v: longhands::background_position_y::computed_value::T) {
                            self.background_position_y = v;
                        }
                        /// Set background-position-y from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_position_y_from(&mut self, other: &Self) {
                            self.background_position_y = other.background_position_y.clone();
                        }
                    /// Reset background-position-y from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_position_y(&mut self, other: &Self) {
                        self.copy_background_position_y_from(other)
                    }

                    /// Get the computed value for background-position-y.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_position_y(&self) -> longhands::background_position_y::computed_value::T {
                        self.background_position_y.clone()
                    }
                        /// Set background-repeat.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_repeat(&mut self, v: longhands::background_repeat::computed_value::T) {
                            self.background_repeat = v;
                        }
                        /// Set background-repeat from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_repeat_from(&mut self, other: &Self) {
                            self.background_repeat = other.background_repeat.clone();
                        }
                    /// Reset background-repeat from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_repeat(&mut self, other: &Self) {
                        self.copy_background_repeat_from(other)
                    }

                    /// Get the computed value for background-repeat.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_repeat(&self) -> longhands::background_repeat::computed_value::T {
                        self.background_repeat.clone()
                    }
                        /// Set background-attachment.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_attachment(&mut self, v: longhands::background_attachment::computed_value::T) {
                            self.background_attachment = v;
                        }
                        /// Set background-attachment from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_attachment_from(&mut self, other: &Self) {
                            self.background_attachment = other.background_attachment.clone();
                        }
                    /// Reset background-attachment from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_attachment(&mut self, other: &Self) {
                        self.copy_background_attachment_from(other)
                    }

                    /// Get the computed value for background-attachment.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_attachment(&self) -> longhands::background_attachment::computed_value::T {
                        self.background_attachment.clone()
                    }
                        /// Set background-clip.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_clip(&mut self, v: longhands::background_clip::computed_value::T) {
                            self.background_clip = v;
                        }
                        /// Set background-clip from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_clip_from(&mut self, other: &Self) {
                            self.background_clip = other.background_clip.clone();
                        }
                    /// Reset background-clip from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_clip(&mut self, other: &Self) {
                        self.copy_background_clip_from(other)
                    }

                    /// Get the computed value for background-clip.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_clip(&self) -> longhands::background_clip::computed_value::T {
                        self.background_clip.clone()
                    }
                        /// Set background-origin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_origin(&mut self, v: longhands::background_origin::computed_value::T) {
                            self.background_origin = v;
                        }
                        /// Set background-origin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_origin_from(&mut self, other: &Self) {
                            self.background_origin = other.background_origin.clone();
                        }
                    /// Reset background-origin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_origin(&mut self, other: &Self) {
                        self.copy_background_origin_from(other)
                    }

                    /// Get the computed value for background-origin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_origin(&self) -> longhands::background_origin::computed_value::T {
                        self.background_origin.clone()
                    }
                        /// Set background-size.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_size(&mut self, v: longhands::background_size::computed_value::T) {
                            self.background_size = v;
                        }
                        /// Set background-size from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_size_from(&mut self, other: &Self) {
                            self.background_size = other.background_size.clone();
                        }
                    /// Reset background-size from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_size(&mut self, other: &Self) {
                        self.copy_background_size_from(other)
                    }

                    /// Get the computed value for background-size.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_size(&self) -> longhands::background_size::computed_value::T {
                        self.background_size.clone()
                    }
                        /// Set background-blend-mode.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_background_blend_mode(&mut self, v: longhands::background_blend_mode::computed_value::T) {
                            self.background_blend_mode = v;
                        }
                        /// Set background-blend-mode from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_background_blend_mode_from(&mut self, other: &Self) {
                            self.background_blend_mode = other.background_blend_mode.clone();
                        }
                    /// Reset background-blend-mode from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_background_blend_mode(&mut self, other: &Self) {
                        self.copy_background_blend_mode_from(other)
                    }

                    /// Get the computed value for background-blend-mode.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_background_blend_mode(&self) -> longhands::background_blend_mode::computed_value::T {
                        self.background_blend_mode.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Border style struct.
        pub struct Border {
                    /// The border-top-color computed value.
                    pub border_top_color: longhands::border_top_color::computed_value::T,
                    /// The border-top-style computed value.
                    pub border_top_style: longhands::border_top_style::computed_value::T,
                    /// The border-top-width computed value.
                    pub border_top_width: longhands::border_top_width::computed_value::T,
                    /// The border-right-color computed value.
                    pub border_right_color: longhands::border_right_color::computed_value::T,
                    /// The border-right-style computed value.
                    pub border_right_style: longhands::border_right_style::computed_value::T,
                    /// The border-right-width computed value.
                    pub border_right_width: longhands::border_right_width::computed_value::T,
                    /// The border-bottom-color computed value.
                    pub border_bottom_color: longhands::border_bottom_color::computed_value::T,
                    /// The border-bottom-style computed value.
                    pub border_bottom_style: longhands::border_bottom_style::computed_value::T,
                    /// The border-bottom-width computed value.
                    pub border_bottom_width: longhands::border_bottom_width::computed_value::T,
                    /// The border-left-color computed value.
                    pub border_left_color: longhands::border_left_color::computed_value::T,
                    /// The border-left-style computed value.
                    pub border_left_style: longhands::border_left_style::computed_value::T,
                    /// The border-left-width computed value.
                    pub border_left_width: longhands::border_left_width::computed_value::T,
                    /// The border-top-left-radius computed value.
                    pub border_top_left_radius: longhands::border_top_left_radius::computed_value::T,
                    /// The border-top-right-radius computed value.
                    pub border_top_right_radius: longhands::border_top_right_radius::computed_value::T,
                    /// The border-bottom-right-radius computed value.
                    pub border_bottom_right_radius: longhands::border_bottom_right_radius::computed_value::T,
                    /// The border-bottom-left-radius computed value.
                    pub border_bottom_left_radius: longhands::border_bottom_left_radius::computed_value::T,
                    /// The box-decoration-break computed value.
                    pub box_decoration_break: longhands::box_decoration_break::computed_value::T,
                    /// The -moz-float-edge computed value.
                    pub _moz_float_edge: longhands::_moz_float_edge::computed_value::T,
                    /// The border-image-source computed value.
                    pub border_image_source: longhands::border_image_source::computed_value::T,
                    /// The border-image-outset computed value.
                    pub border_image_outset: longhands::border_image_outset::computed_value::T,
                    /// The border-image-repeat computed value.
                    pub border_image_repeat: longhands::border_image_repeat::computed_value::T,
                    /// The border-image-width computed value.
                    pub border_image_width: longhands::border_image_width::computed_value::T,
                    /// The border-image-slice computed value.
                    pub border_image_slice: longhands::border_image_slice::computed_value::T,
        }

        impl Border {
                        /// Set border-top-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_top_color(&mut self, v: longhands::border_top_color::computed_value::T) {
                            self.border_top_color = v;
                        }
                        /// Set border-top-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_top_color_from(&mut self, other: &Self) {
                            self.border_top_color = other.border_top_color.clone();
                        }
                    /// Reset border-top-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_top_color(&mut self, other: &Self) {
                        self.copy_border_top_color_from(other)
                    }

                    /// Get the computed value for border-top-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_top_color(&self) -> longhands::border_top_color::computed_value::T {
                        self.border_top_color.clone()
                    }
                        /// Set border-top-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_top_style(&mut self, v: longhands::border_top_style::computed_value::T) {
                            self.border_top_style = v;
                        }
                        /// Set border-top-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_top_style_from(&mut self, other: &Self) {
                            self.border_top_style = other.border_top_style.clone();
                        }
                    /// Reset border-top-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_top_style(&mut self, other: &Self) {
                        self.copy_border_top_style_from(other)
                    }

                    /// Get the computed value for border-top-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_top_style(&self) -> longhands::border_top_style::computed_value::T {
                        self.border_top_style.clone()
                    }
                        /// Set border-top-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_top_width(&mut self, v: longhands::border_top_width::computed_value::T) {
                            self.border_top_width = v;
                        }
                        /// Set border-top-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_top_width_from(&mut self, other: &Self) {
                            self.border_top_width = other.border_top_width.clone();
                        }
                    /// Reset border-top-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_top_width(&mut self, other: &Self) {
                        self.copy_border_top_width_from(other)
                    }

                    /// Get the computed value for border-top-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_top_width(&self) -> longhands::border_top_width::computed_value::T {
                        self.border_top_width.clone()
                    }
                        /// Set border-right-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_right_color(&mut self, v: longhands::border_right_color::computed_value::T) {
                            self.border_right_color = v;
                        }
                        /// Set border-right-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_right_color_from(&mut self, other: &Self) {
                            self.border_right_color = other.border_right_color.clone();
                        }
                    /// Reset border-right-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_right_color(&mut self, other: &Self) {
                        self.copy_border_right_color_from(other)
                    }

                    /// Get the computed value for border-right-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_right_color(&self) -> longhands::border_right_color::computed_value::T {
                        self.border_right_color.clone()
                    }
                        /// Set border-right-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_right_style(&mut self, v: longhands::border_right_style::computed_value::T) {
                            self.border_right_style = v;
                        }
                        /// Set border-right-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_right_style_from(&mut self, other: &Self) {
                            self.border_right_style = other.border_right_style.clone();
                        }
                    /// Reset border-right-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_right_style(&mut self, other: &Self) {
                        self.copy_border_right_style_from(other)
                    }

                    /// Get the computed value for border-right-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_right_style(&self) -> longhands::border_right_style::computed_value::T {
                        self.border_right_style.clone()
                    }
                        /// Set border-right-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_right_width(&mut self, v: longhands::border_right_width::computed_value::T) {
                            self.border_right_width = v;
                        }
                        /// Set border-right-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_right_width_from(&mut self, other: &Self) {
                            self.border_right_width = other.border_right_width.clone();
                        }
                    /// Reset border-right-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_right_width(&mut self, other: &Self) {
                        self.copy_border_right_width_from(other)
                    }

                    /// Get the computed value for border-right-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_right_width(&self) -> longhands::border_right_width::computed_value::T {
                        self.border_right_width.clone()
                    }
                        /// Set border-bottom-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_bottom_color(&mut self, v: longhands::border_bottom_color::computed_value::T) {
                            self.border_bottom_color = v;
                        }
                        /// Set border-bottom-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_bottom_color_from(&mut self, other: &Self) {
                            self.border_bottom_color = other.border_bottom_color.clone();
                        }
                    /// Reset border-bottom-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_bottom_color(&mut self, other: &Self) {
                        self.copy_border_bottom_color_from(other)
                    }

                    /// Get the computed value for border-bottom-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_bottom_color(&self) -> longhands::border_bottom_color::computed_value::T {
                        self.border_bottom_color.clone()
                    }
                        /// Set border-bottom-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_bottom_style(&mut self, v: longhands::border_bottom_style::computed_value::T) {
                            self.border_bottom_style = v;
                        }
                        /// Set border-bottom-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_bottom_style_from(&mut self, other: &Self) {
                            self.border_bottom_style = other.border_bottom_style.clone();
                        }
                    /// Reset border-bottom-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_bottom_style(&mut self, other: &Self) {
                        self.copy_border_bottom_style_from(other)
                    }

                    /// Get the computed value for border-bottom-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_bottom_style(&self) -> longhands::border_bottom_style::computed_value::T {
                        self.border_bottom_style.clone()
                    }
                        /// Set border-bottom-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_bottom_width(&mut self, v: longhands::border_bottom_width::computed_value::T) {
                            self.border_bottom_width = v;
                        }
                        /// Set border-bottom-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_bottom_width_from(&mut self, other: &Self) {
                            self.border_bottom_width = other.border_bottom_width.clone();
                        }
                    /// Reset border-bottom-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_bottom_width(&mut self, other: &Self) {
                        self.copy_border_bottom_width_from(other)
                    }

                    /// Get the computed value for border-bottom-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_bottom_width(&self) -> longhands::border_bottom_width::computed_value::T {
                        self.border_bottom_width.clone()
                    }
                        /// Set border-left-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_left_color(&mut self, v: longhands::border_left_color::computed_value::T) {
                            self.border_left_color = v;
                        }
                        /// Set border-left-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_left_color_from(&mut self, other: &Self) {
                            self.border_left_color = other.border_left_color.clone();
                        }
                    /// Reset border-left-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_left_color(&mut self, other: &Self) {
                        self.copy_border_left_color_from(other)
                    }

                    /// Get the computed value for border-left-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_left_color(&self) -> longhands::border_left_color::computed_value::T {
                        self.border_left_color.clone()
                    }
                        /// Set border-left-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_left_style(&mut self, v: longhands::border_left_style::computed_value::T) {
                            self.border_left_style = v;
                        }
                        /// Set border-left-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_left_style_from(&mut self, other: &Self) {
                            self.border_left_style = other.border_left_style.clone();
                        }
                    /// Reset border-left-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_left_style(&mut self, other: &Self) {
                        self.copy_border_left_style_from(other)
                    }

                    /// Get the computed value for border-left-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_left_style(&self) -> longhands::border_left_style::computed_value::T {
                        self.border_left_style.clone()
                    }
                        /// Set border-left-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_left_width(&mut self, v: longhands::border_left_width::computed_value::T) {
                            self.border_left_width = v;
                        }
                        /// Set border-left-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_left_width_from(&mut self, other: &Self) {
                            self.border_left_width = other.border_left_width.clone();
                        }
                    /// Reset border-left-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_left_width(&mut self, other: &Self) {
                        self.copy_border_left_width_from(other)
                    }

                    /// Get the computed value for border-left-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_left_width(&self) -> longhands::border_left_width::computed_value::T {
                        self.border_left_width.clone()
                    }
                    
    /// Set the appropriate physical property for border-block-start-color given a writing mode.
    pub fn set_border_block_start_color(&mut self,
                                      v: longhands::border_block_start_color::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_color(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_color(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_color(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_color(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-start-color
    /// given a writing mode.
    pub fn copy_border_block_start_color_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_color_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_color_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_color_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_color_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-start-color
    /// given a writing mode.
    pub fn reset_border_block_start_color(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_block_start_color_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-block-start-color given a writing mode.
    pub fn clone_border_block_start_color(&self, wm: WritingMode)
        -> longhands::border_block_start_color::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_color()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_color()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_color()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_color()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-block-start-style given a writing mode.
    pub fn set_border_block_start_style(&mut self,
                                      v: longhands::border_block_start_style::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_style(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_style(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_style(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_style(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-start-style
    /// given a writing mode.
    pub fn copy_border_block_start_style_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_style_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_style_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_style_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_style_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-start-style
    /// given a writing mode.
    pub fn reset_border_block_start_style(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_block_start_style_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-block-start-style given a writing mode.
    pub fn clone_border_block_start_style(&self, wm: WritingMode)
        -> longhands::border_block_start_style::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_style()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_style()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_style()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_style()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-block-start-width given a writing mode.
    pub fn set_border_block_start_width(&mut self,
                                      v: longhands::border_block_start_width::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_width(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_width(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_width(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_width(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-start-width
    /// given a writing mode.
    pub fn copy_border_block_start_width_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_width_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_width_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_width_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_width_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-start-width
    /// given a writing mode.
    pub fn reset_border_block_start_width(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_block_start_width_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-block-start-width given a writing mode.
    pub fn clone_border_block_start_width(&self, wm: WritingMode)
        -> longhands::border_block_start_width::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_width()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_width()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_width()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_width()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-block-end-color given a writing mode.
    pub fn set_border_block_end_color(&mut self,
                                      v: longhands::border_block_end_color::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_color(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_color(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_color(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_color(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-end-color
    /// given a writing mode.
    pub fn copy_border_block_end_color_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_color_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_color_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_color_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_color_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-end-color
    /// given a writing mode.
    pub fn reset_border_block_end_color(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_block_end_color_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-block-end-color given a writing mode.
    pub fn clone_border_block_end_color(&self, wm: WritingMode)
        -> longhands::border_block_end_color::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_color()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_color()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_color()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_color()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-block-end-style given a writing mode.
    pub fn set_border_block_end_style(&mut self,
                                      v: longhands::border_block_end_style::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_style(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_style(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_style(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_style(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-end-style
    /// given a writing mode.
    pub fn copy_border_block_end_style_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_style_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_style_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_style_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_style_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-end-style
    /// given a writing mode.
    pub fn reset_border_block_end_style(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_block_end_style_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-block-end-style given a writing mode.
    pub fn clone_border_block_end_style(&self, wm: WritingMode)
        -> longhands::border_block_end_style::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_style()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_style()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_style()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_style()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-block-end-width given a writing mode.
    pub fn set_border_block_end_width(&mut self,
                                      v: longhands::border_block_end_width::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_width(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_width(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_width(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_width(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-end-width
    /// given a writing mode.
    pub fn copy_border_block_end_width_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_width_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_width_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_width_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_width_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-block-end-width
    /// given a writing mode.
    pub fn reset_border_block_end_width(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_block_end_width_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-block-end-width given a writing mode.
    pub fn clone_border_block_end_width(&self, wm: WritingMode)
        -> longhands::border_block_end_width::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_width()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_width()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_width()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_width()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-inline-start-color given a writing mode.
    pub fn set_border_inline_start_color(&mut self,
                                      v: longhands::border_inline_start_color::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_color(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_color(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_color(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_color(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-start-color
    /// given a writing mode.
    pub fn copy_border_inline_start_color_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_color_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_color_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_color_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_color_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-start-color
    /// given a writing mode.
    pub fn reset_border_inline_start_color(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_inline_start_color_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-inline-start-color given a writing mode.
    pub fn clone_border_inline_start_color(&self, wm: WritingMode)
        -> longhands::border_inline_start_color::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_color()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_color()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_color()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_color()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-inline-start-style given a writing mode.
    pub fn set_border_inline_start_style(&mut self,
                                      v: longhands::border_inline_start_style::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_style(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_style(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_style(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_style(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-start-style
    /// given a writing mode.
    pub fn copy_border_inline_start_style_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_style_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_style_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_style_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_style_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-start-style
    /// given a writing mode.
    pub fn reset_border_inline_start_style(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_inline_start_style_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-inline-start-style given a writing mode.
    pub fn clone_border_inline_start_style(&self, wm: WritingMode)
        -> longhands::border_inline_start_style::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_style()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_style()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_style()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_style()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-inline-start-width given a writing mode.
    pub fn set_border_inline_start_width(&mut self,
                                      v: longhands::border_inline_start_width::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_width(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_width(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_width(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_width(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-start-width
    /// given a writing mode.
    pub fn copy_border_inline_start_width_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_width_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_width_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_width_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_width_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-start-width
    /// given a writing mode.
    pub fn reset_border_inline_start_width(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_inline_start_width_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-inline-start-width given a writing mode.
    pub fn clone_border_inline_start_width(&self, wm: WritingMode)
        -> longhands::border_inline_start_width::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_width()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_width()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_width()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_width()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-inline-end-color given a writing mode.
    pub fn set_border_inline_end_color(&mut self,
                                      v: longhands::border_inline_end_color::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_color(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_color(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_color(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_color(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-end-color
    /// given a writing mode.
    pub fn copy_border_inline_end_color_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_color_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_color_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_color_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_color_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-end-color
    /// given a writing mode.
    pub fn reset_border_inline_end_color(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_inline_end_color_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-inline-end-color given a writing mode.
    pub fn clone_border_inline_end_color(&self, wm: WritingMode)
        -> longhands::border_inline_end_color::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_color()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_color()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_color()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_color()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-inline-end-style given a writing mode.
    pub fn set_border_inline_end_style(&mut self,
                                      v: longhands::border_inline_end_style::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_style(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_style(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_style(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_style(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-end-style
    /// given a writing mode.
    pub fn copy_border_inline_end_style_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_style_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_style_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_style_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_style_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-end-style
    /// given a writing mode.
    pub fn reset_border_inline_end_style(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_inline_end_style_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-inline-end-style given a writing mode.
    pub fn clone_border_inline_end_style(&self, wm: WritingMode)
        -> longhands::border_inline_end_style::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_style()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_style()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_style()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_style()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-inline-end-width given a writing mode.
    pub fn set_border_inline_end_width(&mut self,
                                      v: longhands::border_inline_end_width::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_border_top_width(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_border_right_width(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_border_bottom_width(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_border_left_width(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-end-width
    /// given a writing mode.
    pub fn copy_border_inline_end_width_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_border_top_width_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_border_right_width_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_border_bottom_width_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_border_left_width_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-inline-end-width
    /// given a writing mode.
    pub fn reset_border_inline_end_width(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_inline_end_width_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-inline-end-width given a writing mode.
    pub fn clone_border_inline_end_width(&self, wm: WritingMode)
        -> longhands::border_inline_end_width::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_border_top_width()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_border_right_width()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_border_bottom_width()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_border_left_width()
        
                }
        }

    }

                        /// Set border-top-left-radius.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_top_left_radius(&mut self, v: longhands::border_top_left_radius::computed_value::T) {
                            self.border_top_left_radius = v;
                        }
                        /// Set border-top-left-radius from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_top_left_radius_from(&mut self, other: &Self) {
                            self.border_top_left_radius = other.border_top_left_radius.clone();
                        }
                    /// Reset border-top-left-radius from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_top_left_radius(&mut self, other: &Self) {
                        self.copy_border_top_left_radius_from(other)
                    }

                    /// Get the computed value for border-top-left-radius.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_top_left_radius(&self) -> longhands::border_top_left_radius::computed_value::T {
                        self.border_top_left_radius.clone()
                    }
                        /// Set border-top-right-radius.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_top_right_radius(&mut self, v: longhands::border_top_right_radius::computed_value::T) {
                            self.border_top_right_radius = v;
                        }
                        /// Set border-top-right-radius from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_top_right_radius_from(&mut self, other: &Self) {
                            self.border_top_right_radius = other.border_top_right_radius.clone();
                        }
                    /// Reset border-top-right-radius from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_top_right_radius(&mut self, other: &Self) {
                        self.copy_border_top_right_radius_from(other)
                    }

                    /// Get the computed value for border-top-right-radius.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_top_right_radius(&self) -> longhands::border_top_right_radius::computed_value::T {
                        self.border_top_right_radius.clone()
                    }
                        /// Set border-bottom-right-radius.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_bottom_right_radius(&mut self, v: longhands::border_bottom_right_radius::computed_value::T) {
                            self.border_bottom_right_radius = v;
                        }
                        /// Set border-bottom-right-radius from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_bottom_right_radius_from(&mut self, other: &Self) {
                            self.border_bottom_right_radius = other.border_bottom_right_radius.clone();
                        }
                    /// Reset border-bottom-right-radius from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_bottom_right_radius(&mut self, other: &Self) {
                        self.copy_border_bottom_right_radius_from(other)
                    }

                    /// Get the computed value for border-bottom-right-radius.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_bottom_right_radius(&self) -> longhands::border_bottom_right_radius::computed_value::T {
                        self.border_bottom_right_radius.clone()
                    }
                        /// Set border-bottom-left-radius.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_bottom_left_radius(&mut self, v: longhands::border_bottom_left_radius::computed_value::T) {
                            self.border_bottom_left_radius = v;
                        }
                        /// Set border-bottom-left-radius from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_bottom_left_radius_from(&mut self, other: &Self) {
                            self.border_bottom_left_radius = other.border_bottom_left_radius.clone();
                        }
                    /// Reset border-bottom-left-radius from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_bottom_left_radius(&mut self, other: &Self) {
                        self.copy_border_bottom_left_radius_from(other)
                    }

                    /// Get the computed value for border-bottom-left-radius.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_bottom_left_radius(&self) -> longhands::border_bottom_left_radius::computed_value::T {
                        self.border_bottom_left_radius.clone()
                    }
                    
    /// Set the appropriate physical property for border-start-start-radius given a writing mode.
    pub fn set_border_start_start_radius(&mut self,
                                      v: longhands::border_start_start_radius::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.set_border_top_left_radius(v)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.set_border_top_right_radius(v)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.set_border_bottom_right_radius(v)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.set_border_bottom_left_radius(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-start-start-radius
    /// given a writing mode.
    pub fn copy_border_start_start_radius_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.copy_border_top_left_radius_from(other)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.copy_border_top_right_radius_from(other)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.copy_border_bottom_right_radius_from(other)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.copy_border_bottom_left_radius_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-start-start-radius
    /// given a writing mode.
    pub fn reset_border_start_start_radius(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_start_start_radius_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-start-start-radius given a writing mode.
    pub fn clone_border_start_start_radius(&self, wm: WritingMode)
        -> longhands::border_start_start_radius::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
            self.clone_border_top_left_radius()
        
                }
                PhysicalCorner::TopRight => {
                    
            self.clone_border_top_right_radius()
        
                }
                PhysicalCorner::BottomRight => {
                    
            self.clone_border_bottom_right_radius()
        
                }
                PhysicalCorner::BottomLeft => {
                    
            self.clone_border_bottom_left_radius()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-start-end-radius given a writing mode.
    pub fn set_border_start_end_radius(&mut self,
                                      v: longhands::border_start_end_radius::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.set_border_top_left_radius(v)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.set_border_top_right_radius(v)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.set_border_bottom_right_radius(v)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.set_border_bottom_left_radius(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-start-end-radius
    /// given a writing mode.
    pub fn copy_border_start_end_radius_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.copy_border_top_left_radius_from(other)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.copy_border_top_right_radius_from(other)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.copy_border_bottom_right_radius_from(other)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.copy_border_bottom_left_radius_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-start-end-radius
    /// given a writing mode.
    pub fn reset_border_start_end_radius(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_start_end_radius_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-start-end-radius given a writing mode.
    pub fn clone_border_start_end_radius(&self, wm: WritingMode)
        -> longhands::border_start_end_radius::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.start_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
            self.clone_border_top_left_radius()
        
                }
                PhysicalCorner::TopRight => {
                    
            self.clone_border_top_right_radius()
        
                }
                PhysicalCorner::BottomRight => {
                    
            self.clone_border_bottom_right_radius()
        
                }
                PhysicalCorner::BottomLeft => {
                    
            self.clone_border_bottom_left_radius()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-end-start-radius given a writing mode.
    pub fn set_border_end_start_radius(&mut self,
                                      v: longhands::border_end_start_radius::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.set_border_top_left_radius(v)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.set_border_top_right_radius(v)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.set_border_bottom_right_radius(v)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.set_border_bottom_left_radius(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-end-start-radius
    /// given a writing mode.
    pub fn copy_border_end_start_radius_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.copy_border_top_left_radius_from(other)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.copy_border_top_right_radius_from(other)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.copy_border_bottom_right_radius_from(other)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.copy_border_bottom_left_radius_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-end-start-radius
    /// given a writing mode.
    pub fn reset_border_end_start_radius(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_end_start_radius_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-end-start-radius given a writing mode.
    pub fn clone_border_end_start_radius(&self, wm: WritingMode)
        -> longhands::border_end_start_radius::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_start_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
            self.clone_border_top_left_radius()
        
                }
                PhysicalCorner::TopRight => {
                    
            self.clone_border_top_right_radius()
        
                }
                PhysicalCorner::BottomRight => {
                    
            self.clone_border_bottom_right_radius()
        
                }
                PhysicalCorner::BottomLeft => {
                    
            self.clone_border_bottom_left_radius()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for border-end-end-radius given a writing mode.
    pub fn set_border_end_end_radius(&mut self,
                                      v: longhands::border_end_end_radius::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.set_border_top_left_radius(v)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.set_border_top_right_radius(v)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.set_border_bottom_right_radius(v)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.set_border_bottom_left_radius(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-end-end-radius
    /// given a writing mode.
    pub fn copy_border_end_end_radius_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
                self.copy_border_top_left_radius_from(other)
            
                }
                PhysicalCorner::TopRight => {
                    
                self.copy_border_top_right_radius_from(other)
            
                }
                PhysicalCorner::BottomRight => {
                    
                self.copy_border_bottom_right_radius_from(other)
            
                }
                PhysicalCorner::BottomLeft => {
                    
                self.copy_border_bottom_left_radius_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for border-end-end-radius
    /// given a writing mode.
    pub fn reset_border_end_end_radius(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_border_end_end_radius_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// border-end-end-radius given a writing mode.
    pub fn clone_border_end_end_radius(&self, wm: WritingMode)
        -> longhands::border_end_end_radius::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalCorner;
        match wm.end_end_physical_corner() {
                PhysicalCorner::TopLeft => {
                    
            self.clone_border_top_left_radius()
        
                }
                PhysicalCorner::TopRight => {
                    
            self.clone_border_top_right_radius()
        
                }
                PhysicalCorner::BottomRight => {
                    
            self.clone_border_bottom_right_radius()
        
                }
                PhysicalCorner::BottomLeft => {
                    
            self.clone_border_bottom_left_radius()
        
                }
        }

    }

                        /// Set box-decoration-break.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_box_decoration_break(&mut self, v: longhands::box_decoration_break::computed_value::T) {
                            self.box_decoration_break = v;
                        }
                        /// Set box-decoration-break from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_box_decoration_break_from(&mut self, other: &Self) {
                            self.box_decoration_break = other.box_decoration_break.clone();
                        }
                    /// Reset box-decoration-break from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_box_decoration_break(&mut self, other: &Self) {
                        self.copy_box_decoration_break_from(other)
                    }

                    /// Get the computed value for box-decoration-break.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_box_decoration_break(&self) -> longhands::box_decoration_break::computed_value::T {
                        self.box_decoration_break.clone()
                    }
                        /// Set -moz-float-edge.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_float_edge(&mut self, v: longhands::_moz_float_edge::computed_value::T) {
                            self._moz_float_edge = v;
                        }
                        /// Set -moz-float-edge from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_float_edge_from(&mut self, other: &Self) {
                            self._moz_float_edge = other._moz_float_edge.clone();
                        }
                    /// Reset -moz-float-edge from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_float_edge(&mut self, other: &Self) {
                        self.copy__moz_float_edge_from(other)
                    }

                    /// Get the computed value for -moz-float-edge.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_float_edge(&self) -> longhands::_moz_float_edge::computed_value::T {
                        self._moz_float_edge.clone()
                    }
                        /// Set border-image-source.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_image_source(&mut self, v: longhands::border_image_source::computed_value::T) {
                            self.border_image_source = v;
                        }
                        /// Set border-image-source from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_image_source_from(&mut self, other: &Self) {
                            self.border_image_source = other.border_image_source.clone();
                        }
                    /// Reset border-image-source from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_image_source(&mut self, other: &Self) {
                        self.copy_border_image_source_from(other)
                    }

                    /// Get the computed value for border-image-source.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_image_source(&self) -> longhands::border_image_source::computed_value::T {
                        self.border_image_source.clone()
                    }
                        /// Set border-image-outset.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_image_outset(&mut self, v: longhands::border_image_outset::computed_value::T) {
                            self.border_image_outset = v;
                        }
                        /// Set border-image-outset from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_image_outset_from(&mut self, other: &Self) {
                            self.border_image_outset = other.border_image_outset.clone();
                        }
                    /// Reset border-image-outset from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_image_outset(&mut self, other: &Self) {
                        self.copy_border_image_outset_from(other)
                    }

                    /// Get the computed value for border-image-outset.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_image_outset(&self) -> longhands::border_image_outset::computed_value::T {
                        self.border_image_outset.clone()
                    }
                        /// Set border-image-repeat.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_image_repeat(&mut self, v: longhands::border_image_repeat::computed_value::T) {
                            self.border_image_repeat = v;
                        }
                        /// Set border-image-repeat from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_image_repeat_from(&mut self, other: &Self) {
                            self.border_image_repeat = other.border_image_repeat.clone();
                        }
                    /// Reset border-image-repeat from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_image_repeat(&mut self, other: &Self) {
                        self.copy_border_image_repeat_from(other)
                    }

                    /// Get the computed value for border-image-repeat.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_image_repeat(&self) -> longhands::border_image_repeat::computed_value::T {
                        self.border_image_repeat.clone()
                    }
                        /// Set border-image-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_image_width(&mut self, v: longhands::border_image_width::computed_value::T) {
                            self.border_image_width = v;
                        }
                        /// Set border-image-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_image_width_from(&mut self, other: &Self) {
                            self.border_image_width = other.border_image_width.clone();
                        }
                    /// Reset border-image-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_image_width(&mut self, other: &Self) {
                        self.copy_border_image_width_from(other)
                    }

                    /// Get the computed value for border-image-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_image_width(&self) -> longhands::border_image_width::computed_value::T {
                        self.border_image_width.clone()
                    }
                        /// Set border-image-slice.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_image_slice(&mut self, v: longhands::border_image_slice::computed_value::T) {
                            self.border_image_slice = v;
                        }
                        /// Set border-image-slice from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_image_slice_from(&mut self, other: &Self) {
                            self.border_image_slice = other.border_image_slice.clone();
                        }
                    /// Reset border-image-slice from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_image_slice(&mut self, other: &Self) {
                        self.copy_border_image_slice_from(other)
                    }

                    /// Get the computed value for border-image-slice.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_image_slice(&self) -> longhands::border_image_slice::computed_value::T {
                        self.border_image_slice.clone()
                    }
                    /// Whether the border-top property has nonzero width.
                    #[allow(non_snake_case)]
                    pub fn border_top_has_nonzero_width(&self) -> bool {
                        use crate::Zero;
                        !self.border_top_width.is_zero()
                    }
                    /// Whether the border-right property has nonzero width.
                    #[allow(non_snake_case)]
                    pub fn border_right_has_nonzero_width(&self) -> bool {
                        use crate::Zero;
                        !self.border_right_width.is_zero()
                    }
                    /// Whether the border-bottom property has nonzero width.
                    #[allow(non_snake_case)]
                    pub fn border_bottom_has_nonzero_width(&self) -> bool {
                        use crate::Zero;
                        !self.border_bottom_width.is_zero()
                    }
                    /// Whether the border-left property has nonzero width.
                    #[allow(non_snake_case)]
                    pub fn border_left_has_nonzero_width(&self) -> bool {
                        use crate::Zero;
                        !self.border_left_width.is_zero()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Box style struct.
        pub struct Box {
                    /// The display computed value.
                    pub display: longhands::display::computed_value::T,
                    /// The -moz-top-layer computed value.
                    pub _moz_top_layer: longhands::_moz_top_layer::computed_value::T,
                    /// The position computed value.
                    pub position: longhands::position::computed_value::T,
                    /// The float computed value.
                    pub float: longhands::float::computed_value::T,
                    /// The clear computed value.
                    pub clear: longhands::clear::computed_value::T,
                    /// The vertical-align computed value.
                    pub vertical_align: longhands::vertical_align::computed_value::T,
                    /// The baseline-source computed value.
                    pub baseline_source: longhands::baseline_source::computed_value::T,
                    /// The overflow-clip-box-inline computed value.
                    pub overflow_clip_box_inline: longhands::overflow_clip_box_inline::computed_value::T,
                    /// The overflow-clip-box-block computed value.
                    pub overflow_clip_box_block: longhands::overflow_clip_box_block::computed_value::T,
                    /// The overflow-x computed value.
                    pub overflow_x: longhands::overflow_x::computed_value::T,
                    /// The overflow-y computed value.
                    pub overflow_y: longhands::overflow_y::computed_value::T,
                    /// The overflow-anchor computed value.
                    pub overflow_anchor: longhands::overflow_anchor::computed_value::T,
                    /// The transform computed value.
                    pub transform: longhands::transform::computed_value::T,
                    /// The rotate computed value.
                    pub rotate: longhands::rotate::computed_value::T,
                    /// The scale computed value.
                    pub scale: longhands::scale::computed_value::T,
                    /// The translate computed value.
                    pub translate: longhands::translate::computed_value::T,
                    /// The offset-path computed value.
                    pub offset_path: longhands::offset_path::computed_value::T,
                    /// The offset-distance computed value.
                    pub offset_distance: longhands::offset_distance::computed_value::T,
                    /// The offset-rotate computed value.
                    pub offset_rotate: longhands::offset_rotate::computed_value::T,
                    /// The offset-anchor computed value.
                    pub offset_anchor: longhands::offset_anchor::computed_value::T,
                    /// The offset-position computed value.
                    pub offset_position: longhands::offset_position::computed_value::T,
                    /// The scroll-behavior computed value.
                    pub scroll_behavior: longhands::scroll_behavior::computed_value::T,
                    /// The scroll-snap-align computed value.
                    pub scroll_snap_align: longhands::scroll_snap_align::computed_value::T,
                    /// The scroll-snap-type computed value.
                    pub scroll_snap_type: longhands::scroll_snap_type::computed_value::T,
                    /// The scroll-snap-stop computed value.
                    pub scroll_snap_stop: longhands::scroll_snap_stop::computed_value::T,
                    /// The overscroll-behavior-x computed value.
                    pub overscroll_behavior_x: longhands::overscroll_behavior_x::computed_value::T,
                    /// The overscroll-behavior-y computed value.
                    pub overscroll_behavior_y: longhands::overscroll_behavior_y::computed_value::T,
                    /// The isolation computed value.
                    pub isolation: longhands::isolation::computed_value::T,
                    /// The break-after computed value.
                    pub break_after: longhands::break_after::computed_value::T,
                    /// The break-before computed value.
                    pub break_before: longhands::break_before::computed_value::T,
                    /// The break-inside computed value.
                    pub break_inside: longhands::break_inside::computed_value::T,
                    /// The resize computed value.
                    pub resize: longhands::resize::computed_value::T,
                    /// The perspective computed value.
                    pub perspective: longhands::perspective::computed_value::T,
                    /// The perspective-origin computed value.
                    pub perspective_origin: longhands::perspective_origin::computed_value::T,
                    /// The backface-visibility computed value.
                    pub backface_visibility: longhands::backface_visibility::computed_value::T,
                    /// The transform-box computed value.
                    pub transform_box: longhands::transform_box::computed_value::T,
                    /// The transform-style computed value.
                    pub transform_style: longhands::transform_style::computed_value::T,
                    /// The transform-origin computed value.
                    pub transform_origin: longhands::transform_origin::computed_value::T,
                    /// The contain computed value.
                    pub contain: longhands::contain::computed_value::T,
                    /// The content-visibility computed value.
                    pub content_visibility: longhands::content_visibility::computed_value::T,
                    /// The container-type computed value.
                    pub container_type: longhands::container_type::computed_value::T,
                    /// The container-name computed value.
                    pub container_name: longhands::container_name::computed_value::T,
                    /// The appearance computed value.
                    pub appearance: longhands::appearance::computed_value::T,
                    /// The -moz-default-appearance computed value.
                    pub _moz_default_appearance: longhands::_moz_default_appearance::computed_value::T,
                    /// The -moz-orient computed value.
                    pub _moz_orient: longhands::_moz_orient::computed_value::T,
                    /// The will-change computed value.
                    pub will_change: longhands::will_change::computed_value::T,
                    /// The shape-image-threshold computed value.
                    pub shape_image_threshold: longhands::shape_image_threshold::computed_value::T,
                    /// The shape-margin computed value.
                    pub shape_margin: longhands::shape_margin::computed_value::T,
                    /// The shape-outside computed value.
                    pub shape_outside: longhands::shape_outside::computed_value::T,
                    /// The touch-action computed value.
                    pub touch_action: longhands::touch_action::computed_value::T,
                    /// The -webkit-line-clamp computed value.
                    pub _webkit_line_clamp: longhands::_webkit_line_clamp::computed_value::T,
                    /// The scrollbar-gutter computed value.
                    pub scrollbar_gutter: longhands::scrollbar_gutter::computed_value::T,
                /// The display value specified by the CSS stylesheets (without any style adjustments),
                /// which is needed for hypothetical layout boxes.
                pub original_display: longhands::display::computed_value::T,
        }

        impl Box {
                        /// Set `display`.
                        ///
                        /// We need to keep track of the original display for hypothetical boxes,
                        /// so we need to special-case this.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_display(&mut self, v: longhands::display::computed_value::T) {
                            self.display = v;
                            self.original_display = v;
                        }
                        /// Set `display` from other struct.
                        ///
                        /// Same as `set_display` above.
                        /// Thus, we need to special-case this.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_display_from(&mut self, other: &Self) {
                            self.display = other.display.clone();
                            self.original_display = other.display.clone();
                        }
                    /// Reset display from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_display(&mut self, other: &Self) {
                        self.copy_display_from(other)
                    }

                    /// Get the computed value for display.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_display(&self) -> longhands::display::computed_value::T {
                        self.display.clone()
                    }
                        /// Set -moz-top-layer.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_top_layer(&mut self, v: longhands::_moz_top_layer::computed_value::T) {
                            self._moz_top_layer = v;
                        }
                        /// Set -moz-top-layer from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_top_layer_from(&mut self, other: &Self) {
                            self._moz_top_layer = other._moz_top_layer.clone();
                        }
                    /// Reset -moz-top-layer from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_top_layer(&mut self, other: &Self) {
                        self.copy__moz_top_layer_from(other)
                    }

                    /// Get the computed value for -moz-top-layer.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_top_layer(&self) -> longhands::_moz_top_layer::computed_value::T {
                        self._moz_top_layer.clone()
                    }
                        /// Set position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_position(&mut self, v: longhands::position::computed_value::T) {
                            self.position = v;
                        }
                        /// Set position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_position_from(&mut self, other: &Self) {
                            self.position = other.position.clone();
                        }
                    /// Reset position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_position(&mut self, other: &Self) {
                        self.copy_position_from(other)
                    }

                    /// Get the computed value for position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_position(&self) -> longhands::position::computed_value::T {
                        self.position.clone()
                    }
                        /// Set float.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_float(&mut self, v: longhands::float::computed_value::T) {
                            self.float = v;
                        }
                        /// Set float from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_float_from(&mut self, other: &Self) {
                            self.float = other.float.clone();
                        }
                    /// Reset float from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_float(&mut self, other: &Self) {
                        self.copy_float_from(other)
                    }

                    /// Get the computed value for float.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_float(&self) -> longhands::float::computed_value::T {
                        self.float.clone()
                    }
                        /// Set clear.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_clear(&mut self, v: longhands::clear::computed_value::T) {
                            self.clear = v;
                        }
                        /// Set clear from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_clear_from(&mut self, other: &Self) {
                            self.clear = other.clear.clone();
                        }
                    /// Reset clear from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_clear(&mut self, other: &Self) {
                        self.copy_clear_from(other)
                    }

                    /// Get the computed value for clear.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_clear(&self) -> longhands::clear::computed_value::T {
                        self.clear.clone()
                    }
                        /// Set vertical-align.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_vertical_align(&mut self, v: longhands::vertical_align::computed_value::T) {
                            self.vertical_align = v;
                        }
                        /// Set vertical-align from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_vertical_align_from(&mut self, other: &Self) {
                            self.vertical_align = other.vertical_align.clone();
                        }
                    /// Reset vertical-align from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_vertical_align(&mut self, other: &Self) {
                        self.copy_vertical_align_from(other)
                    }

                    /// Get the computed value for vertical-align.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_vertical_align(&self) -> longhands::vertical_align::computed_value::T {
                        self.vertical_align.clone()
                    }
                        /// Set baseline-source.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_baseline_source(&mut self, v: longhands::baseline_source::computed_value::T) {
                            self.baseline_source = v;
                        }
                        /// Set baseline-source from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_baseline_source_from(&mut self, other: &Self) {
                            self.baseline_source = other.baseline_source.clone();
                        }
                    /// Reset baseline-source from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_baseline_source(&mut self, other: &Self) {
                        self.copy_baseline_source_from(other)
                    }

                    /// Get the computed value for baseline-source.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_baseline_source(&self) -> longhands::baseline_source::computed_value::T {
                        self.baseline_source.clone()
                    }
                        /// Set overflow-clip-box-inline.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_clip_box_inline(&mut self, v: longhands::overflow_clip_box_inline::computed_value::T) {
                            self.overflow_clip_box_inline = v;
                        }
                        /// Set overflow-clip-box-inline from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_clip_box_inline_from(&mut self, other: &Self) {
                            self.overflow_clip_box_inline = other.overflow_clip_box_inline.clone();
                        }
                    /// Reset overflow-clip-box-inline from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_clip_box_inline(&mut self, other: &Self) {
                        self.copy_overflow_clip_box_inline_from(other)
                    }

                    /// Get the computed value for overflow-clip-box-inline.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_clip_box_inline(&self) -> longhands::overflow_clip_box_inline::computed_value::T {
                        self.overflow_clip_box_inline.clone()
                    }
                        /// Set overflow-clip-box-block.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_clip_box_block(&mut self, v: longhands::overflow_clip_box_block::computed_value::T) {
                            self.overflow_clip_box_block = v;
                        }
                        /// Set overflow-clip-box-block from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_clip_box_block_from(&mut self, other: &Self) {
                            self.overflow_clip_box_block = other.overflow_clip_box_block.clone();
                        }
                    /// Reset overflow-clip-box-block from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_clip_box_block(&mut self, other: &Self) {
                        self.copy_overflow_clip_box_block_from(other)
                    }

                    /// Get the computed value for overflow-clip-box-block.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_clip_box_block(&self) -> longhands::overflow_clip_box_block::computed_value::T {
                        self.overflow_clip_box_block.clone()
                    }
                        /// Set overflow-x.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_x(&mut self, v: longhands::overflow_x::computed_value::T) {
                            self.overflow_x = v;
                        }
                        /// Set overflow-x from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_x_from(&mut self, other: &Self) {
                            self.overflow_x = other.overflow_x.clone();
                        }
                    /// Reset overflow-x from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_x(&mut self, other: &Self) {
                        self.copy_overflow_x_from(other)
                    }

                    /// Get the computed value for overflow-x.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_x(&self) -> longhands::overflow_x::computed_value::T {
                        self.overflow_x.clone()
                    }
                        /// Set overflow-y.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_y(&mut self, v: longhands::overflow_y::computed_value::T) {
                            self.overflow_y = v;
                        }
                        /// Set overflow-y from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_y_from(&mut self, other: &Self) {
                            self.overflow_y = other.overflow_y.clone();
                        }
                    /// Reset overflow-y from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_y(&mut self, other: &Self) {
                        self.copy_overflow_y_from(other)
                    }

                    /// Get the computed value for overflow-y.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_y(&self) -> longhands::overflow_y::computed_value::T {
                        self.overflow_y.clone()
                    }
                    
    /// Set the appropriate physical property for overflow-inline given a writing mode.
    pub fn set_overflow_inline(&mut self,
                                      v: longhands::overflow_inline::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_overflow_y(v)
            
        } else {
            
                self.set_overflow_x(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overflow-inline
    /// given a writing mode.
    pub fn copy_overflow_inline_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_overflow_y_from(other)
            
        } else {
            
                self.copy_overflow_x_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overflow-inline
    /// given a writing mode.
    pub fn reset_overflow_inline(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_overflow_inline_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// overflow-inline given a writing mode.
    pub fn clone_overflow_inline(&self, wm: WritingMode)
        -> longhands::overflow_inline::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_overflow_y()
        
        } else {
            
            self.clone_overflow_x()
        
        }

    }

                    
    /// Set the appropriate physical property for overflow-block given a writing mode.
    pub fn set_overflow_block(&mut self,
                                      v: longhands::overflow_block::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_overflow_x(v)
            
        } else {
            
                self.set_overflow_y(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overflow-block
    /// given a writing mode.
    pub fn copy_overflow_block_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_overflow_x_from(other)
            
        } else {
            
                self.copy_overflow_y_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overflow-block
    /// given a writing mode.
    pub fn reset_overflow_block(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_overflow_block_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// overflow-block given a writing mode.
    pub fn clone_overflow_block(&self, wm: WritingMode)
        -> longhands::overflow_block::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_overflow_x()
        
        } else {
            
            self.clone_overflow_y()
        
        }

    }

                        /// Set overflow-anchor.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_anchor(&mut self, v: longhands::overflow_anchor::computed_value::T) {
                            self.overflow_anchor = v;
                        }
                        /// Set overflow-anchor from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_anchor_from(&mut self, other: &Self) {
                            self.overflow_anchor = other.overflow_anchor.clone();
                        }
                    /// Reset overflow-anchor from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_anchor(&mut self, other: &Self) {
                        self.copy_overflow_anchor_from(other)
                    }

                    /// Get the computed value for overflow-anchor.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_anchor(&self) -> longhands::overflow_anchor::computed_value::T {
                        self.overflow_anchor.clone()
                    }
                        /// Set transform.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transform(&mut self, v: longhands::transform::computed_value::T) {
                            self.transform = v;
                        }
                        /// Set transform from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transform_from(&mut self, other: &Self) {
                            self.transform = other.transform.clone();
                        }
                    /// Reset transform from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transform(&mut self, other: &Self) {
                        self.copy_transform_from(other)
                    }

                    /// Get the computed value for transform.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transform(&self) -> longhands::transform::computed_value::T {
                        self.transform.clone()
                    }
                        /// Set rotate.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_rotate(&mut self, v: longhands::rotate::computed_value::T) {
                            self.rotate = v;
                        }
                        /// Set rotate from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_rotate_from(&mut self, other: &Self) {
                            self.rotate = other.rotate.clone();
                        }
                    /// Reset rotate from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_rotate(&mut self, other: &Self) {
                        self.copy_rotate_from(other)
                    }

                    /// Get the computed value for rotate.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_rotate(&self) -> longhands::rotate::computed_value::T {
                        self.rotate.clone()
                    }
                        /// Set scale.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scale(&mut self, v: longhands::scale::computed_value::T) {
                            self.scale = v;
                        }
                        /// Set scale from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scale_from(&mut self, other: &Self) {
                            self.scale = other.scale.clone();
                        }
                    /// Reset scale from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scale(&mut self, other: &Self) {
                        self.copy_scale_from(other)
                    }

                    /// Get the computed value for scale.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scale(&self) -> longhands::scale::computed_value::T {
                        self.scale.clone()
                    }
                        /// Set translate.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_translate(&mut self, v: longhands::translate::computed_value::T) {
                            self.translate = v;
                        }
                        /// Set translate from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_translate_from(&mut self, other: &Self) {
                            self.translate = other.translate.clone();
                        }
                    /// Reset translate from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_translate(&mut self, other: &Self) {
                        self.copy_translate_from(other)
                    }

                    /// Get the computed value for translate.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_translate(&self) -> longhands::translate::computed_value::T {
                        self.translate.clone()
                    }
                        /// Set offset-path.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_offset_path(&mut self, v: longhands::offset_path::computed_value::T) {
                            self.offset_path = v;
                        }
                        /// Set offset-path from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_offset_path_from(&mut self, other: &Self) {
                            self.offset_path = other.offset_path.clone();
                        }
                    /// Reset offset-path from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_offset_path(&mut self, other: &Self) {
                        self.copy_offset_path_from(other)
                    }

                    /// Get the computed value for offset-path.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_offset_path(&self) -> longhands::offset_path::computed_value::T {
                        self.offset_path.clone()
                    }
                        /// Set offset-distance.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_offset_distance(&mut self, v: longhands::offset_distance::computed_value::T) {
                            self.offset_distance = v;
                        }
                        /// Set offset-distance from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_offset_distance_from(&mut self, other: &Self) {
                            self.offset_distance = other.offset_distance.clone();
                        }
                    /// Reset offset-distance from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_offset_distance(&mut self, other: &Self) {
                        self.copy_offset_distance_from(other)
                    }

                    /// Get the computed value for offset-distance.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_offset_distance(&self) -> longhands::offset_distance::computed_value::T {
                        self.offset_distance.clone()
                    }
                        /// Set offset-rotate.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_offset_rotate(&mut self, v: longhands::offset_rotate::computed_value::T) {
                            self.offset_rotate = v;
                        }
                        /// Set offset-rotate from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_offset_rotate_from(&mut self, other: &Self) {
                            self.offset_rotate = other.offset_rotate.clone();
                        }
                    /// Reset offset-rotate from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_offset_rotate(&mut self, other: &Self) {
                        self.copy_offset_rotate_from(other)
                    }

                    /// Get the computed value for offset-rotate.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_offset_rotate(&self) -> longhands::offset_rotate::computed_value::T {
                        self.offset_rotate.clone()
                    }
                        /// Set offset-anchor.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_offset_anchor(&mut self, v: longhands::offset_anchor::computed_value::T) {
                            self.offset_anchor = v;
                        }
                        /// Set offset-anchor from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_offset_anchor_from(&mut self, other: &Self) {
                            self.offset_anchor = other.offset_anchor.clone();
                        }
                    /// Reset offset-anchor from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_offset_anchor(&mut self, other: &Self) {
                        self.copy_offset_anchor_from(other)
                    }

                    /// Get the computed value for offset-anchor.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_offset_anchor(&self) -> longhands::offset_anchor::computed_value::T {
                        self.offset_anchor.clone()
                    }
                        /// Set offset-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_offset_position(&mut self, v: longhands::offset_position::computed_value::T) {
                            self.offset_position = v;
                        }
                        /// Set offset-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_offset_position_from(&mut self, other: &Self) {
                            self.offset_position = other.offset_position.clone();
                        }
                    /// Reset offset-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_offset_position(&mut self, other: &Self) {
                        self.copy_offset_position_from(other)
                    }

                    /// Get the computed value for offset-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_offset_position(&self) -> longhands::offset_position::computed_value::T {
                        self.offset_position.clone()
                    }
                        /// Set scroll-behavior.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_behavior(&mut self, v: longhands::scroll_behavior::computed_value::T) {
                            self.scroll_behavior = v;
                        }
                        /// Set scroll-behavior from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_behavior_from(&mut self, other: &Self) {
                            self.scroll_behavior = other.scroll_behavior.clone();
                        }
                    /// Reset scroll-behavior from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_behavior(&mut self, other: &Self) {
                        self.copy_scroll_behavior_from(other)
                    }

                    /// Get the computed value for scroll-behavior.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_behavior(&self) -> longhands::scroll_behavior::computed_value::T {
                        self.scroll_behavior.clone()
                    }
                        /// Set scroll-snap-align.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_snap_align(&mut self, v: longhands::scroll_snap_align::computed_value::T) {
                            self.scroll_snap_align = v;
                        }
                        /// Set scroll-snap-align from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_snap_align_from(&mut self, other: &Self) {
                            self.scroll_snap_align = other.scroll_snap_align.clone();
                        }
                    /// Reset scroll-snap-align from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_snap_align(&mut self, other: &Self) {
                        self.copy_scroll_snap_align_from(other)
                    }

                    /// Get the computed value for scroll-snap-align.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_snap_align(&self) -> longhands::scroll_snap_align::computed_value::T {
                        self.scroll_snap_align.clone()
                    }
                        /// Set scroll-snap-type.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_snap_type(&mut self, v: longhands::scroll_snap_type::computed_value::T) {
                            self.scroll_snap_type = v;
                        }
                        /// Set scroll-snap-type from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_snap_type_from(&mut self, other: &Self) {
                            self.scroll_snap_type = other.scroll_snap_type.clone();
                        }
                    /// Reset scroll-snap-type from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_snap_type(&mut self, other: &Self) {
                        self.copy_scroll_snap_type_from(other)
                    }

                    /// Get the computed value for scroll-snap-type.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_snap_type(&self) -> longhands::scroll_snap_type::computed_value::T {
                        self.scroll_snap_type.clone()
                    }
                        /// Set scroll-snap-stop.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_snap_stop(&mut self, v: longhands::scroll_snap_stop::computed_value::T) {
                            self.scroll_snap_stop = v;
                        }
                        /// Set scroll-snap-stop from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_snap_stop_from(&mut self, other: &Self) {
                            self.scroll_snap_stop = other.scroll_snap_stop.clone();
                        }
                    /// Reset scroll-snap-stop from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_snap_stop(&mut self, other: &Self) {
                        self.copy_scroll_snap_stop_from(other)
                    }

                    /// Get the computed value for scroll-snap-stop.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_snap_stop(&self) -> longhands::scroll_snap_stop::computed_value::T {
                        self.scroll_snap_stop.clone()
                    }
                        /// Set overscroll-behavior-x.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overscroll_behavior_x(&mut self, v: longhands::overscroll_behavior_x::computed_value::T) {
                            self.overscroll_behavior_x = v;
                        }
                        /// Set overscroll-behavior-x from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overscroll_behavior_x_from(&mut self, other: &Self) {
                            self.overscroll_behavior_x = other.overscroll_behavior_x.clone();
                        }
                    /// Reset overscroll-behavior-x from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overscroll_behavior_x(&mut self, other: &Self) {
                        self.copy_overscroll_behavior_x_from(other)
                    }

                    /// Get the computed value for overscroll-behavior-x.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overscroll_behavior_x(&self) -> longhands::overscroll_behavior_x::computed_value::T {
                        self.overscroll_behavior_x.clone()
                    }
                        /// Set overscroll-behavior-y.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overscroll_behavior_y(&mut self, v: longhands::overscroll_behavior_y::computed_value::T) {
                            self.overscroll_behavior_y = v;
                        }
                        /// Set overscroll-behavior-y from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overscroll_behavior_y_from(&mut self, other: &Self) {
                            self.overscroll_behavior_y = other.overscroll_behavior_y.clone();
                        }
                    /// Reset overscroll-behavior-y from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overscroll_behavior_y(&mut self, other: &Self) {
                        self.copy_overscroll_behavior_y_from(other)
                    }

                    /// Get the computed value for overscroll-behavior-y.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overscroll_behavior_y(&self) -> longhands::overscroll_behavior_y::computed_value::T {
                        self.overscroll_behavior_y.clone()
                    }
                    
    /// Set the appropriate physical property for overscroll-behavior-inline given a writing mode.
    pub fn set_overscroll_behavior_inline(&mut self,
                                      v: longhands::overscroll_behavior_inline::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_overscroll_behavior_y(v)
            
        } else {
            
                self.set_overscroll_behavior_x(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overscroll-behavior-inline
    /// given a writing mode.
    pub fn copy_overscroll_behavior_inline_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_overscroll_behavior_y_from(other)
            
        } else {
            
                self.copy_overscroll_behavior_x_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overscroll-behavior-inline
    /// given a writing mode.
    pub fn reset_overscroll_behavior_inline(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_overscroll_behavior_inline_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// overscroll-behavior-inline given a writing mode.
    pub fn clone_overscroll_behavior_inline(&self, wm: WritingMode)
        -> longhands::overscroll_behavior_inline::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_overscroll_behavior_y()
        
        } else {
            
            self.clone_overscroll_behavior_x()
        
        }

    }

                    
    /// Set the appropriate physical property for overscroll-behavior-block given a writing mode.
    pub fn set_overscroll_behavior_block(&mut self,
                                      v: longhands::overscroll_behavior_block::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_overscroll_behavior_x(v)
            
        } else {
            
                self.set_overscroll_behavior_y(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overscroll-behavior-block
    /// given a writing mode.
    pub fn copy_overscroll_behavior_block_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_overscroll_behavior_x_from(other)
            
        } else {
            
                self.copy_overscroll_behavior_y_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for overscroll-behavior-block
    /// given a writing mode.
    pub fn reset_overscroll_behavior_block(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_overscroll_behavior_block_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// overscroll-behavior-block given a writing mode.
    pub fn clone_overscroll_behavior_block(&self, wm: WritingMode)
        -> longhands::overscroll_behavior_block::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_overscroll_behavior_x()
        
        } else {
            
            self.clone_overscroll_behavior_y()
        
        }

    }

                        /// Set isolation.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_isolation(&mut self, v: longhands::isolation::computed_value::T) {
                            self.isolation = v;
                        }
                        /// Set isolation from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_isolation_from(&mut self, other: &Self) {
                            self.isolation = other.isolation.clone();
                        }
                    /// Reset isolation from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_isolation(&mut self, other: &Self) {
                        self.copy_isolation_from(other)
                    }

                    /// Get the computed value for isolation.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_isolation(&self) -> longhands::isolation::computed_value::T {
                        self.isolation.clone()
                    }
                        /// Set break-after.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_break_after(&mut self, v: longhands::break_after::computed_value::T) {
                            self.break_after = v;
                        }
                        /// Set break-after from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_break_after_from(&mut self, other: &Self) {
                            self.break_after = other.break_after.clone();
                        }
                    /// Reset break-after from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_break_after(&mut self, other: &Self) {
                        self.copy_break_after_from(other)
                    }

                    /// Get the computed value for break-after.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_break_after(&self) -> longhands::break_after::computed_value::T {
                        self.break_after.clone()
                    }
                        /// Set break-before.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_break_before(&mut self, v: longhands::break_before::computed_value::T) {
                            self.break_before = v;
                        }
                        /// Set break-before from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_break_before_from(&mut self, other: &Self) {
                            self.break_before = other.break_before.clone();
                        }
                    /// Reset break-before from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_break_before(&mut self, other: &Self) {
                        self.copy_break_before_from(other)
                    }

                    /// Get the computed value for break-before.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_break_before(&self) -> longhands::break_before::computed_value::T {
                        self.break_before.clone()
                    }
                        /// Set break-inside.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_break_inside(&mut self, v: longhands::break_inside::computed_value::T) {
                            self.break_inside = v;
                        }
                        /// Set break-inside from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_break_inside_from(&mut self, other: &Self) {
                            self.break_inside = other.break_inside.clone();
                        }
                    /// Reset break-inside from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_break_inside(&mut self, other: &Self) {
                        self.copy_break_inside_from(other)
                    }

                    /// Get the computed value for break-inside.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_break_inside(&self) -> longhands::break_inside::computed_value::T {
                        self.break_inside.clone()
                    }
                        /// Set resize.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_resize(&mut self, v: longhands::resize::computed_value::T) {
                            self.resize = v;
                        }
                        /// Set resize from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_resize_from(&mut self, other: &Self) {
                            self.resize = other.resize.clone();
                        }
                    /// Reset resize from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_resize(&mut self, other: &Self) {
                        self.copy_resize_from(other)
                    }

                    /// Get the computed value for resize.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_resize(&self) -> longhands::resize::computed_value::T {
                        self.resize.clone()
                    }
                        /// Set perspective.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_perspective(&mut self, v: longhands::perspective::computed_value::T) {
                            self.perspective = v;
                        }
                        /// Set perspective from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_perspective_from(&mut self, other: &Self) {
                            self.perspective = other.perspective.clone();
                        }
                    /// Reset perspective from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_perspective(&mut self, other: &Self) {
                        self.copy_perspective_from(other)
                    }

                    /// Get the computed value for perspective.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_perspective(&self) -> longhands::perspective::computed_value::T {
                        self.perspective.clone()
                    }
                        /// Set perspective-origin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_perspective_origin(&mut self, v: longhands::perspective_origin::computed_value::T) {
                            self.perspective_origin = v;
                        }
                        /// Set perspective-origin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_perspective_origin_from(&mut self, other: &Self) {
                            self.perspective_origin = other.perspective_origin.clone();
                        }
                    /// Reset perspective-origin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_perspective_origin(&mut self, other: &Self) {
                        self.copy_perspective_origin_from(other)
                    }

                    /// Get the computed value for perspective-origin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_perspective_origin(&self) -> longhands::perspective_origin::computed_value::T {
                        self.perspective_origin.clone()
                    }
                        /// Set backface-visibility.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_backface_visibility(&mut self, v: longhands::backface_visibility::computed_value::T) {
                            self.backface_visibility = v;
                        }
                        /// Set backface-visibility from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_backface_visibility_from(&mut self, other: &Self) {
                            self.backface_visibility = other.backface_visibility.clone();
                        }
                    /// Reset backface-visibility from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_backface_visibility(&mut self, other: &Self) {
                        self.copy_backface_visibility_from(other)
                    }

                    /// Get the computed value for backface-visibility.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_backface_visibility(&self) -> longhands::backface_visibility::computed_value::T {
                        self.backface_visibility.clone()
                    }
                        /// Set transform-box.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transform_box(&mut self, v: longhands::transform_box::computed_value::T) {
                            self.transform_box = v;
                        }
                        /// Set transform-box from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transform_box_from(&mut self, other: &Self) {
                            self.transform_box = other.transform_box.clone();
                        }
                    /// Reset transform-box from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transform_box(&mut self, other: &Self) {
                        self.copy_transform_box_from(other)
                    }

                    /// Get the computed value for transform-box.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transform_box(&self) -> longhands::transform_box::computed_value::T {
                        self.transform_box.clone()
                    }
                        /// Set transform-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transform_style(&mut self, v: longhands::transform_style::computed_value::T) {
                            self.transform_style = v;
                        }
                        /// Set transform-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transform_style_from(&mut self, other: &Self) {
                            self.transform_style = other.transform_style.clone();
                        }
                    /// Reset transform-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transform_style(&mut self, other: &Self) {
                        self.copy_transform_style_from(other)
                    }

                    /// Get the computed value for transform-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transform_style(&self) -> longhands::transform_style::computed_value::T {
                        self.transform_style.clone()
                    }
                        /// Set transform-origin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transform_origin(&mut self, v: longhands::transform_origin::computed_value::T) {
                            self.transform_origin = v;
                        }
                        /// Set transform-origin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transform_origin_from(&mut self, other: &Self) {
                            self.transform_origin = other.transform_origin.clone();
                        }
                    /// Reset transform-origin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transform_origin(&mut self, other: &Self) {
                        self.copy_transform_origin_from(other)
                    }

                    /// Get the computed value for transform-origin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transform_origin(&self) -> longhands::transform_origin::computed_value::T {
                        self.transform_origin.clone()
                    }
                        /// Set contain.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_contain(&mut self, v: longhands::contain::computed_value::T) {
                            self.contain = v;
                        }
                        /// Set contain from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_contain_from(&mut self, other: &Self) {
                            self.contain = other.contain.clone();
                        }
                    /// Reset contain from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_contain(&mut self, other: &Self) {
                        self.copy_contain_from(other)
                    }

                    /// Get the computed value for contain.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_contain(&self) -> longhands::contain::computed_value::T {
                        self.contain.clone()
                    }
                        /// Set content-visibility.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_content_visibility(&mut self, v: longhands::content_visibility::computed_value::T) {
                            self.content_visibility = v;
                        }
                        /// Set content-visibility from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_content_visibility_from(&mut self, other: &Self) {
                            self.content_visibility = other.content_visibility.clone();
                        }
                    /// Reset content-visibility from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_content_visibility(&mut self, other: &Self) {
                        self.copy_content_visibility_from(other)
                    }

                    /// Get the computed value for content-visibility.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_content_visibility(&self) -> longhands::content_visibility::computed_value::T {
                        self.content_visibility.clone()
                    }
                        /// Set container-type.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_container_type(&mut self, v: longhands::container_type::computed_value::T) {
                            self.container_type = v;
                        }
                        /// Set container-type from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_container_type_from(&mut self, other: &Self) {
                            self.container_type = other.container_type.clone();
                        }
                    /// Reset container-type from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_container_type(&mut self, other: &Self) {
                        self.copy_container_type_from(other)
                    }

                    /// Get the computed value for container-type.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_container_type(&self) -> longhands::container_type::computed_value::T {
                        self.container_type.clone()
                    }
                        /// Set container-name.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_container_name(&mut self, v: longhands::container_name::computed_value::T) {
                            self.container_name = v;
                        }
                        /// Set container-name from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_container_name_from(&mut self, other: &Self) {
                            self.container_name = other.container_name.clone();
                        }
                    /// Reset container-name from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_container_name(&mut self, other: &Self) {
                        self.copy_container_name_from(other)
                    }

                    /// Get the computed value for container-name.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_container_name(&self) -> longhands::container_name::computed_value::T {
                        self.container_name.clone()
                    }
                        /// Set appearance.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_appearance(&mut self, v: longhands::appearance::computed_value::T) {
                            self.appearance = v;
                        }
                        /// Set appearance from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_appearance_from(&mut self, other: &Self) {
                            self.appearance = other.appearance.clone();
                        }
                    /// Reset appearance from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_appearance(&mut self, other: &Self) {
                        self.copy_appearance_from(other)
                    }

                    /// Get the computed value for appearance.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_appearance(&self) -> longhands::appearance::computed_value::T {
                        self.appearance.clone()
                    }
                        /// Set -moz-default-appearance.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_default_appearance(&mut self, v: longhands::_moz_default_appearance::computed_value::T) {
                            self._moz_default_appearance = v;
                        }
                        /// Set -moz-default-appearance from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_default_appearance_from(&mut self, other: &Self) {
                            self._moz_default_appearance = other._moz_default_appearance.clone();
                        }
                    /// Reset -moz-default-appearance from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_default_appearance(&mut self, other: &Self) {
                        self.copy__moz_default_appearance_from(other)
                    }

                    /// Get the computed value for -moz-default-appearance.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_default_appearance(&self) -> longhands::_moz_default_appearance::computed_value::T {
                        self._moz_default_appearance.clone()
                    }
                        /// Set -moz-orient.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_orient(&mut self, v: longhands::_moz_orient::computed_value::T) {
                            self._moz_orient = v;
                        }
                        /// Set -moz-orient from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_orient_from(&mut self, other: &Self) {
                            self._moz_orient = other._moz_orient.clone();
                        }
                    /// Reset -moz-orient from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_orient(&mut self, other: &Self) {
                        self.copy__moz_orient_from(other)
                    }

                    /// Get the computed value for -moz-orient.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_orient(&self) -> longhands::_moz_orient::computed_value::T {
                        self._moz_orient.clone()
                    }
                        /// Set will-change.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_will_change(&mut self, v: longhands::will_change::computed_value::T) {
                            self.will_change = v;
                        }
                        /// Set will-change from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_will_change_from(&mut self, other: &Self) {
                            self.will_change = other.will_change.clone();
                        }
                    /// Reset will-change from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_will_change(&mut self, other: &Self) {
                        self.copy_will_change_from(other)
                    }

                    /// Get the computed value for will-change.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_will_change(&self) -> longhands::will_change::computed_value::T {
                        self.will_change.clone()
                    }
                        /// Set shape-image-threshold.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_shape_image_threshold(&mut self, v: longhands::shape_image_threshold::computed_value::T) {
                            self.shape_image_threshold = v;
                        }
                        /// Set shape-image-threshold from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_shape_image_threshold_from(&mut self, other: &Self) {
                            self.shape_image_threshold = other.shape_image_threshold.clone();
                        }
                    /// Reset shape-image-threshold from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_shape_image_threshold(&mut self, other: &Self) {
                        self.copy_shape_image_threshold_from(other)
                    }

                    /// Get the computed value for shape-image-threshold.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_shape_image_threshold(&self) -> longhands::shape_image_threshold::computed_value::T {
                        self.shape_image_threshold.clone()
                    }
                        /// Set shape-margin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_shape_margin(&mut self, v: longhands::shape_margin::computed_value::T) {
                            self.shape_margin = v;
                        }
                        /// Set shape-margin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_shape_margin_from(&mut self, other: &Self) {
                            self.shape_margin = other.shape_margin.clone();
                        }
                    /// Reset shape-margin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_shape_margin(&mut self, other: &Self) {
                        self.copy_shape_margin_from(other)
                    }

                    /// Get the computed value for shape-margin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_shape_margin(&self) -> longhands::shape_margin::computed_value::T {
                        self.shape_margin.clone()
                    }
                        /// Set shape-outside.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_shape_outside(&mut self, v: longhands::shape_outside::computed_value::T) {
                            self.shape_outside = v;
                        }
                        /// Set shape-outside from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_shape_outside_from(&mut self, other: &Self) {
                            self.shape_outside = other.shape_outside.clone();
                        }
                    /// Reset shape-outside from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_shape_outside(&mut self, other: &Self) {
                        self.copy_shape_outside_from(other)
                    }

                    /// Get the computed value for shape-outside.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_shape_outside(&self) -> longhands::shape_outside::computed_value::T {
                        self.shape_outside.clone()
                    }
                        /// Set touch-action.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_touch_action(&mut self, v: longhands::touch_action::computed_value::T) {
                            self.touch_action = v;
                        }
                        /// Set touch-action from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_touch_action_from(&mut self, other: &Self) {
                            self.touch_action = other.touch_action.clone();
                        }
                    /// Reset touch-action from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_touch_action(&mut self, other: &Self) {
                        self.copy_touch_action_from(other)
                    }

                    /// Get the computed value for touch-action.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_touch_action(&self) -> longhands::touch_action::computed_value::T {
                        self.touch_action.clone()
                    }
                        /// Set -webkit-line-clamp.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__webkit_line_clamp(&mut self, v: longhands::_webkit_line_clamp::computed_value::T) {
                            self._webkit_line_clamp = v;
                        }
                        /// Set -webkit-line-clamp from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__webkit_line_clamp_from(&mut self, other: &Self) {
                            self._webkit_line_clamp = other._webkit_line_clamp.clone();
                        }
                    /// Reset -webkit-line-clamp from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__webkit_line_clamp(&mut self, other: &Self) {
                        self.copy__webkit_line_clamp_from(other)
                    }

                    /// Get the computed value for -webkit-line-clamp.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__webkit_line_clamp(&self) -> longhands::_webkit_line_clamp::computed_value::T {
                        self._webkit_line_clamp.clone()
                    }
                        /// Set scrollbar-gutter.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scrollbar_gutter(&mut self, v: longhands::scrollbar_gutter::computed_value::T) {
                            self.scrollbar_gutter = v;
                        }
                        /// Set scrollbar-gutter from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scrollbar_gutter_from(&mut self, other: &Self) {
                            self.scrollbar_gutter = other.scrollbar_gutter.clone();
                        }
                    /// Reset scrollbar-gutter from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scrollbar_gutter(&mut self, other: &Self) {
                        self.copy_scrollbar_gutter_from(other)
                    }

                    /// Get the computed value for scrollbar-gutter.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scrollbar_gutter(&self) -> longhands::scrollbar_gutter::computed_value::T {
                        self.scrollbar_gutter.clone()
                    }
                /// Sets the display property, but without touching original_display,
                /// except when the adjustment comes from root or item display fixups.
                pub fn set_adjusted_display(
                    &mut self,
                    dpy: longhands::display::computed_value::T,
                    is_item_or_root: bool
                ) {
                    self.display = dpy;
                    if is_item_or_root {
                        self.original_display = dpy;
                    }
                }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Column style struct.
        pub struct Column {
                    /// The column-width computed value.
                    pub column_width: longhands::column_width::computed_value::T,
                    /// The column-count computed value.
                    pub column_count: longhands::column_count::computed_value::T,
                    /// The column-fill computed value.
                    pub column_fill: longhands::column_fill::computed_value::T,
                    /// The column-rule-width computed value.
                    pub column_rule_width: longhands::column_rule_width::computed_value::T,
                    /// The column-rule-color computed value.
                    pub column_rule_color: longhands::column_rule_color::computed_value::T,
                    /// The column-span computed value.
                    pub column_span: longhands::column_span::computed_value::T,
                    /// The column-rule-style computed value.
                    pub column_rule_style: longhands::column_rule_style::computed_value::T,
        }

        impl Column {
                        /// Set column-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_width(&mut self, v: longhands::column_width::computed_value::T) {
                            self.column_width = v;
                        }
                        /// Set column-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_width_from(&mut self, other: &Self) {
                            self.column_width = other.column_width.clone();
                        }
                    /// Reset column-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_width(&mut self, other: &Self) {
                        self.copy_column_width_from(other)
                    }

                    /// Get the computed value for column-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_width(&self) -> longhands::column_width::computed_value::T {
                        self.column_width.clone()
                    }
                        /// Set column-count.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_count(&mut self, v: longhands::column_count::computed_value::T) {
                            self.column_count = v;
                        }
                        /// Set column-count from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_count_from(&mut self, other: &Self) {
                            self.column_count = other.column_count.clone();
                        }
                    /// Reset column-count from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_count(&mut self, other: &Self) {
                        self.copy_column_count_from(other)
                    }

                    /// Get the computed value for column-count.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_count(&self) -> longhands::column_count::computed_value::T {
                        self.column_count.clone()
                    }
                        /// Set column-fill.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_fill(&mut self, v: longhands::column_fill::computed_value::T) {
                            self.column_fill = v;
                        }
                        /// Set column-fill from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_fill_from(&mut self, other: &Self) {
                            self.column_fill = other.column_fill.clone();
                        }
                    /// Reset column-fill from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_fill(&mut self, other: &Self) {
                        self.copy_column_fill_from(other)
                    }

                    /// Get the computed value for column-fill.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_fill(&self) -> longhands::column_fill::computed_value::T {
                        self.column_fill.clone()
                    }
                        /// Set column-rule-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_rule_width(&mut self, v: longhands::column_rule_width::computed_value::T) {
                            self.column_rule_width = v;
                        }
                        /// Set column-rule-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_rule_width_from(&mut self, other: &Self) {
                            self.column_rule_width = other.column_rule_width.clone();
                        }
                    /// Reset column-rule-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_rule_width(&mut self, other: &Self) {
                        self.copy_column_rule_width_from(other)
                    }

                    /// Get the computed value for column-rule-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_rule_width(&self) -> longhands::column_rule_width::computed_value::T {
                        self.column_rule_width.clone()
                    }
                        /// Set column-rule-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_rule_color(&mut self, v: longhands::column_rule_color::computed_value::T) {
                            self.column_rule_color = v;
                        }
                        /// Set column-rule-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_rule_color_from(&mut self, other: &Self) {
                            self.column_rule_color = other.column_rule_color.clone();
                        }
                    /// Reset column-rule-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_rule_color(&mut self, other: &Self) {
                        self.copy_column_rule_color_from(other)
                    }

                    /// Get the computed value for column-rule-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_rule_color(&self) -> longhands::column_rule_color::computed_value::T {
                        self.column_rule_color.clone()
                    }
                        /// Set column-span.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_span(&mut self, v: longhands::column_span::computed_value::T) {
                            self.column_span = v;
                        }
                        /// Set column-span from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_span_from(&mut self, other: &Self) {
                            self.column_span = other.column_span.clone();
                        }
                    /// Reset column-span from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_span(&mut self, other: &Self) {
                        self.copy_column_span_from(other)
                    }

                    /// Get the computed value for column-span.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_span(&self) -> longhands::column_span::computed_value::T {
                        self.column_span.clone()
                    }
                        /// Set column-rule-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_rule_style(&mut self, v: longhands::column_rule_style::computed_value::T) {
                            self.column_rule_style = v;
                        }
                        /// Set column-rule-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_rule_style_from(&mut self, other: &Self) {
                            self.column_rule_style = other.column_rule_style.clone();
                        }
                    /// Reset column-rule-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_rule_style(&mut self, other: &Self) {
                        self.copy_column_rule_style_from(other)
                    }

                    /// Get the computed value for column-rule-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_rule_style(&self) -> longhands::column_rule_style::computed_value::T {
                        self.column_rule_style.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Counters style struct.
        pub struct Counters {
                    /// The content computed value.
                    pub content: longhands::content::computed_value::T,
                    /// The counter-increment computed value.
                    pub counter_increment: longhands::counter_increment::computed_value::T,
                    /// The counter-reset computed value.
                    pub counter_reset: longhands::counter_reset::computed_value::T,
                    /// The counter-set computed value.
                    pub counter_set: longhands::counter_set::computed_value::T,
        }

        impl Counters {
                        /// Set content.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_content(&mut self, v: longhands::content::computed_value::T) {
                            self.content = v;
                        }
                        /// Set content from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_content_from(&mut self, other: &Self) {
                            self.content = other.content.clone();
                        }
                    /// Reset content from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_content(&mut self, other: &Self) {
                        self.copy_content_from(other)
                    }

                    /// Get the computed value for content.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_content(&self) -> longhands::content::computed_value::T {
                        self.content.clone()
                    }
                        /// Set counter-increment.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_counter_increment(&mut self, v: longhands::counter_increment::computed_value::T) {
                            self.counter_increment = v;
                        }
                        /// Set counter-increment from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_counter_increment_from(&mut self, other: &Self) {
                            self.counter_increment = other.counter_increment.clone();
                        }
                    /// Reset counter-increment from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_counter_increment(&mut self, other: &Self) {
                        self.copy_counter_increment_from(other)
                    }

                    /// Get the computed value for counter-increment.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_counter_increment(&self) -> longhands::counter_increment::computed_value::T {
                        self.counter_increment.clone()
                    }
                        /// Set counter-reset.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_counter_reset(&mut self, v: longhands::counter_reset::computed_value::T) {
                            self.counter_reset = v;
                        }
                        /// Set counter-reset from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_counter_reset_from(&mut self, other: &Self) {
                            self.counter_reset = other.counter_reset.clone();
                        }
                    /// Reset counter-reset from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_counter_reset(&mut self, other: &Self) {
                        self.copy_counter_reset_from(other)
                    }

                    /// Get the computed value for counter-reset.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_counter_reset(&self) -> longhands::counter_reset::computed_value::T {
                        self.counter_reset.clone()
                    }
                        /// Set counter-set.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_counter_set(&mut self, v: longhands::counter_set::computed_value::T) {
                            self.counter_set = v;
                        }
                        /// Set counter-set from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_counter_set_from(&mut self, other: &Self) {
                            self.counter_set = other.counter_set.clone();
                        }
                    /// Reset counter-set from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_counter_set(&mut self, other: &Self) {
                        self.copy_counter_set_from(other)
                    }

                    /// Get the computed value for counter-set.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_counter_set(&self) -> longhands::counter_set::computed_value::T {
                        self.counter_set.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Effects style struct.
        pub struct Effects {
                    /// The opacity computed value.
                    pub opacity: longhands::opacity::computed_value::T,
                    /// The box-shadow computed value.
                    pub box_shadow: longhands::box_shadow::computed_value::T,
                    /// The clip computed value.
                    pub clip: longhands::clip::computed_value::T,
                    /// The filter computed value.
                    pub filter: longhands::filter::computed_value::T,
                    /// The backdrop-filter computed value.
                    pub backdrop_filter: longhands::backdrop_filter::computed_value::T,
                    /// The mix-blend-mode computed value.
                    pub mix_blend_mode: longhands::mix_blend_mode::computed_value::T,
        }

        impl Effects {
                        /// Set opacity.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_opacity(&mut self, v: longhands::opacity::computed_value::T) {
                            self.opacity = v;
                        }
                        /// Set opacity from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_opacity_from(&mut self, other: &Self) {
                            self.opacity = other.opacity.clone();
                        }
                    /// Reset opacity from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_opacity(&mut self, other: &Self) {
                        self.copy_opacity_from(other)
                    }

                    /// Get the computed value for opacity.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_opacity(&self) -> longhands::opacity::computed_value::T {
                        self.opacity.clone()
                    }
                        /// Set box-shadow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_box_shadow(&mut self, v: longhands::box_shadow::computed_value::T) {
                            self.box_shadow = v;
                        }
                        /// Set box-shadow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_box_shadow_from(&mut self, other: &Self) {
                            self.box_shadow = other.box_shadow.clone();
                        }
                    /// Reset box-shadow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_box_shadow(&mut self, other: &Self) {
                        self.copy_box_shadow_from(other)
                    }

                    /// Get the computed value for box-shadow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_box_shadow(&self) -> longhands::box_shadow::computed_value::T {
                        self.box_shadow.clone()
                    }
                        /// Set clip.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_clip(&mut self, v: longhands::clip::computed_value::T) {
                            self.clip = v;
                        }
                        /// Set clip from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_clip_from(&mut self, other: &Self) {
                            self.clip = other.clip.clone();
                        }
                    /// Reset clip from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_clip(&mut self, other: &Self) {
                        self.copy_clip_from(other)
                    }

                    /// Get the computed value for clip.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_clip(&self) -> longhands::clip::computed_value::T {
                        self.clip.clone()
                    }
                        /// Set filter.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_filter(&mut self, v: longhands::filter::computed_value::T) {
                            self.filter = v;
                        }
                        /// Set filter from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_filter_from(&mut self, other: &Self) {
                            self.filter = other.filter.clone();
                        }
                    /// Reset filter from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_filter(&mut self, other: &Self) {
                        self.copy_filter_from(other)
                    }

                    /// Get the computed value for filter.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_filter(&self) -> longhands::filter::computed_value::T {
                        self.filter.clone()
                    }
                        /// Set backdrop-filter.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_backdrop_filter(&mut self, v: longhands::backdrop_filter::computed_value::T) {
                            self.backdrop_filter = v;
                        }
                        /// Set backdrop-filter from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_backdrop_filter_from(&mut self, other: &Self) {
                            self.backdrop_filter = other.backdrop_filter.clone();
                        }
                    /// Reset backdrop-filter from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_backdrop_filter(&mut self, other: &Self) {
                        self.copy_backdrop_filter_from(other)
                    }

                    /// Get the computed value for backdrop-filter.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_backdrop_filter(&self) -> longhands::backdrop_filter::computed_value::T {
                        self.backdrop_filter.clone()
                    }
                        /// Set mix-blend-mode.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mix_blend_mode(&mut self, v: longhands::mix_blend_mode::computed_value::T) {
                            self.mix_blend_mode = v;
                        }
                        /// Set mix-blend-mode from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mix_blend_mode_from(&mut self, other: &Self) {
                            self.mix_blend_mode = other.mix_blend_mode.clone();
                        }
                    /// Reset mix-blend-mode from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mix_blend_mode(&mut self, other: &Self) {
                        self.copy_mix_blend_mode_from(other)
                    }

                    /// Get the computed value for mix-blend-mode.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mix_blend_mode(&self) -> longhands::mix_blend_mode::computed_value::T {
                        self.mix_blend_mode.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf)]
        #[cfg_attr(feature = "servo", derive(Serialize, Deserialize))]
        /// The Font style struct.
        pub struct Font {
                    /// The font-family computed value.
                    pub font_family: longhands::font_family::computed_value::T,
                    /// The font-style computed value.
                    pub font_style: longhands::font_style::computed_value::T,
                    /// The font-variant-caps computed value.
                    pub font_variant_caps: longhands::font_variant_caps::computed_value::T,
                    /// The font-weight computed value.
                    pub font_weight: longhands::font_weight::computed_value::T,
                    /// The font-size computed value.
                    pub font_size: longhands::font_size::computed_value::T,
                    /// The font-size-adjust computed value.
                    pub font_size_adjust: longhands::font_size_adjust::computed_value::T,
                    /// The font-synthesis-weight computed value.
                    pub font_synthesis_weight: longhands::font_synthesis_weight::computed_value::T,
                    /// The font-synthesis-style computed value.
                    pub font_synthesis_style: longhands::font_synthesis_style::computed_value::T,
                    /// The font-synthesis-small-caps computed value.
                    pub font_synthesis_small_caps: longhands::font_synthesis_small_caps::computed_value::T,
                    /// The font-stretch computed value.
                    pub font_stretch: longhands::font_stretch::computed_value::T,
                    /// The font-kerning computed value.
                    pub font_kerning: longhands::font_kerning::computed_value::T,
                    /// The font-variant-alternates computed value.
                    pub font_variant_alternates: longhands::font_variant_alternates::computed_value::T,
                    /// The font-variant-east-asian computed value.
                    pub font_variant_east_asian: longhands::font_variant_east_asian::computed_value::T,
                    /// The font-variant-emoji computed value.
                    pub font_variant_emoji: longhands::font_variant_emoji::computed_value::T,
                    /// The font-variant-ligatures computed value.
                    pub font_variant_ligatures: longhands::font_variant_ligatures::computed_value::T,
                    /// The font-variant-numeric computed value.
                    pub font_variant_numeric: longhands::font_variant_numeric::computed_value::T,
                    /// The font-variant-position computed value.
                    pub font_variant_position: longhands::font_variant_position::computed_value::T,
                    /// The font-feature-settings computed value.
                    pub font_feature_settings: longhands::font_feature_settings::computed_value::T,
                    /// The font-variation-settings computed value.
                    pub font_variation_settings: longhands::font_variation_settings::computed_value::T,
                    /// The font-language-override computed value.
                    pub font_language_override: longhands::font_language_override::computed_value::T,
                    /// The font-optical-sizing computed value.
                    pub font_optical_sizing: longhands::font_optical_sizing::computed_value::T,
                    /// The font-palette computed value.
                    pub font_palette: longhands::font_palette::computed_value::T,
                    /// The -x-lang computed value.
                    pub _x_lang: longhands::_x_lang::computed_value::T,
                    /// The -moz-script-size-multiplier computed value.
                    pub _moz_script_size_multiplier: longhands::_moz_script_size_multiplier::computed_value::T,
                    /// The math-depth computed value.
                    pub math_depth: longhands::math_depth::computed_value::T,
                    /// The math-style computed value.
                    pub math_style: longhands::math_style::computed_value::T,
                    /// The -moz-math-variant computed value.
                    pub _moz_math_variant: longhands::_moz_math_variant::computed_value::T,
                    /// The -moz-script-min-size computed value.
                    pub _moz_script_min_size: longhands::_moz_script_min_size::computed_value::T,
                    /// The -x-text-scale computed value.
                    pub _x_text_scale: longhands::_x_text_scale::computed_value::T,
                    /// The -moz-osx-font-smoothing computed value.
                    pub _moz_osx_font_smoothing: longhands::_moz_osx_font_smoothing::computed_value::T,
                    /// The -moz-font-smoothing-background-color computed value.
                    pub _moz_font_smoothing_background_color: longhands::_moz_font_smoothing_background_color::computed_value::T,
                    /// The -moz-min-font-size-ratio computed value.
                    pub _moz_min_font_size_ratio: longhands::_moz_min_font_size_ratio::computed_value::T,
                /// The font hash, used for font caching.
                pub hash: u64,
        }
        impl PartialEq for Font {
            fn eq(&self, other: &Font) -> bool {
                self.hash == other.hash
                    && self.font_family == other.font_family
                    && self.font_style == other.font_style
                    && self.font_variant_caps == other.font_variant_caps
                    && self.font_weight == other.font_weight
                    && self.font_size == other.font_size
                    && self.font_size_adjust == other.font_size_adjust
                    && self.font_synthesis_weight == other.font_synthesis_weight
                    && self.font_synthesis_style == other.font_synthesis_style
                    && self.font_synthesis_small_caps == other.font_synthesis_small_caps
                    && self.font_stretch == other.font_stretch
                    && self.font_kerning == other.font_kerning
                    && self.font_variant_alternates == other.font_variant_alternates
                    && self.font_variant_east_asian == other.font_variant_east_asian
                    && self.font_variant_emoji == other.font_variant_emoji
                    && self.font_variant_ligatures == other.font_variant_ligatures
                    && self.font_variant_numeric == other.font_variant_numeric
                    && self.font_variant_position == other.font_variant_position
                    && self.font_feature_settings == other.font_feature_settings
                    && self.font_variation_settings == other.font_variation_settings
                    && self.font_language_override == other.font_language_override
                    && self.font_optical_sizing == other.font_optical_sizing
                    && self.font_palette == other.font_palette
                    && self._x_lang == other._x_lang
                    && self._moz_script_size_multiplier == other._moz_script_size_multiplier
                    && self.math_depth == other.math_depth
                    && self.math_style == other.math_style
                    && self._moz_math_variant == other._moz_math_variant
                    && self._moz_script_min_size == other._moz_script_min_size
                    && self._x_text_scale == other._x_text_scale
                    && self._moz_osx_font_smoothing == other._moz_osx_font_smoothing
                    && self._moz_font_smoothing_background_color == other._moz_font_smoothing_background_color
                    && self._moz_min_font_size_ratio == other._moz_min_font_size_ratio
            }
        }

        impl Font {
                        /// Set font-family.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_family(&mut self, v: longhands::font_family::computed_value::T) {
                            self.font_family = v;
                        }
                        /// Set font-family from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_family_from(&mut self, other: &Self) {
                            self.font_family = other.font_family.clone();
                        }
                    /// Reset font-family from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_family(&mut self, other: &Self) {
                        self.copy_font_family_from(other)
                    }

                    /// Get the computed value for font-family.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_family(&self) -> longhands::font_family::computed_value::T {
                        self.font_family.clone()
                    }
                        /// Set font-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_style(&mut self, v: longhands::font_style::computed_value::T) {
                            self.font_style = v;
                        }
                        /// Set font-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_style_from(&mut self, other: &Self) {
                            self.font_style = other.font_style.clone();
                        }
                    /// Reset font-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_style(&mut self, other: &Self) {
                        self.copy_font_style_from(other)
                    }

                    /// Get the computed value for font-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_style(&self) -> longhands::font_style::computed_value::T {
                        self.font_style.clone()
                    }
                        /// Set font-variant-caps.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_caps(&mut self, v: longhands::font_variant_caps::computed_value::T) {
                            self.font_variant_caps = v;
                        }
                        /// Set font-variant-caps from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_caps_from(&mut self, other: &Self) {
                            self.font_variant_caps = other.font_variant_caps.clone();
                        }
                    /// Reset font-variant-caps from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_caps(&mut self, other: &Self) {
                        self.copy_font_variant_caps_from(other)
                    }

                    /// Get the computed value for font-variant-caps.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_caps(&self) -> longhands::font_variant_caps::computed_value::T {
                        self.font_variant_caps.clone()
                    }
                        /// Set font-weight.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_weight(&mut self, v: longhands::font_weight::computed_value::T) {
                            self.font_weight = v;
                        }
                        /// Set font-weight from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_weight_from(&mut self, other: &Self) {
                            self.font_weight = other.font_weight.clone();
                        }
                    /// Reset font-weight from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_weight(&mut self, other: &Self) {
                        self.copy_font_weight_from(other)
                    }

                    /// Get the computed value for font-weight.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_weight(&self) -> longhands::font_weight::computed_value::T {
                        self.font_weight.clone()
                    }
                        /// Set font-size.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_size(&mut self, v: longhands::font_size::computed_value::T) {
                            self.font_size = v;
                        }
                        /// Set font-size from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_size_from(&mut self, other: &Self) {
                            self.font_size = other.font_size.clone();
                        }
                    /// Reset font-size from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_size(&mut self, other: &Self) {
                        self.copy_font_size_from(other)
                    }

                    /// Get the computed value for font-size.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_size(&self) -> longhands::font_size::computed_value::T {
                        self.font_size.clone()
                    }
                        /// Set font-size-adjust.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_size_adjust(&mut self, v: longhands::font_size_adjust::computed_value::T) {
                            self.font_size_adjust = v;
                        }
                        /// Set font-size-adjust from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_size_adjust_from(&mut self, other: &Self) {
                            self.font_size_adjust = other.font_size_adjust.clone();
                        }
                    /// Reset font-size-adjust from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_size_adjust(&mut self, other: &Self) {
                        self.copy_font_size_adjust_from(other)
                    }

                    /// Get the computed value for font-size-adjust.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_size_adjust(&self) -> longhands::font_size_adjust::computed_value::T {
                        self.font_size_adjust.clone()
                    }
                        /// Set font-synthesis-weight.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_synthesis_weight(&mut self, v: longhands::font_synthesis_weight::computed_value::T) {
                            self.font_synthesis_weight = v;
                        }
                        /// Set font-synthesis-weight from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_synthesis_weight_from(&mut self, other: &Self) {
                            self.font_synthesis_weight = other.font_synthesis_weight.clone();
                        }
                    /// Reset font-synthesis-weight from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_synthesis_weight(&mut self, other: &Self) {
                        self.copy_font_synthesis_weight_from(other)
                    }

                    /// Get the computed value for font-synthesis-weight.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_synthesis_weight(&self) -> longhands::font_synthesis_weight::computed_value::T {
                        self.font_synthesis_weight.clone()
                    }
                        /// Set font-synthesis-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_synthesis_style(&mut self, v: longhands::font_synthesis_style::computed_value::T) {
                            self.font_synthesis_style = v;
                        }
                        /// Set font-synthesis-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_synthesis_style_from(&mut self, other: &Self) {
                            self.font_synthesis_style = other.font_synthesis_style.clone();
                        }
                    /// Reset font-synthesis-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_synthesis_style(&mut self, other: &Self) {
                        self.copy_font_synthesis_style_from(other)
                    }

                    /// Get the computed value for font-synthesis-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_synthesis_style(&self) -> longhands::font_synthesis_style::computed_value::T {
                        self.font_synthesis_style.clone()
                    }
                        /// Set font-synthesis-small-caps.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_synthesis_small_caps(&mut self, v: longhands::font_synthesis_small_caps::computed_value::T) {
                            self.font_synthesis_small_caps = v;
                        }
                        /// Set font-synthesis-small-caps from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_synthesis_small_caps_from(&mut self, other: &Self) {
                            self.font_synthesis_small_caps = other.font_synthesis_small_caps.clone();
                        }
                    /// Reset font-synthesis-small-caps from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_synthesis_small_caps(&mut self, other: &Self) {
                        self.copy_font_synthesis_small_caps_from(other)
                    }

                    /// Get the computed value for font-synthesis-small-caps.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_synthesis_small_caps(&self) -> longhands::font_synthesis_small_caps::computed_value::T {
                        self.font_synthesis_small_caps.clone()
                    }
                        /// Set font-stretch.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_stretch(&mut self, v: longhands::font_stretch::computed_value::T) {
                            self.font_stretch = v;
                        }
                        /// Set font-stretch from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_stretch_from(&mut self, other: &Self) {
                            self.font_stretch = other.font_stretch.clone();
                        }
                    /// Reset font-stretch from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_stretch(&mut self, other: &Self) {
                        self.copy_font_stretch_from(other)
                    }

                    /// Get the computed value for font-stretch.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_stretch(&self) -> longhands::font_stretch::computed_value::T {
                        self.font_stretch.clone()
                    }
                        /// Set font-kerning.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_kerning(&mut self, v: longhands::font_kerning::computed_value::T) {
                            self.font_kerning = v;
                        }
                        /// Set font-kerning from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_kerning_from(&mut self, other: &Self) {
                            self.font_kerning = other.font_kerning.clone();
                        }
                    /// Reset font-kerning from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_kerning(&mut self, other: &Self) {
                        self.copy_font_kerning_from(other)
                    }

                    /// Get the computed value for font-kerning.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_kerning(&self) -> longhands::font_kerning::computed_value::T {
                        self.font_kerning.clone()
                    }
                        /// Set font-variant-alternates.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_alternates(&mut self, v: longhands::font_variant_alternates::computed_value::T) {
                            self.font_variant_alternates = v;
                        }
                        /// Set font-variant-alternates from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_alternates_from(&mut self, other: &Self) {
                            self.font_variant_alternates = other.font_variant_alternates.clone();
                        }
                    /// Reset font-variant-alternates from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_alternates(&mut self, other: &Self) {
                        self.copy_font_variant_alternates_from(other)
                    }

                    /// Get the computed value for font-variant-alternates.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_alternates(&self) -> longhands::font_variant_alternates::computed_value::T {
                        self.font_variant_alternates.clone()
                    }
                        /// Set font-variant-east-asian.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_east_asian(&mut self, v: longhands::font_variant_east_asian::computed_value::T) {
                            self.font_variant_east_asian = v;
                        }
                        /// Set font-variant-east-asian from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_east_asian_from(&mut self, other: &Self) {
                            self.font_variant_east_asian = other.font_variant_east_asian.clone();
                        }
                    /// Reset font-variant-east-asian from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_east_asian(&mut self, other: &Self) {
                        self.copy_font_variant_east_asian_from(other)
                    }

                    /// Get the computed value for font-variant-east-asian.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_east_asian(&self) -> longhands::font_variant_east_asian::computed_value::T {
                        self.font_variant_east_asian.clone()
                    }
                        /// Set font-variant-emoji.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_emoji(&mut self, v: longhands::font_variant_emoji::computed_value::T) {
                            self.font_variant_emoji = v;
                        }
                        /// Set font-variant-emoji from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_emoji_from(&mut self, other: &Self) {
                            self.font_variant_emoji = other.font_variant_emoji.clone();
                        }
                    /// Reset font-variant-emoji from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_emoji(&mut self, other: &Self) {
                        self.copy_font_variant_emoji_from(other)
                    }

                    /// Get the computed value for font-variant-emoji.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_emoji(&self) -> longhands::font_variant_emoji::computed_value::T {
                        self.font_variant_emoji.clone()
                    }
                        /// Set font-variant-ligatures.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_ligatures(&mut self, v: longhands::font_variant_ligatures::computed_value::T) {
                            self.font_variant_ligatures = v;
                        }
                        /// Set font-variant-ligatures from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_ligatures_from(&mut self, other: &Self) {
                            self.font_variant_ligatures = other.font_variant_ligatures.clone();
                        }
                    /// Reset font-variant-ligatures from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_ligatures(&mut self, other: &Self) {
                        self.copy_font_variant_ligatures_from(other)
                    }

                    /// Get the computed value for font-variant-ligatures.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_ligatures(&self) -> longhands::font_variant_ligatures::computed_value::T {
                        self.font_variant_ligatures.clone()
                    }
                        /// Set font-variant-numeric.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_numeric(&mut self, v: longhands::font_variant_numeric::computed_value::T) {
                            self.font_variant_numeric = v;
                        }
                        /// Set font-variant-numeric from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_numeric_from(&mut self, other: &Self) {
                            self.font_variant_numeric = other.font_variant_numeric.clone();
                        }
                    /// Reset font-variant-numeric from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_numeric(&mut self, other: &Self) {
                        self.copy_font_variant_numeric_from(other)
                    }

                    /// Get the computed value for font-variant-numeric.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_numeric(&self) -> longhands::font_variant_numeric::computed_value::T {
                        self.font_variant_numeric.clone()
                    }
                        /// Set font-variant-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variant_position(&mut self, v: longhands::font_variant_position::computed_value::T) {
                            self.font_variant_position = v;
                        }
                        /// Set font-variant-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variant_position_from(&mut self, other: &Self) {
                            self.font_variant_position = other.font_variant_position.clone();
                        }
                    /// Reset font-variant-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variant_position(&mut self, other: &Self) {
                        self.copy_font_variant_position_from(other)
                    }

                    /// Get the computed value for font-variant-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variant_position(&self) -> longhands::font_variant_position::computed_value::T {
                        self.font_variant_position.clone()
                    }
                        /// Set font-feature-settings.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_feature_settings(&mut self, v: longhands::font_feature_settings::computed_value::T) {
                            self.font_feature_settings = v;
                        }
                        /// Set font-feature-settings from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_feature_settings_from(&mut self, other: &Self) {
                            self.font_feature_settings = other.font_feature_settings.clone();
                        }
                    /// Reset font-feature-settings from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_feature_settings(&mut self, other: &Self) {
                        self.copy_font_feature_settings_from(other)
                    }

                    /// Get the computed value for font-feature-settings.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_feature_settings(&self) -> longhands::font_feature_settings::computed_value::T {
                        self.font_feature_settings.clone()
                    }
                        /// Set font-variation-settings.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_variation_settings(&mut self, v: longhands::font_variation_settings::computed_value::T) {
                            self.font_variation_settings = v;
                        }
                        /// Set font-variation-settings from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_variation_settings_from(&mut self, other: &Self) {
                            self.font_variation_settings = other.font_variation_settings.clone();
                        }
                    /// Reset font-variation-settings from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_variation_settings(&mut self, other: &Self) {
                        self.copy_font_variation_settings_from(other)
                    }

                    /// Get the computed value for font-variation-settings.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_variation_settings(&self) -> longhands::font_variation_settings::computed_value::T {
                        self.font_variation_settings.clone()
                    }
                        /// Set font-language-override.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_language_override(&mut self, v: longhands::font_language_override::computed_value::T) {
                            self.font_language_override = v;
                        }
                        /// Set font-language-override from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_language_override_from(&mut self, other: &Self) {
                            self.font_language_override = other.font_language_override.clone();
                        }
                    /// Reset font-language-override from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_language_override(&mut self, other: &Self) {
                        self.copy_font_language_override_from(other)
                    }

                    /// Get the computed value for font-language-override.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_language_override(&self) -> longhands::font_language_override::computed_value::T {
                        self.font_language_override.clone()
                    }
                        /// Set font-optical-sizing.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_optical_sizing(&mut self, v: longhands::font_optical_sizing::computed_value::T) {
                            self.font_optical_sizing = v;
                        }
                        /// Set font-optical-sizing from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_optical_sizing_from(&mut self, other: &Self) {
                            self.font_optical_sizing = other.font_optical_sizing.clone();
                        }
                    /// Reset font-optical-sizing from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_optical_sizing(&mut self, other: &Self) {
                        self.copy_font_optical_sizing_from(other)
                    }

                    /// Get the computed value for font-optical-sizing.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_optical_sizing(&self) -> longhands::font_optical_sizing::computed_value::T {
                        self.font_optical_sizing.clone()
                    }
                        /// Set font-palette.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_font_palette(&mut self, v: longhands::font_palette::computed_value::T) {
                            self.font_palette = v;
                        }
                        /// Set font-palette from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_font_palette_from(&mut self, other: &Self) {
                            self.font_palette = other.font_palette.clone();
                        }
                    /// Reset font-palette from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_font_palette(&mut self, other: &Self) {
                        self.copy_font_palette_from(other)
                    }

                    /// Get the computed value for font-palette.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_font_palette(&self) -> longhands::font_palette::computed_value::T {
                        self.font_palette.clone()
                    }
                        /// Set -x-lang.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__x_lang(&mut self, v: longhands::_x_lang::computed_value::T) {
                            self._x_lang = v;
                        }
                        /// Set -x-lang from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__x_lang_from(&mut self, other: &Self) {
                            self._x_lang = other._x_lang.clone();
                        }
                    /// Reset -x-lang from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__x_lang(&mut self, other: &Self) {
                        self.copy__x_lang_from(other)
                    }

                    /// Get the computed value for -x-lang.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__x_lang(&self) -> longhands::_x_lang::computed_value::T {
                        self._x_lang.clone()
                    }
                        /// Set -moz-script-size-multiplier.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_script_size_multiplier(&mut self, v: longhands::_moz_script_size_multiplier::computed_value::T) {
                            self._moz_script_size_multiplier = v;
                        }
                        /// Set -moz-script-size-multiplier from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_script_size_multiplier_from(&mut self, other: &Self) {
                            self._moz_script_size_multiplier = other._moz_script_size_multiplier.clone();
                        }
                    /// Reset -moz-script-size-multiplier from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_script_size_multiplier(&mut self, other: &Self) {
                        self.copy__moz_script_size_multiplier_from(other)
                    }

                    /// Get the computed value for -moz-script-size-multiplier.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_script_size_multiplier(&self) -> longhands::_moz_script_size_multiplier::computed_value::T {
                        self._moz_script_size_multiplier.clone()
                    }
                        /// Set math-depth.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_math_depth(&mut self, v: longhands::math_depth::computed_value::T) {
                            self.math_depth = v;
                        }
                        /// Set math-depth from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_math_depth_from(&mut self, other: &Self) {
                            self.math_depth = other.math_depth.clone();
                        }
                    /// Reset math-depth from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_math_depth(&mut self, other: &Self) {
                        self.copy_math_depth_from(other)
                    }

                    /// Get the computed value for math-depth.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_math_depth(&self) -> longhands::math_depth::computed_value::T {
                        self.math_depth.clone()
                    }
                        /// Set math-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_math_style(&mut self, v: longhands::math_style::computed_value::T) {
                            self.math_style = v;
                        }
                        /// Set math-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_math_style_from(&mut self, other: &Self) {
                            self.math_style = other.math_style.clone();
                        }
                    /// Reset math-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_math_style(&mut self, other: &Self) {
                        self.copy_math_style_from(other)
                    }

                    /// Get the computed value for math-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_math_style(&self) -> longhands::math_style::computed_value::T {
                        self.math_style.clone()
                    }
                        /// Set -moz-math-variant.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_math_variant(&mut self, v: longhands::_moz_math_variant::computed_value::T) {
                            self._moz_math_variant = v;
                        }
                        /// Set -moz-math-variant from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_math_variant_from(&mut self, other: &Self) {
                            self._moz_math_variant = other._moz_math_variant.clone();
                        }
                    /// Reset -moz-math-variant from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_math_variant(&mut self, other: &Self) {
                        self.copy__moz_math_variant_from(other)
                    }

                    /// Get the computed value for -moz-math-variant.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_math_variant(&self) -> longhands::_moz_math_variant::computed_value::T {
                        self._moz_math_variant.clone()
                    }
                        /// Set -moz-script-min-size.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_script_min_size(&mut self, v: longhands::_moz_script_min_size::computed_value::T) {
                            self._moz_script_min_size = v;
                        }
                        /// Set -moz-script-min-size from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_script_min_size_from(&mut self, other: &Self) {
                            self._moz_script_min_size = other._moz_script_min_size.clone();
                        }
                    /// Reset -moz-script-min-size from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_script_min_size(&mut self, other: &Self) {
                        self.copy__moz_script_min_size_from(other)
                    }

                    /// Get the computed value for -moz-script-min-size.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_script_min_size(&self) -> longhands::_moz_script_min_size::computed_value::T {
                        self._moz_script_min_size.clone()
                    }
                        /// Set -x-text-scale.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__x_text_scale(&mut self, v: longhands::_x_text_scale::computed_value::T) {
                            self._x_text_scale = v;
                        }
                        /// Set -x-text-scale from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__x_text_scale_from(&mut self, other: &Self) {
                            self._x_text_scale = other._x_text_scale.clone();
                        }
                    /// Reset -x-text-scale from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__x_text_scale(&mut self, other: &Self) {
                        self.copy__x_text_scale_from(other)
                    }

                    /// Get the computed value for -x-text-scale.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__x_text_scale(&self) -> longhands::_x_text_scale::computed_value::T {
                        self._x_text_scale.clone()
                    }
                        /// Set -moz-osx-font-smoothing.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_osx_font_smoothing(&mut self, v: longhands::_moz_osx_font_smoothing::computed_value::T) {
                            self._moz_osx_font_smoothing = v;
                        }
                        /// Set -moz-osx-font-smoothing from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_osx_font_smoothing_from(&mut self, other: &Self) {
                            self._moz_osx_font_smoothing = other._moz_osx_font_smoothing.clone();
                        }
                    /// Reset -moz-osx-font-smoothing from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_osx_font_smoothing(&mut self, other: &Self) {
                        self.copy__moz_osx_font_smoothing_from(other)
                    }

                    /// Get the computed value for -moz-osx-font-smoothing.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_osx_font_smoothing(&self) -> longhands::_moz_osx_font_smoothing::computed_value::T {
                        self._moz_osx_font_smoothing.clone()
                    }
                        /// Set -moz-font-smoothing-background-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_font_smoothing_background_color(&mut self, v: longhands::_moz_font_smoothing_background_color::computed_value::T) {
                            self._moz_font_smoothing_background_color = v;
                        }
                        /// Set -moz-font-smoothing-background-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_font_smoothing_background_color_from(&mut self, other: &Self) {
                            self._moz_font_smoothing_background_color = other._moz_font_smoothing_background_color.clone();
                        }
                    /// Reset -moz-font-smoothing-background-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_font_smoothing_background_color(&mut self, other: &Self) {
                        self.copy__moz_font_smoothing_background_color_from(other)
                    }

                    /// Get the computed value for -moz-font-smoothing-background-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_font_smoothing_background_color(&self) -> longhands::_moz_font_smoothing_background_color::computed_value::T {
                        self._moz_font_smoothing_background_color.clone()
                    }
                        /// Set -moz-min-font-size-ratio.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_min_font_size_ratio(&mut self, v: longhands::_moz_min_font_size_ratio::computed_value::T) {
                            self._moz_min_font_size_ratio = v;
                        }
                        /// Set -moz-min-font-size-ratio from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_min_font_size_ratio_from(&mut self, other: &Self) {
                            self._moz_min_font_size_ratio = other._moz_min_font_size_ratio.clone();
                        }
                    /// Reset -moz-min-font-size-ratio from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_min_font_size_ratio(&mut self, other: &Self) {
                        self.copy__moz_min_font_size_ratio_from(other)
                    }

                    /// Get the computed value for -moz-min-font-size-ratio.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_min_font_size_ratio(&self) -> longhands::_moz_min_font_size_ratio::computed_value::T {
                        self._moz_min_font_size_ratio.clone()
                    }
                /// Computes a font hash in order to be able to cache fonts
                /// effectively in GFX and layout.
                pub fn compute_font_hash(&mut self) {
                    // Corresponds to the fields in
                    // `gfx::font_template::FontTemplateDescriptor`.
                    let mut hasher: FxHasher = Default::default();
                    self.font_weight.hash(&mut hasher);
                    self.font_stretch.hash(&mut hasher);
                    self.font_style.hash(&mut hasher);
                    self.font_family.hash(&mut hasher);
                    self.hash = hasher.finish()
                }

                /// (Servo does not handle MathML, so this just calls copy_font_size_from)
                pub fn inherit_font_size_from(&mut self, parent: &Self,
                                              _: Option<NonNegativeLength>,
                                              _: &Device) {
                    self.copy_font_size_from(parent);
                }
                /// (Servo does not handle MathML, so this just calls set_font_size)
                pub fn apply_font_size(&mut self,
                                       v: longhands::font_size::computed_value::T,
                                       _: &Self,
                                       _: &Device) -> Option<NonNegativeLength> {
                    self.set_font_size(v);
                    None
                }
                /// (Servo does not handle MathML, so this does nothing)
                pub fn apply_unconstrained_font_size(&mut self, _: NonNegativeLength) {
                }

        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The InheritedBox style struct.
        pub struct InheritedBox {
                    /// The visibility computed value.
                    pub visibility: longhands::visibility::computed_value::T,
                    /// The writing-mode computed value.
                    pub writing_mode: longhands::writing_mode::computed_value::T,
                    /// The direction computed value.
                    pub direction: longhands::direction::computed_value::T,
                    /// The -moz-box-collapse computed value.
                    pub _moz_box_collapse: longhands::_moz_box_collapse::computed_value::T,
                    /// The text-orientation computed value.
                    pub text_orientation: longhands::text_orientation::computed_value::T,
                    /// The print-color-adjust computed value.
                    pub print_color_adjust: longhands::print_color_adjust::computed_value::T,
                    /// The image-rendering computed value.
                    pub image_rendering: longhands::image_rendering::computed_value::T,
                    /// The image-orientation computed value.
                    pub image_orientation: longhands::image_orientation::computed_value::T,
        }

        impl InheritedBox {
                        /// Set visibility.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_visibility(&mut self, v: longhands::visibility::computed_value::T) {
                            self.visibility = v;
                        }
                        /// Set visibility from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_visibility_from(&mut self, other: &Self) {
                            self.visibility = other.visibility.clone();
                        }
                    /// Reset visibility from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_visibility(&mut self, other: &Self) {
                        self.copy_visibility_from(other)
                    }

                    /// Get the computed value for visibility.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_visibility(&self) -> longhands::visibility::computed_value::T {
                        self.visibility.clone()
                    }
                        /// Set writing-mode.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_writing_mode(&mut self, v: longhands::writing_mode::computed_value::T) {
                            self.writing_mode = v;
                        }
                        /// Set writing-mode from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_writing_mode_from(&mut self, other: &Self) {
                            self.writing_mode = other.writing_mode.clone();
                        }
                    /// Reset writing-mode from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_writing_mode(&mut self, other: &Self) {
                        self.copy_writing_mode_from(other)
                    }

                    /// Get the computed value for writing-mode.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_writing_mode(&self) -> longhands::writing_mode::computed_value::T {
                        self.writing_mode.clone()
                    }
                        /// Set direction.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_direction(&mut self, v: longhands::direction::computed_value::T) {
                            self.direction = v;
                        }
                        /// Set direction from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_direction_from(&mut self, other: &Self) {
                            self.direction = other.direction.clone();
                        }
                    /// Reset direction from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_direction(&mut self, other: &Self) {
                        self.copy_direction_from(other)
                    }

                    /// Get the computed value for direction.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_direction(&self) -> longhands::direction::computed_value::T {
                        self.direction.clone()
                    }
                        /// Set -moz-box-collapse.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_collapse(&mut self, v: longhands::_moz_box_collapse::computed_value::T) {
                            self._moz_box_collapse = v;
                        }
                        /// Set -moz-box-collapse from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_collapse_from(&mut self, other: &Self) {
                            self._moz_box_collapse = other._moz_box_collapse.clone();
                        }
                    /// Reset -moz-box-collapse from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_collapse(&mut self, other: &Self) {
                        self.copy__moz_box_collapse_from(other)
                    }

                    /// Get the computed value for -moz-box-collapse.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_collapse(&self) -> longhands::_moz_box_collapse::computed_value::T {
                        self._moz_box_collapse.clone()
                    }
                        /// Set text-orientation.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_orientation(&mut self, v: longhands::text_orientation::computed_value::T) {
                            self.text_orientation = v;
                        }
                        /// Set text-orientation from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_orientation_from(&mut self, other: &Self) {
                            self.text_orientation = other.text_orientation.clone();
                        }
                    /// Reset text-orientation from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_orientation(&mut self, other: &Self) {
                        self.copy_text_orientation_from(other)
                    }

                    /// Get the computed value for text-orientation.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_orientation(&self) -> longhands::text_orientation::computed_value::T {
                        self.text_orientation.clone()
                    }
                        /// Set print-color-adjust.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_print_color_adjust(&mut self, v: longhands::print_color_adjust::computed_value::T) {
                            self.print_color_adjust = v;
                        }
                        /// Set print-color-adjust from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_print_color_adjust_from(&mut self, other: &Self) {
                            self.print_color_adjust = other.print_color_adjust.clone();
                        }
                    /// Reset print-color-adjust from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_print_color_adjust(&mut self, other: &Self) {
                        self.copy_print_color_adjust_from(other)
                    }

                    /// Get the computed value for print-color-adjust.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_print_color_adjust(&self) -> longhands::print_color_adjust::computed_value::T {
                        self.print_color_adjust.clone()
                    }
                        /// Set image-rendering.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_image_rendering(&mut self, v: longhands::image_rendering::computed_value::T) {
                            self.image_rendering = v;
                        }
                        /// Set image-rendering from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_image_rendering_from(&mut self, other: &Self) {
                            self.image_rendering = other.image_rendering.clone();
                        }
                    /// Reset image-rendering from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_image_rendering(&mut self, other: &Self) {
                        self.copy_image_rendering_from(other)
                    }

                    /// Get the computed value for image-rendering.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_image_rendering(&self) -> longhands::image_rendering::computed_value::T {
                        self.image_rendering.clone()
                    }
                        /// Set image-orientation.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_image_orientation(&mut self, v: longhands::image_orientation::computed_value::T) {
                            self.image_orientation = v;
                        }
                        /// Set image-orientation from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_image_orientation_from(&mut self, other: &Self) {
                            self.image_orientation = other.image_orientation.clone();
                        }
                    /// Reset image-orientation from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_image_orientation(&mut self, other: &Self) {
                        self.copy_image_orientation_from(other)
                    }

                    /// Get the computed value for image-orientation.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_image_orientation(&self) -> longhands::image_orientation::computed_value::T {
                        self.image_orientation.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The InheritedSVG style struct.
        pub struct InheritedSVG {
                    /// The dominant-baseline computed value.
                    pub dominant_baseline: longhands::dominant_baseline::computed_value::T,
                    /// The text-anchor computed value.
                    pub text_anchor: longhands::text_anchor::computed_value::T,
                    /// The color-interpolation computed value.
                    pub color_interpolation: longhands::color_interpolation::computed_value::T,
                    /// The color-interpolation-filters computed value.
                    pub color_interpolation_filters: longhands::color_interpolation_filters::computed_value::T,
                    /// The fill computed value.
                    pub fill: longhands::fill::computed_value::T,
                    /// The fill-opacity computed value.
                    pub fill_opacity: longhands::fill_opacity::computed_value::T,
                    /// The fill-rule computed value.
                    pub fill_rule: longhands::fill_rule::computed_value::T,
                    /// The shape-rendering computed value.
                    pub shape_rendering: longhands::shape_rendering::computed_value::T,
                    /// The stroke computed value.
                    pub stroke: longhands::stroke::computed_value::T,
                    /// The stroke-width computed value.
                    pub stroke_width: longhands::stroke_width::computed_value::T,
                    /// The stroke-linecap computed value.
                    pub stroke_linecap: longhands::stroke_linecap::computed_value::T,
                    /// The stroke-linejoin computed value.
                    pub stroke_linejoin: longhands::stroke_linejoin::computed_value::T,
                    /// The stroke-miterlimit computed value.
                    pub stroke_miterlimit: longhands::stroke_miterlimit::computed_value::T,
                    /// The stroke-opacity computed value.
                    pub stroke_opacity: longhands::stroke_opacity::computed_value::T,
                    /// The stroke-dasharray computed value.
                    pub stroke_dasharray: longhands::stroke_dasharray::computed_value::T,
                    /// The stroke-dashoffset computed value.
                    pub stroke_dashoffset: longhands::stroke_dashoffset::computed_value::T,
                    /// The clip-rule computed value.
                    pub clip_rule: longhands::clip_rule::computed_value::T,
                    /// The marker-start computed value.
                    pub marker_start: longhands::marker_start::computed_value::T,
                    /// The marker-mid computed value.
                    pub marker_mid: longhands::marker_mid::computed_value::T,
                    /// The marker-end computed value.
                    pub marker_end: longhands::marker_end::computed_value::T,
                    /// The paint-order computed value.
                    pub paint_order: longhands::paint_order::computed_value::T,
                    /// The -moz-context-properties computed value.
                    pub _moz_context_properties: longhands::_moz_context_properties::computed_value::T,
        }

        impl InheritedSVG {
                        /// Set dominant-baseline.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_dominant_baseline(&mut self, v: longhands::dominant_baseline::computed_value::T) {
                            self.dominant_baseline = v;
                        }
                        /// Set dominant-baseline from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_dominant_baseline_from(&mut self, other: &Self) {
                            self.dominant_baseline = other.dominant_baseline.clone();
                        }
                    /// Reset dominant-baseline from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_dominant_baseline(&mut self, other: &Self) {
                        self.copy_dominant_baseline_from(other)
                    }

                    /// Get the computed value for dominant-baseline.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_dominant_baseline(&self) -> longhands::dominant_baseline::computed_value::T {
                        self.dominant_baseline.clone()
                    }
                        /// Set text-anchor.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_anchor(&mut self, v: longhands::text_anchor::computed_value::T) {
                            self.text_anchor = v;
                        }
                        /// Set text-anchor from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_anchor_from(&mut self, other: &Self) {
                            self.text_anchor = other.text_anchor.clone();
                        }
                    /// Reset text-anchor from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_anchor(&mut self, other: &Self) {
                        self.copy_text_anchor_from(other)
                    }

                    /// Get the computed value for text-anchor.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_anchor(&self) -> longhands::text_anchor::computed_value::T {
                        self.text_anchor.clone()
                    }
                        /// Set color-interpolation.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_color_interpolation(&mut self, v: longhands::color_interpolation::computed_value::T) {
                            self.color_interpolation = v;
                        }
                        /// Set color-interpolation from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_color_interpolation_from(&mut self, other: &Self) {
                            self.color_interpolation = other.color_interpolation.clone();
                        }
                    /// Reset color-interpolation from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_color_interpolation(&mut self, other: &Self) {
                        self.copy_color_interpolation_from(other)
                    }

                    /// Get the computed value for color-interpolation.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_color_interpolation(&self) -> longhands::color_interpolation::computed_value::T {
                        self.color_interpolation.clone()
                    }
                        /// Set color-interpolation-filters.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_color_interpolation_filters(&mut self, v: longhands::color_interpolation_filters::computed_value::T) {
                            self.color_interpolation_filters = v;
                        }
                        /// Set color-interpolation-filters from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_color_interpolation_filters_from(&mut self, other: &Self) {
                            self.color_interpolation_filters = other.color_interpolation_filters.clone();
                        }
                    /// Reset color-interpolation-filters from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_color_interpolation_filters(&mut self, other: &Self) {
                        self.copy_color_interpolation_filters_from(other)
                    }

                    /// Get the computed value for color-interpolation-filters.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_color_interpolation_filters(&self) -> longhands::color_interpolation_filters::computed_value::T {
                        self.color_interpolation_filters.clone()
                    }
                        /// Set fill.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_fill(&mut self, v: longhands::fill::computed_value::T) {
                            self.fill = v;
                        }
                        /// Set fill from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_fill_from(&mut self, other: &Self) {
                            self.fill = other.fill.clone();
                        }
                    /// Reset fill from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_fill(&mut self, other: &Self) {
                        self.copy_fill_from(other)
                    }

                    /// Get the computed value for fill.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_fill(&self) -> longhands::fill::computed_value::T {
                        self.fill.clone()
                    }
                        /// Set fill-opacity.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_fill_opacity(&mut self, v: longhands::fill_opacity::computed_value::T) {
                            self.fill_opacity = v;
                        }
                        /// Set fill-opacity from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_fill_opacity_from(&mut self, other: &Self) {
                            self.fill_opacity = other.fill_opacity.clone();
                        }
                    /// Reset fill-opacity from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_fill_opacity(&mut self, other: &Self) {
                        self.copy_fill_opacity_from(other)
                    }

                    /// Get the computed value for fill-opacity.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_fill_opacity(&self) -> longhands::fill_opacity::computed_value::T {
                        self.fill_opacity.clone()
                    }
                        /// Set fill-rule.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_fill_rule(&mut self, v: longhands::fill_rule::computed_value::T) {
                            self.fill_rule = v;
                        }
                        /// Set fill-rule from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_fill_rule_from(&mut self, other: &Self) {
                            self.fill_rule = other.fill_rule.clone();
                        }
                    /// Reset fill-rule from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_fill_rule(&mut self, other: &Self) {
                        self.copy_fill_rule_from(other)
                    }

                    /// Get the computed value for fill-rule.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_fill_rule(&self) -> longhands::fill_rule::computed_value::T {
                        self.fill_rule.clone()
                    }
                        /// Set shape-rendering.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_shape_rendering(&mut self, v: longhands::shape_rendering::computed_value::T) {
                            self.shape_rendering = v;
                        }
                        /// Set shape-rendering from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_shape_rendering_from(&mut self, other: &Self) {
                            self.shape_rendering = other.shape_rendering.clone();
                        }
                    /// Reset shape-rendering from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_shape_rendering(&mut self, other: &Self) {
                        self.copy_shape_rendering_from(other)
                    }

                    /// Get the computed value for shape-rendering.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_shape_rendering(&self) -> longhands::shape_rendering::computed_value::T {
                        self.shape_rendering.clone()
                    }
                        /// Set stroke.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke(&mut self, v: longhands::stroke::computed_value::T) {
                            self.stroke = v;
                        }
                        /// Set stroke from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_from(&mut self, other: &Self) {
                            self.stroke = other.stroke.clone();
                        }
                    /// Reset stroke from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke(&mut self, other: &Self) {
                        self.copy_stroke_from(other)
                    }

                    /// Get the computed value for stroke.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke(&self) -> longhands::stroke::computed_value::T {
                        self.stroke.clone()
                    }
                        /// Set stroke-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_width(&mut self, v: longhands::stroke_width::computed_value::T) {
                            self.stroke_width = v;
                        }
                        /// Set stroke-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_width_from(&mut self, other: &Self) {
                            self.stroke_width = other.stroke_width.clone();
                        }
                    /// Reset stroke-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_width(&mut self, other: &Self) {
                        self.copy_stroke_width_from(other)
                    }

                    /// Get the computed value for stroke-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_width(&self) -> longhands::stroke_width::computed_value::T {
                        self.stroke_width.clone()
                    }
                        /// Set stroke-linecap.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_linecap(&mut self, v: longhands::stroke_linecap::computed_value::T) {
                            self.stroke_linecap = v;
                        }
                        /// Set stroke-linecap from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_linecap_from(&mut self, other: &Self) {
                            self.stroke_linecap = other.stroke_linecap.clone();
                        }
                    /// Reset stroke-linecap from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_linecap(&mut self, other: &Self) {
                        self.copy_stroke_linecap_from(other)
                    }

                    /// Get the computed value for stroke-linecap.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_linecap(&self) -> longhands::stroke_linecap::computed_value::T {
                        self.stroke_linecap.clone()
                    }
                        /// Set stroke-linejoin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_linejoin(&mut self, v: longhands::stroke_linejoin::computed_value::T) {
                            self.stroke_linejoin = v;
                        }
                        /// Set stroke-linejoin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_linejoin_from(&mut self, other: &Self) {
                            self.stroke_linejoin = other.stroke_linejoin.clone();
                        }
                    /// Reset stroke-linejoin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_linejoin(&mut self, other: &Self) {
                        self.copy_stroke_linejoin_from(other)
                    }

                    /// Get the computed value for stroke-linejoin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_linejoin(&self) -> longhands::stroke_linejoin::computed_value::T {
                        self.stroke_linejoin.clone()
                    }
                        /// Set stroke-miterlimit.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_miterlimit(&mut self, v: longhands::stroke_miterlimit::computed_value::T) {
                            self.stroke_miterlimit = v;
                        }
                        /// Set stroke-miterlimit from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_miterlimit_from(&mut self, other: &Self) {
                            self.stroke_miterlimit = other.stroke_miterlimit.clone();
                        }
                    /// Reset stroke-miterlimit from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_miterlimit(&mut self, other: &Self) {
                        self.copy_stroke_miterlimit_from(other)
                    }

                    /// Get the computed value for stroke-miterlimit.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_miterlimit(&self) -> longhands::stroke_miterlimit::computed_value::T {
                        self.stroke_miterlimit.clone()
                    }
                        /// Set stroke-opacity.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_opacity(&mut self, v: longhands::stroke_opacity::computed_value::T) {
                            self.stroke_opacity = v;
                        }
                        /// Set stroke-opacity from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_opacity_from(&mut self, other: &Self) {
                            self.stroke_opacity = other.stroke_opacity.clone();
                        }
                    /// Reset stroke-opacity from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_opacity(&mut self, other: &Self) {
                        self.copy_stroke_opacity_from(other)
                    }

                    /// Get the computed value for stroke-opacity.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_opacity(&self) -> longhands::stroke_opacity::computed_value::T {
                        self.stroke_opacity.clone()
                    }
                        /// Set stroke-dasharray.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_dasharray(&mut self, v: longhands::stroke_dasharray::computed_value::T) {
                            self.stroke_dasharray = v;
                        }
                        /// Set stroke-dasharray from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_dasharray_from(&mut self, other: &Self) {
                            self.stroke_dasharray = other.stroke_dasharray.clone();
                        }
                    /// Reset stroke-dasharray from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_dasharray(&mut self, other: &Self) {
                        self.copy_stroke_dasharray_from(other)
                    }

                    /// Get the computed value for stroke-dasharray.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_dasharray(&self) -> longhands::stroke_dasharray::computed_value::T {
                        self.stroke_dasharray.clone()
                    }
                        /// Set stroke-dashoffset.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stroke_dashoffset(&mut self, v: longhands::stroke_dashoffset::computed_value::T) {
                            self.stroke_dashoffset = v;
                        }
                        /// Set stroke-dashoffset from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stroke_dashoffset_from(&mut self, other: &Self) {
                            self.stroke_dashoffset = other.stroke_dashoffset.clone();
                        }
                    /// Reset stroke-dashoffset from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stroke_dashoffset(&mut self, other: &Self) {
                        self.copy_stroke_dashoffset_from(other)
                    }

                    /// Get the computed value for stroke-dashoffset.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stroke_dashoffset(&self) -> longhands::stroke_dashoffset::computed_value::T {
                        self.stroke_dashoffset.clone()
                    }
                        /// Set clip-rule.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_clip_rule(&mut self, v: longhands::clip_rule::computed_value::T) {
                            self.clip_rule = v;
                        }
                        /// Set clip-rule from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_clip_rule_from(&mut self, other: &Self) {
                            self.clip_rule = other.clip_rule.clone();
                        }
                    /// Reset clip-rule from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_clip_rule(&mut self, other: &Self) {
                        self.copy_clip_rule_from(other)
                    }

                    /// Get the computed value for clip-rule.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_clip_rule(&self) -> longhands::clip_rule::computed_value::T {
                        self.clip_rule.clone()
                    }
                        /// Set marker-start.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_marker_start(&mut self, v: longhands::marker_start::computed_value::T) {
                            self.marker_start = v;
                        }
                        /// Set marker-start from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_marker_start_from(&mut self, other: &Self) {
                            self.marker_start = other.marker_start.clone();
                        }
                    /// Reset marker-start from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_marker_start(&mut self, other: &Self) {
                        self.copy_marker_start_from(other)
                    }

                    /// Get the computed value for marker-start.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_marker_start(&self) -> longhands::marker_start::computed_value::T {
                        self.marker_start.clone()
                    }
                        /// Set marker-mid.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_marker_mid(&mut self, v: longhands::marker_mid::computed_value::T) {
                            self.marker_mid = v;
                        }
                        /// Set marker-mid from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_marker_mid_from(&mut self, other: &Self) {
                            self.marker_mid = other.marker_mid.clone();
                        }
                    /// Reset marker-mid from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_marker_mid(&mut self, other: &Self) {
                        self.copy_marker_mid_from(other)
                    }

                    /// Get the computed value for marker-mid.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_marker_mid(&self) -> longhands::marker_mid::computed_value::T {
                        self.marker_mid.clone()
                    }
                        /// Set marker-end.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_marker_end(&mut self, v: longhands::marker_end::computed_value::T) {
                            self.marker_end = v;
                        }
                        /// Set marker-end from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_marker_end_from(&mut self, other: &Self) {
                            self.marker_end = other.marker_end.clone();
                        }
                    /// Reset marker-end from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_marker_end(&mut self, other: &Self) {
                        self.copy_marker_end_from(other)
                    }

                    /// Get the computed value for marker-end.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_marker_end(&self) -> longhands::marker_end::computed_value::T {
                        self.marker_end.clone()
                    }
                        /// Set paint-order.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_paint_order(&mut self, v: longhands::paint_order::computed_value::T) {
                            self.paint_order = v;
                        }
                        /// Set paint-order from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_paint_order_from(&mut self, other: &Self) {
                            self.paint_order = other.paint_order.clone();
                        }
                    /// Reset paint-order from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_paint_order(&mut self, other: &Self) {
                        self.copy_paint_order_from(other)
                    }

                    /// Get the computed value for paint-order.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_paint_order(&self) -> longhands::paint_order::computed_value::T {
                        self.paint_order.clone()
                    }
                        /// Set -moz-context-properties.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_context_properties(&mut self, v: longhands::_moz_context_properties::computed_value::T) {
                            self._moz_context_properties = v;
                        }
                        /// Set -moz-context-properties from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_context_properties_from(&mut self, other: &Self) {
                            self._moz_context_properties = other._moz_context_properties.clone();
                        }
                    /// Reset -moz-context-properties from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_context_properties(&mut self, other: &Self) {
                        self.copy__moz_context_properties_from(other)
                    }

                    /// Get the computed value for -moz-context-properties.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_context_properties(&self) -> longhands::_moz_context_properties::computed_value::T {
                        self._moz_context_properties.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The InheritedTable style struct.
        pub struct InheritedTable {
                    /// The border-collapse computed value.
                    pub border_collapse: longhands::border_collapse::computed_value::T,
                    /// The empty-cells computed value.
                    pub empty_cells: longhands::empty_cells::computed_value::T,
                    /// The caption-side computed value.
                    pub caption_side: longhands::caption_side::computed_value::T,
                    /// The border-spacing computed value.
                    pub border_spacing: longhands::border_spacing::computed_value::T,
        }

        impl InheritedTable {
                        /// Set border-collapse.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_collapse(&mut self, v: longhands::border_collapse::computed_value::T) {
                            self.border_collapse = v;
                        }
                        /// Set border-collapse from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_collapse_from(&mut self, other: &Self) {
                            self.border_collapse = other.border_collapse.clone();
                        }
                    /// Reset border-collapse from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_collapse(&mut self, other: &Self) {
                        self.copy_border_collapse_from(other)
                    }

                    /// Get the computed value for border-collapse.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_collapse(&self) -> longhands::border_collapse::computed_value::T {
                        self.border_collapse.clone()
                    }
                        /// Set empty-cells.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_empty_cells(&mut self, v: longhands::empty_cells::computed_value::T) {
                            self.empty_cells = v;
                        }
                        /// Set empty-cells from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_empty_cells_from(&mut self, other: &Self) {
                            self.empty_cells = other.empty_cells.clone();
                        }
                    /// Reset empty-cells from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_empty_cells(&mut self, other: &Self) {
                        self.copy_empty_cells_from(other)
                    }

                    /// Get the computed value for empty-cells.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_empty_cells(&self) -> longhands::empty_cells::computed_value::T {
                        self.empty_cells.clone()
                    }
                        /// Set caption-side.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_caption_side(&mut self, v: longhands::caption_side::computed_value::T) {
                            self.caption_side = v;
                        }
                        /// Set caption-side from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_caption_side_from(&mut self, other: &Self) {
                            self.caption_side = other.caption_side.clone();
                        }
                    /// Reset caption-side from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_caption_side(&mut self, other: &Self) {
                        self.copy_caption_side_from(other)
                    }

                    /// Get the computed value for caption-side.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_caption_side(&self) -> longhands::caption_side::computed_value::T {
                        self.caption_side.clone()
                    }
                        /// Set border-spacing.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_border_spacing(&mut self, v: longhands::border_spacing::computed_value::T) {
                            self.border_spacing = v;
                        }
                        /// Set border-spacing from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_border_spacing_from(&mut self, other: &Self) {
                            self.border_spacing = other.border_spacing.clone();
                        }
                    /// Reset border-spacing from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_border_spacing(&mut self, other: &Self) {
                        self.copy_border_spacing_from(other)
                    }

                    /// Get the computed value for border-spacing.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_border_spacing(&self) -> longhands::border_spacing::computed_value::T {
                        self.border_spacing.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The InheritedText style struct.
        pub struct InheritedText {
                    /// The color computed value.
                    pub color: longhands::color::computed_value::T,
                    /// The line-height computed value.
                    pub line_height: longhands::line_height::computed_value::T,
                    /// The text-transform computed value.
                    pub text_transform: longhands::text_transform::computed_value::T,
                    /// The hyphens computed value.
                    pub hyphens: longhands::hyphens::computed_value::T,
                    /// The -moz-text-size-adjust computed value.
                    pub _moz_text_size_adjust: longhands::_moz_text_size_adjust::computed_value::T,
                    /// The text-indent computed value.
                    pub text_indent: longhands::text_indent::computed_value::T,
                    /// The overflow-wrap computed value.
                    pub overflow_wrap: longhands::overflow_wrap::computed_value::T,
                    /// The word-break computed value.
                    pub word_break: longhands::word_break::computed_value::T,
                    /// The text-justify computed value.
                    pub text_justify: longhands::text_justify::computed_value::T,
                    /// The text-align-last computed value.
                    pub text_align_last: longhands::text_align_last::computed_value::T,
                    /// The text-align computed value.
                    pub text_align: longhands::text_align::computed_value::T,
                    /// The letter-spacing computed value.
                    pub letter_spacing: longhands::letter_spacing::computed_value::T,
                    /// The word-spacing computed value.
                    pub word_spacing: longhands::word_spacing::computed_value::T,
                    /// The white-space computed value.
                    pub white_space: longhands::white_space::computed_value::T,
                    /// The text-shadow computed value.
                    pub text_shadow: longhands::text_shadow::computed_value::T,
                    /// The text-emphasis-style computed value.
                    pub text_emphasis_style: longhands::text_emphasis_style::computed_value::T,
                    /// The text-emphasis-position computed value.
                    pub text_emphasis_position: longhands::text_emphasis_position::computed_value::T,
                    /// The text-emphasis-color computed value.
                    pub text_emphasis_color: longhands::text_emphasis_color::computed_value::T,
                    /// The tab-size computed value.
                    pub tab_size: longhands::tab_size::computed_value::T,
                    /// The line-break computed value.
                    pub line_break: longhands::line_break::computed_value::T,
                    /// The -webkit-text-fill-color computed value.
                    pub _webkit_text_fill_color: longhands::_webkit_text_fill_color::computed_value::T,
                    /// The -webkit-text-stroke-color computed value.
                    pub _webkit_text_stroke_color: longhands::_webkit_text_stroke_color::computed_value::T,
                    /// The -webkit-text-stroke-width computed value.
                    pub _webkit_text_stroke_width: longhands::_webkit_text_stroke_width::computed_value::T,
                    /// The ruby-align computed value.
                    pub ruby_align: longhands::ruby_align::computed_value::T,
                    /// The ruby-position computed value.
                    pub ruby_position: longhands::ruby_position::computed_value::T,
                    /// The text-combine-upright computed value.
                    pub text_combine_upright: longhands::text_combine_upright::computed_value::T,
                    /// The text-rendering computed value.
                    pub text_rendering: longhands::text_rendering::computed_value::T,
                    /// The -moz-control-character-visibility computed value.
                    pub _moz_control_character_visibility: longhands::_moz_control_character_visibility::computed_value::T,
                    /// The text-underline-offset computed value.
                    pub text_underline_offset: longhands::text_underline_offset::computed_value::T,
                    /// The text-underline-position computed value.
                    pub text_underline_position: longhands::text_underline_position::computed_value::T,
                    /// The text-decoration-skip-ink computed value.
                    pub text_decoration_skip_ink: longhands::text_decoration_skip_ink::computed_value::T,
                    /// The hyphenate-character computed value.
                    pub hyphenate_character: longhands::hyphenate_character::computed_value::T,
                    /// The forced-color-adjust computed value.
                    pub forced_color_adjust: longhands::forced_color_adjust::computed_value::T,
                    /// The -webkit-text-security computed value.
                    pub _webkit_text_security: longhands::_webkit_text_security::computed_value::T,
                /// The "used" text-decorations that apply to this box.
                ///
                /// FIXME(emilio): This is technically a box-tree concept, and
                /// would be nice to move away from style.
                pub text_decorations_in_effect: crate::values::computed::text::TextDecorationsInEffect,
        }

        impl InheritedText {
                        /// Set color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_color(&mut self, v: longhands::color::computed_value::T) {
                            self.color = v;
                        }
                        /// Set color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_color_from(&mut self, other: &Self) {
                            self.color = other.color.clone();
                        }
                    /// Reset color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_color(&mut self, other: &Self) {
                        self.copy_color_from(other)
                    }

                    /// Get the computed value for color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_color(&self) -> longhands::color::computed_value::T {
                        self.color.clone()
                    }
                        /// Set line-height.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_line_height(&mut self, v: longhands::line_height::computed_value::T) {
                            self.line_height = v;
                        }
                        /// Set line-height from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_line_height_from(&mut self, other: &Self) {
                            self.line_height = other.line_height.clone();
                        }
                    /// Reset line-height from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_line_height(&mut self, other: &Self) {
                        self.copy_line_height_from(other)
                    }

                    /// Get the computed value for line-height.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_line_height(&self) -> longhands::line_height::computed_value::T {
                        self.line_height.clone()
                    }
                        /// Set text-transform.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_transform(&mut self, v: longhands::text_transform::computed_value::T) {
                            self.text_transform = v;
                        }
                        /// Set text-transform from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_transform_from(&mut self, other: &Self) {
                            self.text_transform = other.text_transform.clone();
                        }
                    /// Reset text-transform from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_transform(&mut self, other: &Self) {
                        self.copy_text_transform_from(other)
                    }

                    /// Get the computed value for text-transform.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_transform(&self) -> longhands::text_transform::computed_value::T {
                        self.text_transform.clone()
                    }
                        /// Set hyphens.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_hyphens(&mut self, v: longhands::hyphens::computed_value::T) {
                            self.hyphens = v;
                        }
                        /// Set hyphens from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_hyphens_from(&mut self, other: &Self) {
                            self.hyphens = other.hyphens.clone();
                        }
                    /// Reset hyphens from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_hyphens(&mut self, other: &Self) {
                        self.copy_hyphens_from(other)
                    }

                    /// Get the computed value for hyphens.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_hyphens(&self) -> longhands::hyphens::computed_value::T {
                        self.hyphens.clone()
                    }
                        /// Set -moz-text-size-adjust.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_text_size_adjust(&mut self, v: longhands::_moz_text_size_adjust::computed_value::T) {
                            self._moz_text_size_adjust = v;
                        }
                        /// Set -moz-text-size-adjust from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_text_size_adjust_from(&mut self, other: &Self) {
                            self._moz_text_size_adjust = other._moz_text_size_adjust.clone();
                        }
                    /// Reset -moz-text-size-adjust from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_text_size_adjust(&mut self, other: &Self) {
                        self.copy__moz_text_size_adjust_from(other)
                    }

                    /// Get the computed value for -moz-text-size-adjust.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_text_size_adjust(&self) -> longhands::_moz_text_size_adjust::computed_value::T {
                        self._moz_text_size_adjust.clone()
                    }
                        /// Set text-indent.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_indent(&mut self, v: longhands::text_indent::computed_value::T) {
                            self.text_indent = v;
                        }
                        /// Set text-indent from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_indent_from(&mut self, other: &Self) {
                            self.text_indent = other.text_indent.clone();
                        }
                    /// Reset text-indent from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_indent(&mut self, other: &Self) {
                        self.copy_text_indent_from(other)
                    }

                    /// Get the computed value for text-indent.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_indent(&self) -> longhands::text_indent::computed_value::T {
                        self.text_indent.clone()
                    }
                        /// Set overflow-wrap.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_wrap(&mut self, v: longhands::overflow_wrap::computed_value::T) {
                            self.overflow_wrap = v;
                        }
                        /// Set overflow-wrap from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_wrap_from(&mut self, other: &Self) {
                            self.overflow_wrap = other.overflow_wrap.clone();
                        }
                    /// Reset overflow-wrap from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_wrap(&mut self, other: &Self) {
                        self.copy_overflow_wrap_from(other)
                    }

                    /// Get the computed value for overflow-wrap.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_wrap(&self) -> longhands::overflow_wrap::computed_value::T {
                        self.overflow_wrap.clone()
                    }
                        /// Set word-break.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_word_break(&mut self, v: longhands::word_break::computed_value::T) {
                            self.word_break = v;
                        }
                        /// Set word-break from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_word_break_from(&mut self, other: &Self) {
                            self.word_break = other.word_break.clone();
                        }
                    /// Reset word-break from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_word_break(&mut self, other: &Self) {
                        self.copy_word_break_from(other)
                    }

                    /// Get the computed value for word-break.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_word_break(&self) -> longhands::word_break::computed_value::T {
                        self.word_break.clone()
                    }
                        /// Set text-justify.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_justify(&mut self, v: longhands::text_justify::computed_value::T) {
                            self.text_justify = v;
                        }
                        /// Set text-justify from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_justify_from(&mut self, other: &Self) {
                            self.text_justify = other.text_justify.clone();
                        }
                    /// Reset text-justify from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_justify(&mut self, other: &Self) {
                        self.copy_text_justify_from(other)
                    }

                    /// Get the computed value for text-justify.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_justify(&self) -> longhands::text_justify::computed_value::T {
                        self.text_justify.clone()
                    }
                        /// Set text-align-last.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_align_last(&mut self, v: longhands::text_align_last::computed_value::T) {
                            self.text_align_last = v;
                        }
                        /// Set text-align-last from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_align_last_from(&mut self, other: &Self) {
                            self.text_align_last = other.text_align_last.clone();
                        }
                    /// Reset text-align-last from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_align_last(&mut self, other: &Self) {
                        self.copy_text_align_last_from(other)
                    }

                    /// Get the computed value for text-align-last.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_align_last(&self) -> longhands::text_align_last::computed_value::T {
                        self.text_align_last.clone()
                    }
                        /// Set text-align.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_align(&mut self, v: longhands::text_align::computed_value::T) {
                            self.text_align = v;
                        }
                        /// Set text-align from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_align_from(&mut self, other: &Self) {
                            self.text_align = other.text_align.clone();
                        }
                    /// Reset text-align from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_align(&mut self, other: &Self) {
                        self.copy_text_align_from(other)
                    }

                    /// Get the computed value for text-align.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_align(&self) -> longhands::text_align::computed_value::T {
                        self.text_align.clone()
                    }
                        /// Set letter-spacing.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_letter_spacing(&mut self, v: longhands::letter_spacing::computed_value::T) {
                            self.letter_spacing = v;
                        }
                        /// Set letter-spacing from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_letter_spacing_from(&mut self, other: &Self) {
                            self.letter_spacing = other.letter_spacing.clone();
                        }
                    /// Reset letter-spacing from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_letter_spacing(&mut self, other: &Self) {
                        self.copy_letter_spacing_from(other)
                    }

                    /// Get the computed value for letter-spacing.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_letter_spacing(&self) -> longhands::letter_spacing::computed_value::T {
                        self.letter_spacing.clone()
                    }
                        /// Set word-spacing.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_word_spacing(&mut self, v: longhands::word_spacing::computed_value::T) {
                            self.word_spacing = v;
                        }
                        /// Set word-spacing from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_word_spacing_from(&mut self, other: &Self) {
                            self.word_spacing = other.word_spacing.clone();
                        }
                    /// Reset word-spacing from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_word_spacing(&mut self, other: &Self) {
                        self.copy_word_spacing_from(other)
                    }

                    /// Get the computed value for word-spacing.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_word_spacing(&self) -> longhands::word_spacing::computed_value::T {
                        self.word_spacing.clone()
                    }
                        /// Set white-space.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_white_space(&mut self, v: longhands::white_space::computed_value::T) {
                            self.white_space = v;
                        }
                        /// Set white-space from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_white_space_from(&mut self, other: &Self) {
                            self.white_space = other.white_space.clone();
                        }
                    /// Reset white-space from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_white_space(&mut self, other: &Self) {
                        self.copy_white_space_from(other)
                    }

                    /// Get the computed value for white-space.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_white_space(&self) -> longhands::white_space::computed_value::T {
                        self.white_space.clone()
                    }
                        /// Set text-shadow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_shadow(&mut self, v: longhands::text_shadow::computed_value::T) {
                            self.text_shadow = v;
                        }
                        /// Set text-shadow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_shadow_from(&mut self, other: &Self) {
                            self.text_shadow = other.text_shadow.clone();
                        }
                    /// Reset text-shadow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_shadow(&mut self, other: &Self) {
                        self.copy_text_shadow_from(other)
                    }

                    /// Get the computed value for text-shadow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_shadow(&self) -> longhands::text_shadow::computed_value::T {
                        self.text_shadow.clone()
                    }
                        /// Set text-emphasis-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_emphasis_style(&mut self, v: longhands::text_emphasis_style::computed_value::T) {
                            self.text_emphasis_style = v;
                        }
                        /// Set text-emphasis-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_emphasis_style_from(&mut self, other: &Self) {
                            self.text_emphasis_style = other.text_emphasis_style.clone();
                        }
                    /// Reset text-emphasis-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_emphasis_style(&mut self, other: &Self) {
                        self.copy_text_emphasis_style_from(other)
                    }

                    /// Get the computed value for text-emphasis-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_emphasis_style(&self) -> longhands::text_emphasis_style::computed_value::T {
                        self.text_emphasis_style.clone()
                    }
                        /// Set text-emphasis-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_emphasis_position(&mut self, v: longhands::text_emphasis_position::computed_value::T) {
                            self.text_emphasis_position = v;
                        }
                        /// Set text-emphasis-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_emphasis_position_from(&mut self, other: &Self) {
                            self.text_emphasis_position = other.text_emphasis_position.clone();
                        }
                    /// Reset text-emphasis-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_emphasis_position(&mut self, other: &Self) {
                        self.copy_text_emphasis_position_from(other)
                    }

                    /// Get the computed value for text-emphasis-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_emphasis_position(&self) -> longhands::text_emphasis_position::computed_value::T {
                        self.text_emphasis_position.clone()
                    }
                        /// Set text-emphasis-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_emphasis_color(&mut self, v: longhands::text_emphasis_color::computed_value::T) {
                            self.text_emphasis_color = v;
                        }
                        /// Set text-emphasis-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_emphasis_color_from(&mut self, other: &Self) {
                            self.text_emphasis_color = other.text_emphasis_color.clone();
                        }
                    /// Reset text-emphasis-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_emphasis_color(&mut self, other: &Self) {
                        self.copy_text_emphasis_color_from(other)
                    }

                    /// Get the computed value for text-emphasis-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_emphasis_color(&self) -> longhands::text_emphasis_color::computed_value::T {
                        self.text_emphasis_color.clone()
                    }
                        /// Set tab-size.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_tab_size(&mut self, v: longhands::tab_size::computed_value::T) {
                            self.tab_size = v;
                        }
                        /// Set tab-size from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_tab_size_from(&mut self, other: &Self) {
                            self.tab_size = other.tab_size.clone();
                        }
                    /// Reset tab-size from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_tab_size(&mut self, other: &Self) {
                        self.copy_tab_size_from(other)
                    }

                    /// Get the computed value for tab-size.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_tab_size(&self) -> longhands::tab_size::computed_value::T {
                        self.tab_size.clone()
                    }
                        /// Set line-break.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_line_break(&mut self, v: longhands::line_break::computed_value::T) {
                            self.line_break = v;
                        }
                        /// Set line-break from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_line_break_from(&mut self, other: &Self) {
                            self.line_break = other.line_break.clone();
                        }
                    /// Reset line-break from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_line_break(&mut self, other: &Self) {
                        self.copy_line_break_from(other)
                    }

                    /// Get the computed value for line-break.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_line_break(&self) -> longhands::line_break::computed_value::T {
                        self.line_break.clone()
                    }
                        /// Set -webkit-text-fill-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__webkit_text_fill_color(&mut self, v: longhands::_webkit_text_fill_color::computed_value::T) {
                            self._webkit_text_fill_color = v;
                        }
                        /// Set -webkit-text-fill-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__webkit_text_fill_color_from(&mut self, other: &Self) {
                            self._webkit_text_fill_color = other._webkit_text_fill_color.clone();
                        }
                    /// Reset -webkit-text-fill-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__webkit_text_fill_color(&mut self, other: &Self) {
                        self.copy__webkit_text_fill_color_from(other)
                    }

                    /// Get the computed value for -webkit-text-fill-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__webkit_text_fill_color(&self) -> longhands::_webkit_text_fill_color::computed_value::T {
                        self._webkit_text_fill_color.clone()
                    }
                        /// Set -webkit-text-stroke-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__webkit_text_stroke_color(&mut self, v: longhands::_webkit_text_stroke_color::computed_value::T) {
                            self._webkit_text_stroke_color = v;
                        }
                        /// Set -webkit-text-stroke-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__webkit_text_stroke_color_from(&mut self, other: &Self) {
                            self._webkit_text_stroke_color = other._webkit_text_stroke_color.clone();
                        }
                    /// Reset -webkit-text-stroke-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__webkit_text_stroke_color(&mut self, other: &Self) {
                        self.copy__webkit_text_stroke_color_from(other)
                    }

                    /// Get the computed value for -webkit-text-stroke-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__webkit_text_stroke_color(&self) -> longhands::_webkit_text_stroke_color::computed_value::T {
                        self._webkit_text_stroke_color.clone()
                    }
                        /// Set -webkit-text-stroke-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__webkit_text_stroke_width(&mut self, v: longhands::_webkit_text_stroke_width::computed_value::T) {
                            self._webkit_text_stroke_width = v;
                        }
                        /// Set -webkit-text-stroke-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__webkit_text_stroke_width_from(&mut self, other: &Self) {
                            self._webkit_text_stroke_width = other._webkit_text_stroke_width.clone();
                        }
                    /// Reset -webkit-text-stroke-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__webkit_text_stroke_width(&mut self, other: &Self) {
                        self.copy__webkit_text_stroke_width_from(other)
                    }

                    /// Get the computed value for -webkit-text-stroke-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__webkit_text_stroke_width(&self) -> longhands::_webkit_text_stroke_width::computed_value::T {
                        self._webkit_text_stroke_width.clone()
                    }
                        /// Set ruby-align.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_ruby_align(&mut self, v: longhands::ruby_align::computed_value::T) {
                            self.ruby_align = v;
                        }
                        /// Set ruby-align from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_ruby_align_from(&mut self, other: &Self) {
                            self.ruby_align = other.ruby_align.clone();
                        }
                    /// Reset ruby-align from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_ruby_align(&mut self, other: &Self) {
                        self.copy_ruby_align_from(other)
                    }

                    /// Get the computed value for ruby-align.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_ruby_align(&self) -> longhands::ruby_align::computed_value::T {
                        self.ruby_align.clone()
                    }
                        /// Set ruby-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_ruby_position(&mut self, v: longhands::ruby_position::computed_value::T) {
                            self.ruby_position = v;
                        }
                        /// Set ruby-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_ruby_position_from(&mut self, other: &Self) {
                            self.ruby_position = other.ruby_position.clone();
                        }
                    /// Reset ruby-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_ruby_position(&mut self, other: &Self) {
                        self.copy_ruby_position_from(other)
                    }

                    /// Get the computed value for ruby-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_ruby_position(&self) -> longhands::ruby_position::computed_value::T {
                        self.ruby_position.clone()
                    }
                        /// Set text-combine-upright.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_combine_upright(&mut self, v: longhands::text_combine_upright::computed_value::T) {
                            self.text_combine_upright = v;
                        }
                        /// Set text-combine-upright from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_combine_upright_from(&mut self, other: &Self) {
                            self.text_combine_upright = other.text_combine_upright.clone();
                        }
                    /// Reset text-combine-upright from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_combine_upright(&mut self, other: &Self) {
                        self.copy_text_combine_upright_from(other)
                    }

                    /// Get the computed value for text-combine-upright.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_combine_upright(&self) -> longhands::text_combine_upright::computed_value::T {
                        self.text_combine_upright.clone()
                    }
                        /// Set text-rendering.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_rendering(&mut self, v: longhands::text_rendering::computed_value::T) {
                            self.text_rendering = v;
                        }
                        /// Set text-rendering from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_rendering_from(&mut self, other: &Self) {
                            self.text_rendering = other.text_rendering.clone();
                        }
                    /// Reset text-rendering from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_rendering(&mut self, other: &Self) {
                        self.copy_text_rendering_from(other)
                    }

                    /// Get the computed value for text-rendering.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_rendering(&self) -> longhands::text_rendering::computed_value::T {
                        self.text_rendering.clone()
                    }
                        /// Set -moz-control-character-visibility.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_control_character_visibility(&mut self, v: longhands::_moz_control_character_visibility::computed_value::T) {
                            self._moz_control_character_visibility = v;
                        }
                        /// Set -moz-control-character-visibility from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_control_character_visibility_from(&mut self, other: &Self) {
                            self._moz_control_character_visibility = other._moz_control_character_visibility.clone();
                        }
                    /// Reset -moz-control-character-visibility from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_control_character_visibility(&mut self, other: &Self) {
                        self.copy__moz_control_character_visibility_from(other)
                    }

                    /// Get the computed value for -moz-control-character-visibility.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_control_character_visibility(&self) -> longhands::_moz_control_character_visibility::computed_value::T {
                        self._moz_control_character_visibility.clone()
                    }
                        /// Set text-underline-offset.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_underline_offset(&mut self, v: longhands::text_underline_offset::computed_value::T) {
                            self.text_underline_offset = v;
                        }
                        /// Set text-underline-offset from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_underline_offset_from(&mut self, other: &Self) {
                            self.text_underline_offset = other.text_underline_offset.clone();
                        }
                    /// Reset text-underline-offset from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_underline_offset(&mut self, other: &Self) {
                        self.copy_text_underline_offset_from(other)
                    }

                    /// Get the computed value for text-underline-offset.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_underline_offset(&self) -> longhands::text_underline_offset::computed_value::T {
                        self.text_underline_offset.clone()
                    }
                        /// Set text-underline-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_underline_position(&mut self, v: longhands::text_underline_position::computed_value::T) {
                            self.text_underline_position = v;
                        }
                        /// Set text-underline-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_underline_position_from(&mut self, other: &Self) {
                            self.text_underline_position = other.text_underline_position.clone();
                        }
                    /// Reset text-underline-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_underline_position(&mut self, other: &Self) {
                        self.copy_text_underline_position_from(other)
                    }

                    /// Get the computed value for text-underline-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_underline_position(&self) -> longhands::text_underline_position::computed_value::T {
                        self.text_underline_position.clone()
                    }
                        /// Set text-decoration-skip-ink.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_decoration_skip_ink(&mut self, v: longhands::text_decoration_skip_ink::computed_value::T) {
                            self.text_decoration_skip_ink = v;
                        }
                        /// Set text-decoration-skip-ink from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_decoration_skip_ink_from(&mut self, other: &Self) {
                            self.text_decoration_skip_ink = other.text_decoration_skip_ink.clone();
                        }
                    /// Reset text-decoration-skip-ink from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_decoration_skip_ink(&mut self, other: &Self) {
                        self.copy_text_decoration_skip_ink_from(other)
                    }

                    /// Get the computed value for text-decoration-skip-ink.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_decoration_skip_ink(&self) -> longhands::text_decoration_skip_ink::computed_value::T {
                        self.text_decoration_skip_ink.clone()
                    }
                        /// Set hyphenate-character.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_hyphenate_character(&mut self, v: longhands::hyphenate_character::computed_value::T) {
                            self.hyphenate_character = v;
                        }
                        /// Set hyphenate-character from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_hyphenate_character_from(&mut self, other: &Self) {
                            self.hyphenate_character = other.hyphenate_character.clone();
                        }
                    /// Reset hyphenate-character from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_hyphenate_character(&mut self, other: &Self) {
                        self.copy_hyphenate_character_from(other)
                    }

                    /// Get the computed value for hyphenate-character.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_hyphenate_character(&self) -> longhands::hyphenate_character::computed_value::T {
                        self.hyphenate_character.clone()
                    }
                        /// Set forced-color-adjust.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_forced_color_adjust(&mut self, v: longhands::forced_color_adjust::computed_value::T) {
                            self.forced_color_adjust = v;
                        }
                        /// Set forced-color-adjust from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_forced_color_adjust_from(&mut self, other: &Self) {
                            self.forced_color_adjust = other.forced_color_adjust.clone();
                        }
                    /// Reset forced-color-adjust from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_forced_color_adjust(&mut self, other: &Self) {
                        self.copy_forced_color_adjust_from(other)
                    }

                    /// Get the computed value for forced-color-adjust.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_forced_color_adjust(&self) -> longhands::forced_color_adjust::computed_value::T {
                        self.forced_color_adjust.clone()
                    }
                        /// Set -webkit-text-security.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__webkit_text_security(&mut self, v: longhands::_webkit_text_security::computed_value::T) {
                            self._webkit_text_security = v;
                        }
                        /// Set -webkit-text-security from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__webkit_text_security_from(&mut self, other: &Self) {
                            self._webkit_text_security = other._webkit_text_security.clone();
                        }
                    /// Reset -webkit-text-security from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__webkit_text_security(&mut self, other: &Self) {
                        self.copy__webkit_text_security_from(other)
                    }

                    /// Get the computed value for -webkit-text-security.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__webkit_text_security(&self) -> longhands::_webkit_text_security::computed_value::T {
                        self._webkit_text_security.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The InheritedUI style struct.
        pub struct InheritedUI {
                    /// The cursor computed value.
                    pub cursor: longhands::cursor::computed_value::T,
                    /// The pointer-events computed value.
                    pub pointer_events: longhands::pointer_events::computed_value::T,
                    /// The -moz-inert computed value.
                    pub _moz_inert: longhands::_moz_inert::computed_value::T,
                    /// The -moz-user-input computed value.
                    pub _moz_user_input: longhands::_moz_user_input::computed_value::T,
                    /// The -moz-user-modify computed value.
                    pub _moz_user_modify: longhands::_moz_user_modify::computed_value::T,
                    /// The -moz-user-focus computed value.
                    pub _moz_user_focus: longhands::_moz_user_focus::computed_value::T,
                    /// The caret-color computed value.
                    pub caret_color: longhands::caret_color::computed_value::T,
                    /// The accent-color computed value.
                    pub accent_color: longhands::accent_color::computed_value::T,
                    /// The color-scheme computed value.
                    pub color_scheme: longhands::color_scheme::computed_value::T,
                    /// The scrollbar-color computed value.
                    pub scrollbar_color: longhands::scrollbar_color::computed_value::T,
        }

        impl InheritedUI {
                        /// Set cursor.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_cursor(&mut self, v: longhands::cursor::computed_value::T) {
                            self.cursor = v;
                        }
                        /// Set cursor from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_cursor_from(&mut self, other: &Self) {
                            self.cursor = other.cursor.clone();
                        }
                    /// Reset cursor from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_cursor(&mut self, other: &Self) {
                        self.copy_cursor_from(other)
                    }

                    /// Get the computed value for cursor.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_cursor(&self) -> longhands::cursor::computed_value::T {
                        self.cursor.clone()
                    }
                        /// Set pointer-events.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_pointer_events(&mut self, v: longhands::pointer_events::computed_value::T) {
                            self.pointer_events = v;
                        }
                        /// Set pointer-events from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_pointer_events_from(&mut self, other: &Self) {
                            self.pointer_events = other.pointer_events.clone();
                        }
                    /// Reset pointer-events from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_pointer_events(&mut self, other: &Self) {
                        self.copy_pointer_events_from(other)
                    }

                    /// Get the computed value for pointer-events.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_pointer_events(&self) -> longhands::pointer_events::computed_value::T {
                        self.pointer_events.clone()
                    }
                        /// Set -moz-inert.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_inert(&mut self, v: longhands::_moz_inert::computed_value::T) {
                            self._moz_inert = v;
                        }
                        /// Set -moz-inert from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_inert_from(&mut self, other: &Self) {
                            self._moz_inert = other._moz_inert.clone();
                        }
                    /// Reset -moz-inert from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_inert(&mut self, other: &Self) {
                        self.copy__moz_inert_from(other)
                    }

                    /// Get the computed value for -moz-inert.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_inert(&self) -> longhands::_moz_inert::computed_value::T {
                        self._moz_inert.clone()
                    }
                        /// Set -moz-user-input.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_user_input(&mut self, v: longhands::_moz_user_input::computed_value::T) {
                            self._moz_user_input = v;
                        }
                        /// Set -moz-user-input from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_user_input_from(&mut self, other: &Self) {
                            self._moz_user_input = other._moz_user_input.clone();
                        }
                    /// Reset -moz-user-input from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_user_input(&mut self, other: &Self) {
                        self.copy__moz_user_input_from(other)
                    }

                    /// Get the computed value for -moz-user-input.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_user_input(&self) -> longhands::_moz_user_input::computed_value::T {
                        self._moz_user_input.clone()
                    }
                        /// Set -moz-user-modify.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_user_modify(&mut self, v: longhands::_moz_user_modify::computed_value::T) {
                            self._moz_user_modify = v;
                        }
                        /// Set -moz-user-modify from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_user_modify_from(&mut self, other: &Self) {
                            self._moz_user_modify = other._moz_user_modify.clone();
                        }
                    /// Reset -moz-user-modify from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_user_modify(&mut self, other: &Self) {
                        self.copy__moz_user_modify_from(other)
                    }

                    /// Get the computed value for -moz-user-modify.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_user_modify(&self) -> longhands::_moz_user_modify::computed_value::T {
                        self._moz_user_modify.clone()
                    }
                        /// Set -moz-user-focus.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_user_focus(&mut self, v: longhands::_moz_user_focus::computed_value::T) {
                            self._moz_user_focus = v;
                        }
                        /// Set -moz-user-focus from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_user_focus_from(&mut self, other: &Self) {
                            self._moz_user_focus = other._moz_user_focus.clone();
                        }
                    /// Reset -moz-user-focus from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_user_focus(&mut self, other: &Self) {
                        self.copy__moz_user_focus_from(other)
                    }

                    /// Get the computed value for -moz-user-focus.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_user_focus(&self) -> longhands::_moz_user_focus::computed_value::T {
                        self._moz_user_focus.clone()
                    }
                        /// Set caret-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_caret_color(&mut self, v: longhands::caret_color::computed_value::T) {
                            self.caret_color = v;
                        }
                        /// Set caret-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_caret_color_from(&mut self, other: &Self) {
                            self.caret_color = other.caret_color.clone();
                        }
                    /// Reset caret-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_caret_color(&mut self, other: &Self) {
                        self.copy_caret_color_from(other)
                    }

                    /// Get the computed value for caret-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_caret_color(&self) -> longhands::caret_color::computed_value::T {
                        self.caret_color.clone()
                    }
                        /// Set accent-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_accent_color(&mut self, v: longhands::accent_color::computed_value::T) {
                            self.accent_color = v;
                        }
                        /// Set accent-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_accent_color_from(&mut self, other: &Self) {
                            self.accent_color = other.accent_color.clone();
                        }
                    /// Reset accent-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_accent_color(&mut self, other: &Self) {
                        self.copy_accent_color_from(other)
                    }

                    /// Get the computed value for accent-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_accent_color(&self) -> longhands::accent_color::computed_value::T {
                        self.accent_color.clone()
                    }
                        /// Set color-scheme.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_color_scheme(&mut self, v: longhands::color_scheme::computed_value::T) {
                            self.color_scheme = v;
                        }
                        /// Set color-scheme from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_color_scheme_from(&mut self, other: &Self) {
                            self.color_scheme = other.color_scheme.clone();
                        }
                    /// Reset color-scheme from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_color_scheme(&mut self, other: &Self) {
                        self.copy_color_scheme_from(other)
                    }

                    /// Get the computed value for color-scheme.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_color_scheme(&self) -> longhands::color_scheme::computed_value::T {
                        self.color_scheme.clone()
                    }
                        /// Set scrollbar-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scrollbar_color(&mut self, v: longhands::scrollbar_color::computed_value::T) {
                            self.scrollbar_color = v;
                        }
                        /// Set scrollbar-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scrollbar_color_from(&mut self, other: &Self) {
                            self.scrollbar_color = other.scrollbar_color.clone();
                        }
                    /// Reset scrollbar-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scrollbar_color(&mut self, other: &Self) {
                        self.copy_scrollbar_color_from(other)
                    }

                    /// Get the computed value for scrollbar-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scrollbar_color(&self) -> longhands::scrollbar_color::computed_value::T {
                        self.scrollbar_color.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The List style struct.
        pub struct List {
                    /// The list-style-position computed value.
                    pub list_style_position: longhands::list_style_position::computed_value::T,
                    /// The list-style-type computed value.
                    pub list_style_type: longhands::list_style_type::computed_value::T,
                    /// The list-style-image computed value.
                    pub list_style_image: longhands::list_style_image::computed_value::T,
                    /// The quotes computed value.
                    pub quotes: longhands::quotes::computed_value::T,
        }

        impl List {
                        /// Set list-style-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_list_style_position(&mut self, v: longhands::list_style_position::computed_value::T) {
                            self.list_style_position = v;
                        }
                        /// Set list-style-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_list_style_position_from(&mut self, other: &Self) {
                            self.list_style_position = other.list_style_position.clone();
                        }
                    /// Reset list-style-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_list_style_position(&mut self, other: &Self) {
                        self.copy_list_style_position_from(other)
                    }

                    /// Get the computed value for list-style-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_list_style_position(&self) -> longhands::list_style_position::computed_value::T {
                        self.list_style_position.clone()
                    }
                        /// Set list-style-type.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_list_style_type(&mut self, v: longhands::list_style_type::computed_value::T) {
                            self.list_style_type = v;
                        }
                        /// Set list-style-type from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_list_style_type_from(&mut self, other: &Self) {
                            self.list_style_type = other.list_style_type.clone();
                        }
                    /// Reset list-style-type from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_list_style_type(&mut self, other: &Self) {
                        self.copy_list_style_type_from(other)
                    }

                    /// Get the computed value for list-style-type.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_list_style_type(&self) -> longhands::list_style_type::computed_value::T {
                        self.list_style_type.clone()
                    }
                        /// Set list-style-image.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_list_style_image(&mut self, v: longhands::list_style_image::computed_value::T) {
                            self.list_style_image = v;
                        }
                        /// Set list-style-image from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_list_style_image_from(&mut self, other: &Self) {
                            self.list_style_image = other.list_style_image.clone();
                        }
                    /// Reset list-style-image from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_list_style_image(&mut self, other: &Self) {
                        self.copy_list_style_image_from(other)
                    }

                    /// Get the computed value for list-style-image.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_list_style_image(&self) -> longhands::list_style_image::computed_value::T {
                        self.list_style_image.clone()
                    }
                        /// Set quotes.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_quotes(&mut self, v: longhands::quotes::computed_value::T) {
                            self.quotes = v;
                        }
                        /// Set quotes from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_quotes_from(&mut self, other: &Self) {
                            self.quotes = other.quotes.clone();
                        }
                    /// Reset quotes from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_quotes(&mut self, other: &Self) {
                        self.copy_quotes_from(other)
                    }

                    /// Get the computed value for quotes.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_quotes(&self) -> longhands::quotes::computed_value::T {
                        self.quotes.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Margin style struct.
        pub struct Margin {
                    /// The margin-top computed value.
                    pub margin_top: longhands::margin_top::computed_value::T,
                    /// The margin-right computed value.
                    pub margin_right: longhands::margin_right::computed_value::T,
                    /// The margin-bottom computed value.
                    pub margin_bottom: longhands::margin_bottom::computed_value::T,
                    /// The margin-left computed value.
                    pub margin_left: longhands::margin_left::computed_value::T,
                    /// The overflow-clip-margin computed value.
                    pub overflow_clip_margin: longhands::overflow_clip_margin::computed_value::T,
                    /// The scroll-margin-top computed value.
                    pub scroll_margin_top: longhands::scroll_margin_top::computed_value::T,
                    /// The scroll-margin-right computed value.
                    pub scroll_margin_right: longhands::scroll_margin_right::computed_value::T,
                    /// The scroll-margin-bottom computed value.
                    pub scroll_margin_bottom: longhands::scroll_margin_bottom::computed_value::T,
                    /// The scroll-margin-left computed value.
                    pub scroll_margin_left: longhands::scroll_margin_left::computed_value::T,
        }

        impl Margin {
                        /// Set margin-top.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_margin_top(&mut self, v: longhands::margin_top::computed_value::T) {
                            self.margin_top = v;
                        }
                        /// Set margin-top from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_margin_top_from(&mut self, other: &Self) {
                            self.margin_top = other.margin_top.clone();
                        }
                    /// Reset margin-top from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_margin_top(&mut self, other: &Self) {
                        self.copy_margin_top_from(other)
                    }

                    /// Get the computed value for margin-top.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_margin_top(&self) -> longhands::margin_top::computed_value::T {
                        self.margin_top.clone()
                    }
                        /// Set margin-right.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_margin_right(&mut self, v: longhands::margin_right::computed_value::T) {
                            self.margin_right = v;
                        }
                        /// Set margin-right from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_margin_right_from(&mut self, other: &Self) {
                            self.margin_right = other.margin_right.clone();
                        }
                    /// Reset margin-right from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_margin_right(&mut self, other: &Self) {
                        self.copy_margin_right_from(other)
                    }

                    /// Get the computed value for margin-right.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_margin_right(&self) -> longhands::margin_right::computed_value::T {
                        self.margin_right.clone()
                    }
                        /// Set margin-bottom.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_margin_bottom(&mut self, v: longhands::margin_bottom::computed_value::T) {
                            self.margin_bottom = v;
                        }
                        /// Set margin-bottom from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_margin_bottom_from(&mut self, other: &Self) {
                            self.margin_bottom = other.margin_bottom.clone();
                        }
                    /// Reset margin-bottom from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_margin_bottom(&mut self, other: &Self) {
                        self.copy_margin_bottom_from(other)
                    }

                    /// Get the computed value for margin-bottom.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_margin_bottom(&self) -> longhands::margin_bottom::computed_value::T {
                        self.margin_bottom.clone()
                    }
                        /// Set margin-left.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_margin_left(&mut self, v: longhands::margin_left::computed_value::T) {
                            self.margin_left = v;
                        }
                        /// Set margin-left from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_margin_left_from(&mut self, other: &Self) {
                            self.margin_left = other.margin_left.clone();
                        }
                    /// Reset margin-left from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_margin_left(&mut self, other: &Self) {
                        self.copy_margin_left_from(other)
                    }

                    /// Get the computed value for margin-left.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_margin_left(&self) -> longhands::margin_left::computed_value::T {
                        self.margin_left.clone()
                    }
                    
    /// Set the appropriate physical property for margin-block-start given a writing mode.
    pub fn set_margin_block_start(&mut self,
                                      v: longhands::margin_block_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-block-start
    /// given a writing mode.
    pub fn copy_margin_block_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-block-start
    /// given a writing mode.
    pub fn reset_margin_block_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_margin_block_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// margin-block-start given a writing mode.
    pub fn clone_margin_block_start(&self, wm: WritingMode)
        -> longhands::margin_block_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_margin_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for margin-block-end given a writing mode.
    pub fn set_margin_block_end(&mut self,
                                      v: longhands::margin_block_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-block-end
    /// given a writing mode.
    pub fn copy_margin_block_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-block-end
    /// given a writing mode.
    pub fn reset_margin_block_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_margin_block_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// margin-block-end given a writing mode.
    pub fn clone_margin_block_end(&self, wm: WritingMode)
        -> longhands::margin_block_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_margin_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for margin-inline-start given a writing mode.
    pub fn set_margin_inline_start(&mut self,
                                      v: longhands::margin_inline_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-inline-start
    /// given a writing mode.
    pub fn copy_margin_inline_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-inline-start
    /// given a writing mode.
    pub fn reset_margin_inline_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_margin_inline_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// margin-inline-start given a writing mode.
    pub fn clone_margin_inline_start(&self, wm: WritingMode)
        -> longhands::margin_inline_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_margin_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for margin-inline-end given a writing mode.
    pub fn set_margin_inline_end(&mut self,
                                      v: longhands::margin_inline_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-inline-end
    /// given a writing mode.
    pub fn copy_margin_inline_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for margin-inline-end
    /// given a writing mode.
    pub fn reset_margin_inline_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_margin_inline_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// margin-inline-end given a writing mode.
    pub fn clone_margin_inline_end(&self, wm: WritingMode)
        -> longhands::margin_inline_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_margin_left()
        
                }
        }

    }

                        /// Set overflow-clip-margin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_overflow_clip_margin(&mut self, v: longhands::overflow_clip_margin::computed_value::T) {
                            self.overflow_clip_margin = v;
                        }
                        /// Set overflow-clip-margin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_overflow_clip_margin_from(&mut self, other: &Self) {
                            self.overflow_clip_margin = other.overflow_clip_margin.clone();
                        }
                    /// Reset overflow-clip-margin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_overflow_clip_margin(&mut self, other: &Self) {
                        self.copy_overflow_clip_margin_from(other)
                    }

                    /// Get the computed value for overflow-clip-margin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_overflow_clip_margin(&self) -> longhands::overflow_clip_margin::computed_value::T {
                        self.overflow_clip_margin.clone()
                    }
                        /// Set scroll-margin-top.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_margin_top(&mut self, v: longhands::scroll_margin_top::computed_value::T) {
                            self.scroll_margin_top = v;
                        }
                        /// Set scroll-margin-top from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_margin_top_from(&mut self, other: &Self) {
                            self.scroll_margin_top = other.scroll_margin_top.clone();
                        }
                    /// Reset scroll-margin-top from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_margin_top(&mut self, other: &Self) {
                        self.copy_scroll_margin_top_from(other)
                    }

                    /// Get the computed value for scroll-margin-top.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_margin_top(&self) -> longhands::scroll_margin_top::computed_value::T {
                        self.scroll_margin_top.clone()
                    }
                        /// Set scroll-margin-right.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_margin_right(&mut self, v: longhands::scroll_margin_right::computed_value::T) {
                            self.scroll_margin_right = v;
                        }
                        /// Set scroll-margin-right from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_margin_right_from(&mut self, other: &Self) {
                            self.scroll_margin_right = other.scroll_margin_right.clone();
                        }
                    /// Reset scroll-margin-right from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_margin_right(&mut self, other: &Self) {
                        self.copy_scroll_margin_right_from(other)
                    }

                    /// Get the computed value for scroll-margin-right.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_margin_right(&self) -> longhands::scroll_margin_right::computed_value::T {
                        self.scroll_margin_right.clone()
                    }
                        /// Set scroll-margin-bottom.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_margin_bottom(&mut self, v: longhands::scroll_margin_bottom::computed_value::T) {
                            self.scroll_margin_bottom = v;
                        }
                        /// Set scroll-margin-bottom from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_margin_bottom_from(&mut self, other: &Self) {
                            self.scroll_margin_bottom = other.scroll_margin_bottom.clone();
                        }
                    /// Reset scroll-margin-bottom from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_margin_bottom(&mut self, other: &Self) {
                        self.copy_scroll_margin_bottom_from(other)
                    }

                    /// Get the computed value for scroll-margin-bottom.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_margin_bottom(&self) -> longhands::scroll_margin_bottom::computed_value::T {
                        self.scroll_margin_bottom.clone()
                    }
                        /// Set scroll-margin-left.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_margin_left(&mut self, v: longhands::scroll_margin_left::computed_value::T) {
                            self.scroll_margin_left = v;
                        }
                        /// Set scroll-margin-left from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_margin_left_from(&mut self, other: &Self) {
                            self.scroll_margin_left = other.scroll_margin_left.clone();
                        }
                    /// Reset scroll-margin-left from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_margin_left(&mut self, other: &Self) {
                        self.copy_scroll_margin_left_from(other)
                    }

                    /// Get the computed value for scroll-margin-left.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_margin_left(&self) -> longhands::scroll_margin_left::computed_value::T {
                        self.scroll_margin_left.clone()
                    }
                    
    /// Set the appropriate physical property for scroll-margin-block-start given a writing mode.
    pub fn set_scroll_margin_block_start(&mut self,
                                      v: longhands::scroll_margin_block_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-block-start
    /// given a writing mode.
    pub fn copy_scroll_margin_block_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-block-start
    /// given a writing mode.
    pub fn reset_scroll_margin_block_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_margin_block_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-margin-block-start given a writing mode.
    pub fn clone_scroll_margin_block_start(&self, wm: WritingMode)
        -> longhands::scroll_margin_block_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_margin_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for scroll-margin-block-end given a writing mode.
    pub fn set_scroll_margin_block_end(&mut self,
                                      v: longhands::scroll_margin_block_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-block-end
    /// given a writing mode.
    pub fn copy_scroll_margin_block_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-block-end
    /// given a writing mode.
    pub fn reset_scroll_margin_block_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_margin_block_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-margin-block-end given a writing mode.
    pub fn clone_scroll_margin_block_end(&self, wm: WritingMode)
        -> longhands::scroll_margin_block_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_margin_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for scroll-margin-inline-start given a writing mode.
    pub fn set_scroll_margin_inline_start(&mut self,
                                      v: longhands::scroll_margin_inline_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-inline-start
    /// given a writing mode.
    pub fn copy_scroll_margin_inline_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-inline-start
    /// given a writing mode.
    pub fn reset_scroll_margin_inline_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_margin_inline_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-margin-inline-start given a writing mode.
    pub fn clone_scroll_margin_inline_start(&self, wm: WritingMode)
        -> longhands::scroll_margin_inline_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_margin_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for scroll-margin-inline-end given a writing mode.
    pub fn set_scroll_margin_inline_end(&mut self,
                                      v: longhands::scroll_margin_inline_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_margin_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_margin_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_margin_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_margin_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-inline-end
    /// given a writing mode.
    pub fn copy_scroll_margin_inline_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_margin_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_margin_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_margin_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_margin_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-margin-inline-end
    /// given a writing mode.
    pub fn reset_scroll_margin_inline_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_margin_inline_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-margin-inline-end given a writing mode.
    pub fn clone_scroll_margin_inline_end(&self, wm: WritingMode)
        -> longhands::scroll_margin_inline_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_margin_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_margin_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_margin_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_margin_left()
        
                }
        }

    }

        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Outline style struct.
        pub struct Outline {
                    /// The outline-color computed value.
                    pub outline_color: longhands::outline_color::computed_value::T,
                    /// The outline-style computed value.
                    pub outline_style: longhands::outline_style::computed_value::T,
                    /// The outline-width computed value.
                    pub outline_width: longhands::outline_width::computed_value::T,
                    /// The outline-offset computed value.
                    pub outline_offset: longhands::outline_offset::computed_value::T,
        }

        impl Outline {
                        /// Set outline-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_outline_color(&mut self, v: longhands::outline_color::computed_value::T) {
                            self.outline_color = v;
                        }
                        /// Set outline-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_outline_color_from(&mut self, other: &Self) {
                            self.outline_color = other.outline_color.clone();
                        }
                    /// Reset outline-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_outline_color(&mut self, other: &Self) {
                        self.copy_outline_color_from(other)
                    }

                    /// Get the computed value for outline-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_outline_color(&self) -> longhands::outline_color::computed_value::T {
                        self.outline_color.clone()
                    }
                        /// Set outline-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_outline_style(&mut self, v: longhands::outline_style::computed_value::T) {
                            self.outline_style = v;
                        }
                        /// Set outline-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_outline_style_from(&mut self, other: &Self) {
                            self.outline_style = other.outline_style.clone();
                        }
                    /// Reset outline-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_outline_style(&mut self, other: &Self) {
                        self.copy_outline_style_from(other)
                    }

                    /// Get the computed value for outline-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_outline_style(&self) -> longhands::outline_style::computed_value::T {
                        self.outline_style.clone()
                    }
                        /// Set outline-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_outline_width(&mut self, v: longhands::outline_width::computed_value::T) {
                            self.outline_width = v;
                        }
                        /// Set outline-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_outline_width_from(&mut self, other: &Self) {
                            self.outline_width = other.outline_width.clone();
                        }
                    /// Reset outline-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_outline_width(&mut self, other: &Self) {
                        self.copy_outline_width_from(other)
                    }

                    /// Get the computed value for outline-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_outline_width(&self) -> longhands::outline_width::computed_value::T {
                        self.outline_width.clone()
                    }
                        /// Set outline-offset.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_outline_offset(&mut self, v: longhands::outline_offset::computed_value::T) {
                            self.outline_offset = v;
                        }
                        /// Set outline-offset from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_outline_offset_from(&mut self, other: &Self) {
                            self.outline_offset = other.outline_offset.clone();
                        }
                    /// Reset outline-offset from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_outline_offset(&mut self, other: &Self) {
                        self.copy_outline_offset_from(other)
                    }

                    /// Get the computed value for outline-offset.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_outline_offset(&self) -> longhands::outline_offset::computed_value::T {
                        self.outline_offset.clone()
                    }
                /// Whether the outline-width property is non-zero.
                #[inline]
                pub fn outline_has_nonzero_width(&self) -> bool {
                    use crate::Zero;
                    !self.outline_width.is_zero()
                }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Page style struct.
        pub struct Page {
                    /// The size computed value.
                    pub size: longhands::size::computed_value::T,
                    /// The page computed value.
                    pub page: longhands::page::computed_value::T,
                    /// The page-orientation computed value.
                    pub page_orientation: longhands::page_orientation::computed_value::T,
        }

        impl Page {
                        /// Set size.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_size(&mut self, v: longhands::size::computed_value::T) {
                            self.size = v;
                        }
                        /// Set size from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_size_from(&mut self, other: &Self) {
                            self.size = other.size.clone();
                        }
                    /// Reset size from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_size(&mut self, other: &Self) {
                        self.copy_size_from(other)
                    }

                    /// Get the computed value for size.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_size(&self) -> longhands::size::computed_value::T {
                        self.size.clone()
                    }
                        /// Set page.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_page(&mut self, v: longhands::page::computed_value::T) {
                            self.page = v;
                        }
                        /// Set page from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_page_from(&mut self, other: &Self) {
                            self.page = other.page.clone();
                        }
                    /// Reset page from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_page(&mut self, other: &Self) {
                        self.copy_page_from(other)
                    }

                    /// Get the computed value for page.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_page(&self) -> longhands::page::computed_value::T {
                        self.page.clone()
                    }
                        /// Set page-orientation.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_page_orientation(&mut self, v: longhands::page_orientation::computed_value::T) {
                            self.page_orientation = v;
                        }
                        /// Set page-orientation from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_page_orientation_from(&mut self, other: &Self) {
                            self.page_orientation = other.page_orientation.clone();
                        }
                    /// Reset page-orientation from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_page_orientation(&mut self, other: &Self) {
                        self.copy_page_orientation_from(other)
                    }

                    /// Get the computed value for page-orientation.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_page_orientation(&self) -> longhands::page_orientation::computed_value::T {
                        self.page_orientation.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Padding style struct.
        pub struct Padding {
                    /// The padding-top computed value.
                    pub padding_top: longhands::padding_top::computed_value::T,
                    /// The padding-right computed value.
                    pub padding_right: longhands::padding_right::computed_value::T,
                    /// The padding-bottom computed value.
                    pub padding_bottom: longhands::padding_bottom::computed_value::T,
                    /// The padding-left computed value.
                    pub padding_left: longhands::padding_left::computed_value::T,
                    /// The scroll-padding-top computed value.
                    pub scroll_padding_top: longhands::scroll_padding_top::computed_value::T,
                    /// The scroll-padding-right computed value.
                    pub scroll_padding_right: longhands::scroll_padding_right::computed_value::T,
                    /// The scroll-padding-bottom computed value.
                    pub scroll_padding_bottom: longhands::scroll_padding_bottom::computed_value::T,
                    /// The scroll-padding-left computed value.
                    pub scroll_padding_left: longhands::scroll_padding_left::computed_value::T,
        }

        impl Padding {
                        /// Set padding-top.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_padding_top(&mut self, v: longhands::padding_top::computed_value::T) {
                            self.padding_top = v;
                        }
                        /// Set padding-top from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_padding_top_from(&mut self, other: &Self) {
                            self.padding_top = other.padding_top.clone();
                        }
                    /// Reset padding-top from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_padding_top(&mut self, other: &Self) {
                        self.copy_padding_top_from(other)
                    }

                    /// Get the computed value for padding-top.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_padding_top(&self) -> longhands::padding_top::computed_value::T {
                        self.padding_top.clone()
                    }
                        /// Set padding-right.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_padding_right(&mut self, v: longhands::padding_right::computed_value::T) {
                            self.padding_right = v;
                        }
                        /// Set padding-right from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_padding_right_from(&mut self, other: &Self) {
                            self.padding_right = other.padding_right.clone();
                        }
                    /// Reset padding-right from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_padding_right(&mut self, other: &Self) {
                        self.copy_padding_right_from(other)
                    }

                    /// Get the computed value for padding-right.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_padding_right(&self) -> longhands::padding_right::computed_value::T {
                        self.padding_right.clone()
                    }
                        /// Set padding-bottom.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_padding_bottom(&mut self, v: longhands::padding_bottom::computed_value::T) {
                            self.padding_bottom = v;
                        }
                        /// Set padding-bottom from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_padding_bottom_from(&mut self, other: &Self) {
                            self.padding_bottom = other.padding_bottom.clone();
                        }
                    /// Reset padding-bottom from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_padding_bottom(&mut self, other: &Self) {
                        self.copy_padding_bottom_from(other)
                    }

                    /// Get the computed value for padding-bottom.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_padding_bottom(&self) -> longhands::padding_bottom::computed_value::T {
                        self.padding_bottom.clone()
                    }
                        /// Set padding-left.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_padding_left(&mut self, v: longhands::padding_left::computed_value::T) {
                            self.padding_left = v;
                        }
                        /// Set padding-left from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_padding_left_from(&mut self, other: &Self) {
                            self.padding_left = other.padding_left.clone();
                        }
                    /// Reset padding-left from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_padding_left(&mut self, other: &Self) {
                        self.copy_padding_left_from(other)
                    }

                    /// Get the computed value for padding-left.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_padding_left(&self) -> longhands::padding_left::computed_value::T {
                        self.padding_left.clone()
                    }
                    
    /// Set the appropriate physical property for padding-block-start given a writing mode.
    pub fn set_padding_block_start(&mut self,
                                      v: longhands::padding_block_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-block-start
    /// given a writing mode.
    pub fn copy_padding_block_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-block-start
    /// given a writing mode.
    pub fn reset_padding_block_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_padding_block_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// padding-block-start given a writing mode.
    pub fn clone_padding_block_start(&self, wm: WritingMode)
        -> longhands::padding_block_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_padding_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for padding-block-end given a writing mode.
    pub fn set_padding_block_end(&mut self,
                                      v: longhands::padding_block_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-block-end
    /// given a writing mode.
    pub fn copy_padding_block_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-block-end
    /// given a writing mode.
    pub fn reset_padding_block_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_padding_block_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// padding-block-end given a writing mode.
    pub fn clone_padding_block_end(&self, wm: WritingMode)
        -> longhands::padding_block_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_padding_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for padding-inline-start given a writing mode.
    pub fn set_padding_inline_start(&mut self,
                                      v: longhands::padding_inline_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-inline-start
    /// given a writing mode.
    pub fn copy_padding_inline_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-inline-start
    /// given a writing mode.
    pub fn reset_padding_inline_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_padding_inline_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// padding-inline-start given a writing mode.
    pub fn clone_padding_inline_start(&self, wm: WritingMode)
        -> longhands::padding_inline_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_padding_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for padding-inline-end given a writing mode.
    pub fn set_padding_inline_end(&mut self,
                                      v: longhands::padding_inline_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-inline-end
    /// given a writing mode.
    pub fn copy_padding_inline_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for padding-inline-end
    /// given a writing mode.
    pub fn reset_padding_inline_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_padding_inline_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// padding-inline-end given a writing mode.
    pub fn clone_padding_inline_end(&self, wm: WritingMode)
        -> longhands::padding_inline_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_padding_left()
        
                }
        }

    }

                        /// Set scroll-padding-top.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_padding_top(&mut self, v: longhands::scroll_padding_top::computed_value::T) {
                            self.scroll_padding_top = v;
                        }
                        /// Set scroll-padding-top from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_padding_top_from(&mut self, other: &Self) {
                            self.scroll_padding_top = other.scroll_padding_top.clone();
                        }
                    /// Reset scroll-padding-top from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_padding_top(&mut self, other: &Self) {
                        self.copy_scroll_padding_top_from(other)
                    }

                    /// Get the computed value for scroll-padding-top.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_padding_top(&self) -> longhands::scroll_padding_top::computed_value::T {
                        self.scroll_padding_top.clone()
                    }
                        /// Set scroll-padding-right.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_padding_right(&mut self, v: longhands::scroll_padding_right::computed_value::T) {
                            self.scroll_padding_right = v;
                        }
                        /// Set scroll-padding-right from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_padding_right_from(&mut self, other: &Self) {
                            self.scroll_padding_right = other.scroll_padding_right.clone();
                        }
                    /// Reset scroll-padding-right from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_padding_right(&mut self, other: &Self) {
                        self.copy_scroll_padding_right_from(other)
                    }

                    /// Get the computed value for scroll-padding-right.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_padding_right(&self) -> longhands::scroll_padding_right::computed_value::T {
                        self.scroll_padding_right.clone()
                    }
                        /// Set scroll-padding-bottom.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_padding_bottom(&mut self, v: longhands::scroll_padding_bottom::computed_value::T) {
                            self.scroll_padding_bottom = v;
                        }
                        /// Set scroll-padding-bottom from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_padding_bottom_from(&mut self, other: &Self) {
                            self.scroll_padding_bottom = other.scroll_padding_bottom.clone();
                        }
                    /// Reset scroll-padding-bottom from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_padding_bottom(&mut self, other: &Self) {
                        self.copy_scroll_padding_bottom_from(other)
                    }

                    /// Get the computed value for scroll-padding-bottom.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_padding_bottom(&self) -> longhands::scroll_padding_bottom::computed_value::T {
                        self.scroll_padding_bottom.clone()
                    }
                        /// Set scroll-padding-left.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_padding_left(&mut self, v: longhands::scroll_padding_left::computed_value::T) {
                            self.scroll_padding_left = v;
                        }
                        /// Set scroll-padding-left from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_padding_left_from(&mut self, other: &Self) {
                            self.scroll_padding_left = other.scroll_padding_left.clone();
                        }
                    /// Reset scroll-padding-left from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_padding_left(&mut self, other: &Self) {
                        self.copy_scroll_padding_left_from(other)
                    }

                    /// Get the computed value for scroll-padding-left.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_padding_left(&self) -> longhands::scroll_padding_left::computed_value::T {
                        self.scroll_padding_left.clone()
                    }
                    
    /// Set the appropriate physical property for scroll-padding-block-start given a writing mode.
    pub fn set_scroll_padding_block_start(&mut self,
                                      v: longhands::scroll_padding_block_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-block-start
    /// given a writing mode.
    pub fn copy_scroll_padding_block_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-block-start
    /// given a writing mode.
    pub fn reset_scroll_padding_block_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_padding_block_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-padding-block-start given a writing mode.
    pub fn clone_scroll_padding_block_start(&self, wm: WritingMode)
        -> longhands::scroll_padding_block_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_padding_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for scroll-padding-block-end given a writing mode.
    pub fn set_scroll_padding_block_end(&mut self,
                                      v: longhands::scroll_padding_block_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-block-end
    /// given a writing mode.
    pub fn copy_scroll_padding_block_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-block-end
    /// given a writing mode.
    pub fn reset_scroll_padding_block_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_padding_block_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-padding-block-end given a writing mode.
    pub fn clone_scroll_padding_block_end(&self, wm: WritingMode)
        -> longhands::scroll_padding_block_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_padding_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for scroll-padding-inline-start given a writing mode.
    pub fn set_scroll_padding_inline_start(&mut self,
                                      v: longhands::scroll_padding_inline_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-inline-start
    /// given a writing mode.
    pub fn copy_scroll_padding_inline_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-inline-start
    /// given a writing mode.
    pub fn reset_scroll_padding_inline_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_padding_inline_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-padding-inline-start given a writing mode.
    pub fn clone_scroll_padding_inline_start(&self, wm: WritingMode)
        -> longhands::scroll_padding_inline_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_padding_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for scroll-padding-inline-end given a writing mode.
    pub fn set_scroll_padding_inline_end(&mut self,
                                      v: longhands::scroll_padding_inline_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_scroll_padding_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_scroll_padding_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_scroll_padding_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_scroll_padding_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-inline-end
    /// given a writing mode.
    pub fn copy_scroll_padding_inline_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_scroll_padding_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_scroll_padding_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_scroll_padding_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_scroll_padding_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for scroll-padding-inline-end
    /// given a writing mode.
    pub fn reset_scroll_padding_inline_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_scroll_padding_inline_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// scroll-padding-inline-end given a writing mode.
    pub fn clone_scroll_padding_inline_end(&self, wm: WritingMode)
        -> longhands::scroll_padding_inline_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_scroll_padding_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_scroll_padding_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_scroll_padding_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_scroll_padding_left()
        
                }
        }

    }

        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Position style struct.
        pub struct Position {
                    /// The top computed value.
                    pub top: longhands::top::computed_value::T,
                    /// The right computed value.
                    pub right: longhands::right::computed_value::T,
                    /// The bottom computed value.
                    pub bottom: longhands::bottom::computed_value::T,
                    /// The left computed value.
                    pub left: longhands::left::computed_value::T,
                    /// The z-index computed value.
                    pub z_index: longhands::z_index::computed_value::T,
                    /// The flex-direction computed value.
                    pub flex_direction: longhands::flex_direction::computed_value::T,
                    /// The flex-wrap computed value.
                    pub flex_wrap: longhands::flex_wrap::computed_value::T,
                    /// The justify-content computed value.
                    pub justify_content: longhands::justify_content::computed_value::T,
                    /// The justify-tracks computed value.
                    pub justify_tracks: longhands::justify_tracks::computed_value::T,
                    /// The align-content computed value.
                    pub align_content: longhands::align_content::computed_value::T,
                    /// The align-tracks computed value.
                    pub align_tracks: longhands::align_tracks::computed_value::T,
                    /// The align-items computed value.
                    pub align_items: longhands::align_items::computed_value::T,
                    /// The justify-items computed value.
                    pub justify_items: longhands::justify_items::computed_value::T,
                    /// The flex-grow computed value.
                    pub flex_grow: longhands::flex_grow::computed_value::T,
                    /// The flex-shrink computed value.
                    pub flex_shrink: longhands::flex_shrink::computed_value::T,
                    /// The align-self computed value.
                    pub align_self: longhands::align_self::computed_value::T,
                    /// The justify-self computed value.
                    pub justify_self: longhands::justify_self::computed_value::T,
                    /// The order computed value.
                    pub order: longhands::order::computed_value::T,
                    /// The flex-basis computed value.
                    pub flex_basis: longhands::flex_basis::computed_value::T,
                    /// The width computed value.
                    pub width: longhands::width::computed_value::T,
                    /// The min-width computed value.
                    pub min_width: longhands::min_width::computed_value::T,
                    /// The max-width computed value.
                    pub max_width: longhands::max_width::computed_value::T,
                    /// The height computed value.
                    pub height: longhands::height::computed_value::T,
                    /// The min-height computed value.
                    pub min_height: longhands::min_height::computed_value::T,
                    /// The max-height computed value.
                    pub max_height: longhands::max_height::computed_value::T,
                    /// The box-sizing computed value.
                    pub box_sizing: longhands::box_sizing::computed_value::T,
                    /// The object-fit computed value.
                    pub object_fit: longhands::object_fit::computed_value::T,
                    /// The object-position computed value.
                    pub object_position: longhands::object_position::computed_value::T,
                    /// The grid-row-start computed value.
                    pub grid_row_start: longhands::grid_row_start::computed_value::T,
                    /// The grid-row-end computed value.
                    pub grid_row_end: longhands::grid_row_end::computed_value::T,
                    /// The grid-auto-rows computed value.
                    pub grid_auto_rows: longhands::grid_auto_rows::computed_value::T,
                    /// The grid-template-rows computed value.
                    pub grid_template_rows: longhands::grid_template_rows::computed_value::T,
                    /// The grid-column-start computed value.
                    pub grid_column_start: longhands::grid_column_start::computed_value::T,
                    /// The grid-column-end computed value.
                    pub grid_column_end: longhands::grid_column_end::computed_value::T,
                    /// The grid-auto-columns computed value.
                    pub grid_auto_columns: longhands::grid_auto_columns::computed_value::T,
                    /// The grid-template-columns computed value.
                    pub grid_template_columns: longhands::grid_template_columns::computed_value::T,
                    /// The masonry-auto-flow computed value.
                    pub masonry_auto_flow: longhands::masonry_auto_flow::computed_value::T,
                    /// The grid-auto-flow computed value.
                    pub grid_auto_flow: longhands::grid_auto_flow::computed_value::T,
                    /// The grid-template-areas computed value.
                    pub grid_template_areas: longhands::grid_template_areas::computed_value::T,
                    /// The column-gap computed value.
                    pub column_gap: longhands::column_gap::computed_value::T,
                    /// The row-gap computed value.
                    pub row_gap: longhands::row_gap::computed_value::T,
                    /// The aspect-ratio computed value.
                    pub aspect_ratio: longhands::aspect_ratio::computed_value::T,
                    /// The contain-intrinsic-width computed value.
                    pub contain_intrinsic_width: longhands::contain_intrinsic_width::computed_value::T,
                    /// The contain-intrinsic-height computed value.
                    pub contain_intrinsic_height: longhands::contain_intrinsic_height::computed_value::T,
        }

        impl Position {
                        /// Set top.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_top(&mut self, v: longhands::top::computed_value::T) {
                            self.top = v;
                        }
                        /// Set top from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_top_from(&mut self, other: &Self) {
                            self.top = other.top.clone();
                        }
                    /// Reset top from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_top(&mut self, other: &Self) {
                        self.copy_top_from(other)
                    }

                    /// Get the computed value for top.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_top(&self) -> longhands::top::computed_value::T {
                        self.top.clone()
                    }
                        /// Set right.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_right(&mut self, v: longhands::right::computed_value::T) {
                            self.right = v;
                        }
                        /// Set right from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_right_from(&mut self, other: &Self) {
                            self.right = other.right.clone();
                        }
                    /// Reset right from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_right(&mut self, other: &Self) {
                        self.copy_right_from(other)
                    }

                    /// Get the computed value for right.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_right(&self) -> longhands::right::computed_value::T {
                        self.right.clone()
                    }
                        /// Set bottom.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_bottom(&mut self, v: longhands::bottom::computed_value::T) {
                            self.bottom = v;
                        }
                        /// Set bottom from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_bottom_from(&mut self, other: &Self) {
                            self.bottom = other.bottom.clone();
                        }
                    /// Reset bottom from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_bottom(&mut self, other: &Self) {
                        self.copy_bottom_from(other)
                    }

                    /// Get the computed value for bottom.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_bottom(&self) -> longhands::bottom::computed_value::T {
                        self.bottom.clone()
                    }
                        /// Set left.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_left(&mut self, v: longhands::left::computed_value::T) {
                            self.left = v;
                        }
                        /// Set left from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_left_from(&mut self, other: &Self) {
                            self.left = other.left.clone();
                        }
                    /// Reset left from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_left(&mut self, other: &Self) {
                        self.copy_left_from(other)
                    }

                    /// Get the computed value for left.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_left(&self) -> longhands::left::computed_value::T {
                        self.left.clone()
                    }
                    
    /// Set the appropriate physical property for inset-block-start given a writing mode.
    pub fn set_inset_block_start(&mut self,
                                      v: longhands::inset_block_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-block-start
    /// given a writing mode.
    pub fn copy_inset_block_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-block-start
    /// given a writing mode.
    pub fn reset_inset_block_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_inset_block_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// inset-block-start given a writing mode.
    pub fn clone_inset_block_start(&self, wm: WritingMode)
        -> longhands::inset_block_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for inset-block-end given a writing mode.
    pub fn set_inset_block_end(&mut self,
                                      v: longhands::inset_block_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-block-end
    /// given a writing mode.
    pub fn copy_inset_block_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-block-end
    /// given a writing mode.
    pub fn reset_inset_block_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_inset_block_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// inset-block-end given a writing mode.
    pub fn clone_inset_block_end(&self, wm: WritingMode)
        -> longhands::inset_block_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.block_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for inset-inline-start given a writing mode.
    pub fn set_inset_inline_start(&mut self,
                                      v: longhands::inset_inline_start::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-inline-start
    /// given a writing mode.
    pub fn copy_inset_inline_start_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-inline-start
    /// given a writing mode.
    pub fn reset_inset_inline_start(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_inset_inline_start_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// inset-inline-start given a writing mode.
    pub fn clone_inset_inline_start(&self, wm: WritingMode)
        -> longhands::inset_inline_start::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_start_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_left()
        
                }
        }

    }

                    
    /// Set the appropriate physical property for inset-inline-end given a writing mode.
    pub fn set_inset_inline_end(&mut self,
                                      v: longhands::inset_inline_end::computed_value::T,
                                      wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.set_top(v)
            
                }
                PhysicalSide::Right => {
                    
                self.set_right(v)
            
                }
                PhysicalSide::Bottom => {
                    
                self.set_bottom(v)
            
                }
                PhysicalSide::Left => {
                    
                self.set_left(v)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-inline-end
    /// given a writing mode.
    pub fn copy_inset_inline_end_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
                self.copy_top_from(other)
            
                }
                PhysicalSide::Right => {
                    
                self.copy_right_from(other)
            
                }
                PhysicalSide::Bottom => {
                    
                self.copy_bottom_from(other)
            
                }
                PhysicalSide::Left => {
                    
                self.copy_left_from(other)
            
                }
        }

    }

    /// Copy the appropriate physical property from another struct for inset-inline-end
    /// given a writing mode.
    pub fn reset_inset_inline_end(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_inset_inline_end_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// inset-inline-end given a writing mode.
    pub fn clone_inset_inline_end(&self, wm: WritingMode)
        -> longhands::inset_inline_end::computed_value::T {
    
    
        use crate::logical_geometry::PhysicalSide;
        match wm.inline_end_physical_side() {
                PhysicalSide::Top => {
                    
            self.clone_top()
        
                }
                PhysicalSide::Right => {
                    
            self.clone_right()
        
                }
                PhysicalSide::Bottom => {
                    
            self.clone_bottom()
        
                }
                PhysicalSide::Left => {
                    
            self.clone_left()
        
                }
        }

    }

                        /// Set z-index.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_z_index(&mut self, v: longhands::z_index::computed_value::T) {
                            self.z_index = v;
                        }
                        /// Set z-index from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_z_index_from(&mut self, other: &Self) {
                            self.z_index = other.z_index.clone();
                        }
                    /// Reset z-index from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_z_index(&mut self, other: &Self) {
                        self.copy_z_index_from(other)
                    }

                    /// Get the computed value for z-index.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_z_index(&self) -> longhands::z_index::computed_value::T {
                        self.z_index.clone()
                    }
                        /// Set flex-direction.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flex_direction(&mut self, v: longhands::flex_direction::computed_value::T) {
                            self.flex_direction = v;
                        }
                        /// Set flex-direction from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flex_direction_from(&mut self, other: &Self) {
                            self.flex_direction = other.flex_direction.clone();
                        }
                    /// Reset flex-direction from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flex_direction(&mut self, other: &Self) {
                        self.copy_flex_direction_from(other)
                    }

                    /// Get the computed value for flex-direction.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flex_direction(&self) -> longhands::flex_direction::computed_value::T {
                        self.flex_direction.clone()
                    }
                        /// Set flex-wrap.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flex_wrap(&mut self, v: longhands::flex_wrap::computed_value::T) {
                            self.flex_wrap = v;
                        }
                        /// Set flex-wrap from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flex_wrap_from(&mut self, other: &Self) {
                            self.flex_wrap = other.flex_wrap.clone();
                        }
                    /// Reset flex-wrap from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flex_wrap(&mut self, other: &Self) {
                        self.copy_flex_wrap_from(other)
                    }

                    /// Get the computed value for flex-wrap.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flex_wrap(&self) -> longhands::flex_wrap::computed_value::T {
                        self.flex_wrap.clone()
                    }
                        /// Set justify-content.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_justify_content(&mut self, v: longhands::justify_content::computed_value::T) {
                            self.justify_content = v;
                        }
                        /// Set justify-content from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_justify_content_from(&mut self, other: &Self) {
                            self.justify_content = other.justify_content.clone();
                        }
                    /// Reset justify-content from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_justify_content(&mut self, other: &Self) {
                        self.copy_justify_content_from(other)
                    }

                    /// Get the computed value for justify-content.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_justify_content(&self) -> longhands::justify_content::computed_value::T {
                        self.justify_content.clone()
                    }
                        /// Set justify-tracks.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_justify_tracks(&mut self, v: longhands::justify_tracks::computed_value::T) {
                            self.justify_tracks = v;
                        }
                        /// Set justify-tracks from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_justify_tracks_from(&mut self, other: &Self) {
                            self.justify_tracks = other.justify_tracks.clone();
                        }
                    /// Reset justify-tracks from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_justify_tracks(&mut self, other: &Self) {
                        self.copy_justify_tracks_from(other)
                    }

                    /// Get the computed value for justify-tracks.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_justify_tracks(&self) -> longhands::justify_tracks::computed_value::T {
                        self.justify_tracks.clone()
                    }
                        /// Set align-content.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_align_content(&mut self, v: longhands::align_content::computed_value::T) {
                            self.align_content = v;
                        }
                        /// Set align-content from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_align_content_from(&mut self, other: &Self) {
                            self.align_content = other.align_content.clone();
                        }
                    /// Reset align-content from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_align_content(&mut self, other: &Self) {
                        self.copy_align_content_from(other)
                    }

                    /// Get the computed value for align-content.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_align_content(&self) -> longhands::align_content::computed_value::T {
                        self.align_content.clone()
                    }
                        /// Set align-tracks.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_align_tracks(&mut self, v: longhands::align_tracks::computed_value::T) {
                            self.align_tracks = v;
                        }
                        /// Set align-tracks from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_align_tracks_from(&mut self, other: &Self) {
                            self.align_tracks = other.align_tracks.clone();
                        }
                    /// Reset align-tracks from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_align_tracks(&mut self, other: &Self) {
                        self.copy_align_tracks_from(other)
                    }

                    /// Get the computed value for align-tracks.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_align_tracks(&self) -> longhands::align_tracks::computed_value::T {
                        self.align_tracks.clone()
                    }
                        /// Set align-items.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_align_items(&mut self, v: longhands::align_items::computed_value::T) {
                            self.align_items = v;
                        }
                        /// Set align-items from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_align_items_from(&mut self, other: &Self) {
                            self.align_items = other.align_items.clone();
                        }
                    /// Reset align-items from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_align_items(&mut self, other: &Self) {
                        self.copy_align_items_from(other)
                    }

                    /// Get the computed value for align-items.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_align_items(&self) -> longhands::align_items::computed_value::T {
                        self.align_items.clone()
                    }
                        /// Set justify-items.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_justify_items(&mut self, v: longhands::justify_items::computed_value::T) {
                            self.justify_items = v;
                        }
                        /// Set justify-items from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_justify_items_from(&mut self, other: &Self) {
                            self.justify_items = other.justify_items.clone();
                        }
                    /// Reset justify-items from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_justify_items(&mut self, other: &Self) {
                        self.copy_justify_items_from(other)
                    }

                    /// Get the computed value for justify-items.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_justify_items(&self) -> longhands::justify_items::computed_value::T {
                        self.justify_items.clone()
                    }
                        /// Set flex-grow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flex_grow(&mut self, v: longhands::flex_grow::computed_value::T) {
                            self.flex_grow = v;
                        }
                        /// Set flex-grow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flex_grow_from(&mut self, other: &Self) {
                            self.flex_grow = other.flex_grow.clone();
                        }
                    /// Reset flex-grow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flex_grow(&mut self, other: &Self) {
                        self.copy_flex_grow_from(other)
                    }

                    /// Get the computed value for flex-grow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flex_grow(&self) -> longhands::flex_grow::computed_value::T {
                        self.flex_grow.clone()
                    }
                        /// Set flex-shrink.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flex_shrink(&mut self, v: longhands::flex_shrink::computed_value::T) {
                            self.flex_shrink = v;
                        }
                        /// Set flex-shrink from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flex_shrink_from(&mut self, other: &Self) {
                            self.flex_shrink = other.flex_shrink.clone();
                        }
                    /// Reset flex-shrink from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flex_shrink(&mut self, other: &Self) {
                        self.copy_flex_shrink_from(other)
                    }

                    /// Get the computed value for flex-shrink.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flex_shrink(&self) -> longhands::flex_shrink::computed_value::T {
                        self.flex_shrink.clone()
                    }
                        /// Set align-self.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_align_self(&mut self, v: longhands::align_self::computed_value::T) {
                            self.align_self = v;
                        }
                        /// Set align-self from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_align_self_from(&mut self, other: &Self) {
                            self.align_self = other.align_self.clone();
                        }
                    /// Reset align-self from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_align_self(&mut self, other: &Self) {
                        self.copy_align_self_from(other)
                    }

                    /// Get the computed value for align-self.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_align_self(&self) -> longhands::align_self::computed_value::T {
                        self.align_self.clone()
                    }
                        /// Set justify-self.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_justify_self(&mut self, v: longhands::justify_self::computed_value::T) {
                            self.justify_self = v;
                        }
                        /// Set justify-self from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_justify_self_from(&mut self, other: &Self) {
                            self.justify_self = other.justify_self.clone();
                        }
                    /// Reset justify-self from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_justify_self(&mut self, other: &Self) {
                        self.copy_justify_self_from(other)
                    }

                    /// Get the computed value for justify-self.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_justify_self(&self) -> longhands::justify_self::computed_value::T {
                        self.justify_self.clone()
                    }
                        /// Set order.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_order(&mut self, v: longhands::order::computed_value::T) {
                            self.order = v;
                        }
                        /// Set order from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_order_from(&mut self, other: &Self) {
                            self.order = other.order.clone();
                        }
                    /// Reset order from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_order(&mut self, other: &Self) {
                        self.copy_order_from(other)
                    }

                    /// Get the computed value for order.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_order(&self) -> longhands::order::computed_value::T {
                        self.order.clone()
                    }
                        /// Set flex-basis.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flex_basis(&mut self, v: longhands::flex_basis::computed_value::T) {
                            self.flex_basis = v;
                        }
                        /// Set flex-basis from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flex_basis_from(&mut self, other: &Self) {
                            self.flex_basis = other.flex_basis.clone();
                        }
                    /// Reset flex-basis from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flex_basis(&mut self, other: &Self) {
                        self.copy_flex_basis_from(other)
                    }

                    /// Get the computed value for flex-basis.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flex_basis(&self) -> longhands::flex_basis::computed_value::T {
                        self.flex_basis.clone()
                    }
                        /// Set width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_width(&mut self, v: longhands::width::computed_value::T) {
                            self.width = v;
                        }
                        /// Set width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_width_from(&mut self, other: &Self) {
                            self.width = other.width.clone();
                        }
                    /// Reset width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_width(&mut self, other: &Self) {
                        self.copy_width_from(other)
                    }

                    /// Get the computed value for width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_width(&self) -> longhands::width::computed_value::T {
                        self.width.clone()
                    }
                        /// Set min-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_min_width(&mut self, v: longhands::min_width::computed_value::T) {
                            self.min_width = v;
                        }
                        /// Set min-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_min_width_from(&mut self, other: &Self) {
                            self.min_width = other.min_width.clone();
                        }
                    /// Reset min-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_min_width(&mut self, other: &Self) {
                        self.copy_min_width_from(other)
                    }

                    /// Get the computed value for min-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_min_width(&self) -> longhands::min_width::computed_value::T {
                        self.min_width.clone()
                    }
                        /// Set max-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_max_width(&mut self, v: longhands::max_width::computed_value::T) {
                            self.max_width = v;
                        }
                        /// Set max-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_max_width_from(&mut self, other: &Self) {
                            self.max_width = other.max_width.clone();
                        }
                    /// Reset max-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_max_width(&mut self, other: &Self) {
                        self.copy_max_width_from(other)
                    }

                    /// Get the computed value for max-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_max_width(&self) -> longhands::max_width::computed_value::T {
                        self.max_width.clone()
                    }
                        /// Set height.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_height(&mut self, v: longhands::height::computed_value::T) {
                            self.height = v;
                        }
                        /// Set height from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_height_from(&mut self, other: &Self) {
                            self.height = other.height.clone();
                        }
                    /// Reset height from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_height(&mut self, other: &Self) {
                        self.copy_height_from(other)
                    }

                    /// Get the computed value for height.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_height(&self) -> longhands::height::computed_value::T {
                        self.height.clone()
                    }
                        /// Set min-height.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_min_height(&mut self, v: longhands::min_height::computed_value::T) {
                            self.min_height = v;
                        }
                        /// Set min-height from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_min_height_from(&mut self, other: &Self) {
                            self.min_height = other.min_height.clone();
                        }
                    /// Reset min-height from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_min_height(&mut self, other: &Self) {
                        self.copy_min_height_from(other)
                    }

                    /// Get the computed value for min-height.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_min_height(&self) -> longhands::min_height::computed_value::T {
                        self.min_height.clone()
                    }
                        /// Set max-height.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_max_height(&mut self, v: longhands::max_height::computed_value::T) {
                            self.max_height = v;
                        }
                        /// Set max-height from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_max_height_from(&mut self, other: &Self) {
                            self.max_height = other.max_height.clone();
                        }
                    /// Reset max-height from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_max_height(&mut self, other: &Self) {
                        self.copy_max_height_from(other)
                    }

                    /// Get the computed value for max-height.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_max_height(&self) -> longhands::max_height::computed_value::T {
                        self.max_height.clone()
                    }
                    
    /// Set the appropriate physical property for block-size given a writing mode.
    pub fn set_block_size(&mut self,
                                      v: longhands::block_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_width(v)
            
        } else {
            
                self.set_height(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for block-size
    /// given a writing mode.
    pub fn copy_block_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_width_from(other)
            
        } else {
            
                self.copy_height_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for block-size
    /// given a writing mode.
    pub fn reset_block_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_block_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// block-size given a writing mode.
    pub fn clone_block_size(&self, wm: WritingMode)
        -> longhands::block_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_width()
        
        } else {
            
            self.clone_height()
        
        }

    }

                    
    /// Set the appropriate physical property for min-block-size given a writing mode.
    pub fn set_min_block_size(&mut self,
                                      v: longhands::min_block_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_min_width(v)
            
        } else {
            
                self.set_min_height(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for min-block-size
    /// given a writing mode.
    pub fn copy_min_block_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_min_width_from(other)
            
        } else {
            
                self.copy_min_height_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for min-block-size
    /// given a writing mode.
    pub fn reset_min_block_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_min_block_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// min-block-size given a writing mode.
    pub fn clone_min_block_size(&self, wm: WritingMode)
        -> longhands::min_block_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_min_width()
        
        } else {
            
            self.clone_min_height()
        
        }

    }

                    
    /// Set the appropriate physical property for max-block-size given a writing mode.
    pub fn set_max_block_size(&mut self,
                                      v: longhands::max_block_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_max_width(v)
            
        } else {
            
                self.set_max_height(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for max-block-size
    /// given a writing mode.
    pub fn copy_max_block_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_max_width_from(other)
            
        } else {
            
                self.copy_max_height_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for max-block-size
    /// given a writing mode.
    pub fn reset_max_block_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_max_block_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// max-block-size given a writing mode.
    pub fn clone_max_block_size(&self, wm: WritingMode)
        -> longhands::max_block_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_max_width()
        
        } else {
            
            self.clone_max_height()
        
        }

    }

                    
    /// Set the appropriate physical property for inline-size given a writing mode.
    pub fn set_inline_size(&mut self,
                                      v: longhands::inline_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_height(v)
            
        } else {
            
                self.set_width(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for inline-size
    /// given a writing mode.
    pub fn copy_inline_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_height_from(other)
            
        } else {
            
                self.copy_width_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for inline-size
    /// given a writing mode.
    pub fn reset_inline_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_inline_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// inline-size given a writing mode.
    pub fn clone_inline_size(&self, wm: WritingMode)
        -> longhands::inline_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_height()
        
        } else {
            
            self.clone_width()
        
        }

    }

                    
    /// Set the appropriate physical property for min-inline-size given a writing mode.
    pub fn set_min_inline_size(&mut self,
                                      v: longhands::min_inline_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_min_height(v)
            
        } else {
            
                self.set_min_width(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for min-inline-size
    /// given a writing mode.
    pub fn copy_min_inline_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_min_height_from(other)
            
        } else {
            
                self.copy_min_width_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for min-inline-size
    /// given a writing mode.
    pub fn reset_min_inline_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_min_inline_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// min-inline-size given a writing mode.
    pub fn clone_min_inline_size(&self, wm: WritingMode)
        -> longhands::min_inline_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_min_height()
        
        } else {
            
            self.clone_min_width()
        
        }

    }

                    
    /// Set the appropriate physical property for max-inline-size given a writing mode.
    pub fn set_max_inline_size(&mut self,
                                      v: longhands::max_inline_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_max_height(v)
            
        } else {
            
                self.set_max_width(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for max-inline-size
    /// given a writing mode.
    pub fn copy_max_inline_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_max_height_from(other)
            
        } else {
            
                self.copy_max_width_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for max-inline-size
    /// given a writing mode.
    pub fn reset_max_inline_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_max_inline_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// max-inline-size given a writing mode.
    pub fn clone_max_inline_size(&self, wm: WritingMode)
        -> longhands::max_inline_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_max_height()
        
        } else {
            
            self.clone_max_width()
        
        }

    }

                        /// Set box-sizing.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_box_sizing(&mut self, v: longhands::box_sizing::computed_value::T) {
                            self.box_sizing = v;
                        }
                        /// Set box-sizing from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_box_sizing_from(&mut self, other: &Self) {
                            self.box_sizing = other.box_sizing.clone();
                        }
                    /// Reset box-sizing from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_box_sizing(&mut self, other: &Self) {
                        self.copy_box_sizing_from(other)
                    }

                    /// Get the computed value for box-sizing.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_box_sizing(&self) -> longhands::box_sizing::computed_value::T {
                        self.box_sizing.clone()
                    }
                        /// Set object-fit.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_object_fit(&mut self, v: longhands::object_fit::computed_value::T) {
                            self.object_fit = v;
                        }
                        /// Set object-fit from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_object_fit_from(&mut self, other: &Self) {
                            self.object_fit = other.object_fit.clone();
                        }
                    /// Reset object-fit from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_object_fit(&mut self, other: &Self) {
                        self.copy_object_fit_from(other)
                    }

                    /// Get the computed value for object-fit.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_object_fit(&self) -> longhands::object_fit::computed_value::T {
                        self.object_fit.clone()
                    }
                        /// Set object-position.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_object_position(&mut self, v: longhands::object_position::computed_value::T) {
                            self.object_position = v;
                        }
                        /// Set object-position from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_object_position_from(&mut self, other: &Self) {
                            self.object_position = other.object_position.clone();
                        }
                    /// Reset object-position from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_object_position(&mut self, other: &Self) {
                        self.copy_object_position_from(other)
                    }

                    /// Get the computed value for object-position.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_object_position(&self) -> longhands::object_position::computed_value::T {
                        self.object_position.clone()
                    }
                        /// Set grid-row-start.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_row_start(&mut self, v: longhands::grid_row_start::computed_value::T) {
                            self.grid_row_start = v;
                        }
                        /// Set grid-row-start from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_row_start_from(&mut self, other: &Self) {
                            self.grid_row_start = other.grid_row_start.clone();
                        }
                    /// Reset grid-row-start from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_row_start(&mut self, other: &Self) {
                        self.copy_grid_row_start_from(other)
                    }

                    /// Get the computed value for grid-row-start.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_row_start(&self) -> longhands::grid_row_start::computed_value::T {
                        self.grid_row_start.clone()
                    }
                        /// Set grid-row-end.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_row_end(&mut self, v: longhands::grid_row_end::computed_value::T) {
                            self.grid_row_end = v;
                        }
                        /// Set grid-row-end from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_row_end_from(&mut self, other: &Self) {
                            self.grid_row_end = other.grid_row_end.clone();
                        }
                    /// Reset grid-row-end from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_row_end(&mut self, other: &Self) {
                        self.copy_grid_row_end_from(other)
                    }

                    /// Get the computed value for grid-row-end.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_row_end(&self) -> longhands::grid_row_end::computed_value::T {
                        self.grid_row_end.clone()
                    }
                        /// Set grid-auto-rows.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_auto_rows(&mut self, v: longhands::grid_auto_rows::computed_value::T) {
                            self.grid_auto_rows = v;
                        }
                        /// Set grid-auto-rows from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_auto_rows_from(&mut self, other: &Self) {
                            self.grid_auto_rows = other.grid_auto_rows.clone();
                        }
                    /// Reset grid-auto-rows from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_auto_rows(&mut self, other: &Self) {
                        self.copy_grid_auto_rows_from(other)
                    }

                    /// Get the computed value for grid-auto-rows.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_auto_rows(&self) -> longhands::grid_auto_rows::computed_value::T {
                        self.grid_auto_rows.clone()
                    }
                        /// Set grid-template-rows.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_template_rows(&mut self, v: longhands::grid_template_rows::computed_value::T) {
                            self.grid_template_rows = v;
                        }
                        /// Set grid-template-rows from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_template_rows_from(&mut self, other: &Self) {
                            self.grid_template_rows = other.grid_template_rows.clone();
                        }
                    /// Reset grid-template-rows from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_template_rows(&mut self, other: &Self) {
                        self.copy_grid_template_rows_from(other)
                    }

                    /// Get the computed value for grid-template-rows.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_template_rows(&self) -> longhands::grid_template_rows::computed_value::T {
                        self.grid_template_rows.clone()
                    }
                        /// Set grid-column-start.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_column_start(&mut self, v: longhands::grid_column_start::computed_value::T) {
                            self.grid_column_start = v;
                        }
                        /// Set grid-column-start from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_column_start_from(&mut self, other: &Self) {
                            self.grid_column_start = other.grid_column_start.clone();
                        }
                    /// Reset grid-column-start from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_column_start(&mut self, other: &Self) {
                        self.copy_grid_column_start_from(other)
                    }

                    /// Get the computed value for grid-column-start.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_column_start(&self) -> longhands::grid_column_start::computed_value::T {
                        self.grid_column_start.clone()
                    }
                        /// Set grid-column-end.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_column_end(&mut self, v: longhands::grid_column_end::computed_value::T) {
                            self.grid_column_end = v;
                        }
                        /// Set grid-column-end from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_column_end_from(&mut self, other: &Self) {
                            self.grid_column_end = other.grid_column_end.clone();
                        }
                    /// Reset grid-column-end from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_column_end(&mut self, other: &Self) {
                        self.copy_grid_column_end_from(other)
                    }

                    /// Get the computed value for grid-column-end.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_column_end(&self) -> longhands::grid_column_end::computed_value::T {
                        self.grid_column_end.clone()
                    }
                        /// Set grid-auto-columns.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_auto_columns(&mut self, v: longhands::grid_auto_columns::computed_value::T) {
                            self.grid_auto_columns = v;
                        }
                        /// Set grid-auto-columns from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_auto_columns_from(&mut self, other: &Self) {
                            self.grid_auto_columns = other.grid_auto_columns.clone();
                        }
                    /// Reset grid-auto-columns from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_auto_columns(&mut self, other: &Self) {
                        self.copy_grid_auto_columns_from(other)
                    }

                    /// Get the computed value for grid-auto-columns.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_auto_columns(&self) -> longhands::grid_auto_columns::computed_value::T {
                        self.grid_auto_columns.clone()
                    }
                        /// Set grid-template-columns.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_template_columns(&mut self, v: longhands::grid_template_columns::computed_value::T) {
                            self.grid_template_columns = v;
                        }
                        /// Set grid-template-columns from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_template_columns_from(&mut self, other: &Self) {
                            self.grid_template_columns = other.grid_template_columns.clone();
                        }
                    /// Reset grid-template-columns from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_template_columns(&mut self, other: &Self) {
                        self.copy_grid_template_columns_from(other)
                    }

                    /// Get the computed value for grid-template-columns.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_template_columns(&self) -> longhands::grid_template_columns::computed_value::T {
                        self.grid_template_columns.clone()
                    }
                        /// Set masonry-auto-flow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_masonry_auto_flow(&mut self, v: longhands::masonry_auto_flow::computed_value::T) {
                            self.masonry_auto_flow = v;
                        }
                        /// Set masonry-auto-flow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_masonry_auto_flow_from(&mut self, other: &Self) {
                            self.masonry_auto_flow = other.masonry_auto_flow.clone();
                        }
                    /// Reset masonry-auto-flow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_masonry_auto_flow(&mut self, other: &Self) {
                        self.copy_masonry_auto_flow_from(other)
                    }

                    /// Get the computed value for masonry-auto-flow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_masonry_auto_flow(&self) -> longhands::masonry_auto_flow::computed_value::T {
                        self.masonry_auto_flow.clone()
                    }
                        /// Set grid-auto-flow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_auto_flow(&mut self, v: longhands::grid_auto_flow::computed_value::T) {
                            self.grid_auto_flow = v;
                        }
                        /// Set grid-auto-flow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_auto_flow_from(&mut self, other: &Self) {
                            self.grid_auto_flow = other.grid_auto_flow.clone();
                        }
                    /// Reset grid-auto-flow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_auto_flow(&mut self, other: &Self) {
                        self.copy_grid_auto_flow_from(other)
                    }

                    /// Get the computed value for grid-auto-flow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_auto_flow(&self) -> longhands::grid_auto_flow::computed_value::T {
                        self.grid_auto_flow.clone()
                    }
                        /// Set grid-template-areas.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_grid_template_areas(&mut self, v: longhands::grid_template_areas::computed_value::T) {
                            self.grid_template_areas = v;
                        }
                        /// Set grid-template-areas from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_grid_template_areas_from(&mut self, other: &Self) {
                            self.grid_template_areas = other.grid_template_areas.clone();
                        }
                    /// Reset grid-template-areas from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_grid_template_areas(&mut self, other: &Self) {
                        self.copy_grid_template_areas_from(other)
                    }

                    /// Get the computed value for grid-template-areas.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_grid_template_areas(&self) -> longhands::grid_template_areas::computed_value::T {
                        self.grid_template_areas.clone()
                    }
                        /// Set column-gap.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_column_gap(&mut self, v: longhands::column_gap::computed_value::T) {
                            self.column_gap = v;
                        }
                        /// Set column-gap from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_column_gap_from(&mut self, other: &Self) {
                            self.column_gap = other.column_gap.clone();
                        }
                    /// Reset column-gap from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_column_gap(&mut self, other: &Self) {
                        self.copy_column_gap_from(other)
                    }

                    /// Get the computed value for column-gap.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_column_gap(&self) -> longhands::column_gap::computed_value::T {
                        self.column_gap.clone()
                    }
                        /// Set row-gap.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_row_gap(&mut self, v: longhands::row_gap::computed_value::T) {
                            self.row_gap = v;
                        }
                        /// Set row-gap from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_row_gap_from(&mut self, other: &Self) {
                            self.row_gap = other.row_gap.clone();
                        }
                    /// Reset row-gap from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_row_gap(&mut self, other: &Self) {
                        self.copy_row_gap_from(other)
                    }

                    /// Get the computed value for row-gap.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_row_gap(&self) -> longhands::row_gap::computed_value::T {
                        self.row_gap.clone()
                    }
                        /// Set aspect-ratio.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_aspect_ratio(&mut self, v: longhands::aspect_ratio::computed_value::T) {
                            self.aspect_ratio = v;
                        }
                        /// Set aspect-ratio from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_aspect_ratio_from(&mut self, other: &Self) {
                            self.aspect_ratio = other.aspect_ratio.clone();
                        }
                    /// Reset aspect-ratio from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_aspect_ratio(&mut self, other: &Self) {
                        self.copy_aspect_ratio_from(other)
                    }

                    /// Get the computed value for aspect-ratio.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_aspect_ratio(&self) -> longhands::aspect_ratio::computed_value::T {
                        self.aspect_ratio.clone()
                    }
                        /// Set contain-intrinsic-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_contain_intrinsic_width(&mut self, v: longhands::contain_intrinsic_width::computed_value::T) {
                            self.contain_intrinsic_width = v;
                        }
                        /// Set contain-intrinsic-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_contain_intrinsic_width_from(&mut self, other: &Self) {
                            self.contain_intrinsic_width = other.contain_intrinsic_width.clone();
                        }
                    /// Reset contain-intrinsic-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_contain_intrinsic_width(&mut self, other: &Self) {
                        self.copy_contain_intrinsic_width_from(other)
                    }

                    /// Get the computed value for contain-intrinsic-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_contain_intrinsic_width(&self) -> longhands::contain_intrinsic_width::computed_value::T {
                        self.contain_intrinsic_width.clone()
                    }
                        /// Set contain-intrinsic-height.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_contain_intrinsic_height(&mut self, v: longhands::contain_intrinsic_height::computed_value::T) {
                            self.contain_intrinsic_height = v;
                        }
                        /// Set contain-intrinsic-height from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_contain_intrinsic_height_from(&mut self, other: &Self) {
                            self.contain_intrinsic_height = other.contain_intrinsic_height.clone();
                        }
                    /// Reset contain-intrinsic-height from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_contain_intrinsic_height(&mut self, other: &Self) {
                        self.copy_contain_intrinsic_height_from(other)
                    }

                    /// Get the computed value for contain-intrinsic-height.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_contain_intrinsic_height(&self) -> longhands::contain_intrinsic_height::computed_value::T {
                        self.contain_intrinsic_height.clone()
                    }
                    
    /// Set the appropriate physical property for contain-intrinsic-block-size given a writing mode.
    pub fn set_contain_intrinsic_block_size(&mut self,
                                      v: longhands::contain_intrinsic_block_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_contain_intrinsic_width(v)
            
        } else {
            
                self.set_contain_intrinsic_height(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for contain-intrinsic-block-size
    /// given a writing mode.
    pub fn copy_contain_intrinsic_block_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_contain_intrinsic_width_from(other)
            
        } else {
            
                self.copy_contain_intrinsic_height_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for contain-intrinsic-block-size
    /// given a writing mode.
    pub fn reset_contain_intrinsic_block_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_contain_intrinsic_block_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// contain-intrinsic-block-size given a writing mode.
    pub fn clone_contain_intrinsic_block_size(&self, wm: WritingMode)
        -> longhands::contain_intrinsic_block_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_contain_intrinsic_width()
        
        } else {
            
            self.clone_contain_intrinsic_height()
        
        }

    }

                    
    /// Set the appropriate physical property for contain-intrinsic-inline-size given a writing mode.
    pub fn set_contain_intrinsic_inline_size(&mut self,
                                      v: longhands::contain_intrinsic_inline_size::computed_value::T,
                                      wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.set_contain_intrinsic_height(v)
            
        } else {
            
                self.set_contain_intrinsic_width(v)
            
        }

    }

    /// Copy the appropriate physical property from another struct for contain-intrinsic-inline-size
    /// given a writing mode.
    pub fn copy_contain_intrinsic_inline_size_from(&mut self,
                                            other: &Self,
                                            wm: WritingMode) {
        
    
        
        if wm.is_vertical() {
            
                self.copy_contain_intrinsic_height_from(other)
            
        } else {
            
                self.copy_contain_intrinsic_width_from(other)
            
        }

    }

    /// Copy the appropriate physical property from another struct for contain-intrinsic-inline-size
    /// given a writing mode.
    pub fn reset_contain_intrinsic_inline_size(&mut self,
                                        other: &Self,
                                        wm: WritingMode) {
        self.copy_contain_intrinsic_inline_size_from(other, wm)
    }

    /// Get the computed value for the appropriate physical property for
    /// contain-intrinsic-inline-size given a writing mode.
    pub fn clone_contain_intrinsic_inline_size(&self, wm: WritingMode)
        -> longhands::contain_intrinsic_inline_size::computed_value::T {
    
    
        
        if wm.is_vertical() {
            
            self.clone_contain_intrinsic_height()
        
        } else {
            
            self.clone_contain_intrinsic_width()
        
        }

    }

        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The SVG style struct.
        pub struct SVG {
                    /// The vector-effect computed value.
                    pub vector_effect: longhands::vector_effect::computed_value::T,
                    /// The stop-color computed value.
                    pub stop_color: longhands::stop_color::computed_value::T,
                    /// The stop-opacity computed value.
                    pub stop_opacity: longhands::stop_opacity::computed_value::T,
                    /// The flood-color computed value.
                    pub flood_color: longhands::flood_color::computed_value::T,
                    /// The flood-opacity computed value.
                    pub flood_opacity: longhands::flood_opacity::computed_value::T,
                    /// The lighting-color computed value.
                    pub lighting_color: longhands::lighting_color::computed_value::T,
                    /// The mask-type computed value.
                    pub mask_type: longhands::mask_type::computed_value::T,
                    /// The clip-path computed value.
                    pub clip_path: longhands::clip_path::computed_value::T,
                    /// The mask-mode computed value.
                    pub mask_mode: longhands::mask_mode::computed_value::T,
                    /// The mask-repeat computed value.
                    pub mask_repeat: longhands::mask_repeat::computed_value::T,
                    /// The mask-position-x computed value.
                    pub mask_position_x: longhands::mask_position_x::computed_value::T,
                    /// The mask-position-y computed value.
                    pub mask_position_y: longhands::mask_position_y::computed_value::T,
                    /// The mask-clip computed value.
                    pub mask_clip: longhands::mask_clip::computed_value::T,
                    /// The mask-origin computed value.
                    pub mask_origin: longhands::mask_origin::computed_value::T,
                    /// The mask-size computed value.
                    pub mask_size: longhands::mask_size::computed_value::T,
                    /// The mask-composite computed value.
                    pub mask_composite: longhands::mask_composite::computed_value::T,
                    /// The mask-image computed value.
                    pub mask_image: longhands::mask_image::computed_value::T,
                    /// The x computed value.
                    pub x: longhands::x::computed_value::T,
                    /// The y computed value.
                    pub y: longhands::y::computed_value::T,
                    /// The cx computed value.
                    pub cx: longhands::cx::computed_value::T,
                    /// The cy computed value.
                    pub cy: longhands::cy::computed_value::T,
                    /// The rx computed value.
                    pub rx: longhands::rx::computed_value::T,
                    /// The ry computed value.
                    pub ry: longhands::ry::computed_value::T,
                    /// The r computed value.
                    pub r: longhands::r::computed_value::T,
                    /// The d computed value.
                    pub d: longhands::d::computed_value::T,
        }

        impl SVG {
                        /// Set vector-effect.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_vector_effect(&mut self, v: longhands::vector_effect::computed_value::T) {
                            self.vector_effect = v;
                        }
                        /// Set vector-effect from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_vector_effect_from(&mut self, other: &Self) {
                            self.vector_effect = other.vector_effect.clone();
                        }
                    /// Reset vector-effect from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_vector_effect(&mut self, other: &Self) {
                        self.copy_vector_effect_from(other)
                    }

                    /// Get the computed value for vector-effect.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_vector_effect(&self) -> longhands::vector_effect::computed_value::T {
                        self.vector_effect.clone()
                    }
                        /// Set stop-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stop_color(&mut self, v: longhands::stop_color::computed_value::T) {
                            self.stop_color = v;
                        }
                        /// Set stop-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stop_color_from(&mut self, other: &Self) {
                            self.stop_color = other.stop_color.clone();
                        }
                    /// Reset stop-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stop_color(&mut self, other: &Self) {
                        self.copy_stop_color_from(other)
                    }

                    /// Get the computed value for stop-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stop_color(&self) -> longhands::stop_color::computed_value::T {
                        self.stop_color.clone()
                    }
                        /// Set stop-opacity.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_stop_opacity(&mut self, v: longhands::stop_opacity::computed_value::T) {
                            self.stop_opacity = v;
                        }
                        /// Set stop-opacity from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_stop_opacity_from(&mut self, other: &Self) {
                            self.stop_opacity = other.stop_opacity.clone();
                        }
                    /// Reset stop-opacity from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_stop_opacity(&mut self, other: &Self) {
                        self.copy_stop_opacity_from(other)
                    }

                    /// Get the computed value for stop-opacity.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_stop_opacity(&self) -> longhands::stop_opacity::computed_value::T {
                        self.stop_opacity.clone()
                    }
                        /// Set flood-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flood_color(&mut self, v: longhands::flood_color::computed_value::T) {
                            self.flood_color = v;
                        }
                        /// Set flood-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flood_color_from(&mut self, other: &Self) {
                            self.flood_color = other.flood_color.clone();
                        }
                    /// Reset flood-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flood_color(&mut self, other: &Self) {
                        self.copy_flood_color_from(other)
                    }

                    /// Get the computed value for flood-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flood_color(&self) -> longhands::flood_color::computed_value::T {
                        self.flood_color.clone()
                    }
                        /// Set flood-opacity.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_flood_opacity(&mut self, v: longhands::flood_opacity::computed_value::T) {
                            self.flood_opacity = v;
                        }
                        /// Set flood-opacity from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_flood_opacity_from(&mut self, other: &Self) {
                            self.flood_opacity = other.flood_opacity.clone();
                        }
                    /// Reset flood-opacity from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_flood_opacity(&mut self, other: &Self) {
                        self.copy_flood_opacity_from(other)
                    }

                    /// Get the computed value for flood-opacity.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_flood_opacity(&self) -> longhands::flood_opacity::computed_value::T {
                        self.flood_opacity.clone()
                    }
                        /// Set lighting-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_lighting_color(&mut self, v: longhands::lighting_color::computed_value::T) {
                            self.lighting_color = v;
                        }
                        /// Set lighting-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_lighting_color_from(&mut self, other: &Self) {
                            self.lighting_color = other.lighting_color.clone();
                        }
                    /// Reset lighting-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_lighting_color(&mut self, other: &Self) {
                        self.copy_lighting_color_from(other)
                    }

                    /// Get the computed value for lighting-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_lighting_color(&self) -> longhands::lighting_color::computed_value::T {
                        self.lighting_color.clone()
                    }
                        /// Set mask-type.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_type(&mut self, v: longhands::mask_type::computed_value::T) {
                            self.mask_type = v;
                        }
                        /// Set mask-type from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_type_from(&mut self, other: &Self) {
                            self.mask_type = other.mask_type.clone();
                        }
                    /// Reset mask-type from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_type(&mut self, other: &Self) {
                        self.copy_mask_type_from(other)
                    }

                    /// Get the computed value for mask-type.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_type(&self) -> longhands::mask_type::computed_value::T {
                        self.mask_type.clone()
                    }
                        /// Set clip-path.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_clip_path(&mut self, v: longhands::clip_path::computed_value::T) {
                            self.clip_path = v;
                        }
                        /// Set clip-path from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_clip_path_from(&mut self, other: &Self) {
                            self.clip_path = other.clip_path.clone();
                        }
                    /// Reset clip-path from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_clip_path(&mut self, other: &Self) {
                        self.copy_clip_path_from(other)
                    }

                    /// Get the computed value for clip-path.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_clip_path(&self) -> longhands::clip_path::computed_value::T {
                        self.clip_path.clone()
                    }
                        /// Set mask-mode.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_mode(&mut self, v: longhands::mask_mode::computed_value::T) {
                            self.mask_mode = v;
                        }
                        /// Set mask-mode from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_mode_from(&mut self, other: &Self) {
                            self.mask_mode = other.mask_mode.clone();
                        }
                    /// Reset mask-mode from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_mode(&mut self, other: &Self) {
                        self.copy_mask_mode_from(other)
                    }

                    /// Get the computed value for mask-mode.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_mode(&self) -> longhands::mask_mode::computed_value::T {
                        self.mask_mode.clone()
                    }
                        /// Set mask-repeat.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_repeat(&mut self, v: longhands::mask_repeat::computed_value::T) {
                            self.mask_repeat = v;
                        }
                        /// Set mask-repeat from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_repeat_from(&mut self, other: &Self) {
                            self.mask_repeat = other.mask_repeat.clone();
                        }
                    /// Reset mask-repeat from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_repeat(&mut self, other: &Self) {
                        self.copy_mask_repeat_from(other)
                    }

                    /// Get the computed value for mask-repeat.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_repeat(&self) -> longhands::mask_repeat::computed_value::T {
                        self.mask_repeat.clone()
                    }
                        /// Set mask-position-x.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_position_x(&mut self, v: longhands::mask_position_x::computed_value::T) {
                            self.mask_position_x = v;
                        }
                        /// Set mask-position-x from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_position_x_from(&mut self, other: &Self) {
                            self.mask_position_x = other.mask_position_x.clone();
                        }
                    /// Reset mask-position-x from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_position_x(&mut self, other: &Self) {
                        self.copy_mask_position_x_from(other)
                    }

                    /// Get the computed value for mask-position-x.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_position_x(&self) -> longhands::mask_position_x::computed_value::T {
                        self.mask_position_x.clone()
                    }
                        /// Set mask-position-y.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_position_y(&mut self, v: longhands::mask_position_y::computed_value::T) {
                            self.mask_position_y = v;
                        }
                        /// Set mask-position-y from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_position_y_from(&mut self, other: &Self) {
                            self.mask_position_y = other.mask_position_y.clone();
                        }
                    /// Reset mask-position-y from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_position_y(&mut self, other: &Self) {
                        self.copy_mask_position_y_from(other)
                    }

                    /// Get the computed value for mask-position-y.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_position_y(&self) -> longhands::mask_position_y::computed_value::T {
                        self.mask_position_y.clone()
                    }
                        /// Set mask-clip.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_clip(&mut self, v: longhands::mask_clip::computed_value::T) {
                            self.mask_clip = v;
                        }
                        /// Set mask-clip from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_clip_from(&mut self, other: &Self) {
                            self.mask_clip = other.mask_clip.clone();
                        }
                    /// Reset mask-clip from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_clip(&mut self, other: &Self) {
                        self.copy_mask_clip_from(other)
                    }

                    /// Get the computed value for mask-clip.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_clip(&self) -> longhands::mask_clip::computed_value::T {
                        self.mask_clip.clone()
                    }
                        /// Set mask-origin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_origin(&mut self, v: longhands::mask_origin::computed_value::T) {
                            self.mask_origin = v;
                        }
                        /// Set mask-origin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_origin_from(&mut self, other: &Self) {
                            self.mask_origin = other.mask_origin.clone();
                        }
                    /// Reset mask-origin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_origin(&mut self, other: &Self) {
                        self.copy_mask_origin_from(other)
                    }

                    /// Get the computed value for mask-origin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_origin(&self) -> longhands::mask_origin::computed_value::T {
                        self.mask_origin.clone()
                    }
                        /// Set mask-size.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_size(&mut self, v: longhands::mask_size::computed_value::T) {
                            self.mask_size = v;
                        }
                        /// Set mask-size from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_size_from(&mut self, other: &Self) {
                            self.mask_size = other.mask_size.clone();
                        }
                    /// Reset mask-size from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_size(&mut self, other: &Self) {
                        self.copy_mask_size_from(other)
                    }

                    /// Get the computed value for mask-size.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_size(&self) -> longhands::mask_size::computed_value::T {
                        self.mask_size.clone()
                    }
                        /// Set mask-composite.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_composite(&mut self, v: longhands::mask_composite::computed_value::T) {
                            self.mask_composite = v;
                        }
                        /// Set mask-composite from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_composite_from(&mut self, other: &Self) {
                            self.mask_composite = other.mask_composite.clone();
                        }
                    /// Reset mask-composite from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_composite(&mut self, other: &Self) {
                        self.copy_mask_composite_from(other)
                    }

                    /// Get the computed value for mask-composite.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_composite(&self) -> longhands::mask_composite::computed_value::T {
                        self.mask_composite.clone()
                    }
                        /// Set mask-image.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_mask_image(&mut self, v: longhands::mask_image::computed_value::T) {
                            self.mask_image = v;
                        }
                        /// Set mask-image from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_mask_image_from(&mut self, other: &Self) {
                            self.mask_image = other.mask_image.clone();
                        }
                    /// Reset mask-image from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_mask_image(&mut self, other: &Self) {
                        self.copy_mask_image_from(other)
                    }

                    /// Get the computed value for mask-image.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_mask_image(&self) -> longhands::mask_image::computed_value::T {
                        self.mask_image.clone()
                    }
                        /// Set x.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_x(&mut self, v: longhands::x::computed_value::T) {
                            self.x = v;
                        }
                        /// Set x from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_x_from(&mut self, other: &Self) {
                            self.x = other.x.clone();
                        }
                    /// Reset x from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_x(&mut self, other: &Self) {
                        self.copy_x_from(other)
                    }

                    /// Get the computed value for x.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_x(&self) -> longhands::x::computed_value::T {
                        self.x.clone()
                    }
                        /// Set y.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_y(&mut self, v: longhands::y::computed_value::T) {
                            self.y = v;
                        }
                        /// Set y from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_y_from(&mut self, other: &Self) {
                            self.y = other.y.clone();
                        }
                    /// Reset y from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_y(&mut self, other: &Self) {
                        self.copy_y_from(other)
                    }

                    /// Get the computed value for y.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_y(&self) -> longhands::y::computed_value::T {
                        self.y.clone()
                    }
                        /// Set cx.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_cx(&mut self, v: longhands::cx::computed_value::T) {
                            self.cx = v;
                        }
                        /// Set cx from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_cx_from(&mut self, other: &Self) {
                            self.cx = other.cx.clone();
                        }
                    /// Reset cx from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_cx(&mut self, other: &Self) {
                        self.copy_cx_from(other)
                    }

                    /// Get the computed value for cx.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_cx(&self) -> longhands::cx::computed_value::T {
                        self.cx.clone()
                    }
                        /// Set cy.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_cy(&mut self, v: longhands::cy::computed_value::T) {
                            self.cy = v;
                        }
                        /// Set cy from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_cy_from(&mut self, other: &Self) {
                            self.cy = other.cy.clone();
                        }
                    /// Reset cy from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_cy(&mut self, other: &Self) {
                        self.copy_cy_from(other)
                    }

                    /// Get the computed value for cy.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_cy(&self) -> longhands::cy::computed_value::T {
                        self.cy.clone()
                    }
                        /// Set rx.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_rx(&mut self, v: longhands::rx::computed_value::T) {
                            self.rx = v;
                        }
                        /// Set rx from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_rx_from(&mut self, other: &Self) {
                            self.rx = other.rx.clone();
                        }
                    /// Reset rx from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_rx(&mut self, other: &Self) {
                        self.copy_rx_from(other)
                    }

                    /// Get the computed value for rx.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_rx(&self) -> longhands::rx::computed_value::T {
                        self.rx.clone()
                    }
                        /// Set ry.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_ry(&mut self, v: longhands::ry::computed_value::T) {
                            self.ry = v;
                        }
                        /// Set ry from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_ry_from(&mut self, other: &Self) {
                            self.ry = other.ry.clone();
                        }
                    /// Reset ry from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_ry(&mut self, other: &Self) {
                        self.copy_ry_from(other)
                    }

                    /// Get the computed value for ry.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_ry(&self) -> longhands::ry::computed_value::T {
                        self.ry.clone()
                    }
                        /// Set r.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_r(&mut self, v: longhands::r::computed_value::T) {
                            self.r = v;
                        }
                        /// Set r from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_r_from(&mut self, other: &Self) {
                            self.r = other.r.clone();
                        }
                    /// Reset r from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_r(&mut self, other: &Self) {
                        self.copy_r_from(other)
                    }

                    /// Get the computed value for r.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_r(&self) -> longhands::r::computed_value::T {
                        self.r.clone()
                    }
                        /// Set d.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_d(&mut self, v: longhands::d::computed_value::T) {
                            self.d = v;
                        }
                        /// Set d from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_d_from(&mut self, other: &Self) {
                            self.d = other.d.clone();
                        }
                    /// Reset d from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_d(&mut self, other: &Self) {
                        self.copy_d_from(other)
                    }

                    /// Get the computed value for d.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_d(&self) -> longhands::d::computed_value::T {
                        self.d.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Table style struct.
        pub struct Table {
                    /// The table-layout computed value.
                    pub table_layout: longhands::table_layout::computed_value::T,
                    /// The -x-span computed value.
                    pub _x_span: longhands::_x_span::computed_value::T,
        }

        impl Table {
                        /// Set table-layout.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_table_layout(&mut self, v: longhands::table_layout::computed_value::T) {
                            self.table_layout = v;
                        }
                        /// Set table-layout from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_table_layout_from(&mut self, other: &Self) {
                            self.table_layout = other.table_layout.clone();
                        }
                    /// Reset table-layout from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_table_layout(&mut self, other: &Self) {
                        self.copy_table_layout_from(other)
                    }

                    /// Get the computed value for table-layout.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_table_layout(&self) -> longhands::table_layout::computed_value::T {
                        self.table_layout.clone()
                    }
                        /// Set -x-span.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__x_span(&mut self, v: longhands::_x_span::computed_value::T) {
                            self._x_span = v;
                        }
                        /// Set -x-span from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__x_span_from(&mut self, other: &Self) {
                            self._x_span = other._x_span.clone();
                        }
                    /// Reset -x-span from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__x_span(&mut self, other: &Self) {
                        self.copy__x_span_from(other)
                    }

                    /// Get the computed value for -x-span.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__x_span(&self) -> longhands::_x_span::computed_value::T {
                        self._x_span.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The Text style struct.
        pub struct Text {
                    /// The text-overflow computed value.
                    pub text_overflow: longhands::text_overflow::computed_value::T,
                    /// The unicode-bidi computed value.
                    pub unicode_bidi: longhands::unicode_bidi::computed_value::T,
                    /// The text-decoration-line computed value.
                    pub text_decoration_line: longhands::text_decoration_line::computed_value::T,
                    /// The text-decoration-style computed value.
                    pub text_decoration_style: longhands::text_decoration_style::computed_value::T,
                    /// The text-decoration-color computed value.
                    pub text_decoration_color: longhands::text_decoration_color::computed_value::T,
                    /// The initial-letter computed value.
                    pub initial_letter: longhands::initial_letter::computed_value::T,
                    /// The text-decoration-thickness computed value.
                    pub text_decoration_thickness: longhands::text_decoration_thickness::computed_value::T,
        }

        impl Text {
                        /// Set text-overflow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_overflow(&mut self, v: longhands::text_overflow::computed_value::T) {
                            self.text_overflow = v;
                        }
                        /// Set text-overflow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_overflow_from(&mut self, other: &Self) {
                            self.text_overflow = other.text_overflow.clone();
                        }
                    /// Reset text-overflow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_overflow(&mut self, other: &Self) {
                        self.copy_text_overflow_from(other)
                    }

                    /// Get the computed value for text-overflow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_overflow(&self) -> longhands::text_overflow::computed_value::T {
                        self.text_overflow.clone()
                    }
                        /// Set unicode-bidi.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_unicode_bidi(&mut self, v: longhands::unicode_bidi::computed_value::T) {
                            self.unicode_bidi = v;
                        }
                        /// Set unicode-bidi from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_unicode_bidi_from(&mut self, other: &Self) {
                            self.unicode_bidi = other.unicode_bidi.clone();
                        }
                    /// Reset unicode-bidi from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_unicode_bidi(&mut self, other: &Self) {
                        self.copy_unicode_bidi_from(other)
                    }

                    /// Get the computed value for unicode-bidi.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_unicode_bidi(&self) -> longhands::unicode_bidi::computed_value::T {
                        self.unicode_bidi.clone()
                    }
                        /// Set text-decoration-line.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_decoration_line(&mut self, v: longhands::text_decoration_line::computed_value::T) {
                            self.text_decoration_line = v;
                        }
                        /// Set text-decoration-line from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_decoration_line_from(&mut self, other: &Self) {
                            self.text_decoration_line = other.text_decoration_line.clone();
                        }
                    /// Reset text-decoration-line from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_decoration_line(&mut self, other: &Self) {
                        self.copy_text_decoration_line_from(other)
                    }

                    /// Get the computed value for text-decoration-line.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_decoration_line(&self) -> longhands::text_decoration_line::computed_value::T {
                        self.text_decoration_line.clone()
                    }
                        /// Set text-decoration-style.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_decoration_style(&mut self, v: longhands::text_decoration_style::computed_value::T) {
                            self.text_decoration_style = v;
                        }
                        /// Set text-decoration-style from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_decoration_style_from(&mut self, other: &Self) {
                            self.text_decoration_style = other.text_decoration_style.clone();
                        }
                    /// Reset text-decoration-style from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_decoration_style(&mut self, other: &Self) {
                        self.copy_text_decoration_style_from(other)
                    }

                    /// Get the computed value for text-decoration-style.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_decoration_style(&self) -> longhands::text_decoration_style::computed_value::T {
                        self.text_decoration_style.clone()
                    }
                        /// Set text-decoration-color.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_decoration_color(&mut self, v: longhands::text_decoration_color::computed_value::T) {
                            self.text_decoration_color = v;
                        }
                        /// Set text-decoration-color from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_decoration_color_from(&mut self, other: &Self) {
                            self.text_decoration_color = other.text_decoration_color.clone();
                        }
                    /// Reset text-decoration-color from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_decoration_color(&mut self, other: &Self) {
                        self.copy_text_decoration_color_from(other)
                    }

                    /// Get the computed value for text-decoration-color.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_decoration_color(&self) -> longhands::text_decoration_color::computed_value::T {
                        self.text_decoration_color.clone()
                    }
                        /// Set initial-letter.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_initial_letter(&mut self, v: longhands::initial_letter::computed_value::T) {
                            self.initial_letter = v;
                        }
                        /// Set initial-letter from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_initial_letter_from(&mut self, other: &Self) {
                            self.initial_letter = other.initial_letter.clone();
                        }
                    /// Reset initial-letter from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_initial_letter(&mut self, other: &Self) {
                        self.copy_initial_letter_from(other)
                    }

                    /// Get the computed value for initial-letter.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_initial_letter(&self) -> longhands::initial_letter::computed_value::T {
                        self.initial_letter.clone()
                    }
                        /// Set text-decoration-thickness.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_text_decoration_thickness(&mut self, v: longhands::text_decoration_thickness::computed_value::T) {
                            self.text_decoration_thickness = v;
                        }
                        /// Set text-decoration-thickness from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_text_decoration_thickness_from(&mut self, other: &Self) {
                            self.text_decoration_thickness = other.text_decoration_thickness.clone();
                        }
                    /// Reset text-decoration-thickness from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_text_decoration_thickness(&mut self, other: &Self) {
                        self.copy_text_decoration_thickness_from(other)
                    }

                    /// Get the computed value for text-decoration-thickness.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_text_decoration_thickness(&self) -> longhands::text_decoration_thickness::computed_value::T {
                        self.text_decoration_thickness.clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The UI style struct.
        pub struct UI {
                    /// The ime-mode computed value.
                    pub ime_mode: longhands::ime_mode::computed_value::T,
                    /// The scrollbar-width computed value.
                    pub scrollbar_width: longhands::scrollbar_width::computed_value::T,
                    /// The user-select computed value.
                    pub user_select: longhands::user_select::computed_value::T,
                    /// The -moz-window-dragging computed value.
                    pub _moz_window_dragging: longhands::_moz_window_dragging::computed_value::T,
                    /// The -moz-window-shadow computed value.
                    pub _moz_window_shadow: longhands::_moz_window_shadow::computed_value::T,
                    /// The -moz-window-opacity computed value.
                    pub _moz_window_opacity: longhands::_moz_window_opacity::computed_value::T,
                    /// The -moz-window-transform computed value.
                    pub _moz_window_transform: longhands::_moz_window_transform::computed_value::T,
                    /// The -moz-window-transform-origin computed value.
                    pub _moz_window_transform_origin: longhands::_moz_window_transform_origin::computed_value::T,
                    /// The -moz-window-input-region-margin computed value.
                    pub _moz_window_input_region_margin: longhands::_moz_window_input_region_margin::computed_value::T,
                    /// The -moz-subtree-hidden-only-visually computed value.
                    pub _moz_subtree_hidden_only_visually: longhands::_moz_subtree_hidden_only_visually::computed_value::T,
                    /// The -moz-force-broken-image-icon computed value.
                    pub _moz_force_broken_image_icon: longhands::_moz_force_broken_image_icon::computed_value::T,
                    /// The transition-duration computed value.
                    pub transition_duration: longhands::transition_duration::computed_value::T,
                    /// The transition-timing-function computed value.
                    pub transition_timing_function: longhands::transition_timing_function::computed_value::T,
                    /// The transition-property computed value.
                    pub transition_property: longhands::transition_property::computed_value::T,
                    /// The transition-delay computed value.
                    pub transition_delay: longhands::transition_delay::computed_value::T,
                    /// The animation-name computed value.
                    pub animation_name: longhands::animation_name::computed_value::T,
                    /// The animation-duration computed value.
                    pub animation_duration: longhands::animation_duration::computed_value::T,
                    /// The animation-timing-function computed value.
                    pub animation_timing_function: longhands::animation_timing_function::computed_value::T,
                    /// The animation-iteration-count computed value.
                    pub animation_iteration_count: longhands::animation_iteration_count::computed_value::T,
                    /// The animation-direction computed value.
                    pub animation_direction: longhands::animation_direction::computed_value::T,
                    /// The animation-play-state computed value.
                    pub animation_play_state: longhands::animation_play_state::computed_value::T,
                    /// The animation-fill-mode computed value.
                    pub animation_fill_mode: longhands::animation_fill_mode::computed_value::T,
                    /// The animation-composition computed value.
                    pub animation_composition: longhands::animation_composition::computed_value::T,
                    /// The animation-delay computed value.
                    pub animation_delay: longhands::animation_delay::computed_value::T,
                    /// The animation-timeline computed value.
                    pub animation_timeline: longhands::animation_timeline::computed_value::T,
                    /// The scroll-timeline-name computed value.
                    pub scroll_timeline_name: longhands::scroll_timeline_name::computed_value::T,
                    /// The scroll-timeline-axis computed value.
                    pub scroll_timeline_axis: longhands::scroll_timeline_axis::computed_value::T,
                    /// The view-timeline-name computed value.
                    pub view_timeline_name: longhands::view_timeline_name::computed_value::T,
                    /// The view-timeline-axis computed value.
                    pub view_timeline_axis: longhands::view_timeline_axis::computed_value::T,
                    /// The view-timeline-inset computed value.
                    pub view_timeline_inset: longhands::view_timeline_inset::computed_value::T,
        }

        impl UI {
                        /// Set ime-mode.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_ime_mode(&mut self, v: longhands::ime_mode::computed_value::T) {
                            self.ime_mode = v;
                        }
                        /// Set ime-mode from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_ime_mode_from(&mut self, other: &Self) {
                            self.ime_mode = other.ime_mode.clone();
                        }
                    /// Reset ime-mode from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_ime_mode(&mut self, other: &Self) {
                        self.copy_ime_mode_from(other)
                    }

                    /// Get the computed value for ime-mode.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_ime_mode(&self) -> longhands::ime_mode::computed_value::T {
                        self.ime_mode.clone()
                    }
                        /// Set scrollbar-width.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scrollbar_width(&mut self, v: longhands::scrollbar_width::computed_value::T) {
                            self.scrollbar_width = v;
                        }
                        /// Set scrollbar-width from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scrollbar_width_from(&mut self, other: &Self) {
                            self.scrollbar_width = other.scrollbar_width.clone();
                        }
                    /// Reset scrollbar-width from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scrollbar_width(&mut self, other: &Self) {
                        self.copy_scrollbar_width_from(other)
                    }

                    /// Get the computed value for scrollbar-width.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scrollbar_width(&self) -> longhands::scrollbar_width::computed_value::T {
                        self.scrollbar_width.clone()
                    }
                        /// Set user-select.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_user_select(&mut self, v: longhands::user_select::computed_value::T) {
                            self.user_select = v;
                        }
                        /// Set user-select from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_user_select_from(&mut self, other: &Self) {
                            self.user_select = other.user_select.clone();
                        }
                    /// Reset user-select from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_user_select(&mut self, other: &Self) {
                        self.copy_user_select_from(other)
                    }

                    /// Get the computed value for user-select.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_user_select(&self) -> longhands::user_select::computed_value::T {
                        self.user_select.clone()
                    }
                        /// Set -moz-window-dragging.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_window_dragging(&mut self, v: longhands::_moz_window_dragging::computed_value::T) {
                            self._moz_window_dragging = v;
                        }
                        /// Set -moz-window-dragging from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_window_dragging_from(&mut self, other: &Self) {
                            self._moz_window_dragging = other._moz_window_dragging.clone();
                        }
                    /// Reset -moz-window-dragging from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_window_dragging(&mut self, other: &Self) {
                        self.copy__moz_window_dragging_from(other)
                    }

                    /// Get the computed value for -moz-window-dragging.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_window_dragging(&self) -> longhands::_moz_window_dragging::computed_value::T {
                        self._moz_window_dragging.clone()
                    }
                        /// Set -moz-window-shadow.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_window_shadow(&mut self, v: longhands::_moz_window_shadow::computed_value::T) {
                            self._moz_window_shadow = v;
                        }
                        /// Set -moz-window-shadow from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_window_shadow_from(&mut self, other: &Self) {
                            self._moz_window_shadow = other._moz_window_shadow.clone();
                        }
                    /// Reset -moz-window-shadow from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_window_shadow(&mut self, other: &Self) {
                        self.copy__moz_window_shadow_from(other)
                    }

                    /// Get the computed value for -moz-window-shadow.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_window_shadow(&self) -> longhands::_moz_window_shadow::computed_value::T {
                        self._moz_window_shadow.clone()
                    }
                        /// Set -moz-window-opacity.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_window_opacity(&mut self, v: longhands::_moz_window_opacity::computed_value::T) {
                            self._moz_window_opacity = v;
                        }
                        /// Set -moz-window-opacity from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_window_opacity_from(&mut self, other: &Self) {
                            self._moz_window_opacity = other._moz_window_opacity.clone();
                        }
                    /// Reset -moz-window-opacity from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_window_opacity(&mut self, other: &Self) {
                        self.copy__moz_window_opacity_from(other)
                    }

                    /// Get the computed value for -moz-window-opacity.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_window_opacity(&self) -> longhands::_moz_window_opacity::computed_value::T {
                        self._moz_window_opacity.clone()
                    }
                        /// Set -moz-window-transform.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_window_transform(&mut self, v: longhands::_moz_window_transform::computed_value::T) {
                            self._moz_window_transform = v;
                        }
                        /// Set -moz-window-transform from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_window_transform_from(&mut self, other: &Self) {
                            self._moz_window_transform = other._moz_window_transform.clone();
                        }
                    /// Reset -moz-window-transform from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_window_transform(&mut self, other: &Self) {
                        self.copy__moz_window_transform_from(other)
                    }

                    /// Get the computed value for -moz-window-transform.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_window_transform(&self) -> longhands::_moz_window_transform::computed_value::T {
                        self._moz_window_transform.clone()
                    }
                        /// Set -moz-window-transform-origin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_window_transform_origin(&mut self, v: longhands::_moz_window_transform_origin::computed_value::T) {
                            self._moz_window_transform_origin = v;
                        }
                        /// Set -moz-window-transform-origin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_window_transform_origin_from(&mut self, other: &Self) {
                            self._moz_window_transform_origin = other._moz_window_transform_origin.clone();
                        }
                    /// Reset -moz-window-transform-origin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_window_transform_origin(&mut self, other: &Self) {
                        self.copy__moz_window_transform_origin_from(other)
                    }

                    /// Get the computed value for -moz-window-transform-origin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_window_transform_origin(&self) -> longhands::_moz_window_transform_origin::computed_value::T {
                        self._moz_window_transform_origin.clone()
                    }
                        /// Set -moz-window-input-region-margin.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_window_input_region_margin(&mut self, v: longhands::_moz_window_input_region_margin::computed_value::T) {
                            self._moz_window_input_region_margin = v;
                        }
                        /// Set -moz-window-input-region-margin from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_window_input_region_margin_from(&mut self, other: &Self) {
                            self._moz_window_input_region_margin = other._moz_window_input_region_margin.clone();
                        }
                    /// Reset -moz-window-input-region-margin from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_window_input_region_margin(&mut self, other: &Self) {
                        self.copy__moz_window_input_region_margin_from(other)
                    }

                    /// Get the computed value for -moz-window-input-region-margin.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_window_input_region_margin(&self) -> longhands::_moz_window_input_region_margin::computed_value::T {
                        self._moz_window_input_region_margin.clone()
                    }
                        /// Set -moz-subtree-hidden-only-visually.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_subtree_hidden_only_visually(&mut self, v: longhands::_moz_subtree_hidden_only_visually::computed_value::T) {
                            self._moz_subtree_hidden_only_visually = v;
                        }
                        /// Set -moz-subtree-hidden-only-visually from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_subtree_hidden_only_visually_from(&mut self, other: &Self) {
                            self._moz_subtree_hidden_only_visually = other._moz_subtree_hidden_only_visually.clone();
                        }
                    /// Reset -moz-subtree-hidden-only-visually from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_subtree_hidden_only_visually(&mut self, other: &Self) {
                        self.copy__moz_subtree_hidden_only_visually_from(other)
                    }

                    /// Get the computed value for -moz-subtree-hidden-only-visually.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_subtree_hidden_only_visually(&self) -> longhands::_moz_subtree_hidden_only_visually::computed_value::T {
                        self._moz_subtree_hidden_only_visually.clone()
                    }
                        /// Set -moz-force-broken-image-icon.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_force_broken_image_icon(&mut self, v: longhands::_moz_force_broken_image_icon::computed_value::T) {
                            self._moz_force_broken_image_icon = v;
                        }
                        /// Set -moz-force-broken-image-icon from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_force_broken_image_icon_from(&mut self, other: &Self) {
                            self._moz_force_broken_image_icon = other._moz_force_broken_image_icon.clone();
                        }
                    /// Reset -moz-force-broken-image-icon from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_force_broken_image_icon(&mut self, other: &Self) {
                        self.copy__moz_force_broken_image_icon_from(other)
                    }

                    /// Get the computed value for -moz-force-broken-image-icon.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_force_broken_image_icon(&self) -> longhands::_moz_force_broken_image_icon::computed_value::T {
                        self._moz_force_broken_image_icon.clone()
                    }
                        /// Set transition-duration.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transition_duration(&mut self, v: longhands::transition_duration::computed_value::T) {
                            self.transition_duration = v;
                        }
                        /// Set transition-duration from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transition_duration_from(&mut self, other: &Self) {
                            self.transition_duration = other.transition_duration.clone();
                        }
                    /// Reset transition-duration from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transition_duration(&mut self, other: &Self) {
                        self.copy_transition_duration_from(other)
                    }

                    /// Get the computed value for transition-duration.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transition_duration(&self) -> longhands::transition_duration::computed_value::T {
                        self.transition_duration.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn transition_duration_count(&self) -> usize {
                        self.transition_duration.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn transition_duration_at(&self, index: usize)
                        -> longhands::transition_duration::computed_value::SingleComputedValue {
                        self.transition_duration.0[index].clone()
                    }
                        /// Set transition-timing-function.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transition_timing_function(&mut self, v: longhands::transition_timing_function::computed_value::T) {
                            self.transition_timing_function = v;
                        }
                        /// Set transition-timing-function from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transition_timing_function_from(&mut self, other: &Self) {
                            self.transition_timing_function = other.transition_timing_function.clone();
                        }
                    /// Reset transition-timing-function from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transition_timing_function(&mut self, other: &Self) {
                        self.copy_transition_timing_function_from(other)
                    }

                    /// Get the computed value for transition-timing-function.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transition_timing_function(&self) -> longhands::transition_timing_function::computed_value::T {
                        self.transition_timing_function.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn transition_timing_function_count(&self) -> usize {
                        self.transition_timing_function.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn transition_timing_function_at(&self, index: usize)
                        -> longhands::transition_timing_function::computed_value::SingleComputedValue {
                        self.transition_timing_function.0[index].clone()
                    }
                        /// Set transition-property.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transition_property(&mut self, v: longhands::transition_property::computed_value::T) {
                            self.transition_property = v;
                        }
                        /// Set transition-property from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transition_property_from(&mut self, other: &Self) {
                            self.transition_property = other.transition_property.clone();
                        }
                    /// Reset transition-property from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transition_property(&mut self, other: &Self) {
                        self.copy_transition_property_from(other)
                    }

                    /// Get the computed value for transition-property.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transition_property(&self) -> longhands::transition_property::computed_value::T {
                        self.transition_property.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn transition_property_count(&self) -> usize {
                        self.transition_property.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn transition_property_at(&self, index: usize)
                        -> longhands::transition_property::computed_value::SingleComputedValue {
                        self.transition_property.0[index].clone()
                    }
                        /// Set transition-delay.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_transition_delay(&mut self, v: longhands::transition_delay::computed_value::T) {
                            self.transition_delay = v;
                        }
                        /// Set transition-delay from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_transition_delay_from(&mut self, other: &Self) {
                            self.transition_delay = other.transition_delay.clone();
                        }
                    /// Reset transition-delay from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_transition_delay(&mut self, other: &Self) {
                        self.copy_transition_delay_from(other)
                    }

                    /// Get the computed value for transition-delay.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_transition_delay(&self) -> longhands::transition_delay::computed_value::T {
                        self.transition_delay.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn transition_delay_count(&self) -> usize {
                        self.transition_delay.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn transition_delay_at(&self, index: usize)
                        -> longhands::transition_delay::computed_value::SingleComputedValue {
                        self.transition_delay.0[index].clone()
                    }
                        /// Set animation-name.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_name(&mut self, v: longhands::animation_name::computed_value::T) {
                            self.animation_name = v;
                        }
                        /// Set animation-name from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_name_from(&mut self, other: &Self) {
                            self.animation_name = other.animation_name.clone();
                        }
                    /// Reset animation-name from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_name(&mut self, other: &Self) {
                        self.copy_animation_name_from(other)
                    }

                    /// Get the computed value for animation-name.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_name(&self) -> longhands::animation_name::computed_value::T {
                        self.animation_name.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_name_count(&self) -> usize {
                        self.animation_name.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_name_at(&self, index: usize)
                        -> longhands::animation_name::computed_value::SingleComputedValue {
                        self.animation_name.0[index].clone()
                    }
                        /// Set animation-duration.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_duration(&mut self, v: longhands::animation_duration::computed_value::T) {
                            self.animation_duration = v;
                        }
                        /// Set animation-duration from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_duration_from(&mut self, other: &Self) {
                            self.animation_duration = other.animation_duration.clone();
                        }
                    /// Reset animation-duration from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_duration(&mut self, other: &Self) {
                        self.copy_animation_duration_from(other)
                    }

                    /// Get the computed value for animation-duration.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_duration(&self) -> longhands::animation_duration::computed_value::T {
                        self.animation_duration.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_duration_count(&self) -> usize {
                        self.animation_duration.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_duration_at(&self, index: usize)
                        -> longhands::animation_duration::computed_value::SingleComputedValue {
                        self.animation_duration.0[index].clone()
                    }
                        /// Set animation-timing-function.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_timing_function(&mut self, v: longhands::animation_timing_function::computed_value::T) {
                            self.animation_timing_function = v;
                        }
                        /// Set animation-timing-function from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_timing_function_from(&mut self, other: &Self) {
                            self.animation_timing_function = other.animation_timing_function.clone();
                        }
                    /// Reset animation-timing-function from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_timing_function(&mut self, other: &Self) {
                        self.copy_animation_timing_function_from(other)
                    }

                    /// Get the computed value for animation-timing-function.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_timing_function(&self) -> longhands::animation_timing_function::computed_value::T {
                        self.animation_timing_function.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_timing_function_count(&self) -> usize {
                        self.animation_timing_function.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_timing_function_at(&self, index: usize)
                        -> longhands::animation_timing_function::computed_value::SingleComputedValue {
                        self.animation_timing_function.0[index].clone()
                    }
                        /// Set animation-iteration-count.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_iteration_count(&mut self, v: longhands::animation_iteration_count::computed_value::T) {
                            self.animation_iteration_count = v;
                        }
                        /// Set animation-iteration-count from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_iteration_count_from(&mut self, other: &Self) {
                            self.animation_iteration_count = other.animation_iteration_count.clone();
                        }
                    /// Reset animation-iteration-count from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_iteration_count(&mut self, other: &Self) {
                        self.copy_animation_iteration_count_from(other)
                    }

                    /// Get the computed value for animation-iteration-count.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_iteration_count(&self) -> longhands::animation_iteration_count::computed_value::T {
                        self.animation_iteration_count.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_iteration_count_count(&self) -> usize {
                        self.animation_iteration_count.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_iteration_count_at(&self, index: usize)
                        -> longhands::animation_iteration_count::computed_value::SingleComputedValue {
                        self.animation_iteration_count.0[index].clone()
                    }
                        /// Set animation-direction.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_direction(&mut self, v: longhands::animation_direction::computed_value::T) {
                            self.animation_direction = v;
                        }
                        /// Set animation-direction from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_direction_from(&mut self, other: &Self) {
                            self.animation_direction = other.animation_direction.clone();
                        }
                    /// Reset animation-direction from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_direction(&mut self, other: &Self) {
                        self.copy_animation_direction_from(other)
                    }

                    /// Get the computed value for animation-direction.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_direction(&self) -> longhands::animation_direction::computed_value::T {
                        self.animation_direction.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_direction_count(&self) -> usize {
                        self.animation_direction.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_direction_at(&self, index: usize)
                        -> longhands::animation_direction::computed_value::SingleComputedValue {
                        self.animation_direction.0[index].clone()
                    }
                        /// Set animation-play-state.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_play_state(&mut self, v: longhands::animation_play_state::computed_value::T) {
                            self.animation_play_state = v;
                        }
                        /// Set animation-play-state from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_play_state_from(&mut self, other: &Self) {
                            self.animation_play_state = other.animation_play_state.clone();
                        }
                    /// Reset animation-play-state from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_play_state(&mut self, other: &Self) {
                        self.copy_animation_play_state_from(other)
                    }

                    /// Get the computed value for animation-play-state.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_play_state(&self) -> longhands::animation_play_state::computed_value::T {
                        self.animation_play_state.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_play_state_count(&self) -> usize {
                        self.animation_play_state.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_play_state_at(&self, index: usize)
                        -> longhands::animation_play_state::computed_value::SingleComputedValue {
                        self.animation_play_state.0[index].clone()
                    }
                        /// Set animation-fill-mode.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_fill_mode(&mut self, v: longhands::animation_fill_mode::computed_value::T) {
                            self.animation_fill_mode = v;
                        }
                        /// Set animation-fill-mode from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_fill_mode_from(&mut self, other: &Self) {
                            self.animation_fill_mode = other.animation_fill_mode.clone();
                        }
                    /// Reset animation-fill-mode from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_fill_mode(&mut self, other: &Self) {
                        self.copy_animation_fill_mode_from(other)
                    }

                    /// Get the computed value for animation-fill-mode.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_fill_mode(&self) -> longhands::animation_fill_mode::computed_value::T {
                        self.animation_fill_mode.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_fill_mode_count(&self) -> usize {
                        self.animation_fill_mode.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_fill_mode_at(&self, index: usize)
                        -> longhands::animation_fill_mode::computed_value::SingleComputedValue {
                        self.animation_fill_mode.0[index].clone()
                    }
                        /// Set animation-composition.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_composition(&mut self, v: longhands::animation_composition::computed_value::T) {
                            self.animation_composition = v;
                        }
                        /// Set animation-composition from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_composition_from(&mut self, other: &Self) {
                            self.animation_composition = other.animation_composition.clone();
                        }
                    /// Reset animation-composition from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_composition(&mut self, other: &Self) {
                        self.copy_animation_composition_from(other)
                    }

                    /// Get the computed value for animation-composition.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_composition(&self) -> longhands::animation_composition::computed_value::T {
                        self.animation_composition.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_composition_count(&self) -> usize {
                        self.animation_composition.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_composition_at(&self, index: usize)
                        -> longhands::animation_composition::computed_value::SingleComputedValue {
                        self.animation_composition.0[index].clone()
                    }
                        /// Set animation-delay.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_delay(&mut self, v: longhands::animation_delay::computed_value::T) {
                            self.animation_delay = v;
                        }
                        /// Set animation-delay from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_delay_from(&mut self, other: &Self) {
                            self.animation_delay = other.animation_delay.clone();
                        }
                    /// Reset animation-delay from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_delay(&mut self, other: &Self) {
                        self.copy_animation_delay_from(other)
                    }

                    /// Get the computed value for animation-delay.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_delay(&self) -> longhands::animation_delay::computed_value::T {
                        self.animation_delay.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_delay_count(&self) -> usize {
                        self.animation_delay.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_delay_at(&self, index: usize)
                        -> longhands::animation_delay::computed_value::SingleComputedValue {
                        self.animation_delay.0[index].clone()
                    }
                        /// Set animation-timeline.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_animation_timeline(&mut self, v: longhands::animation_timeline::computed_value::T) {
                            self.animation_timeline = v;
                        }
                        /// Set animation-timeline from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_animation_timeline_from(&mut self, other: &Self) {
                            self.animation_timeline = other.animation_timeline.clone();
                        }
                    /// Reset animation-timeline from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_animation_timeline(&mut self, other: &Self) {
                        self.copy_animation_timeline_from(other)
                    }

                    /// Get the computed value for animation-timeline.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_animation_timeline(&self) -> longhands::animation_timeline::computed_value::T {
                        self.animation_timeline.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn animation_timeline_count(&self) -> usize {
                        self.animation_timeline.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn animation_timeline_at(&self, index: usize)
                        -> longhands::animation_timeline::computed_value::SingleComputedValue {
                        self.animation_timeline.0[index].clone()
                    }
                        /// Set scroll-timeline-name.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_timeline_name(&mut self, v: longhands::scroll_timeline_name::computed_value::T) {
                            self.scroll_timeline_name = v;
                        }
                        /// Set scroll-timeline-name from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_timeline_name_from(&mut self, other: &Self) {
                            self.scroll_timeline_name = other.scroll_timeline_name.clone();
                        }
                    /// Reset scroll-timeline-name from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_timeline_name(&mut self, other: &Self) {
                        self.copy_scroll_timeline_name_from(other)
                    }

                    /// Get the computed value for scroll-timeline-name.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_timeline_name(&self) -> longhands::scroll_timeline_name::computed_value::T {
                        self.scroll_timeline_name.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn scroll_timeline_name_count(&self) -> usize {
                        self.scroll_timeline_name.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn scroll_timeline_name_at(&self, index: usize)
                        -> longhands::scroll_timeline_name::computed_value::SingleComputedValue {
                        self.scroll_timeline_name.0[index].clone()
                    }
                        /// Set scroll-timeline-axis.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_scroll_timeline_axis(&mut self, v: longhands::scroll_timeline_axis::computed_value::T) {
                            self.scroll_timeline_axis = v;
                        }
                        /// Set scroll-timeline-axis from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_scroll_timeline_axis_from(&mut self, other: &Self) {
                            self.scroll_timeline_axis = other.scroll_timeline_axis.clone();
                        }
                    /// Reset scroll-timeline-axis from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_scroll_timeline_axis(&mut self, other: &Self) {
                        self.copy_scroll_timeline_axis_from(other)
                    }

                    /// Get the computed value for scroll-timeline-axis.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_scroll_timeline_axis(&self) -> longhands::scroll_timeline_axis::computed_value::T {
                        self.scroll_timeline_axis.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn scroll_timeline_axis_count(&self) -> usize {
                        self.scroll_timeline_axis.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn scroll_timeline_axis_at(&self, index: usize)
                        -> longhands::scroll_timeline_axis::computed_value::SingleComputedValue {
                        self.scroll_timeline_axis.0[index].clone()
                    }
                        /// Set view-timeline-name.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_view_timeline_name(&mut self, v: longhands::view_timeline_name::computed_value::T) {
                            self.view_timeline_name = v;
                        }
                        /// Set view-timeline-name from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_view_timeline_name_from(&mut self, other: &Self) {
                            self.view_timeline_name = other.view_timeline_name.clone();
                        }
                    /// Reset view-timeline-name from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_view_timeline_name(&mut self, other: &Self) {
                        self.copy_view_timeline_name_from(other)
                    }

                    /// Get the computed value for view-timeline-name.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_view_timeline_name(&self) -> longhands::view_timeline_name::computed_value::T {
                        self.view_timeline_name.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn view_timeline_name_count(&self) -> usize {
                        self.view_timeline_name.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn view_timeline_name_at(&self, index: usize)
                        -> longhands::view_timeline_name::computed_value::SingleComputedValue {
                        self.view_timeline_name.0[index].clone()
                    }
                        /// Set view-timeline-axis.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_view_timeline_axis(&mut self, v: longhands::view_timeline_axis::computed_value::T) {
                            self.view_timeline_axis = v;
                        }
                        /// Set view-timeline-axis from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_view_timeline_axis_from(&mut self, other: &Self) {
                            self.view_timeline_axis = other.view_timeline_axis.clone();
                        }
                    /// Reset view-timeline-axis from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_view_timeline_axis(&mut self, other: &Self) {
                        self.copy_view_timeline_axis_from(other)
                    }

                    /// Get the computed value for view-timeline-axis.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_view_timeline_axis(&self) -> longhands::view_timeline_axis::computed_value::T {
                        self.view_timeline_axis.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn view_timeline_axis_count(&self) -> usize {
                        self.view_timeline_axis.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn view_timeline_axis_at(&self, index: usize)
                        -> longhands::view_timeline_axis::computed_value::SingleComputedValue {
                        self.view_timeline_axis.0[index].clone()
                    }
                        /// Set view-timeline-inset.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set_view_timeline_inset(&mut self, v: longhands::view_timeline_inset::computed_value::T) {
                            self.view_timeline_inset = v;
                        }
                        /// Set view-timeline-inset from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy_view_timeline_inset_from(&mut self, other: &Self) {
                            self.view_timeline_inset = other.view_timeline_inset.clone();
                        }
                    /// Reset view-timeline-inset from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset_view_timeline_inset(&mut self, other: &Self) {
                        self.copy_view_timeline_inset_from(other)
                    }

                    /// Get the computed value for view-timeline-inset.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone_view_timeline_inset(&self) -> longhands::view_timeline_inset::computed_value::T {
                        self.view_timeline_inset.clone()
                    }
                    /// If this longhand is indexed, get the number of elements.
                    #[allow(non_snake_case)]
                    pub fn view_timeline_inset_count(&self) -> usize {
                        self.view_timeline_inset.0.len()
                    }

                    /// If this longhand is indexed, get the element at given
                    /// index.
                    #[allow(non_snake_case)]
                    pub fn view_timeline_inset_at(&self, index: usize)
                        -> longhands::view_timeline_inset::computed_value::SingleComputedValue {
                        self.view_timeline_inset.0[index].clone()
                    }
        }

        #[derive(Clone, Debug, MallocSizeOf, PartialEq)]
        /// The XUL style struct.
        pub struct XUL {
                    /// The -moz-box-align computed value.
                    pub _moz_box_align: longhands::_moz_box_align::computed_value::T,
                    /// The -moz-box-direction computed value.
                    pub _moz_box_direction: longhands::_moz_box_direction::computed_value::T,
                    /// The -moz-box-flex computed value.
                    pub _moz_box_flex: longhands::_moz_box_flex::computed_value::T,
                    /// The -moz-box-orient computed value.
                    pub _moz_box_orient: longhands::_moz_box_orient::computed_value::T,
                    /// The -moz-box-pack computed value.
                    pub _moz_box_pack: longhands::_moz_box_pack::computed_value::T,
                    /// The -moz-box-ordinal-group computed value.
                    pub _moz_box_ordinal_group: longhands::_moz_box_ordinal_group::computed_value::T,
        }

        impl XUL {
                        /// Set -moz-box-align.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_align(&mut self, v: longhands::_moz_box_align::computed_value::T) {
                            self._moz_box_align = v;
                        }
                        /// Set -moz-box-align from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_align_from(&mut self, other: &Self) {
                            self._moz_box_align = other._moz_box_align.clone();
                        }
                    /// Reset -moz-box-align from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_align(&mut self, other: &Self) {
                        self.copy__moz_box_align_from(other)
                    }

                    /// Get the computed value for -moz-box-align.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_align(&self) -> longhands::_moz_box_align::computed_value::T {
                        self._moz_box_align.clone()
                    }
                        /// Set -moz-box-direction.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_direction(&mut self, v: longhands::_moz_box_direction::computed_value::T) {
                            self._moz_box_direction = v;
                        }
                        /// Set -moz-box-direction from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_direction_from(&mut self, other: &Self) {
                            self._moz_box_direction = other._moz_box_direction.clone();
                        }
                    /// Reset -moz-box-direction from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_direction(&mut self, other: &Self) {
                        self.copy__moz_box_direction_from(other)
                    }

                    /// Get the computed value for -moz-box-direction.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_direction(&self) -> longhands::_moz_box_direction::computed_value::T {
                        self._moz_box_direction.clone()
                    }
                        /// Set -moz-box-flex.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_flex(&mut self, v: longhands::_moz_box_flex::computed_value::T) {
                            self._moz_box_flex = v;
                        }
                        /// Set -moz-box-flex from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_flex_from(&mut self, other: &Self) {
                            self._moz_box_flex = other._moz_box_flex.clone();
                        }
                    /// Reset -moz-box-flex from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_flex(&mut self, other: &Self) {
                        self.copy__moz_box_flex_from(other)
                    }

                    /// Get the computed value for -moz-box-flex.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_flex(&self) -> longhands::_moz_box_flex::computed_value::T {
                        self._moz_box_flex.clone()
                    }
                        /// Set -moz-box-orient.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_orient(&mut self, v: longhands::_moz_box_orient::computed_value::T) {
                            self._moz_box_orient = v;
                        }
                        /// Set -moz-box-orient from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_orient_from(&mut self, other: &Self) {
                            self._moz_box_orient = other._moz_box_orient.clone();
                        }
                    /// Reset -moz-box-orient from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_orient(&mut self, other: &Self) {
                        self.copy__moz_box_orient_from(other)
                    }

                    /// Get the computed value for -moz-box-orient.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_orient(&self) -> longhands::_moz_box_orient::computed_value::T {
                        self._moz_box_orient.clone()
                    }
                        /// Set -moz-box-pack.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_pack(&mut self, v: longhands::_moz_box_pack::computed_value::T) {
                            self._moz_box_pack = v;
                        }
                        /// Set -moz-box-pack from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_pack_from(&mut self, other: &Self) {
                            self._moz_box_pack = other._moz_box_pack.clone();
                        }
                    /// Reset -moz-box-pack from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_pack(&mut self, other: &Self) {
                        self.copy__moz_box_pack_from(other)
                    }

                    /// Get the computed value for -moz-box-pack.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_pack(&self) -> longhands::_moz_box_pack::computed_value::T {
                        self._moz_box_pack.clone()
                    }
                        /// Set -moz-box-ordinal-group.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn set__moz_box_ordinal_group(&mut self, v: longhands::_moz_box_ordinal_group::computed_value::T) {
                            self._moz_box_ordinal_group = v;
                        }
                        /// Set -moz-box-ordinal-group from other struct.
                        #[allow(non_snake_case)]
                        #[inline]
                        pub fn copy__moz_box_ordinal_group_from(&mut self, other: &Self) {
                            self._moz_box_ordinal_group = other._moz_box_ordinal_group.clone();
                        }
                    /// Reset -moz-box-ordinal-group from the initial struct.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn reset__moz_box_ordinal_group(&mut self, other: &Self) {
                        self.copy__moz_box_ordinal_group_from(other)
                    }

                    /// Get the computed value for -moz-box-ordinal-group.
                    #[allow(non_snake_case)]
                    #[inline]
                    pub fn clone__moz_box_ordinal_group(&self) -> longhands::_moz_box_ordinal_group::computed_value::T {
                        self._moz_box_ordinal_group.clone()
                    }
        }

}

    impl style_structs::Background {

    }

    impl style_structs::Border {

    }

    impl style_structs::Box {

    }

    impl style_structs::Column {

            /// Whether this is a multicol style.
            #[cfg(feature = "servo")]
            pub fn is_multicol(&self) -> bool {
                !self.column_width.is_auto() || !self.column_count.is_auto()
            }
    }

    impl style_structs::Counters {

    }

    impl style_structs::Effects {

    }

    impl style_structs::Font {

    }

    impl style_structs::InheritedBox {

    }

    impl style_structs::InheritedSVG {

    }

    impl style_structs::InheritedTable {

    }

    impl style_structs::InheritedText {

    }

    impl style_structs::InheritedUI {

    }

    impl style_structs::List {

    }

    impl style_structs::Margin {

    }

    impl style_structs::Outline {

    }

    impl style_structs::Page {

    }

    impl style_structs::Padding {

    }

    impl style_structs::Position {

    }

    impl style_structs::SVG {

    }

    impl style_structs::Table {

    }

    impl style_structs::Text {

    }

    impl style_structs::UI {
                /// Iterate over the values of transition-duration.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_duration_iter(&self) -> TransitionDurationIter {
                    TransitionDurationIter {
                        style_struct: self,
                        current: 0,
                        max: self.transition_duration_count(),
                    }
                }

                /// Get a value mod `index` for the property transition-duration.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_duration_mod(&self, index: usize)
                    -> longhands::transition_duration::computed_value::SingleComputedValue {
                    self.transition_duration_at(index % self.transition_duration_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_transition_duration(
                    &self,
                ) -> longhands::transition_duration::computed_value::T {
                    longhands::transition_duration::computed_value::List(
                        self.transition_duration_iter().collect()
                    )
                }
                /// Iterate over the values of transition-timing-function.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_timing_function_iter(&self) -> TransitionTimingFunctionIter {
                    TransitionTimingFunctionIter {
                        style_struct: self,
                        current: 0,
                        max: self.transition_timing_function_count(),
                    }
                }

                /// Get a value mod `index` for the property transition-timing-function.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_timing_function_mod(&self, index: usize)
                    -> longhands::transition_timing_function::computed_value::SingleComputedValue {
                    self.transition_timing_function_at(index % self.transition_timing_function_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_transition_timing_function(
                    &self,
                ) -> longhands::transition_timing_function::computed_value::T {
                    longhands::transition_timing_function::computed_value::List(
                        self.transition_timing_function_iter().collect()
                    )
                }
                /// Iterate over the values of transition-property.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_property_iter(&self) -> TransitionPropertyIter {
                    TransitionPropertyIter {
                        style_struct: self,
                        current: 0,
                        max: self.transition_property_count(),
                    }
                }

                /// Get a value mod `index` for the property transition-property.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_property_mod(&self, index: usize)
                    -> longhands::transition_property::computed_value::SingleComputedValue {
                    self.transition_property_at(index % self.transition_property_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_transition_property(
                    &self,
                ) -> longhands::transition_property::computed_value::T {
                    longhands::transition_property::computed_value::List(
                        self.transition_property_iter().collect()
                    )
                }
                /// Iterate over the values of transition-delay.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_delay_iter(&self) -> TransitionDelayIter {
                    TransitionDelayIter {
                        style_struct: self,
                        current: 0,
                        max: self.transition_delay_count(),
                    }
                }

                /// Get a value mod `index` for the property transition-delay.
                #[allow(non_snake_case)]
                #[inline]
                pub fn transition_delay_mod(&self, index: usize)
                    -> longhands::transition_delay::computed_value::SingleComputedValue {
                    self.transition_delay_at(index % self.transition_delay_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_transition_delay(
                    &self,
                ) -> longhands::transition_delay::computed_value::T {
                    longhands::transition_delay::computed_value::List(
                        self.transition_delay_iter().collect()
                    )
                }
                /// Iterate over the values of animation-name.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_name_iter(&self) -> AnimationNameIter {
                    AnimationNameIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_name_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-name.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_name_mod(&self, index: usize)
                    -> longhands::animation_name::computed_value::SingleComputedValue {
                    self.animation_name_at(index % self.animation_name_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_name(
                    &self,
                ) -> longhands::animation_name::computed_value::T {
                    longhands::animation_name::computed_value::List(
                        self.animation_name_iter().collect()
                    )
                }
                /// Iterate over the values of animation-duration.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_duration_iter(&self) -> AnimationDurationIter {
                    AnimationDurationIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_duration_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-duration.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_duration_mod(&self, index: usize)
                    -> longhands::animation_duration::computed_value::SingleComputedValue {
                    self.animation_duration_at(index % self.animation_duration_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_duration(
                    &self,
                ) -> longhands::animation_duration::computed_value::T {
                    longhands::animation_duration::computed_value::List(
                        self.animation_duration_iter().collect()
                    )
                }
                /// Iterate over the values of animation-timing-function.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_timing_function_iter(&self) -> AnimationTimingFunctionIter {
                    AnimationTimingFunctionIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_timing_function_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-timing-function.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_timing_function_mod(&self, index: usize)
                    -> longhands::animation_timing_function::computed_value::SingleComputedValue {
                    self.animation_timing_function_at(index % self.animation_timing_function_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_timing_function(
                    &self,
                ) -> longhands::animation_timing_function::computed_value::T {
                    longhands::animation_timing_function::computed_value::List(
                        self.animation_timing_function_iter().collect()
                    )
                }
                /// Iterate over the values of animation-iteration-count.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_iteration_count_iter(&self) -> AnimationIterationCountIter {
                    AnimationIterationCountIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_iteration_count_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-iteration-count.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_iteration_count_mod(&self, index: usize)
                    -> longhands::animation_iteration_count::computed_value::SingleComputedValue {
                    self.animation_iteration_count_at(index % self.animation_iteration_count_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_iteration_count(
                    &self,
                ) -> longhands::animation_iteration_count::computed_value::T {
                    longhands::animation_iteration_count::computed_value::List(
                        self.animation_iteration_count_iter().collect()
                    )
                }
                /// Iterate over the values of animation-direction.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_direction_iter(&self) -> AnimationDirectionIter {
                    AnimationDirectionIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_direction_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-direction.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_direction_mod(&self, index: usize)
                    -> longhands::animation_direction::computed_value::SingleComputedValue {
                    self.animation_direction_at(index % self.animation_direction_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_direction(
                    &self,
                ) -> longhands::animation_direction::computed_value::T {
                    longhands::animation_direction::computed_value::List(
                        self.animation_direction_iter().collect()
                    )
                }
                /// Iterate over the values of animation-play-state.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_play_state_iter(&self) -> AnimationPlayStateIter {
                    AnimationPlayStateIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_play_state_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-play-state.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_play_state_mod(&self, index: usize)
                    -> longhands::animation_play_state::computed_value::SingleComputedValue {
                    self.animation_play_state_at(index % self.animation_play_state_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_play_state(
                    &self,
                ) -> longhands::animation_play_state::computed_value::T {
                    longhands::animation_play_state::computed_value::List(
                        self.animation_play_state_iter().collect()
                    )
                }
                /// Iterate over the values of animation-fill-mode.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_fill_mode_iter(&self) -> AnimationFillModeIter {
                    AnimationFillModeIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_fill_mode_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-fill-mode.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_fill_mode_mod(&self, index: usize)
                    -> longhands::animation_fill_mode::computed_value::SingleComputedValue {
                    self.animation_fill_mode_at(index % self.animation_fill_mode_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_fill_mode(
                    &self,
                ) -> longhands::animation_fill_mode::computed_value::T {
                    longhands::animation_fill_mode::computed_value::List(
                        self.animation_fill_mode_iter().collect()
                    )
                }
                /// Iterate over the values of animation-composition.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_composition_iter(&self) -> AnimationCompositionIter {
                    AnimationCompositionIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_composition_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-composition.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_composition_mod(&self, index: usize)
                    -> longhands::animation_composition::computed_value::SingleComputedValue {
                    self.animation_composition_at(index % self.animation_composition_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_composition(
                    &self,
                ) -> longhands::animation_composition::computed_value::T {
                    longhands::animation_composition::computed_value::List(
                        self.animation_composition_iter().collect()
                    )
                }
                /// Iterate over the values of animation-delay.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_delay_iter(&self) -> AnimationDelayIter {
                    AnimationDelayIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_delay_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-delay.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_delay_mod(&self, index: usize)
                    -> longhands::animation_delay::computed_value::SingleComputedValue {
                    self.animation_delay_at(index % self.animation_delay_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_delay(
                    &self,
                ) -> longhands::animation_delay::computed_value::T {
                    longhands::animation_delay::computed_value::List(
                        self.animation_delay_iter().collect()
                    )
                }
                /// Iterate over the values of animation-timeline.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_timeline_iter(&self) -> AnimationTimelineIter {
                    AnimationTimelineIter {
                        style_struct: self,
                        current: 0,
                        max: self.animation_timeline_count(),
                    }
                }

                /// Get a value mod `index` for the property animation-timeline.
                #[allow(non_snake_case)]
                #[inline]
                pub fn animation_timeline_mod(&self, index: usize)
                    -> longhands::animation_timeline::computed_value::SingleComputedValue {
                    self.animation_timeline_at(index % self.animation_timeline_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_animation_timeline(
                    &self,
                ) -> longhands::animation_timeline::computed_value::T {
                    longhands::animation_timeline::computed_value::List(
                        self.animation_timeline_iter().collect()
                    )
                }
                /// Iterate over the values of scroll-timeline-name.
                #[allow(non_snake_case)]
                #[inline]
                pub fn scroll_timeline_name_iter(&self) -> ScrollTimelineNameIter {
                    ScrollTimelineNameIter {
                        style_struct: self,
                        current: 0,
                        max: self.scroll_timeline_name_count(),
                    }
                }

                /// Get a value mod `index` for the property scroll-timeline-name.
                #[allow(non_snake_case)]
                #[inline]
                pub fn scroll_timeline_name_mod(&self, index: usize)
                    -> longhands::scroll_timeline_name::computed_value::SingleComputedValue {
                    self.scroll_timeline_name_at(index % self.scroll_timeline_name_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_scroll_timeline_name(
                    &self,
                ) -> longhands::scroll_timeline_name::computed_value::T {
                    longhands::scroll_timeline_name::computed_value::List(
                        self.scroll_timeline_name_iter().collect()
                    )
                }
                /// Iterate over the values of scroll-timeline-axis.
                #[allow(non_snake_case)]
                #[inline]
                pub fn scroll_timeline_axis_iter(&self) -> ScrollTimelineAxisIter {
                    ScrollTimelineAxisIter {
                        style_struct: self,
                        current: 0,
                        max: self.scroll_timeline_axis_count(),
                    }
                }

                /// Get a value mod `index` for the property scroll-timeline-axis.
                #[allow(non_snake_case)]
                #[inline]
                pub fn scroll_timeline_axis_mod(&self, index: usize)
                    -> longhands::scroll_timeline_axis::computed_value::SingleComputedValue {
                    self.scroll_timeline_axis_at(index % self.scroll_timeline_axis_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_scroll_timeline_axis(
                    &self,
                ) -> longhands::scroll_timeline_axis::computed_value::T {
                    longhands::scroll_timeline_axis::computed_value::List(
                        self.scroll_timeline_axis_iter().collect()
                    )
                }
                /// Iterate over the values of view-timeline-name.
                #[allow(non_snake_case)]
                #[inline]
                pub fn view_timeline_name_iter(&self) -> ViewTimelineNameIter {
                    ViewTimelineNameIter {
                        style_struct: self,
                        current: 0,
                        max: self.view_timeline_name_count(),
                    }
                }

                /// Get a value mod `index` for the property view-timeline-name.
                #[allow(non_snake_case)]
                #[inline]
                pub fn view_timeline_name_mod(&self, index: usize)
                    -> longhands::view_timeline_name::computed_value::SingleComputedValue {
                    self.view_timeline_name_at(index % self.view_timeline_name_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_view_timeline_name(
                    &self,
                ) -> longhands::view_timeline_name::computed_value::T {
                    longhands::view_timeline_name::computed_value::List(
                        self.view_timeline_name_iter().collect()
                    )
                }
                /// Iterate over the values of view-timeline-axis.
                #[allow(non_snake_case)]
                #[inline]
                pub fn view_timeline_axis_iter(&self) -> ViewTimelineAxisIter {
                    ViewTimelineAxisIter {
                        style_struct: self,
                        current: 0,
                        max: self.view_timeline_axis_count(),
                    }
                }

                /// Get a value mod `index` for the property view-timeline-axis.
                #[allow(non_snake_case)]
                #[inline]
                pub fn view_timeline_axis_mod(&self, index: usize)
                    -> longhands::view_timeline_axis::computed_value::SingleComputedValue {
                    self.view_timeline_axis_at(index % self.view_timeline_axis_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_view_timeline_axis(
                    &self,
                ) -> longhands::view_timeline_axis::computed_value::T {
                    longhands::view_timeline_axis::computed_value::List(
                        self.view_timeline_axis_iter().collect()
                    )
                }
                /// Iterate over the values of view-timeline-inset.
                #[allow(non_snake_case)]
                #[inline]
                pub fn view_timeline_inset_iter(&self) -> ViewTimelineInsetIter {
                    ViewTimelineInsetIter {
                        style_struct: self,
                        current: 0,
                        max: self.view_timeline_inset_count(),
                    }
                }

                /// Get a value mod `index` for the property view-timeline-inset.
                #[allow(non_snake_case)]
                #[inline]
                pub fn view_timeline_inset_mod(&self, index: usize)
                    -> longhands::view_timeline_inset::computed_value::SingleComputedValue {
                    self.view_timeline_inset_at(index % self.view_timeline_inset_count())
                }

                /// Clone the computed value for the property.
                #[allow(non_snake_case)]
                #[inline]
                #[cfg(feature = "gecko")]
                pub fn clone_view_timeline_inset(
                    &self,
                ) -> longhands::view_timeline_inset::computed_value::T {
                    longhands::view_timeline_inset::computed_value::List(
                        self.view_timeline_inset_iter().collect()
                    )
                }

            /// Returns whether there is any animation specified with
            /// animation-name other than `none`.
            pub fn specifies_animations(&self) -> bool {
                self.animation_name_iter().any(|name| !name.is_none())
            }

            /// Returns whether there are any transitions specified.
            #[cfg(feature = "servo")]
            pub fn specifies_transitions(&self) -> bool {
                (0..self.transition_property_count()).any(|index| {
                    let combined_duration =
                        self.transition_duration_mod(index).seconds().max(0.) +
                        self.transition_delay_mod(index).seconds();
                    combined_duration > 0.
                })
            }

            /// Returns whether there is any named progress timeline specified with
            /// scroll-timeline-name other than `none`.
            pub fn specifies_scroll_timelines(&self) -> bool {
                self.scroll_timeline_name_iter().any(|name| !name.is_none())
            }

            /// Returns whether there is any named progress timeline specified with
            /// view-timeline-name other than `none`.
            pub fn specifies_view_timelines(&self) -> bool {
                self.view_timeline_name_iter().any(|name| !name.is_none())
            }

            /// Returns true if animation properties are equal between styles, but without
            /// considering keyframe data and animation-timeline.
            #[cfg(feature = "servo")]
            pub fn animations_equals(&self, other: &Self) -> bool {
                self.animation_name_iter().eq(other.animation_name_iter()) &&
                self.animation_delay_iter().eq(other.animation_delay_iter()) &&
                self.animation_direction_iter().eq(other.animation_direction_iter()) &&
                self.animation_duration_iter().eq(other.animation_duration_iter()) &&
                self.animation_fill_mode_iter().eq(other.animation_fill_mode_iter()) &&
                self.animation_iteration_count_iter().eq(other.animation_iteration_count_iter()) &&
                self.animation_play_state_iter().eq(other.animation_play_state_iter()) &&
                self.animation_timing_function_iter().eq(other.animation_timing_function_iter())
            }

    }

            /// An iterator over the values of the transition-duration properties.
            pub struct TransitionDurationIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for TransitionDurationIter<'a> {
                type Item = longhands::transition_duration::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.transition_duration_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the transition-timing-function properties.
            pub struct TransitionTimingFunctionIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for TransitionTimingFunctionIter<'a> {
                type Item = longhands::transition_timing_function::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.transition_timing_function_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the transition-property properties.
            pub struct TransitionPropertyIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for TransitionPropertyIter<'a> {
                type Item = longhands::transition_property::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.transition_property_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the transition-delay properties.
            pub struct TransitionDelayIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for TransitionDelayIter<'a> {
                type Item = longhands::transition_delay::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.transition_delay_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-name properties.
            pub struct AnimationNameIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationNameIter<'a> {
                type Item = longhands::animation_name::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_name_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-duration properties.
            pub struct AnimationDurationIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationDurationIter<'a> {
                type Item = longhands::animation_duration::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_duration_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-timing-function properties.
            pub struct AnimationTimingFunctionIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationTimingFunctionIter<'a> {
                type Item = longhands::animation_timing_function::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_timing_function_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-iteration-count properties.
            pub struct AnimationIterationCountIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationIterationCountIter<'a> {
                type Item = longhands::animation_iteration_count::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_iteration_count_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-direction properties.
            pub struct AnimationDirectionIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationDirectionIter<'a> {
                type Item = longhands::animation_direction::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_direction_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-play-state properties.
            pub struct AnimationPlayStateIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationPlayStateIter<'a> {
                type Item = longhands::animation_play_state::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_play_state_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-fill-mode properties.
            pub struct AnimationFillModeIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationFillModeIter<'a> {
                type Item = longhands::animation_fill_mode::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_fill_mode_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-composition properties.
            pub struct AnimationCompositionIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationCompositionIter<'a> {
                type Item = longhands::animation_composition::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_composition_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-delay properties.
            pub struct AnimationDelayIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationDelayIter<'a> {
                type Item = longhands::animation_delay::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_delay_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the animation-timeline properties.
            pub struct AnimationTimelineIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for AnimationTimelineIter<'a> {
                type Item = longhands::animation_timeline::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.animation_timeline_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the scroll-timeline-name properties.
            pub struct ScrollTimelineNameIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for ScrollTimelineNameIter<'a> {
                type Item = longhands::scroll_timeline_name::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.scroll_timeline_name_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the scroll-timeline-axis properties.
            pub struct ScrollTimelineAxisIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for ScrollTimelineAxisIter<'a> {
                type Item = longhands::scroll_timeline_axis::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.scroll_timeline_axis_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the view-timeline-name properties.
            pub struct ViewTimelineNameIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for ViewTimelineNameIter<'a> {
                type Item = longhands::view_timeline_name::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.view_timeline_name_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the view-timeline-axis properties.
            pub struct ViewTimelineAxisIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for ViewTimelineAxisIter<'a> {
                type Item = longhands::view_timeline_axis::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.view_timeline_axis_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
            /// An iterator over the values of the view-timeline-inset properties.
            pub struct ViewTimelineInsetIter<'a> {
                style_struct: &'a style_structs::UI,
                current: usize,
                max: usize,
            }

            impl<'a> Iterator for ViewTimelineInsetIter<'a> {
                type Item = longhands::view_timeline_inset::computed_value::SingleComputedValue;

                fn next(&mut self) -> Option<Self::Item> {
                    self.current += 1;
                    if self.current <= self.max {
                        Some(self.style_struct.view_timeline_inset_at(self.current - 1))
                    } else {
                        None
                    }
                }
            }
    impl style_structs::XUL {

    }



#[cfg(feature = "gecko")]
pub use super::gecko::{ComputedValues, ComputedValuesInner};

#[cfg(feature = "servo")]
#[cfg_attr(feature = "servo", derive(Clone, Debug))]
/// Actual data of ComputedValues, to match up with Gecko
pub struct ComputedValuesInner {
        background: Arc<style_structs::Background>,
        border: Arc<style_structs::Border>,
        box_: Arc<style_structs::Box>,
        column: Arc<style_structs::Column>,
        counters: Arc<style_structs::Counters>,
        effects: Arc<style_structs::Effects>,
        font: Arc<style_structs::Font>,
        inherited_box: Arc<style_structs::InheritedBox>,
        inherited_svg: Arc<style_structs::InheritedSVG>,
        inherited_table: Arc<style_structs::InheritedTable>,
        inherited_text: Arc<style_structs::InheritedText>,
        inherited_ui: Arc<style_structs::InheritedUI>,
        list: Arc<style_structs::List>,
        margin: Arc<style_structs::Margin>,
        outline: Arc<style_structs::Outline>,
        page: Arc<style_structs::Page>,
        padding: Arc<style_structs::Padding>,
        position: Arc<style_structs::Position>,
        svg: Arc<style_structs::SVG>,
        table: Arc<style_structs::Table>,
        text: Arc<style_structs::Text>,
        ui: Arc<style_structs::UI>,
        xul: Arc<style_structs::XUL>,
    custom_properties: Option<Arc<crate::custom_properties::CustomPropertiesMap>>,
    /// The writing mode of this computed values struct.
    pub writing_mode: WritingMode,

    /// A set of flags we use to store misc information regarding this style.
    pub flags: ComputedValueFlags,

    /// The rule node representing the ordered list of rules matched for this
    /// node.  Can be None for default values and text nodes.  This is
    /// essentially an optimization to avoid referencing the root rule node.
    pub rules: Option<StrongRuleNode>,

    /// The element's computed values if visited, only computed if there's a
    /// relevant link for this element. A element's "relevant link" is the
    /// element being matched if it is a link or the nearest ancestor link.
    visited_style: Option<Arc<ComputedValues>>,
}

/// The struct that Servo uses to represent computed values.
///
/// This struct contains an immutable atomically-reference-counted pointer to
/// every kind of style struct.
///
/// When needed, the structs may be copied in order to get mutated.
#[cfg(feature = "servo")]
#[cfg_attr(feature = "servo", derive(Clone, Debug))]
pub struct ComputedValues {
    /// The actual computed values
    ///
    /// In Gecko the outer ComputedValues is actually a ComputedStyle, whereas
    /// ComputedValuesInner is the core set of computed values.
    ///
    /// We maintain this distinction in servo to reduce the amount of special
    /// casing.
    inner: ComputedValuesInner,

    /// The pseudo-element that we're using.
    pseudo: Option<PseudoElement>,
}

impl ComputedValues {
    /// Returns the pseudo-element that this style represents.
    #[cfg(feature = "servo")]
    pub fn pseudo(&self) -> Option<&PseudoElement> {
        self.pseudo.as_ref()
    }

    /// Returns true if this is the style for a pseudo-element.
    #[cfg(feature = "servo")]
    pub fn is_pseudo_style(&self) -> bool {
        self.pseudo().is_some()
    }

    /// Returns whether this style's display value is equal to contents.
    pub fn is_display_contents(&self) -> bool {
        self.clone_display().is_contents()
    }

    /// Gets a reference to the rule node. Panic if no rule node exists.
    pub fn rules(&self) -> &StrongRuleNode {
        self.rules.as_ref().unwrap()
    }

    /// Returns the visited rules, if applicable.
    pub fn visited_rules(&self) -> Option<&StrongRuleNode> {
        self.visited_style().and_then(|s| s.rules.as_ref())
    }

    /// Gets a reference to the custom properties map (if one exists).
    pub fn custom_properties(&self) -> Option<&Arc<crate::custom_properties::CustomPropertiesMap>> {
        self.custom_properties.as_ref()
    }

    /// Returns whether we have the same custom properties as another style.
    ///
    /// This should effectively be just:
    ///
    ///   self.custom_properties() == other.custom_properties()
    ///
    /// But that's not really the case because IndexMap equality doesn't
    /// consider ordering, which we have to account for. Also, for the same
    /// reason, IndexMap equality comparisons are slower than needed.
    ///
    /// See https://github.com/bluss/indexmap/issues/153
    pub fn custom_properties_equal(&self, other: &Self) -> bool {
        match (self.custom_properties(), other.custom_properties()) {
            (Some(l), Some(r)) => {
                l.len() == r.len() && l.iter().zip(r.iter()).all(|((k1, v1), (k2, v2))| k1 == k2 && v1 == v2)
            },
            (None, None) => true,
            _ => false,
        }
    }

    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_align_content(
        &self,
    ) -> longhands::align_content::computed_value::T {
        self.get_position()
            .clone_align_content()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_align_items(
        &self,
    ) -> longhands::align_items::computed_value::T {
        self.get_position()
            .clone_align_items()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_align_self(
        &self,
    ) -> longhands::align_self::computed_value::T {
        self.get_position()
            .clone_align_self()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_aspect_ratio(
        &self,
    ) -> longhands::aspect_ratio::computed_value::T {
        self.get_position()
            .clone_aspect_ratio()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_backface_visibility(
        &self,
    ) -> longhands::backface_visibility::computed_value::T {
        self.get_box()
            .clone_backface_visibility()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_baseline_source(
        &self,
    ) -> longhands::baseline_source::computed_value::T {
        self.get_box()
            .clone_baseline_source()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_collapse(
        &self,
    ) -> longhands::border_collapse::computed_value::T {
        self.get_inherited_table()
            .clone_border_collapse()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_image_repeat(
        &self,
    ) -> longhands::border_image_repeat::computed_value::T {
        self.get_border()
            .clone_border_image_repeat()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_box_decoration_break(
        &self,
    ) -> longhands::box_decoration_break::computed_value::T {
        self.get_border()
            .clone_box_decoration_break()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_box_sizing(
        &self,
    ) -> longhands::box_sizing::computed_value::T {
        self.get_position()
            .clone_box_sizing()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_break_inside(
        &self,
    ) -> longhands::break_inside::computed_value::T {
        self.get_box()
            .clone_break_inside()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_caption_side(
        &self,
    ) -> longhands::caption_side::computed_value::T {
        self.get_inherited_table()
            .clone_caption_side()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_clear(
        &self,
    ) -> longhands::clear::computed_value::T {
        self.get_box()
            .clone_clear()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_color_interpolation(
        &self,
    ) -> longhands::color_interpolation::computed_value::T {
        self.get_inherited_svg()
            .clone_color_interpolation()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_color_interpolation_filters(
        &self,
    ) -> longhands::color_interpolation_filters::computed_value::T {
        self.get_inherited_svg()
            .clone_color_interpolation_filters()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_count(
        &self,
    ) -> longhands::column_count::computed_value::T {
        self.get_column()
            .clone_column_count()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_fill(
        &self,
    ) -> longhands::column_fill::computed_value::T {
        self.get_column()
            .clone_column_fill()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_span(
        &self,
    ) -> longhands::column_span::computed_value::T {
        self.get_column()
            .clone_column_span()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_contain(
        &self,
    ) -> longhands::contain::computed_value::T {
        self.get_box()
            .clone_contain()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_container_type(
        &self,
    ) -> longhands::container_type::computed_value::T {
        self.get_box()
            .clone_container_type()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_content_visibility(
        &self,
    ) -> longhands::content_visibility::computed_value::T {
        self.get_box()
            .clone_content_visibility()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_direction(
        &self,
    ) -> longhands::direction::computed_value::T {
        self.get_inherited_box()
            .clone_direction()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_display(
        &self,
    ) -> longhands::display::computed_value::T {
        self.get_box()
            .clone_display()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_dominant_baseline(
        &self,
    ) -> longhands::dominant_baseline::computed_value::T {
        self.get_inherited_svg()
            .clone_dominant_baseline()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_empty_cells(
        &self,
    ) -> longhands::empty_cells::computed_value::T {
        self.get_inherited_table()
            .clone_empty_cells()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flex_direction(
        &self,
    ) -> longhands::flex_direction::computed_value::T {
        self.get_position()
            .clone_flex_direction()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flex_wrap(
        &self,
    ) -> longhands::flex_wrap::computed_value::T {
        self.get_position()
            .clone_flex_wrap()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_float(
        &self,
    ) -> longhands::float::computed_value::T {
        self.get_box()
            .clone_float()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_kerning(
        &self,
    ) -> longhands::font_kerning::computed_value::T {
        self.get_font()
            .clone_font_kerning()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_language_override(
        &self,
    ) -> longhands::font_language_override::computed_value::T {
        self.get_font()
            .clone_font_language_override()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_optical_sizing(
        &self,
    ) -> longhands::font_optical_sizing::computed_value::T {
        self.get_font()
            .clone_font_optical_sizing()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_size_adjust(
        &self,
    ) -> longhands::font_size_adjust::computed_value::T {
        self.get_font()
            .clone_font_size_adjust()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_stretch(
        &self,
    ) -> longhands::font_stretch::computed_value::T {
        self.get_font()
            .clone_font_stretch()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_style(
        &self,
    ) -> longhands::font_style::computed_value::T {
        self.get_font()
            .clone_font_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_caps(
        &self,
    ) -> longhands::font_variant_caps::computed_value::T {
        self.get_font()
            .clone_font_variant_caps()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_east_asian(
        &self,
    ) -> longhands::font_variant_east_asian::computed_value::T {
        self.get_font()
            .clone_font_variant_east_asian()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_emoji(
        &self,
    ) -> longhands::font_variant_emoji::computed_value::T {
        self.get_font()
            .clone_font_variant_emoji()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_ligatures(
        &self,
    ) -> longhands::font_variant_ligatures::computed_value::T {
        self.get_font()
            .clone_font_variant_ligatures()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_numeric(
        &self,
    ) -> longhands::font_variant_numeric::computed_value::T {
        self.get_font()
            .clone_font_variant_numeric()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_position(
        &self,
    ) -> longhands::font_variant_position::computed_value::T {
        self.get_font()
            .clone_font_variant_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_weight(
        &self,
    ) -> longhands::font_weight::computed_value::T {
        self.get_font()
            .clone_font_weight()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_forced_color_adjust(
        &self,
    ) -> longhands::forced_color_adjust::computed_value::T {
        self.get_inherited_text()
            .clone_forced_color_adjust()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_auto_flow(
        &self,
    ) -> longhands::grid_auto_flow::computed_value::T {
        self.get_position()
            .clone_grid_auto_flow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_hyphens(
        &self,
    ) -> longhands::hyphens::computed_value::T {
        self.get_inherited_text()
            .clone_hyphens()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_image_orientation(
        &self,
    ) -> longhands::image_orientation::computed_value::T {
        self.get_inherited_box()
            .clone_image_orientation()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_image_rendering(
        &self,
    ) -> longhands::image_rendering::computed_value::T {
        self.get_inherited_box()
            .clone_image_rendering()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_ime_mode(
        &self,
    ) -> longhands::ime_mode::computed_value::T {
        self.get_ui()
            .clone_ime_mode()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_initial_letter(
        &self,
    ) -> longhands::initial_letter::computed_value::T {
        self.get_text()
            .clone_initial_letter()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_isolation(
        &self,
    ) -> longhands::isolation::computed_value::T {
        self.get_box()
            .clone_isolation()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_justify_content(
        &self,
    ) -> longhands::justify_content::computed_value::T {
        self.get_position()
            .clone_justify_content()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_justify_items(
        &self,
    ) -> longhands::justify_items::computed_value::T {
        self.get_position()
            .clone_justify_items()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_justify_self(
        &self,
    ) -> longhands::justify_self::computed_value::T {
        self.get_position()
            .clone_justify_self()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_line_break(
        &self,
    ) -> longhands::line_break::computed_value::T {
        self.get_inherited_text()
            .clone_line_break()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_list_style_position(
        &self,
    ) -> longhands::list_style_position::computed_value::T {
        self.get_list()
            .clone_list_style_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_type(
        &self,
    ) -> longhands::mask_type::computed_value::T {
        self.get_svg()
            .clone_mask_type()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_masonry_auto_flow(
        &self,
    ) -> longhands::masonry_auto_flow::computed_value::T {
        self.get_position()
            .clone_masonry_auto_flow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_math_depth(
        &self,
    ) -> longhands::math_depth::computed_value::T {
        self.get_font()
            .clone_math_depth()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_math_style(
        &self,
    ) -> longhands::math_style::computed_value::T {
        self.get_font()
            .clone_math_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mix_blend_mode(
        &self,
    ) -> longhands::mix_blend_mode::computed_value::T {
        self.get_effects()
            .clone_mix_blend_mode()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_align(
        &self,
    ) -> longhands::_moz_box_align::computed_value::T {
        self.get_xul()
            .clone__moz_box_align()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_collapse(
        &self,
    ) -> longhands::_moz_box_collapse::computed_value::T {
        self.get_inherited_box()
            .clone__moz_box_collapse()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_direction(
        &self,
    ) -> longhands::_moz_box_direction::computed_value::T {
        self.get_xul()
            .clone__moz_box_direction()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_orient(
        &self,
    ) -> longhands::_moz_box_orient::computed_value::T {
        self.get_xul()
            .clone__moz_box_orient()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_pack(
        &self,
    ) -> longhands::_moz_box_pack::computed_value::T {
        self.get_xul()
            .clone__moz_box_pack()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_control_character_visibility(
        &self,
    ) -> longhands::_moz_control_character_visibility::computed_value::T {
        self.get_inherited_text()
            .clone__moz_control_character_visibility()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_float_edge(
        &self,
    ) -> longhands::_moz_float_edge::computed_value::T {
        self.get_border()
            .clone__moz_float_edge()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_inert(
        &self,
    ) -> longhands::_moz_inert::computed_value::T {
        self.get_inherited_ui()
            .clone__moz_inert()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_math_variant(
        &self,
    ) -> longhands::_moz_math_variant::computed_value::T {
        self.get_font()
            .clone__moz_math_variant()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_min_font_size_ratio(
        &self,
    ) -> longhands::_moz_min_font_size_ratio::computed_value::T {
        self.get_font()
            .clone__moz_min_font_size_ratio()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_orient(
        &self,
    ) -> longhands::_moz_orient::computed_value::T {
        self.get_box()
            .clone__moz_orient()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_osx_font_smoothing(
        &self,
    ) -> longhands::_moz_osx_font_smoothing::computed_value::T {
        self.get_font()
            .clone__moz_osx_font_smoothing()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_script_min_size(
        &self,
    ) -> longhands::_moz_script_min_size::computed_value::T {
        self.get_font()
            .clone__moz_script_min_size()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_script_size_multiplier(
        &self,
    ) -> longhands::_moz_script_size_multiplier::computed_value::T {
        self.get_font()
            .clone__moz_script_size_multiplier()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_text_size_adjust(
        &self,
    ) -> longhands::_moz_text_size_adjust::computed_value::T {
        self.get_inherited_text()
            .clone__moz_text_size_adjust()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_top_layer(
        &self,
    ) -> longhands::_moz_top_layer::computed_value::T {
        self.get_box()
            .clone__moz_top_layer()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_user_focus(
        &self,
    ) -> longhands::_moz_user_focus::computed_value::T {
        self.get_inherited_ui()
            .clone__moz_user_focus()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_user_input(
        &self,
    ) -> longhands::_moz_user_input::computed_value::T {
        self.get_inherited_ui()
            .clone__moz_user_input()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_user_modify(
        &self,
    ) -> longhands::_moz_user_modify::computed_value::T {
        self.get_inherited_ui()
            .clone__moz_user_modify()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_window_dragging(
        &self,
    ) -> longhands::_moz_window_dragging::computed_value::T {
        self.get_ui()
            .clone__moz_window_dragging()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_window_shadow(
        &self,
    ) -> longhands::_moz_window_shadow::computed_value::T {
        self.get_ui()
            .clone__moz_window_shadow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_object_fit(
        &self,
    ) -> longhands::object_fit::computed_value::T {
        self.get_position()
            .clone_object_fit()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_offset_rotate(
        &self,
    ) -> longhands::offset_rotate::computed_value::T {
        self.get_box()
            .clone_offset_rotate()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_outline_style(
        &self,
    ) -> longhands::outline_style::computed_value::T {
        self.get_outline()
            .clone_outline_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_anchor(
        &self,
    ) -> longhands::overflow_anchor::computed_value::T {
        self.get_box()
            .clone_overflow_anchor()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_wrap(
        &self,
    ) -> longhands::overflow_wrap::computed_value::T {
        self.get_inherited_text()
            .clone_overflow_wrap()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_page_orientation(
        &self,
    ) -> longhands::page_orientation::computed_value::T {
        self.get_page()
            .clone_page_orientation()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_paint_order(
        &self,
    ) -> longhands::paint_order::computed_value::T {
        self.get_inherited_svg()
            .clone_paint_order()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_pointer_events(
        &self,
    ) -> longhands::pointer_events::computed_value::T {
        self.get_inherited_ui()
            .clone_pointer_events()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_position(
        &self,
    ) -> longhands::position::computed_value::T {
        self.get_box()
            .clone_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_print_color_adjust(
        &self,
    ) -> longhands::print_color_adjust::computed_value::T {
        self.get_inherited_box()
            .clone_print_color_adjust()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_resize(
        &self,
    ) -> longhands::resize::computed_value::T {
        self.get_box()
            .clone_resize()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_ruby_align(
        &self,
    ) -> longhands::ruby_align::computed_value::T {
        self.get_inherited_text()
            .clone_ruby_align()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_ruby_position(
        &self,
    ) -> longhands::ruby_position::computed_value::T {
        self.get_inherited_text()
            .clone_ruby_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_behavior(
        &self,
    ) -> longhands::scroll_behavior::computed_value::T {
        self.get_box()
            .clone_scroll_behavior()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_snap_align(
        &self,
    ) -> longhands::scroll_snap_align::computed_value::T {
        self.get_box()
            .clone_scroll_snap_align()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_snap_stop(
        &self,
    ) -> longhands::scroll_snap_stop::computed_value::T {
        self.get_box()
            .clone_scroll_snap_stop()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_snap_type(
        &self,
    ) -> longhands::scroll_snap_type::computed_value::T {
        self.get_box()
            .clone_scroll_snap_type()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scrollbar_gutter(
        &self,
    ) -> longhands::scrollbar_gutter::computed_value::T {
        self.get_box()
            .clone_scrollbar_gutter()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scrollbar_width(
        &self,
    ) -> longhands::scrollbar_width::computed_value::T {
        self.get_ui()
            .clone_scrollbar_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_shape_rendering(
        &self,
    ) -> longhands::shape_rendering::computed_value::T {
        self.get_inherited_svg()
            .clone_shape_rendering()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_linecap(
        &self,
    ) -> longhands::stroke_linecap::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_linecap()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_linejoin(
        &self,
    ) -> longhands::stroke_linejoin::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_linejoin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_table_layout(
        &self,
    ) -> longhands::table_layout::computed_value::T {
        self.get_table()
            .clone_table_layout()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_align(
        &self,
    ) -> longhands::text_align::computed_value::T {
        self.get_inherited_text()
            .clone_text_align()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_align_last(
        &self,
    ) -> longhands::text_align_last::computed_value::T {
        self.get_inherited_text()
            .clone_text_align_last()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_anchor(
        &self,
    ) -> longhands::text_anchor::computed_value::T {
        self.get_inherited_svg()
            .clone_text_anchor()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_combine_upright(
        &self,
    ) -> longhands::text_combine_upright::computed_value::T {
        self.get_inherited_text()
            .clone_text_combine_upright()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_decoration_line(
        &self,
    ) -> longhands::text_decoration_line::computed_value::T {
        self.get_text()
            .clone_text_decoration_line()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_decoration_skip_ink(
        &self,
    ) -> longhands::text_decoration_skip_ink::computed_value::T {
        self.get_inherited_text()
            .clone_text_decoration_skip_ink()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_decoration_style(
        &self,
    ) -> longhands::text_decoration_style::computed_value::T {
        self.get_text()
            .clone_text_decoration_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_emphasis_position(
        &self,
    ) -> longhands::text_emphasis_position::computed_value::T {
        self.get_inherited_text()
            .clone_text_emphasis_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_justify(
        &self,
    ) -> longhands::text_justify::computed_value::T {
        self.get_inherited_text()
            .clone_text_justify()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_orientation(
        &self,
    ) -> longhands::text_orientation::computed_value::T {
        self.get_inherited_box()
            .clone_text_orientation()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_rendering(
        &self,
    ) -> longhands::text_rendering::computed_value::T {
        self.get_inherited_text()
            .clone_text_rendering()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_transform(
        &self,
    ) -> longhands::text_transform::computed_value::T {
        self.get_inherited_text()
            .clone_text_transform()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_underline_position(
        &self,
    ) -> longhands::text_underline_position::computed_value::T {
        self.get_inherited_text()
            .clone_text_underline_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_touch_action(
        &self,
    ) -> longhands::touch_action::computed_value::T {
        self.get_box()
            .clone_touch_action()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transform_box(
        &self,
    ) -> longhands::transform_box::computed_value::T {
        self.get_box()
            .clone_transform_box()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transform_style(
        &self,
    ) -> longhands::transform_style::computed_value::T {
        self.get_box()
            .clone_transform_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_unicode_bidi(
        &self,
    ) -> longhands::unicode_bidi::computed_value::T {
        self.get_text()
            .clone_unicode_bidi()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_user_select(
        &self,
    ) -> longhands::user_select::computed_value::T {
        self.get_ui()
            .clone_user_select()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_vector_effect(
        &self,
    ) -> longhands::vector_effect::computed_value::T {
        self.get_svg()
            .clone_vector_effect()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_visibility(
        &self,
    ) -> longhands::visibility::computed_value::T {
        self.get_inherited_box()
            .clone_visibility()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__webkit_line_clamp(
        &self,
    ) -> longhands::_webkit_line_clamp::computed_value::T {
        self.get_box()
            .clone__webkit_line_clamp()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__webkit_text_security(
        &self,
    ) -> longhands::_webkit_text_security::computed_value::T {
        self.get_inherited_text()
            .clone__webkit_text_security()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_white_space(
        &self,
    ) -> longhands::white_space::computed_value::T {
        self.get_inherited_text()
            .clone_white_space()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_word_break(
        &self,
    ) -> longhands::word_break::computed_value::T {
        self.get_inherited_text()
            .clone_word_break()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_writing_mode(
        &self,
    ) -> longhands::writing_mode::computed_value::T {
        self.get_inherited_box()
            .clone_writing_mode()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__x_text_scale(
        &self,
    ) -> longhands::_x_text_scale::computed_value::T {
        self.get_font()
            .clone__x_text_scale()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_z_index(
        &self,
    ) -> longhands::z_index::computed_value::T {
        self.get_position()
            .clone_z_index()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_appearance(
        &self,
    ) -> longhands::appearance::computed_value::T {
        self.get_box()
            .clone_appearance()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_default_appearance(
        &self,
    ) -> longhands::_moz_default_appearance::computed_value::T {
        self.get_box()
            .clone__moz_default_appearance()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_force_broken_image_icon(
        &self,
    ) -> longhands::_moz_force_broken_image_icon::computed_value::T {
        self.get_ui()
            .clone__moz_force_broken_image_icon()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_subtree_hidden_only_visually(
        &self,
    ) -> longhands::_moz_subtree_hidden_only_visually::computed_value::T {
        self.get_ui()
            .clone__moz_subtree_hidden_only_visually()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_break_after(
        &self,
    ) -> longhands::break_after::computed_value::T {
        self.get_box()
            .clone_break_after()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_break_before(
        &self,
    ) -> longhands::break_before::computed_value::T {
        self.get_box()
            .clone_break_before()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_clip_rule(
        &self,
    ) -> longhands::clip_rule::computed_value::T {
        self.get_inherited_svg()
            .clone_clip_rule()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_fill_rule(
        &self,
    ) -> longhands::fill_rule::computed_value::T {
        self.get_inherited_svg()
            .clone_fill_rule()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_clip_box_block(
        &self,
    ) -> longhands::overflow_clip_box_block::computed_value::T {
        self.get_box()
            .clone_overflow_clip_box_block()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_clip_box_inline(
        &self,
    ) -> longhands::overflow_clip_box_inline::computed_value::T {
        self.get_box()
            .clone_overflow_clip_box_inline()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_fill_opacity(
        &self,
    ) -> longhands::fill_opacity::computed_value::T {
        self.get_inherited_svg()
            .clone_fill_opacity()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_opacity(
        &self,
    ) -> longhands::stroke_opacity::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_opacity()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_synthesis_small_caps(
        &self,
    ) -> longhands::font_synthesis_small_caps::computed_value::T {
        self.get_font()
            .clone_font_synthesis_small_caps()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_synthesis_style(
        &self,
    ) -> longhands::font_synthesis_style::computed_value::T {
        self.get_font()
            .clone_font_synthesis_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_synthesis_weight(
        &self,
    ) -> longhands::font_synthesis_weight::computed_value::T {
        self.get_font()
            .clone_font_synthesis_weight()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_ordinal_group(
        &self,
    ) -> longhands::_moz_box_ordinal_group::computed_value::T {
        self.get_xul()
            .clone__moz_box_ordinal_group()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_order(
        &self,
    ) -> longhands::order::computed_value::T {
        self.get_position()
            .clone_order()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__x_span(
        &self,
    ) -> longhands::_x_span::computed_value::T {
        self.get_table()
            .clone__x_span()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flex_grow(
        &self,
    ) -> longhands::flex_grow::computed_value::T {
        self.get_position()
            .clone_flex_grow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flex_shrink(
        &self,
    ) -> longhands::flex_shrink::computed_value::T {
        self.get_position()
            .clone_flex_shrink()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_box_flex(
        &self,
    ) -> longhands::_moz_box_flex::computed_value::T {
        self.get_xul()
            .clone__moz_box_flex()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_miterlimit(
        &self,
    ) -> longhands::stroke_miterlimit::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_miterlimit()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_block(
        &self,
    ) -> longhands::overflow_block::computed_value::T {
        self.get_box()
            .clone_overflow_block(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_inline(
        &self,
    ) -> longhands::overflow_inline::computed_value::T {
        self.get_box()
            .clone_overflow_inline(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_x(
        &self,
    ) -> longhands::overflow_x::computed_value::T {
        self.get_box()
            .clone_overflow_x()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_y(
        &self,
    ) -> longhands::overflow_y::computed_value::T {
        self.get_box()
            .clone_overflow_y()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overscroll_behavior_block(
        &self,
    ) -> longhands::overscroll_behavior_block::computed_value::T {
        self.get_box()
            .clone_overscroll_behavior_block(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overscroll_behavior_inline(
        &self,
    ) -> longhands::overscroll_behavior_inline::computed_value::T {
        self.get_box()
            .clone_overscroll_behavior_inline(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overscroll_behavior_x(
        &self,
    ) -> longhands::overscroll_behavior_x::computed_value::T {
        self.get_box()
            .clone_overscroll_behavior_x()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overscroll_behavior_y(
        &self,
    ) -> longhands::overscroll_behavior_y::computed_value::T {
        self.get_box()
            .clone_overscroll_behavior_y()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flood_opacity(
        &self,
    ) -> longhands::flood_opacity::computed_value::T {
        self.get_svg()
            .clone_flood_opacity()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_window_opacity(
        &self,
    ) -> longhands::_moz_window_opacity::computed_value::T {
        self.get_ui()
            .clone__moz_window_opacity()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_opacity(
        &self,
    ) -> longhands::opacity::computed_value::T {
        self.get_effects()
            .clone_opacity()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_shape_image_threshold(
        &self,
    ) -> longhands::shape_image_threshold::computed_value::T {
        self.get_box()
            .clone_shape_image_threshold()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stop_opacity(
        &self,
    ) -> longhands::stop_opacity::computed_value::T {
        self.get_svg()
            .clone_stop_opacity()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_block_end_style(
        &self,
    ) -> longhands::border_block_end_style::computed_value::T {
        self.get_border()
            .clone_border_block_end_style(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_block_start_style(
        &self,
    ) -> longhands::border_block_start_style::computed_value::T {
        self.get_border()
            .clone_border_block_start_style(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_bottom_style(
        &self,
    ) -> longhands::border_bottom_style::computed_value::T {
        self.get_border()
            .clone_border_bottom_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_inline_end_style(
        &self,
    ) -> longhands::border_inline_end_style::computed_value::T {
        self.get_border()
            .clone_border_inline_end_style(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_inline_start_style(
        &self,
    ) -> longhands::border_inline_start_style::computed_value::T {
        self.get_border()
            .clone_border_inline_start_style(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_left_style(
        &self,
    ) -> longhands::border_left_style::computed_value::T {
        self.get_border()
            .clone_border_left_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_right_style(
        &self,
    ) -> longhands::border_right_style::computed_value::T {
        self.get_border()
            .clone_border_right_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_top_style(
        &self,
    ) -> longhands::border_top_style::computed_value::T {
        self.get_border()
            .clone_border_top_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_rule_style(
        &self,
    ) -> longhands::column_rule_style::computed_value::T {
        self.get_column()
            .clone_column_rule_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_accent_color(
        &self,
    ) -> longhands::accent_color::computed_value::T {
        self.get_inherited_ui()
            .clone_accent_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_align_tracks(
        &self,
    ) -> longhands::align_tracks::computed_value::T {
        self.get_position()
            .clone_align_tracks()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_composition(
        &self,
    ) -> longhands::animation_composition::computed_value::T {
        self.get_ui()
            .clone_animation_composition()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_delay(
        &self,
    ) -> longhands::animation_delay::computed_value::T {
        self.get_ui()
            .clone_animation_delay()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_direction(
        &self,
    ) -> longhands::animation_direction::computed_value::T {
        self.get_ui()
            .clone_animation_direction()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_duration(
        &self,
    ) -> longhands::animation_duration::computed_value::T {
        self.get_ui()
            .clone_animation_duration()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_fill_mode(
        &self,
    ) -> longhands::animation_fill_mode::computed_value::T {
        self.get_ui()
            .clone_animation_fill_mode()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_iteration_count(
        &self,
    ) -> longhands::animation_iteration_count::computed_value::T {
        self.get_ui()
            .clone_animation_iteration_count()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_name(
        &self,
    ) -> longhands::animation_name::computed_value::T {
        self.get_ui()
            .clone_animation_name()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_play_state(
        &self,
    ) -> longhands::animation_play_state::computed_value::T {
        self.get_ui()
            .clone_animation_play_state()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_timeline(
        &self,
    ) -> longhands::animation_timeline::computed_value::T {
        self.get_ui()
            .clone_animation_timeline()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_animation_timing_function(
        &self,
    ) -> longhands::animation_timing_function::computed_value::T {
        self.get_ui()
            .clone_animation_timing_function()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_backdrop_filter(
        &self,
    ) -> longhands::backdrop_filter::computed_value::T {
        self.get_effects()
            .clone_backdrop_filter()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_attachment(
        &self,
    ) -> longhands::background_attachment::computed_value::T {
        self.get_background()
            .clone_background_attachment()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_blend_mode(
        &self,
    ) -> longhands::background_blend_mode::computed_value::T {
        self.get_background()
            .clone_background_blend_mode()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_clip(
        &self,
    ) -> longhands::background_clip::computed_value::T {
        self.get_background()
            .clone_background_clip()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_image(
        &self,
    ) -> longhands::background_image::computed_value::T {
        self.get_background()
            .clone_background_image()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_origin(
        &self,
    ) -> longhands::background_origin::computed_value::T {
        self.get_background()
            .clone_background_origin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_position_x(
        &self,
    ) -> longhands::background_position_x::computed_value::T {
        self.get_background()
            .clone_background_position_x()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_position_y(
        &self,
    ) -> longhands::background_position_y::computed_value::T {
        self.get_background()
            .clone_background_position_y()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_repeat(
        &self,
    ) -> longhands::background_repeat::computed_value::T {
        self.get_background()
            .clone_background_repeat()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_size(
        &self,
    ) -> longhands::background_size::computed_value::T {
        self.get_background()
            .clone_background_size()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_image_outset(
        &self,
    ) -> longhands::border_image_outset::computed_value::T {
        self.get_border()
            .clone_border_image_outset()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_image_slice(
        &self,
    ) -> longhands::border_image_slice::computed_value::T {
        self.get_border()
            .clone_border_image_slice()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_image_width(
        &self,
    ) -> longhands::border_image_width::computed_value::T {
        self.get_border()
            .clone_border_image_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_spacing(
        &self,
    ) -> longhands::border_spacing::computed_value::T {
        self.get_inherited_table()
            .clone_border_spacing()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_box_shadow(
        &self,
    ) -> longhands::box_shadow::computed_value::T {
        self.get_effects()
            .clone_box_shadow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_caret_color(
        &self,
    ) -> longhands::caret_color::computed_value::T {
        self.get_inherited_ui()
            .clone_caret_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_clip(
        &self,
    ) -> longhands::clip::computed_value::T {
        self.get_effects()
            .clone_clip()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_clip_path(
        &self,
    ) -> longhands::clip_path::computed_value::T {
        self.get_svg()
            .clone_clip_path()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_color(
        &self,
    ) -> longhands::color::computed_value::T {
        self.get_inherited_text()
            .clone_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_color_scheme(
        &self,
    ) -> longhands::color_scheme::computed_value::T {
        self.get_inherited_ui()
            .clone_color_scheme()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_width(
        &self,
    ) -> longhands::column_width::computed_value::T {
        self.get_column()
            .clone_column_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_container_name(
        &self,
    ) -> longhands::container_name::computed_value::T {
        self.get_box()
            .clone_container_name()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_content(
        &self,
    ) -> longhands::content::computed_value::T {
        self.get_counters()
            .clone_content()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_counter_increment(
        &self,
    ) -> longhands::counter_increment::computed_value::T {
        self.get_counters()
            .clone_counter_increment()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_counter_reset(
        &self,
    ) -> longhands::counter_reset::computed_value::T {
        self.get_counters()
            .clone_counter_reset()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_counter_set(
        &self,
    ) -> longhands::counter_set::computed_value::T {
        self.get_counters()
            .clone_counter_set()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_cursor(
        &self,
    ) -> longhands::cursor::computed_value::T {
        self.get_inherited_ui()
            .clone_cursor()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_d(
        &self,
    ) -> longhands::d::computed_value::T {
        self.get_svg()
            .clone_d()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_filter(
        &self,
    ) -> longhands::filter::computed_value::T {
        self.get_effects()
            .clone_filter()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flex_basis(
        &self,
    ) -> longhands::flex_basis::computed_value::T {
        self.get_position()
            .clone_flex_basis()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_family(
        &self,
    ) -> longhands::font_family::computed_value::T {
        self.get_font()
            .clone_font_family()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_feature_settings(
        &self,
    ) -> longhands::font_feature_settings::computed_value::T {
        self.get_font()
            .clone_font_feature_settings()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_palette(
        &self,
    ) -> longhands::font_palette::computed_value::T {
        self.get_font()
            .clone_font_palette()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_size(
        &self,
    ) -> longhands::font_size::computed_value::T {
        self.get_font()
            .clone_font_size()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variant_alternates(
        &self,
    ) -> longhands::font_variant_alternates::computed_value::T {
        self.get_font()
            .clone_font_variant_alternates()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_font_variation_settings(
        &self,
    ) -> longhands::font_variation_settings::computed_value::T {
        self.get_font()
            .clone_font_variation_settings()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_template_areas(
        &self,
    ) -> longhands::grid_template_areas::computed_value::T {
        self.get_position()
            .clone_grid_template_areas()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_hyphenate_character(
        &self,
    ) -> longhands::hyphenate_character::computed_value::T {
        self.get_inherited_text()
            .clone_hyphenate_character()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_justify_tracks(
        &self,
    ) -> longhands::justify_tracks::computed_value::T {
        self.get_position()
            .clone_justify_tracks()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_letter_spacing(
        &self,
    ) -> longhands::letter_spacing::computed_value::T {
        self.get_inherited_text()
            .clone_letter_spacing()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_line_height(
        &self,
    ) -> longhands::line_height::computed_value::T {
        self.get_inherited_text()
            .clone_line_height()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_list_style_type(
        &self,
    ) -> longhands::list_style_type::computed_value::T {
        self.get_list()
            .clone_list_style_type()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_clip(
        &self,
    ) -> longhands::mask_clip::computed_value::T {
        self.get_svg()
            .clone_mask_clip()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_composite(
        &self,
    ) -> longhands::mask_composite::computed_value::T {
        self.get_svg()
            .clone_mask_composite()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_image(
        &self,
    ) -> longhands::mask_image::computed_value::T {
        self.get_svg()
            .clone_mask_image()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_mode(
        &self,
    ) -> longhands::mask_mode::computed_value::T {
        self.get_svg()
            .clone_mask_mode()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_origin(
        &self,
    ) -> longhands::mask_origin::computed_value::T {
        self.get_svg()
            .clone_mask_origin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_position_x(
        &self,
    ) -> longhands::mask_position_x::computed_value::T {
        self.get_svg()
            .clone_mask_position_x()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_position_y(
        &self,
    ) -> longhands::mask_position_y::computed_value::T {
        self.get_svg()
            .clone_mask_position_y()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_repeat(
        &self,
    ) -> longhands::mask_repeat::computed_value::T {
        self.get_svg()
            .clone_mask_repeat()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_mask_size(
        &self,
    ) -> longhands::mask_size::computed_value::T {
        self.get_svg()
            .clone_mask_size()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_context_properties(
        &self,
    ) -> longhands::_moz_context_properties::computed_value::T {
        self.get_inherited_svg()
            .clone__moz_context_properties()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_font_smoothing_background_color(
        &self,
    ) -> longhands::_moz_font_smoothing_background_color::computed_value::T {
        self.get_font()
            .clone__moz_font_smoothing_background_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_offset_anchor(
        &self,
    ) -> longhands::offset_anchor::computed_value::T {
        self.get_box()
            .clone_offset_anchor()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_offset_path(
        &self,
    ) -> longhands::offset_path::computed_value::T {
        self.get_box()
            .clone_offset_path()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_offset_position(
        &self,
    ) -> longhands::offset_position::computed_value::T {
        self.get_box()
            .clone_offset_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_page(
        &self,
    ) -> longhands::page::computed_value::T {
        self.get_page()
            .clone_page()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_perspective(
        &self,
    ) -> longhands::perspective::computed_value::T {
        self.get_box()
            .clone_perspective()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_quotes(
        &self,
    ) -> longhands::quotes::computed_value::T {
        self.get_list()
            .clone_quotes()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_rotate(
        &self,
    ) -> longhands::rotate::computed_value::T {
        self.get_box()
            .clone_rotate()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scale(
        &self,
    ) -> longhands::scale::computed_value::T {
        self.get_box()
            .clone_scale()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_timeline_axis(
        &self,
    ) -> longhands::scroll_timeline_axis::computed_value::T {
        self.get_ui()
            .clone_scroll_timeline_axis()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_timeline_name(
        &self,
    ) -> longhands::scroll_timeline_name::computed_value::T {
        self.get_ui()
            .clone_scroll_timeline_name()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scrollbar_color(
        &self,
    ) -> longhands::scrollbar_color::computed_value::T {
        self.get_inherited_ui()
            .clone_scrollbar_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_shape_outside(
        &self,
    ) -> longhands::shape_outside::computed_value::T {
        self.get_box()
            .clone_shape_outside()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_size(
        &self,
    ) -> longhands::size::computed_value::T {
        self.get_page()
            .clone_size()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_dasharray(
        &self,
    ) -> longhands::stroke_dasharray::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_dasharray()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_dashoffset(
        &self,
    ) -> longhands::stroke_dashoffset::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_dashoffset()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke_width(
        &self,
    ) -> longhands::stroke_width::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_tab_size(
        &self,
    ) -> longhands::tab_size::computed_value::T {
        self.get_inherited_text()
            .clone_tab_size()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_decoration_thickness(
        &self,
    ) -> longhands::text_decoration_thickness::computed_value::T {
        self.get_text()
            .clone_text_decoration_thickness()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_emphasis_style(
        &self,
    ) -> longhands::text_emphasis_style::computed_value::T {
        self.get_inherited_text()
            .clone_text_emphasis_style()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_overflow(
        &self,
    ) -> longhands::text_overflow::computed_value::T {
        self.get_text()
            .clone_text_overflow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_shadow(
        &self,
    ) -> longhands::text_shadow::computed_value::T {
        self.get_inherited_text()
            .clone_text_shadow()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transition_delay(
        &self,
    ) -> longhands::transition_delay::computed_value::T {
        self.get_ui()
            .clone_transition_delay()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transition_duration(
        &self,
    ) -> longhands::transition_duration::computed_value::T {
        self.get_ui()
            .clone_transition_duration()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transition_property(
        &self,
    ) -> longhands::transition_property::computed_value::T {
        self.get_ui()
            .clone_transition_property()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transition_timing_function(
        &self,
    ) -> longhands::transition_timing_function::computed_value::T {
        self.get_ui()
            .clone_transition_timing_function()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_translate(
        &self,
    ) -> longhands::translate::computed_value::T {
        self.get_box()
            .clone_translate()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_vertical_align(
        &self,
    ) -> longhands::vertical_align::computed_value::T {
        self.get_box()
            .clone_vertical_align()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_view_timeline_axis(
        &self,
    ) -> longhands::view_timeline_axis::computed_value::T {
        self.get_ui()
            .clone_view_timeline_axis()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_view_timeline_inset(
        &self,
    ) -> longhands::view_timeline_inset::computed_value::T {
        self.get_ui()
            .clone_view_timeline_inset()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_view_timeline_name(
        &self,
    ) -> longhands::view_timeline_name::computed_value::T {
        self.get_ui()
            .clone_view_timeline_name()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__webkit_text_stroke_width(
        &self,
    ) -> longhands::_webkit_text_stroke_width::computed_value::T {
        self.get_inherited_text()
            .clone__webkit_text_stroke_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_will_change(
        &self,
    ) -> longhands::will_change::computed_value::T {
        self.get_box()
            .clone_will_change()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_word_spacing(
        &self,
    ) -> longhands::word_spacing::computed_value::T {
        self.get_inherited_text()
            .clone_word_spacing()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__x_lang(
        &self,
    ) -> longhands::_x_lang::computed_value::T {
        self.get_font()
            .clone__x_lang()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_object_position(
        &self,
    ) -> longhands::object_position::computed_value::T {
        self.get_position()
            .clone_object_position()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_perspective_origin(
        &self,
    ) -> longhands::perspective_origin::computed_value::T {
        self.get_box()
            .clone_perspective_origin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_fill(
        &self,
    ) -> longhands::fill::computed_value::T {
        self.get_inherited_svg()
            .clone_fill()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stroke(
        &self,
    ) -> longhands::stroke::computed_value::T {
        self.get_inherited_svg()
            .clone_stroke()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_window_transform_origin(
        &self,
    ) -> longhands::_moz_window_transform_origin::computed_value::T {
        self.get_ui()
            .clone__moz_window_transform_origin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transform_origin(
        &self,
    ) -> longhands::transform_origin::computed_value::T {
        self.get_box()
            .clone_transform_origin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_template_columns(
        &self,
    ) -> longhands::grid_template_columns::computed_value::T {
        self.get_position()
            .clone_grid_template_columns()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_template_rows(
        &self,
    ) -> longhands::grid_template_rows::computed_value::T {
        self.get_position()
            .clone_grid_template_rows()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_image_source(
        &self,
    ) -> longhands::border_image_source::computed_value::T {
        self.get_border()
            .clone_border_image_source()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_list_style_image(
        &self,
    ) -> longhands::list_style_image::computed_value::T {
        self.get_list()
            .clone_list_style_image()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_auto_columns(
        &self,
    ) -> longhands::grid_auto_columns::computed_value::T {
        self.get_position()
            .clone_grid_auto_columns()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_auto_rows(
        &self,
    ) -> longhands::grid_auto_rows::computed_value::T {
        self.get_position()
            .clone_grid_auto_rows()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_window_transform(
        &self,
    ) -> longhands::_moz_window_transform::computed_value::T {
        self.get_ui()
            .clone__moz_window_transform()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_transform(
        &self,
    ) -> longhands::transform::computed_value::T {
        self.get_box()
            .clone_transform()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_gap(
        &self,
    ) -> longhands::column_gap::computed_value::T {
        self.get_position()
            .clone_column_gap()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_row_gap(
        &self,
    ) -> longhands::row_gap::computed_value::T {
        self.get_position()
            .clone_row_gap()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_marker_end(
        &self,
    ) -> longhands::marker_end::computed_value::T {
        self.get_inherited_svg()
            .clone_marker_end()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_marker_mid(
        &self,
    ) -> longhands::marker_mid::computed_value::T {
        self.get_inherited_svg()
            .clone_marker_mid()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_marker_start(
        &self,
    ) -> longhands::marker_start::computed_value::T {
        self.get_inherited_svg()
            .clone_marker_start()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_contain_intrinsic_block_size(
        &self,
    ) -> longhands::contain_intrinsic_block_size::computed_value::T {
        self.get_position()
            .clone_contain_intrinsic_block_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_contain_intrinsic_height(
        &self,
    ) -> longhands::contain_intrinsic_height::computed_value::T {
        self.get_position()
            .clone_contain_intrinsic_height()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_contain_intrinsic_inline_size(
        &self,
    ) -> longhands::contain_intrinsic_inline_size::computed_value::T {
        self.get_position()
            .clone_contain_intrinsic_inline_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_contain_intrinsic_width(
        &self,
    ) -> longhands::contain_intrinsic_width::computed_value::T {
        self.get_position()
            .clone_contain_intrinsic_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_column_end(
        &self,
    ) -> longhands::grid_column_end::computed_value::T {
        self.get_position()
            .clone_grid_column_end()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_column_start(
        &self,
    ) -> longhands::grid_column_start::computed_value::T {
        self.get_position()
            .clone_grid_column_start()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_row_end(
        &self,
    ) -> longhands::grid_row_end::computed_value::T {
        self.get_position()
            .clone_grid_row_end()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_grid_row_start(
        &self,
    ) -> longhands::grid_row_start::computed_value::T {
        self.get_position()
            .clone_grid_row_start()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_max_block_size(
        &self,
    ) -> longhands::max_block_size::computed_value::T {
        self.get_position()
            .clone_max_block_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_max_height(
        &self,
    ) -> longhands::max_height::computed_value::T {
        self.get_position()
            .clone_max_height()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_max_inline_size(
        &self,
    ) -> longhands::max_inline_size::computed_value::T {
        self.get_position()
            .clone_max_inline_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_max_width(
        &self,
    ) -> longhands::max_width::computed_value::T {
        self.get_position()
            .clone_max_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_cx(
        &self,
    ) -> longhands::cx::computed_value::T {
        self.get_svg()
            .clone_cx()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_cy(
        &self,
    ) -> longhands::cy::computed_value::T {
        self.get_svg()
            .clone_cy()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_offset_distance(
        &self,
    ) -> longhands::offset_distance::computed_value::T {
        self.get_box()
            .clone_offset_distance()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_indent(
        &self,
    ) -> longhands::text_indent::computed_value::T {
        self.get_inherited_text()
            .clone_text_indent()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_x(
        &self,
    ) -> longhands::x::computed_value::T {
        self.get_svg()
            .clone_x()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_y(
        &self,
    ) -> longhands::y::computed_value::T {
        self.get_svg()
            .clone_y()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_bottom_left_radius(
        &self,
    ) -> longhands::border_bottom_left_radius::computed_value::T {
        self.get_border()
            .clone_border_bottom_left_radius()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_bottom_right_radius(
        &self,
    ) -> longhands::border_bottom_right_radius::computed_value::T {
        self.get_border()
            .clone_border_bottom_right_radius()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_end_end_radius(
        &self,
    ) -> longhands::border_end_end_radius::computed_value::T {
        self.get_border()
            .clone_border_end_end_radius(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_end_start_radius(
        &self,
    ) -> longhands::border_end_start_radius::computed_value::T {
        self.get_border()
            .clone_border_end_start_radius(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_start_end_radius(
        &self,
    ) -> longhands::border_start_end_radius::computed_value::T {
        self.get_border()
            .clone_border_start_end_radius(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_start_start_radius(
        &self,
    ) -> longhands::border_start_start_radius::computed_value::T {
        self.get_border()
            .clone_border_start_start_radius(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_top_left_radius(
        &self,
    ) -> longhands::border_top_left_radius::computed_value::T {
        self.get_border()
            .clone_border_top_left_radius()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_top_right_radius(
        &self,
    ) -> longhands::border_top_right_radius::computed_value::T {
        self.get_border()
            .clone_border_top_right_radius()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_block_size(
        &self,
    ) -> longhands::block_size::computed_value::T {
        self.get_position()
            .clone_block_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_height(
        &self,
    ) -> longhands::height::computed_value::T {
        self.get_position()
            .clone_height()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_inline_size(
        &self,
    ) -> longhands::inline_size::computed_value::T {
        self.get_position()
            .clone_inline_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_min_block_size(
        &self,
    ) -> longhands::min_block_size::computed_value::T {
        self.get_position()
            .clone_min_block_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_min_height(
        &self,
    ) -> longhands::min_height::computed_value::T {
        self.get_position()
            .clone_min_height()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_min_inline_size(
        &self,
    ) -> longhands::min_inline_size::computed_value::T {
        self.get_position()
            .clone_min_inline_size(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_min_width(
        &self,
    ) -> longhands::min_width::computed_value::T {
        self.get_position()
            .clone_min_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_width(
        &self,
    ) -> longhands::width::computed_value::T {
        self.get_position()
            .clone_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_block_end_width(
        &self,
    ) -> longhands::border_block_end_width::computed_value::T {
        self.get_border()
            .clone_border_block_end_width(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_block_start_width(
        &self,
    ) -> longhands::border_block_start_width::computed_value::T {
        self.get_border()
            .clone_border_block_start_width(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_bottom_width(
        &self,
    ) -> longhands::border_bottom_width::computed_value::T {
        self.get_border()
            .clone_border_bottom_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_inline_end_width(
        &self,
    ) -> longhands::border_inline_end_width::computed_value::T {
        self.get_border()
            .clone_border_inline_end_width(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_inline_start_width(
        &self,
    ) -> longhands::border_inline_start_width::computed_value::T {
        self.get_border()
            .clone_border_inline_start_width(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_left_width(
        &self,
    ) -> longhands::border_left_width::computed_value::T {
        self.get_border()
            .clone_border_left_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_right_width(
        &self,
    ) -> longhands::border_right_width::computed_value::T {
        self.get_border()
            .clone_border_right_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_top_width(
        &self,
    ) -> longhands::border_top_width::computed_value::T {
        self.get_border()
            .clone_border_top_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_rule_width(
        &self,
    ) -> longhands::column_rule_width::computed_value::T {
        self.get_column()
            .clone_column_rule_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_outline_width(
        &self,
    ) -> longhands::outline_width::computed_value::T {
        self.get_outline()
            .clone_outline_width()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_block_end(
        &self,
    ) -> longhands::padding_block_end::computed_value::T {
        self.get_padding()
            .clone_padding_block_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_block_start(
        &self,
    ) -> longhands::padding_block_start::computed_value::T {
        self.get_padding()
            .clone_padding_block_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_bottom(
        &self,
    ) -> longhands::padding_bottom::computed_value::T {
        self.get_padding()
            .clone_padding_bottom()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_inline_end(
        &self,
    ) -> longhands::padding_inline_end::computed_value::T {
        self.get_padding()
            .clone_padding_inline_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_inline_start(
        &self,
    ) -> longhands::padding_inline_start::computed_value::T {
        self.get_padding()
            .clone_padding_inline_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_left(
        &self,
    ) -> longhands::padding_left::computed_value::T {
        self.get_padding()
            .clone_padding_left()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_right(
        &self,
    ) -> longhands::padding_right::computed_value::T {
        self.get_padding()
            .clone_padding_right()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_padding_top(
        &self,
    ) -> longhands::padding_top::computed_value::T {
        self.get_padding()
            .clone_padding_top()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_r(
        &self,
    ) -> longhands::r::computed_value::T {
        self.get_svg()
            .clone_r()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_shape_margin(
        &self,
    ) -> longhands::shape_margin::computed_value::T {
        self.get_box()
            .clone_shape_margin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_rx(
        &self,
    ) -> longhands::rx::computed_value::T {
        self.get_svg()
            .clone_rx()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_ry(
        &self,
    ) -> longhands::ry::computed_value::T {
        self.get_svg()
            .clone_ry()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_block_end(
        &self,
    ) -> longhands::scroll_padding_block_end::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_block_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_block_start(
        &self,
    ) -> longhands::scroll_padding_block_start::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_block_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_bottom(
        &self,
    ) -> longhands::scroll_padding_bottom::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_bottom()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_inline_end(
        &self,
    ) -> longhands::scroll_padding_inline_end::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_inline_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_inline_start(
        &self,
    ) -> longhands::scroll_padding_inline_start::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_inline_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_left(
        &self,
    ) -> longhands::scroll_padding_left::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_left()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_right(
        &self,
    ) -> longhands::scroll_padding_right::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_right()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_padding_top(
        &self,
    ) -> longhands::scroll_padding_top::computed_value::T {
        self.get_padding()
            .clone_scroll_padding_top()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__moz_window_input_region_margin(
        &self,
    ) -> longhands::_moz_window_input_region_margin::computed_value::T {
        self.get_ui()
            .clone__moz_window_input_region_margin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_outline_offset(
        &self,
    ) -> longhands::outline_offset::computed_value::T {
        self.get_outline()
            .clone_outline_offset()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_overflow_clip_margin(
        &self,
    ) -> longhands::overflow_clip_margin::computed_value::T {
        self.get_margin()
            .clone_overflow_clip_margin()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_block_end(
        &self,
    ) -> longhands::scroll_margin_block_end::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_block_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_block_start(
        &self,
    ) -> longhands::scroll_margin_block_start::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_block_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_bottom(
        &self,
    ) -> longhands::scroll_margin_bottom::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_bottom()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_inline_end(
        &self,
    ) -> longhands::scroll_margin_inline_end::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_inline_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_inline_start(
        &self,
    ) -> longhands::scroll_margin_inline_start::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_inline_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_left(
        &self,
    ) -> longhands::scroll_margin_left::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_left()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_right(
        &self,
    ) -> longhands::scroll_margin_right::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_right()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_scroll_margin_top(
        &self,
    ) -> longhands::scroll_margin_top::computed_value::T {
        self.get_margin()
            .clone_scroll_margin_top()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_bottom(
        &self,
    ) -> longhands::bottom::computed_value::T {
        self.get_position()
            .clone_bottom()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_inset_block_end(
        &self,
    ) -> longhands::inset_block_end::computed_value::T {
        self.get_position()
            .clone_inset_block_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_inset_block_start(
        &self,
    ) -> longhands::inset_block_start::computed_value::T {
        self.get_position()
            .clone_inset_block_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_inset_inline_end(
        &self,
    ) -> longhands::inset_inline_end::computed_value::T {
        self.get_position()
            .clone_inset_inline_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_inset_inline_start(
        &self,
    ) -> longhands::inset_inline_start::computed_value::T {
        self.get_position()
            .clone_inset_inline_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_left(
        &self,
    ) -> longhands::left::computed_value::T {
        self.get_position()
            .clone_left()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_block_end(
        &self,
    ) -> longhands::margin_block_end::computed_value::T {
        self.get_margin()
            .clone_margin_block_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_block_start(
        &self,
    ) -> longhands::margin_block_start::computed_value::T {
        self.get_margin()
            .clone_margin_block_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_bottom(
        &self,
    ) -> longhands::margin_bottom::computed_value::T {
        self.get_margin()
            .clone_margin_bottom()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_inline_end(
        &self,
    ) -> longhands::margin_inline_end::computed_value::T {
        self.get_margin()
            .clone_margin_inline_end(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_inline_start(
        &self,
    ) -> longhands::margin_inline_start::computed_value::T {
        self.get_margin()
            .clone_margin_inline_start(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_left(
        &self,
    ) -> longhands::margin_left::computed_value::T {
        self.get_margin()
            .clone_margin_left()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_right(
        &self,
    ) -> longhands::margin_right::computed_value::T {
        self.get_margin()
            .clone_margin_right()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_margin_top(
        &self,
    ) -> longhands::margin_top::computed_value::T {
        self.get_margin()
            .clone_margin_top()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_right(
        &self,
    ) -> longhands::right::computed_value::T {
        self.get_position()
            .clone_right()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_underline_offset(
        &self,
    ) -> longhands::text_underline_offset::computed_value::T {
        self.get_inherited_text()
            .clone_text_underline_offset()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_top(
        &self,
    ) -> longhands::top::computed_value::T {
        self.get_position()
            .clone_top()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_background_color(
        &self,
    ) -> longhands::background_color::computed_value::T {
        self.get_background()
            .clone_background_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_block_end_color(
        &self,
    ) -> longhands::border_block_end_color::computed_value::T {
        self.get_border()
            .clone_border_block_end_color(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_block_start_color(
        &self,
    ) -> longhands::border_block_start_color::computed_value::T {
        self.get_border()
            .clone_border_block_start_color(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_bottom_color(
        &self,
    ) -> longhands::border_bottom_color::computed_value::T {
        self.get_border()
            .clone_border_bottom_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_inline_end_color(
        &self,
    ) -> longhands::border_inline_end_color::computed_value::T {
        self.get_border()
            .clone_border_inline_end_color(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_inline_start_color(
        &self,
    ) -> longhands::border_inline_start_color::computed_value::T {
        self.get_border()
            .clone_border_inline_start_color(self.writing_mode)
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_left_color(
        &self,
    ) -> longhands::border_left_color::computed_value::T {
        self.get_border()
            .clone_border_left_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_right_color(
        &self,
    ) -> longhands::border_right_color::computed_value::T {
        self.get_border()
            .clone_border_right_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_border_top_color(
        &self,
    ) -> longhands::border_top_color::computed_value::T {
        self.get_border()
            .clone_border_top_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_column_rule_color(
        &self,
    ) -> longhands::column_rule_color::computed_value::T {
        self.get_column()
            .clone_column_rule_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_flood_color(
        &self,
    ) -> longhands::flood_color::computed_value::T {
        self.get_svg()
            .clone_flood_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_lighting_color(
        &self,
    ) -> longhands::lighting_color::computed_value::T {
        self.get_svg()
            .clone_lighting_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_outline_color(
        &self,
    ) -> longhands::outline_color::computed_value::T {
        self.get_outline()
            .clone_outline_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_stop_color(
        &self,
    ) -> longhands::stop_color::computed_value::T {
        self.get_svg()
            .clone_stop_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_decoration_color(
        &self,
    ) -> longhands::text_decoration_color::computed_value::T {
        self.get_text()
            .clone_text_decoration_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone_text_emphasis_color(
        &self,
    ) -> longhands::text_emphasis_color::computed_value::T {
        self.get_inherited_text()
            .clone_text_emphasis_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__webkit_text_fill_color(
        &self,
    ) -> longhands::_webkit_text_fill_color::computed_value::T {
        self.get_inherited_text()
            .clone__webkit_text_fill_color()
    }
    /// Gets the computed value of a given property.
    #[inline(always)]
    #[allow(non_snake_case)]
    pub fn clone__webkit_text_stroke_color(
        &self,
    ) -> longhands::_webkit_text_stroke_color::computed_value::T {
        self.get_inherited_text()
            .clone__webkit_text_stroke_color()
    }

    /// Writes the (resolved or computed) value of the given longhand as a string in `dest`.
    ///
    /// TODO(emilio): We should move all the special resolution from
    /// nsComputedDOMStyle to ToResolvedValue instead.
    pub fn computed_or_resolved_value(
        &self,
        property_id: LonghandId,
        context: Option<&resolved::Context>,
        dest: &mut CssStringWriter,
    ) -> fmt::Result {
        use crate::values::resolved::ToResolvedValue;
        let mut dest = CssWriter::new(dest);
        match property_id {
            
            LonghandId::AlignContent => {
                let value = match property_id {
                    LonghandId::AlignContent => self.clone_align_content(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AlignItems => {
                let value = match property_id {
                    LonghandId::AlignItems => self.clone_align_items(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AlignSelf => {
                let value = match property_id {
                    LonghandId::AlignSelf => self.clone_align_self(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AspectRatio => {
                let value = match property_id {
                    LonghandId::AspectRatio => self.clone_aspect_ratio(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackfaceVisibility => {
                let value = match property_id {
                    LonghandId::BackfaceVisibility => self.clone_backface_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BaselineSource => {
                let value = match property_id {
                    LonghandId::BaselineSource => self.clone_baseline_source(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderCollapse => {
                let value = match property_id {
                    LonghandId::BorderCollapse => self.clone_border_collapse(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderImageRepeat => {
                let value = match property_id {
                    LonghandId::BorderImageRepeat => self.clone_border_image_repeat(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BoxDecorationBreak => {
                let value = match property_id {
                    LonghandId::BoxDecorationBreak => self.clone_box_decoration_break(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BoxSizing => {
                let value = match property_id {
                    LonghandId::BoxSizing => self.clone_box_sizing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BreakInside => {
                let value = match property_id {
                    LonghandId::BreakInside => self.clone_break_inside(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::CaptionSide => {
                let value = match property_id {
                    LonghandId::CaptionSide => self.clone_caption_side(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Clear => {
                let value = match property_id {
                    LonghandId::Clear => self.clone_clear(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColorInterpolation => {
                let value = match property_id {
                    LonghandId::ColorInterpolation => self.clone_color_interpolation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColorInterpolationFilters => {
                let value = match property_id {
                    LonghandId::ColorInterpolationFilters => self.clone_color_interpolation_filters(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColumnCount => {
                let value = match property_id {
                    LonghandId::ColumnCount => self.clone_column_count(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColumnFill => {
                let value = match property_id {
                    LonghandId::ColumnFill => self.clone_column_fill(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColumnSpan => {
                let value = match property_id {
                    LonghandId::ColumnSpan => self.clone_column_span(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Contain => {
                let value = match property_id {
                    LonghandId::Contain => self.clone_contain(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ContainerType => {
                let value = match property_id {
                    LonghandId::ContainerType => self.clone_container_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ContentVisibility => {
                let value = match property_id {
                    LonghandId::ContentVisibility => self.clone_content_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Direction => {
                let value = match property_id {
                    LonghandId::Direction => self.clone_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Display => {
                let value = match property_id {
                    LonghandId::Display => self.clone_display(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::DominantBaseline => {
                let value = match property_id {
                    LonghandId::DominantBaseline => self.clone_dominant_baseline(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::EmptyCells => {
                let value = match property_id {
                    LonghandId::EmptyCells => self.clone_empty_cells(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FlexDirection => {
                let value = match property_id {
                    LonghandId::FlexDirection => self.clone_flex_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FlexWrap => {
                let value = match property_id {
                    LonghandId::FlexWrap => self.clone_flex_wrap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Float => {
                let value = match property_id {
                    LonghandId::Float => self.clone_float(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontKerning => {
                let value = match property_id {
                    LonghandId::FontKerning => self.clone_font_kerning(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontLanguageOverride => {
                let value = match property_id {
                    LonghandId::FontLanguageOverride => self.clone_font_language_override(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontOpticalSizing => {
                let value = match property_id {
                    LonghandId::FontOpticalSizing => self.clone_font_optical_sizing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontSizeAdjust => {
                let value = match property_id {
                    LonghandId::FontSizeAdjust => self.clone_font_size_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontStretch => {
                let value = match property_id {
                    LonghandId::FontStretch => self.clone_font_stretch(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontStyle => {
                let value = match property_id {
                    LonghandId::FontStyle => self.clone_font_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantCaps => {
                let value = match property_id {
                    LonghandId::FontVariantCaps => self.clone_font_variant_caps(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantEastAsian => {
                let value = match property_id {
                    LonghandId::FontVariantEastAsian => self.clone_font_variant_east_asian(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantEmoji => {
                let value = match property_id {
                    LonghandId::FontVariantEmoji => self.clone_font_variant_emoji(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantLigatures => {
                let value = match property_id {
                    LonghandId::FontVariantLigatures => self.clone_font_variant_ligatures(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantNumeric => {
                let value = match property_id {
                    LonghandId::FontVariantNumeric => self.clone_font_variant_numeric(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantPosition => {
                let value = match property_id {
                    LonghandId::FontVariantPosition => self.clone_font_variant_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontWeight => {
                let value = match property_id {
                    LonghandId::FontWeight => self.clone_font_weight(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ForcedColorAdjust => {
                let value = match property_id {
                    LonghandId::ForcedColorAdjust => self.clone_forced_color_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::GridAutoFlow => {
                let value = match property_id {
                    LonghandId::GridAutoFlow => self.clone_grid_auto_flow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Hyphens => {
                let value = match property_id {
                    LonghandId::Hyphens => self.clone_hyphens(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ImageOrientation => {
                let value = match property_id {
                    LonghandId::ImageOrientation => self.clone_image_orientation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ImageRendering => {
                let value = match property_id {
                    LonghandId::ImageRendering => self.clone_image_rendering(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ImeMode => {
                let value = match property_id {
                    LonghandId::ImeMode => self.clone_ime_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::InitialLetter => {
                let value = match property_id {
                    LonghandId::InitialLetter => self.clone_initial_letter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Isolation => {
                let value = match property_id {
                    LonghandId::Isolation => self.clone_isolation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::JustifyContent => {
                let value = match property_id {
                    LonghandId::JustifyContent => self.clone_justify_content(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::JustifyItems => {
                let value = match property_id {
                    LonghandId::JustifyItems => self.clone_justify_items(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::JustifySelf => {
                let value = match property_id {
                    LonghandId::JustifySelf => self.clone_justify_self(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::LineBreak => {
                let value = match property_id {
                    LonghandId::LineBreak => self.clone_line_break(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ListStylePosition => {
                let value = match property_id {
                    LonghandId::ListStylePosition => self.clone_list_style_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskType => {
                let value = match property_id {
                    LonghandId::MaskType => self.clone_mask_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MasonryAutoFlow => {
                let value = match property_id {
                    LonghandId::MasonryAutoFlow => self.clone_masonry_auto_flow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MathDepth => {
                let value = match property_id {
                    LonghandId::MathDepth => self.clone_math_depth(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MathStyle => {
                let value = match property_id {
                    LonghandId::MathStyle => self.clone_math_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MixBlendMode => {
                let value = match property_id {
                    LonghandId::MixBlendMode => self.clone_mix_blend_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozBoxAlign => {
                let value = match property_id {
                    LonghandId::MozBoxAlign => self.clone__moz_box_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozBoxCollapse => {
                let value = match property_id {
                    LonghandId::MozBoxCollapse => self.clone__moz_box_collapse(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozBoxDirection => {
                let value = match property_id {
                    LonghandId::MozBoxDirection => self.clone__moz_box_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozBoxOrient => {
                let value = match property_id {
                    LonghandId::MozBoxOrient => self.clone__moz_box_orient(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozBoxPack => {
                let value = match property_id {
                    LonghandId::MozBoxPack => self.clone__moz_box_pack(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozControlCharacterVisibility => {
                let value = match property_id {
                    LonghandId::MozControlCharacterVisibility => self.clone__moz_control_character_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozFloatEdge => {
                let value = match property_id {
                    LonghandId::MozFloatEdge => self.clone__moz_float_edge(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozInert => {
                let value = match property_id {
                    LonghandId::MozInert => self.clone__moz_inert(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozMathVariant => {
                let value = match property_id {
                    LonghandId::MozMathVariant => self.clone__moz_math_variant(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozMinFontSizeRatio => {
                let value = match property_id {
                    LonghandId::MozMinFontSizeRatio => self.clone__moz_min_font_size_ratio(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozOrient => {
                let value = match property_id {
                    LonghandId::MozOrient => self.clone__moz_orient(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozOsxFontSmoothing => {
                let value = match property_id {
                    LonghandId::MozOsxFontSmoothing => self.clone__moz_osx_font_smoothing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozScriptMinSize => {
                let value = match property_id {
                    LonghandId::MozScriptMinSize => self.clone__moz_script_min_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozScriptSizeMultiplier => {
                let value = match property_id {
                    LonghandId::MozScriptSizeMultiplier => self.clone__moz_script_size_multiplier(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozTextSizeAdjust => {
                let value = match property_id {
                    LonghandId::MozTextSizeAdjust => self.clone__moz_text_size_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozTopLayer => {
                let value = match property_id {
                    LonghandId::MozTopLayer => self.clone__moz_top_layer(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozUserFocus => {
                let value = match property_id {
                    LonghandId::MozUserFocus => self.clone__moz_user_focus(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozUserInput => {
                let value = match property_id {
                    LonghandId::MozUserInput => self.clone__moz_user_input(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozUserModify => {
                let value = match property_id {
                    LonghandId::MozUserModify => self.clone__moz_user_modify(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozWindowDragging => {
                let value = match property_id {
                    LonghandId::MozWindowDragging => self.clone__moz_window_dragging(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozWindowShadow => {
                let value = match property_id {
                    LonghandId::MozWindowShadow => self.clone__moz_window_shadow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ObjectFit => {
                let value = match property_id {
                    LonghandId::ObjectFit => self.clone_object_fit(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OffsetRotate => {
                let value = match property_id {
                    LonghandId::OffsetRotate => self.clone_offset_rotate(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OutlineStyle => {
                let value = match property_id {
                    LonghandId::OutlineStyle => self.clone_outline_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OverflowAnchor => {
                let value = match property_id {
                    LonghandId::OverflowAnchor => self.clone_overflow_anchor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OverflowWrap => {
                let value = match property_id {
                    LonghandId::OverflowWrap => self.clone_overflow_wrap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::PageOrientation => {
                let value = match property_id {
                    LonghandId::PageOrientation => self.clone_page_orientation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::PaintOrder => {
                let value = match property_id {
                    LonghandId::PaintOrder => self.clone_paint_order(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::PointerEvents => {
                let value = match property_id {
                    LonghandId::PointerEvents => self.clone_pointer_events(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Position => {
                let value = match property_id {
                    LonghandId::Position => self.clone_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::PrintColorAdjust => {
                let value = match property_id {
                    LonghandId::PrintColorAdjust => self.clone_print_color_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Resize => {
                let value = match property_id {
                    LonghandId::Resize => self.clone_resize(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::RubyAlign => {
                let value = match property_id {
                    LonghandId::RubyAlign => self.clone_ruby_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::RubyPosition => {
                let value = match property_id {
                    LonghandId::RubyPosition => self.clone_ruby_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollBehavior => {
                let value = match property_id {
                    LonghandId::ScrollBehavior => self.clone_scroll_behavior(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollSnapAlign => {
                let value = match property_id {
                    LonghandId::ScrollSnapAlign => self.clone_scroll_snap_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollSnapStop => {
                let value = match property_id {
                    LonghandId::ScrollSnapStop => self.clone_scroll_snap_stop(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollSnapType => {
                let value = match property_id {
                    LonghandId::ScrollSnapType => self.clone_scroll_snap_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollbarGutter => {
                let value = match property_id {
                    LonghandId::ScrollbarGutter => self.clone_scrollbar_gutter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollbarWidth => {
                let value = match property_id {
                    LonghandId::ScrollbarWidth => self.clone_scrollbar_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ShapeRendering => {
                let value = match property_id {
                    LonghandId::ShapeRendering => self.clone_shape_rendering(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::StrokeLinecap => {
                let value = match property_id {
                    LonghandId::StrokeLinecap => self.clone_stroke_linecap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::StrokeLinejoin => {
                let value = match property_id {
                    LonghandId::StrokeLinejoin => self.clone_stroke_linejoin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TableLayout => {
                let value = match property_id {
                    LonghandId::TableLayout => self.clone_table_layout(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextAlign => {
                let value = match property_id {
                    LonghandId::TextAlign => self.clone_text_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextAlignLast => {
                let value = match property_id {
                    LonghandId::TextAlignLast => self.clone_text_align_last(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextAnchor => {
                let value = match property_id {
                    LonghandId::TextAnchor => self.clone_text_anchor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextCombineUpright => {
                let value = match property_id {
                    LonghandId::TextCombineUpright => self.clone_text_combine_upright(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextDecorationLine => {
                let value = match property_id {
                    LonghandId::TextDecorationLine => self.clone_text_decoration_line(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextDecorationSkipInk => {
                let value = match property_id {
                    LonghandId::TextDecorationSkipInk => self.clone_text_decoration_skip_ink(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextDecorationStyle => {
                let value = match property_id {
                    LonghandId::TextDecorationStyle => self.clone_text_decoration_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextEmphasisPosition => {
                let value = match property_id {
                    LonghandId::TextEmphasisPosition => self.clone_text_emphasis_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextJustify => {
                let value = match property_id {
                    LonghandId::TextJustify => self.clone_text_justify(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextOrientation => {
                let value = match property_id {
                    LonghandId::TextOrientation => self.clone_text_orientation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextRendering => {
                let value = match property_id {
                    LonghandId::TextRendering => self.clone_text_rendering(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextTransform => {
                let value = match property_id {
                    LonghandId::TextTransform => self.clone_text_transform(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextUnderlinePosition => {
                let value = match property_id {
                    LonghandId::TextUnderlinePosition => self.clone_text_underline_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TouchAction => {
                let value = match property_id {
                    LonghandId::TouchAction => self.clone_touch_action(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TransformBox => {
                let value = match property_id {
                    LonghandId::TransformBox => self.clone_transform_box(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TransformStyle => {
                let value = match property_id {
                    LonghandId::TransformStyle => self.clone_transform_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::UnicodeBidi => {
                let value = match property_id {
                    LonghandId::UnicodeBidi => self.clone_unicode_bidi(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::UserSelect => {
                let value = match property_id {
                    LonghandId::UserSelect => self.clone_user_select(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::VectorEffect => {
                let value = match property_id {
                    LonghandId::VectorEffect => self.clone_vector_effect(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Visibility => {
                let value = match property_id {
                    LonghandId::Visibility => self.clone_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WebkitLineClamp => {
                let value = match property_id {
                    LonghandId::WebkitLineClamp => self.clone__webkit_line_clamp(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WebkitTextSecurity => {
                let value = match property_id {
                    LonghandId::WebkitTextSecurity => self.clone__webkit_text_security(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WhiteSpace => {
                let value = match property_id {
                    LonghandId::WhiteSpace => self.clone_white_space(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WordBreak => {
                let value = match property_id {
                    LonghandId::WordBreak => self.clone_word_break(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WritingMode => {
                let value = match property_id {
                    LonghandId::WritingMode => self.clone_writing_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::XTextScale => {
                let value = match property_id {
                    LonghandId::XTextScale => self.clone__x_text_scale(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ZIndex => {
                let value = match property_id {
                    LonghandId::ZIndex => self.clone_z_index(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Appearance |
LonghandId::MozDefaultAppearance => {
                let value = match property_id {
                    LonghandId::Appearance => self.clone_appearance(),
                    LonghandId::MozDefaultAppearance => self.clone__moz_default_appearance(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozForceBrokenImageIcon |
LonghandId::MozSubtreeHiddenOnlyVisually => {
                let value = match property_id {
                    LonghandId::MozForceBrokenImageIcon => self.clone__moz_force_broken_image_icon(),
                    LonghandId::MozSubtreeHiddenOnlyVisually => self.clone__moz_subtree_hidden_only_visually(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BreakAfter |
LonghandId::BreakBefore => {
                let value = match property_id {
                    LonghandId::BreakAfter => self.clone_break_after(),
                    LonghandId::BreakBefore => self.clone_break_before(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ClipRule |
LonghandId::FillRule => {
                let value = match property_id {
                    LonghandId::ClipRule => self.clone_clip_rule(),
                    LonghandId::FillRule => self.clone_fill_rule(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OverflowClipBoxBlock |
LonghandId::OverflowClipBoxInline => {
                let value = match property_id {
                    LonghandId::OverflowClipBoxBlock => self.clone_overflow_clip_box_block(),
                    LonghandId::OverflowClipBoxInline => self.clone_overflow_clip_box_inline(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FillOpacity |
LonghandId::StrokeOpacity => {
                let value = match property_id {
                    LonghandId::FillOpacity => self.clone_fill_opacity(),
                    LonghandId::StrokeOpacity => self.clone_stroke_opacity(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontSynthesisSmallCaps |
LonghandId::FontSynthesisStyle |
LonghandId::FontSynthesisWeight => {
                let value = match property_id {
                    LonghandId::FontSynthesisSmallCaps => self.clone_font_synthesis_small_caps(),
                    LonghandId::FontSynthesisStyle => self.clone_font_synthesis_style(),
                    LonghandId::FontSynthesisWeight => self.clone_font_synthesis_weight(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozBoxOrdinalGroup |
LonghandId::Order |
LonghandId::XSpan => {
                let value = match property_id {
                    LonghandId::MozBoxOrdinalGroup => self.clone__moz_box_ordinal_group(),
                    LonghandId::Order => self.clone_order(),
                    LonghandId::XSpan => self.clone__x_span(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FlexGrow |
LonghandId::FlexShrink |
LonghandId::MozBoxFlex |
LonghandId::StrokeMiterlimit => {
                let value = match property_id {
                    LonghandId::FlexGrow => self.clone_flex_grow(),
                    LonghandId::FlexShrink => self.clone_flex_shrink(),
                    LonghandId::MozBoxFlex => self.clone__moz_box_flex(),
                    LonghandId::StrokeMiterlimit => self.clone_stroke_miterlimit(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OverflowBlock |
LonghandId::OverflowInline |
LonghandId::OverflowX |
LonghandId::OverflowY => {
                let value = match property_id {
                    LonghandId::OverflowBlock => self.clone_overflow_block(),
                    LonghandId::OverflowInline => self.clone_overflow_inline(),
                    LonghandId::OverflowX => self.clone_overflow_x(),
                    LonghandId::OverflowY => self.clone_overflow_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OverscrollBehaviorBlock |
LonghandId::OverscrollBehaviorInline |
LonghandId::OverscrollBehaviorX |
LonghandId::OverscrollBehaviorY => {
                let value = match property_id {
                    LonghandId::OverscrollBehaviorBlock => self.clone_overscroll_behavior_block(),
                    LonghandId::OverscrollBehaviorInline => self.clone_overscroll_behavior_inline(),
                    LonghandId::OverscrollBehaviorX => self.clone_overscroll_behavior_x(),
                    LonghandId::OverscrollBehaviorY => self.clone_overscroll_behavior_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FloodOpacity |
LonghandId::MozWindowOpacity |
LonghandId::Opacity |
LonghandId::ShapeImageThreshold |
LonghandId::StopOpacity => {
                let value = match property_id {
                    LonghandId::FloodOpacity => self.clone_flood_opacity(),
                    LonghandId::MozWindowOpacity => self.clone__moz_window_opacity(),
                    LonghandId::Opacity => self.clone_opacity(),
                    LonghandId::ShapeImageThreshold => self.clone_shape_image_threshold(),
                    LonghandId::StopOpacity => self.clone_stop_opacity(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderBlockEndStyle |
LonghandId::BorderBlockStartStyle |
LonghandId::BorderBottomStyle |
LonghandId::BorderInlineEndStyle |
LonghandId::BorderInlineStartStyle |
LonghandId::BorderLeftStyle |
LonghandId::BorderRightStyle |
LonghandId::BorderTopStyle |
LonghandId::ColumnRuleStyle => {
                let value = match property_id {
                    LonghandId::BorderBlockEndStyle => self.clone_border_block_end_style(),
                    LonghandId::BorderBlockStartStyle => self.clone_border_block_start_style(),
                    LonghandId::BorderBottomStyle => self.clone_border_bottom_style(),
                    LonghandId::BorderInlineEndStyle => self.clone_border_inline_end_style(),
                    LonghandId::BorderInlineStartStyle => self.clone_border_inline_start_style(),
                    LonghandId::BorderLeftStyle => self.clone_border_left_style(),
                    LonghandId::BorderRightStyle => self.clone_border_right_style(),
                    LonghandId::BorderTopStyle => self.clone_border_top_style(),
                    LonghandId::ColumnRuleStyle => self.clone_column_rule_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AccentColor => {
                let value = match property_id {
                    LonghandId::AccentColor => self.clone_accent_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AlignTracks => {
                let value = match property_id {
                    LonghandId::AlignTracks => self.clone_align_tracks(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationComposition => {
                let value = match property_id {
                    LonghandId::AnimationComposition => self.clone_animation_composition(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationDelay => {
                let value = match property_id {
                    LonghandId::AnimationDelay => self.clone_animation_delay(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationDirection => {
                let value = match property_id {
                    LonghandId::AnimationDirection => self.clone_animation_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationDuration => {
                let value = match property_id {
                    LonghandId::AnimationDuration => self.clone_animation_duration(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationFillMode => {
                let value = match property_id {
                    LonghandId::AnimationFillMode => self.clone_animation_fill_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationIterationCount => {
                let value = match property_id {
                    LonghandId::AnimationIterationCount => self.clone_animation_iteration_count(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationName => {
                let value = match property_id {
                    LonghandId::AnimationName => self.clone_animation_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationPlayState => {
                let value = match property_id {
                    LonghandId::AnimationPlayState => self.clone_animation_play_state(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationTimeline => {
                let value = match property_id {
                    LonghandId::AnimationTimeline => self.clone_animation_timeline(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::AnimationTimingFunction => {
                let value = match property_id {
                    LonghandId::AnimationTimingFunction => self.clone_animation_timing_function(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackdropFilter => {
                let value = match property_id {
                    LonghandId::BackdropFilter => self.clone_backdrop_filter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundAttachment => {
                let value = match property_id {
                    LonghandId::BackgroundAttachment => self.clone_background_attachment(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundBlendMode => {
                let value = match property_id {
                    LonghandId::BackgroundBlendMode => self.clone_background_blend_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundClip => {
                let value = match property_id {
                    LonghandId::BackgroundClip => self.clone_background_clip(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundImage => {
                let value = match property_id {
                    LonghandId::BackgroundImage => self.clone_background_image(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundOrigin => {
                let value = match property_id {
                    LonghandId::BackgroundOrigin => self.clone_background_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundPositionX => {
                let value = match property_id {
                    LonghandId::BackgroundPositionX => self.clone_background_position_x(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundPositionY => {
                let value = match property_id {
                    LonghandId::BackgroundPositionY => self.clone_background_position_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundRepeat => {
                let value = match property_id {
                    LonghandId::BackgroundRepeat => self.clone_background_repeat(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundSize => {
                let value = match property_id {
                    LonghandId::BackgroundSize => self.clone_background_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderImageOutset => {
                let value = match property_id {
                    LonghandId::BorderImageOutset => self.clone_border_image_outset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderImageSlice => {
                let value = match property_id {
                    LonghandId::BorderImageSlice => self.clone_border_image_slice(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderImageWidth => {
                let value = match property_id {
                    LonghandId::BorderImageWidth => self.clone_border_image_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderSpacing => {
                let value = match property_id {
                    LonghandId::BorderSpacing => self.clone_border_spacing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BoxShadow => {
                let value = match property_id {
                    LonghandId::BoxShadow => self.clone_box_shadow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::CaretColor => {
                let value = match property_id {
                    LonghandId::CaretColor => self.clone_caret_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Clip => {
                let value = match property_id {
                    LonghandId::Clip => self.clone_clip(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ClipPath => {
                let value = match property_id {
                    LonghandId::ClipPath => self.clone_clip_path(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Color => {
                let value = match property_id {
                    LonghandId::Color => self.clone_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColorScheme => {
                let value = match property_id {
                    LonghandId::ColorScheme => self.clone_color_scheme(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColumnWidth => {
                let value = match property_id {
                    LonghandId::ColumnWidth => self.clone_column_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ContainerName => {
                let value = match property_id {
                    LonghandId::ContainerName => self.clone_container_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Content => {
                let value = match property_id {
                    LonghandId::Content => self.clone_content(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::CounterIncrement => {
                let value = match property_id {
                    LonghandId::CounterIncrement => self.clone_counter_increment(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::CounterReset => {
                let value = match property_id {
                    LonghandId::CounterReset => self.clone_counter_reset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::CounterSet => {
                let value = match property_id {
                    LonghandId::CounterSet => self.clone_counter_set(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Cursor => {
                let value = match property_id {
                    LonghandId::Cursor => self.clone_cursor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::D => {
                let value = match property_id {
                    LonghandId::D => self.clone_d(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Filter => {
                let value = match property_id {
                    LonghandId::Filter => self.clone_filter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FlexBasis => {
                let value = match property_id {
                    LonghandId::FlexBasis => self.clone_flex_basis(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontFamily => {
                let value = match property_id {
                    LonghandId::FontFamily => self.clone_font_family(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontFeatureSettings => {
                let value = match property_id {
                    LonghandId::FontFeatureSettings => self.clone_font_feature_settings(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontPalette => {
                let value = match property_id {
                    LonghandId::FontPalette => self.clone_font_palette(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontSize => {
                let value = match property_id {
                    LonghandId::FontSize => self.clone_font_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariantAlternates => {
                let value = match property_id {
                    LonghandId::FontVariantAlternates => self.clone_font_variant_alternates(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::FontVariationSettings => {
                let value = match property_id {
                    LonghandId::FontVariationSettings => self.clone_font_variation_settings(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::GridTemplateAreas => {
                let value = match property_id {
                    LonghandId::GridTemplateAreas => self.clone_grid_template_areas(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::HyphenateCharacter => {
                let value = match property_id {
                    LonghandId::HyphenateCharacter => self.clone_hyphenate_character(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::JustifyTracks => {
                let value = match property_id {
                    LonghandId::JustifyTracks => self.clone_justify_tracks(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::LetterSpacing => {
                let value = match property_id {
                    LonghandId::LetterSpacing => self.clone_letter_spacing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::LineHeight => {
                let value = match property_id {
                    LonghandId::LineHeight => self.clone_line_height(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ListStyleType => {
                let value = match property_id {
                    LonghandId::ListStyleType => self.clone_list_style_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskClip => {
                let value = match property_id {
                    LonghandId::MaskClip => self.clone_mask_clip(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskComposite => {
                let value = match property_id {
                    LonghandId::MaskComposite => self.clone_mask_composite(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskImage => {
                let value = match property_id {
                    LonghandId::MaskImage => self.clone_mask_image(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskMode => {
                let value = match property_id {
                    LonghandId::MaskMode => self.clone_mask_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskOrigin => {
                let value = match property_id {
                    LonghandId::MaskOrigin => self.clone_mask_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskPositionX => {
                let value = match property_id {
                    LonghandId::MaskPositionX => self.clone_mask_position_x(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskPositionY => {
                let value = match property_id {
                    LonghandId::MaskPositionY => self.clone_mask_position_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskRepeat => {
                let value = match property_id {
                    LonghandId::MaskRepeat => self.clone_mask_repeat(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaskSize => {
                let value = match property_id {
                    LonghandId::MaskSize => self.clone_mask_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozContextProperties => {
                let value = match property_id {
                    LonghandId::MozContextProperties => self.clone__moz_context_properties(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozFontSmoothingBackgroundColor => {
                let value = match property_id {
                    LonghandId::MozFontSmoothingBackgroundColor => self.clone__moz_font_smoothing_background_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OffsetAnchor => {
                let value = match property_id {
                    LonghandId::OffsetAnchor => self.clone_offset_anchor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OffsetPath => {
                let value = match property_id {
                    LonghandId::OffsetPath => self.clone_offset_path(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::OffsetPosition => {
                let value = match property_id {
                    LonghandId::OffsetPosition => self.clone_offset_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Page => {
                let value = match property_id {
                    LonghandId::Page => self.clone_page(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Perspective => {
                let value = match property_id {
                    LonghandId::Perspective => self.clone_perspective(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Quotes => {
                let value = match property_id {
                    LonghandId::Quotes => self.clone_quotes(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Rotate => {
                let value = match property_id {
                    LonghandId::Rotate => self.clone_rotate(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Scale => {
                let value = match property_id {
                    LonghandId::Scale => self.clone_scale(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollTimelineAxis => {
                let value = match property_id {
                    LonghandId::ScrollTimelineAxis => self.clone_scroll_timeline_axis(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollTimelineName => {
                let value = match property_id {
                    LonghandId::ScrollTimelineName => self.clone_scroll_timeline_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ScrollbarColor => {
                let value = match property_id {
                    LonghandId::ScrollbarColor => self.clone_scrollbar_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ShapeOutside => {
                let value = match property_id {
                    LonghandId::ShapeOutside => self.clone_shape_outside(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Size => {
                let value = match property_id {
                    LonghandId::Size => self.clone_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::StrokeDasharray => {
                let value = match property_id {
                    LonghandId::StrokeDasharray => self.clone_stroke_dasharray(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::StrokeDashoffset => {
                let value = match property_id {
                    LonghandId::StrokeDashoffset => self.clone_stroke_dashoffset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::StrokeWidth => {
                let value = match property_id {
                    LonghandId::StrokeWidth => self.clone_stroke_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TabSize => {
                let value = match property_id {
                    LonghandId::TabSize => self.clone_tab_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextDecorationThickness => {
                let value = match property_id {
                    LonghandId::TextDecorationThickness => self.clone_text_decoration_thickness(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextEmphasisStyle => {
                let value = match property_id {
                    LonghandId::TextEmphasisStyle => self.clone_text_emphasis_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextOverflow => {
                let value = match property_id {
                    LonghandId::TextOverflow => self.clone_text_overflow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TextShadow => {
                let value = match property_id {
                    LonghandId::TextShadow => self.clone_text_shadow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TransitionDelay => {
                let value = match property_id {
                    LonghandId::TransitionDelay => self.clone_transition_delay(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TransitionDuration => {
                let value = match property_id {
                    LonghandId::TransitionDuration => self.clone_transition_duration(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TransitionProperty => {
                let value = match property_id {
                    LonghandId::TransitionProperty => self.clone_transition_property(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::TransitionTimingFunction => {
                let value = match property_id {
                    LonghandId::TransitionTimingFunction => self.clone_transition_timing_function(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Translate => {
                let value = match property_id {
                    LonghandId::Translate => self.clone_translate(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::VerticalAlign => {
                let value = match property_id {
                    LonghandId::VerticalAlign => self.clone_vertical_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ViewTimelineAxis => {
                let value = match property_id {
                    LonghandId::ViewTimelineAxis => self.clone_view_timeline_axis(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ViewTimelineInset => {
                let value = match property_id {
                    LonghandId::ViewTimelineInset => self.clone_view_timeline_inset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ViewTimelineName => {
                let value = match property_id {
                    LonghandId::ViewTimelineName => self.clone_view_timeline_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WebkitTextStrokeWidth => {
                let value = match property_id {
                    LonghandId::WebkitTextStrokeWidth => self.clone__webkit_text_stroke_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WillChange => {
                let value = match property_id {
                    LonghandId::WillChange => self.clone_will_change(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::WordSpacing => {
                let value = match property_id {
                    LonghandId::WordSpacing => self.clone_word_spacing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::XLang => {
                let value = match property_id {
                    LonghandId::XLang => self.clone__x_lang(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ObjectPosition |
LonghandId::PerspectiveOrigin => {
                let value = match property_id {
                    LonghandId::ObjectPosition => self.clone_object_position(),
                    LonghandId::PerspectiveOrigin => self.clone_perspective_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Fill |
LonghandId::Stroke => {
                let value = match property_id {
                    LonghandId::Fill => self.clone_fill(),
                    LonghandId::Stroke => self.clone_stroke(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozWindowTransformOrigin |
LonghandId::TransformOrigin => {
                let value = match property_id {
                    LonghandId::MozWindowTransformOrigin => self.clone__moz_window_transform_origin(),
                    LonghandId::TransformOrigin => self.clone_transform_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::GridTemplateColumns |
LonghandId::GridTemplateRows => {
                let value = match property_id {
                    LonghandId::GridTemplateColumns => self.clone_grid_template_columns(),
                    LonghandId::GridTemplateRows => self.clone_grid_template_rows(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderImageSource |
LonghandId::ListStyleImage => {
                let value = match property_id {
                    LonghandId::BorderImageSource => self.clone_border_image_source(),
                    LonghandId::ListStyleImage => self.clone_list_style_image(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::GridAutoColumns |
LonghandId::GridAutoRows => {
                let value = match property_id {
                    LonghandId::GridAutoColumns => self.clone_grid_auto_columns(),
                    LonghandId::GridAutoRows => self.clone_grid_auto_rows(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozWindowTransform |
LonghandId::Transform => {
                let value = match property_id {
                    LonghandId::MozWindowTransform => self.clone__moz_window_transform(),
                    LonghandId::Transform => self.clone_transform(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ColumnGap |
LonghandId::RowGap => {
                let value = match property_id {
                    LonghandId::ColumnGap => self.clone_column_gap(),
                    LonghandId::RowGap => self.clone_row_gap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MarkerEnd |
LonghandId::MarkerMid |
LonghandId::MarkerStart => {
                let value = match property_id {
                    LonghandId::MarkerEnd => self.clone_marker_end(),
                    LonghandId::MarkerMid => self.clone_marker_mid(),
                    LonghandId::MarkerStart => self.clone_marker_start(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::ContainIntrinsicBlockSize |
LonghandId::ContainIntrinsicHeight |
LonghandId::ContainIntrinsicInlineSize |
LonghandId::ContainIntrinsicWidth => {
                let value = match property_id {
                    LonghandId::ContainIntrinsicBlockSize => self.clone_contain_intrinsic_block_size(),
                    LonghandId::ContainIntrinsicHeight => self.clone_contain_intrinsic_height(),
                    LonghandId::ContainIntrinsicInlineSize => self.clone_contain_intrinsic_inline_size(),
                    LonghandId::ContainIntrinsicWidth => self.clone_contain_intrinsic_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::GridColumnEnd |
LonghandId::GridColumnStart |
LonghandId::GridRowEnd |
LonghandId::GridRowStart => {
                let value = match property_id {
                    LonghandId::GridColumnEnd => self.clone_grid_column_end(),
                    LonghandId::GridColumnStart => self.clone_grid_column_start(),
                    LonghandId::GridRowEnd => self.clone_grid_row_end(),
                    LonghandId::GridRowStart => self.clone_grid_row_start(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MaxBlockSize |
LonghandId::MaxHeight |
LonghandId::MaxInlineSize |
LonghandId::MaxWidth => {
                let value = match property_id {
                    LonghandId::MaxBlockSize => self.clone_max_block_size(),
                    LonghandId::MaxHeight => self.clone_max_height(),
                    LonghandId::MaxInlineSize => self.clone_max_inline_size(),
                    LonghandId::MaxWidth => self.clone_max_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Cx |
LonghandId::Cy |
LonghandId::OffsetDistance |
LonghandId::TextIndent |
LonghandId::X |
LonghandId::Y => {
                let value = match property_id {
                    LonghandId::Cx => self.clone_cx(),
                    LonghandId::Cy => self.clone_cy(),
                    LonghandId::OffsetDistance => self.clone_offset_distance(),
                    LonghandId::TextIndent => self.clone_text_indent(),
                    LonghandId::X => self.clone_x(),
                    LonghandId::Y => self.clone_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderBottomLeftRadius |
LonghandId::BorderBottomRightRadius |
LonghandId::BorderEndEndRadius |
LonghandId::BorderEndStartRadius |
LonghandId::BorderStartEndRadius |
LonghandId::BorderStartStartRadius |
LonghandId::BorderTopLeftRadius |
LonghandId::BorderTopRightRadius => {
                let value = match property_id {
                    LonghandId::BorderBottomLeftRadius => self.clone_border_bottom_left_radius(),
                    LonghandId::BorderBottomRightRadius => self.clone_border_bottom_right_radius(),
                    LonghandId::BorderEndEndRadius => self.clone_border_end_end_radius(),
                    LonghandId::BorderEndStartRadius => self.clone_border_end_start_radius(),
                    LonghandId::BorderStartEndRadius => self.clone_border_start_end_radius(),
                    LonghandId::BorderStartStartRadius => self.clone_border_start_start_radius(),
                    LonghandId::BorderTopLeftRadius => self.clone_border_top_left_radius(),
                    LonghandId::BorderTopRightRadius => self.clone_border_top_right_radius(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BlockSize |
LonghandId::Height |
LonghandId::InlineSize |
LonghandId::MinBlockSize |
LonghandId::MinHeight |
LonghandId::MinInlineSize |
LonghandId::MinWidth |
LonghandId::Width => {
                let value = match property_id {
                    LonghandId::BlockSize => self.clone_block_size(),
                    LonghandId::Height => self.clone_height(),
                    LonghandId::InlineSize => self.clone_inline_size(),
                    LonghandId::MinBlockSize => self.clone_min_block_size(),
                    LonghandId::MinHeight => self.clone_min_height(),
                    LonghandId::MinInlineSize => self.clone_min_inline_size(),
                    LonghandId::MinWidth => self.clone_min_width(),
                    LonghandId::Width => self.clone_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BorderBlockEndWidth |
LonghandId::BorderBlockStartWidth |
LonghandId::BorderBottomWidth |
LonghandId::BorderInlineEndWidth |
LonghandId::BorderInlineStartWidth |
LonghandId::BorderLeftWidth |
LonghandId::BorderRightWidth |
LonghandId::BorderTopWidth |
LonghandId::ColumnRuleWidth |
LonghandId::OutlineWidth => {
                let value = match property_id {
                    LonghandId::BorderBlockEndWidth => self.clone_border_block_end_width(),
                    LonghandId::BorderBlockStartWidth => self.clone_border_block_start_width(),
                    LonghandId::BorderBottomWidth => self.clone_border_bottom_width(),
                    LonghandId::BorderInlineEndWidth => self.clone_border_inline_end_width(),
                    LonghandId::BorderInlineStartWidth => self.clone_border_inline_start_width(),
                    LonghandId::BorderLeftWidth => self.clone_border_left_width(),
                    LonghandId::BorderRightWidth => self.clone_border_right_width(),
                    LonghandId::BorderTopWidth => self.clone_border_top_width(),
                    LonghandId::ColumnRuleWidth => self.clone_column_rule_width(),
                    LonghandId::OutlineWidth => self.clone_outline_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::PaddingBlockEnd |
LonghandId::PaddingBlockStart |
LonghandId::PaddingBottom |
LonghandId::PaddingInlineEnd |
LonghandId::PaddingInlineStart |
LonghandId::PaddingLeft |
LonghandId::PaddingRight |
LonghandId::PaddingTop |
LonghandId::R |
LonghandId::ShapeMargin => {
                let value = match property_id {
                    LonghandId::PaddingBlockEnd => self.clone_padding_block_end(),
                    LonghandId::PaddingBlockStart => self.clone_padding_block_start(),
                    LonghandId::PaddingBottom => self.clone_padding_bottom(),
                    LonghandId::PaddingInlineEnd => self.clone_padding_inline_end(),
                    LonghandId::PaddingInlineStart => self.clone_padding_inline_start(),
                    LonghandId::PaddingLeft => self.clone_padding_left(),
                    LonghandId::PaddingRight => self.clone_padding_right(),
                    LonghandId::PaddingTop => self.clone_padding_top(),
                    LonghandId::R => self.clone_r(),
                    LonghandId::ShapeMargin => self.clone_shape_margin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Rx |
LonghandId::Ry |
LonghandId::ScrollPaddingBlockEnd |
LonghandId::ScrollPaddingBlockStart |
LonghandId::ScrollPaddingBottom |
LonghandId::ScrollPaddingInlineEnd |
LonghandId::ScrollPaddingInlineStart |
LonghandId::ScrollPaddingLeft |
LonghandId::ScrollPaddingRight |
LonghandId::ScrollPaddingTop => {
                let value = match property_id {
                    LonghandId::Rx => self.clone_rx(),
                    LonghandId::Ry => self.clone_ry(),
                    LonghandId::ScrollPaddingBlockEnd => self.clone_scroll_padding_block_end(),
                    LonghandId::ScrollPaddingBlockStart => self.clone_scroll_padding_block_start(),
                    LonghandId::ScrollPaddingBottom => self.clone_scroll_padding_bottom(),
                    LonghandId::ScrollPaddingInlineEnd => self.clone_scroll_padding_inline_end(),
                    LonghandId::ScrollPaddingInlineStart => self.clone_scroll_padding_inline_start(),
                    LonghandId::ScrollPaddingLeft => self.clone_scroll_padding_left(),
                    LonghandId::ScrollPaddingRight => self.clone_scroll_padding_right(),
                    LonghandId::ScrollPaddingTop => self.clone_scroll_padding_top(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::MozWindowInputRegionMargin |
LonghandId::OutlineOffset |
LonghandId::OverflowClipMargin |
LonghandId::ScrollMarginBlockEnd |
LonghandId::ScrollMarginBlockStart |
LonghandId::ScrollMarginBottom |
LonghandId::ScrollMarginInlineEnd |
LonghandId::ScrollMarginInlineStart |
LonghandId::ScrollMarginLeft |
LonghandId::ScrollMarginRight |
LonghandId::ScrollMarginTop => {
                let value = match property_id {
                    LonghandId::MozWindowInputRegionMargin => self.clone__moz_window_input_region_margin(),
                    LonghandId::OutlineOffset => self.clone_outline_offset(),
                    LonghandId::OverflowClipMargin => self.clone_overflow_clip_margin(),
                    LonghandId::ScrollMarginBlockEnd => self.clone_scroll_margin_block_end(),
                    LonghandId::ScrollMarginBlockStart => self.clone_scroll_margin_block_start(),
                    LonghandId::ScrollMarginBottom => self.clone_scroll_margin_bottom(),
                    LonghandId::ScrollMarginInlineEnd => self.clone_scroll_margin_inline_end(),
                    LonghandId::ScrollMarginInlineStart => self.clone_scroll_margin_inline_start(),
                    LonghandId::ScrollMarginLeft => self.clone_scroll_margin_left(),
                    LonghandId::ScrollMarginRight => self.clone_scroll_margin_right(),
                    LonghandId::ScrollMarginTop => self.clone_scroll_margin_top(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::Bottom |
LonghandId::InsetBlockEnd |
LonghandId::InsetBlockStart |
LonghandId::InsetInlineEnd |
LonghandId::InsetInlineStart |
LonghandId::Left |
LonghandId::MarginBlockEnd |
LonghandId::MarginBlockStart |
LonghandId::MarginBottom |
LonghandId::MarginInlineEnd |
LonghandId::MarginInlineStart |
LonghandId::MarginLeft |
LonghandId::MarginRight |
LonghandId::MarginTop |
LonghandId::Right |
LonghandId::TextUnderlineOffset |
LonghandId::Top => {
                let value = match property_id {
                    LonghandId::Bottom => self.clone_bottom(),
                    LonghandId::InsetBlockEnd => self.clone_inset_block_end(),
                    LonghandId::InsetBlockStart => self.clone_inset_block_start(),
                    LonghandId::InsetInlineEnd => self.clone_inset_inline_end(),
                    LonghandId::InsetInlineStart => self.clone_inset_inline_start(),
                    LonghandId::Left => self.clone_left(),
                    LonghandId::MarginBlockEnd => self.clone_margin_block_end(),
                    LonghandId::MarginBlockStart => self.clone_margin_block_start(),
                    LonghandId::MarginBottom => self.clone_margin_bottom(),
                    LonghandId::MarginInlineEnd => self.clone_margin_inline_end(),
                    LonghandId::MarginInlineStart => self.clone_margin_inline_start(),
                    LonghandId::MarginLeft => self.clone_margin_left(),
                    LonghandId::MarginRight => self.clone_margin_right(),
                    LonghandId::MarginTop => self.clone_margin_top(),
                    LonghandId::Right => self.clone_right(),
                    LonghandId::TextUnderlineOffset => self.clone_text_underline_offset(),
                    LonghandId::Top => self.clone_top(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
            
            LonghandId::BackgroundColor |
LonghandId::BorderBlockEndColor |
LonghandId::BorderBlockStartColor |
LonghandId::BorderBottomColor |
LonghandId::BorderInlineEndColor |
LonghandId::BorderInlineStartColor |
LonghandId::BorderLeftColor |
LonghandId::BorderRightColor |
LonghandId::BorderTopColor |
LonghandId::ColumnRuleColor |
LonghandId::FloodColor |
LonghandId::LightingColor |
LonghandId::OutlineColor |
LonghandId::StopColor |
LonghandId::TextDecorationColor |
LonghandId::TextEmphasisColor |
LonghandId::WebkitTextFillColor |
LonghandId::WebkitTextStrokeColor => {
                let value = match property_id {
                    LonghandId::BackgroundColor => self.clone_background_color(),
                    LonghandId::BorderBlockEndColor => self.clone_border_block_end_color(),
                    LonghandId::BorderBlockStartColor => self.clone_border_block_start_color(),
                    LonghandId::BorderBottomColor => self.clone_border_bottom_color(),
                    LonghandId::BorderInlineEndColor => self.clone_border_inline_end_color(),
                    LonghandId::BorderInlineStartColor => self.clone_border_inline_start_color(),
                    LonghandId::BorderLeftColor => self.clone_border_left_color(),
                    LonghandId::BorderRightColor => self.clone_border_right_color(),
                    LonghandId::BorderTopColor => self.clone_border_top_color(),
                    LonghandId::ColumnRuleColor => self.clone_column_rule_color(),
                    LonghandId::FloodColor => self.clone_flood_color(),
                    LonghandId::LightingColor => self.clone_lighting_color(),
                    LonghandId::OutlineColor => self.clone_outline_color(),
                    LonghandId::StopColor => self.clone_stop_color(),
                    LonghandId::TextDecorationColor => self.clone_text_decoration_color(),
                    LonghandId::TextEmphasisColor => self.clone_text_emphasis_color(),
                    LonghandId::WebkitTextFillColor => self.clone__webkit_text_fill_color(),
                    LonghandId::WebkitTextStrokeColor => self.clone__webkit_text_stroke_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    value.to_resolved_value(c).to_css(&mut dest)
                } else {
                    value.to_css(&mut dest)
                }
            }
        }
    }

    /// Returns the given longhand's resolved value as a property declaration.
    pub fn computed_or_resolved_declaration(
        &self,
        property_id: LonghandId,
        context: Option<&resolved::Context>,
    ) -> PropertyDeclaration {
        use crate::values::resolved::ToResolvedValue;
        use crate::values::computed::ToComputedValue;
        match property_id {
            
            LonghandId::AlignContent => {
                let mut computed_value = match property_id {
                    LonghandId::AlignContent => self.clone_align_content(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AlignContent(specified)
            }
            
            LonghandId::AlignItems => {
                let mut computed_value = match property_id {
                    LonghandId::AlignItems => self.clone_align_items(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AlignItems(specified)
            }
            
            LonghandId::AlignSelf => {
                let mut computed_value = match property_id {
                    LonghandId::AlignSelf => self.clone_align_self(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AlignSelf(specified)
            }
            
            LonghandId::AspectRatio => {
                let mut computed_value = match property_id {
                    LonghandId::AspectRatio => self.clone_aspect_ratio(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AspectRatio(specified)
            }
            
            LonghandId::BackfaceVisibility => {
                let mut computed_value = match property_id {
                    LonghandId::BackfaceVisibility => self.clone_backface_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackfaceVisibility(specified)
            }
            
            LonghandId::BaselineSource => {
                let mut computed_value = match property_id {
                    LonghandId::BaselineSource => self.clone_baseline_source(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BaselineSource(specified)
            }
            
            LonghandId::BorderCollapse => {
                let mut computed_value = match property_id {
                    LonghandId::BorderCollapse => self.clone_border_collapse(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BorderCollapse(specified)
            }
            
            LonghandId::BorderImageRepeat => {
                let mut computed_value = match property_id {
                    LonghandId::BorderImageRepeat => self.clone_border_image_repeat(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BorderImageRepeat(specified)
            }
            
            LonghandId::BoxDecorationBreak => {
                let mut computed_value = match property_id {
                    LonghandId::BoxDecorationBreak => self.clone_box_decoration_break(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BoxDecorationBreak(specified)
            }
            
            LonghandId::BoxSizing => {
                let mut computed_value = match property_id {
                    LonghandId::BoxSizing => self.clone_box_sizing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BoxSizing(specified)
            }
            
            LonghandId::BreakInside => {
                let mut computed_value = match property_id {
                    LonghandId::BreakInside => self.clone_break_inside(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BreakInside(specified)
            }
            
            LonghandId::CaptionSide => {
                let mut computed_value = match property_id {
                    LonghandId::CaptionSide => self.clone_caption_side(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::CaptionSide(specified)
            }
            
            LonghandId::Clear => {
                let mut computed_value = match property_id {
                    LonghandId::Clear => self.clone_clear(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Clear(specified)
            }
            
            LonghandId::ColorInterpolation => {
                let mut computed_value = match property_id {
                    LonghandId::ColorInterpolation => self.clone_color_interpolation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColorInterpolation(specified)
            }
            
            LonghandId::ColorInterpolationFilters => {
                let mut computed_value = match property_id {
                    LonghandId::ColorInterpolationFilters => self.clone_color_interpolation_filters(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColorInterpolationFilters(specified)
            }
            
            LonghandId::ColumnCount => {
                let mut computed_value = match property_id {
                    LonghandId::ColumnCount => self.clone_column_count(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColumnCount(specified)
            }
            
            LonghandId::ColumnFill => {
                let mut computed_value = match property_id {
                    LonghandId::ColumnFill => self.clone_column_fill(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColumnFill(specified)
            }
            
            LonghandId::ColumnSpan => {
                let mut computed_value = match property_id {
                    LonghandId::ColumnSpan => self.clone_column_span(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColumnSpan(specified)
            }
            
            LonghandId::Contain => {
                let mut computed_value = match property_id {
                    LonghandId::Contain => self.clone_contain(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Contain(specified)
            }
            
            LonghandId::ContainerType => {
                let mut computed_value = match property_id {
                    LonghandId::ContainerType => self.clone_container_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ContainerType(specified)
            }
            
            LonghandId::ContentVisibility => {
                let mut computed_value = match property_id {
                    LonghandId::ContentVisibility => self.clone_content_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ContentVisibility(specified)
            }
            
            LonghandId::Direction => {
                let mut computed_value = match property_id {
                    LonghandId::Direction => self.clone_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Direction(specified)
            }
            
            LonghandId::Display => {
                let mut computed_value = match property_id {
                    LonghandId::Display => self.clone_display(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Display(specified)
            }
            
            LonghandId::DominantBaseline => {
                let mut computed_value = match property_id {
                    LonghandId::DominantBaseline => self.clone_dominant_baseline(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::DominantBaseline(specified)
            }
            
            LonghandId::EmptyCells => {
                let mut computed_value = match property_id {
                    LonghandId::EmptyCells => self.clone_empty_cells(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::EmptyCells(specified)
            }
            
            LonghandId::FlexDirection => {
                let mut computed_value = match property_id {
                    LonghandId::FlexDirection => self.clone_flex_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FlexDirection(specified)
            }
            
            LonghandId::FlexWrap => {
                let mut computed_value = match property_id {
                    LonghandId::FlexWrap => self.clone_flex_wrap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FlexWrap(specified)
            }
            
            LonghandId::Float => {
                let mut computed_value = match property_id {
                    LonghandId::Float => self.clone_float(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Float(specified)
            }
            
            LonghandId::FontKerning => {
                let mut computed_value = match property_id {
                    LonghandId::FontKerning => self.clone_font_kerning(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontKerning(specified)
            }
            
            LonghandId::FontLanguageOverride => {
                let mut computed_value = match property_id {
                    LonghandId::FontLanguageOverride => self.clone_font_language_override(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontLanguageOverride(specified)
            }
            
            LonghandId::FontOpticalSizing => {
                let mut computed_value = match property_id {
                    LonghandId::FontOpticalSizing => self.clone_font_optical_sizing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontOpticalSizing(specified)
            }
            
            LonghandId::FontSizeAdjust => {
                let mut computed_value = match property_id {
                    LonghandId::FontSizeAdjust => self.clone_font_size_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontSizeAdjust(specified)
            }
            
            LonghandId::FontStretch => {
                let mut computed_value = match property_id {
                    LonghandId::FontStretch => self.clone_font_stretch(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontStretch(specified)
            }
            
            LonghandId::FontStyle => {
                let mut computed_value = match property_id {
                    LonghandId::FontStyle => self.clone_font_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontStyle(specified)
            }
            
            LonghandId::FontVariantCaps => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantCaps => self.clone_font_variant_caps(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantCaps(specified)
            }
            
            LonghandId::FontVariantEastAsian => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantEastAsian => self.clone_font_variant_east_asian(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantEastAsian(specified)
            }
            
            LonghandId::FontVariantEmoji => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantEmoji => self.clone_font_variant_emoji(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantEmoji(specified)
            }
            
            LonghandId::FontVariantLigatures => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantLigatures => self.clone_font_variant_ligatures(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantLigatures(specified)
            }
            
            LonghandId::FontVariantNumeric => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantNumeric => self.clone_font_variant_numeric(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantNumeric(specified)
            }
            
            LonghandId::FontVariantPosition => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantPosition => self.clone_font_variant_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantPosition(specified)
            }
            
            LonghandId::FontWeight => {
                let mut computed_value = match property_id {
                    LonghandId::FontWeight => self.clone_font_weight(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontWeight(specified)
            }
            
            LonghandId::ForcedColorAdjust => {
                let mut computed_value = match property_id {
                    LonghandId::ForcedColorAdjust => self.clone_forced_color_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ForcedColorAdjust(specified)
            }
            
            LonghandId::GridAutoFlow => {
                let mut computed_value = match property_id {
                    LonghandId::GridAutoFlow => self.clone_grid_auto_flow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::GridAutoFlow(specified)
            }
            
            LonghandId::Hyphens => {
                let mut computed_value = match property_id {
                    LonghandId::Hyphens => self.clone_hyphens(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Hyphens(specified)
            }
            
            LonghandId::ImageOrientation => {
                let mut computed_value = match property_id {
                    LonghandId::ImageOrientation => self.clone_image_orientation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ImageOrientation(specified)
            }
            
            LonghandId::ImageRendering => {
                let mut computed_value = match property_id {
                    LonghandId::ImageRendering => self.clone_image_rendering(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ImageRendering(specified)
            }
            
            LonghandId::ImeMode => {
                let mut computed_value = match property_id {
                    LonghandId::ImeMode => self.clone_ime_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ImeMode(specified)
            }
            
            LonghandId::InitialLetter => {
                let mut computed_value = match property_id {
                    LonghandId::InitialLetter => self.clone_initial_letter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::InitialLetter(specified)
            }
            
            LonghandId::Isolation => {
                let mut computed_value = match property_id {
                    LonghandId::Isolation => self.clone_isolation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Isolation(specified)
            }
            
            LonghandId::JustifyContent => {
                let mut computed_value = match property_id {
                    LonghandId::JustifyContent => self.clone_justify_content(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::JustifyContent(specified)
            }
            
            LonghandId::JustifyItems => {
                let mut computed_value = match property_id {
                    LonghandId::JustifyItems => self.clone_justify_items(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::JustifyItems(specified)
            }
            
            LonghandId::JustifySelf => {
                let mut computed_value = match property_id {
                    LonghandId::JustifySelf => self.clone_justify_self(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::JustifySelf(specified)
            }
            
            LonghandId::LineBreak => {
                let mut computed_value = match property_id {
                    LonghandId::LineBreak => self.clone_line_break(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::LineBreak(specified)
            }
            
            LonghandId::ListStylePosition => {
                let mut computed_value = match property_id {
                    LonghandId::ListStylePosition => self.clone_list_style_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ListStylePosition(specified)
            }
            
            LonghandId::MaskType => {
                let mut computed_value = match property_id {
                    LonghandId::MaskType => self.clone_mask_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskType(specified)
            }
            
            LonghandId::MasonryAutoFlow => {
                let mut computed_value = match property_id {
                    LonghandId::MasonryAutoFlow => self.clone_masonry_auto_flow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MasonryAutoFlow(specified)
            }
            
            LonghandId::MathDepth => {
                let mut computed_value = match property_id {
                    LonghandId::MathDepth => self.clone_math_depth(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MathDepth(specified)
            }
            
            LonghandId::MathStyle => {
                let mut computed_value = match property_id {
                    LonghandId::MathStyle => self.clone_math_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MathStyle(specified)
            }
            
            LonghandId::MixBlendMode => {
                let mut computed_value = match property_id {
                    LonghandId::MixBlendMode => self.clone_mix_blend_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MixBlendMode(specified)
            }
            
            LonghandId::MozBoxAlign => {
                let mut computed_value = match property_id {
                    LonghandId::MozBoxAlign => self.clone__moz_box_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozBoxAlign(specified)
            }
            
            LonghandId::MozBoxCollapse => {
                let mut computed_value = match property_id {
                    LonghandId::MozBoxCollapse => self.clone__moz_box_collapse(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozBoxCollapse(specified)
            }
            
            LonghandId::MozBoxDirection => {
                let mut computed_value = match property_id {
                    LonghandId::MozBoxDirection => self.clone__moz_box_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozBoxDirection(specified)
            }
            
            LonghandId::MozBoxOrient => {
                let mut computed_value = match property_id {
                    LonghandId::MozBoxOrient => self.clone__moz_box_orient(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozBoxOrient(specified)
            }
            
            LonghandId::MozBoxPack => {
                let mut computed_value = match property_id {
                    LonghandId::MozBoxPack => self.clone__moz_box_pack(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozBoxPack(specified)
            }
            
            LonghandId::MozControlCharacterVisibility => {
                let mut computed_value = match property_id {
                    LonghandId::MozControlCharacterVisibility => self.clone__moz_control_character_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozControlCharacterVisibility(specified)
            }
            
            LonghandId::MozFloatEdge => {
                let mut computed_value = match property_id {
                    LonghandId::MozFloatEdge => self.clone__moz_float_edge(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozFloatEdge(specified)
            }
            
            LonghandId::MozInert => {
                let mut computed_value = match property_id {
                    LonghandId::MozInert => self.clone__moz_inert(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozInert(specified)
            }
            
            LonghandId::MozMathVariant => {
                let mut computed_value = match property_id {
                    LonghandId::MozMathVariant => self.clone__moz_math_variant(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozMathVariant(specified)
            }
            
            LonghandId::MozMinFontSizeRatio => {
                let mut computed_value = match property_id {
                    LonghandId::MozMinFontSizeRatio => self.clone__moz_min_font_size_ratio(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozMinFontSizeRatio(specified)
            }
            
            LonghandId::MozOrient => {
                let mut computed_value = match property_id {
                    LonghandId::MozOrient => self.clone__moz_orient(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozOrient(specified)
            }
            
            LonghandId::MozOsxFontSmoothing => {
                let mut computed_value = match property_id {
                    LonghandId::MozOsxFontSmoothing => self.clone__moz_osx_font_smoothing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozOsxFontSmoothing(specified)
            }
            
            LonghandId::MozScriptMinSize => {
                let mut computed_value = match property_id {
                    LonghandId::MozScriptMinSize => self.clone__moz_script_min_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozScriptMinSize(specified)
            }
            
            LonghandId::MozScriptSizeMultiplier => {
                let mut computed_value = match property_id {
                    LonghandId::MozScriptSizeMultiplier => self.clone__moz_script_size_multiplier(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozScriptSizeMultiplier(specified)
            }
            
            LonghandId::MozTextSizeAdjust => {
                let mut computed_value = match property_id {
                    LonghandId::MozTextSizeAdjust => self.clone__moz_text_size_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozTextSizeAdjust(specified)
            }
            
            LonghandId::MozTopLayer => {
                let mut computed_value = match property_id {
                    LonghandId::MozTopLayer => self.clone__moz_top_layer(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozTopLayer(specified)
            }
            
            LonghandId::MozUserFocus => {
                let mut computed_value = match property_id {
                    LonghandId::MozUserFocus => self.clone__moz_user_focus(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozUserFocus(specified)
            }
            
            LonghandId::MozUserInput => {
                let mut computed_value = match property_id {
                    LonghandId::MozUserInput => self.clone__moz_user_input(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozUserInput(specified)
            }
            
            LonghandId::MozUserModify => {
                let mut computed_value = match property_id {
                    LonghandId::MozUserModify => self.clone__moz_user_modify(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozUserModify(specified)
            }
            
            LonghandId::MozWindowDragging => {
                let mut computed_value = match property_id {
                    LonghandId::MozWindowDragging => self.clone__moz_window_dragging(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozWindowDragging(specified)
            }
            
            LonghandId::MozWindowShadow => {
                let mut computed_value = match property_id {
                    LonghandId::MozWindowShadow => self.clone__moz_window_shadow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozWindowShadow(specified)
            }
            
            LonghandId::ObjectFit => {
                let mut computed_value = match property_id {
                    LonghandId::ObjectFit => self.clone_object_fit(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ObjectFit(specified)
            }
            
            LonghandId::OffsetRotate => {
                let mut computed_value = match property_id {
                    LonghandId::OffsetRotate => self.clone_offset_rotate(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::OffsetRotate(specified)
            }
            
            LonghandId::OutlineStyle => {
                let mut computed_value = match property_id {
                    LonghandId::OutlineStyle => self.clone_outline_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::OutlineStyle(specified)
            }
            
            LonghandId::OverflowAnchor => {
                let mut computed_value = match property_id {
                    LonghandId::OverflowAnchor => self.clone_overflow_anchor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::OverflowAnchor(specified)
            }
            
            LonghandId::OverflowWrap => {
                let mut computed_value = match property_id {
                    LonghandId::OverflowWrap => self.clone_overflow_wrap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::OverflowWrap(specified)
            }
            
            LonghandId::PageOrientation => {
                let mut computed_value = match property_id {
                    LonghandId::PageOrientation => self.clone_page_orientation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::PageOrientation(specified)
            }
            
            LonghandId::PaintOrder => {
                let mut computed_value = match property_id {
                    LonghandId::PaintOrder => self.clone_paint_order(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::PaintOrder(specified)
            }
            
            LonghandId::PointerEvents => {
                let mut computed_value = match property_id {
                    LonghandId::PointerEvents => self.clone_pointer_events(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::PointerEvents(specified)
            }
            
            LonghandId::Position => {
                let mut computed_value = match property_id {
                    LonghandId::Position => self.clone_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Position(specified)
            }
            
            LonghandId::PrintColorAdjust => {
                let mut computed_value = match property_id {
                    LonghandId::PrintColorAdjust => self.clone_print_color_adjust(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::PrintColorAdjust(specified)
            }
            
            LonghandId::Resize => {
                let mut computed_value = match property_id {
                    LonghandId::Resize => self.clone_resize(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Resize(specified)
            }
            
            LonghandId::RubyAlign => {
                let mut computed_value = match property_id {
                    LonghandId::RubyAlign => self.clone_ruby_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::RubyAlign(specified)
            }
            
            LonghandId::RubyPosition => {
                let mut computed_value = match property_id {
                    LonghandId::RubyPosition => self.clone_ruby_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::RubyPosition(specified)
            }
            
            LonghandId::ScrollBehavior => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollBehavior => self.clone_scroll_behavior(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollBehavior(specified)
            }
            
            LonghandId::ScrollSnapAlign => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollSnapAlign => self.clone_scroll_snap_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollSnapAlign(specified)
            }
            
            LonghandId::ScrollSnapStop => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollSnapStop => self.clone_scroll_snap_stop(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollSnapStop(specified)
            }
            
            LonghandId::ScrollSnapType => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollSnapType => self.clone_scroll_snap_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollSnapType(specified)
            }
            
            LonghandId::ScrollbarGutter => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollbarGutter => self.clone_scrollbar_gutter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollbarGutter(specified)
            }
            
            LonghandId::ScrollbarWidth => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollbarWidth => self.clone_scrollbar_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollbarWidth(specified)
            }
            
            LonghandId::ShapeRendering => {
                let mut computed_value = match property_id {
                    LonghandId::ShapeRendering => self.clone_shape_rendering(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ShapeRendering(specified)
            }
            
            LonghandId::StrokeLinecap => {
                let mut computed_value = match property_id {
                    LonghandId::StrokeLinecap => self.clone_stroke_linecap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::StrokeLinecap(specified)
            }
            
            LonghandId::StrokeLinejoin => {
                let mut computed_value = match property_id {
                    LonghandId::StrokeLinejoin => self.clone_stroke_linejoin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::StrokeLinejoin(specified)
            }
            
            LonghandId::TableLayout => {
                let mut computed_value = match property_id {
                    LonghandId::TableLayout => self.clone_table_layout(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TableLayout(specified)
            }
            
            LonghandId::TextAlign => {
                let mut computed_value = match property_id {
                    LonghandId::TextAlign => self.clone_text_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextAlign(specified)
            }
            
            LonghandId::TextAlignLast => {
                let mut computed_value = match property_id {
                    LonghandId::TextAlignLast => self.clone_text_align_last(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextAlignLast(specified)
            }
            
            LonghandId::TextAnchor => {
                let mut computed_value = match property_id {
                    LonghandId::TextAnchor => self.clone_text_anchor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextAnchor(specified)
            }
            
            LonghandId::TextCombineUpright => {
                let mut computed_value = match property_id {
                    LonghandId::TextCombineUpright => self.clone_text_combine_upright(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextCombineUpright(specified)
            }
            
            LonghandId::TextDecorationLine => {
                let mut computed_value = match property_id {
                    LonghandId::TextDecorationLine => self.clone_text_decoration_line(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextDecorationLine(specified)
            }
            
            LonghandId::TextDecorationSkipInk => {
                let mut computed_value = match property_id {
                    LonghandId::TextDecorationSkipInk => self.clone_text_decoration_skip_ink(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextDecorationSkipInk(specified)
            }
            
            LonghandId::TextDecorationStyle => {
                let mut computed_value = match property_id {
                    LonghandId::TextDecorationStyle => self.clone_text_decoration_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextDecorationStyle(specified)
            }
            
            LonghandId::TextEmphasisPosition => {
                let mut computed_value = match property_id {
                    LonghandId::TextEmphasisPosition => self.clone_text_emphasis_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextEmphasisPosition(specified)
            }
            
            LonghandId::TextJustify => {
                let mut computed_value = match property_id {
                    LonghandId::TextJustify => self.clone_text_justify(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextJustify(specified)
            }
            
            LonghandId::TextOrientation => {
                let mut computed_value = match property_id {
                    LonghandId::TextOrientation => self.clone_text_orientation(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextOrientation(specified)
            }
            
            LonghandId::TextRendering => {
                let mut computed_value = match property_id {
                    LonghandId::TextRendering => self.clone_text_rendering(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextRendering(specified)
            }
            
            LonghandId::TextTransform => {
                let mut computed_value = match property_id {
                    LonghandId::TextTransform => self.clone_text_transform(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextTransform(specified)
            }
            
            LonghandId::TextUnderlinePosition => {
                let mut computed_value = match property_id {
                    LonghandId::TextUnderlinePosition => self.clone_text_underline_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextUnderlinePosition(specified)
            }
            
            LonghandId::TouchAction => {
                let mut computed_value = match property_id {
                    LonghandId::TouchAction => self.clone_touch_action(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TouchAction(specified)
            }
            
            LonghandId::TransformBox => {
                let mut computed_value = match property_id {
                    LonghandId::TransformBox => self.clone_transform_box(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TransformBox(specified)
            }
            
            LonghandId::TransformStyle => {
                let mut computed_value = match property_id {
                    LonghandId::TransformStyle => self.clone_transform_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TransformStyle(specified)
            }
            
            LonghandId::UnicodeBidi => {
                let mut computed_value = match property_id {
                    LonghandId::UnicodeBidi => self.clone_unicode_bidi(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::UnicodeBidi(specified)
            }
            
            LonghandId::UserSelect => {
                let mut computed_value = match property_id {
                    LonghandId::UserSelect => self.clone_user_select(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::UserSelect(specified)
            }
            
            LonghandId::VectorEffect => {
                let mut computed_value = match property_id {
                    LonghandId::VectorEffect => self.clone_vector_effect(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::VectorEffect(specified)
            }
            
            LonghandId::Visibility => {
                let mut computed_value = match property_id {
                    LonghandId::Visibility => self.clone_visibility(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Visibility(specified)
            }
            
            LonghandId::WebkitLineClamp => {
                let mut computed_value = match property_id {
                    LonghandId::WebkitLineClamp => self.clone__webkit_line_clamp(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WebkitLineClamp(specified)
            }
            
            LonghandId::WebkitTextSecurity => {
                let mut computed_value = match property_id {
                    LonghandId::WebkitTextSecurity => self.clone__webkit_text_security(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WebkitTextSecurity(specified)
            }
            
            LonghandId::WhiteSpace => {
                let mut computed_value = match property_id {
                    LonghandId::WhiteSpace => self.clone_white_space(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WhiteSpace(specified)
            }
            
            LonghandId::WordBreak => {
                let mut computed_value = match property_id {
                    LonghandId::WordBreak => self.clone_word_break(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WordBreak(specified)
            }
            
            LonghandId::WritingMode => {
                let mut computed_value = match property_id {
                    LonghandId::WritingMode => self.clone_writing_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WritingMode(specified)
            }
            
            LonghandId::XTextScale => {
                let mut computed_value = match property_id {
                    LonghandId::XTextScale => self.clone__x_text_scale(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::XTextScale(specified)
            }
            
            LonghandId::ZIndex => {
                let mut computed_value = match property_id {
                    LonghandId::ZIndex => self.clone_z_index(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ZIndex(specified)
            }
            
            LonghandId::Appearance |
LonghandId::MozDefaultAppearance => {
                let mut computed_value = match property_id {
                    LonghandId::Appearance => self.clone_appearance(),
                    LonghandId::MozDefaultAppearance => self.clone__moz_default_appearance(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Appearance>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MozForceBrokenImageIcon |
LonghandId::MozSubtreeHiddenOnlyVisually => {
                let mut computed_value = match property_id {
                    LonghandId::MozForceBrokenImageIcon => self.clone__moz_force_broken_image_icon(),
                    LonghandId::MozSubtreeHiddenOnlyVisually => self.clone__moz_subtree_hidden_only_visually(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BoolInteger>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BreakAfter |
LonghandId::BreakBefore => {
                let mut computed_value = match property_id {
                    LonghandId::BreakAfter => self.clone_break_after(),
                    LonghandId::BreakBefore => self.clone_break_before(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BreakBetween>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::ClipRule |
LonghandId::FillRule => {
                let mut computed_value = match property_id {
                    LonghandId::ClipRule => self.clone_clip_rule(),
                    LonghandId::FillRule => self.clone_fill_rule(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::FillRule>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::OverflowClipBoxBlock |
LonghandId::OverflowClipBoxInline => {
                let mut computed_value = match property_id {
                    LonghandId::OverflowClipBoxBlock => self.clone_overflow_clip_box_block(),
                    LonghandId::OverflowClipBoxInline => self.clone_overflow_clip_box_inline(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::OverflowClipBox>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::FillOpacity |
LonghandId::StrokeOpacity => {
                let mut computed_value = match property_id {
                    LonghandId::FillOpacity => self.clone_fill_opacity(),
                    LonghandId::StrokeOpacity => self.clone_stroke_opacity(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::SVGOpacity>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::FontSynthesisSmallCaps |
LonghandId::FontSynthesisStyle |
LonghandId::FontSynthesisWeight => {
                let mut computed_value = match property_id {
                    LonghandId::FontSynthesisSmallCaps => self.clone_font_synthesis_small_caps(),
                    LonghandId::FontSynthesisStyle => self.clone_font_synthesis_style(),
                    LonghandId::FontSynthesisWeight => self.clone_font_synthesis_weight(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::FontSynthesis>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MozBoxOrdinalGroup |
LonghandId::Order |
LonghandId::XSpan => {
                let mut computed_value = match property_id {
                    LonghandId::MozBoxOrdinalGroup => self.clone__moz_box_ordinal_group(),
                    LonghandId::Order => self.clone_order(),
                    LonghandId::XSpan => self.clone__x_span(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Integer>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::FlexGrow |
LonghandId::FlexShrink |
LonghandId::MozBoxFlex |
LonghandId::StrokeMiterlimit => {
                let mut computed_value = match property_id {
                    LonghandId::FlexGrow => self.clone_flex_grow(),
                    LonghandId::FlexShrink => self.clone_flex_shrink(),
                    LonghandId::MozBoxFlex => self.clone__moz_box_flex(),
                    LonghandId::StrokeMiterlimit => self.clone_stroke_miterlimit(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeNumber>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::OverflowBlock |
LonghandId::OverflowInline |
LonghandId::OverflowX |
LonghandId::OverflowY => {
                let mut computed_value = match property_id {
                    LonghandId::OverflowBlock => self.clone_overflow_block(),
                    LonghandId::OverflowInline => self.clone_overflow_inline(),
                    LonghandId::OverflowX => self.clone_overflow_x(),
                    LonghandId::OverflowY => self.clone_overflow_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Overflow>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::OverscrollBehaviorBlock |
LonghandId::OverscrollBehaviorInline |
LonghandId::OverscrollBehaviorX |
LonghandId::OverscrollBehaviorY => {
                let mut computed_value = match property_id {
                    LonghandId::OverscrollBehaviorBlock => self.clone_overscroll_behavior_block(),
                    LonghandId::OverscrollBehaviorInline => self.clone_overscroll_behavior_inline(),
                    LonghandId::OverscrollBehaviorX => self.clone_overscroll_behavior_x(),
                    LonghandId::OverscrollBehaviorY => self.clone_overscroll_behavior_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::OverscrollBehavior>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::FloodOpacity |
LonghandId::MozWindowOpacity |
LonghandId::Opacity |
LonghandId::ShapeImageThreshold |
LonghandId::StopOpacity => {
                let mut computed_value = match property_id {
                    LonghandId::FloodOpacity => self.clone_flood_opacity(),
                    LonghandId::MozWindowOpacity => self.clone__moz_window_opacity(),
                    LonghandId::Opacity => self.clone_opacity(),
                    LonghandId::ShapeImageThreshold => self.clone_shape_image_threshold(),
                    LonghandId::StopOpacity => self.clone_stop_opacity(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Opacity>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BorderBlockEndStyle |
LonghandId::BorderBlockStartStyle |
LonghandId::BorderBottomStyle |
LonghandId::BorderInlineEndStyle |
LonghandId::BorderInlineStartStyle |
LonghandId::BorderLeftStyle |
LonghandId::BorderRightStyle |
LonghandId::BorderTopStyle |
LonghandId::ColumnRuleStyle => {
                let mut computed_value = match property_id {
                    LonghandId::BorderBlockEndStyle => self.clone_border_block_end_style(),
                    LonghandId::BorderBlockStartStyle => self.clone_border_block_start_style(),
                    LonghandId::BorderBottomStyle => self.clone_border_bottom_style(),
                    LonghandId::BorderInlineEndStyle => self.clone_border_inline_end_style(),
                    LonghandId::BorderInlineStartStyle => self.clone_border_inline_start_style(),
                    LonghandId::BorderLeftStyle => self.clone_border_left_style(),
                    LonghandId::BorderRightStyle => self.clone_border_right_style(),
                    LonghandId::BorderTopStyle => self.clone_border_top_style(),
                    LonghandId::ColumnRuleStyle => self.clone_column_rule_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BorderStyle>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::AccentColor => {
                let mut computed_value = match property_id {
                    LonghandId::AccentColor => self.clone_accent_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AccentColor(specified)
            }
            
            LonghandId::AlignTracks => {
                let mut computed_value = match property_id {
                    LonghandId::AlignTracks => self.clone_align_tracks(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AlignTracks(specified)
            }
            
            LonghandId::AnimationComposition => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationComposition => self.clone_animation_composition(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationComposition(specified)
            }
            
            LonghandId::AnimationDelay => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationDelay => self.clone_animation_delay(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationDelay(specified)
            }
            
            LonghandId::AnimationDirection => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationDirection => self.clone_animation_direction(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationDirection(specified)
            }
            
            LonghandId::AnimationDuration => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationDuration => self.clone_animation_duration(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationDuration(specified)
            }
            
            LonghandId::AnimationFillMode => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationFillMode => self.clone_animation_fill_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationFillMode(specified)
            }
            
            LonghandId::AnimationIterationCount => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationIterationCount => self.clone_animation_iteration_count(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationIterationCount(specified)
            }
            
            LonghandId::AnimationName => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationName => self.clone_animation_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationName(specified)
            }
            
            LonghandId::AnimationPlayState => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationPlayState => self.clone_animation_play_state(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationPlayState(specified)
            }
            
            LonghandId::AnimationTimeline => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationTimeline => self.clone_animation_timeline(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationTimeline(specified)
            }
            
            LonghandId::AnimationTimingFunction => {
                let mut computed_value = match property_id {
                    LonghandId::AnimationTimingFunction => self.clone_animation_timing_function(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::AnimationTimingFunction(specified)
            }
            
            LonghandId::BackdropFilter => {
                let mut computed_value = match property_id {
                    LonghandId::BackdropFilter => self.clone_backdrop_filter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackdropFilter(specified)
            }
            
            LonghandId::BackgroundAttachment => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundAttachment => self.clone_background_attachment(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundAttachment(specified)
            }
            
            LonghandId::BackgroundBlendMode => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundBlendMode => self.clone_background_blend_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundBlendMode(specified)
            }
            
            LonghandId::BackgroundClip => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundClip => self.clone_background_clip(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundClip(specified)
            }
            
            LonghandId::BackgroundImage => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundImage => self.clone_background_image(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundImage(specified)
            }
            
            LonghandId::BackgroundOrigin => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundOrigin => self.clone_background_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundOrigin(specified)
            }
            
            LonghandId::BackgroundPositionX => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundPositionX => self.clone_background_position_x(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundPositionX(specified)
            }
            
            LonghandId::BackgroundPositionY => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundPositionY => self.clone_background_position_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundPositionY(specified)
            }
            
            LonghandId::BackgroundRepeat => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundRepeat => self.clone_background_repeat(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundRepeat(specified)
            }
            
            LonghandId::BackgroundSize => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundSize => self.clone_background_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BackgroundSize(specified)
            }
            
            LonghandId::BorderImageOutset => {
                let mut computed_value = match property_id {
                    LonghandId::BorderImageOutset => self.clone_border_image_outset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::BorderImageOutset(specified)
            }
            
            LonghandId::BorderImageSlice => {
                let mut computed_value = match property_id {
                    LonghandId::BorderImageSlice => self.clone_border_image_slice(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::BorderImageSlice(specified)
            }
            
            LonghandId::BorderImageWidth => {
                let mut computed_value = match property_id {
                    LonghandId::BorderImageWidth => self.clone_border_image_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::BorderImageWidth(specified)
            }
            
            LonghandId::BorderSpacing => {
                let mut computed_value = match property_id {
                    LonghandId::BorderSpacing => self.clone_border_spacing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::BorderSpacing(specified)
            }
            
            LonghandId::BoxShadow => {
                let mut computed_value = match property_id {
                    LonghandId::BoxShadow => self.clone_box_shadow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::BoxShadow(specified)
            }
            
            LonghandId::CaretColor => {
                let mut computed_value = match property_id {
                    LonghandId::CaretColor => self.clone_caret_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::CaretColor(specified)
            }
            
            LonghandId::Clip => {
                let mut computed_value = match property_id {
                    LonghandId::Clip => self.clone_clip(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::Clip(specified)
            }
            
            LonghandId::ClipPath => {
                let mut computed_value = match property_id {
                    LonghandId::ClipPath => self.clone_clip_path(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ClipPath(specified)
            }
            
            LonghandId::Color => {
                let mut computed_value = match property_id {
                    LonghandId::Color => self.clone_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Color(specified)
            }
            
            LonghandId::ColorScheme => {
                let mut computed_value = match property_id {
                    LonghandId::ColorScheme => self.clone_color_scheme(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColorScheme(specified)
            }
            
            LonghandId::ColumnWidth => {
                let mut computed_value = match property_id {
                    LonghandId::ColumnWidth => self.clone_column_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ColumnWidth(specified)
            }
            
            LonghandId::ContainerName => {
                let mut computed_value = match property_id {
                    LonghandId::ContainerName => self.clone_container_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ContainerName(specified)
            }
            
            LonghandId::Content => {
                let mut computed_value = match property_id {
                    LonghandId::Content => self.clone_content(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Content(specified)
            }
            
            LonghandId::CounterIncrement => {
                let mut computed_value = match property_id {
                    LonghandId::CounterIncrement => self.clone_counter_increment(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::CounterIncrement(specified)
            }
            
            LonghandId::CounterReset => {
                let mut computed_value = match property_id {
                    LonghandId::CounterReset => self.clone_counter_reset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::CounterReset(specified)
            }
            
            LonghandId::CounterSet => {
                let mut computed_value = match property_id {
                    LonghandId::CounterSet => self.clone_counter_set(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::CounterSet(specified)
            }
            
            LonghandId::Cursor => {
                let mut computed_value = match property_id {
                    LonghandId::Cursor => self.clone_cursor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Cursor(specified)
            }
            
            LonghandId::D => {
                let mut computed_value = match property_id {
                    LonghandId::D => self.clone_d(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::D(specified)
            }
            
            LonghandId::Filter => {
                let mut computed_value = match property_id {
                    LonghandId::Filter => self.clone_filter(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Filter(specified)
            }
            
            LonghandId::FlexBasis => {
                let mut computed_value = match property_id {
                    LonghandId::FlexBasis => self.clone_flex_basis(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::FlexBasis(specified)
            }
            
            LonghandId::FontFamily => {
                let mut computed_value = match property_id {
                    LonghandId::FontFamily => self.clone_font_family(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontFamily(specified)
            }
            
            LonghandId::FontFeatureSettings => {
                let mut computed_value = match property_id {
                    LonghandId::FontFeatureSettings => self.clone_font_feature_settings(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontFeatureSettings(specified)
            }
            
            LonghandId::FontPalette => {
                let mut computed_value = match property_id {
                    LonghandId::FontPalette => self.clone_font_palette(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontPalette(specified)
            }
            
            LonghandId::FontSize => {
                let mut computed_value = match property_id {
                    LonghandId::FontSize => self.clone_font_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontSize(specified)
            }
            
            LonghandId::FontVariantAlternates => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariantAlternates => self.clone_font_variant_alternates(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariantAlternates(specified)
            }
            
            LonghandId::FontVariationSettings => {
                let mut computed_value = match property_id {
                    LonghandId::FontVariationSettings => self.clone_font_variation_settings(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::FontVariationSettings(specified)
            }
            
            LonghandId::GridTemplateAreas => {
                let mut computed_value = match property_id {
                    LonghandId::GridTemplateAreas => self.clone_grid_template_areas(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::GridTemplateAreas(specified)
            }
            
            LonghandId::HyphenateCharacter => {
                let mut computed_value = match property_id {
                    LonghandId::HyphenateCharacter => self.clone_hyphenate_character(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::HyphenateCharacter(specified)
            }
            
            LonghandId::JustifyTracks => {
                let mut computed_value = match property_id {
                    LonghandId::JustifyTracks => self.clone_justify_tracks(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::JustifyTracks(specified)
            }
            
            LonghandId::LetterSpacing => {
                let mut computed_value = match property_id {
                    LonghandId::LetterSpacing => self.clone_letter_spacing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::LetterSpacing(specified)
            }
            
            LonghandId::LineHeight => {
                let mut computed_value = match property_id {
                    LonghandId::LineHeight => self.clone_line_height(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::LineHeight(specified)
            }
            
            LonghandId::ListStyleType => {
                let mut computed_value = match property_id {
                    LonghandId::ListStyleType => self.clone_list_style_type(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::ListStyleType(specified)
            }
            
            LonghandId::MaskClip => {
                let mut computed_value = match property_id {
                    LonghandId::MaskClip => self.clone_mask_clip(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskClip(specified)
            }
            
            LonghandId::MaskComposite => {
                let mut computed_value = match property_id {
                    LonghandId::MaskComposite => self.clone_mask_composite(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskComposite(specified)
            }
            
            LonghandId::MaskImage => {
                let mut computed_value = match property_id {
                    LonghandId::MaskImage => self.clone_mask_image(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskImage(specified)
            }
            
            LonghandId::MaskMode => {
                let mut computed_value = match property_id {
                    LonghandId::MaskMode => self.clone_mask_mode(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskMode(specified)
            }
            
            LonghandId::MaskOrigin => {
                let mut computed_value = match property_id {
                    LonghandId::MaskOrigin => self.clone_mask_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskOrigin(specified)
            }
            
            LonghandId::MaskPositionX => {
                let mut computed_value = match property_id {
                    LonghandId::MaskPositionX => self.clone_mask_position_x(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskPositionX(specified)
            }
            
            LonghandId::MaskPositionY => {
                let mut computed_value = match property_id {
                    LonghandId::MaskPositionY => self.clone_mask_position_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskPositionY(specified)
            }
            
            LonghandId::MaskRepeat => {
                let mut computed_value = match property_id {
                    LonghandId::MaskRepeat => self.clone_mask_repeat(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskRepeat(specified)
            }
            
            LonghandId::MaskSize => {
                let mut computed_value = match property_id {
                    LonghandId::MaskSize => self.clone_mask_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MaskSize(specified)
            }
            
            LonghandId::MozContextProperties => {
                let mut computed_value = match property_id {
                    LonghandId::MozContextProperties => self.clone__moz_context_properties(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozContextProperties(specified)
            }
            
            LonghandId::MozFontSmoothingBackgroundColor => {
                let mut computed_value = match property_id {
                    LonghandId::MozFontSmoothingBackgroundColor => self.clone__moz_font_smoothing_background_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::MozFontSmoothingBackgroundColor(specified)
            }
            
            LonghandId::OffsetAnchor => {
                let mut computed_value = match property_id {
                    LonghandId::OffsetAnchor => self.clone_offset_anchor(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::OffsetAnchor(specified)
            }
            
            LonghandId::OffsetPath => {
                let mut computed_value = match property_id {
                    LonghandId::OffsetPath => self.clone_offset_path(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::OffsetPath(specified)
            }
            
            LonghandId::OffsetPosition => {
                let mut computed_value = match property_id {
                    LonghandId::OffsetPosition => self.clone_offset_position(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::OffsetPosition(specified)
            }
            
            LonghandId::Page => {
                let mut computed_value = match property_id {
                    LonghandId::Page => self.clone_page(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Page(specified)
            }
            
            LonghandId::Perspective => {
                let mut computed_value = match property_id {
                    LonghandId::Perspective => self.clone_perspective(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Perspective(specified)
            }
            
            LonghandId::Quotes => {
                let mut computed_value = match property_id {
                    LonghandId::Quotes => self.clone_quotes(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::Quotes(specified)
            }
            
            LonghandId::Rotate => {
                let mut computed_value = match property_id {
                    LonghandId::Rotate => self.clone_rotate(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::Rotate(specified)
            }
            
            LonghandId::Scale => {
                let mut computed_value = match property_id {
                    LonghandId::Scale => self.clone_scale(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::Scale(specified)
            }
            
            LonghandId::ScrollTimelineAxis => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollTimelineAxis => self.clone_scroll_timeline_axis(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollTimelineAxis(specified)
            }
            
            LonghandId::ScrollTimelineName => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollTimelineName => self.clone_scroll_timeline_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ScrollTimelineName(specified)
            }
            
            LonghandId::ScrollbarColor => {
                let mut computed_value = match property_id {
                    LonghandId::ScrollbarColor => self.clone_scrollbar_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::ScrollbarColor(specified)
            }
            
            LonghandId::ShapeOutside => {
                let mut computed_value = match property_id {
                    LonghandId::ShapeOutside => self.clone_shape_outside(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ShapeOutside(specified)
            }
            
            LonghandId::Size => {
                let mut computed_value = match property_id {
                    LonghandId::Size => self.clone_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::Size(specified)
            }
            
            LonghandId::StrokeDasharray => {
                let mut computed_value = match property_id {
                    LonghandId::StrokeDasharray => self.clone_stroke_dasharray(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::StrokeDasharray(specified)
            }
            
            LonghandId::StrokeDashoffset => {
                let mut computed_value = match property_id {
                    LonghandId::StrokeDashoffset => self.clone_stroke_dashoffset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::StrokeDashoffset(specified)
            }
            
            LonghandId::StrokeWidth => {
                let mut computed_value = match property_id {
                    LonghandId::StrokeWidth => self.clone_stroke_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::StrokeWidth(specified)
            }
            
            LonghandId::TabSize => {
                let mut computed_value = match property_id {
                    LonghandId::TabSize => self.clone_tab_size(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TabSize(specified)
            }
            
            LonghandId::TextDecorationThickness => {
                let mut computed_value = match property_id {
                    LonghandId::TextDecorationThickness => self.clone_text_decoration_thickness(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextDecorationThickness(specified)
            }
            
            LonghandId::TextEmphasisStyle => {
                let mut computed_value = match property_id {
                    LonghandId::TextEmphasisStyle => self.clone_text_emphasis_style(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextEmphasisStyle(specified)
            }
            
            LonghandId::TextOverflow => {
                let mut computed_value = match property_id {
                    LonghandId::TextOverflow => self.clone_text_overflow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::TextOverflow(specified)
            }
            
            LonghandId::TextShadow => {
                let mut computed_value = match property_id {
                    LonghandId::TextShadow => self.clone_text_shadow(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TextShadow(specified)
            }
            
            LonghandId::TransitionDelay => {
                let mut computed_value = match property_id {
                    LonghandId::TransitionDelay => self.clone_transition_delay(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TransitionDelay(specified)
            }
            
            LonghandId::TransitionDuration => {
                let mut computed_value = match property_id {
                    LonghandId::TransitionDuration => self.clone_transition_duration(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TransitionDuration(specified)
            }
            
            LonghandId::TransitionProperty => {
                let mut computed_value = match property_id {
                    LonghandId::TransitionProperty => self.clone_transition_property(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TransitionProperty(specified)
            }
            
            LonghandId::TransitionTimingFunction => {
                let mut computed_value = match property_id {
                    LonghandId::TransitionTimingFunction => self.clone_transition_timing_function(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::TransitionTimingFunction(specified)
            }
            
            LonghandId::Translate => {
                let mut computed_value = match property_id {
                    LonghandId::Translate => self.clone_translate(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                PropertyDeclaration::Translate(specified)
            }
            
            LonghandId::VerticalAlign => {
                let mut computed_value = match property_id {
                    LonghandId::VerticalAlign => self.clone_vertical_align(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::VerticalAlign(specified)
            }
            
            LonghandId::ViewTimelineAxis => {
                let mut computed_value = match property_id {
                    LonghandId::ViewTimelineAxis => self.clone_view_timeline_axis(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ViewTimelineAxis(specified)
            }
            
            LonghandId::ViewTimelineInset => {
                let mut computed_value = match property_id {
                    LonghandId::ViewTimelineInset => self.clone_view_timeline_inset(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ViewTimelineInset(specified)
            }
            
            LonghandId::ViewTimelineName => {
                let mut computed_value = match property_id {
                    LonghandId::ViewTimelineName => self.clone_view_timeline_name(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::ViewTimelineName(specified)
            }
            
            LonghandId::WebkitTextStrokeWidth => {
                let mut computed_value = match property_id {
                    LonghandId::WebkitTextStrokeWidth => self.clone__webkit_text_stroke_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WebkitTextStrokeWidth(specified)
            }
            
            LonghandId::WillChange => {
                let mut computed_value = match property_id {
                    LonghandId::WillChange => self.clone_will_change(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WillChange(specified)
            }
            
            LonghandId::WordSpacing => {
                let mut computed_value = match property_id {
                    LonghandId::WordSpacing => self.clone_word_spacing(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::WordSpacing(specified)
            }
            
            LonghandId::XLang => {
                let mut computed_value = match property_id {
                    LonghandId::XLang => self.clone__x_lang(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                PropertyDeclaration::XLang(specified)
            }
            
            LonghandId::ObjectPosition |
LonghandId::PerspectiveOrigin => {
                let mut computed_value = match property_id {
                    LonghandId::ObjectPosition => self.clone_object_position(),
                    LonghandId::PerspectiveOrigin => self.clone_perspective_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::Position>>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::Fill |
LonghandId::Stroke => {
                let mut computed_value = match property_id {
                    LonghandId::Fill => self.clone_fill(),
                    LonghandId::Stroke => self.clone_stroke(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::SVGPaint>>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MozWindowTransformOrigin |
LonghandId::TransformOrigin => {
                let mut computed_value = match property_id {
                    LonghandId::MozWindowTransformOrigin => self.clone__moz_window_transform_origin(),
                    LonghandId::TransformOrigin => self.clone_transform_origin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::TransformOrigin>>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::GridTemplateColumns |
LonghandId::GridTemplateRows => {
                let mut computed_value = match property_id {
                    LonghandId::GridTemplateColumns => self.clone_grid_template_columns(),
                    LonghandId::GridTemplateRows => self.clone_grid_template_rows(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::GridTemplateComponent>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BorderImageSource |
LonghandId::ListStyleImage => {
                let mut computed_value = match property_id {
                    LonghandId::BorderImageSource => self.clone_border_image_source(),
                    LonghandId::ListStyleImage => self.clone_list_style_image(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Image>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::GridAutoColumns |
LonghandId::GridAutoRows => {
                let mut computed_value = match property_id {
                    LonghandId::GridAutoColumns => self.clone_grid_auto_columns(),
                    LonghandId::GridAutoRows => self.clone_grid_auto_rows(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::ImplicitGridTracks>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MozWindowTransform |
LonghandId::Transform => {
                let mut computed_value = match property_id {
                    LonghandId::MozWindowTransform => self.clone__moz_window_transform(),
                    LonghandId::Transform => self.clone_transform(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Transform>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::ColumnGap |
LonghandId::RowGap => {
                let mut computed_value = match property_id {
                    LonghandId::ColumnGap => self.clone_column_gap(),
                    LonghandId::RowGap => self.clone_row_gap(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::length::NonNegativeLengthPercentageOrNormal>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MarkerEnd |
LonghandId::MarkerMid |
LonghandId::MarkerStart => {
                let mut computed_value = match property_id {
                    LonghandId::MarkerEnd => self.clone_marker_end(),
                    LonghandId::MarkerMid => self.clone_marker_mid(),
                    LonghandId::MarkerStart => self.clone_marker_start(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::url::UrlOrNone>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::ContainIntrinsicBlockSize |
LonghandId::ContainIntrinsicHeight |
LonghandId::ContainIntrinsicInlineSize |
LonghandId::ContainIntrinsicWidth => {
                let mut computed_value = match property_id {
                    LonghandId::ContainIntrinsicBlockSize => self.clone_contain_intrinsic_block_size(),
                    LonghandId::ContainIntrinsicHeight => self.clone_contain_intrinsic_height(),
                    LonghandId::ContainIntrinsicInlineSize => self.clone_contain_intrinsic_inline_size(),
                    LonghandId::ContainIntrinsicWidth => self.clone_contain_intrinsic_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::ContainIntrinsicSize>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::GridColumnEnd |
LonghandId::GridColumnStart |
LonghandId::GridRowEnd |
LonghandId::GridRowStart => {
                let mut computed_value = match property_id {
                    LonghandId::GridColumnEnd => self.clone_grid_column_end(),
                    LonghandId::GridColumnStart => self.clone_grid_column_start(),
                    LonghandId::GridRowEnd => self.clone_grid_row_end(),
                    LonghandId::GridRowStart => self.clone_grid_row_start(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::GridLine>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MaxBlockSize |
LonghandId::MaxHeight |
LonghandId::MaxInlineSize |
LonghandId::MaxWidth => {
                let mut computed_value = match property_id {
                    LonghandId::MaxBlockSize => self.clone_max_block_size(),
                    LonghandId::MaxHeight => self.clone_max_height(),
                    LonghandId::MaxInlineSize => self.clone_max_inline_size(),
                    LonghandId::MaxWidth => self.clone_max_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::MaxSize>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::Cx |
LonghandId::Cy |
LonghandId::OffsetDistance |
LonghandId::TextIndent |
LonghandId::X |
LonghandId::Y => {
                let mut computed_value = match property_id {
                    LonghandId::Cx => self.clone_cx(),
                    LonghandId::Cy => self.clone_cy(),
                    LonghandId::OffsetDistance => self.clone_offset_distance(),
                    LonghandId::TextIndent => self.clone_text_indent(),
                    LonghandId::X => self.clone_x(),
                    LonghandId::Y => self.clone_y(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentage>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BorderBottomLeftRadius |
LonghandId::BorderBottomRightRadius |
LonghandId::BorderEndEndRadius |
LonghandId::BorderEndStartRadius |
LonghandId::BorderStartEndRadius |
LonghandId::BorderStartStartRadius |
LonghandId::BorderTopLeftRadius |
LonghandId::BorderTopRightRadius => {
                let mut computed_value = match property_id {
                    LonghandId::BorderBottomLeftRadius => self.clone_border_bottom_left_radius(),
                    LonghandId::BorderBottomRightRadius => self.clone_border_bottom_right_radius(),
                    LonghandId::BorderEndEndRadius => self.clone_border_end_end_radius(),
                    LonghandId::BorderEndStartRadius => self.clone_border_end_start_radius(),
                    LonghandId::BorderStartEndRadius => self.clone_border_start_end_radius(),
                    LonghandId::BorderStartStartRadius => self.clone_border_start_start_radius(),
                    LonghandId::BorderTopLeftRadius => self.clone_border_top_left_radius(),
                    LonghandId::BorderTopRightRadius => self.clone_border_top_right_radius(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                let specified = Box::new(specified);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<Box<crate::values::specified::BorderCornerRadius>>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BlockSize |
LonghandId::Height |
LonghandId::InlineSize |
LonghandId::MinBlockSize |
LonghandId::MinHeight |
LonghandId::MinInlineSize |
LonghandId::MinWidth |
LonghandId::Width => {
                let mut computed_value = match property_id {
                    LonghandId::BlockSize => self.clone_block_size(),
                    LonghandId::Height => self.clone_height(),
                    LonghandId::InlineSize => self.clone_inline_size(),
                    LonghandId::MinBlockSize => self.clone_min_block_size(),
                    LonghandId::MinHeight => self.clone_min_height(),
                    LonghandId::MinInlineSize => self.clone_min_inline_size(),
                    LonghandId::MinWidth => self.clone_min_width(),
                    LonghandId::Width => self.clone_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Size>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BorderBlockEndWidth |
LonghandId::BorderBlockStartWidth |
LonghandId::BorderBottomWidth |
LonghandId::BorderInlineEndWidth |
LonghandId::BorderInlineStartWidth |
LonghandId::BorderLeftWidth |
LonghandId::BorderRightWidth |
LonghandId::BorderTopWidth |
LonghandId::ColumnRuleWidth |
LonghandId::OutlineWidth => {
                let mut computed_value = match property_id {
                    LonghandId::BorderBlockEndWidth => self.clone_border_block_end_width(),
                    LonghandId::BorderBlockStartWidth => self.clone_border_block_start_width(),
                    LonghandId::BorderBottomWidth => self.clone_border_bottom_width(),
                    LonghandId::BorderInlineEndWidth => self.clone_border_inline_end_width(),
                    LonghandId::BorderInlineStartWidth => self.clone_border_inline_start_width(),
                    LonghandId::BorderLeftWidth => self.clone_border_left_width(),
                    LonghandId::BorderRightWidth => self.clone_border_right_width(),
                    LonghandId::BorderTopWidth => self.clone_border_top_width(),
                    LonghandId::ColumnRuleWidth => self.clone_column_rule_width(),
                    LonghandId::OutlineWidth => self.clone_outline_width(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::BorderSideWidth>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::PaddingBlockEnd |
LonghandId::PaddingBlockStart |
LonghandId::PaddingBottom |
LonghandId::PaddingInlineEnd |
LonghandId::PaddingInlineStart |
LonghandId::PaddingLeft |
LonghandId::PaddingRight |
LonghandId::PaddingTop |
LonghandId::R |
LonghandId::ShapeMargin => {
                let mut computed_value = match property_id {
                    LonghandId::PaddingBlockEnd => self.clone_padding_block_end(),
                    LonghandId::PaddingBlockStart => self.clone_padding_block_start(),
                    LonghandId::PaddingBottom => self.clone_padding_bottom(),
                    LonghandId::PaddingInlineEnd => self.clone_padding_inline_end(),
                    LonghandId::PaddingInlineStart => self.clone_padding_inline_start(),
                    LonghandId::PaddingLeft => self.clone_padding_left(),
                    LonghandId::PaddingRight => self.clone_padding_right(),
                    LonghandId::PaddingTop => self.clone_padding_top(),
                    LonghandId::R => self.clone_r(),
                    LonghandId::ShapeMargin => self.clone_shape_margin(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentage>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::Rx |
LonghandId::Ry |
LonghandId::ScrollPaddingBlockEnd |
LonghandId::ScrollPaddingBlockStart |
LonghandId::ScrollPaddingBottom |
LonghandId::ScrollPaddingInlineEnd |
LonghandId::ScrollPaddingInlineStart |
LonghandId::ScrollPaddingLeft |
LonghandId::ScrollPaddingRight |
LonghandId::ScrollPaddingTop => {
                let mut computed_value = match property_id {
                    LonghandId::Rx => self.clone_rx(),
                    LonghandId::Ry => self.clone_ry(),
                    LonghandId::ScrollPaddingBlockEnd => self.clone_scroll_padding_block_end(),
                    LonghandId::ScrollPaddingBlockStart => self.clone_scroll_padding_block_start(),
                    LonghandId::ScrollPaddingBottom => self.clone_scroll_padding_bottom(),
                    LonghandId::ScrollPaddingInlineEnd => self.clone_scroll_padding_inline_end(),
                    LonghandId::ScrollPaddingInlineStart => self.clone_scroll_padding_inline_start(),
                    LonghandId::ScrollPaddingLeft => self.clone_scroll_padding_left(),
                    LonghandId::ScrollPaddingRight => self.clone_scroll_padding_right(),
                    LonghandId::ScrollPaddingTop => self.clone_scroll_padding_top(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::NonNegativeLengthPercentageOrAuto>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::MozWindowInputRegionMargin |
LonghandId::OutlineOffset |
LonghandId::OverflowClipMargin |
LonghandId::ScrollMarginBlockEnd |
LonghandId::ScrollMarginBlockStart |
LonghandId::ScrollMarginBottom |
LonghandId::ScrollMarginInlineEnd |
LonghandId::ScrollMarginInlineStart |
LonghandId::ScrollMarginLeft |
LonghandId::ScrollMarginRight |
LonghandId::ScrollMarginTop => {
                let mut computed_value = match property_id {
                    LonghandId::MozWindowInputRegionMargin => self.clone__moz_window_input_region_margin(),
                    LonghandId::OutlineOffset => self.clone_outline_offset(),
                    LonghandId::OverflowClipMargin => self.clone_overflow_clip_margin(),
                    LonghandId::ScrollMarginBlockEnd => self.clone_scroll_margin_block_end(),
                    LonghandId::ScrollMarginBlockStart => self.clone_scroll_margin_block_start(),
                    LonghandId::ScrollMarginBottom => self.clone_scroll_margin_bottom(),
                    LonghandId::ScrollMarginInlineEnd => self.clone_scroll_margin_inline_end(),
                    LonghandId::ScrollMarginInlineStart => self.clone_scroll_margin_inline_start(),
                    LonghandId::ScrollMarginLeft => self.clone_scroll_margin_left(),
                    LonghandId::ScrollMarginRight => self.clone_scroll_margin_right(),
                    LonghandId::ScrollMarginTop => self.clone_scroll_margin_top(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Length>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::Bottom |
LonghandId::InsetBlockEnd |
LonghandId::InsetBlockStart |
LonghandId::InsetInlineEnd |
LonghandId::InsetInlineStart |
LonghandId::Left |
LonghandId::MarginBlockEnd |
LonghandId::MarginBlockStart |
LonghandId::MarginBottom |
LonghandId::MarginInlineEnd |
LonghandId::MarginInlineStart |
LonghandId::MarginLeft |
LonghandId::MarginRight |
LonghandId::MarginTop |
LonghandId::Right |
LonghandId::TextUnderlineOffset |
LonghandId::Top => {
                let mut computed_value = match property_id {
                    LonghandId::Bottom => self.clone_bottom(),
                    LonghandId::InsetBlockEnd => self.clone_inset_block_end(),
                    LonghandId::InsetBlockStart => self.clone_inset_block_start(),
                    LonghandId::InsetInlineEnd => self.clone_inset_inline_end(),
                    LonghandId::InsetInlineStart => self.clone_inset_inline_start(),
                    LonghandId::Left => self.clone_left(),
                    LonghandId::MarginBlockEnd => self.clone_margin_block_end(),
                    LonghandId::MarginBlockStart => self.clone_margin_block_start(),
                    LonghandId::MarginBottom => self.clone_margin_bottom(),
                    LonghandId::MarginInlineEnd => self.clone_margin_inline_end(),
                    LonghandId::MarginInlineStart => self.clone_margin_inline_start(),
                    LonghandId::MarginLeft => self.clone_margin_left(),
                    LonghandId::MarginRight => self.clone_margin_right(),
                    LonghandId::MarginTop => self.clone_margin_top(),
                    LonghandId::Right => self.clone_right(),
                    LonghandId::TextUnderlineOffset => self.clone_text_underline_offset(),
                    LonghandId::Top => self.clone_top(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::LengthPercentageOrAuto>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
            
            LonghandId::BackgroundColor |
LonghandId::BorderBlockEndColor |
LonghandId::BorderBlockStartColor |
LonghandId::BorderBottomColor |
LonghandId::BorderInlineEndColor |
LonghandId::BorderInlineStartColor |
LonghandId::BorderLeftColor |
LonghandId::BorderRightColor |
LonghandId::BorderTopColor |
LonghandId::ColumnRuleColor |
LonghandId::FloodColor |
LonghandId::LightingColor |
LonghandId::OutlineColor |
LonghandId::StopColor |
LonghandId::TextDecorationColor |
LonghandId::TextEmphasisColor |
LonghandId::WebkitTextFillColor |
LonghandId::WebkitTextStrokeColor => {
                let mut computed_value = match property_id {
                    LonghandId::BackgroundColor => self.clone_background_color(),
                    LonghandId::BorderBlockEndColor => self.clone_border_block_end_color(),
                    LonghandId::BorderBlockStartColor => self.clone_border_block_start_color(),
                    LonghandId::BorderBottomColor => self.clone_border_bottom_color(),
                    LonghandId::BorderInlineEndColor => self.clone_border_inline_end_color(),
                    LonghandId::BorderInlineStartColor => self.clone_border_inline_start_color(),
                    LonghandId::BorderLeftColor => self.clone_border_left_color(),
                    LonghandId::BorderRightColor => self.clone_border_right_color(),
                    LonghandId::BorderTopColor => self.clone_border_top_color(),
                    LonghandId::ColumnRuleColor => self.clone_column_rule_color(),
                    LonghandId::FloodColor => self.clone_flood_color(),
                    LonghandId::LightingColor => self.clone_lighting_color(),
                    LonghandId::OutlineColor => self.clone_outline_color(),
                    LonghandId::StopColor => self.clone_stop_color(),
                    LonghandId::TextDecorationColor => self.clone_text_decoration_color(),
                    LonghandId::TextEmphasisColor => self.clone_text_emphasis_color(),
                    LonghandId::WebkitTextFillColor => self.clone__webkit_text_fill_color(),
                    LonghandId::WebkitTextStrokeColor => self.clone__webkit_text_stroke_color(),
                    _ => unsafe { debug_unreachable!() },
                };
                if let Some(c) = context {
                    let resolved = computed_value.to_resolved_value(c);
                    computed_value = ToResolvedValue::from_resolved_value(resolved);
                }
                let specified = ToComputedValue::from_computed_value(&computed_value);
                unsafe {
                    let mut out = mem::MaybeUninit::uninit();
                    ptr::write(
                        out.as_mut_ptr() as *mut PropertyDeclarationVariantRepr<crate::values::specified::Color>,
                        PropertyDeclarationVariantRepr {
                            tag: property_id as u16,
                            value: specified,
                        },
                    );
                    out.assume_init()
                }
            }
        }
    }

    /// Resolves the currentColor keyword.
    ///
    /// Any color value from computed values (except for the 'color' property
    /// itself) should go through this method.
    ///
    /// Usage example:
    /// let top_color =
    ///   style.resolve_color(style.get_border().clone_border_top_color());
    #[inline]
    pub fn resolve_color(&self, color: computed::Color) -> crate::color::AbsoluteColor {
        let current_color = self.get_inherited_text().clone_color();
        color.resolve_to_absolute(&current_color)
    }

    /// Returns which longhand properties have different values in the two
    /// ComputedValues.
    #[cfg(feature = "gecko_debug")]
    pub fn differing_properties(&self, other: &ComputedValues) -> LonghandIdSet {
        let mut set = LonghandIdSet::new();
        if self.clone_align_content() != other.clone_align_content() {
            set.insert(LonghandId::AlignContent);
        }
        if self.clone_align_items() != other.clone_align_items() {
            set.insert(LonghandId::AlignItems);
        }
        if self.clone_align_self() != other.clone_align_self() {
            set.insert(LonghandId::AlignSelf);
        }
        if self.clone_aspect_ratio() != other.clone_aspect_ratio() {
            set.insert(LonghandId::AspectRatio);
        }
        if self.clone_backface_visibility() != other.clone_backface_visibility() {
            set.insert(LonghandId::BackfaceVisibility);
        }
        if self.clone_baseline_source() != other.clone_baseline_source() {
            set.insert(LonghandId::BaselineSource);
        }
        if self.clone_border_collapse() != other.clone_border_collapse() {
            set.insert(LonghandId::BorderCollapse);
        }
        if self.clone_border_image_repeat() != other.clone_border_image_repeat() {
            set.insert(LonghandId::BorderImageRepeat);
        }
        if self.clone_box_decoration_break() != other.clone_box_decoration_break() {
            set.insert(LonghandId::BoxDecorationBreak);
        }
        if self.clone_box_sizing() != other.clone_box_sizing() {
            set.insert(LonghandId::BoxSizing);
        }
        if self.clone_break_inside() != other.clone_break_inside() {
            set.insert(LonghandId::BreakInside);
        }
        if self.clone_caption_side() != other.clone_caption_side() {
            set.insert(LonghandId::CaptionSide);
        }
        if self.clone_clear() != other.clone_clear() {
            set.insert(LonghandId::Clear);
        }
        if self.clone_color_interpolation() != other.clone_color_interpolation() {
            set.insert(LonghandId::ColorInterpolation);
        }
        if self.clone_color_interpolation_filters() != other.clone_color_interpolation_filters() {
            set.insert(LonghandId::ColorInterpolationFilters);
        }
        if self.clone_column_count() != other.clone_column_count() {
            set.insert(LonghandId::ColumnCount);
        }
        if self.clone_column_fill() != other.clone_column_fill() {
            set.insert(LonghandId::ColumnFill);
        }
        if self.clone_column_span() != other.clone_column_span() {
            set.insert(LonghandId::ColumnSpan);
        }
        if self.clone_contain() != other.clone_contain() {
            set.insert(LonghandId::Contain);
        }
        if self.clone_container_type() != other.clone_container_type() {
            set.insert(LonghandId::ContainerType);
        }
        if self.clone_content_visibility() != other.clone_content_visibility() {
            set.insert(LonghandId::ContentVisibility);
        }
        if self.clone_direction() != other.clone_direction() {
            set.insert(LonghandId::Direction);
        }
        if self.clone_display() != other.clone_display() {
            set.insert(LonghandId::Display);
        }
        if self.clone_dominant_baseline() != other.clone_dominant_baseline() {
            set.insert(LonghandId::DominantBaseline);
        }
        if self.clone_empty_cells() != other.clone_empty_cells() {
            set.insert(LonghandId::EmptyCells);
        }
        if self.clone_flex_direction() != other.clone_flex_direction() {
            set.insert(LonghandId::FlexDirection);
        }
        if self.clone_flex_wrap() != other.clone_flex_wrap() {
            set.insert(LonghandId::FlexWrap);
        }
        if self.clone_float() != other.clone_float() {
            set.insert(LonghandId::Float);
        }
        if self.clone_font_kerning() != other.clone_font_kerning() {
            set.insert(LonghandId::FontKerning);
        }
        if self.clone_font_language_override() != other.clone_font_language_override() {
            set.insert(LonghandId::FontLanguageOverride);
        }
        if self.clone_font_optical_sizing() != other.clone_font_optical_sizing() {
            set.insert(LonghandId::FontOpticalSizing);
        }
        if self.clone_font_size_adjust() != other.clone_font_size_adjust() {
            set.insert(LonghandId::FontSizeAdjust);
        }
        if self.clone_font_stretch() != other.clone_font_stretch() {
            set.insert(LonghandId::FontStretch);
        }
        if self.clone_font_style() != other.clone_font_style() {
            set.insert(LonghandId::FontStyle);
        }
        if self.clone_font_variant_caps() != other.clone_font_variant_caps() {
            set.insert(LonghandId::FontVariantCaps);
        }
        if self.clone_font_variant_east_asian() != other.clone_font_variant_east_asian() {
            set.insert(LonghandId::FontVariantEastAsian);
        }
        if self.clone_font_variant_emoji() != other.clone_font_variant_emoji() {
            set.insert(LonghandId::FontVariantEmoji);
        }
        if self.clone_font_variant_ligatures() != other.clone_font_variant_ligatures() {
            set.insert(LonghandId::FontVariantLigatures);
        }
        if self.clone_font_variant_numeric() != other.clone_font_variant_numeric() {
            set.insert(LonghandId::FontVariantNumeric);
        }
        if self.clone_font_variant_position() != other.clone_font_variant_position() {
            set.insert(LonghandId::FontVariantPosition);
        }
        if self.clone_font_weight() != other.clone_font_weight() {
            set.insert(LonghandId::FontWeight);
        }
        if self.clone_forced_color_adjust() != other.clone_forced_color_adjust() {
            set.insert(LonghandId::ForcedColorAdjust);
        }
        if self.clone_grid_auto_flow() != other.clone_grid_auto_flow() {
            set.insert(LonghandId::GridAutoFlow);
        }
        if self.clone_hyphens() != other.clone_hyphens() {
            set.insert(LonghandId::Hyphens);
        }
        if self.clone_image_orientation() != other.clone_image_orientation() {
            set.insert(LonghandId::ImageOrientation);
        }
        if self.clone_image_rendering() != other.clone_image_rendering() {
            set.insert(LonghandId::ImageRendering);
        }
        if self.clone_ime_mode() != other.clone_ime_mode() {
            set.insert(LonghandId::ImeMode);
        }
        if self.clone_initial_letter() != other.clone_initial_letter() {
            set.insert(LonghandId::InitialLetter);
        }
        if self.clone_isolation() != other.clone_isolation() {
            set.insert(LonghandId::Isolation);
        }
        if self.clone_justify_content() != other.clone_justify_content() {
            set.insert(LonghandId::JustifyContent);
        }
        if self.clone_justify_items() != other.clone_justify_items() {
            set.insert(LonghandId::JustifyItems);
        }
        if self.clone_justify_self() != other.clone_justify_self() {
            set.insert(LonghandId::JustifySelf);
        }
        if self.clone_line_break() != other.clone_line_break() {
            set.insert(LonghandId::LineBreak);
        }
        if self.clone_list_style_position() != other.clone_list_style_position() {
            set.insert(LonghandId::ListStylePosition);
        }
        if self.clone_mask_type() != other.clone_mask_type() {
            set.insert(LonghandId::MaskType);
        }
        if self.clone_masonry_auto_flow() != other.clone_masonry_auto_flow() {
            set.insert(LonghandId::MasonryAutoFlow);
        }
        if self.clone_math_depth() != other.clone_math_depth() {
            set.insert(LonghandId::MathDepth);
        }
        if self.clone_math_style() != other.clone_math_style() {
            set.insert(LonghandId::MathStyle);
        }
        if self.clone_mix_blend_mode() != other.clone_mix_blend_mode() {
            set.insert(LonghandId::MixBlendMode);
        }
        if self.clone__moz_box_align() != other.clone__moz_box_align() {
            set.insert(LonghandId::MozBoxAlign);
        }
        if self.clone__moz_box_collapse() != other.clone__moz_box_collapse() {
            set.insert(LonghandId::MozBoxCollapse);
        }
        if self.clone__moz_box_direction() != other.clone__moz_box_direction() {
            set.insert(LonghandId::MozBoxDirection);
        }
        if self.clone__moz_box_orient() != other.clone__moz_box_orient() {
            set.insert(LonghandId::MozBoxOrient);
        }
        if self.clone__moz_box_pack() != other.clone__moz_box_pack() {
            set.insert(LonghandId::MozBoxPack);
        }
        if self.clone__moz_control_character_visibility() != other.clone__moz_control_character_visibility() {
            set.insert(LonghandId::MozControlCharacterVisibility);
        }
        if self.clone__moz_float_edge() != other.clone__moz_float_edge() {
            set.insert(LonghandId::MozFloatEdge);
        }
        if self.clone__moz_inert() != other.clone__moz_inert() {
            set.insert(LonghandId::MozInert);
        }
        if self.clone__moz_math_variant() != other.clone__moz_math_variant() {
            set.insert(LonghandId::MozMathVariant);
        }
        if self.clone__moz_min_font_size_ratio() != other.clone__moz_min_font_size_ratio() {
            set.insert(LonghandId::MozMinFontSizeRatio);
        }
        if self.clone__moz_orient() != other.clone__moz_orient() {
            set.insert(LonghandId::MozOrient);
        }
        if self.clone__moz_osx_font_smoothing() != other.clone__moz_osx_font_smoothing() {
            set.insert(LonghandId::MozOsxFontSmoothing);
        }
        if self.clone__moz_script_min_size() != other.clone__moz_script_min_size() {
            set.insert(LonghandId::MozScriptMinSize);
        }
        if self.clone__moz_script_size_multiplier() != other.clone__moz_script_size_multiplier() {
            set.insert(LonghandId::MozScriptSizeMultiplier);
        }
        if self.clone__moz_text_size_adjust() != other.clone__moz_text_size_adjust() {
            set.insert(LonghandId::MozTextSizeAdjust);
        }
        if self.clone__moz_top_layer() != other.clone__moz_top_layer() {
            set.insert(LonghandId::MozTopLayer);
        }
        if self.clone__moz_user_focus() != other.clone__moz_user_focus() {
            set.insert(LonghandId::MozUserFocus);
        }
        if self.clone__moz_user_input() != other.clone__moz_user_input() {
            set.insert(LonghandId::MozUserInput);
        }
        if self.clone__moz_user_modify() != other.clone__moz_user_modify() {
            set.insert(LonghandId::MozUserModify);
        }
        if self.clone__moz_window_dragging() != other.clone__moz_window_dragging() {
            set.insert(LonghandId::MozWindowDragging);
        }
        if self.clone__moz_window_shadow() != other.clone__moz_window_shadow() {
            set.insert(LonghandId::MozWindowShadow);
        }
        if self.clone_object_fit() != other.clone_object_fit() {
            set.insert(LonghandId::ObjectFit);
        }
        if self.clone_offset_rotate() != other.clone_offset_rotate() {
            set.insert(LonghandId::OffsetRotate);
        }
        if self.clone_outline_style() != other.clone_outline_style() {
            set.insert(LonghandId::OutlineStyle);
        }
        if self.clone_overflow_anchor() != other.clone_overflow_anchor() {
            set.insert(LonghandId::OverflowAnchor);
        }
        if self.clone_overflow_wrap() != other.clone_overflow_wrap() {
            set.insert(LonghandId::OverflowWrap);
        }
        if self.clone_page_orientation() != other.clone_page_orientation() {
            set.insert(LonghandId::PageOrientation);
        }
        if self.clone_paint_order() != other.clone_paint_order() {
            set.insert(LonghandId::PaintOrder);
        }
        if self.clone_pointer_events() != other.clone_pointer_events() {
            set.insert(LonghandId::PointerEvents);
        }
        if self.clone_position() != other.clone_position() {
            set.insert(LonghandId::Position);
        }
        if self.clone_print_color_adjust() != other.clone_print_color_adjust() {
            set.insert(LonghandId::PrintColorAdjust);
        }
        if self.clone_resize() != other.clone_resize() {
            set.insert(LonghandId::Resize);
        }
        if self.clone_ruby_align() != other.clone_ruby_align() {
            set.insert(LonghandId::RubyAlign);
        }
        if self.clone_ruby_position() != other.clone_ruby_position() {
            set.insert(LonghandId::RubyPosition);
        }
        if self.clone_scroll_behavior() != other.clone_scroll_behavior() {
            set.insert(LonghandId::ScrollBehavior);
        }
        if self.clone_scroll_snap_align() != other.clone_scroll_snap_align() {
            set.insert(LonghandId::ScrollSnapAlign);
        }
        if self.clone_scroll_snap_stop() != other.clone_scroll_snap_stop() {
            set.insert(LonghandId::ScrollSnapStop);
        }
        if self.clone_scroll_snap_type() != other.clone_scroll_snap_type() {
            set.insert(LonghandId::ScrollSnapType);
        }
        if self.clone_scrollbar_gutter() != other.clone_scrollbar_gutter() {
            set.insert(LonghandId::ScrollbarGutter);
        }
        if self.clone_scrollbar_width() != other.clone_scrollbar_width() {
            set.insert(LonghandId::ScrollbarWidth);
        }
        if self.clone_shape_rendering() != other.clone_shape_rendering() {
            set.insert(LonghandId::ShapeRendering);
        }
        if self.clone_stroke_linecap() != other.clone_stroke_linecap() {
            set.insert(LonghandId::StrokeLinecap);
        }
        if self.clone_stroke_linejoin() != other.clone_stroke_linejoin() {
            set.insert(LonghandId::StrokeLinejoin);
        }
        if self.clone_table_layout() != other.clone_table_layout() {
            set.insert(LonghandId::TableLayout);
        }
        if self.clone_text_align() != other.clone_text_align() {
            set.insert(LonghandId::TextAlign);
        }
        if self.clone_text_align_last() != other.clone_text_align_last() {
            set.insert(LonghandId::TextAlignLast);
        }
        if self.clone_text_anchor() != other.clone_text_anchor() {
            set.insert(LonghandId::TextAnchor);
        }
        if self.clone_text_combine_upright() != other.clone_text_combine_upright() {
            set.insert(LonghandId::TextCombineUpright);
        }
        if self.clone_text_decoration_line() != other.clone_text_decoration_line() {
            set.insert(LonghandId::TextDecorationLine);
        }
        if self.clone_text_decoration_skip_ink() != other.clone_text_decoration_skip_ink() {
            set.insert(LonghandId::TextDecorationSkipInk);
        }
        if self.clone_text_decoration_style() != other.clone_text_decoration_style() {
            set.insert(LonghandId::TextDecorationStyle);
        }
        if self.clone_text_emphasis_position() != other.clone_text_emphasis_position() {
            set.insert(LonghandId::TextEmphasisPosition);
        }
        if self.clone_text_justify() != other.clone_text_justify() {
            set.insert(LonghandId::TextJustify);
        }
        if self.clone_text_orientation() != other.clone_text_orientation() {
            set.insert(LonghandId::TextOrientation);
        }
        if self.clone_text_rendering() != other.clone_text_rendering() {
            set.insert(LonghandId::TextRendering);
        }
        if self.clone_text_transform() != other.clone_text_transform() {
            set.insert(LonghandId::TextTransform);
        }
        if self.clone_text_underline_position() != other.clone_text_underline_position() {
            set.insert(LonghandId::TextUnderlinePosition);
        }
        if self.clone_touch_action() != other.clone_touch_action() {
            set.insert(LonghandId::TouchAction);
        }
        if self.clone_transform_box() != other.clone_transform_box() {
            set.insert(LonghandId::TransformBox);
        }
        if self.clone_transform_style() != other.clone_transform_style() {
            set.insert(LonghandId::TransformStyle);
        }
        if self.clone_unicode_bidi() != other.clone_unicode_bidi() {
            set.insert(LonghandId::UnicodeBidi);
        }
        if self.clone_user_select() != other.clone_user_select() {
            set.insert(LonghandId::UserSelect);
        }
        if self.clone_vector_effect() != other.clone_vector_effect() {
            set.insert(LonghandId::VectorEffect);
        }
        if self.clone_visibility() != other.clone_visibility() {
            set.insert(LonghandId::Visibility);
        }
        if self.clone__webkit_line_clamp() != other.clone__webkit_line_clamp() {
            set.insert(LonghandId::WebkitLineClamp);
        }
        if self.clone__webkit_text_security() != other.clone__webkit_text_security() {
            set.insert(LonghandId::WebkitTextSecurity);
        }
        if self.clone_white_space() != other.clone_white_space() {
            set.insert(LonghandId::WhiteSpace);
        }
        if self.clone_word_break() != other.clone_word_break() {
            set.insert(LonghandId::WordBreak);
        }
        if self.clone_writing_mode() != other.clone_writing_mode() {
            set.insert(LonghandId::WritingMode);
        }
        if self.clone__x_text_scale() != other.clone__x_text_scale() {
            set.insert(LonghandId::XTextScale);
        }
        if self.clone_z_index() != other.clone_z_index() {
            set.insert(LonghandId::ZIndex);
        }
        if self.clone_appearance() != other.clone_appearance() {
            set.insert(LonghandId::Appearance);
        }
        if self.clone__moz_default_appearance() != other.clone__moz_default_appearance() {
            set.insert(LonghandId::MozDefaultAppearance);
        }
        if self.clone__moz_force_broken_image_icon() != other.clone__moz_force_broken_image_icon() {
            set.insert(LonghandId::MozForceBrokenImageIcon);
        }
        if self.clone__moz_subtree_hidden_only_visually() != other.clone__moz_subtree_hidden_only_visually() {
            set.insert(LonghandId::MozSubtreeHiddenOnlyVisually);
        }
        if self.clone_break_after() != other.clone_break_after() {
            set.insert(LonghandId::BreakAfter);
        }
        if self.clone_break_before() != other.clone_break_before() {
            set.insert(LonghandId::BreakBefore);
        }
        if self.clone_clip_rule() != other.clone_clip_rule() {
            set.insert(LonghandId::ClipRule);
        }
        if self.clone_fill_rule() != other.clone_fill_rule() {
            set.insert(LonghandId::FillRule);
        }
        if self.clone_overflow_clip_box_block() != other.clone_overflow_clip_box_block() {
            set.insert(LonghandId::OverflowClipBoxBlock);
        }
        if self.clone_overflow_clip_box_inline() != other.clone_overflow_clip_box_inline() {
            set.insert(LonghandId::OverflowClipBoxInline);
        }
        if self.clone_fill_opacity() != other.clone_fill_opacity() {
            set.insert(LonghandId::FillOpacity);
        }
        if self.clone_stroke_opacity() != other.clone_stroke_opacity() {
            set.insert(LonghandId::StrokeOpacity);
        }
        if self.clone_font_synthesis_small_caps() != other.clone_font_synthesis_small_caps() {
            set.insert(LonghandId::FontSynthesisSmallCaps);
        }
        if self.clone_font_synthesis_style() != other.clone_font_synthesis_style() {
            set.insert(LonghandId::FontSynthesisStyle);
        }
        if self.clone_font_synthesis_weight() != other.clone_font_synthesis_weight() {
            set.insert(LonghandId::FontSynthesisWeight);
        }
        if self.clone__moz_box_ordinal_group() != other.clone__moz_box_ordinal_group() {
            set.insert(LonghandId::MozBoxOrdinalGroup);
        }
        if self.clone_order() != other.clone_order() {
            set.insert(LonghandId::Order);
        }
        if self.clone__x_span() != other.clone__x_span() {
            set.insert(LonghandId::XSpan);
        }
        if self.clone_flex_grow() != other.clone_flex_grow() {
            set.insert(LonghandId::FlexGrow);
        }
        if self.clone_flex_shrink() != other.clone_flex_shrink() {
            set.insert(LonghandId::FlexShrink);
        }
        if self.clone__moz_box_flex() != other.clone__moz_box_flex() {
            set.insert(LonghandId::MozBoxFlex);
        }
        if self.clone_stroke_miterlimit() != other.clone_stroke_miterlimit() {
            set.insert(LonghandId::StrokeMiterlimit);
        }
        if self.clone_overflow_block() != other.clone_overflow_block() {
            set.insert(LonghandId::OverflowBlock);
        }
        if self.clone_overflow_inline() != other.clone_overflow_inline() {
            set.insert(LonghandId::OverflowInline);
        }
        if self.clone_overflow_x() != other.clone_overflow_x() {
            set.insert(LonghandId::OverflowX);
        }
        if self.clone_overflow_y() != other.clone_overflow_y() {
            set.insert(LonghandId::OverflowY);
        }
        if self.clone_overscroll_behavior_block() != other.clone_overscroll_behavior_block() {
            set.insert(LonghandId::OverscrollBehaviorBlock);
        }
        if self.clone_overscroll_behavior_inline() != other.clone_overscroll_behavior_inline() {
            set.insert(LonghandId::OverscrollBehaviorInline);
        }
        if self.clone_overscroll_behavior_x() != other.clone_overscroll_behavior_x() {
            set.insert(LonghandId::OverscrollBehaviorX);
        }
        if self.clone_overscroll_behavior_y() != other.clone_overscroll_behavior_y() {
            set.insert(LonghandId::OverscrollBehaviorY);
        }
        if self.clone_flood_opacity() != other.clone_flood_opacity() {
            set.insert(LonghandId::FloodOpacity);
        }
        if self.clone__moz_window_opacity() != other.clone__moz_window_opacity() {
            set.insert(LonghandId::MozWindowOpacity);
        }
        if self.clone_opacity() != other.clone_opacity() {
            set.insert(LonghandId::Opacity);
        }
        if self.clone_shape_image_threshold() != other.clone_shape_image_threshold() {
            set.insert(LonghandId::ShapeImageThreshold);
        }
        if self.clone_stop_opacity() != other.clone_stop_opacity() {
            set.insert(LonghandId::StopOpacity);
        }
        if self.clone_border_block_end_style() != other.clone_border_block_end_style() {
            set.insert(LonghandId::BorderBlockEndStyle);
        }
        if self.clone_border_block_start_style() != other.clone_border_block_start_style() {
            set.insert(LonghandId::BorderBlockStartStyle);
        }
        if self.clone_border_bottom_style() != other.clone_border_bottom_style() {
            set.insert(LonghandId::BorderBottomStyle);
        }
        if self.clone_border_inline_end_style() != other.clone_border_inline_end_style() {
            set.insert(LonghandId::BorderInlineEndStyle);
        }
        if self.clone_border_inline_start_style() != other.clone_border_inline_start_style() {
            set.insert(LonghandId::BorderInlineStartStyle);
        }
        if self.clone_border_left_style() != other.clone_border_left_style() {
            set.insert(LonghandId::BorderLeftStyle);
        }
        if self.clone_border_right_style() != other.clone_border_right_style() {
            set.insert(LonghandId::BorderRightStyle);
        }
        if self.clone_border_top_style() != other.clone_border_top_style() {
            set.insert(LonghandId::BorderTopStyle);
        }
        if self.clone_column_rule_style() != other.clone_column_rule_style() {
            set.insert(LonghandId::ColumnRuleStyle);
        }
        if self.clone_accent_color() != other.clone_accent_color() {
            set.insert(LonghandId::AccentColor);
        }
        if self.clone_align_tracks() != other.clone_align_tracks() {
            set.insert(LonghandId::AlignTracks);
        }
        if self.clone_animation_composition() != other.clone_animation_composition() {
            set.insert(LonghandId::AnimationComposition);
        }
        if self.clone_animation_delay() != other.clone_animation_delay() {
            set.insert(LonghandId::AnimationDelay);
        }
        if self.clone_animation_direction() != other.clone_animation_direction() {
            set.insert(LonghandId::AnimationDirection);
        }
        if self.clone_animation_duration() != other.clone_animation_duration() {
            set.insert(LonghandId::AnimationDuration);
        }
        if self.clone_animation_fill_mode() != other.clone_animation_fill_mode() {
            set.insert(LonghandId::AnimationFillMode);
        }
        if self.clone_animation_iteration_count() != other.clone_animation_iteration_count() {
            set.insert(LonghandId::AnimationIterationCount);
        }
        if self.clone_animation_name() != other.clone_animation_name() {
            set.insert(LonghandId::AnimationName);
        }
        if self.clone_animation_play_state() != other.clone_animation_play_state() {
            set.insert(LonghandId::AnimationPlayState);
        }
        if self.clone_animation_timeline() != other.clone_animation_timeline() {
            set.insert(LonghandId::AnimationTimeline);
        }
        if self.clone_animation_timing_function() != other.clone_animation_timing_function() {
            set.insert(LonghandId::AnimationTimingFunction);
        }
        if self.clone_backdrop_filter() != other.clone_backdrop_filter() {
            set.insert(LonghandId::BackdropFilter);
        }
        if self.clone_background_attachment() != other.clone_background_attachment() {
            set.insert(LonghandId::BackgroundAttachment);
        }
        if self.clone_background_blend_mode() != other.clone_background_blend_mode() {
            set.insert(LonghandId::BackgroundBlendMode);
        }
        if self.clone_background_clip() != other.clone_background_clip() {
            set.insert(LonghandId::BackgroundClip);
        }
        if self.clone_background_image() != other.clone_background_image() {
            set.insert(LonghandId::BackgroundImage);
        }
        if self.clone_background_origin() != other.clone_background_origin() {
            set.insert(LonghandId::BackgroundOrigin);
        }
        if self.clone_background_position_x() != other.clone_background_position_x() {
            set.insert(LonghandId::BackgroundPositionX);
        }
        if self.clone_background_position_y() != other.clone_background_position_y() {
            set.insert(LonghandId::BackgroundPositionY);
        }
        if self.clone_background_repeat() != other.clone_background_repeat() {
            set.insert(LonghandId::BackgroundRepeat);
        }
        if self.clone_background_size() != other.clone_background_size() {
            set.insert(LonghandId::BackgroundSize);
        }
        if self.clone_border_image_outset() != other.clone_border_image_outset() {
            set.insert(LonghandId::BorderImageOutset);
        }
        if self.clone_border_image_slice() != other.clone_border_image_slice() {
            set.insert(LonghandId::BorderImageSlice);
        }
        if self.clone_border_image_width() != other.clone_border_image_width() {
            set.insert(LonghandId::BorderImageWidth);
        }
        if self.clone_border_spacing() != other.clone_border_spacing() {
            set.insert(LonghandId::BorderSpacing);
        }
        if self.clone_box_shadow() != other.clone_box_shadow() {
            set.insert(LonghandId::BoxShadow);
        }
        if self.clone_caret_color() != other.clone_caret_color() {
            set.insert(LonghandId::CaretColor);
        }
        if self.clone_clip() != other.clone_clip() {
            set.insert(LonghandId::Clip);
        }
        if self.clone_clip_path() != other.clone_clip_path() {
            set.insert(LonghandId::ClipPath);
        }
        if self.clone_color() != other.clone_color() {
            set.insert(LonghandId::Color);
        }
        if self.clone_color_scheme() != other.clone_color_scheme() {
            set.insert(LonghandId::ColorScheme);
        }
        if self.clone_column_width() != other.clone_column_width() {
            set.insert(LonghandId::ColumnWidth);
        }
        if self.clone_container_name() != other.clone_container_name() {
            set.insert(LonghandId::ContainerName);
        }
        if self.clone_content() != other.clone_content() {
            set.insert(LonghandId::Content);
        }
        if self.clone_counter_increment() != other.clone_counter_increment() {
            set.insert(LonghandId::CounterIncrement);
        }
        if self.clone_counter_reset() != other.clone_counter_reset() {
            set.insert(LonghandId::CounterReset);
        }
        if self.clone_counter_set() != other.clone_counter_set() {
            set.insert(LonghandId::CounterSet);
        }
        if self.clone_cursor() != other.clone_cursor() {
            set.insert(LonghandId::Cursor);
        }
        if self.clone_d() != other.clone_d() {
            set.insert(LonghandId::D);
        }
        if self.clone_filter() != other.clone_filter() {
            set.insert(LonghandId::Filter);
        }
        if self.clone_flex_basis() != other.clone_flex_basis() {
            set.insert(LonghandId::FlexBasis);
        }
        if self.clone_font_family() != other.clone_font_family() {
            set.insert(LonghandId::FontFamily);
        }
        if self.clone_font_feature_settings() != other.clone_font_feature_settings() {
            set.insert(LonghandId::FontFeatureSettings);
        }
        if self.clone_font_palette() != other.clone_font_palette() {
            set.insert(LonghandId::FontPalette);
        }
        if self.clone_font_size() != other.clone_font_size() {
            set.insert(LonghandId::FontSize);
        }
        if self.clone_font_variant_alternates() != other.clone_font_variant_alternates() {
            set.insert(LonghandId::FontVariantAlternates);
        }
        if self.clone_font_variation_settings() != other.clone_font_variation_settings() {
            set.insert(LonghandId::FontVariationSettings);
        }
        if self.clone_grid_template_areas() != other.clone_grid_template_areas() {
            set.insert(LonghandId::GridTemplateAreas);
        }
        if self.clone_hyphenate_character() != other.clone_hyphenate_character() {
            set.insert(LonghandId::HyphenateCharacter);
        }
        if self.clone_justify_tracks() != other.clone_justify_tracks() {
            set.insert(LonghandId::JustifyTracks);
        }
        if self.clone_letter_spacing() != other.clone_letter_spacing() {
            set.insert(LonghandId::LetterSpacing);
        }
        if self.clone_line_height() != other.clone_line_height() {
            set.insert(LonghandId::LineHeight);
        }
        if self.clone_list_style_type() != other.clone_list_style_type() {
            set.insert(LonghandId::ListStyleType);
        }
        if self.clone_mask_clip() != other.clone_mask_clip() {
            set.insert(LonghandId::MaskClip);
        }
        if self.clone_mask_composite() != other.clone_mask_composite() {
            set.insert(LonghandId::MaskComposite);
        }
        if self.clone_mask_image() != other.clone_mask_image() {
            set.insert(LonghandId::MaskImage);
        }
        if self.clone_mask_mode() != other.clone_mask_mode() {
            set.insert(LonghandId::MaskMode);
        }
        if self.clone_mask_origin() != other.clone_mask_origin() {
            set.insert(LonghandId::MaskOrigin);
        }
        if self.clone_mask_position_x() != other.clone_mask_position_x() {
            set.insert(LonghandId::MaskPositionX);
        }
        if self.clone_mask_position_y() != other.clone_mask_position_y() {
            set.insert(LonghandId::MaskPositionY);
        }
        if self.clone_mask_repeat() != other.clone_mask_repeat() {
            set.insert(LonghandId::MaskRepeat);
        }
        if self.clone_mask_size() != other.clone_mask_size() {
            set.insert(LonghandId::MaskSize);
        }
        if self.clone__moz_context_properties() != other.clone__moz_context_properties() {
            set.insert(LonghandId::MozContextProperties);
        }
        if self.clone__moz_font_smoothing_background_color() != other.clone__moz_font_smoothing_background_color() {
            set.insert(LonghandId::MozFontSmoothingBackgroundColor);
        }
        if self.clone_offset_anchor() != other.clone_offset_anchor() {
            set.insert(LonghandId::OffsetAnchor);
        }
        if self.clone_offset_path() != other.clone_offset_path() {
            set.insert(LonghandId::OffsetPath);
        }
        if self.clone_offset_position() != other.clone_offset_position() {
            set.insert(LonghandId::OffsetPosition);
        }
        if self.clone_page() != other.clone_page() {
            set.insert(LonghandId::Page);
        }
        if self.clone_perspective() != other.clone_perspective() {
            set.insert(LonghandId::Perspective);
        }
        if self.clone_quotes() != other.clone_quotes() {
            set.insert(LonghandId::Quotes);
        }
        if self.clone_rotate() != other.clone_rotate() {
            set.insert(LonghandId::Rotate);
        }
        if self.clone_scale() != other.clone_scale() {
            set.insert(LonghandId::Scale);
        }
        if self.clone_scroll_timeline_axis() != other.clone_scroll_timeline_axis() {
            set.insert(LonghandId::ScrollTimelineAxis);
        }
        if self.clone_scroll_timeline_name() != other.clone_scroll_timeline_name() {
            set.insert(LonghandId::ScrollTimelineName);
        }
        if self.clone_scrollbar_color() != other.clone_scrollbar_color() {
            set.insert(LonghandId::ScrollbarColor);
        }
        if self.clone_shape_outside() != other.clone_shape_outside() {
            set.insert(LonghandId::ShapeOutside);
        }
        if self.clone_size() != other.clone_size() {
            set.insert(LonghandId::Size);
        }
        if self.clone_stroke_dasharray() != other.clone_stroke_dasharray() {
            set.insert(LonghandId::StrokeDasharray);
        }
        if self.clone_stroke_dashoffset() != other.clone_stroke_dashoffset() {
            set.insert(LonghandId::StrokeDashoffset);
        }
        if self.clone_stroke_width() != other.clone_stroke_width() {
            set.insert(LonghandId::StrokeWidth);
        }
        if self.clone_tab_size() != other.clone_tab_size() {
            set.insert(LonghandId::TabSize);
        }
        if self.clone_text_decoration_thickness() != other.clone_text_decoration_thickness() {
            set.insert(LonghandId::TextDecorationThickness);
        }
        if self.clone_text_emphasis_style() != other.clone_text_emphasis_style() {
            set.insert(LonghandId::TextEmphasisStyle);
        }
        if self.clone_text_overflow() != other.clone_text_overflow() {
            set.insert(LonghandId::TextOverflow);
        }
        if self.clone_text_shadow() != other.clone_text_shadow() {
            set.insert(LonghandId::TextShadow);
        }
        if self.clone_transition_delay() != other.clone_transition_delay() {
            set.insert(LonghandId::TransitionDelay);
        }
        if self.clone_transition_duration() != other.clone_transition_duration() {
            set.insert(LonghandId::TransitionDuration);
        }
        if self.clone_transition_property() != other.clone_transition_property() {
            set.insert(LonghandId::TransitionProperty);
        }
        if self.clone_transition_timing_function() != other.clone_transition_timing_function() {
            set.insert(LonghandId::TransitionTimingFunction);
        }
        if self.clone_translate() != other.clone_translate() {
            set.insert(LonghandId::Translate);
        }
        if self.clone_vertical_align() != other.clone_vertical_align() {
            set.insert(LonghandId::VerticalAlign);
        }
        if self.clone_view_timeline_axis() != other.clone_view_timeline_axis() {
            set.insert(LonghandId::ViewTimelineAxis);
        }
        if self.clone_view_timeline_inset() != other.clone_view_timeline_inset() {
            set.insert(LonghandId::ViewTimelineInset);
        }
        if self.clone_view_timeline_name() != other.clone_view_timeline_name() {
            set.insert(LonghandId::ViewTimelineName);
        }
        if self.clone__webkit_text_stroke_width() != other.clone__webkit_text_stroke_width() {
            set.insert(LonghandId::WebkitTextStrokeWidth);
        }
        if self.clone_will_change() != other.clone_will_change() {
            set.insert(LonghandId::WillChange);
        }
        if self.clone_word_spacing() != other.clone_word_spacing() {
            set.insert(LonghandId::WordSpacing);
        }
        if self.clone__x_lang() != other.clone__x_lang() {
            set.insert(LonghandId::XLang);
        }
        if self.clone_object_position() != other.clone_object_position() {
            set.insert(LonghandId::ObjectPosition);
        }
        if self.clone_perspective_origin() != other.clone_perspective_origin() {
            set.insert(LonghandId::PerspectiveOrigin);
        }
        if self.clone_fill() != other.clone_fill() {
            set.insert(LonghandId::Fill);
        }
        if self.clone_stroke() != other.clone_stroke() {
            set.insert(LonghandId::Stroke);
        }
        if self.clone__moz_window_transform_origin() != other.clone__moz_window_transform_origin() {
            set.insert(LonghandId::MozWindowTransformOrigin);
        }
        if self.clone_transform_origin() != other.clone_transform_origin() {
            set.insert(LonghandId::TransformOrigin);
        }
        if self.clone_grid_template_columns() != other.clone_grid_template_columns() {
            set.insert(LonghandId::GridTemplateColumns);
        }
        if self.clone_grid_template_rows() != other.clone_grid_template_rows() {
            set.insert(LonghandId::GridTemplateRows);
        }
        if self.clone_border_image_source() != other.clone_border_image_source() {
            set.insert(LonghandId::BorderImageSource);
        }
        if self.clone_list_style_image() != other.clone_list_style_image() {
            set.insert(LonghandId::ListStyleImage);
        }
        if self.clone_grid_auto_columns() != other.clone_grid_auto_columns() {
            set.insert(LonghandId::GridAutoColumns);
        }
        if self.clone_grid_auto_rows() != other.clone_grid_auto_rows() {
            set.insert(LonghandId::GridAutoRows);
        }
        if self.clone__moz_window_transform() != other.clone__moz_window_transform() {
            set.insert(LonghandId::MozWindowTransform);
        }
        if self.clone_transform() != other.clone_transform() {
            set.insert(LonghandId::Transform);
        }
        if self.clone_column_gap() != other.clone_column_gap() {
            set.insert(LonghandId::ColumnGap);
        }
        if self.clone_row_gap() != other.clone_row_gap() {
            set.insert(LonghandId::RowGap);
        }
        if self.clone_marker_end() != other.clone_marker_end() {
            set.insert(LonghandId::MarkerEnd);
        }
        if self.clone_marker_mid() != other.clone_marker_mid() {
            set.insert(LonghandId::MarkerMid);
        }
        if self.clone_marker_start() != other.clone_marker_start() {
            set.insert(LonghandId::MarkerStart);
        }
        if self.clone_contain_intrinsic_block_size() != other.clone_contain_intrinsic_block_size() {
            set.insert(LonghandId::ContainIntrinsicBlockSize);
        }
        if self.clone_contain_intrinsic_height() != other.clone_contain_intrinsic_height() {
            set.insert(LonghandId::ContainIntrinsicHeight);
        }
        if self.clone_contain_intrinsic_inline_size() != other.clone_contain_intrinsic_inline_size() {
            set.insert(LonghandId::ContainIntrinsicInlineSize);
        }
        if self.clone_contain_intrinsic_width() != other.clone_contain_intrinsic_width() {
            set.insert(LonghandId::ContainIntrinsicWidth);
        }
        if self.clone_grid_column_end() != other.clone_grid_column_end() {
            set.insert(LonghandId::GridColumnEnd);
        }
        if self.clone_grid_column_start() != other.clone_grid_column_start() {
            set.insert(LonghandId::GridColumnStart);
        }
        if self.clone_grid_row_end() != other.clone_grid_row_end() {
            set.insert(LonghandId::GridRowEnd);
        }
        if self.clone_grid_row_start() != other.clone_grid_row_start() {
            set.insert(LonghandId::GridRowStart);
        }
        if self.clone_max_block_size() != other.clone_max_block_size() {
            set.insert(LonghandId::MaxBlockSize);
        }
        if self.clone_max_height() != other.clone_max_height() {
            set.insert(LonghandId::MaxHeight);
        }
        if self.clone_max_inline_size() != other.clone_max_inline_size() {
            set.insert(LonghandId::MaxInlineSize);
        }
        if self.clone_max_width() != other.clone_max_width() {
            set.insert(LonghandId::MaxWidth);
        }
        if self.clone_cx() != other.clone_cx() {
            set.insert(LonghandId::Cx);
        }
        if self.clone_cy() != other.clone_cy() {
            set.insert(LonghandId::Cy);
        }
        if self.clone_offset_distance() != other.clone_offset_distance() {
            set.insert(LonghandId::OffsetDistance);
        }
        if self.clone_text_indent() != other.clone_text_indent() {
            set.insert(LonghandId::TextIndent);
        }
        if self.clone_x() != other.clone_x() {
            set.insert(LonghandId::X);
        }
        if self.clone_y() != other.clone_y() {
            set.insert(LonghandId::Y);
        }
        if self.clone_border_bottom_left_radius() != other.clone_border_bottom_left_radius() {
            set.insert(LonghandId::BorderBottomLeftRadius);
        }
        if self.clone_border_bottom_right_radius() != other.clone_border_bottom_right_radius() {
            set.insert(LonghandId::BorderBottomRightRadius);
        }
        if self.clone_border_end_end_radius() != other.clone_border_end_end_radius() {
            set.insert(LonghandId::BorderEndEndRadius);
        }
        if self.clone_border_end_start_radius() != other.clone_border_end_start_radius() {
            set.insert(LonghandId::BorderEndStartRadius);
        }
        if self.clone_border_start_end_radius() != other.clone_border_start_end_radius() {
            set.insert(LonghandId::BorderStartEndRadius);
        }
        if self.clone_border_start_start_radius() != other.clone_border_start_start_radius() {
            set.insert(LonghandId::BorderStartStartRadius);
        }
        if self.clone_border_top_left_radius() != other.clone_border_top_left_radius() {
            set.insert(LonghandId::BorderTopLeftRadius);
        }
        if self.clone_border_top_right_radius() != other.clone_border_top_right_radius() {
            set.insert(LonghandId::BorderTopRightRadius);
        }
        if self.clone_block_size() != other.clone_block_size() {
            set.insert(LonghandId::BlockSize);
        }
        if self.clone_height() != other.clone_height() {
            set.insert(LonghandId::Height);
        }
        if self.clone_inline_size() != other.clone_inline_size() {
            set.insert(LonghandId::InlineSize);
        }
        if self.clone_min_block_size() != other.clone_min_block_size() {
            set.insert(LonghandId::MinBlockSize);
        }
        if self.clone_min_height() != other.clone_min_height() {
            set.insert(LonghandId::MinHeight);
        }
        if self.clone_min_inline_size() != other.clone_min_inline_size() {
            set.insert(LonghandId::MinInlineSize);
        }
        if self.clone_min_width() != other.clone_min_width() {
            set.insert(LonghandId::MinWidth);
        }
        if self.clone_width() != other.clone_width() {
            set.insert(LonghandId::Width);
        }
        if self.clone_border_block_end_width() != other.clone_border_block_end_width() {
            set.insert(LonghandId::BorderBlockEndWidth);
        }
        if self.clone_border_block_start_width() != other.clone_border_block_start_width() {
            set.insert(LonghandId::BorderBlockStartWidth);
        }
        if self.clone_border_bottom_width() != other.clone_border_bottom_width() {
            set.insert(LonghandId::BorderBottomWidth);
        }
        if self.clone_border_inline_end_width() != other.clone_border_inline_end_width() {
            set.insert(LonghandId::BorderInlineEndWidth);
        }
        if self.clone_border_inline_start_width() != other.clone_border_inline_start_width() {
            set.insert(LonghandId::BorderInlineStartWidth);
        }
        if self.clone_border_left_width() != other.clone_border_left_width() {
            set.insert(LonghandId::BorderLeftWidth);
        }
        if self.clone_border_right_width() != other.clone_border_right_width() {
            set.insert(LonghandId::BorderRightWidth);
        }
        if self.clone_border_top_width() != other.clone_border_top_width() {
            set.insert(LonghandId::BorderTopWidth);
        }
        if self.clone_column_rule_width() != other.clone_column_rule_width() {
            set.insert(LonghandId::ColumnRuleWidth);
        }
        if self.clone_outline_width() != other.clone_outline_width() {
            set.insert(LonghandId::OutlineWidth);
        }
        if self.clone_padding_block_end() != other.clone_padding_block_end() {
            set.insert(LonghandId::PaddingBlockEnd);
        }
        if self.clone_padding_block_start() != other.clone_padding_block_start() {
            set.insert(LonghandId::PaddingBlockStart);
        }
        if self.clone_padding_bottom() != other.clone_padding_bottom() {
            set.insert(LonghandId::PaddingBottom);
        }
        if self.clone_padding_inline_end() != other.clone_padding_inline_end() {
            set.insert(LonghandId::PaddingInlineEnd);
        }
        if self.clone_padding_inline_start() != other.clone_padding_inline_start() {
            set.insert(LonghandId::PaddingInlineStart);
        }
        if self.clone_padding_left() != other.clone_padding_left() {
            set.insert(LonghandId::PaddingLeft);
        }
        if self.clone_padding_right() != other.clone_padding_right() {
            set.insert(LonghandId::PaddingRight);
        }
        if self.clone_padding_top() != other.clone_padding_top() {
            set.insert(LonghandId::PaddingTop);
        }
        if self.clone_r() != other.clone_r() {
            set.insert(LonghandId::R);
        }
        if self.clone_shape_margin() != other.clone_shape_margin() {
            set.insert(LonghandId::ShapeMargin);
        }
        if self.clone_rx() != other.clone_rx() {
            set.insert(LonghandId::Rx);
        }
        if self.clone_ry() != other.clone_ry() {
            set.insert(LonghandId::Ry);
        }
        if self.clone_scroll_padding_block_end() != other.clone_scroll_padding_block_end() {
            set.insert(LonghandId::ScrollPaddingBlockEnd);
        }
        if self.clone_scroll_padding_block_start() != other.clone_scroll_padding_block_start() {
            set.insert(LonghandId::ScrollPaddingBlockStart);
        }
        if self.clone_scroll_padding_bottom() != other.clone_scroll_padding_bottom() {
            set.insert(LonghandId::ScrollPaddingBottom);
        }
        if self.clone_scroll_padding_inline_end() != other.clone_scroll_padding_inline_end() {
            set.insert(LonghandId::ScrollPaddingInlineEnd);
        }
        if self.clone_scroll_padding_inline_start() != other.clone_scroll_padding_inline_start() {
            set.insert(LonghandId::ScrollPaddingInlineStart);
        }
        if self.clone_scroll_padding_left() != other.clone_scroll_padding_left() {
            set.insert(LonghandId::ScrollPaddingLeft);
        }
        if self.clone_scroll_padding_right() != other.clone_scroll_padding_right() {
            set.insert(LonghandId::ScrollPaddingRight);
        }
        if self.clone_scroll_padding_top() != other.clone_scroll_padding_top() {
            set.insert(LonghandId::ScrollPaddingTop);
        }
        if self.clone__moz_window_input_region_margin() != other.clone__moz_window_input_region_margin() {
            set.insert(LonghandId::MozWindowInputRegionMargin);
        }
        if self.clone_outline_offset() != other.clone_outline_offset() {
            set.insert(LonghandId::OutlineOffset);
        }
        if self.clone_overflow_clip_margin() != other.clone_overflow_clip_margin() {
            set.insert(LonghandId::OverflowClipMargin);
        }
        if self.clone_scroll_margin_block_end() != other.clone_scroll_margin_block_end() {
            set.insert(LonghandId::ScrollMarginBlockEnd);
        }
        if self.clone_scroll_margin_block_start() != other.clone_scroll_margin_block_start() {
            set.insert(LonghandId::ScrollMarginBlockStart);
        }
        if self.clone_scroll_margin_bottom() != other.clone_scroll_margin_bottom() {
            set.insert(LonghandId::ScrollMarginBottom);
        }
        if self.clone_scroll_margin_inline_end() != other.clone_scroll_margin_inline_end() {
            set.insert(LonghandId::ScrollMarginInlineEnd);
        }
        if self.clone_scroll_margin_inline_start() != other.clone_scroll_margin_inline_start() {
            set.insert(LonghandId::ScrollMarginInlineStart);
        }
        if self.clone_scroll_margin_left() != other.clone_scroll_margin_left() {
            set.insert(LonghandId::ScrollMarginLeft);
        }
        if self.clone_scroll_margin_right() != other.clone_scroll_margin_right() {
            set.insert(LonghandId::ScrollMarginRight);
        }
        if self.clone_scroll_margin_top() != other.clone_scroll_margin_top() {
            set.insert(LonghandId::ScrollMarginTop);
        }
        if self.clone_bottom() != other.clone_bottom() {
            set.insert(LonghandId::Bottom);
        }
        if self.clone_inset_block_end() != other.clone_inset_block_end() {
            set.insert(LonghandId::InsetBlockEnd);
        }
        if self.clone_inset_block_start() != other.clone_inset_block_start() {
            set.insert(LonghandId::InsetBlockStart);
        }
        if self.clone_inset_inline_end() != other.clone_inset_inline_end() {
            set.insert(LonghandId::InsetInlineEnd);
        }
        if self.clone_inset_inline_start() != other.clone_inset_inline_start() {
            set.insert(LonghandId::InsetInlineStart);
        }
        if self.clone_left() != other.clone_left() {
            set.insert(LonghandId::Left);
        }
        if self.clone_margin_block_end() != other.clone_margin_block_end() {
            set.insert(LonghandId::MarginBlockEnd);
        }
        if self.clone_margin_block_start() != other.clone_margin_block_start() {
            set.insert(LonghandId::MarginBlockStart);
        }
        if self.clone_margin_bottom() != other.clone_margin_bottom() {
            set.insert(LonghandId::MarginBottom);
        }
        if self.clone_margin_inline_end() != other.clone_margin_inline_end() {
            set.insert(LonghandId::MarginInlineEnd);
        }
        if self.clone_margin_inline_start() != other.clone_margin_inline_start() {
            set.insert(LonghandId::MarginInlineStart);
        }
        if self.clone_margin_left() != other.clone_margin_left() {
            set.insert(LonghandId::MarginLeft);
        }
        if self.clone_margin_right() != other.clone_margin_right() {
            set.insert(LonghandId::MarginRight);
        }
        if self.clone_margin_top() != other.clone_margin_top() {
            set.insert(LonghandId::MarginTop);
        }
        if self.clone_right() != other.clone_right() {
            set.insert(LonghandId::Right);
        }
        if self.clone_text_underline_offset() != other.clone_text_underline_offset() {
            set.insert(LonghandId::TextUnderlineOffset);
        }
        if self.clone_top() != other.clone_top() {
            set.insert(LonghandId::Top);
        }
        if self.clone_background_color() != other.clone_background_color() {
            set.insert(LonghandId::BackgroundColor);
        }
        if self.clone_border_block_end_color() != other.clone_border_block_end_color() {
            set.insert(LonghandId::BorderBlockEndColor);
        }
        if self.clone_border_block_start_color() != other.clone_border_block_start_color() {
            set.insert(LonghandId::BorderBlockStartColor);
        }
        if self.clone_border_bottom_color() != other.clone_border_bottom_color() {
            set.insert(LonghandId::BorderBottomColor);
        }
        if self.clone_border_inline_end_color() != other.clone_border_inline_end_color() {
            set.insert(LonghandId::BorderInlineEndColor);
        }
        if self.clone_border_inline_start_color() != other.clone_border_inline_start_color() {
            set.insert(LonghandId::BorderInlineStartColor);
        }
        if self.clone_border_left_color() != other.clone_border_left_color() {
            set.insert(LonghandId::BorderLeftColor);
        }
        if self.clone_border_right_color() != other.clone_border_right_color() {
            set.insert(LonghandId::BorderRightColor);
        }
        if self.clone_border_top_color() != other.clone_border_top_color() {
            set.insert(LonghandId::BorderTopColor);
        }
        if self.clone_column_rule_color() != other.clone_column_rule_color() {
            set.insert(LonghandId::ColumnRuleColor);
        }
        if self.clone_flood_color() != other.clone_flood_color() {
            set.insert(LonghandId::FloodColor);
        }
        if self.clone_lighting_color() != other.clone_lighting_color() {
            set.insert(LonghandId::LightingColor);
        }
        if self.clone_outline_color() != other.clone_outline_color() {
            set.insert(LonghandId::OutlineColor);
        }
        if self.clone_stop_color() != other.clone_stop_color() {
            set.insert(LonghandId::StopColor);
        }
        if self.clone_text_decoration_color() != other.clone_text_decoration_color() {
            set.insert(LonghandId::TextDecorationColor);
        }
        if self.clone_text_emphasis_color() != other.clone_text_emphasis_color() {
            set.insert(LonghandId::TextEmphasisColor);
        }
        if self.clone__webkit_text_fill_color() != other.clone__webkit_text_fill_color() {
            set.insert(LonghandId::WebkitTextFillColor);
        }
        if self.clone__webkit_text_stroke_color() != other.clone__webkit_text_stroke_color() {
            set.insert(LonghandId::WebkitTextStrokeColor);
        }
        set
    }

    /// Create a `TransitionPropertyIterator` for this styles transition properties.
    pub fn transition_properties<'a>(
        &'a self
    ) -> animated_properties::TransitionPropertyIterator<'a> {
        animated_properties::TransitionPropertyIterator::from_style(self)
    }
}

#[cfg(feature = "servo")]
impl ComputedValues {
    /// Create a new refcounted `ComputedValues`
    pub fn new(
        pseudo: Option<&PseudoElement>,
        custom_properties: Option<Arc<crate::custom_properties::CustomPropertiesMap>>,
        writing_mode: WritingMode,
        flags: ComputedValueFlags,
        rules: Option<StrongRuleNode>,
        visited_style: Option<Arc<ComputedValues>>,
        background: Arc<style_structs::Background>,
        border: Arc<style_structs::Border>,
        box_: Arc<style_structs::Box>,
        column: Arc<style_structs::Column>,
        counters: Arc<style_structs::Counters>,
        effects: Arc<style_structs::Effects>,
        font: Arc<style_structs::Font>,
        inherited_box: Arc<style_structs::InheritedBox>,
        inherited_svg: Arc<style_structs::InheritedSVG>,
        inherited_table: Arc<style_structs::InheritedTable>,
        inherited_text: Arc<style_structs::InheritedText>,
        inherited_ui: Arc<style_structs::InheritedUI>,
        list: Arc<style_structs::List>,
        margin: Arc<style_structs::Margin>,
        outline: Arc<style_structs::Outline>,
        page: Arc<style_structs::Page>,
        padding: Arc<style_structs::Padding>,
        position: Arc<style_structs::Position>,
        svg: Arc<style_structs::SVG>,
        table: Arc<style_structs::Table>,
        text: Arc<style_structs::Text>,
        ui: Arc<style_structs::UI>,
        xul: Arc<style_structs::XUL>,
    ) -> Arc<Self> {
        Arc::new(Self {
            inner: ComputedValuesInner {
                custom_properties,
                writing_mode,
                rules,
                visited_style,
                flags,
                background,
                border,
                box_,
                column,
                counters,
                effects,
                font,
                inherited_box,
                inherited_svg,
                inherited_table,
                inherited_text,
                inherited_ui,
                list,
                margin,
                outline,
                page,
                padding,
                position,
                svg,
                table,
                text,
                ui,
                xul,
            },
            pseudo: pseudo.cloned(),
        })
    }

    /// Get the initial computed values.
    pub fn initial_values() -> &'static Self { &*INITIAL_SERVO_VALUES }

    /// Serializes the computed value of this property as a string.
    pub fn computed_value_to_string(&self, property: PropertyDeclarationId) -> String {
        match property {
            PropertyDeclarationId::Longhand(id) => {
                let mut s = String::new();
                self.get_longhand_property_value(
                    id,
                    &mut CssWriter::new(&mut s)
                ).unwrap();
                s
            }
            PropertyDeclarationId::Custom(name) => {
                self.custom_properties
                    .as_ref()
                    .and_then(|map| map.get(name))
                    .map_or(String::new(), |value| value.to_css_string())
            }
        }
    }
}

#[cfg(feature = "servo")]
impl ops::Deref for ComputedValues {
    type Target = ComputedValuesInner;
    fn deref(&self) -> &ComputedValuesInner {
        &self.inner
    }
}

#[cfg(feature = "servo")]
impl ops::DerefMut for ComputedValues {
    fn deref_mut(&mut self) -> &mut ComputedValuesInner {
        &mut self.inner
    }
}

#[cfg(feature = "servo")]
impl ComputedValuesInner {
    /// Returns the visited style, if any.
    pub fn visited_style(&self) -> Option<&ComputedValues> {
        self.visited_style.as_deref()
    }

        /// Clone the Background struct.
        #[inline]
        pub fn clone_background(&self) -> Arc<style_structs::Background> {
            self.background.clone()
        }

        /// Get a immutable reference to the Background struct.
        #[inline]
        pub fn get_background(&self) -> &style_structs::Background {
            &self.background
        }

        /// Get a mutable reference to the Background struct.
        #[inline]
        pub fn mutate_background(&mut self) -> &mut style_structs::Background {
            Arc::make_mut(&mut self.background)
        }
        /// Clone the Border struct.
        #[inline]
        pub fn clone_border(&self) -> Arc<style_structs::Border> {
            self.border.clone()
        }

        /// Get a immutable reference to the Border struct.
        #[inline]
        pub fn get_border(&self) -> &style_structs::Border {
            &self.border
        }

        /// Get a mutable reference to the Border struct.
        #[inline]
        pub fn mutate_border(&mut self) -> &mut style_structs::Border {
            Arc::make_mut(&mut self.border)
        }
        /// Clone the Box struct.
        #[inline]
        pub fn clone_box(&self) -> Arc<style_structs::Box> {
            self.box_.clone()
        }

        /// Get a immutable reference to the Box struct.
        #[inline]
        pub fn get_box(&self) -> &style_structs::Box {
            &self.box_
        }

        /// Get a mutable reference to the Box struct.
        #[inline]
        pub fn mutate_box(&mut self) -> &mut style_structs::Box {
            Arc::make_mut(&mut self.box_)
        }
        /// Clone the Column struct.
        #[inline]
        pub fn clone_column(&self) -> Arc<style_structs::Column> {
            self.column.clone()
        }

        /// Get a immutable reference to the Column struct.
        #[inline]
        pub fn get_column(&self) -> &style_structs::Column {
            &self.column
        }

        /// Get a mutable reference to the Column struct.
        #[inline]
        pub fn mutate_column(&mut self) -> &mut style_structs::Column {
            Arc::make_mut(&mut self.column)
        }
        /// Clone the Counters struct.
        #[inline]
        pub fn clone_counters(&self) -> Arc<style_structs::Counters> {
            self.counters.clone()
        }

        /// Get a immutable reference to the Counters struct.
        #[inline]
        pub fn get_counters(&self) -> &style_structs::Counters {
            &self.counters
        }

        /// Get a mutable reference to the Counters struct.
        #[inline]
        pub fn mutate_counters(&mut self) -> &mut style_structs::Counters {
            Arc::make_mut(&mut self.counters)
        }
        /// Clone the Effects struct.
        #[inline]
        pub fn clone_effects(&self) -> Arc<style_structs::Effects> {
            self.effects.clone()
        }

        /// Get a immutable reference to the Effects struct.
        #[inline]
        pub fn get_effects(&self) -> &style_structs::Effects {
            &self.effects
        }

        /// Get a mutable reference to the Effects struct.
        #[inline]
        pub fn mutate_effects(&mut self) -> &mut style_structs::Effects {
            Arc::make_mut(&mut self.effects)
        }
        /// Clone the Font struct.
        #[inline]
        pub fn clone_font(&self) -> Arc<style_structs::Font> {
            self.font.clone()
        }

        /// Get a immutable reference to the Font struct.
        #[inline]
        pub fn get_font(&self) -> &style_structs::Font {
            &self.font
        }

        /// Get a mutable reference to the Font struct.
        #[inline]
        pub fn mutate_font(&mut self) -> &mut style_structs::Font {
            Arc::make_mut(&mut self.font)
        }
        /// Clone the InheritedBox struct.
        #[inline]
        pub fn clone_inherited_box(&self) -> Arc<style_structs::InheritedBox> {
            self.inherited_box.clone()
        }

        /// Get a immutable reference to the InheritedBox struct.
        #[inline]
        pub fn get_inherited_box(&self) -> &style_structs::InheritedBox {
            &self.inherited_box
        }

        /// Get a mutable reference to the InheritedBox struct.
        #[inline]
        pub fn mutate_inherited_box(&mut self) -> &mut style_structs::InheritedBox {
            Arc::make_mut(&mut self.inherited_box)
        }
        /// Clone the InheritedSVG struct.
        #[inline]
        pub fn clone_inherited_svg(&self) -> Arc<style_structs::InheritedSVG> {
            self.inherited_svg.clone()
        }

        /// Get a immutable reference to the InheritedSVG struct.
        #[inline]
        pub fn get_inherited_svg(&self) -> &style_structs::InheritedSVG {
            &self.inherited_svg
        }

        /// Get a mutable reference to the InheritedSVG struct.
        #[inline]
        pub fn mutate_inherited_svg(&mut self) -> &mut style_structs::InheritedSVG {
            Arc::make_mut(&mut self.inherited_svg)
        }
        /// Clone the InheritedTable struct.
        #[inline]
        pub fn clone_inherited_table(&self) -> Arc<style_structs::InheritedTable> {
            self.inherited_table.clone()
        }

        /// Get a immutable reference to the InheritedTable struct.
        #[inline]
        pub fn get_inherited_table(&self) -> &style_structs::InheritedTable {
            &self.inherited_table
        }

        /// Get a mutable reference to the InheritedTable struct.
        #[inline]
        pub fn mutate_inherited_table(&mut self) -> &mut style_structs::InheritedTable {
            Arc::make_mut(&mut self.inherited_table)
        }
        /// Clone the InheritedText struct.
        #[inline]
        pub fn clone_inherited_text(&self) -> Arc<style_structs::InheritedText> {
            self.inherited_text.clone()
        }

        /// Get a immutable reference to the InheritedText struct.
        #[inline]
        pub fn get_inherited_text(&self) -> &style_structs::InheritedText {
            &self.inherited_text
        }

        /// Get a mutable reference to the InheritedText struct.
        #[inline]
        pub fn mutate_inherited_text(&mut self) -> &mut style_structs::InheritedText {
            Arc::make_mut(&mut self.inherited_text)
        }
        /// Clone the InheritedUI struct.
        #[inline]
        pub fn clone_inherited_ui(&self) -> Arc<style_structs::InheritedUI> {
            self.inherited_ui.clone()
        }

        /// Get a immutable reference to the InheritedUI struct.
        #[inline]
        pub fn get_inherited_ui(&self) -> &style_structs::InheritedUI {
            &self.inherited_ui
        }

        /// Get a mutable reference to the InheritedUI struct.
        #[inline]
        pub fn mutate_inherited_ui(&mut self) -> &mut style_structs::InheritedUI {
            Arc::make_mut(&mut self.inherited_ui)
        }
        /// Clone the List struct.
        #[inline]
        pub fn clone_list(&self) -> Arc<style_structs::List> {
            self.list.clone()
        }

        /// Get a immutable reference to the List struct.
        #[inline]
        pub fn get_list(&self) -> &style_structs::List {
            &self.list
        }

        /// Get a mutable reference to the List struct.
        #[inline]
        pub fn mutate_list(&mut self) -> &mut style_structs::List {
            Arc::make_mut(&mut self.list)
        }
        /// Clone the Margin struct.
        #[inline]
        pub fn clone_margin(&self) -> Arc<style_structs::Margin> {
            self.margin.clone()
        }

        /// Get a immutable reference to the Margin struct.
        #[inline]
        pub fn get_margin(&self) -> &style_structs::Margin {
            &self.margin
        }

        /// Get a mutable reference to the Margin struct.
        #[inline]
        pub fn mutate_margin(&mut self) -> &mut style_structs::Margin {
            Arc::make_mut(&mut self.margin)
        }
        /// Clone the Outline struct.
        #[inline]
        pub fn clone_outline(&self) -> Arc<style_structs::Outline> {
            self.outline.clone()
        }

        /// Get a immutable reference to the Outline struct.
        #[inline]
        pub fn get_outline(&self) -> &style_structs::Outline {
            &self.outline
        }

        /// Get a mutable reference to the Outline struct.
        #[inline]
        pub fn mutate_outline(&mut self) -> &mut style_structs::Outline {
            Arc::make_mut(&mut self.outline)
        }
        /// Clone the Page struct.
        #[inline]
        pub fn clone_page(&self) -> Arc<style_structs::Page> {
            self.page.clone()
        }

        /// Get a immutable reference to the Page struct.
        #[inline]
        pub fn get_page(&self) -> &style_structs::Page {
            &self.page
        }

        /// Get a mutable reference to the Page struct.
        #[inline]
        pub fn mutate_page(&mut self) -> &mut style_structs::Page {
            Arc::make_mut(&mut self.page)
        }
        /// Clone the Padding struct.
        #[inline]
        pub fn clone_padding(&self) -> Arc<style_structs::Padding> {
            self.padding.clone()
        }

        /// Get a immutable reference to the Padding struct.
        #[inline]
        pub fn get_padding(&self) -> &style_structs::Padding {
            &self.padding
        }

        /// Get a mutable reference to the Padding struct.
        #[inline]
        pub fn mutate_padding(&mut self) -> &mut style_structs::Padding {
            Arc::make_mut(&mut self.padding)
        }
        /// Clone the Position struct.
        #[inline]
        pub fn clone_position(&self) -> Arc<style_structs::Position> {
            self.position.clone()
        }

        /// Get a immutable reference to the Position struct.
        #[inline]
        pub fn get_position(&self) -> &style_structs::Position {
            &self.position
        }

        /// Get a mutable reference to the Position struct.
        #[inline]
        pub fn mutate_position(&mut self) -> &mut style_structs::Position {
            Arc::make_mut(&mut self.position)
        }
        /// Clone the SVG struct.
        #[inline]
        pub fn clone_svg(&self) -> Arc<style_structs::SVG> {
            self.svg.clone()
        }

        /// Get a immutable reference to the SVG struct.
        #[inline]
        pub fn get_svg(&self) -> &style_structs::SVG {
            &self.svg
        }

        /// Get a mutable reference to the SVG struct.
        #[inline]
        pub fn mutate_svg(&mut self) -> &mut style_structs::SVG {
            Arc::make_mut(&mut self.svg)
        }
        /// Clone the Table struct.
        #[inline]
        pub fn clone_table(&self) -> Arc<style_structs::Table> {
            self.table.clone()
        }

        /// Get a immutable reference to the Table struct.
        #[inline]
        pub fn get_table(&self) -> &style_structs::Table {
            &self.table
        }

        /// Get a mutable reference to the Table struct.
        #[inline]
        pub fn mutate_table(&mut self) -> &mut style_structs::Table {
            Arc::make_mut(&mut self.table)
        }
        /// Clone the Text struct.
        #[inline]
        pub fn clone_text(&self) -> Arc<style_structs::Text> {
            self.text.clone()
        }

        /// Get a immutable reference to the Text struct.
        #[inline]
        pub fn get_text(&self) -> &style_structs::Text {
            &self.text
        }

        /// Get a mutable reference to the Text struct.
        #[inline]
        pub fn mutate_text(&mut self) -> &mut style_structs::Text {
            Arc::make_mut(&mut self.text)
        }
        /// Clone the UI struct.
        #[inline]
        pub fn clone_ui(&self) -> Arc<style_structs::UI> {
            self.ui.clone()
        }

        /// Get a immutable reference to the UI struct.
        #[inline]
        pub fn get_ui(&self) -> &style_structs::UI {
            &self.ui
        }

        /// Get a mutable reference to the UI struct.
        #[inline]
        pub fn mutate_ui(&mut self) -> &mut style_structs::UI {
            Arc::make_mut(&mut self.ui)
        }
        /// Clone the XUL struct.
        #[inline]
        pub fn clone_xul(&self) -> Arc<style_structs::XUL> {
            self.xul.clone()
        }

        /// Get a immutable reference to the XUL struct.
        #[inline]
        pub fn get_xul(&self) -> &style_structs::XUL {
            &self.xul
        }

        /// Get a mutable reference to the XUL struct.
        #[inline]
        pub fn mutate_xul(&mut self) -> &mut style_structs::XUL {
            Arc::make_mut(&mut self.xul)
        }

    /// Gets a reference to the rule node. Panic if no rule node exists.
    pub fn rules(&self) -> &StrongRuleNode {
        self.rules.as_ref().unwrap()
    }

    #[inline]
    /// Returns whether the "content" property for the given style is completely
    /// ineffective, and would yield an empty `::before` or `::after`
    /// pseudo-element.
    pub fn ineffective_content_property(&self) -> bool {
        use crate::values::generics::counters::Content;
        match self.get_counters().content {
            Content::Normal | Content::None => true,
            Content::Items(ref items) => items.is_empty(),
        }
    }

    /// Whether the current style or any of its ancestors is multicolumn.
    #[inline]
    pub fn can_be_fragmented(&self) -> bool {
        self.flags.contains(ComputedValueFlags::CAN_BE_FRAGMENTED)
    }

    /// Whether the current style is multicolumn.
    #[inline]
    pub fn is_multicol(&self) -> bool {
        self.get_column().is_multicol()
    }

    /// Get the logical computed inline size.
    #[inline]
    pub fn content_inline_size(&self) -> &computed::Size {
        let position_style = self.get_position();
        if self.writing_mode.is_vertical() {
            &position_style.height
        } else {
            &position_style.width
        }
    }

    /// Get the logical computed block size.
    #[inline]
    pub fn content_block_size(&self) -> &computed::Size {
        let position_style = self.get_position();
        if self.writing_mode.is_vertical() { &position_style.width } else { &position_style.height }
    }

    /// Get the logical computed min inline size.
    #[inline]
    pub fn min_inline_size(&self) -> &computed::Size {
        let position_style = self.get_position();
        if self.writing_mode.is_vertical() { &position_style.min_height } else { &position_style.min_width }
    }

    /// Get the logical computed min block size.
    #[inline]
    pub fn min_block_size(&self) -> &computed::Size {
        let position_style = self.get_position();
        if self.writing_mode.is_vertical() { &position_style.min_width } else { &position_style.min_height }
    }

    /// Get the logical computed max inline size.
    #[inline]
    pub fn max_inline_size(&self) -> &computed::MaxSize {
        let position_style = self.get_position();
        if self.writing_mode.is_vertical() { &position_style.max_height } else { &position_style.max_width }
    }

    /// Get the logical computed max block size.
    #[inline]
    pub fn max_block_size(&self) -> &computed::MaxSize {
        let position_style = self.get_position();
        if self.writing_mode.is_vertical() { &position_style.max_width } else { &position_style.max_height }
    }

    /// Get the logical computed padding for this writing mode.
    #[inline]
    pub fn logical_padding(&self) -> LogicalMargin<&computed::LengthPercentage> {
        let padding_style = self.get_padding();
        LogicalMargin::from_physical(self.writing_mode, SideOffsets2D::new(
            &padding_style.padding_top.0,
            &padding_style.padding_right.0,
            &padding_style.padding_bottom.0,
            &padding_style.padding_left.0,
        ))
    }

    /// Get the logical border width
    #[inline]
    pub fn border_width_for_writing_mode(&self, writing_mode: WritingMode) -> LogicalMargin<Au> {
        let border_style = self.get_border();
        LogicalMargin::from_physical(writing_mode, SideOffsets2D::new(
            Au::from(border_style.border_top_width),
            Au::from(border_style.border_right_width),
            Au::from(border_style.border_bottom_width),
            Au::from(border_style.border_left_width),
        ))
    }

    /// Gets the logical computed border widths for this style.
    #[inline]
    pub fn logical_border_width(&self) -> LogicalMargin<Au> {
        self.border_width_for_writing_mode(self.writing_mode)
    }

    /// Gets the logical computed margin from this style.
    #[inline]
    pub fn logical_margin(&self) -> LogicalMargin<&computed::LengthPercentageOrAuto> {
        let margin_style = self.get_margin();
        LogicalMargin::from_physical(self.writing_mode, SideOffsets2D::new(
            &margin_style.margin_top,
            &margin_style.margin_right,
            &margin_style.margin_bottom,
            &margin_style.margin_left,
        ))
    }

    /// Gets the logical position from this style.
    #[inline]
    pub fn logical_position(&self) -> LogicalMargin<&computed::LengthPercentageOrAuto> {
        // FIXME(SimonSapin): should be the writing mode of the containing block, maybe?
        let position_style = self.get_position();
        LogicalMargin::from_physical(self.writing_mode, SideOffsets2D::new(
            &position_style.top,
            &position_style.right,
            &position_style.bottom,
            &position_style.left,
        ))
    }

    /// Return true if the effects force the transform style to be Flat
    pub fn overrides_transform_style(&self) -> bool {
        use crate::computed_values::mix_blend_mode::T as MixBlendMode;

        let effects = self.get_effects();
        // TODO(gw): Add clip-path, isolation, mask-image, mask-border-source when supported.
        effects.opacity < 1.0 ||
           !effects.filter.0.is_empty() ||
           !effects.clip.is_auto() ||
           effects.mix_blend_mode != MixBlendMode::Normal
    }

    /// <https://drafts.csswg.org/css-transforms/#grouping-property-values>
    pub fn get_used_transform_style(&self) -> computed_values::transform_style::T {
        use crate::computed_values::transform_style::T as TransformStyle;

        let box_ = self.get_box();

        if self.overrides_transform_style() {
            TransformStyle::Flat
        } else {
            // Return the computed value if not overridden by the above exceptions
            box_.transform_style
        }
    }

    /// Whether given this transform value, the compositor would require a
    /// layer.
    pub fn transform_requires_layer(&self) -> bool {
        use crate::values::generics::transform::TransformOperation;
        // Check if the transform matrix is 2D or 3D
        for transform in &*self.get_box().transform.0 {
            match *transform {
                TransformOperation::Perspective(..) => {
                    return true;
                }
                TransformOperation::Matrix3D(m) => {
                    // See http://dev.w3.org/csswg/css-transforms/#2d-matrix
                    if m.m31 != 0.0 || m.m32 != 0.0 ||
                       m.m13 != 0.0 || m.m23 != 0.0 ||
                       m.m43 != 0.0 || m.m14 != 0.0 ||
                       m.m24 != 0.0 || m.m34 != 0.0 ||
                       m.m33 != 1.0 || m.m44 != 1.0 {
                        return true;
                    }
                }
                TransformOperation::Translate3D(_, _, z) |
                TransformOperation::TranslateZ(z) => {
                    if z.px() != 0. {
                        return true;
                    }
                }
                _ => {}
            }
        }

        // Neither perspective nor transform present
        false
    }
}

/// A reference to a style struct of the parent, or our own style struct.
pub enum StyleStructRef<'a, T: 'static> {
    /// A borrowed struct from the parent, for example, for inheriting style.
    Borrowed(&'a T),
    /// An owned struct, that we've already mutated.
    Owned(UniqueArc<T>),
    /// Temporarily vacated, will panic if accessed
    Vacated,
}

impl<'a, T: 'a> StyleStructRef<'a, T>
where
    T: Clone,
{
    /// Ensure a mutable reference of this value exists, either cloning the
    /// borrowed value, or returning the owned one.
    pub fn mutate(&mut self) -> &mut T {
        if let StyleStructRef::Borrowed(v) = *self {
            *self = StyleStructRef::Owned(UniqueArc::new(v.clone()));
        }

        match *self {
            StyleStructRef::Owned(ref mut v) => v,
            StyleStructRef::Borrowed(..) => unreachable!(),
            StyleStructRef::Vacated => panic!("Accessed vacated style struct")
        }
    }

    /// Whether this is pointer-equal to the struct we're going to copy the
    /// value from.
    ///
    /// This is used to avoid allocations when people write stuff like `font:
    /// inherit` or such `all: initial`.
    #[inline]
    pub fn ptr_eq(&self, struct_to_copy_from: &T) -> bool {
        match *self {
            StyleStructRef::Owned(..) => false,
            StyleStructRef::Borrowed(s) => {
                s as *const T == struct_to_copy_from as *const T
            }
            StyleStructRef::Vacated => panic!("Accessed vacated style struct")
        }
    }

    /// Extract a unique Arc from this struct, vacating it.
    ///
    /// The vacated state is a transient one, please put the Arc back
    /// when done via `put()`. This function is to be used to separate
    /// the struct being mutated from the computed context
    pub fn take(&mut self) -> UniqueArc<T> {
        use std::mem::replace;
        let inner = replace(self, StyleStructRef::Vacated);

        match inner {
            StyleStructRef::Owned(arc) => arc,
            StyleStructRef::Borrowed(s) => UniqueArc::new(s.clone()),
            StyleStructRef::Vacated => panic!("Accessed vacated style struct"),
        }
    }

    /// Replace vacated ref with an arc
    pub fn put(&mut self, arc: UniqueArc<T>) {
        debug_assert!(matches!(*self, StyleStructRef::Vacated));
        *self = StyleStructRef::Owned(arc);
    }

    /// Get a mutable reference to the owned struct, or `None` if the struct
    /// hasn't been mutated.
    pub fn get_if_mutated(&mut self) -> Option<&mut T> {
        match *self {
            StyleStructRef::Owned(ref mut v) => Some(v),
            StyleStructRef::Borrowed(..) => None,
            StyleStructRef::Vacated => panic!("Accessed vacated style struct")
        }
    }

    /// Returns an `Arc` to the internal struct, constructing one if
    /// appropriate.
    pub fn build(self) -> Arc<T> {
        match self {
            StyleStructRef::Owned(v) => v.shareable(),
            // SAFETY: We know all style structs are arc-allocated.
            StyleStructRef::Borrowed(v) => unsafe { Arc::from_raw_addrefed(v) },
            StyleStructRef::Vacated => panic!("Accessed vacated style struct")
        }
    }
}

impl<'a, T: 'a> ops::Deref for StyleStructRef<'a, T> {
    type Target = T;

    fn deref(&self) -> &T {
        match *self {
            StyleStructRef::Owned(ref v) => &**v,
            StyleStructRef::Borrowed(v) => v,
            StyleStructRef::Vacated => panic!("Accessed vacated style struct")
        }
    }
}

/// A type used to compute a struct with minimal overhead.
///
/// This allows holding references to the parent/default computed values without
/// actually cloning them, until we either build the style, or mutate the
/// inherited value.
pub struct StyleBuilder<'a> {
    /// The device we're using to compute style.
    ///
    /// This provides access to viewport unit ratios, etc.
    pub device: &'a Device,

    /// The style we're inheriting from.
    ///
    /// This is effectively
    /// `parent_style.unwrap_or(device.default_computed_values())`.
    inherited_style: &'a ComputedValues,

    /// The style we're inheriting from for properties that don't inherit from
    /// ::first-line.  This is the same as inherited_style, unless
    /// inherited_style is a ::first-line style.
    inherited_style_ignoring_first_line: &'a ComputedValues,

    /// The style we're getting reset structs from.
    reset_style: &'a ComputedValues,

    /// The rule node representing the ordered list of rules matched for this
    /// node.
    pub rules: Option<StrongRuleNode>,

    custom_properties: Option<Arc<crate::custom_properties::CustomPropertiesMap>>,

    /// The pseudo-element this style will represent.
    pub pseudo: Option<&'a PseudoElement>,

    /// Whether we have mutated any reset structs since the the last time
    /// `clear_modified_reset` was called.  This is used to tell whether the
    /// `StyleAdjuster` did any work.
    modified_reset: bool,

    /// Whether this is the style for the root element.
    pub is_root_element: bool,

    /// The writing mode flags.
    ///
    /// TODO(emilio): Make private.
    pub writing_mode: WritingMode,

    /// Flags for the computed value.
    pub flags: Cell<ComputedValueFlags>,

    /// The element's style if visited, only computed if there's a relevant link
    /// for this element.  A element's "relevant link" is the element being
    /// matched if it is a link or the nearest ancestor link.
    pub visited_style: Option<Arc<ComputedValues>>,
        background: StyleStructRef<'a, style_structs::Background>,
        border: StyleStructRef<'a, style_structs::Border>,
        box_: StyleStructRef<'a, style_structs::Box>,
        column: StyleStructRef<'a, style_structs::Column>,
        counters: StyleStructRef<'a, style_structs::Counters>,
        effects: StyleStructRef<'a, style_structs::Effects>,
        font: StyleStructRef<'a, style_structs::Font>,
        inherited_box: StyleStructRef<'a, style_structs::InheritedBox>,
        inherited_svg: StyleStructRef<'a, style_structs::InheritedSVG>,
        inherited_table: StyleStructRef<'a, style_structs::InheritedTable>,
        inherited_text: StyleStructRef<'a, style_structs::InheritedText>,
        inherited_ui: StyleStructRef<'a, style_structs::InheritedUI>,
        list: StyleStructRef<'a, style_structs::List>,
        margin: StyleStructRef<'a, style_structs::Margin>,
        outline: StyleStructRef<'a, style_structs::Outline>,
        page: StyleStructRef<'a, style_structs::Page>,
        padding: StyleStructRef<'a, style_structs::Padding>,
        position: StyleStructRef<'a, style_structs::Position>,
        svg: StyleStructRef<'a, style_structs::SVG>,
        table: StyleStructRef<'a, style_structs::Table>,
        text: StyleStructRef<'a, style_structs::Text>,
        ui: StyleStructRef<'a, style_structs::UI>,
        xul: StyleStructRef<'a, style_structs::XUL>,
}

impl<'a> StyleBuilder<'a> {
    /// Trivially construct a `StyleBuilder`.
    pub(super) fn new(
        device: &'a Device,
        parent_style: Option<&'a ComputedValues>,
        parent_style_ignoring_first_line: Option<&'a ComputedValues>,
        pseudo: Option<&'a PseudoElement>,
        rules: Option<StrongRuleNode>,
        custom_properties: Option<Arc<crate::custom_properties::CustomPropertiesMap>>,
        is_root_element: bool,
    ) -> Self {
        debug_assert_eq!(parent_style.is_some(), parent_style_ignoring_first_line.is_some());
        #[cfg(feature = "gecko")]
        debug_assert!(parent_style.is_none() ||
                      std::ptr::eq(parent_style.unwrap(),
                                     parent_style_ignoring_first_line.unwrap()) ||
                      parent_style.unwrap().is_first_line_style());
        let reset_style = device.default_computed_values();
        let inherited_style = parent_style.unwrap_or(reset_style);
        let inherited_style_ignoring_first_line = parent_style_ignoring_first_line.unwrap_or(reset_style);

        let flags = inherited_style.flags.inherited();

        StyleBuilder {
            device,
            inherited_style,
            inherited_style_ignoring_first_line,
            reset_style,
            pseudo,
            rules,
            modified_reset: false,
            is_root_element,
            custom_properties,
            writing_mode: inherited_style.writing_mode,
            flags: Cell::new(flags),
            visited_style: None,
            background: StyleStructRef::Borrowed(reset_style.get_background()),
            border: StyleStructRef::Borrowed(reset_style.get_border()),
            box_: StyleStructRef::Borrowed(reset_style.get_box()),
            column: StyleStructRef::Borrowed(reset_style.get_column()),
            counters: StyleStructRef::Borrowed(reset_style.get_counters()),
            effects: StyleStructRef::Borrowed(reset_style.get_effects()),
            font: StyleStructRef::Borrowed(inherited_style.get_font()),
            inherited_box: StyleStructRef::Borrowed(inherited_style.get_inherited_box()),
            inherited_svg: StyleStructRef::Borrowed(inherited_style.get_inherited_svg()),
            inherited_table: StyleStructRef::Borrowed(inherited_style.get_inherited_table()),
            inherited_text: StyleStructRef::Borrowed(inherited_style.get_inherited_text()),
            inherited_ui: StyleStructRef::Borrowed(inherited_style.get_inherited_ui()),
            list: StyleStructRef::Borrowed(inherited_style.get_list()),
            margin: StyleStructRef::Borrowed(reset_style.get_margin()),
            outline: StyleStructRef::Borrowed(reset_style.get_outline()),
            page: StyleStructRef::Borrowed(reset_style.get_page()),
            padding: StyleStructRef::Borrowed(reset_style.get_padding()),
            position: StyleStructRef::Borrowed(reset_style.get_position()),
            svg: StyleStructRef::Borrowed(reset_style.get_svg()),
            table: StyleStructRef::Borrowed(reset_style.get_table()),
            text: StyleStructRef::Borrowed(reset_style.get_text()),
            ui: StyleStructRef::Borrowed(reset_style.get_ui()),
            xul: StyleStructRef::Borrowed(reset_style.get_xul()),
        }
    }

    /// NOTE(emilio): This is done so we can compute relative units with respect
    /// to the parent style, but all the early properties / writing-mode / etc
    /// are already set to the right ones on the kid.
    ///
    /// Do _not_ actually call this to construct a style, this should mostly be
    /// used for animations.
    pub fn for_animation(
        device: &'a Device,
        style_to_derive_from: &'a ComputedValues,
        parent_style: Option<&'a ComputedValues>,
    ) -> Self {
        let reset_style = device.default_computed_values();
        let inherited_style = parent_style.unwrap_or(reset_style);
        #[cfg(feature = "gecko")]
        debug_assert!(parent_style.is_none() ||
                      !parent_style.unwrap().is_first_line_style());
        StyleBuilder {
            device,
            inherited_style,
            // None of our callers pass in ::first-line parent styles.
            inherited_style_ignoring_first_line: inherited_style,
            reset_style,
            pseudo: None,
            modified_reset: false,
            is_root_element: false,
            rules: None,
            custom_properties: style_to_derive_from.custom_properties().cloned(),
            writing_mode: style_to_derive_from.writing_mode,
            flags: Cell::new(style_to_derive_from.flags),
            visited_style: None,
            background: StyleStructRef::Borrowed(
                style_to_derive_from.get_background()
            ),
            border: StyleStructRef::Borrowed(
                style_to_derive_from.get_border()
            ),
            box_: StyleStructRef::Borrowed(
                style_to_derive_from.get_box()
            ),
            column: StyleStructRef::Borrowed(
                style_to_derive_from.get_column()
            ),
            counters: StyleStructRef::Borrowed(
                style_to_derive_from.get_counters()
            ),
            effects: StyleStructRef::Borrowed(
                style_to_derive_from.get_effects()
            ),
            font: StyleStructRef::Borrowed(
                style_to_derive_from.get_font()
            ),
            inherited_box: StyleStructRef::Borrowed(
                style_to_derive_from.get_inherited_box()
            ),
            inherited_svg: StyleStructRef::Borrowed(
                style_to_derive_from.get_inherited_svg()
            ),
            inherited_table: StyleStructRef::Borrowed(
                style_to_derive_from.get_inherited_table()
            ),
            inherited_text: StyleStructRef::Borrowed(
                style_to_derive_from.get_inherited_text()
            ),
            inherited_ui: StyleStructRef::Borrowed(
                style_to_derive_from.get_inherited_ui()
            ),
            list: StyleStructRef::Borrowed(
                style_to_derive_from.get_list()
            ),
            margin: StyleStructRef::Borrowed(
                style_to_derive_from.get_margin()
            ),
            outline: StyleStructRef::Borrowed(
                style_to_derive_from.get_outline()
            ),
            page: StyleStructRef::Borrowed(
                style_to_derive_from.get_page()
            ),
            padding: StyleStructRef::Borrowed(
                style_to_derive_from.get_padding()
            ),
            position: StyleStructRef::Borrowed(
                style_to_derive_from.get_position()
            ),
            svg: StyleStructRef::Borrowed(
                style_to_derive_from.get_svg()
            ),
            table: StyleStructRef::Borrowed(
                style_to_derive_from.get_table()
            ),
            text: StyleStructRef::Borrowed(
                style_to_derive_from.get_text()
            ),
            ui: StyleStructRef::Borrowed(
                style_to_derive_from.get_ui()
            ),
            xul: StyleStructRef::Borrowed(
                style_to_derive_from.get_xul()
            ),
        }
    }

    /// Copy the reset properties from `style`.
    pub fn copy_reset_from(&mut self, style: &'a ComputedValues) {
        self.background =
            StyleStructRef::Borrowed(style.get_background());
        self.border =
            StyleStructRef::Borrowed(style.get_border());
        self.box_ =
            StyleStructRef::Borrowed(style.get_box());
        self.column =
            StyleStructRef::Borrowed(style.get_column());
        self.counters =
            StyleStructRef::Borrowed(style.get_counters());
        self.effects =
            StyleStructRef::Borrowed(style.get_effects());
        self.margin =
            StyleStructRef::Borrowed(style.get_margin());
        self.outline =
            StyleStructRef::Borrowed(style.get_outline());
        self.page =
            StyleStructRef::Borrowed(style.get_page());
        self.padding =
            StyleStructRef::Borrowed(style.get_padding());
        self.position =
            StyleStructRef::Borrowed(style.get_position());
        self.svg =
            StyleStructRef::Borrowed(style.get_svg());
        self.table =
            StyleStructRef::Borrowed(style.get_table());
        self.text =
            StyleStructRef::Borrowed(style.get_text());
        self.ui =
            StyleStructRef::Borrowed(style.get_ui());
        self.xul =
            StyleStructRef::Borrowed(style.get_xul());
    }

    /// Inherit `align_content` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_align_content(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_align_content_from(
                inherited_struct,
            );
    }

    /// Set the `align_content` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_align_content(
        &mut self,
        value: longhands::align_content::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_align_content(
                value,
            );
    }
    /// Inherit `align_items` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_align_items(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_align_items_from(
                inherited_struct,
            );
    }

    /// Set the `align_items` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_align_items(
        &mut self,
        value: longhands::align_items::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_align_items(
                value,
            );
    }
    /// Inherit `align_self` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_align_self(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_align_self_from(
                inherited_struct,
            );
    }

    /// Set the `align_self` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_align_self(
        &mut self,
        value: longhands::align_self::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_align_self(
                value,
            );
    }
    /// Inherit `aspect_ratio` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_aspect_ratio(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_aspect_ratio_from(
                inherited_struct,
            );
    }

    /// Set the `aspect_ratio` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_aspect_ratio(
        &mut self,
        value: longhands::aspect_ratio::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_aspect_ratio(
                value,
            );
    }
    /// Inherit `backface_visibility` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_backface_visibility(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_backface_visibility_from(
                inherited_struct,
            );
    }

    /// Set the `backface_visibility` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_backface_visibility(
        &mut self,
        value: longhands::backface_visibility::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_backface_visibility(
                value,
            );
    }
    /// Inherit `baseline_source` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_baseline_source(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_baseline_source_from(
                inherited_struct,
            );
    }

    /// Set the `baseline_source` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_baseline_source(
        &mut self,
        value: longhands::baseline_source::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_baseline_source(
                value,
            );
    }
    /// Reset `border_collapse` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_border_collapse(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_table();

        if self.inherited_table.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_table.mutate()
            .reset_border_collapse(
                reset_struct,
            );
    }

    /// Set the `border_collapse` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_collapse(
        &mut self,
        value: longhands::border_collapse::computed_value::T
    ) {

        self.inherited_table.mutate()
            .set_border_collapse(
                value,
            );
    }
    /// Inherit `border_image_repeat` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_image_repeat(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_image_repeat_from(
                inherited_struct,
            );
    }

    /// Set the `border_image_repeat` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_image_repeat(
        &mut self,
        value: longhands::border_image_repeat::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_image_repeat(
                value,
            );
    }
    /// Inherit `box_decoration_break` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_box_decoration_break(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_box_decoration_break_from(
                inherited_struct,
            );
    }

    /// Set the `box_decoration_break` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_box_decoration_break(
        &mut self,
        value: longhands::box_decoration_break::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_box_decoration_break(
                value,
            );
    }
    /// Inherit `box_sizing` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_box_sizing(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_box_sizing_from(
                inherited_struct,
            );
    }

    /// Set the `box_sizing` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_box_sizing(
        &mut self,
        value: longhands::box_sizing::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_box_sizing(
                value,
            );
    }
    /// Inherit `break_inside` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_break_inside(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_break_inside_from(
                inherited_struct,
            );
    }

    /// Set the `break_inside` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_break_inside(
        &mut self,
        value: longhands::break_inside::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_break_inside(
                value,
            );
    }
    /// Reset `caption_side` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_caption_side(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_table();

        if self.inherited_table.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_table.mutate()
            .reset_caption_side(
                reset_struct,
            );
    }

    /// Set the `caption_side` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_caption_side(
        &mut self,
        value: longhands::caption_side::computed_value::T
    ) {

        self.inherited_table.mutate()
            .set_caption_side(
                value,
            );
    }
    /// Inherit `clear` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_clear(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_clear_from(
                inherited_struct,
            );
    }

    /// Set the `clear` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_clear(
        &mut self,
        value: longhands::clear::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_clear(
                value,
            );
    }
    /// Reset `color_interpolation` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_color_interpolation(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_color_interpolation(
                reset_struct,
            );
    }

    /// Set the `color_interpolation` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_color_interpolation(
        &mut self,
        value: longhands::color_interpolation::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_color_interpolation(
                value,
            );
    }
    /// Reset `color_interpolation_filters` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_color_interpolation_filters(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_color_interpolation_filters(
                reset_struct,
            );
    }

    /// Set the `color_interpolation_filters` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_color_interpolation_filters(
        &mut self,
        value: longhands::color_interpolation_filters::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_color_interpolation_filters(
                value,
            );
    }
    /// Inherit `column_count` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_count(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_count_from(
                inherited_struct,
            );
    }

    /// Set the `column_count` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_count(
        &mut self,
        value: longhands::column_count::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_count(
                value,
            );
    }
    /// Inherit `column_fill` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_fill(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_fill_from(
                inherited_struct,
            );
    }

    /// Set the `column_fill` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_fill(
        &mut self,
        value: longhands::column_fill::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_fill(
                value,
            );
    }
    /// Inherit `column_span` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_span(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_span_from(
                inherited_struct,
            );
    }

    /// Set the `column_span` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_span(
        &mut self,
        value: longhands::column_span::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_span(
                value,
            );
    }
    /// Inherit `contain` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_contain(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_contain_from(
                inherited_struct,
            );
    }

    /// Set the `contain` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_contain(
        &mut self,
        value: longhands::contain::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_contain(
                value,
            );
    }
    /// Inherit `container_type` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_container_type(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_container_type_from(
                inherited_struct,
            );
    }

    /// Set the `container_type` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_container_type(
        &mut self,
        value: longhands::container_type::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_container_type(
                value,
            );
    }
    /// Inherit `content_visibility` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_content_visibility(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_content_visibility_from(
                inherited_struct,
            );
    }

    /// Set the `content_visibility` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_content_visibility(
        &mut self,
        value: longhands::content_visibility::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_content_visibility(
                value,
            );
    }
    /// Reset `direction` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_direction(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_direction(
                reset_struct,
            );
    }

    /// Set the `direction` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_direction(
        &mut self,
        value: longhands::direction::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_direction(
                value,
            );
    }
    /// Inherit `display` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_display(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);


        self.add_flags(ComputedValueFlags::DISPLAY_DEPENDS_ON_INHERITED_STYLE);

        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_display_from(
                inherited_struct,
            );
    }

    /// Set the `display` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_display(
        &mut self,
        value: longhands::display::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_display(
                value,
            );
    }
    /// Reset `dominant_baseline` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_dominant_baseline(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_dominant_baseline(
                reset_struct,
            );
    }

    /// Set the `dominant_baseline` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_dominant_baseline(
        &mut self,
        value: longhands::dominant_baseline::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_dominant_baseline(
                value,
            );
    }
    /// Reset `empty_cells` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_empty_cells(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_table();

        if self.inherited_table.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_table.mutate()
            .reset_empty_cells(
                reset_struct,
            );
    }

    /// Set the `empty_cells` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_empty_cells(
        &mut self,
        value: longhands::empty_cells::computed_value::T
    ) {

        self.inherited_table.mutate()
            .set_empty_cells(
                value,
            );
    }
    /// Inherit `flex_direction` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flex_direction(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_flex_direction_from(
                inherited_struct,
            );
    }

    /// Set the `flex_direction` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flex_direction(
        &mut self,
        value: longhands::flex_direction::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_flex_direction(
                value,
            );
    }
    /// Inherit `flex_wrap` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flex_wrap(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_flex_wrap_from(
                inherited_struct,
            );
    }

    /// Set the `flex_wrap` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flex_wrap(
        &mut self,
        value: longhands::flex_wrap::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_flex_wrap(
                value,
            );
    }
    /// Inherit `float` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_float(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_float_from(
                inherited_struct,
            );
    }

    /// Set the `float` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_float(
        &mut self,
        value: longhands::float::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_float(
                value,
            );
    }
    /// Reset `font_kerning` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_kerning(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_kerning(
                reset_struct,
            );
    }

    /// Set the `font_kerning` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_kerning(
        &mut self,
        value: longhands::font_kerning::computed_value::T
    ) {

        self.font.mutate()
            .set_font_kerning(
                value,
            );
    }
    /// Reset `font_language_override` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_language_override(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_language_override(
                reset_struct,
            );
    }

    /// Set the `font_language_override` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_language_override(
        &mut self,
        value: longhands::font_language_override::computed_value::T
    ) {

        self.font.mutate()
            .set_font_language_override(
                value,
            );
    }
    /// Reset `font_optical_sizing` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_optical_sizing(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_optical_sizing(
                reset_struct,
            );
    }

    /// Set the `font_optical_sizing` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_optical_sizing(
        &mut self,
        value: longhands::font_optical_sizing::computed_value::T
    ) {

        self.font.mutate()
            .set_font_optical_sizing(
                value,
            );
    }
    /// Reset `font_size_adjust` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_size_adjust(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_size_adjust(
                reset_struct,
            );
    }

    /// Set the `font_size_adjust` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_size_adjust(
        &mut self,
        value: longhands::font_size_adjust::computed_value::T
    ) {

        self.font.mutate()
            .set_font_size_adjust(
                value,
            );
    }
    /// Reset `font_stretch` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_stretch(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_stretch(
                reset_struct,
            );
    }

    /// Set the `font_stretch` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_stretch(
        &mut self,
        value: longhands::font_stretch::computed_value::T
    ) {

        self.font.mutate()
            .set_font_stretch(
                value,
            );
    }
    /// Reset `font_style` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_style(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_style(
                reset_struct,
            );
    }

    /// Set the `font_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_style(
        &mut self,
        value: longhands::font_style::computed_value::T
    ) {

        self.font.mutate()
            .set_font_style(
                value,
            );
    }
    /// Reset `font_variant_caps` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_caps(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_caps(
                reset_struct,
            );
    }

    /// Set the `font_variant_caps` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_caps(
        &mut self,
        value: longhands::font_variant_caps::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_caps(
                value,
            );
    }
    /// Reset `font_variant_east_asian` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_east_asian(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_east_asian(
                reset_struct,
            );
    }

    /// Set the `font_variant_east_asian` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_east_asian(
        &mut self,
        value: longhands::font_variant_east_asian::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_east_asian(
                value,
            );
    }
    /// Reset `font_variant_emoji` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_emoji(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_emoji(
                reset_struct,
            );
    }

    /// Set the `font_variant_emoji` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_emoji(
        &mut self,
        value: longhands::font_variant_emoji::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_emoji(
                value,
            );
    }
    /// Reset `font_variant_ligatures` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_ligatures(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_ligatures(
                reset_struct,
            );
    }

    /// Set the `font_variant_ligatures` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_ligatures(
        &mut self,
        value: longhands::font_variant_ligatures::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_ligatures(
                value,
            );
    }
    /// Reset `font_variant_numeric` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_numeric(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_numeric(
                reset_struct,
            );
    }

    /// Set the `font_variant_numeric` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_numeric(
        &mut self,
        value: longhands::font_variant_numeric::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_numeric(
                value,
            );
    }
    /// Reset `font_variant_position` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_position(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_position(
                reset_struct,
            );
    }

    /// Set the `font_variant_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_position(
        &mut self,
        value: longhands::font_variant_position::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_position(
                value,
            );
    }
    /// Reset `font_weight` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_weight(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_weight(
                reset_struct,
            );
    }

    /// Set the `font_weight` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_weight(
        &mut self,
        value: longhands::font_weight::computed_value::T
    ) {

        self.font.mutate()
            .set_font_weight(
                value,
            );
    }
    /// Reset `forced_color_adjust` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_forced_color_adjust(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_forced_color_adjust(
                reset_struct,
            );
    }

    /// Set the `forced_color_adjust` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_forced_color_adjust(
        &mut self,
        value: longhands::forced_color_adjust::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_forced_color_adjust(
                value,
            );
    }
    /// Inherit `grid_auto_flow` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_auto_flow(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_auto_flow_from(
                inherited_struct,
            );
    }

    /// Set the `grid_auto_flow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_auto_flow(
        &mut self,
        value: longhands::grid_auto_flow::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_auto_flow(
                value,
            );
    }
    /// Reset `hyphens` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_hyphens(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_hyphens(
                reset_struct,
            );
    }

    /// Set the `hyphens` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_hyphens(
        &mut self,
        value: longhands::hyphens::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_hyphens(
                value,
            );
    }
    /// Reset `image_orientation` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_image_orientation(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_image_orientation(
                reset_struct,
            );
    }

    /// Set the `image_orientation` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_image_orientation(
        &mut self,
        value: longhands::image_orientation::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_image_orientation(
                value,
            );
    }
    /// Reset `image_rendering` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_image_rendering(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_image_rendering(
                reset_struct,
            );
    }

    /// Set the `image_rendering` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_image_rendering(
        &mut self,
        value: longhands::image_rendering::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_image_rendering(
                value,
            );
    }
    /// Inherit `ime_mode` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_ime_mode(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_ime_mode_from(
                inherited_struct,
            );
    }

    /// Set the `ime_mode` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_ime_mode(
        &mut self,
        value: longhands::ime_mode::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set_ime_mode(
                value,
            );
    }
    /// Inherit `initial_letter` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_initial_letter(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_initial_letter_from(
                inherited_struct,
            );
    }

    /// Set the `initial_letter` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_initial_letter(
        &mut self,
        value: longhands::initial_letter::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_initial_letter(
                value,
            );
    }
    /// Inherit `isolation` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_isolation(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_isolation_from(
                inherited_struct,
            );
    }

    /// Set the `isolation` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_isolation(
        &mut self,
        value: longhands::isolation::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_isolation(
                value,
            );
    }
    /// Inherit `justify_content` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_justify_content(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_justify_content_from(
                inherited_struct,
            );
    }

    /// Set the `justify_content` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_justify_content(
        &mut self,
        value: longhands::justify_content::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_justify_content(
                value,
            );
    }
    /// Inherit `justify_items` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_justify_items(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_justify_items_from(
                inherited_struct,
            );
    }

    /// Set the `justify_items` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_justify_items(
        &mut self,
        value: longhands::justify_items::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_justify_items(
                value,
            );
    }
    /// Inherit `justify_self` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_justify_self(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_justify_self_from(
                inherited_struct,
            );
    }

    /// Set the `justify_self` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_justify_self(
        &mut self,
        value: longhands::justify_self::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_justify_self(
                value,
            );
    }
    /// Reset `line_break` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_line_break(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_line_break(
                reset_struct,
            );
    }

    /// Set the `line_break` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_line_break(
        &mut self,
        value: longhands::line_break::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_line_break(
                value,
            );
    }
    /// Reset `list_style_position` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_list_style_position(&mut self) {
        let reset_struct =
            self.reset_style.get_list();

        if self.list.ptr_eq(reset_struct) {
            return;
        }

        self.list.mutate()
            .reset_list_style_position(
                reset_struct,
            );
    }

    /// Set the `list_style_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_list_style_position(
        &mut self,
        value: longhands::list_style_position::computed_value::T
    ) {

        self.list.mutate()
            .set_list_style_position(
                value,
            );
    }
    /// Inherit `mask_type` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_type(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_type_from(
                inherited_struct,
            );
    }

    /// Set the `mask_type` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_mask_type(
        &mut self,
        value: longhands::mask_type::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_mask_type(
                value,
            );
    }
    /// Inherit `masonry_auto_flow` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_masonry_auto_flow(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_masonry_auto_flow_from(
                inherited_struct,
            );
    }

    /// Set the `masonry_auto_flow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_masonry_auto_flow(
        &mut self,
        value: longhands::masonry_auto_flow::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_masonry_auto_flow(
                value,
            );
    }
    /// Reset `math_depth` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_math_depth(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_math_depth(
                reset_struct,
            );
    }

    /// Set the `math_depth` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_math_depth(
        &mut self,
        value: longhands::math_depth::computed_value::T
    ) {

        self.font.mutate()
            .set_math_depth(
                value,
            );
    }
    /// Reset `math_style` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_math_style(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_math_style(
                reset_struct,
            );
    }

    /// Set the `math_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_math_style(
        &mut self,
        value: longhands::math_style::computed_value::T
    ) {

        self.font.mutate()
            .set_math_style(
                value,
            );
    }
    /// Inherit `mix_blend_mode` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mix_blend_mode(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_effects();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.effects.ptr_eq(inherited_struct) {
            return;
        }

        self.effects.mutate()
            .copy_mix_blend_mode_from(
                inherited_struct,
            );
    }

    /// Set the `mix_blend_mode` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_mix_blend_mode(
        &mut self,
        value: longhands::mix_blend_mode::computed_value::T
    ) {
        self.modified_reset = true;

        self.effects.mutate()
            .set_mix_blend_mode(
                value,
            );
    }
    /// Inherit `_moz_box_align` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_box_align(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_xul();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.xul.ptr_eq(inherited_struct) {
            return;
        }

        self.xul.mutate()
            .copy__moz_box_align_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_box_align` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_align(
        &mut self,
        value: longhands::_moz_box_align::computed_value::T
    ) {
        self.modified_reset = true;

        self.xul.mutate()
            .set__moz_box_align(
                value,
            );
    }
    /// Reset `_moz_box_collapse` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_box_collapse(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset__moz_box_collapse(
                reset_struct,
            );
    }

    /// Set the `_moz_box_collapse` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_collapse(
        &mut self,
        value: longhands::_moz_box_collapse::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set__moz_box_collapse(
                value,
            );
    }
    /// Inherit `_moz_box_direction` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_box_direction(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_xul();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.xul.ptr_eq(inherited_struct) {
            return;
        }

        self.xul.mutate()
            .copy__moz_box_direction_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_box_direction` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_direction(
        &mut self,
        value: longhands::_moz_box_direction::computed_value::T
    ) {
        self.modified_reset = true;

        self.xul.mutate()
            .set__moz_box_direction(
                value,
            );
    }
    /// Inherit `_moz_box_orient` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_box_orient(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_xul();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.xul.ptr_eq(inherited_struct) {
            return;
        }

        self.xul.mutate()
            .copy__moz_box_orient_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_box_orient` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_orient(
        &mut self,
        value: longhands::_moz_box_orient::computed_value::T
    ) {
        self.modified_reset = true;

        self.xul.mutate()
            .set__moz_box_orient(
                value,
            );
    }
    /// Inherit `_moz_box_pack` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_box_pack(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_xul();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.xul.ptr_eq(inherited_struct) {
            return;
        }

        self.xul.mutate()
            .copy__moz_box_pack_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_box_pack` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_pack(
        &mut self,
        value: longhands::_moz_box_pack::computed_value::T
    ) {
        self.modified_reset = true;

        self.xul.mutate()
            .set__moz_box_pack(
                value,
            );
    }
    /// Reset `_moz_control_character_visibility` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_control_character_visibility(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset__moz_control_character_visibility(
                reset_struct,
            );
    }

    /// Set the `_moz_control_character_visibility` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_control_character_visibility(
        &mut self,
        value: longhands::_moz_control_character_visibility::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set__moz_control_character_visibility(
                value,
            );
    }
    /// Inherit `_moz_float_edge` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_float_edge(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy__moz_float_edge_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_float_edge` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_float_edge(
        &mut self,
        value: longhands::_moz_float_edge::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set__moz_float_edge(
                value,
            );
    }
    /// Reset `_moz_inert` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_inert(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset__moz_inert(
                reset_struct,
            );
    }

    /// Set the `_moz_inert` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_inert(
        &mut self,
        value: longhands::_moz_inert::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set__moz_inert(
                value,
            );
    }
    /// Reset `_moz_math_variant` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_math_variant(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__moz_math_variant(
                reset_struct,
            );
    }

    /// Set the `_moz_math_variant` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_math_variant(
        &mut self,
        value: longhands::_moz_math_variant::computed_value::T
    ) {

        self.font.mutate()
            .set__moz_math_variant(
                value,
            );
    }
    /// Reset `_moz_min_font_size_ratio` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_min_font_size_ratio(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__moz_min_font_size_ratio(
                reset_struct,
            );
    }

    /// Set the `_moz_min_font_size_ratio` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_min_font_size_ratio(
        &mut self,
        value: longhands::_moz_min_font_size_ratio::computed_value::T
    ) {

        self.font.mutate()
            .set__moz_min_font_size_ratio(
                value,
            );
    }
    /// Inherit `_moz_orient` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_orient(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy__moz_orient_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_orient` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_orient(
        &mut self,
        value: longhands::_moz_orient::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set__moz_orient(
                value,
            );
    }
    /// Reset `_moz_osx_font_smoothing` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_osx_font_smoothing(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__moz_osx_font_smoothing(
                reset_struct,
            );
    }

    /// Set the `_moz_osx_font_smoothing` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_osx_font_smoothing(
        &mut self,
        value: longhands::_moz_osx_font_smoothing::computed_value::T
    ) {

        self.font.mutate()
            .set__moz_osx_font_smoothing(
                value,
            );
    }
    /// Reset `_moz_script_min_size` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_script_min_size(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__moz_script_min_size(
                reset_struct,
            );
    }

    /// Set the `_moz_script_min_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_script_min_size(
        &mut self,
        value: longhands::_moz_script_min_size::computed_value::T
    ) {

        self.font.mutate()
            .set__moz_script_min_size(
                value,
            );
    }
    /// Reset `_moz_script_size_multiplier` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_script_size_multiplier(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__moz_script_size_multiplier(
                reset_struct,
            );
    }

    /// Set the `_moz_script_size_multiplier` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_script_size_multiplier(
        &mut self,
        value: longhands::_moz_script_size_multiplier::computed_value::T
    ) {

        self.font.mutate()
            .set__moz_script_size_multiplier(
                value,
            );
    }
    /// Reset `_moz_text_size_adjust` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_text_size_adjust(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset__moz_text_size_adjust(
                reset_struct,
            );
    }

    /// Set the `_moz_text_size_adjust` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_text_size_adjust(
        &mut self,
        value: longhands::_moz_text_size_adjust::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set__moz_text_size_adjust(
                value,
            );
    }
    /// Inherit `_moz_top_layer` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_top_layer(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy__moz_top_layer_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_top_layer` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_top_layer(
        &mut self,
        value: longhands::_moz_top_layer::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set__moz_top_layer(
                value,
            );
    }
    /// Reset `_moz_user_focus` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_user_focus(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset__moz_user_focus(
                reset_struct,
            );
    }

    /// Set the `_moz_user_focus` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_user_focus(
        &mut self,
        value: longhands::_moz_user_focus::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set__moz_user_focus(
                value,
            );
    }
    /// Reset `_moz_user_input` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_user_input(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset__moz_user_input(
                reset_struct,
            );
    }

    /// Set the `_moz_user_input` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_user_input(
        &mut self,
        value: longhands::_moz_user_input::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set__moz_user_input(
                value,
            );
    }
    /// Reset `_moz_user_modify` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_user_modify(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset__moz_user_modify(
                reset_struct,
            );
    }

    /// Set the `_moz_user_modify` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_user_modify(
        &mut self,
        value: longhands::_moz_user_modify::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set__moz_user_modify(
                value,
            );
    }
    /// Inherit `_moz_window_dragging` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_window_dragging(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_window_dragging_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_window_dragging` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_window_dragging(
        &mut self,
        value: longhands::_moz_window_dragging::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_window_dragging(
                value,
            );
    }
    /// Inherit `_moz_window_shadow` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_window_shadow(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_window_shadow_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_window_shadow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_window_shadow(
        &mut self,
        value: longhands::_moz_window_shadow::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_window_shadow(
                value,
            );
    }
    /// Inherit `object_fit` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_object_fit(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_object_fit_from(
                inherited_struct,
            );
    }

    /// Set the `object_fit` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_object_fit(
        &mut self,
        value: longhands::object_fit::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_object_fit(
                value,
            );
    }
    /// Inherit `offset_rotate` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_offset_rotate(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_offset_rotate_from(
                inherited_struct,
            );
    }

    /// Set the `offset_rotate` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_offset_rotate(
        &mut self,
        value: longhands::offset_rotate::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_offset_rotate(
                value,
            );
    }
    /// Inherit `outline_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_outline_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_outline();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.outline.ptr_eq(inherited_struct) {
            return;
        }

        self.outline.mutate()
            .copy_outline_style_from(
                inherited_struct,
            );
    }

    /// Set the `outline_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_outline_style(
        &mut self,
        value: longhands::outline_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.outline.mutate()
            .set_outline_style(
                value,
            );
    }
    /// Inherit `overflow_anchor` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_anchor(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_anchor_from(
                inherited_struct,
            );
    }

    /// Set the `overflow_anchor` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_anchor(
        &mut self,
        value: longhands::overflow_anchor::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_anchor(
                value,
            );
    }
    /// Reset `overflow_wrap` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_overflow_wrap(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_overflow_wrap(
                reset_struct,
            );
    }

    /// Set the `overflow_wrap` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_wrap(
        &mut self,
        value: longhands::overflow_wrap::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_overflow_wrap(
                value,
            );
    }
    /// Inherit `page_orientation` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_page_orientation(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_page();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.page.ptr_eq(inherited_struct) {
            return;
        }

        self.page.mutate()
            .copy_page_orientation_from(
                inherited_struct,
            );
    }

    /// Set the `page_orientation` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_page_orientation(
        &mut self,
        value: longhands::page_orientation::computed_value::T
    ) {
        self.modified_reset = true;

        self.page.mutate()
            .set_page_orientation(
                value,
            );
    }
    /// Reset `paint_order` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_paint_order(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_paint_order(
                reset_struct,
            );
    }

    /// Set the `paint_order` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_paint_order(
        &mut self,
        value: longhands::paint_order::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_paint_order(
                value,
            );
    }
    /// Reset `pointer_events` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_pointer_events(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset_pointer_events(
                reset_struct,
            );
    }

    /// Set the `pointer_events` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_pointer_events(
        &mut self,
        value: longhands::pointer_events::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set_pointer_events(
                value,
            );
    }
    /// Inherit `position` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_position(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_position_from(
                inherited_struct,
            );
    }

    /// Set the `position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_position(
        &mut self,
        value: longhands::position::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_position(
                value,
            );
    }
    /// Reset `print_color_adjust` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_print_color_adjust(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_print_color_adjust(
                reset_struct,
            );
    }

    /// Set the `print_color_adjust` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_print_color_adjust(
        &mut self,
        value: longhands::print_color_adjust::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_print_color_adjust(
                value,
            );
    }
    /// Inherit `resize` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_resize(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_resize_from(
                inherited_struct,
            );
    }

    /// Set the `resize` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_resize(
        &mut self,
        value: longhands::resize::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_resize(
                value,
            );
    }
    /// Reset `ruby_align` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_ruby_align(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_ruby_align(
                reset_struct,
            );
    }

    /// Set the `ruby_align` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_ruby_align(
        &mut self,
        value: longhands::ruby_align::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_ruby_align(
                value,
            );
    }
    /// Reset `ruby_position` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_ruby_position(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_ruby_position(
                reset_struct,
            );
    }

    /// Set the `ruby_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_ruby_position(
        &mut self,
        value: longhands::ruby_position::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_ruby_position(
                value,
            );
    }
    /// Inherit `scroll_behavior` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_behavior(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_scroll_behavior_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_behavior` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_behavior(
        &mut self,
        value: longhands::scroll_behavior::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_scroll_behavior(
                value,
            );
    }
    /// Inherit `scroll_snap_align` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_snap_align(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_scroll_snap_align_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_snap_align` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_snap_align(
        &mut self,
        value: longhands::scroll_snap_align::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_scroll_snap_align(
                value,
            );
    }
    /// Inherit `scroll_snap_stop` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_snap_stop(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_scroll_snap_stop_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_snap_stop` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_snap_stop(
        &mut self,
        value: longhands::scroll_snap_stop::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_scroll_snap_stop(
                value,
            );
    }
    /// Inherit `scroll_snap_type` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_snap_type(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_scroll_snap_type_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_snap_type` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_snap_type(
        &mut self,
        value: longhands::scroll_snap_type::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_scroll_snap_type(
                value,
            );
    }
    /// Inherit `scrollbar_gutter` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scrollbar_gutter(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_scrollbar_gutter_from(
                inherited_struct,
            );
    }

    /// Set the `scrollbar_gutter` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scrollbar_gutter(
        &mut self,
        value: longhands::scrollbar_gutter::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_scrollbar_gutter(
                value,
            );
    }
    /// Inherit `scrollbar_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scrollbar_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_scrollbar_width_from(
                inherited_struct,
            );
    }

    /// Set the `scrollbar_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scrollbar_width(
        &mut self,
        value: longhands::scrollbar_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set_scrollbar_width(
                value,
            );
    }
    /// Reset `shape_rendering` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_shape_rendering(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_shape_rendering(
                reset_struct,
            );
    }

    /// Set the `shape_rendering` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_shape_rendering(
        &mut self,
        value: longhands::shape_rendering::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_shape_rendering(
                value,
            );
    }
    /// Reset `stroke_linecap` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_linecap(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_linecap(
                reset_struct,
            );
    }

    /// Set the `stroke_linecap` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_linecap(
        &mut self,
        value: longhands::stroke_linecap::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_linecap(
                value,
            );
    }
    /// Reset `stroke_linejoin` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_linejoin(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_linejoin(
                reset_struct,
            );
    }

    /// Set the `stroke_linejoin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_linejoin(
        &mut self,
        value: longhands::stroke_linejoin::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_linejoin(
                value,
            );
    }
    /// Inherit `table_layout` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_table_layout(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_table();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.table.ptr_eq(inherited_struct) {
            return;
        }

        self.table.mutate()
            .copy_table_layout_from(
                inherited_struct,
            );
    }

    /// Set the `table_layout` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_table_layout(
        &mut self,
        value: longhands::table_layout::computed_value::T
    ) {
        self.modified_reset = true;

        self.table.mutate()
            .set_table_layout(
                value,
            );
    }
    /// Reset `text_align` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_align(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_align(
                reset_struct,
            );
    }

    /// Set the `text_align` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_align(
        &mut self,
        value: longhands::text_align::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_align(
                value,
            );
    }
    /// Reset `text_align_last` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_align_last(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_align_last(
                reset_struct,
            );
    }

    /// Set the `text_align_last` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_align_last(
        &mut self,
        value: longhands::text_align_last::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_align_last(
                value,
            );
    }
    /// Reset `text_anchor` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_anchor(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_text_anchor(
                reset_struct,
            );
    }

    /// Set the `text_anchor` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_anchor(
        &mut self,
        value: longhands::text_anchor::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_text_anchor(
                value,
            );
    }
    /// Reset `text_combine_upright` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_combine_upright(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_combine_upright(
                reset_struct,
            );
    }

    /// Set the `text_combine_upright` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_combine_upright(
        &mut self,
        value: longhands::text_combine_upright::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_combine_upright(
                value,
            );
    }
    /// Inherit `text_decoration_line` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_text_decoration_line(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_text_decoration_line_from(
                inherited_struct,
            );
    }

    /// Set the `text_decoration_line` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_decoration_line(
        &mut self,
        value: longhands::text_decoration_line::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_text_decoration_line(
                value,
            );
    }
    /// Reset `text_decoration_skip_ink` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_decoration_skip_ink(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_decoration_skip_ink(
                reset_struct,
            );
    }

    /// Set the `text_decoration_skip_ink` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_decoration_skip_ink(
        &mut self,
        value: longhands::text_decoration_skip_ink::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_decoration_skip_ink(
                value,
            );
    }
    /// Inherit `text_decoration_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_text_decoration_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_text_decoration_style_from(
                inherited_struct,
            );
    }

    /// Set the `text_decoration_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_decoration_style(
        &mut self,
        value: longhands::text_decoration_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_text_decoration_style(
                value,
            );
    }
    /// Reset `text_emphasis_position` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_emphasis_position(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_emphasis_position(
                reset_struct,
            );
    }

    /// Set the `text_emphasis_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_emphasis_position(
        &mut self,
        value: longhands::text_emphasis_position::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_emphasis_position(
                value,
            );
    }
    /// Reset `text_justify` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_justify(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_justify(
                reset_struct,
            );
    }

    /// Set the `text_justify` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_justify(
        &mut self,
        value: longhands::text_justify::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_justify(
                value,
            );
    }
    /// Reset `text_orientation` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_orientation(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_text_orientation(
                reset_struct,
            );
    }

    /// Set the `text_orientation` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_orientation(
        &mut self,
        value: longhands::text_orientation::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_text_orientation(
                value,
            );
    }
    /// Reset `text_rendering` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_rendering(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_rendering(
                reset_struct,
            );
    }

    /// Set the `text_rendering` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_rendering(
        &mut self,
        value: longhands::text_rendering::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_rendering(
                value,
            );
    }
    /// Reset `text_transform` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_transform(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_transform(
                reset_struct,
            );
    }

    /// Set the `text_transform` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_transform(
        &mut self,
        value: longhands::text_transform::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_transform(
                value,
            );
    }
    /// Reset `text_underline_position` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_underline_position(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_underline_position(
                reset_struct,
            );
    }

    /// Set the `text_underline_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_underline_position(
        &mut self,
        value: longhands::text_underline_position::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_underline_position(
                value,
            );
    }
    /// Inherit `touch_action` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_touch_action(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_touch_action_from(
                inherited_struct,
            );
    }

    /// Set the `touch_action` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_touch_action(
        &mut self,
        value: longhands::touch_action::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_touch_action(
                value,
            );
    }
    /// Inherit `transform_box` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transform_box(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_transform_box_from(
                inherited_struct,
            );
    }

    /// Set the `transform_box` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_transform_box(
        &mut self,
        value: longhands::transform_box::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_transform_box(
                value,
            );
    }
    /// Inherit `transform_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transform_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_transform_style_from(
                inherited_struct,
            );
    }

    /// Set the `transform_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_transform_style(
        &mut self,
        value: longhands::transform_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_transform_style(
                value,
            );
    }
    /// Inherit `unicode_bidi` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_unicode_bidi(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_unicode_bidi_from(
                inherited_struct,
            );
    }

    /// Set the `unicode_bidi` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_unicode_bidi(
        &mut self,
        value: longhands::unicode_bidi::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_unicode_bidi(
                value,
            );
    }
    /// Inherit `user_select` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_user_select(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_user_select_from(
                inherited_struct,
            );
    }

    /// Set the `user_select` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_user_select(
        &mut self,
        value: longhands::user_select::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set_user_select(
                value,
            );
    }
    /// Inherit `vector_effect` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_vector_effect(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_vector_effect_from(
                inherited_struct,
            );
    }

    /// Set the `vector_effect` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_vector_effect(
        &mut self,
        value: longhands::vector_effect::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_vector_effect(
                value,
            );
    }
    /// Reset `visibility` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_visibility(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_visibility(
                reset_struct,
            );
    }

    /// Set the `visibility` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_visibility(
        &mut self,
        value: longhands::visibility::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_visibility(
                value,
            );
    }
    /// Inherit `_webkit_line_clamp` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__webkit_line_clamp(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy__webkit_line_clamp_from(
                inherited_struct,
            );
    }

    /// Set the `_webkit_line_clamp` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__webkit_line_clamp(
        &mut self,
        value: longhands::_webkit_line_clamp::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set__webkit_line_clamp(
                value,
            );
    }
    /// Reset `_webkit_text_security` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__webkit_text_security(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset__webkit_text_security(
                reset_struct,
            );
    }

    /// Set the `_webkit_text_security` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__webkit_text_security(
        &mut self,
        value: longhands::_webkit_text_security::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set__webkit_text_security(
                value,
            );
    }
    /// Reset `white_space` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_white_space(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_white_space(
                reset_struct,
            );
    }

    /// Set the `white_space` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_white_space(
        &mut self,
        value: longhands::white_space::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_white_space(
                value,
            );
    }
    /// Reset `word_break` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_word_break(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_word_break(
                reset_struct,
            );
    }

    /// Set the `word_break` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_word_break(
        &mut self,
        value: longhands::word_break::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_word_break(
                value,
            );
    }
    /// Reset `writing_mode` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_writing_mode(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_box();

        if self.inherited_box.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_box.mutate()
            .reset_writing_mode(
                reset_struct,
            );
    }

    /// Set the `writing_mode` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_writing_mode(
        &mut self,
        value: longhands::writing_mode::computed_value::T
    ) {

        self.inherited_box.mutate()
            .set_writing_mode(
                value,
            );
    }
    /// Reset `_x_text_scale` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__x_text_scale(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__x_text_scale(
                reset_struct,
            );
    }

    /// Set the `_x_text_scale` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__x_text_scale(
        &mut self,
        value: longhands::_x_text_scale::computed_value::T
    ) {

        self.font.mutate()
            .set__x_text_scale(
                value,
            );
    }
    /// Inherit `z_index` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_z_index(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_z_index_from(
                inherited_struct,
            );
    }

    /// Set the `z_index` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_z_index(
        &mut self,
        value: longhands::z_index::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_z_index(
                value,
            );
    }
    /// Inherit `appearance` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_appearance(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_appearance_from(
                inherited_struct,
            );
    }

    /// Set the `appearance` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_appearance(
        &mut self,
        value: longhands::appearance::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_appearance(
                value,
            );
    }
    /// Inherit `_moz_default_appearance` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_default_appearance(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy__moz_default_appearance_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_default_appearance` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_default_appearance(
        &mut self,
        value: longhands::_moz_default_appearance::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set__moz_default_appearance(
                value,
            );
    }
    /// Inherit `_moz_force_broken_image_icon` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_force_broken_image_icon(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_force_broken_image_icon_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_force_broken_image_icon` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_force_broken_image_icon(
        &mut self,
        value: longhands::_moz_force_broken_image_icon::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_force_broken_image_icon(
                value,
            );
    }
    /// Inherit `_moz_subtree_hidden_only_visually` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_subtree_hidden_only_visually(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_subtree_hidden_only_visually_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_subtree_hidden_only_visually` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_subtree_hidden_only_visually(
        &mut self,
        value: longhands::_moz_subtree_hidden_only_visually::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_subtree_hidden_only_visually(
                value,
            );
    }
    /// Inherit `break_after` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_break_after(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_break_after_from(
                inherited_struct,
            );
    }

    /// Set the `break_after` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_break_after(
        &mut self,
        value: longhands::break_after::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_break_after(
                value,
            );
    }
    /// Inherit `break_before` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_break_before(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_break_before_from(
                inherited_struct,
            );
    }

    /// Set the `break_before` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_break_before(
        &mut self,
        value: longhands::break_before::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_break_before(
                value,
            );
    }
    /// Reset `clip_rule` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_clip_rule(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_clip_rule(
                reset_struct,
            );
    }

    /// Set the `clip_rule` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_clip_rule(
        &mut self,
        value: longhands::clip_rule::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_clip_rule(
                value,
            );
    }
    /// Reset `fill_rule` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_fill_rule(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_fill_rule(
                reset_struct,
            );
    }

    /// Set the `fill_rule` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_fill_rule(
        &mut self,
        value: longhands::fill_rule::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_fill_rule(
                value,
            );
    }
    /// Inherit `overflow_clip_box_block` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_clip_box_block(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_clip_box_block_from(
                inherited_struct,
            );
    }

    /// Set the `overflow_clip_box_block` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_clip_box_block(
        &mut self,
        value: longhands::overflow_clip_box_block::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_clip_box_block(
                value,
            );
    }
    /// Inherit `overflow_clip_box_inline` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_clip_box_inline(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_clip_box_inline_from(
                inherited_struct,
            );
    }

    /// Set the `overflow_clip_box_inline` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_clip_box_inline(
        &mut self,
        value: longhands::overflow_clip_box_inline::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_clip_box_inline(
                value,
            );
    }
    /// Reset `fill_opacity` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_fill_opacity(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_fill_opacity(
                reset_struct,
            );
    }

    /// Set the `fill_opacity` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_fill_opacity(
        &mut self,
        value: longhands::fill_opacity::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_fill_opacity(
                value,
            );
    }
    /// Reset `stroke_opacity` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_opacity(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_opacity(
                reset_struct,
            );
    }

    /// Set the `stroke_opacity` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_opacity(
        &mut self,
        value: longhands::stroke_opacity::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_opacity(
                value,
            );
    }
    /// Reset `font_synthesis_small_caps` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_synthesis_small_caps(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_synthesis_small_caps(
                reset_struct,
            );
    }

    /// Set the `font_synthesis_small_caps` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_synthesis_small_caps(
        &mut self,
        value: longhands::font_synthesis_small_caps::computed_value::T
    ) {

        self.font.mutate()
            .set_font_synthesis_small_caps(
                value,
            );
    }
    /// Reset `font_synthesis_style` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_synthesis_style(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_synthesis_style(
                reset_struct,
            );
    }

    /// Set the `font_synthesis_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_synthesis_style(
        &mut self,
        value: longhands::font_synthesis_style::computed_value::T
    ) {

        self.font.mutate()
            .set_font_synthesis_style(
                value,
            );
    }
    /// Reset `font_synthesis_weight` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_synthesis_weight(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_synthesis_weight(
                reset_struct,
            );
    }

    /// Set the `font_synthesis_weight` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_synthesis_weight(
        &mut self,
        value: longhands::font_synthesis_weight::computed_value::T
    ) {

        self.font.mutate()
            .set_font_synthesis_weight(
                value,
            );
    }
    /// Inherit `_moz_box_ordinal_group` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_box_ordinal_group(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_xul();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.xul.ptr_eq(inherited_struct) {
            return;
        }

        self.xul.mutate()
            .copy__moz_box_ordinal_group_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_box_ordinal_group` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_ordinal_group(
        &mut self,
        value: longhands::_moz_box_ordinal_group::computed_value::T
    ) {
        self.modified_reset = true;

        self.xul.mutate()
            .set__moz_box_ordinal_group(
                value,
            );
    }
    /// Inherit `order` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_order(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_order_from(
                inherited_struct,
            );
    }

    /// Set the `order` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_order(
        &mut self,
        value: longhands::order::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_order(
                value,
            );
    }
    /// Inherit `_x_span` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__x_span(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_table();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.table.ptr_eq(inherited_struct) {
            return;
        }

        self.table.mutate()
            .copy__x_span_from(
                inherited_struct,
            );
    }

    /// Set the `_x_span` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__x_span(
        &mut self,
        value: longhands::_x_span::computed_value::T
    ) {
        self.modified_reset = true;

        self.table.mutate()
            .set__x_span(
                value,
            );
    }
    /// Inherit `flex_grow` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flex_grow(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_flex_grow_from(
                inherited_struct,
            );
    }

    /// Set the `flex_grow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flex_grow(
        &mut self,
        value: longhands::flex_grow::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_flex_grow(
                value,
            );
    }
    /// Inherit `flex_shrink` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flex_shrink(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_flex_shrink_from(
                inherited_struct,
            );
    }

    /// Set the `flex_shrink` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flex_shrink(
        &mut self,
        value: longhands::flex_shrink::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_flex_shrink(
                value,
            );
    }
    /// Inherit `_moz_box_flex` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_box_flex(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_xul();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.xul.ptr_eq(inherited_struct) {
            return;
        }

        self.xul.mutate()
            .copy__moz_box_flex_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_box_flex` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_box_flex(
        &mut self,
        value: longhands::_moz_box_flex::computed_value::T
    ) {
        self.modified_reset = true;

        self.xul.mutate()
            .set__moz_box_flex(
                value,
            );
    }
    /// Reset `stroke_miterlimit` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_miterlimit(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_miterlimit(
                reset_struct,
            );
    }

    /// Set the `stroke_miterlimit` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_miterlimit(
        &mut self,
        value: longhands::stroke_miterlimit::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_miterlimit(
                value,
            );
    }
    /// Inherit `overflow_block` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_block(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_block_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `overflow_block` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_block(
        &mut self,
        value: longhands::overflow_block::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_block(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `overflow_inline` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_inline(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_inline_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `overflow_inline` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_inline(
        &mut self,
        value: longhands::overflow_inline::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_inline(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `overflow_x` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_x(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_x_from(
                inherited_struct,
            );
    }

    /// Set the `overflow_x` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_x(
        &mut self,
        value: longhands::overflow_x::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_x(
                value,
            );
    }
    /// Inherit `overflow_y` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_y(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overflow_y_from(
                inherited_struct,
            );
    }

    /// Set the `overflow_y` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_y(
        &mut self,
        value: longhands::overflow_y::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overflow_y(
                value,
            );
    }
    /// Inherit `overscroll_behavior_block` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overscroll_behavior_block(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overscroll_behavior_block_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `overscroll_behavior_block` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overscroll_behavior_block(
        &mut self,
        value: longhands::overscroll_behavior_block::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overscroll_behavior_block(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `overscroll_behavior_inline` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overscroll_behavior_inline(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overscroll_behavior_inline_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `overscroll_behavior_inline` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overscroll_behavior_inline(
        &mut self,
        value: longhands::overscroll_behavior_inline::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overscroll_behavior_inline(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `overscroll_behavior_x` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overscroll_behavior_x(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overscroll_behavior_x_from(
                inherited_struct,
            );
    }

    /// Set the `overscroll_behavior_x` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overscroll_behavior_x(
        &mut self,
        value: longhands::overscroll_behavior_x::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overscroll_behavior_x(
                value,
            );
    }
    /// Inherit `overscroll_behavior_y` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overscroll_behavior_y(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_overscroll_behavior_y_from(
                inherited_struct,
            );
    }

    /// Set the `overscroll_behavior_y` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overscroll_behavior_y(
        &mut self,
        value: longhands::overscroll_behavior_y::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_overscroll_behavior_y(
                value,
            );
    }
    /// Inherit `flood_opacity` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flood_opacity(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_flood_opacity_from(
                inherited_struct,
            );
    }

    /// Set the `flood_opacity` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flood_opacity(
        &mut self,
        value: longhands::flood_opacity::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_flood_opacity(
                value,
            );
    }
    /// Inherit `_moz_window_opacity` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_window_opacity(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_window_opacity_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_window_opacity` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_window_opacity(
        &mut self,
        value: longhands::_moz_window_opacity::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_window_opacity(
                value,
            );
    }
    /// Inherit `opacity` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_opacity(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_effects();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.effects.ptr_eq(inherited_struct) {
            return;
        }

        self.effects.mutate()
            .copy_opacity_from(
                inherited_struct,
            );
    }

    /// Set the `opacity` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_opacity(
        &mut self,
        value: longhands::opacity::computed_value::T
    ) {
        self.modified_reset = true;

        self.effects.mutate()
            .set_opacity(
                value,
            );
    }
    /// Inherit `shape_image_threshold` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_shape_image_threshold(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_shape_image_threshold_from(
                inherited_struct,
            );
    }

    /// Set the `shape_image_threshold` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_shape_image_threshold(
        &mut self,
        value: longhands::shape_image_threshold::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_shape_image_threshold(
                value,
            );
    }
    /// Inherit `stop_opacity` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_stop_opacity(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_stop_opacity_from(
                inherited_struct,
            );
    }

    /// Set the `stop_opacity` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stop_opacity(
        &mut self,
        value: longhands::stop_opacity::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_stop_opacity(
                value,
            );
    }
    /// Inherit `border_block_end_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_block_end_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_block_end_style_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_block_end_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_block_end_style(
        &mut self,
        value: longhands::border_block_end_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_block_end_style(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_block_start_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_block_start_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_block_start_style_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_block_start_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_block_start_style(
        &mut self,
        value: longhands::border_block_start_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_block_start_style(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_bottom_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_bottom_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_bottom_style_from(
                inherited_struct,
            );
    }

    /// Set the `border_bottom_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_bottom_style(
        &mut self,
        value: longhands::border_bottom_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_bottom_style(
                value,
            );
    }
    /// Inherit `border_inline_end_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_inline_end_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_inline_end_style_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_inline_end_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_inline_end_style(
        &mut self,
        value: longhands::border_inline_end_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_inline_end_style(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_inline_start_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_inline_start_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_inline_start_style_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_inline_start_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_inline_start_style(
        &mut self,
        value: longhands::border_inline_start_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_inline_start_style(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_left_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_left_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_left_style_from(
                inherited_struct,
            );
    }

    /// Set the `border_left_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_left_style(
        &mut self,
        value: longhands::border_left_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_left_style(
                value,
            );
    }
    /// Inherit `border_right_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_right_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_right_style_from(
                inherited_struct,
            );
    }

    /// Set the `border_right_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_right_style(
        &mut self,
        value: longhands::border_right_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_right_style(
                value,
            );
    }
    /// Inherit `border_top_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_top_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_top_style_from(
                inherited_struct,
            );
    }

    /// Set the `border_top_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_top_style(
        &mut self,
        value: longhands::border_top_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_top_style(
                value,
            );
    }
    /// Inherit `column_rule_style` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_rule_style(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_rule_style_from(
                inherited_struct,
            );
    }

    /// Set the `column_rule_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_rule_style(
        &mut self,
        value: longhands::column_rule_style::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_rule_style(
                value,
            );
    }
    /// Reset `accent_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_accent_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset_accent_color(
                reset_struct,
            );
    }

    /// Set the `accent_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_accent_color(
        &mut self,
        value: longhands::accent_color::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set_accent_color(
                value,
            );
    }
    /// Inherit `align_tracks` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_align_tracks(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_align_tracks_from(
                inherited_struct,
            );
    }

    /// Set the `align_tracks` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_align_tracks(
        &mut self,
        value: longhands::align_tracks::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_align_tracks(
                value,
            );
    }
    /// Inherit `animation_composition` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_composition(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_composition_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_delay` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_delay(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_delay_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_direction` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_direction(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_direction_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_duration` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_duration(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_duration_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_fill_mode` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_fill_mode(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_fill_mode_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_iteration_count` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_iteration_count(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_iteration_count_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_name` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_name(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_name_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_play_state` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_play_state(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_play_state_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_timeline` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_timeline(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_timeline_from(
                inherited_struct,
            );
    }

    /// Inherit `animation_timing_function` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_animation_timing_function(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_animation_timing_function_from(
                inherited_struct,
            );
    }

    /// Inherit `backdrop_filter` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_backdrop_filter(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_effects();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.effects.ptr_eq(inherited_struct) {
            return;
        }

        self.effects.mutate()
            .copy_backdrop_filter_from(
                inherited_struct,
            );
    }

    /// Set the `backdrop_filter` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_backdrop_filter(
        &mut self,
        value: longhands::backdrop_filter::computed_value::T
    ) {
        self.modified_reset = true;

        self.effects.mutate()
            .set_backdrop_filter(
                value,
            );
    }
    /// Inherit `background_attachment` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_attachment(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_attachment_from(
                inherited_struct,
            );
    }

    /// Inherit `background_blend_mode` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_blend_mode(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_blend_mode_from(
                inherited_struct,
            );
    }

    /// Inherit `background_clip` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_clip(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_clip_from(
                inherited_struct,
            );
    }

    /// Inherit `background_image` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_image(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_image_from(
                inherited_struct,
            );
    }

    /// Inherit `background_origin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_origin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_origin_from(
                inherited_struct,
            );
    }

    /// Inherit `background_position_x` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_position_x(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_position_x_from(
                inherited_struct,
            );
    }

    /// Inherit `background_position_y` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_position_y(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_position_y_from(
                inherited_struct,
            );
    }

    /// Inherit `background_repeat` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_repeat(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_repeat_from(
                inherited_struct,
            );
    }

    /// Inherit `background_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_size_from(
                inherited_struct,
            );
    }

    /// Inherit `border_image_outset` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_image_outset(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_image_outset_from(
                inherited_struct,
            );
    }

    /// Set the `border_image_outset` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_image_outset(
        &mut self,
        value: longhands::border_image_outset::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_image_outset(
                value,
            );
    }
    /// Inherit `border_image_slice` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_image_slice(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_image_slice_from(
                inherited_struct,
            );
    }

    /// Set the `border_image_slice` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_image_slice(
        &mut self,
        value: longhands::border_image_slice::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_image_slice(
                value,
            );
    }
    /// Inherit `border_image_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_image_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_image_width_from(
                inherited_struct,
            );
    }

    /// Set the `border_image_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_image_width(
        &mut self,
        value: longhands::border_image_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_image_width(
                value,
            );
    }
    /// Reset `border_spacing` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_border_spacing(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_table();

        if self.inherited_table.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_table.mutate()
            .reset_border_spacing(
                reset_struct,
            );
    }

    /// Set the `border_spacing` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_spacing(
        &mut self,
        value: longhands::border_spacing::computed_value::T
    ) {

        self.inherited_table.mutate()
            .set_border_spacing(
                value,
            );
    }
    /// Inherit `box_shadow` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_box_shadow(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_effects();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.effects.ptr_eq(inherited_struct) {
            return;
        }

        self.effects.mutate()
            .copy_box_shadow_from(
                inherited_struct,
            );
    }

    /// Set the `box_shadow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_box_shadow(
        &mut self,
        value: longhands::box_shadow::computed_value::T
    ) {
        self.modified_reset = true;

        self.effects.mutate()
            .set_box_shadow(
                value,
            );
    }
    /// Reset `caret_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_caret_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset_caret_color(
                reset_struct,
            );
    }

    /// Set the `caret_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_caret_color(
        &mut self,
        value: longhands::caret_color::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set_caret_color(
                value,
            );
    }
    /// Inherit `clip` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_clip(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_effects();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.effects.ptr_eq(inherited_struct) {
            return;
        }

        self.effects.mutate()
            .copy_clip_from(
                inherited_struct,
            );
    }

    /// Set the `clip` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_clip(
        &mut self,
        value: longhands::clip::computed_value::T
    ) {
        self.modified_reset = true;

        self.effects.mutate()
            .set_clip(
                value,
            );
    }
    /// Inherit `clip_path` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_clip_path(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_clip_path_from(
                inherited_struct,
            );
    }

    /// Set the `clip_path` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_clip_path(
        &mut self,
        value: longhands::clip_path::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_clip_path(
                value,
            );
    }
    /// Reset `color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_color(
                reset_struct,
            );
    }

    /// Set the `color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_color(
        &mut self,
        value: longhands::color::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_color(
                value,
            );
    }
    /// Reset `color_scheme` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_color_scheme(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset_color_scheme(
                reset_struct,
            );
    }

    /// Set the `color_scheme` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_color_scheme(
        &mut self,
        value: longhands::color_scheme::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set_color_scheme(
                value,
            );
    }
    /// Inherit `column_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_width_from(
                inherited_struct,
            );
    }

    /// Set the `column_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_width(
        &mut self,
        value: longhands::column_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_width(
                value,
            );
    }
    /// Inherit `container_name` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_container_name(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_container_name_from(
                inherited_struct,
            );
    }

    /// Set the `container_name` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_container_name(
        &mut self,
        value: longhands::container_name::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_container_name(
                value,
            );
    }
    /// Inherit `content` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_content(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_counters();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);

        self.add_flags(ComputedValueFlags::CONTENT_DEPENDS_ON_INHERITED_STYLE);


        if self.counters.ptr_eq(inherited_struct) {
            return;
        }

        self.counters.mutate()
            .copy_content_from(
                inherited_struct,
            );
    }

    /// Set the `content` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_content(
        &mut self,
        value: longhands::content::computed_value::T
    ) {
        self.modified_reset = true;

        self.counters.mutate()
            .set_content(
                value,
            );
    }
    /// Inherit `counter_increment` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_counter_increment(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_counters();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.counters.ptr_eq(inherited_struct) {
            return;
        }

        self.counters.mutate()
            .copy_counter_increment_from(
                inherited_struct,
            );
    }

    /// Set the `counter_increment` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_counter_increment(
        &mut self,
        value: longhands::counter_increment::computed_value::T
    ) {
        self.modified_reset = true;

        self.counters.mutate()
            .set_counter_increment(
                value,
            );
    }
    /// Inherit `counter_reset` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_counter_reset(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_counters();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.counters.ptr_eq(inherited_struct) {
            return;
        }

        self.counters.mutate()
            .copy_counter_reset_from(
                inherited_struct,
            );
    }

    /// Set the `counter_reset` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_counter_reset(
        &mut self,
        value: longhands::counter_reset::computed_value::T
    ) {
        self.modified_reset = true;

        self.counters.mutate()
            .set_counter_reset(
                value,
            );
    }
    /// Inherit `counter_set` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_counter_set(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_counters();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.counters.ptr_eq(inherited_struct) {
            return;
        }

        self.counters.mutate()
            .copy_counter_set_from(
                inherited_struct,
            );
    }

    /// Set the `counter_set` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_counter_set(
        &mut self,
        value: longhands::counter_set::computed_value::T
    ) {
        self.modified_reset = true;

        self.counters.mutate()
            .set_counter_set(
                value,
            );
    }
    /// Reset `cursor` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_cursor(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset_cursor(
                reset_struct,
            );
    }

    /// Set the `cursor` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_cursor(
        &mut self,
        value: longhands::cursor::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set_cursor(
                value,
            );
    }
    /// Inherit `d` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_d(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_d_from(
                inherited_struct,
            );
    }

    /// Set the `d` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_d(
        &mut self,
        value: longhands::d::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_d(
                value,
            );
    }
    /// Inherit `filter` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_filter(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_effects();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.effects.ptr_eq(inherited_struct) {
            return;
        }

        self.effects.mutate()
            .copy_filter_from(
                inherited_struct,
            );
    }

    /// Set the `filter` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_filter(
        &mut self,
        value: longhands::filter::computed_value::T
    ) {
        self.modified_reset = true;

        self.effects.mutate()
            .set_filter(
                value,
            );
    }
    /// Inherit `flex_basis` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flex_basis(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_flex_basis_from(
                inherited_struct,
            );
    }

    /// Set the `flex_basis` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flex_basis(
        &mut self,
        value: longhands::flex_basis::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_flex_basis(
                value,
            );
    }
    /// Reset `font_family` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_family(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_family(
                reset_struct,
            );
    }

    /// Set the `font_family` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_family(
        &mut self,
        value: longhands::font_family::computed_value::T
    ) {

        self.font.mutate()
            .set_font_family(
                value,
            );
    }
    /// Reset `font_feature_settings` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_feature_settings(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_feature_settings(
                reset_struct,
            );
    }

    /// Set the `font_feature_settings` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_feature_settings(
        &mut self,
        value: longhands::font_feature_settings::computed_value::T
    ) {

        self.font.mutate()
            .set_font_feature_settings(
                value,
            );
    }
    /// Reset `font_palette` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_palette(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_palette(
                reset_struct,
            );
    }

    /// Set the `font_palette` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_palette(
        &mut self,
        value: longhands::font_palette::computed_value::T
    ) {

        self.font.mutate()
            .set_font_palette(
                value,
            );
    }
    /// Reset `font_size` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_size(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_size(
                reset_struct,
            );
    }

    /// Set the `font_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_size(
        &mut self,
        value: longhands::font_size::computed_value::T
    ) {

        self.font.mutate()
            .set_font_size(
                value,
            );
    }
    /// Reset `font_variant_alternates` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variant_alternates(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variant_alternates(
                reset_struct,
            );
    }

    /// Set the `font_variant_alternates` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variant_alternates(
        &mut self,
        value: longhands::font_variant_alternates::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variant_alternates(
                value,
            );
    }
    /// Reset `font_variation_settings` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_font_variation_settings(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset_font_variation_settings(
                reset_struct,
            );
    }

    /// Set the `font_variation_settings` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_font_variation_settings(
        &mut self,
        value: longhands::font_variation_settings::computed_value::T
    ) {

        self.font.mutate()
            .set_font_variation_settings(
                value,
            );
    }
    /// Inherit `grid_template_areas` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_template_areas(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_template_areas_from(
                inherited_struct,
            );
    }

    /// Set the `grid_template_areas` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_template_areas(
        &mut self,
        value: longhands::grid_template_areas::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_template_areas(
                value,
            );
    }
    /// Reset `hyphenate_character` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_hyphenate_character(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_hyphenate_character(
                reset_struct,
            );
    }

    /// Set the `hyphenate_character` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_hyphenate_character(
        &mut self,
        value: longhands::hyphenate_character::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_hyphenate_character(
                value,
            );
    }
    /// Inherit `justify_tracks` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_justify_tracks(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_justify_tracks_from(
                inherited_struct,
            );
    }

    /// Set the `justify_tracks` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_justify_tracks(
        &mut self,
        value: longhands::justify_tracks::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_justify_tracks(
                value,
            );
    }
    /// Reset `letter_spacing` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_letter_spacing(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_letter_spacing(
                reset_struct,
            );
    }

    /// Set the `letter_spacing` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_letter_spacing(
        &mut self,
        value: longhands::letter_spacing::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_letter_spacing(
                value,
            );
    }
    /// Reset `line_height` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_line_height(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_line_height(
                reset_struct,
            );
    }

    /// Set the `line_height` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_line_height(
        &mut self,
        value: longhands::line_height::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_line_height(
                value,
            );
    }
    /// Reset `list_style_type` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_list_style_type(&mut self) {
        let reset_struct =
            self.reset_style.get_list();

        if self.list.ptr_eq(reset_struct) {
            return;
        }

        self.list.mutate()
            .reset_list_style_type(
                reset_struct,
            );
    }

    /// Set the `list_style_type` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_list_style_type(
        &mut self,
        value: longhands::list_style_type::computed_value::T
    ) {

        self.list.mutate()
            .set_list_style_type(
                value,
            );
    }
    /// Inherit `mask_clip` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_clip(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_clip_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_composite` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_composite(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_composite_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_image` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_image(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_image_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_mode` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_mode(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_mode_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_origin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_origin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_origin_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_position_x` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_position_x(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_position_x_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_position_y` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_position_y(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_position_y_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_repeat` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_repeat(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_repeat_from(
                inherited_struct,
            );
    }

    /// Inherit `mask_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_mask_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_mask_size_from(
                inherited_struct,
            );
    }

    /// Reset `_moz_context_properties` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_context_properties(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset__moz_context_properties(
                reset_struct,
            );
    }

    /// Set the `_moz_context_properties` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_context_properties(
        &mut self,
        value: longhands::_moz_context_properties::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set__moz_context_properties(
                value,
            );
    }
    /// Reset `_moz_font_smoothing_background_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__moz_font_smoothing_background_color(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__moz_font_smoothing_background_color(
                reset_struct,
            );
    }

    /// Set the `_moz_font_smoothing_background_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_font_smoothing_background_color(
        &mut self,
        value: longhands::_moz_font_smoothing_background_color::computed_value::T
    ) {

        self.font.mutate()
            .set__moz_font_smoothing_background_color(
                value,
            );
    }
    /// Inherit `offset_anchor` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_offset_anchor(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_offset_anchor_from(
                inherited_struct,
            );
    }

    /// Set the `offset_anchor` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_offset_anchor(
        &mut self,
        value: longhands::offset_anchor::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_offset_anchor(
                value,
            );
    }
    /// Inherit `offset_path` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_offset_path(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_offset_path_from(
                inherited_struct,
            );
    }

    /// Set the `offset_path` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_offset_path(
        &mut self,
        value: longhands::offset_path::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_offset_path(
                value,
            );
    }
    /// Inherit `offset_position` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_offset_position(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_offset_position_from(
                inherited_struct,
            );
    }

    /// Set the `offset_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_offset_position(
        &mut self,
        value: longhands::offset_position::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_offset_position(
                value,
            );
    }
    /// Inherit `page` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_page(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_page();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.page.ptr_eq(inherited_struct) {
            return;
        }

        self.page.mutate()
            .copy_page_from(
                inherited_struct,
            );
    }

    /// Set the `page` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_page(
        &mut self,
        value: longhands::page::computed_value::T
    ) {
        self.modified_reset = true;

        self.page.mutate()
            .set_page(
                value,
            );
    }
    /// Inherit `perspective` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_perspective(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_perspective_from(
                inherited_struct,
            );
    }

    /// Set the `perspective` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_perspective(
        &mut self,
        value: longhands::perspective::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_perspective(
                value,
            );
    }
    /// Reset `quotes` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_quotes(&mut self) {
        let reset_struct =
            self.reset_style.get_list();

        if self.list.ptr_eq(reset_struct) {
            return;
        }

        self.list.mutate()
            .reset_quotes(
                reset_struct,
            );
    }

    /// Set the `quotes` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_quotes(
        &mut self,
        value: longhands::quotes::computed_value::T
    ) {

        self.list.mutate()
            .set_quotes(
                value,
            );
    }
    /// Inherit `rotate` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_rotate(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_rotate_from(
                inherited_struct,
            );
    }

    /// Set the `rotate` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_rotate(
        &mut self,
        value: longhands::rotate::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_rotate(
                value,
            );
    }
    /// Inherit `scale` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scale(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_scale_from(
                inherited_struct,
            );
    }

    /// Set the `scale` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scale(
        &mut self,
        value: longhands::scale::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_scale(
                value,
            );
    }
    /// Inherit `scroll_timeline_axis` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_timeline_axis(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_scroll_timeline_axis_from(
                inherited_struct,
            );
    }

    /// Inherit `scroll_timeline_name` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_timeline_name(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_scroll_timeline_name_from(
                inherited_struct,
            );
    }

    /// Reset `scrollbar_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_scrollbar_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_ui();

        if self.inherited_ui.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_ui.mutate()
            .reset_scrollbar_color(
                reset_struct,
            );
    }

    /// Set the `scrollbar_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scrollbar_color(
        &mut self,
        value: longhands::scrollbar_color::computed_value::T
    ) {

        self.inherited_ui.mutate()
            .set_scrollbar_color(
                value,
            );
    }
    /// Inherit `shape_outside` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_shape_outside(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_shape_outside_from(
                inherited_struct,
            );
    }

    /// Set the `shape_outside` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_shape_outside(
        &mut self,
        value: longhands::shape_outside::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_shape_outside(
                value,
            );
    }
    /// Inherit `size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_page();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.page.ptr_eq(inherited_struct) {
            return;
        }

        self.page.mutate()
            .copy_size_from(
                inherited_struct,
            );
    }

    /// Set the `size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_size(
        &mut self,
        value: longhands::size::computed_value::T
    ) {
        self.modified_reset = true;

        self.page.mutate()
            .set_size(
                value,
            );
    }
    /// Reset `stroke_dasharray` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_dasharray(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_dasharray(
                reset_struct,
            );
    }

    /// Set the `stroke_dasharray` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_dasharray(
        &mut self,
        value: longhands::stroke_dasharray::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_dasharray(
                value,
            );
    }
    /// Reset `stroke_dashoffset` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_dashoffset(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_dashoffset(
                reset_struct,
            );
    }

    /// Set the `stroke_dashoffset` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_dashoffset(
        &mut self,
        value: longhands::stroke_dashoffset::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_dashoffset(
                value,
            );
    }
    /// Reset `stroke_width` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke_width(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke_width(
                reset_struct,
            );
    }

    /// Set the `stroke_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke_width(
        &mut self,
        value: longhands::stroke_width::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke_width(
                value,
            );
    }
    /// Reset `tab_size` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_tab_size(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_tab_size(
                reset_struct,
            );
    }

    /// Set the `tab_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_tab_size(
        &mut self,
        value: longhands::tab_size::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_tab_size(
                value,
            );
    }
    /// Inherit `text_decoration_thickness` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_text_decoration_thickness(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_text_decoration_thickness_from(
                inherited_struct,
            );
    }

    /// Set the `text_decoration_thickness` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_decoration_thickness(
        &mut self,
        value: longhands::text_decoration_thickness::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_text_decoration_thickness(
                value,
            );
    }
    /// Reset `text_emphasis_style` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_emphasis_style(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_emphasis_style(
                reset_struct,
            );
    }

    /// Set the `text_emphasis_style` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_emphasis_style(
        &mut self,
        value: longhands::text_emphasis_style::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_emphasis_style(
                value,
            );
    }
    /// Inherit `text_overflow` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_text_overflow(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_text_overflow_from(
                inherited_struct,
            );
    }

    /// Set the `text_overflow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_overflow(
        &mut self,
        value: longhands::text_overflow::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_text_overflow(
                value,
            );
    }
    /// Reset `text_shadow` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_shadow(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_shadow(
                reset_struct,
            );
    }

    /// Set the `text_shadow` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_shadow(
        &mut self,
        value: longhands::text_shadow::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_shadow(
                value,
            );
    }
    /// Inherit `transition_delay` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transition_delay(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_transition_delay_from(
                inherited_struct,
            );
    }

    /// Inherit `transition_duration` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transition_duration(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_transition_duration_from(
                inherited_struct,
            );
    }

    /// Inherit `transition_property` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transition_property(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_transition_property_from(
                inherited_struct,
            );
    }

    /// Inherit `transition_timing_function` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transition_timing_function(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_transition_timing_function_from(
                inherited_struct,
            );
    }

    /// Inherit `translate` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_translate(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_translate_from(
                inherited_struct,
            );
    }

    /// Set the `translate` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_translate(
        &mut self,
        value: longhands::translate::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_translate(
                value,
            );
    }
    /// Inherit `vertical_align` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_vertical_align(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_vertical_align_from(
                inherited_struct,
            );
    }

    /// Set the `vertical_align` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_vertical_align(
        &mut self,
        value: longhands::vertical_align::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_vertical_align(
                value,
            );
    }
    /// Inherit `view_timeline_axis` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_view_timeline_axis(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_view_timeline_axis_from(
                inherited_struct,
            );
    }

    /// Inherit `view_timeline_inset` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_view_timeline_inset(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_view_timeline_inset_from(
                inherited_struct,
            );
    }

    /// Inherit `view_timeline_name` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_view_timeline_name(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy_view_timeline_name_from(
                inherited_struct,
            );
    }

    /// Reset `_webkit_text_stroke_width` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__webkit_text_stroke_width(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset__webkit_text_stroke_width(
                reset_struct,
            );
    }

    /// Set the `_webkit_text_stroke_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__webkit_text_stroke_width(
        &mut self,
        value: longhands::_webkit_text_stroke_width::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set__webkit_text_stroke_width(
                value,
            );
    }
    /// Inherit `will_change` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_will_change(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_will_change_from(
                inherited_struct,
            );
    }

    /// Set the `will_change` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_will_change(
        &mut self,
        value: longhands::will_change::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_will_change(
                value,
            );
    }
    /// Reset `word_spacing` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_word_spacing(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_word_spacing(
                reset_struct,
            );
    }

    /// Set the `word_spacing` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_word_spacing(
        &mut self,
        value: longhands::word_spacing::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_word_spacing(
                value,
            );
    }
    /// Reset `_x_lang` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__x_lang(&mut self) {
        let reset_struct =
            self.reset_style.get_font();

        if self.font.ptr_eq(reset_struct) {
            return;
        }

        self.font.mutate()
            .reset__x_lang(
                reset_struct,
            );
    }

    /// Set the `_x_lang` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__x_lang(
        &mut self,
        value: longhands::_x_lang::computed_value::T
    ) {

        self.font.mutate()
            .set__x_lang(
                value,
            );
    }
    /// Inherit `object_position` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_object_position(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_object_position_from(
                inherited_struct,
            );
    }

    /// Set the `object_position` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_object_position(
        &mut self,
        value: longhands::object_position::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_object_position(
                value,
            );
    }
    /// Inherit `perspective_origin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_perspective_origin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_perspective_origin_from(
                inherited_struct,
            );
    }

    /// Set the `perspective_origin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_perspective_origin(
        &mut self,
        value: longhands::perspective_origin::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_perspective_origin(
                value,
            );
    }
    /// Reset `fill` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_fill(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_fill(
                reset_struct,
            );
    }

    /// Set the `fill` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_fill(
        &mut self,
        value: longhands::fill::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_fill(
                value,
            );
    }
    /// Reset `stroke` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_stroke(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_stroke(
                reset_struct,
            );
    }

    /// Set the `stroke` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stroke(
        &mut self,
        value: longhands::stroke::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_stroke(
                value,
            );
    }
    /// Inherit `_moz_window_transform_origin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_window_transform_origin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_window_transform_origin_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_window_transform_origin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_window_transform_origin(
        &mut self,
        value: longhands::_moz_window_transform_origin::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_window_transform_origin(
                value,
            );
    }
    /// Inherit `transform_origin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transform_origin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_transform_origin_from(
                inherited_struct,
            );
    }

    /// Set the `transform_origin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_transform_origin(
        &mut self,
        value: longhands::transform_origin::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_transform_origin(
                value,
            );
    }
    /// Inherit `grid_template_columns` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_template_columns(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_template_columns_from(
                inherited_struct,
            );
    }

    /// Set the `grid_template_columns` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_template_columns(
        &mut self,
        value: longhands::grid_template_columns::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_template_columns(
                value,
            );
    }
    /// Inherit `grid_template_rows` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_template_rows(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_template_rows_from(
                inherited_struct,
            );
    }

    /// Set the `grid_template_rows` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_template_rows(
        &mut self,
        value: longhands::grid_template_rows::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_template_rows(
                value,
            );
    }
    /// Inherit `border_image_source` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_image_source(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_image_source_from(
                inherited_struct,
            );
    }

    /// Set the `border_image_source` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_image_source(
        &mut self,
        value: longhands::border_image_source::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_image_source(
                value,
            );
    }
    /// Reset `list_style_image` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_list_style_image(&mut self) {
        let reset_struct =
            self.reset_style.get_list();

        if self.list.ptr_eq(reset_struct) {
            return;
        }

        self.list.mutate()
            .reset_list_style_image(
                reset_struct,
            );
    }

    /// Set the `list_style_image` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_list_style_image(
        &mut self,
        value: longhands::list_style_image::computed_value::T
    ) {

        self.list.mutate()
            .set_list_style_image(
                value,
            );
    }
    /// Inherit `grid_auto_columns` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_auto_columns(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_auto_columns_from(
                inherited_struct,
            );
    }

    /// Set the `grid_auto_columns` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_auto_columns(
        &mut self,
        value: longhands::grid_auto_columns::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_auto_columns(
                value,
            );
    }
    /// Inherit `grid_auto_rows` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_auto_rows(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_auto_rows_from(
                inherited_struct,
            );
    }

    /// Set the `grid_auto_rows` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_auto_rows(
        &mut self,
        value: longhands::grid_auto_rows::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_auto_rows(
                value,
            );
    }
    /// Inherit `_moz_window_transform` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_window_transform(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_window_transform_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_window_transform` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_window_transform(
        &mut self,
        value: longhands::_moz_window_transform::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_window_transform(
                value,
            );
    }
    /// Inherit `transform` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_transform(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_transform_from(
                inherited_struct,
            );
    }

    /// Set the `transform` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_transform(
        &mut self,
        value: longhands::transform::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_transform(
                value,
            );
    }
    /// Inherit `column_gap` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_gap(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_column_gap_from(
                inherited_struct,
            );
    }

    /// Set the `column_gap` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_gap(
        &mut self,
        value: longhands::column_gap::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_column_gap(
                value,
            );
    }
    /// Inherit `row_gap` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_row_gap(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_row_gap_from(
                inherited_struct,
            );
    }

    /// Set the `row_gap` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_row_gap(
        &mut self,
        value: longhands::row_gap::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_row_gap(
                value,
            );
    }
    /// Reset `marker_end` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_marker_end(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_marker_end(
                reset_struct,
            );
    }

    /// Set the `marker_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_marker_end(
        &mut self,
        value: longhands::marker_end::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_marker_end(
                value,
            );
    }
    /// Reset `marker_mid` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_marker_mid(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_marker_mid(
                reset_struct,
            );
    }

    /// Set the `marker_mid` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_marker_mid(
        &mut self,
        value: longhands::marker_mid::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_marker_mid(
                value,
            );
    }
    /// Reset `marker_start` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_marker_start(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_svg();

        if self.inherited_svg.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_svg.mutate()
            .reset_marker_start(
                reset_struct,
            );
    }

    /// Set the `marker_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_marker_start(
        &mut self,
        value: longhands::marker_start::computed_value::T
    ) {

        self.inherited_svg.mutate()
            .set_marker_start(
                value,
            );
    }
    /// Inherit `contain_intrinsic_block_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_contain_intrinsic_block_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_contain_intrinsic_block_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `contain_intrinsic_block_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_contain_intrinsic_block_size(
        &mut self,
        value: longhands::contain_intrinsic_block_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_contain_intrinsic_block_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `contain_intrinsic_height` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_contain_intrinsic_height(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_contain_intrinsic_height_from(
                inherited_struct,
            );
    }

    /// Set the `contain_intrinsic_height` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_contain_intrinsic_height(
        &mut self,
        value: longhands::contain_intrinsic_height::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_contain_intrinsic_height(
                value,
            );
    }
    /// Inherit `contain_intrinsic_inline_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_contain_intrinsic_inline_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_contain_intrinsic_inline_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `contain_intrinsic_inline_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_contain_intrinsic_inline_size(
        &mut self,
        value: longhands::contain_intrinsic_inline_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_contain_intrinsic_inline_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `contain_intrinsic_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_contain_intrinsic_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_contain_intrinsic_width_from(
                inherited_struct,
            );
    }

    /// Set the `contain_intrinsic_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_contain_intrinsic_width(
        &mut self,
        value: longhands::contain_intrinsic_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_contain_intrinsic_width(
                value,
            );
    }
    /// Inherit `grid_column_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_column_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_column_end_from(
                inherited_struct,
            );
    }

    /// Set the `grid_column_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_column_end(
        &mut self,
        value: longhands::grid_column_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_column_end(
                value,
            );
    }
    /// Inherit `grid_column_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_column_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_column_start_from(
                inherited_struct,
            );
    }

    /// Set the `grid_column_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_column_start(
        &mut self,
        value: longhands::grid_column_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_column_start(
                value,
            );
    }
    /// Inherit `grid_row_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_row_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_row_end_from(
                inherited_struct,
            );
    }

    /// Set the `grid_row_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_row_end(
        &mut self,
        value: longhands::grid_row_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_row_end(
                value,
            );
    }
    /// Inherit `grid_row_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_grid_row_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_grid_row_start_from(
                inherited_struct,
            );
    }

    /// Set the `grid_row_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_grid_row_start(
        &mut self,
        value: longhands::grid_row_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_grid_row_start(
                value,
            );
    }
    /// Inherit `max_block_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_max_block_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_max_block_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `max_block_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_max_block_size(
        &mut self,
        value: longhands::max_block_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_max_block_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `max_height` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_max_height(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_max_height_from(
                inherited_struct,
            );
    }

    /// Set the `max_height` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_max_height(
        &mut self,
        value: longhands::max_height::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_max_height(
                value,
            );
    }
    /// Inherit `max_inline_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_max_inline_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_max_inline_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `max_inline_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_max_inline_size(
        &mut self,
        value: longhands::max_inline_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_max_inline_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `max_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_max_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_max_width_from(
                inherited_struct,
            );
    }

    /// Set the `max_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_max_width(
        &mut self,
        value: longhands::max_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_max_width(
                value,
            );
    }
    /// Inherit `cx` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_cx(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_cx_from(
                inherited_struct,
            );
    }

    /// Set the `cx` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_cx(
        &mut self,
        value: longhands::cx::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_cx(
                value,
            );
    }
    /// Inherit `cy` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_cy(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_cy_from(
                inherited_struct,
            );
    }

    /// Set the `cy` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_cy(
        &mut self,
        value: longhands::cy::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_cy(
                value,
            );
    }
    /// Inherit `offset_distance` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_offset_distance(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_offset_distance_from(
                inherited_struct,
            );
    }

    /// Set the `offset_distance` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_offset_distance(
        &mut self,
        value: longhands::offset_distance::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_offset_distance(
                value,
            );
    }
    /// Reset `text_indent` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_indent(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_indent(
                reset_struct,
            );
    }

    /// Set the `text_indent` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_indent(
        &mut self,
        value: longhands::text_indent::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_indent(
                value,
            );
    }
    /// Inherit `x` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_x(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_x_from(
                inherited_struct,
            );
    }

    /// Set the `x` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_x(
        &mut self,
        value: longhands::x::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_x(
                value,
            );
    }
    /// Inherit `y` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_y(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_y_from(
                inherited_struct,
            );
    }

    /// Set the `y` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_y(
        &mut self,
        value: longhands::y::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_y(
                value,
            );
    }
    /// Inherit `border_bottom_left_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_bottom_left_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_bottom_left_radius_from(
                inherited_struct,
            );
    }

    /// Set the `border_bottom_left_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_bottom_left_radius(
        &mut self,
        value: longhands::border_bottom_left_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_bottom_left_radius(
                value,
            );
    }
    /// Inherit `border_bottom_right_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_bottom_right_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_bottom_right_radius_from(
                inherited_struct,
            );
    }

    /// Set the `border_bottom_right_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_bottom_right_radius(
        &mut self,
        value: longhands::border_bottom_right_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_bottom_right_radius(
                value,
            );
    }
    /// Inherit `border_end_end_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_end_end_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_end_end_radius_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_end_end_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_end_end_radius(
        &mut self,
        value: longhands::border_end_end_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_end_end_radius(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_end_start_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_end_start_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_end_start_radius_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_end_start_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_end_start_radius(
        &mut self,
        value: longhands::border_end_start_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_end_start_radius(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_start_end_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_start_end_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_start_end_radius_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_start_end_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_start_end_radius(
        &mut self,
        value: longhands::border_start_end_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_start_end_radius(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_start_start_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_start_start_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_start_start_radius_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_start_start_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_start_start_radius(
        &mut self,
        value: longhands::border_start_start_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_start_start_radius(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_top_left_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_top_left_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_top_left_radius_from(
                inherited_struct,
            );
    }

    /// Set the `border_top_left_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_top_left_radius(
        &mut self,
        value: longhands::border_top_left_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_top_left_radius(
                value,
            );
    }
    /// Inherit `border_top_right_radius` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_top_right_radius(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_top_right_radius_from(
                inherited_struct,
            );
    }

    /// Set the `border_top_right_radius` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_top_right_radius(
        &mut self,
        value: longhands::border_top_right_radius::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_top_right_radius(
                value,
            );
    }
    /// Inherit `block_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_block_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_block_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `block_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_block_size(
        &mut self,
        value: longhands::block_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_block_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `height` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_height(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_height_from(
                inherited_struct,
            );
    }

    /// Set the `height` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_height(
        &mut self,
        value: longhands::height::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_height(
                value,
            );
    }
    /// Inherit `inline_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_inline_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_inline_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `inline_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_inline_size(
        &mut self,
        value: longhands::inline_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_inline_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `min_block_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_min_block_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_min_block_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `min_block_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_min_block_size(
        &mut self,
        value: longhands::min_block_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_min_block_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `min_height` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_min_height(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_min_height_from(
                inherited_struct,
            );
    }

    /// Set the `min_height` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_min_height(
        &mut self,
        value: longhands::min_height::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_min_height(
                value,
            );
    }
    /// Inherit `min_inline_size` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_min_inline_size(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_min_inline_size_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `min_inline_size` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_min_inline_size(
        &mut self,
        value: longhands::min_inline_size::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_min_inline_size(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `min_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_min_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_min_width_from(
                inherited_struct,
            );
    }

    /// Set the `min_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_min_width(
        &mut self,
        value: longhands::min_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_min_width(
                value,
            );
    }
    /// Inherit `width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_width_from(
                inherited_struct,
            );
    }

    /// Set the `width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_width(
        &mut self,
        value: longhands::width::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_width(
                value,
            );
    }
    /// Inherit `border_block_end_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_block_end_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_block_end_width_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_block_end_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_block_end_width(
        &mut self,
        value: longhands::border_block_end_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_block_end_width(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_block_start_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_block_start_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_block_start_width_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_block_start_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_block_start_width(
        &mut self,
        value: longhands::border_block_start_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_block_start_width(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_bottom_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_bottom_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_bottom_width_from(
                inherited_struct,
            );
    }

    /// Set the `border_bottom_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_bottom_width(
        &mut self,
        value: longhands::border_bottom_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_bottom_width(
                value,
            );
    }
    /// Inherit `border_inline_end_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_inline_end_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_inline_end_width_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_inline_end_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_inline_end_width(
        &mut self,
        value: longhands::border_inline_end_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_inline_end_width(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_inline_start_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_inline_start_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_inline_start_width_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_inline_start_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_inline_start_width(
        &mut self,
        value: longhands::border_inline_start_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_inline_start_width(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_left_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_left_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_left_width_from(
                inherited_struct,
            );
    }

    /// Set the `border_left_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_left_width(
        &mut self,
        value: longhands::border_left_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_left_width(
                value,
            );
    }
    /// Inherit `border_right_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_right_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_right_width_from(
                inherited_struct,
            );
    }

    /// Set the `border_right_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_right_width(
        &mut self,
        value: longhands::border_right_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_right_width(
                value,
            );
    }
    /// Inherit `border_top_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_top_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_top_width_from(
                inherited_struct,
            );
    }

    /// Set the `border_top_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_top_width(
        &mut self,
        value: longhands::border_top_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_top_width(
                value,
            );
    }
    /// Inherit `column_rule_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_rule_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_rule_width_from(
                inherited_struct,
            );
    }

    /// Set the `column_rule_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_rule_width(
        &mut self,
        value: longhands::column_rule_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_rule_width(
                value,
            );
    }
    /// Inherit `outline_width` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_outline_width(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_outline();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.outline.ptr_eq(inherited_struct) {
            return;
        }

        self.outline.mutate()
            .copy_outline_width_from(
                inherited_struct,
            );
    }

    /// Set the `outline_width` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_outline_width(
        &mut self,
        value: longhands::outline_width::computed_value::T
    ) {
        self.modified_reset = true;

        self.outline.mutate()
            .set_outline_width(
                value,
            );
    }
    /// Inherit `padding_block_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_block_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_block_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `padding_block_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_block_end(
        &mut self,
        value: longhands::padding_block_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_block_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `padding_block_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_block_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_block_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `padding_block_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_block_start(
        &mut self,
        value: longhands::padding_block_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_block_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `padding_bottom` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_bottom(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_bottom_from(
                inherited_struct,
            );
    }

    /// Set the `padding_bottom` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_bottom(
        &mut self,
        value: longhands::padding_bottom::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_bottom(
                value,
            );
    }
    /// Inherit `padding_inline_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_inline_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_inline_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `padding_inline_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_inline_end(
        &mut self,
        value: longhands::padding_inline_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_inline_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `padding_inline_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_inline_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_inline_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `padding_inline_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_inline_start(
        &mut self,
        value: longhands::padding_inline_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_inline_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `padding_left` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_left(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_left_from(
                inherited_struct,
            );
    }

    /// Set the `padding_left` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_left(
        &mut self,
        value: longhands::padding_left::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_left(
                value,
            );
    }
    /// Inherit `padding_right` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_right(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_right_from(
                inherited_struct,
            );
    }

    /// Set the `padding_right` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_right(
        &mut self,
        value: longhands::padding_right::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_right(
                value,
            );
    }
    /// Inherit `padding_top` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_padding_top(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_padding_top_from(
                inherited_struct,
            );
    }

    /// Set the `padding_top` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_padding_top(
        &mut self,
        value: longhands::padding_top::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_padding_top(
                value,
            );
    }
    /// Inherit `r` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_r(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_r_from(
                inherited_struct,
            );
    }

    /// Set the `r` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_r(
        &mut self,
        value: longhands::r::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_r(
                value,
            );
    }
    /// Inherit `shape_margin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_shape_margin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_box();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.box_.ptr_eq(inherited_struct) {
            return;
        }

        self.box_.mutate()
            .copy_shape_margin_from(
                inherited_struct,
            );
    }

    /// Set the `shape_margin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_shape_margin(
        &mut self,
        value: longhands::shape_margin::computed_value::T
    ) {
        self.modified_reset = true;

        self.box_.mutate()
            .set_shape_margin(
                value,
            );
    }
    /// Inherit `rx` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_rx(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_rx_from(
                inherited_struct,
            );
    }

    /// Set the `rx` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_rx(
        &mut self,
        value: longhands::rx::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_rx(
                value,
            );
    }
    /// Inherit `ry` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_ry(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_ry_from(
                inherited_struct,
            );
    }

    /// Set the `ry` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_ry(
        &mut self,
        value: longhands::ry::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_ry(
                value,
            );
    }
    /// Inherit `scroll_padding_block_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_block_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_block_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_padding_block_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_block_end(
        &mut self,
        value: longhands::scroll_padding_block_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_block_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_padding_block_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_block_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_block_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_padding_block_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_block_start(
        &mut self,
        value: longhands::scroll_padding_block_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_block_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_padding_bottom` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_bottom(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_bottom_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_padding_bottom` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_bottom(
        &mut self,
        value: longhands::scroll_padding_bottom::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_bottom(
                value,
            );
    }
    /// Inherit `scroll_padding_inline_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_inline_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_inline_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_padding_inline_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_inline_end(
        &mut self,
        value: longhands::scroll_padding_inline_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_inline_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_padding_inline_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_inline_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_inline_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_padding_inline_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_inline_start(
        &mut self,
        value: longhands::scroll_padding_inline_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_inline_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_padding_left` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_left(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_left_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_padding_left` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_left(
        &mut self,
        value: longhands::scroll_padding_left::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_left(
                value,
            );
    }
    /// Inherit `scroll_padding_right` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_right(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_right_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_padding_right` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_right(
        &mut self,
        value: longhands::scroll_padding_right::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_right(
                value,
            );
    }
    /// Inherit `scroll_padding_top` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_padding_top(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_padding();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.padding.ptr_eq(inherited_struct) {
            return;
        }

        self.padding.mutate()
            .copy_scroll_padding_top_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_padding_top` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_padding_top(
        &mut self,
        value: longhands::scroll_padding_top::computed_value::T
    ) {
        self.modified_reset = true;

        self.padding.mutate()
            .set_scroll_padding_top(
                value,
            );
    }
    /// Inherit `_moz_window_input_region_margin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit__moz_window_input_region_margin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_ui();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.ui.ptr_eq(inherited_struct) {
            return;
        }

        self.ui.mutate()
            .copy__moz_window_input_region_margin_from(
                inherited_struct,
            );
    }

    /// Set the `_moz_window_input_region_margin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__moz_window_input_region_margin(
        &mut self,
        value: longhands::_moz_window_input_region_margin::computed_value::T
    ) {
        self.modified_reset = true;

        self.ui.mutate()
            .set__moz_window_input_region_margin(
                value,
            );
    }
    /// Inherit `outline_offset` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_outline_offset(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_outline();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.outline.ptr_eq(inherited_struct) {
            return;
        }

        self.outline.mutate()
            .copy_outline_offset_from(
                inherited_struct,
            );
    }

    /// Set the `outline_offset` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_outline_offset(
        &mut self,
        value: longhands::outline_offset::computed_value::T
    ) {
        self.modified_reset = true;

        self.outline.mutate()
            .set_outline_offset(
                value,
            );
    }
    /// Inherit `overflow_clip_margin` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_overflow_clip_margin(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_overflow_clip_margin_from(
                inherited_struct,
            );
    }

    /// Set the `overflow_clip_margin` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_overflow_clip_margin(
        &mut self,
        value: longhands::overflow_clip_margin::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_overflow_clip_margin(
                value,
            );
    }
    /// Inherit `scroll_margin_block_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_block_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_block_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_margin_block_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_block_end(
        &mut self,
        value: longhands::scroll_margin_block_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_block_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_margin_block_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_block_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_block_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_margin_block_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_block_start(
        &mut self,
        value: longhands::scroll_margin_block_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_block_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_margin_bottom` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_bottom(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_bottom_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_margin_bottom` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_bottom(
        &mut self,
        value: longhands::scroll_margin_bottom::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_bottom(
                value,
            );
    }
    /// Inherit `scroll_margin_inline_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_inline_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_inline_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_margin_inline_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_inline_end(
        &mut self,
        value: longhands::scroll_margin_inline_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_inline_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_margin_inline_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_inline_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_inline_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `scroll_margin_inline_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_inline_start(
        &mut self,
        value: longhands::scroll_margin_inline_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_inline_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `scroll_margin_left` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_left(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_left_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_margin_left` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_left(
        &mut self,
        value: longhands::scroll_margin_left::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_left(
                value,
            );
    }
    /// Inherit `scroll_margin_right` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_right(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_right_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_margin_right` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_right(
        &mut self,
        value: longhands::scroll_margin_right::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_right(
                value,
            );
    }
    /// Inherit `scroll_margin_top` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_scroll_margin_top(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_scroll_margin_top_from(
                inherited_struct,
            );
    }

    /// Set the `scroll_margin_top` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_scroll_margin_top(
        &mut self,
        value: longhands::scroll_margin_top::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_scroll_margin_top(
                value,
            );
    }
    /// Inherit `bottom` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_bottom(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_bottom_from(
                inherited_struct,
            );
    }

    /// Set the `bottom` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_bottom(
        &mut self,
        value: longhands::bottom::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_bottom(
                value,
            );
    }
    /// Inherit `inset_block_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_inset_block_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_inset_block_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `inset_block_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_inset_block_end(
        &mut self,
        value: longhands::inset_block_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_inset_block_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `inset_block_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_inset_block_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_inset_block_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `inset_block_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_inset_block_start(
        &mut self,
        value: longhands::inset_block_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_inset_block_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `inset_inline_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_inset_inline_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_inset_inline_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `inset_inline_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_inset_inline_end(
        &mut self,
        value: longhands::inset_inline_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_inset_inline_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `inset_inline_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_inset_inline_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_inset_inline_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `inset_inline_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_inset_inline_start(
        &mut self,
        value: longhands::inset_inline_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_inset_inline_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `left` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_left(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_left_from(
                inherited_struct,
            );
    }

    /// Set the `left` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_left(
        &mut self,
        value: longhands::left::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_left(
                value,
            );
    }
    /// Inherit `margin_block_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_block_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_block_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `margin_block_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_block_end(
        &mut self,
        value: longhands::margin_block_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_block_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `margin_block_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_block_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_block_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `margin_block_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_block_start(
        &mut self,
        value: longhands::margin_block_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_block_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `margin_bottom` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_bottom(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_bottom_from(
                inherited_struct,
            );
    }

    /// Set the `margin_bottom` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_bottom(
        &mut self,
        value: longhands::margin_bottom::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_bottom(
                value,
            );
    }
    /// Inherit `margin_inline_end` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_inline_end(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_inline_end_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `margin_inline_end` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_inline_end(
        &mut self,
        value: longhands::margin_inline_end::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_inline_end(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `margin_inline_start` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_inline_start(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_inline_start_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `margin_inline_start` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_inline_start(
        &mut self,
        value: longhands::margin_inline_start::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_inline_start(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `margin_left` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_left(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_left_from(
                inherited_struct,
            );
    }

    /// Set the `margin_left` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_left(
        &mut self,
        value: longhands::margin_left::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_left(
                value,
            );
    }
    /// Inherit `margin_right` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_right(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_right_from(
                inherited_struct,
            );
    }

    /// Set the `margin_right` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_right(
        &mut self,
        value: longhands::margin_right::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_right(
                value,
            );
    }
    /// Inherit `margin_top` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_margin_top(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_margin();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.margin.ptr_eq(inherited_struct) {
            return;
        }

        self.margin.mutate()
            .copy_margin_top_from(
                inherited_struct,
            );
    }

    /// Set the `margin_top` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_margin_top(
        &mut self,
        value: longhands::margin_top::computed_value::T
    ) {
        self.modified_reset = true;

        self.margin.mutate()
            .set_margin_top(
                value,
            );
    }
    /// Inherit `right` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_right(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_right_from(
                inherited_struct,
            );
    }

    /// Set the `right` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_right(
        &mut self,
        value: longhands::right::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_right(
                value,
            );
    }
    /// Reset `text_underline_offset` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_underline_offset(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_underline_offset(
                reset_struct,
            );
    }

    /// Set the `text_underline_offset` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_underline_offset(
        &mut self,
        value: longhands::text_underline_offset::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_underline_offset(
                value,
            );
    }
    /// Inherit `top` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_top(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_position();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.position.ptr_eq(inherited_struct) {
            return;
        }

        self.position.mutate()
            .copy_top_from(
                inherited_struct,
            );
    }

    /// Set the `top` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_top(
        &mut self,
        value: longhands::top::computed_value::T
    ) {
        self.modified_reset = true;

        self.position.mutate()
            .set_top(
                value,
            );
    }
    /// Inherit `background_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_background_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_background();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.background.ptr_eq(inherited_struct) {
            return;
        }

        self.background.mutate()
            .copy_background_color_from(
                inherited_struct,
            );
    }

    /// Set the `background_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_background_color(
        &mut self,
        value: longhands::background_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.background.mutate()
            .set_background_color(
                value,
            );
    }
    /// Inherit `border_block_end_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_block_end_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_block_end_color_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_block_end_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_block_end_color(
        &mut self,
        value: longhands::border_block_end_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_block_end_color(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_block_start_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_block_start_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_block_start_color_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_block_start_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_block_start_color(
        &mut self,
        value: longhands::border_block_start_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_block_start_color(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_bottom_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_bottom_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_bottom_color_from(
                inherited_struct,
            );
    }

    /// Set the `border_bottom_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_bottom_color(
        &mut self,
        value: longhands::border_bottom_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_bottom_color(
                value,
            );
    }
    /// Inherit `border_inline_end_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_inline_end_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_inline_end_color_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_inline_end_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_inline_end_color(
        &mut self,
        value: longhands::border_inline_end_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_inline_end_color(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_inline_start_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_inline_start_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_inline_start_color_from(
                inherited_struct,
                self.writing_mode,
            );
    }

    /// Set the `border_inline_start_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_inline_start_color(
        &mut self,
        value: longhands::border_inline_start_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_inline_start_color(
                value,
                self.writing_mode,
            );
    }
    /// Inherit `border_left_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_left_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_left_color_from(
                inherited_struct,
            );
    }

    /// Set the `border_left_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_left_color(
        &mut self,
        value: longhands::border_left_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_left_color(
                value,
            );
    }
    /// Inherit `border_right_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_right_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_right_color_from(
                inherited_struct,
            );
    }

    /// Set the `border_right_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_right_color(
        &mut self,
        value: longhands::border_right_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_right_color(
                value,
            );
    }
    /// Inherit `border_top_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_border_top_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_border();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.border.ptr_eq(inherited_struct) {
            return;
        }

        self.border.mutate()
            .copy_border_top_color_from(
                inherited_struct,
            );
    }

    /// Set the `border_top_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_border_top_color(
        &mut self,
        value: longhands::border_top_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.border.mutate()
            .set_border_top_color(
                value,
            );
    }
    /// Inherit `column_rule_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_column_rule_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_column();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.column.ptr_eq(inherited_struct) {
            return;
        }

        self.column.mutate()
            .copy_column_rule_color_from(
                inherited_struct,
            );
    }

    /// Set the `column_rule_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_column_rule_color(
        &mut self,
        value: longhands::column_rule_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.column.mutate()
            .set_column_rule_color(
                value,
            );
    }
    /// Inherit `flood_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_flood_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_flood_color_from(
                inherited_struct,
            );
    }

    /// Set the `flood_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_flood_color(
        &mut self,
        value: longhands::flood_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_flood_color(
                value,
            );
    }
    /// Inherit `lighting_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_lighting_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_lighting_color_from(
                inherited_struct,
            );
    }

    /// Set the `lighting_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_lighting_color(
        &mut self,
        value: longhands::lighting_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_lighting_color(
                value,
            );
    }
    /// Inherit `outline_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_outline_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_outline();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.outline.ptr_eq(inherited_struct) {
            return;
        }

        self.outline.mutate()
            .copy_outline_color_from(
                inherited_struct,
            );
    }

    /// Set the `outline_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_outline_color(
        &mut self,
        value: longhands::outline_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.outline.mutate()
            .set_outline_color(
                value,
            );
    }
    /// Inherit `stop_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_stop_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_svg();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.svg.ptr_eq(inherited_struct) {
            return;
        }

        self.svg.mutate()
            .copy_stop_color_from(
                inherited_struct,
            );
    }

    /// Set the `stop_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_stop_color(
        &mut self,
        value: longhands::stop_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.svg.mutate()
            .set_stop_color(
                value,
            );
    }
    /// Inherit `text_decoration_color` from our parent style.
    #[allow(non_snake_case)]
    pub fn inherit_text_decoration_color(&mut self) {
        let inherited_struct =
            self.inherited_style_ignoring_first_line
                .get_text();

        self.modified_reset = true;
        self.add_flags(ComputedValueFlags::INHERITS_RESET_STYLE);



        if self.text.ptr_eq(inherited_struct) {
            return;
        }

        self.text.mutate()
            .copy_text_decoration_color_from(
                inherited_struct,
            );
    }

    /// Set the `text_decoration_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_decoration_color(
        &mut self,
        value: longhands::text_decoration_color::computed_value::T
    ) {
        self.modified_reset = true;

        self.text.mutate()
            .set_text_decoration_color(
                value,
            );
    }
    /// Reset `text_emphasis_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset_text_emphasis_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset_text_emphasis_color(
                reset_struct,
            );
    }

    /// Set the `text_emphasis_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set_text_emphasis_color(
        &mut self,
        value: longhands::text_emphasis_color::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set_text_emphasis_color(
                value,
            );
    }
    /// Reset `_webkit_text_fill_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__webkit_text_fill_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset__webkit_text_fill_color(
                reset_struct,
            );
    }

    /// Set the `_webkit_text_fill_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__webkit_text_fill_color(
        &mut self,
        value: longhands::_webkit_text_fill_color::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set__webkit_text_fill_color(
                value,
            );
    }
    /// Reset `_webkit_text_stroke_color` to the initial value.
    #[allow(non_snake_case)]
    pub fn reset__webkit_text_stroke_color(&mut self) {
        let reset_struct =
            self.reset_style.get_inherited_text();

        if self.inherited_text.ptr_eq(reset_struct) {
            return;
        }

        self.inherited_text.mutate()
            .reset__webkit_text_stroke_color(
                reset_struct,
            );
    }

    /// Set the `_webkit_text_stroke_color` to the computed value `value`.
    #[allow(non_snake_case)]
    pub fn set__webkit_text_stroke_color(
        &mut self,
        value: longhands::_webkit_text_stroke_color::computed_value::T
    ) {

        self.inherited_text.mutate()
            .set__webkit_text_stroke_color(
                value,
            );
    }
    

    /// Inherits style from the parent element, accounting for the default
    /// computed values that need to be provided as well.
    pub fn for_inheritance(
        device: &'a Device,
        parent: Option<&'a ComputedValues>,
        pseudo: Option<&'a PseudoElement>,
    ) -> Self {
        // Rebuild the visited style from the parent, ensuring that it will also
        // not have rules.  This matches the unvisited style that will be
        // produced by this builder.  This assumes that the caller doesn't need
        // to adjust or process visited style, so we can just build visited
        // style here for simplicity.
        let visited_style = parent.and_then(|parent| {
            parent.visited_style().map(|style| {
                Self::for_inheritance(
                    device,
                    Some(style),
                    pseudo,
                ).build()
            })
        });
        let mut ret = Self::new(
            device,
            parent,
            parent,
            pseudo,
            /* rules = */ None,
            parent.and_then(|p| p.custom_properties().cloned()),
            /* is_root_element = */ false,
        );
        ret.visited_style = visited_style;
        ret
    }

    /// Returns whether we have a visited style.
    pub fn has_visited_style(&self) -> bool {
        self.visited_style.is_some()
    }

    /// Returns whether we're a pseudo-elements style.
    pub fn is_pseudo_element(&self) -> bool {
        self.pseudo.map_or(false, |p| !p.is_anon_box())
    }

    /// Returns the style we're getting reset properties from.
    pub fn default_style(&self) -> &'a ComputedValues {
        self.reset_style
    }

        /// Gets an immutable view of the current `Background` style.
        pub fn get_background(&self) -> &style_structs::Background {
            &self.background
        }

        /// Gets a mutable view of the current `Background` style.
        pub fn mutate_background(&mut self) -> &mut style_structs::Background {
            self.modified_reset = true;
            self.background.mutate()
        }

        /// Gets a mutable view of the current `Background` style.
        pub fn take_background(&mut self) -> UniqueArc<style_structs::Background> {
            self.modified_reset = true;
            self.background.take()
        }

        /// Gets a mutable view of the current `Background` style.
        pub fn put_background(&mut self, s: UniqueArc<style_structs::Background>) {
            self.background.put(s)
        }

        /// Gets a mutable view of the current `Background` style,
        /// only if it's been mutated before.
        pub fn get_background_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Background> {
            self.background.get_if_mutated()
        }

        /// Reset the current `Background` style to its default value.
        pub fn reset_background_struct(&mut self) {
            self.background =
                StyleStructRef::Borrowed(self.reset_style.get_background());
        }
        /// Gets an immutable view of the current `Border` style.
        pub fn get_border(&self) -> &style_structs::Border {
            &self.border
        }

        /// Gets a mutable view of the current `Border` style.
        pub fn mutate_border(&mut self) -> &mut style_structs::Border {
            self.modified_reset = true;
            self.border.mutate()
        }

        /// Gets a mutable view of the current `Border` style.
        pub fn take_border(&mut self) -> UniqueArc<style_structs::Border> {
            self.modified_reset = true;
            self.border.take()
        }

        /// Gets a mutable view of the current `Border` style.
        pub fn put_border(&mut self, s: UniqueArc<style_structs::Border>) {
            self.border.put(s)
        }

        /// Gets a mutable view of the current `Border` style,
        /// only if it's been mutated before.
        pub fn get_border_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Border> {
            self.border.get_if_mutated()
        }

        /// Reset the current `Border` style to its default value.
        pub fn reset_border_struct(&mut self) {
            self.border =
                StyleStructRef::Borrowed(self.reset_style.get_border());
        }
        /// Gets an immutable view of the current `Box` style.
        pub fn get_box(&self) -> &style_structs::Box {
            &self.box_
        }

        /// Gets a mutable view of the current `Box` style.
        pub fn mutate_box(&mut self) -> &mut style_structs::Box {
            self.modified_reset = true;
            self.box_.mutate()
        }

        /// Gets a mutable view of the current `Box` style.
        pub fn take_box(&mut self) -> UniqueArc<style_structs::Box> {
            self.modified_reset = true;
            self.box_.take()
        }

        /// Gets a mutable view of the current `Box` style.
        pub fn put_box(&mut self, s: UniqueArc<style_structs::Box>) {
            self.box_.put(s)
        }

        /// Gets a mutable view of the current `Box` style,
        /// only if it's been mutated before.
        pub fn get_box_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Box> {
            self.box_.get_if_mutated()
        }

        /// Reset the current `Box` style to its default value.
        pub fn reset_box_struct(&mut self) {
            self.box_ =
                StyleStructRef::Borrowed(self.reset_style.get_box());
        }
        /// Gets an immutable view of the current `Column` style.
        pub fn get_column(&self) -> &style_structs::Column {
            &self.column
        }

        /// Gets a mutable view of the current `Column` style.
        pub fn mutate_column(&mut self) -> &mut style_structs::Column {
            self.modified_reset = true;
            self.column.mutate()
        }

        /// Gets a mutable view of the current `Column` style.
        pub fn take_column(&mut self) -> UniqueArc<style_structs::Column> {
            self.modified_reset = true;
            self.column.take()
        }

        /// Gets a mutable view of the current `Column` style.
        pub fn put_column(&mut self, s: UniqueArc<style_structs::Column>) {
            self.column.put(s)
        }

        /// Gets a mutable view of the current `Column` style,
        /// only if it's been mutated before.
        pub fn get_column_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Column> {
            self.column.get_if_mutated()
        }

        /// Reset the current `Column` style to its default value.
        pub fn reset_column_struct(&mut self) {
            self.column =
                StyleStructRef::Borrowed(self.reset_style.get_column());
        }
        /// Gets an immutable view of the current `Counters` style.
        pub fn get_counters(&self) -> &style_structs::Counters {
            &self.counters
        }

        /// Gets a mutable view of the current `Counters` style.
        pub fn mutate_counters(&mut self) -> &mut style_structs::Counters {
            self.modified_reset = true;
            self.counters.mutate()
        }

        /// Gets a mutable view of the current `Counters` style.
        pub fn take_counters(&mut self) -> UniqueArc<style_structs::Counters> {
            self.modified_reset = true;
            self.counters.take()
        }

        /// Gets a mutable view of the current `Counters` style.
        pub fn put_counters(&mut self, s: UniqueArc<style_structs::Counters>) {
            self.counters.put(s)
        }

        /// Gets a mutable view of the current `Counters` style,
        /// only if it's been mutated before.
        pub fn get_counters_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Counters> {
            self.counters.get_if_mutated()
        }

        /// Reset the current `Counters` style to its default value.
        pub fn reset_counters_struct(&mut self) {
            self.counters =
                StyleStructRef::Borrowed(self.reset_style.get_counters());
        }
        /// Gets an immutable view of the current `Effects` style.
        pub fn get_effects(&self) -> &style_structs::Effects {
            &self.effects
        }

        /// Gets a mutable view of the current `Effects` style.
        pub fn mutate_effects(&mut self) -> &mut style_structs::Effects {
            self.modified_reset = true;
            self.effects.mutate()
        }

        /// Gets a mutable view of the current `Effects` style.
        pub fn take_effects(&mut self) -> UniqueArc<style_structs::Effects> {
            self.modified_reset = true;
            self.effects.take()
        }

        /// Gets a mutable view of the current `Effects` style.
        pub fn put_effects(&mut self, s: UniqueArc<style_structs::Effects>) {
            self.effects.put(s)
        }

        /// Gets a mutable view of the current `Effects` style,
        /// only if it's been mutated before.
        pub fn get_effects_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Effects> {
            self.effects.get_if_mutated()
        }

        /// Reset the current `Effects` style to its default value.
        pub fn reset_effects_struct(&mut self) {
            self.effects =
                StyleStructRef::Borrowed(self.reset_style.get_effects());
        }
        /// Gets an immutable view of the current `Font` style.
        pub fn get_font(&self) -> &style_structs::Font {
            &self.font
        }

        /// Gets a mutable view of the current `Font` style.
        pub fn mutate_font(&mut self) -> &mut style_structs::Font {
            self.font.mutate()
        }

        /// Gets a mutable view of the current `Font` style.
        pub fn take_font(&mut self) -> UniqueArc<style_structs::Font> {
            self.font.take()
        }

        /// Gets a mutable view of the current `Font` style.
        pub fn put_font(&mut self, s: UniqueArc<style_structs::Font>) {
            self.font.put(s)
        }

        /// Gets a mutable view of the current `Font` style,
        /// only if it's been mutated before.
        pub fn get_font_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Font> {
            self.font.get_if_mutated()
        }

        /// Reset the current `Font` style to its default value.
        pub fn reset_font_struct(&mut self) {
            self.font =
                StyleStructRef::Borrowed(self.reset_style.get_font());
        }
        /// Gets an immutable view of the current `InheritedBox` style.
        pub fn get_inherited_box(&self) -> &style_structs::InheritedBox {
            &self.inherited_box
        }

        /// Gets a mutable view of the current `InheritedBox` style.
        pub fn mutate_inherited_box(&mut self) -> &mut style_structs::InheritedBox {
            self.inherited_box.mutate()
        }

        /// Gets a mutable view of the current `InheritedBox` style.
        pub fn take_inherited_box(&mut self) -> UniqueArc<style_structs::InheritedBox> {
            self.inherited_box.take()
        }

        /// Gets a mutable view of the current `InheritedBox` style.
        pub fn put_inherited_box(&mut self, s: UniqueArc<style_structs::InheritedBox>) {
            self.inherited_box.put(s)
        }

        /// Gets a mutable view of the current `InheritedBox` style,
        /// only if it's been mutated before.
        pub fn get_inherited_box_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::InheritedBox> {
            self.inherited_box.get_if_mutated()
        }

        /// Reset the current `InheritedBox` style to its default value.
        pub fn reset_inherited_box_struct(&mut self) {
            self.inherited_box =
                StyleStructRef::Borrowed(self.reset_style.get_inherited_box());
        }
        /// Gets an immutable view of the current `InheritedSVG` style.
        pub fn get_inherited_svg(&self) -> &style_structs::InheritedSVG {
            &self.inherited_svg
        }

        /// Gets a mutable view of the current `InheritedSVG` style.
        pub fn mutate_inherited_svg(&mut self) -> &mut style_structs::InheritedSVG {
            self.inherited_svg.mutate()
        }

        /// Gets a mutable view of the current `InheritedSVG` style.
        pub fn take_inherited_svg(&mut self) -> UniqueArc<style_structs::InheritedSVG> {
            self.inherited_svg.take()
        }

        /// Gets a mutable view of the current `InheritedSVG` style.
        pub fn put_inherited_svg(&mut self, s: UniqueArc<style_structs::InheritedSVG>) {
            self.inherited_svg.put(s)
        }

        /// Gets a mutable view of the current `InheritedSVG` style,
        /// only if it's been mutated before.
        pub fn get_inherited_svg_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::InheritedSVG> {
            self.inherited_svg.get_if_mutated()
        }

        /// Reset the current `InheritedSVG` style to its default value.
        pub fn reset_inherited_svg_struct(&mut self) {
            self.inherited_svg =
                StyleStructRef::Borrowed(self.reset_style.get_inherited_svg());
        }
        /// Gets an immutable view of the current `InheritedTable` style.
        pub fn get_inherited_table(&self) -> &style_structs::InheritedTable {
            &self.inherited_table
        }

        /// Gets a mutable view of the current `InheritedTable` style.
        pub fn mutate_inherited_table(&mut self) -> &mut style_structs::InheritedTable {
            self.inherited_table.mutate()
        }

        /// Gets a mutable view of the current `InheritedTable` style.
        pub fn take_inherited_table(&mut self) -> UniqueArc<style_structs::InheritedTable> {
            self.inherited_table.take()
        }

        /// Gets a mutable view of the current `InheritedTable` style.
        pub fn put_inherited_table(&mut self, s: UniqueArc<style_structs::InheritedTable>) {
            self.inherited_table.put(s)
        }

        /// Gets a mutable view of the current `InheritedTable` style,
        /// only if it's been mutated before.
        pub fn get_inherited_table_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::InheritedTable> {
            self.inherited_table.get_if_mutated()
        }

        /// Reset the current `InheritedTable` style to its default value.
        pub fn reset_inherited_table_struct(&mut self) {
            self.inherited_table =
                StyleStructRef::Borrowed(self.reset_style.get_inherited_table());
        }
        /// Gets an immutable view of the current `InheritedText` style.
        pub fn get_inherited_text(&self) -> &style_structs::InheritedText {
            &self.inherited_text
        }

        /// Gets a mutable view of the current `InheritedText` style.
        pub fn mutate_inherited_text(&mut self) -> &mut style_structs::InheritedText {
            self.inherited_text.mutate()
        }

        /// Gets a mutable view of the current `InheritedText` style.
        pub fn take_inherited_text(&mut self) -> UniqueArc<style_structs::InheritedText> {
            self.inherited_text.take()
        }

        /// Gets a mutable view of the current `InheritedText` style.
        pub fn put_inherited_text(&mut self, s: UniqueArc<style_structs::InheritedText>) {
            self.inherited_text.put(s)
        }

        /// Gets a mutable view of the current `InheritedText` style,
        /// only if it's been mutated before.
        pub fn get_inherited_text_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::InheritedText> {
            self.inherited_text.get_if_mutated()
        }

        /// Reset the current `InheritedText` style to its default value.
        pub fn reset_inherited_text_struct(&mut self) {
            self.inherited_text =
                StyleStructRef::Borrowed(self.reset_style.get_inherited_text());
        }
        /// Gets an immutable view of the current `InheritedUI` style.
        pub fn get_inherited_ui(&self) -> &style_structs::InheritedUI {
            &self.inherited_ui
        }

        /// Gets a mutable view of the current `InheritedUI` style.
        pub fn mutate_inherited_ui(&mut self) -> &mut style_structs::InheritedUI {
            self.inherited_ui.mutate()
        }

        /// Gets a mutable view of the current `InheritedUI` style.
        pub fn take_inherited_ui(&mut self) -> UniqueArc<style_structs::InheritedUI> {
            self.inherited_ui.take()
        }

        /// Gets a mutable view of the current `InheritedUI` style.
        pub fn put_inherited_ui(&mut self, s: UniqueArc<style_structs::InheritedUI>) {
            self.inherited_ui.put(s)
        }

        /// Gets a mutable view of the current `InheritedUI` style,
        /// only if it's been mutated before.
        pub fn get_inherited_ui_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::InheritedUI> {
            self.inherited_ui.get_if_mutated()
        }

        /// Reset the current `InheritedUI` style to its default value.
        pub fn reset_inherited_ui_struct(&mut self) {
            self.inherited_ui =
                StyleStructRef::Borrowed(self.reset_style.get_inherited_ui());
        }
        /// Gets an immutable view of the current `List` style.
        pub fn get_list(&self) -> &style_structs::List {
            &self.list
        }

        /// Gets a mutable view of the current `List` style.
        pub fn mutate_list(&mut self) -> &mut style_structs::List {
            self.list.mutate()
        }

        /// Gets a mutable view of the current `List` style.
        pub fn take_list(&mut self) -> UniqueArc<style_structs::List> {
            self.list.take()
        }

        /// Gets a mutable view of the current `List` style.
        pub fn put_list(&mut self, s: UniqueArc<style_structs::List>) {
            self.list.put(s)
        }

        /// Gets a mutable view of the current `List` style,
        /// only if it's been mutated before.
        pub fn get_list_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::List> {
            self.list.get_if_mutated()
        }

        /// Reset the current `List` style to its default value.
        pub fn reset_list_struct(&mut self) {
            self.list =
                StyleStructRef::Borrowed(self.reset_style.get_list());
        }
        /// Gets an immutable view of the current `Margin` style.
        pub fn get_margin(&self) -> &style_structs::Margin {
            &self.margin
        }

        /// Gets a mutable view of the current `Margin` style.
        pub fn mutate_margin(&mut self) -> &mut style_structs::Margin {
            self.modified_reset = true;
            self.margin.mutate()
        }

        /// Gets a mutable view of the current `Margin` style.
        pub fn take_margin(&mut self) -> UniqueArc<style_structs::Margin> {
            self.modified_reset = true;
            self.margin.take()
        }

        /// Gets a mutable view of the current `Margin` style.
        pub fn put_margin(&mut self, s: UniqueArc<style_structs::Margin>) {
            self.margin.put(s)
        }

        /// Gets a mutable view of the current `Margin` style,
        /// only if it's been mutated before.
        pub fn get_margin_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Margin> {
            self.margin.get_if_mutated()
        }

        /// Reset the current `Margin` style to its default value.
        pub fn reset_margin_struct(&mut self) {
            self.margin =
                StyleStructRef::Borrowed(self.reset_style.get_margin());
        }
        /// Gets an immutable view of the current `Outline` style.
        pub fn get_outline(&self) -> &style_structs::Outline {
            &self.outline
        }

        /// Gets a mutable view of the current `Outline` style.
        pub fn mutate_outline(&mut self) -> &mut style_structs::Outline {
            self.modified_reset = true;
            self.outline.mutate()
        }

        /// Gets a mutable view of the current `Outline` style.
        pub fn take_outline(&mut self) -> UniqueArc<style_structs::Outline> {
            self.modified_reset = true;
            self.outline.take()
        }

        /// Gets a mutable view of the current `Outline` style.
        pub fn put_outline(&mut self, s: UniqueArc<style_structs::Outline>) {
            self.outline.put(s)
        }

        /// Gets a mutable view of the current `Outline` style,
        /// only if it's been mutated before.
        pub fn get_outline_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Outline> {
            self.outline.get_if_mutated()
        }

        /// Reset the current `Outline` style to its default value.
        pub fn reset_outline_struct(&mut self) {
            self.outline =
                StyleStructRef::Borrowed(self.reset_style.get_outline());
        }
        /// Gets an immutable view of the current `Page` style.
        pub fn get_page(&self) -> &style_structs::Page {
            &self.page
        }

        /// Gets a mutable view of the current `Page` style.
        pub fn mutate_page(&mut self) -> &mut style_structs::Page {
            self.modified_reset = true;
            self.page.mutate()
        }

        /// Gets a mutable view of the current `Page` style.
        pub fn take_page(&mut self) -> UniqueArc<style_structs::Page> {
            self.modified_reset = true;
            self.page.take()
        }

        /// Gets a mutable view of the current `Page` style.
        pub fn put_page(&mut self, s: UniqueArc<style_structs::Page>) {
            self.page.put(s)
        }

        /// Gets a mutable view of the current `Page` style,
        /// only if it's been mutated before.
        pub fn get_page_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Page> {
            self.page.get_if_mutated()
        }

        /// Reset the current `Page` style to its default value.
        pub fn reset_page_struct(&mut self) {
            self.page =
                StyleStructRef::Borrowed(self.reset_style.get_page());
        }
        /// Gets an immutable view of the current `Padding` style.
        pub fn get_padding(&self) -> &style_structs::Padding {
            &self.padding
        }

        /// Gets a mutable view of the current `Padding` style.
        pub fn mutate_padding(&mut self) -> &mut style_structs::Padding {
            self.modified_reset = true;
            self.padding.mutate()
        }

        /// Gets a mutable view of the current `Padding` style.
        pub fn take_padding(&mut self) -> UniqueArc<style_structs::Padding> {
            self.modified_reset = true;
            self.padding.take()
        }

        /// Gets a mutable view of the current `Padding` style.
        pub fn put_padding(&mut self, s: UniqueArc<style_structs::Padding>) {
            self.padding.put(s)
        }

        /// Gets a mutable view of the current `Padding` style,
        /// only if it's been mutated before.
        pub fn get_padding_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Padding> {
            self.padding.get_if_mutated()
        }

        /// Reset the current `Padding` style to its default value.
        pub fn reset_padding_struct(&mut self) {
            self.padding =
                StyleStructRef::Borrowed(self.reset_style.get_padding());
        }
        /// Gets an immutable view of the current `Position` style.
        pub fn get_position(&self) -> &style_structs::Position {
            &self.position
        }

        /// Gets a mutable view of the current `Position` style.
        pub fn mutate_position(&mut self) -> &mut style_structs::Position {
            self.modified_reset = true;
            self.position.mutate()
        }

        /// Gets a mutable view of the current `Position` style.
        pub fn take_position(&mut self) -> UniqueArc<style_structs::Position> {
            self.modified_reset = true;
            self.position.take()
        }

        /// Gets a mutable view of the current `Position` style.
        pub fn put_position(&mut self, s: UniqueArc<style_structs::Position>) {
            self.position.put(s)
        }

        /// Gets a mutable view of the current `Position` style,
        /// only if it's been mutated before.
        pub fn get_position_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Position> {
            self.position.get_if_mutated()
        }

        /// Reset the current `Position` style to its default value.
        pub fn reset_position_struct(&mut self) {
            self.position =
                StyleStructRef::Borrowed(self.reset_style.get_position());
        }
        /// Gets an immutable view of the current `SVG` style.
        pub fn get_svg(&self) -> &style_structs::SVG {
            &self.svg
        }

        /// Gets a mutable view of the current `SVG` style.
        pub fn mutate_svg(&mut self) -> &mut style_structs::SVG {
            self.modified_reset = true;
            self.svg.mutate()
        }

        /// Gets a mutable view of the current `SVG` style.
        pub fn take_svg(&mut self) -> UniqueArc<style_structs::SVG> {
            self.modified_reset = true;
            self.svg.take()
        }

        /// Gets a mutable view of the current `SVG` style.
        pub fn put_svg(&mut self, s: UniqueArc<style_structs::SVG>) {
            self.svg.put(s)
        }

        /// Gets a mutable view of the current `SVG` style,
        /// only if it's been mutated before.
        pub fn get_svg_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::SVG> {
            self.svg.get_if_mutated()
        }

        /// Reset the current `SVG` style to its default value.
        pub fn reset_svg_struct(&mut self) {
            self.svg =
                StyleStructRef::Borrowed(self.reset_style.get_svg());
        }
        /// Gets an immutable view of the current `Table` style.
        pub fn get_table(&self) -> &style_structs::Table {
            &self.table
        }

        /// Gets a mutable view of the current `Table` style.
        pub fn mutate_table(&mut self) -> &mut style_structs::Table {
            self.modified_reset = true;
            self.table.mutate()
        }

        /// Gets a mutable view of the current `Table` style.
        pub fn take_table(&mut self) -> UniqueArc<style_structs::Table> {
            self.modified_reset = true;
            self.table.take()
        }

        /// Gets a mutable view of the current `Table` style.
        pub fn put_table(&mut self, s: UniqueArc<style_structs::Table>) {
            self.table.put(s)
        }

        /// Gets a mutable view of the current `Table` style,
        /// only if it's been mutated before.
        pub fn get_table_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Table> {
            self.table.get_if_mutated()
        }

        /// Reset the current `Table` style to its default value.
        pub fn reset_table_struct(&mut self) {
            self.table =
                StyleStructRef::Borrowed(self.reset_style.get_table());
        }
        /// Gets an immutable view of the current `Text` style.
        pub fn get_text(&self) -> &style_structs::Text {
            &self.text
        }

        /// Gets a mutable view of the current `Text` style.
        pub fn mutate_text(&mut self) -> &mut style_structs::Text {
            self.modified_reset = true;
            self.text.mutate()
        }

        /// Gets a mutable view of the current `Text` style.
        pub fn take_text(&mut self) -> UniqueArc<style_structs::Text> {
            self.modified_reset = true;
            self.text.take()
        }

        /// Gets a mutable view of the current `Text` style.
        pub fn put_text(&mut self, s: UniqueArc<style_structs::Text>) {
            self.text.put(s)
        }

        /// Gets a mutable view of the current `Text` style,
        /// only if it's been mutated before.
        pub fn get_text_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::Text> {
            self.text.get_if_mutated()
        }

        /// Reset the current `Text` style to its default value.
        pub fn reset_text_struct(&mut self) {
            self.text =
                StyleStructRef::Borrowed(self.reset_style.get_text());
        }
        /// Gets an immutable view of the current `UI` style.
        pub fn get_ui(&self) -> &style_structs::UI {
            &self.ui
        }

        /// Gets a mutable view of the current `UI` style.
        pub fn mutate_ui(&mut self) -> &mut style_structs::UI {
            self.modified_reset = true;
            self.ui.mutate()
        }

        /// Gets a mutable view of the current `UI` style.
        pub fn take_ui(&mut self) -> UniqueArc<style_structs::UI> {
            self.modified_reset = true;
            self.ui.take()
        }

        /// Gets a mutable view of the current `UI` style.
        pub fn put_ui(&mut self, s: UniqueArc<style_structs::UI>) {
            self.ui.put(s)
        }

        /// Gets a mutable view of the current `UI` style,
        /// only if it's been mutated before.
        pub fn get_ui_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::UI> {
            self.ui.get_if_mutated()
        }

        /// Reset the current `UI` style to its default value.
        pub fn reset_ui_struct(&mut self) {
            self.ui =
                StyleStructRef::Borrowed(self.reset_style.get_ui());
        }
        /// Gets an immutable view of the current `XUL` style.
        pub fn get_xul(&self) -> &style_structs::XUL {
            &self.xul
        }

        /// Gets a mutable view of the current `XUL` style.
        pub fn mutate_xul(&mut self) -> &mut style_structs::XUL {
            self.modified_reset = true;
            self.xul.mutate()
        }

        /// Gets a mutable view of the current `XUL` style.
        pub fn take_xul(&mut self) -> UniqueArc<style_structs::XUL> {
            self.modified_reset = true;
            self.xul.take()
        }

        /// Gets a mutable view of the current `XUL` style.
        pub fn put_xul(&mut self, s: UniqueArc<style_structs::XUL>) {
            self.xul.put(s)
        }

        /// Gets a mutable view of the current `XUL` style,
        /// only if it's been mutated before.
        pub fn get_xul_if_mutated(&mut self)
                                                         -> Option<&mut style_structs::XUL> {
            self.xul.get_if_mutated()
        }

        /// Reset the current `XUL` style to its default value.
        pub fn reset_xul_struct(&mut self) {
            self.xul =
                StyleStructRef::Borrowed(self.reset_style.get_xul());
        }
    

    /// Returns whether this computed style represents a floated object.
    pub fn is_floating(&self) -> bool {
        self.get_box().clone_float().is_floating()
    }

    /// Returns whether this computed style represents an absolutely-positioned
    /// object.
    pub fn is_absolutely_positioned(&self) -> bool {
        self.get_box().clone_position().is_absolutely_positioned()
    }

    /// Whether this style has a top-layer style.
    #[cfg(feature = "servo")]
    pub fn in_top_layer(&self) -> bool {
        matches!(self.get_box().clone__servo_top_layer(),
                 longhands::_servo_top_layer::computed_value::T::Top)
    }

    /// Whether this style has a top-layer style.
    #[cfg(feature = "gecko")]
    pub fn in_top_layer(&self) -> bool {
        matches!(self.get_box().clone__moz_top_layer(),
                 longhands::_moz_top_layer::computed_value::T::Top)
    }

    /// Clears the "have any reset structs been modified" flag.
    pub fn clear_modified_reset(&mut self) {
        self.modified_reset = false;
    }

    /// Returns whether we have mutated any reset structs since the the last
    /// time `clear_modified_reset` was called.
    pub fn modified_reset(&self) -> bool {
        self.modified_reset
    }

    /// Return the current flags.
    #[inline]
    pub fn flags(&self) -> ComputedValueFlags {
        self.flags.get()
    }

    /// Add a flag to the current builder.
    #[inline]
    pub fn add_flags(&self, flag: ComputedValueFlags) {
        let flags = self.flags() | flag;
        self.flags.set(flags);
    }

    /// Removes a flag to the current builder.
    #[inline]
    pub fn remove_flags(&self, flag: ComputedValueFlags) {
        let flags = self.flags() & !flag;
        self.flags.set(flags);
    }

    /// Turns this `StyleBuilder` into a proper `ComputedValues` instance.
    pub fn build(self) -> Arc<ComputedValues> {
        ComputedValues::new(
            self.pseudo,
            self.custom_properties,
            self.writing_mode,
            self.flags.get(),
            self.rules,
            self.visited_style,
            self.background.build(),
            self.border.build(),
            self.box_.build(),
            self.column.build(),
            self.counters.build(),
            self.effects.build(),
            self.font.build(),
            self.inherited_box.build(),
            self.inherited_svg.build(),
            self.inherited_table.build(),
            self.inherited_text.build(),
            self.inherited_ui.build(),
            self.list.build(),
            self.margin.build(),
            self.outline.build(),
            self.page.build(),
            self.padding.build(),
            self.position.build(),
            self.svg.build(),
            self.table.build(),
            self.text.build(),
            self.ui.build(),
            self.xul.build(),
        )
    }

    /// Get the custom properties map if necessary.
    pub fn custom_properties(&self) -> Option<&Arc<crate::custom_properties::CustomPropertiesMap>> {
        self.custom_properties.as_ref()
    }

    /// Access to various information about our inherited styles.  We don't
    /// expose an inherited ComputedValues directly, because in the
    /// ::first-line case some of the inherited information needs to come from
    /// one ComputedValues instance and some from a different one.

    /// Inherited writing-mode.
    pub fn inherited_writing_mode(&self) -> &WritingMode {
        &self.inherited_style.writing_mode
    }

    /// The computed value flags of our parent.
    #[inline]
    pub fn get_parent_flags(&self) -> ComputedValueFlags {
        self.inherited_style.flags
    }

    /// And access to inherited style structs.
        /// Gets our inherited `Background`.  We don't name these
        /// accessors `inherited_background` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_background`
        /// instead.
        pub fn get_parent_background(&self) -> &style_structs::Background {
            self.inherited_style_ignoring_first_line.get_background()
        }
        /// Gets our inherited `Border`.  We don't name these
        /// accessors `inherited_border` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_border`
        /// instead.
        pub fn get_parent_border(&self) -> &style_structs::Border {
            self.inherited_style_ignoring_first_line.get_border()
        }
        /// Gets our inherited `Box`.  We don't name these
        /// accessors `inherited_box` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_box`
        /// instead.
        pub fn get_parent_box(&self) -> &style_structs::Box {
            self.inherited_style_ignoring_first_line.get_box()
        }
        /// Gets our inherited `Column`.  We don't name these
        /// accessors `inherited_column` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_column`
        /// instead.
        pub fn get_parent_column(&self) -> &style_structs::Column {
            self.inherited_style_ignoring_first_line.get_column()
        }
        /// Gets our inherited `Counters`.  We don't name these
        /// accessors `inherited_counters` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_counters`
        /// instead.
        pub fn get_parent_counters(&self) -> &style_structs::Counters {
            self.inherited_style_ignoring_first_line.get_counters()
        }
        /// Gets our inherited `Effects`.  We don't name these
        /// accessors `inherited_effects` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_effects`
        /// instead.
        pub fn get_parent_effects(&self) -> &style_structs::Effects {
            self.inherited_style_ignoring_first_line.get_effects()
        }
        /// Gets our inherited `Font`.  We don't name these
        /// accessors `inherited_font` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_font`
        /// instead.
        pub fn get_parent_font(&self) -> &style_structs::Font {
            self.inherited_style.get_font()
        }
        /// Gets our inherited `InheritedBox`.  We don't name these
        /// accessors `inherited_inherited_box` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_inherited_box`
        /// instead.
        pub fn get_parent_inherited_box(&self) -> &style_structs::InheritedBox {
            self.inherited_style.get_inherited_box()
        }
        /// Gets our inherited `InheritedSVG`.  We don't name these
        /// accessors `inherited_inherited_svg` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_inherited_svg`
        /// instead.
        pub fn get_parent_inherited_svg(&self) -> &style_structs::InheritedSVG {
            self.inherited_style.get_inherited_svg()
        }
        /// Gets our inherited `InheritedTable`.  We don't name these
        /// accessors `inherited_inherited_table` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_inherited_table`
        /// instead.
        pub fn get_parent_inherited_table(&self) -> &style_structs::InheritedTable {
            self.inherited_style.get_inherited_table()
        }
        /// Gets our inherited `InheritedText`.  We don't name these
        /// accessors `inherited_inherited_text` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_inherited_text`
        /// instead.
        pub fn get_parent_inherited_text(&self) -> &style_structs::InheritedText {
            self.inherited_style.get_inherited_text()
        }
        /// Gets our inherited `InheritedUI`.  We don't name these
        /// accessors `inherited_inherited_ui` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_inherited_ui`
        /// instead.
        pub fn get_parent_inherited_ui(&self) -> &style_structs::InheritedUI {
            self.inherited_style.get_inherited_ui()
        }
        /// Gets our inherited `List`.  We don't name these
        /// accessors `inherited_list` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_list`
        /// instead.
        pub fn get_parent_list(&self) -> &style_structs::List {
            self.inherited_style.get_list()
        }
        /// Gets our inherited `Margin`.  We don't name these
        /// accessors `inherited_margin` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_margin`
        /// instead.
        pub fn get_parent_margin(&self) -> &style_structs::Margin {
            self.inherited_style_ignoring_first_line.get_margin()
        }
        /// Gets our inherited `Outline`.  We don't name these
        /// accessors `inherited_outline` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_outline`
        /// instead.
        pub fn get_parent_outline(&self) -> &style_structs::Outline {
            self.inherited_style_ignoring_first_line.get_outline()
        }
        /// Gets our inherited `Page`.  We don't name these
        /// accessors `inherited_page` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_page`
        /// instead.
        pub fn get_parent_page(&self) -> &style_structs::Page {
            self.inherited_style_ignoring_first_line.get_page()
        }
        /// Gets our inherited `Padding`.  We don't name these
        /// accessors `inherited_padding` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_padding`
        /// instead.
        pub fn get_parent_padding(&self) -> &style_structs::Padding {
            self.inherited_style_ignoring_first_line.get_padding()
        }
        /// Gets our inherited `Position`.  We don't name these
        /// accessors `inherited_position` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_position`
        /// instead.
        pub fn get_parent_position(&self) -> &style_structs::Position {
            self.inherited_style_ignoring_first_line.get_position()
        }
        /// Gets our inherited `SVG`.  We don't name these
        /// accessors `inherited_svg` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_svg`
        /// instead.
        pub fn get_parent_svg(&self) -> &style_structs::SVG {
            self.inherited_style_ignoring_first_line.get_svg()
        }
        /// Gets our inherited `Table`.  We don't name these
        /// accessors `inherited_table` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_table`
        /// instead.
        pub fn get_parent_table(&self) -> &style_structs::Table {
            self.inherited_style_ignoring_first_line.get_table()
        }
        /// Gets our inherited `Text`.  We don't name these
        /// accessors `inherited_text` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_text`
        /// instead.
        pub fn get_parent_text(&self) -> &style_structs::Text {
            self.inherited_style_ignoring_first_line.get_text()
        }
        /// Gets our inherited `UI`.  We don't name these
        /// accessors `inherited_ui` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_ui`
        /// instead.
        pub fn get_parent_ui(&self) -> &style_structs::UI {
            self.inherited_style_ignoring_first_line.get_ui()
        }
        /// Gets our inherited `XUL`.  We don't name these
        /// accessors `inherited_xul` because we already
        /// have things like "box" vs "inherited_box" as struct names.  Do the
        /// next-best thing and call them `parent_xul`
        /// instead.
        pub fn get_parent_xul(&self) -> &style_structs::XUL {
            self.inherited_style_ignoring_first_line.get_xul()
        }
}

#[cfg(feature = "servo")]
pub use self::lazy_static_module::INITIAL_SERVO_VALUES;

// Use a module to work around #[cfg] on lazy_static! not being applied to every generated item.
#[cfg(feature = "servo")]
#[allow(missing_docs)]
mod lazy_static_module {
    use crate::logical_geometry::WritingMode;
    use crate::computed_value_flags::ComputedValueFlags;
    use servo_arc::Arc;
    use super::{ComputedValues, ComputedValuesInner, longhands, style_structs};

    lazy_static! {
        /// The initial values for all style structs as defined by the specification.
        pub static ref INITIAL_SERVO_VALUES: ComputedValues = ComputedValues {
            inner: ComputedValuesInner {
                    background: Arc::new(style_structs::Background {
                                background_color: longhands::background_color::get_initial_value(),
                                background_image: longhands::background_image::get_initial_value(),
                                background_position_x: longhands::background_position_x::get_initial_value(),
                                background_position_y: longhands::background_position_y::get_initial_value(),
                                background_repeat: longhands::background_repeat::get_initial_value(),
                                background_attachment: longhands::background_attachment::get_initial_value(),
                                background_clip: longhands::background_clip::get_initial_value(),
                                background_origin: longhands::background_origin::get_initial_value(),
                                background_size: longhands::background_size::get_initial_value(),
                                background_blend_mode: longhands::background_blend_mode::get_initial_value(),
                    }),
                    border: Arc::new(style_structs::Border {
                                border_top_color: longhands::border_top_color::get_initial_value(),
                                border_top_style: longhands::border_top_style::get_initial_value(),
                                border_top_width: longhands::border_top_width::get_initial_value(),
                                border_right_color: longhands::border_right_color::get_initial_value(),
                                border_right_style: longhands::border_right_style::get_initial_value(),
                                border_right_width: longhands::border_right_width::get_initial_value(),
                                border_bottom_color: longhands::border_bottom_color::get_initial_value(),
                                border_bottom_style: longhands::border_bottom_style::get_initial_value(),
                                border_bottom_width: longhands::border_bottom_width::get_initial_value(),
                                border_left_color: longhands::border_left_color::get_initial_value(),
                                border_left_style: longhands::border_left_style::get_initial_value(),
                                border_left_width: longhands::border_left_width::get_initial_value(),
                                border_top_left_radius: longhands::border_top_left_radius::get_initial_value(),
                                border_top_right_radius: longhands::border_top_right_radius::get_initial_value(),
                                border_bottom_right_radius: longhands::border_bottom_right_radius::get_initial_value(),
                                border_bottom_left_radius: longhands::border_bottom_left_radius::get_initial_value(),
                                box_decoration_break: longhands::box_decoration_break::get_initial_value(),
                                _moz_float_edge: longhands::_moz_float_edge::get_initial_value(),
                                border_image_source: longhands::border_image_source::get_initial_value(),
                                border_image_outset: longhands::border_image_outset::get_initial_value(),
                                border_image_repeat: longhands::border_image_repeat::get_initial_value(),
                                border_image_width: longhands::border_image_width::get_initial_value(),
                                border_image_slice: longhands::border_image_slice::get_initial_value(),
                    }),
                    box_: Arc::new(style_structs::Box {
                                display: longhands::display::get_initial_value(),
                                _moz_top_layer: longhands::_moz_top_layer::get_initial_value(),
                                position: longhands::position::get_initial_value(),
                                float: longhands::float::get_initial_value(),
                                clear: longhands::clear::get_initial_value(),
                                vertical_align: longhands::vertical_align::get_initial_value(),
                                baseline_source: longhands::baseline_source::get_initial_value(),
                                overflow_clip_box_inline: longhands::overflow_clip_box_inline::get_initial_value(),
                                overflow_clip_box_block: longhands::overflow_clip_box_block::get_initial_value(),
                                overflow_x: longhands::overflow_x::get_initial_value(),
                                overflow_y: longhands::overflow_y::get_initial_value(),
                                overflow_anchor: longhands::overflow_anchor::get_initial_value(),
                                transform: longhands::transform::get_initial_value(),
                                rotate: longhands::rotate::get_initial_value(),
                                scale: longhands::scale::get_initial_value(),
                                translate: longhands::translate::get_initial_value(),
                                offset_path: longhands::offset_path::get_initial_value(),
                                offset_distance: longhands::offset_distance::get_initial_value(),
                                offset_rotate: longhands::offset_rotate::get_initial_value(),
                                offset_anchor: longhands::offset_anchor::get_initial_value(),
                                offset_position: longhands::offset_position::get_initial_value(),
                                scroll_behavior: longhands::scroll_behavior::get_initial_value(),
                                scroll_snap_align: longhands::scroll_snap_align::get_initial_value(),
                                scroll_snap_type: longhands::scroll_snap_type::get_initial_value(),
                                scroll_snap_stop: longhands::scroll_snap_stop::get_initial_value(),
                                overscroll_behavior_x: longhands::overscroll_behavior_x::get_initial_value(),
                                overscroll_behavior_y: longhands::overscroll_behavior_y::get_initial_value(),
                                isolation: longhands::isolation::get_initial_value(),
                                break_after: longhands::break_after::get_initial_value(),
                                break_before: longhands::break_before::get_initial_value(),
                                break_inside: longhands::break_inside::get_initial_value(),
                                resize: longhands::resize::get_initial_value(),
                                perspective: longhands::perspective::get_initial_value(),
                                perspective_origin: longhands::perspective_origin::get_initial_value(),
                                backface_visibility: longhands::backface_visibility::get_initial_value(),
                                transform_box: longhands::transform_box::get_initial_value(),
                                transform_style: longhands::transform_style::get_initial_value(),
                                transform_origin: longhands::transform_origin::get_initial_value(),
                                contain: longhands::contain::get_initial_value(),
                                content_visibility: longhands::content_visibility::get_initial_value(),
                                container_type: longhands::container_type::get_initial_value(),
                                container_name: longhands::container_name::get_initial_value(),
                                appearance: longhands::appearance::get_initial_value(),
                                _moz_default_appearance: longhands::_moz_default_appearance::get_initial_value(),
                                _moz_orient: longhands::_moz_orient::get_initial_value(),
                                will_change: longhands::will_change::get_initial_value(),
                                shape_image_threshold: longhands::shape_image_threshold::get_initial_value(),
                                shape_margin: longhands::shape_margin::get_initial_value(),
                                shape_outside: longhands::shape_outside::get_initial_value(),
                                touch_action: longhands::touch_action::get_initial_value(),
                                _webkit_line_clamp: longhands::_webkit_line_clamp::get_initial_value(),
                                scrollbar_gutter: longhands::scrollbar_gutter::get_initial_value(),
                            original_display: longhands::display::get_initial_value(),
                    }),
                    column: Arc::new(style_structs::Column {
                                column_width: longhands::column_width::get_initial_value(),
                                column_count: longhands::column_count::get_initial_value(),
                                column_fill: longhands::column_fill::get_initial_value(),
                                column_rule_width: longhands::column_rule_width::get_initial_value(),
                                column_rule_color: longhands::column_rule_color::get_initial_value(),
                                column_span: longhands::column_span::get_initial_value(),
                                column_rule_style: longhands::column_rule_style::get_initial_value(),
                    }),
                    counters: Arc::new(style_structs::Counters {
                                content: longhands::content::get_initial_value(),
                                counter_increment: longhands::counter_increment::get_initial_value(),
                                counter_reset: longhands::counter_reset::get_initial_value(),
                                counter_set: longhands::counter_set::get_initial_value(),
                    }),
                    effects: Arc::new(style_structs::Effects {
                                opacity: longhands::opacity::get_initial_value(),
                                box_shadow: longhands::box_shadow::get_initial_value(),
                                clip: longhands::clip::get_initial_value(),
                                filter: longhands::filter::get_initial_value(),
                                backdrop_filter: longhands::backdrop_filter::get_initial_value(),
                                mix_blend_mode: longhands::mix_blend_mode::get_initial_value(),
                    }),
                    font: Arc::new(style_structs::Font {
                                font_family: longhands::font_family::get_initial_value(),
                                font_style: longhands::font_style::get_initial_value(),
                                font_variant_caps: longhands::font_variant_caps::get_initial_value(),
                                font_weight: longhands::font_weight::get_initial_value(),
                                font_size: longhands::font_size::get_initial_value(),
                                font_size_adjust: longhands::font_size_adjust::get_initial_value(),
                                font_synthesis_weight: longhands::font_synthesis_weight::get_initial_value(),
                                font_synthesis_style: longhands::font_synthesis_style::get_initial_value(),
                                font_synthesis_small_caps: longhands::font_synthesis_small_caps::get_initial_value(),
                                font_stretch: longhands::font_stretch::get_initial_value(),
                                font_kerning: longhands::font_kerning::get_initial_value(),
                                font_variant_alternates: longhands::font_variant_alternates::get_initial_value(),
                                font_variant_east_asian: longhands::font_variant_east_asian::get_initial_value(),
                                font_variant_emoji: longhands::font_variant_emoji::get_initial_value(),
                                font_variant_ligatures: longhands::font_variant_ligatures::get_initial_value(),
                                font_variant_numeric: longhands::font_variant_numeric::get_initial_value(),
                                font_variant_position: longhands::font_variant_position::get_initial_value(),
                                font_feature_settings: longhands::font_feature_settings::get_initial_value(),
                                font_variation_settings: longhands::font_variation_settings::get_initial_value(),
                                font_language_override: longhands::font_language_override::get_initial_value(),
                                font_optical_sizing: longhands::font_optical_sizing::get_initial_value(),
                                font_palette: longhands::font_palette::get_initial_value(),
                                _x_lang: longhands::_x_lang::get_initial_value(),
                                _moz_script_size_multiplier: longhands::_moz_script_size_multiplier::get_initial_value(),
                                math_depth: longhands::math_depth::get_initial_value(),
                                math_style: longhands::math_style::get_initial_value(),
                                _moz_math_variant: longhands::_moz_math_variant::get_initial_value(),
                                _moz_script_min_size: longhands::_moz_script_min_size::get_initial_value(),
                                _x_text_scale: longhands::_x_text_scale::get_initial_value(),
                                _moz_osx_font_smoothing: longhands::_moz_osx_font_smoothing::get_initial_value(),
                                _moz_font_smoothing_background_color: longhands::_moz_font_smoothing_background_color::get_initial_value(),
                                _moz_min_font_size_ratio: longhands::_moz_min_font_size_ratio::get_initial_value(),
                            hash: 0,
                    }),
                    inherited_box: Arc::new(style_structs::InheritedBox {
                                visibility: longhands::visibility::get_initial_value(),
                                writing_mode: longhands::writing_mode::get_initial_value(),
                                direction: longhands::direction::get_initial_value(),
                                _moz_box_collapse: longhands::_moz_box_collapse::get_initial_value(),
                                text_orientation: longhands::text_orientation::get_initial_value(),
                                print_color_adjust: longhands::print_color_adjust::get_initial_value(),
                                image_rendering: longhands::image_rendering::get_initial_value(),
                                image_orientation: longhands::image_orientation::get_initial_value(),
                    }),
                    inherited_svg: Arc::new(style_structs::InheritedSVG {
                                dominant_baseline: longhands::dominant_baseline::get_initial_value(),
                                text_anchor: longhands::text_anchor::get_initial_value(),
                                color_interpolation: longhands::color_interpolation::get_initial_value(),
                                color_interpolation_filters: longhands::color_interpolation_filters::get_initial_value(),
                                fill: longhands::fill::get_initial_value(),
                                fill_opacity: longhands::fill_opacity::get_initial_value(),
                                fill_rule: longhands::fill_rule::get_initial_value(),
                                shape_rendering: longhands::shape_rendering::get_initial_value(),
                                stroke: longhands::stroke::get_initial_value(),
                                stroke_width: longhands::stroke_width::get_initial_value(),
                                stroke_linecap: longhands::stroke_linecap::get_initial_value(),
                                stroke_linejoin: longhands::stroke_linejoin::get_initial_value(),
                                stroke_miterlimit: longhands::stroke_miterlimit::get_initial_value(),
                                stroke_opacity: longhands::stroke_opacity::get_initial_value(),
                                stroke_dasharray: longhands::stroke_dasharray::get_initial_value(),
                                stroke_dashoffset: longhands::stroke_dashoffset::get_initial_value(),
                                clip_rule: longhands::clip_rule::get_initial_value(),
                                marker_start: longhands::marker_start::get_initial_value(),
                                marker_mid: longhands::marker_mid::get_initial_value(),
                                marker_end: longhands::marker_end::get_initial_value(),
                                paint_order: longhands::paint_order::get_initial_value(),
                                _moz_context_properties: longhands::_moz_context_properties::get_initial_value(),
                    }),
                    inherited_table: Arc::new(style_structs::InheritedTable {
                                border_collapse: longhands::border_collapse::get_initial_value(),
                                empty_cells: longhands::empty_cells::get_initial_value(),
                                caption_side: longhands::caption_side::get_initial_value(),
                                border_spacing: longhands::border_spacing::get_initial_value(),
                    }),
                    inherited_text: Arc::new(style_structs::InheritedText {
                                color: longhands::color::get_initial_value(),
                                line_height: longhands::line_height::get_initial_value(),
                                text_transform: longhands::text_transform::get_initial_value(),
                                hyphens: longhands::hyphens::get_initial_value(),
                                _moz_text_size_adjust: longhands::_moz_text_size_adjust::get_initial_value(),
                                text_indent: longhands::text_indent::get_initial_value(),
                                overflow_wrap: longhands::overflow_wrap::get_initial_value(),
                                word_break: longhands::word_break::get_initial_value(),
                                text_justify: longhands::text_justify::get_initial_value(),
                                text_align_last: longhands::text_align_last::get_initial_value(),
                                text_align: longhands::text_align::get_initial_value(),
                                letter_spacing: longhands::letter_spacing::get_initial_value(),
                                word_spacing: longhands::word_spacing::get_initial_value(),
                                white_space: longhands::white_space::get_initial_value(),
                                text_shadow: longhands::text_shadow::get_initial_value(),
                                text_emphasis_style: longhands::text_emphasis_style::get_initial_value(),
                                text_emphasis_position: longhands::text_emphasis_position::get_initial_value(),
                                text_emphasis_color: longhands::text_emphasis_color::get_initial_value(),
                                tab_size: longhands::tab_size::get_initial_value(),
                                line_break: longhands::line_break::get_initial_value(),
                                _webkit_text_fill_color: longhands::_webkit_text_fill_color::get_initial_value(),
                                _webkit_text_stroke_color: longhands::_webkit_text_stroke_color::get_initial_value(),
                                _webkit_text_stroke_width: longhands::_webkit_text_stroke_width::get_initial_value(),
                                ruby_align: longhands::ruby_align::get_initial_value(),
                                ruby_position: longhands::ruby_position::get_initial_value(),
                                text_combine_upright: longhands::text_combine_upright::get_initial_value(),
                                text_rendering: longhands::text_rendering::get_initial_value(),
                                _moz_control_character_visibility: longhands::_moz_control_character_visibility::get_initial_value(),
                                text_underline_offset: longhands::text_underline_offset::get_initial_value(),
                                text_underline_position: longhands::text_underline_position::get_initial_value(),
                                text_decoration_skip_ink: longhands::text_decoration_skip_ink::get_initial_value(),
                                hyphenate_character: longhands::hyphenate_character::get_initial_value(),
                                forced_color_adjust: longhands::forced_color_adjust::get_initial_value(),
                                _webkit_text_security: longhands::_webkit_text_security::get_initial_value(),
                            text_decorations_in_effect:
                                crate::values::computed::text::TextDecorationsInEffect::default(),
                    }),
                    inherited_ui: Arc::new(style_structs::InheritedUI {
                                cursor: longhands::cursor::get_initial_value(),
                                pointer_events: longhands::pointer_events::get_initial_value(),
                                _moz_inert: longhands::_moz_inert::get_initial_value(),
                                _moz_user_input: longhands::_moz_user_input::get_initial_value(),
                                _moz_user_modify: longhands::_moz_user_modify::get_initial_value(),
                                _moz_user_focus: longhands::_moz_user_focus::get_initial_value(),
                                caret_color: longhands::caret_color::get_initial_value(),
                                accent_color: longhands::accent_color::get_initial_value(),
                                color_scheme: longhands::color_scheme::get_initial_value(),
                                scrollbar_color: longhands::scrollbar_color::get_initial_value(),
                    }),
                    list: Arc::new(style_structs::List {
                                list_style_position: longhands::list_style_position::get_initial_value(),
                                list_style_type: longhands::list_style_type::get_initial_value(),
                                list_style_image: longhands::list_style_image::get_initial_value(),
                                quotes: longhands::quotes::get_initial_value(),
                    }),
                    margin: Arc::new(style_structs::Margin {
                                margin_top: longhands::margin_top::get_initial_value(),
                                margin_right: longhands::margin_right::get_initial_value(),
                                margin_bottom: longhands::margin_bottom::get_initial_value(),
                                margin_left: longhands::margin_left::get_initial_value(),
                                overflow_clip_margin: longhands::overflow_clip_margin::get_initial_value(),
                                scroll_margin_top: longhands::scroll_margin_top::get_initial_value(),
                                scroll_margin_right: longhands::scroll_margin_right::get_initial_value(),
                                scroll_margin_bottom: longhands::scroll_margin_bottom::get_initial_value(),
                                scroll_margin_left: longhands::scroll_margin_left::get_initial_value(),
                    }),
                    outline: Arc::new(style_structs::Outline {
                                outline_color: longhands::outline_color::get_initial_value(),
                                outline_style: longhands::outline_style::get_initial_value(),
                                outline_width: longhands::outline_width::get_initial_value(),
                                outline_offset: longhands::outline_offset::get_initial_value(),
                    }),
                    page: Arc::new(style_structs::Page {
                                size: longhands::size::get_initial_value(),
                                page: longhands::page::get_initial_value(),
                                page_orientation: longhands::page_orientation::get_initial_value(),
                    }),
                    padding: Arc::new(style_structs::Padding {
                                padding_top: longhands::padding_top::get_initial_value(),
                                padding_right: longhands::padding_right::get_initial_value(),
                                padding_bottom: longhands::padding_bottom::get_initial_value(),
                                padding_left: longhands::padding_left::get_initial_value(),
                                scroll_padding_top: longhands::scroll_padding_top::get_initial_value(),
                                scroll_padding_right: longhands::scroll_padding_right::get_initial_value(),
                                scroll_padding_bottom: longhands::scroll_padding_bottom::get_initial_value(),
                                scroll_padding_left: longhands::scroll_padding_left::get_initial_value(),
                    }),
                    position: Arc::new(style_structs::Position {
                                top: longhands::top::get_initial_value(),
                                right: longhands::right::get_initial_value(),
                                bottom: longhands::bottom::get_initial_value(),
                                left: longhands::left::get_initial_value(),
                                z_index: longhands::z_index::get_initial_value(),
                                flex_direction: longhands::flex_direction::get_initial_value(),
                                flex_wrap: longhands::flex_wrap::get_initial_value(),
                                justify_content: longhands::justify_content::get_initial_value(),
                                justify_tracks: longhands::justify_tracks::get_initial_value(),
                                align_content: longhands::align_content::get_initial_value(),
                                align_tracks: longhands::align_tracks::get_initial_value(),
                                align_items: longhands::align_items::get_initial_value(),
                                justify_items: longhands::justify_items::get_initial_value(),
                                flex_grow: longhands::flex_grow::get_initial_value(),
                                flex_shrink: longhands::flex_shrink::get_initial_value(),
                                align_self: longhands::align_self::get_initial_value(),
                                justify_self: longhands::justify_self::get_initial_value(),
                                order: longhands::order::get_initial_value(),
                                flex_basis: longhands::flex_basis::get_initial_value(),
                                width: longhands::width::get_initial_value(),
                                min_width: longhands::min_width::get_initial_value(),
                                max_width: longhands::max_width::get_initial_value(),
                                height: longhands::height::get_initial_value(),
                                min_height: longhands::min_height::get_initial_value(),
                                max_height: longhands::max_height::get_initial_value(),
                                box_sizing: longhands::box_sizing::get_initial_value(),
                                object_fit: longhands::object_fit::get_initial_value(),
                                object_position: longhands::object_position::get_initial_value(),
                                grid_row_start: longhands::grid_row_start::get_initial_value(),
                                grid_row_end: longhands::grid_row_end::get_initial_value(),
                                grid_auto_rows: longhands::grid_auto_rows::get_initial_value(),
                                grid_template_rows: longhands::grid_template_rows::get_initial_value(),
                                grid_column_start: longhands::grid_column_start::get_initial_value(),
                                grid_column_end: longhands::grid_column_end::get_initial_value(),
                                grid_auto_columns: longhands::grid_auto_columns::get_initial_value(),
                                grid_template_columns: longhands::grid_template_columns::get_initial_value(),
                                masonry_auto_flow: longhands::masonry_auto_flow::get_initial_value(),
                                grid_auto_flow: longhands::grid_auto_flow::get_initial_value(),
                                grid_template_areas: longhands::grid_template_areas::get_initial_value(),
                                column_gap: longhands::column_gap::get_initial_value(),
                                row_gap: longhands::row_gap::get_initial_value(),
                                aspect_ratio: longhands::aspect_ratio::get_initial_value(),
                                contain_intrinsic_width: longhands::contain_intrinsic_width::get_initial_value(),
                                contain_intrinsic_height: longhands::contain_intrinsic_height::get_initial_value(),
                    }),
                    svg: Arc::new(style_structs::SVG {
                                vector_effect: longhands::vector_effect::get_initial_value(),
                                stop_color: longhands::stop_color::get_initial_value(),
                                stop_opacity: longhands::stop_opacity::get_initial_value(),
                                flood_color: longhands::flood_color::get_initial_value(),
                                flood_opacity: longhands::flood_opacity::get_initial_value(),
                                lighting_color: longhands::lighting_color::get_initial_value(),
                                mask_type: longhands::mask_type::get_initial_value(),
                                clip_path: longhands::clip_path::get_initial_value(),
                                mask_mode: longhands::mask_mode::get_initial_value(),
                                mask_repeat: longhands::mask_repeat::get_initial_value(),
                                mask_position_x: longhands::mask_position_x::get_initial_value(),
                                mask_position_y: longhands::mask_position_y::get_initial_value(),
                                mask_clip: longhands::mask_clip::get_initial_value(),
                                mask_origin: longhands::mask_origin::get_initial_value(),
                                mask_size: longhands::mask_size::get_initial_value(),
                                mask_composite: longhands::mask_composite::get_initial_value(),
                                mask_image: longhands::mask_image::get_initial_value(),
                                x: longhands::x::get_initial_value(),
                                y: longhands::y::get_initial_value(),
                                cx: longhands::cx::get_initial_value(),
                                cy: longhands::cy::get_initial_value(),
                                rx: longhands::rx::get_initial_value(),
                                ry: longhands::ry::get_initial_value(),
                                r: longhands::r::get_initial_value(),
                                d: longhands::d::get_initial_value(),
                    }),
                    table: Arc::new(style_structs::Table {
                                table_layout: longhands::table_layout::get_initial_value(),
                                _x_span: longhands::_x_span::get_initial_value(),
                    }),
                    text: Arc::new(style_structs::Text {
                                text_overflow: longhands::text_overflow::get_initial_value(),
                                unicode_bidi: longhands::unicode_bidi::get_initial_value(),
                                text_decoration_line: longhands::text_decoration_line::get_initial_value(),
                                text_decoration_style: longhands::text_decoration_style::get_initial_value(),
                                text_decoration_color: longhands::text_decoration_color::get_initial_value(),
                                initial_letter: longhands::initial_letter::get_initial_value(),
                                text_decoration_thickness: longhands::text_decoration_thickness::get_initial_value(),
                    }),
                    ui: Arc::new(style_structs::UI {
                                ime_mode: longhands::ime_mode::get_initial_value(),
                                scrollbar_width: longhands::scrollbar_width::get_initial_value(),
                                user_select: longhands::user_select::get_initial_value(),
                                _moz_window_dragging: longhands::_moz_window_dragging::get_initial_value(),
                                _moz_window_shadow: longhands::_moz_window_shadow::get_initial_value(),
                                _moz_window_opacity: longhands::_moz_window_opacity::get_initial_value(),
                                _moz_window_transform: longhands::_moz_window_transform::get_initial_value(),
                                _moz_window_transform_origin: longhands::_moz_window_transform_origin::get_initial_value(),
                                _moz_window_input_region_margin: longhands::_moz_window_input_region_margin::get_initial_value(),
                                _moz_subtree_hidden_only_visually: longhands::_moz_subtree_hidden_only_visually::get_initial_value(),
                                _moz_force_broken_image_icon: longhands::_moz_force_broken_image_icon::get_initial_value(),
                                transition_duration: longhands::transition_duration::get_initial_value(),
                                transition_timing_function: longhands::transition_timing_function::get_initial_value(),
                                transition_property: longhands::transition_property::get_initial_value(),
                                transition_delay: longhands::transition_delay::get_initial_value(),
                                animation_name: longhands::animation_name::get_initial_value(),
                                animation_duration: longhands::animation_duration::get_initial_value(),
                                animation_timing_function: longhands::animation_timing_function::get_initial_value(),
                                animation_iteration_count: longhands::animation_iteration_count::get_initial_value(),
                                animation_direction: longhands::animation_direction::get_initial_value(),
                                animation_play_state: longhands::animation_play_state::get_initial_value(),
                                animation_fill_mode: longhands::animation_fill_mode::get_initial_value(),
                                animation_composition: longhands::animation_composition::get_initial_value(),
                                animation_delay: longhands::animation_delay::get_initial_value(),
                                animation_timeline: longhands::animation_timeline::get_initial_value(),
                                scroll_timeline_name: longhands::scroll_timeline_name::get_initial_value(),
                                scroll_timeline_axis: longhands::scroll_timeline_axis::get_initial_value(),
                                view_timeline_name: longhands::view_timeline_name::get_initial_value(),
                                view_timeline_axis: longhands::view_timeline_axis::get_initial_value(),
                                view_timeline_inset: longhands::view_timeline_inset::get_initial_value(),
                    }),
                    xul: Arc::new(style_structs::XUL {
                                _moz_box_align: longhands::_moz_box_align::get_initial_value(),
                                _moz_box_direction: longhands::_moz_box_direction::get_initial_value(),
                                _moz_box_flex: longhands::_moz_box_flex::get_initial_value(),
                                _moz_box_orient: longhands::_moz_box_orient::get_initial_value(),
                                _moz_box_pack: longhands::_moz_box_pack::get_initial_value(),
                                _moz_box_ordinal_group: longhands::_moz_box_ordinal_group::get_initial_value(),
                    }),
                custom_properties: None,
                writing_mode: WritingMode::empty(),
                rules: None,
                visited_style: None,
                flags: ComputedValueFlags::empty(),
            },
            pseudo: None,
        };
    }
}

/// A per-longhand function that performs the CSS cascade for that longhand.
pub type CascadePropertyFn =
    extern "Rust" fn(
        declaration: &PropertyDeclaration,
        context: &mut computed::Context,
    );

/// A per-longhand array of functions to perform the CSS cascade on each of
/// them, effectively doing virtual dispatch.
pub static CASCADE_PROPERTY: [CascadePropertyFn; 402] = [
        longhands::align_content::cascade_property,
        longhands::align_items::cascade_property,
        longhands::align_self::cascade_property,
        longhands::aspect_ratio::cascade_property,
        longhands::backface_visibility::cascade_property,
        longhands::baseline_source::cascade_property,
        longhands::border_collapse::cascade_property,
        longhands::border_image_repeat::cascade_property,
        longhands::box_decoration_break::cascade_property,
        longhands::box_sizing::cascade_property,
        longhands::break_inside::cascade_property,
        longhands::caption_side::cascade_property,
        longhands::clear::cascade_property,
        longhands::color_interpolation::cascade_property,
        longhands::color_interpolation_filters::cascade_property,
        longhands::column_count::cascade_property,
        longhands::column_fill::cascade_property,
        longhands::column_span::cascade_property,
        longhands::contain::cascade_property,
        longhands::container_type::cascade_property,
        longhands::content_visibility::cascade_property,
        longhands::direction::cascade_property,
        longhands::display::cascade_property,
        longhands::dominant_baseline::cascade_property,
        longhands::empty_cells::cascade_property,
        longhands::flex_direction::cascade_property,
        longhands::flex_wrap::cascade_property,
        longhands::float::cascade_property,
        longhands::font_kerning::cascade_property,
        longhands::font_language_override::cascade_property,
        longhands::font_optical_sizing::cascade_property,
        longhands::font_size_adjust::cascade_property,
        longhands::font_stretch::cascade_property,
        longhands::font_style::cascade_property,
        longhands::font_variant_caps::cascade_property,
        longhands::font_variant_east_asian::cascade_property,
        longhands::font_variant_emoji::cascade_property,
        longhands::font_variant_ligatures::cascade_property,
        longhands::font_variant_numeric::cascade_property,
        longhands::font_variant_position::cascade_property,
        longhands::font_weight::cascade_property,
        longhands::forced_color_adjust::cascade_property,
        longhands::grid_auto_flow::cascade_property,
        longhands::hyphens::cascade_property,
        longhands::image_orientation::cascade_property,
        longhands::image_rendering::cascade_property,
        longhands::ime_mode::cascade_property,
        longhands::initial_letter::cascade_property,
        longhands::isolation::cascade_property,
        longhands::justify_content::cascade_property,
        longhands::justify_items::cascade_property,
        longhands::justify_self::cascade_property,
        longhands::line_break::cascade_property,
        longhands::list_style_position::cascade_property,
        longhands::mask_type::cascade_property,
        longhands::masonry_auto_flow::cascade_property,
        longhands::math_depth::cascade_property,
        longhands::math_style::cascade_property,
        longhands::mix_blend_mode::cascade_property,
        longhands::_moz_box_align::cascade_property,
        longhands::_moz_box_collapse::cascade_property,
        longhands::_moz_box_direction::cascade_property,
        longhands::_moz_box_orient::cascade_property,
        longhands::_moz_box_pack::cascade_property,
        longhands::_moz_control_character_visibility::cascade_property,
        longhands::_moz_float_edge::cascade_property,
        longhands::_moz_inert::cascade_property,
        longhands::_moz_math_variant::cascade_property,
        longhands::_moz_min_font_size_ratio::cascade_property,
        longhands::_moz_orient::cascade_property,
        longhands::_moz_osx_font_smoothing::cascade_property,
        longhands::_moz_script_min_size::cascade_property,
        longhands::_moz_script_size_multiplier::cascade_property,
        longhands::_moz_text_size_adjust::cascade_property,
        longhands::_moz_top_layer::cascade_property,
        longhands::_moz_user_focus::cascade_property,
        longhands::_moz_user_input::cascade_property,
        longhands::_moz_user_modify::cascade_property,
        longhands::_moz_window_dragging::cascade_property,
        longhands::_moz_window_shadow::cascade_property,
        longhands::object_fit::cascade_property,
        longhands::offset_rotate::cascade_property,
        longhands::outline_style::cascade_property,
        longhands::overflow_anchor::cascade_property,
        longhands::overflow_wrap::cascade_property,
        longhands::page_orientation::cascade_property,
        longhands::paint_order::cascade_property,
        longhands::pointer_events::cascade_property,
        longhands::position::cascade_property,
        longhands::print_color_adjust::cascade_property,
        longhands::resize::cascade_property,
        longhands::ruby_align::cascade_property,
        longhands::ruby_position::cascade_property,
        longhands::scroll_behavior::cascade_property,
        longhands::scroll_snap_align::cascade_property,
        longhands::scroll_snap_stop::cascade_property,
        longhands::scroll_snap_type::cascade_property,
        longhands::scrollbar_gutter::cascade_property,
        longhands::scrollbar_width::cascade_property,
        longhands::shape_rendering::cascade_property,
        longhands::stroke_linecap::cascade_property,
        longhands::stroke_linejoin::cascade_property,
        longhands::table_layout::cascade_property,
        longhands::text_align::cascade_property,
        longhands::text_align_last::cascade_property,
        longhands::text_anchor::cascade_property,
        longhands::text_combine_upright::cascade_property,
        longhands::text_decoration_line::cascade_property,
        longhands::text_decoration_skip_ink::cascade_property,
        longhands::text_decoration_style::cascade_property,
        longhands::text_emphasis_position::cascade_property,
        longhands::text_justify::cascade_property,
        longhands::text_orientation::cascade_property,
        longhands::text_rendering::cascade_property,
        longhands::text_transform::cascade_property,
        longhands::text_underline_position::cascade_property,
        longhands::touch_action::cascade_property,
        longhands::transform_box::cascade_property,
        longhands::transform_style::cascade_property,
        longhands::unicode_bidi::cascade_property,
        longhands::user_select::cascade_property,
        longhands::vector_effect::cascade_property,
        longhands::visibility::cascade_property,
        longhands::_webkit_line_clamp::cascade_property,
        longhands::_webkit_text_security::cascade_property,
        longhands::white_space::cascade_property,
        longhands::word_break::cascade_property,
        longhands::writing_mode::cascade_property,
        longhands::_x_text_scale::cascade_property,
        longhands::z_index::cascade_property,
        longhands::appearance::cascade_property,
        longhands::_moz_default_appearance::cascade_property,
        longhands::_moz_force_broken_image_icon::cascade_property,
        longhands::_moz_subtree_hidden_only_visually::cascade_property,
        longhands::break_after::cascade_property,
        longhands::break_before::cascade_property,
        longhands::clip_rule::cascade_property,
        longhands::fill_rule::cascade_property,
        longhands::overflow_clip_box_block::cascade_property,
        longhands::overflow_clip_box_inline::cascade_property,
        longhands::fill_opacity::cascade_property,
        longhands::stroke_opacity::cascade_property,
        longhands::font_synthesis_small_caps::cascade_property,
        longhands::font_synthesis_style::cascade_property,
        longhands::font_synthesis_weight::cascade_property,
        longhands::_moz_box_ordinal_group::cascade_property,
        longhands::order::cascade_property,
        longhands::_x_span::cascade_property,
        longhands::flex_grow::cascade_property,
        longhands::flex_shrink::cascade_property,
        longhands::_moz_box_flex::cascade_property,
        longhands::stroke_miterlimit::cascade_property,
        longhands::overflow_block::cascade_property,
        longhands::overflow_inline::cascade_property,
        longhands::overflow_x::cascade_property,
        longhands::overflow_y::cascade_property,
        longhands::overscroll_behavior_block::cascade_property,
        longhands::overscroll_behavior_inline::cascade_property,
        longhands::overscroll_behavior_x::cascade_property,
        longhands::overscroll_behavior_y::cascade_property,
        longhands::flood_opacity::cascade_property,
        longhands::_moz_window_opacity::cascade_property,
        longhands::opacity::cascade_property,
        longhands::shape_image_threshold::cascade_property,
        longhands::stop_opacity::cascade_property,
        longhands::border_block_end_style::cascade_property,
        longhands::border_block_start_style::cascade_property,
        longhands::border_bottom_style::cascade_property,
        longhands::border_inline_end_style::cascade_property,
        longhands::border_inline_start_style::cascade_property,
        longhands::border_left_style::cascade_property,
        longhands::border_right_style::cascade_property,
        longhands::border_top_style::cascade_property,
        longhands::column_rule_style::cascade_property,
        longhands::accent_color::cascade_property,
        longhands::align_tracks::cascade_property,
        longhands::animation_composition::cascade_property,
        longhands::animation_delay::cascade_property,
        longhands::animation_direction::cascade_property,
        longhands::animation_duration::cascade_property,
        longhands::animation_fill_mode::cascade_property,
        longhands::animation_iteration_count::cascade_property,
        longhands::animation_name::cascade_property,
        longhands::animation_play_state::cascade_property,
        longhands::animation_timeline::cascade_property,
        longhands::animation_timing_function::cascade_property,
        longhands::backdrop_filter::cascade_property,
        longhands::background_attachment::cascade_property,
        longhands::background_blend_mode::cascade_property,
        longhands::background_clip::cascade_property,
        longhands::background_image::cascade_property,
        longhands::background_origin::cascade_property,
        longhands::background_position_x::cascade_property,
        longhands::background_position_y::cascade_property,
        longhands::background_repeat::cascade_property,
        longhands::background_size::cascade_property,
        longhands::border_image_outset::cascade_property,
        longhands::border_image_slice::cascade_property,
        longhands::border_image_width::cascade_property,
        longhands::border_spacing::cascade_property,
        longhands::box_shadow::cascade_property,
        longhands::caret_color::cascade_property,
        longhands::clip::cascade_property,
        longhands::clip_path::cascade_property,
        longhands::color::cascade_property,
        longhands::color_scheme::cascade_property,
        longhands::column_width::cascade_property,
        longhands::container_name::cascade_property,
        longhands::content::cascade_property,
        longhands::counter_increment::cascade_property,
        longhands::counter_reset::cascade_property,
        longhands::counter_set::cascade_property,
        longhands::cursor::cascade_property,
        longhands::d::cascade_property,
        longhands::filter::cascade_property,
        longhands::flex_basis::cascade_property,
        longhands::font_family::cascade_property,
        longhands::font_feature_settings::cascade_property,
        longhands::font_palette::cascade_property,
        longhands::font_size::cascade_property,
        longhands::font_variant_alternates::cascade_property,
        longhands::font_variation_settings::cascade_property,
        longhands::grid_template_areas::cascade_property,
        longhands::hyphenate_character::cascade_property,
        longhands::justify_tracks::cascade_property,
        longhands::letter_spacing::cascade_property,
        longhands::line_height::cascade_property,
        longhands::list_style_type::cascade_property,
        longhands::mask_clip::cascade_property,
        longhands::mask_composite::cascade_property,
        longhands::mask_image::cascade_property,
        longhands::mask_mode::cascade_property,
        longhands::mask_origin::cascade_property,
        longhands::mask_position_x::cascade_property,
        longhands::mask_position_y::cascade_property,
        longhands::mask_repeat::cascade_property,
        longhands::mask_size::cascade_property,
        longhands::_moz_context_properties::cascade_property,
        longhands::_moz_font_smoothing_background_color::cascade_property,
        longhands::offset_anchor::cascade_property,
        longhands::offset_path::cascade_property,
        longhands::offset_position::cascade_property,
        longhands::page::cascade_property,
        longhands::perspective::cascade_property,
        longhands::quotes::cascade_property,
        longhands::rotate::cascade_property,
        longhands::scale::cascade_property,
        longhands::scroll_timeline_axis::cascade_property,
        longhands::scroll_timeline_name::cascade_property,
        longhands::scrollbar_color::cascade_property,
        longhands::shape_outside::cascade_property,
        longhands::size::cascade_property,
        longhands::stroke_dasharray::cascade_property,
        longhands::stroke_dashoffset::cascade_property,
        longhands::stroke_width::cascade_property,
        longhands::tab_size::cascade_property,
        longhands::text_decoration_thickness::cascade_property,
        longhands::text_emphasis_style::cascade_property,
        longhands::text_overflow::cascade_property,
        longhands::text_shadow::cascade_property,
        longhands::transition_delay::cascade_property,
        longhands::transition_duration::cascade_property,
        longhands::transition_property::cascade_property,
        longhands::transition_timing_function::cascade_property,
        longhands::translate::cascade_property,
        longhands::vertical_align::cascade_property,
        longhands::view_timeline_axis::cascade_property,
        longhands::view_timeline_inset::cascade_property,
        longhands::view_timeline_name::cascade_property,
        longhands::_webkit_text_stroke_width::cascade_property,
        longhands::will_change::cascade_property,
        longhands::word_spacing::cascade_property,
        longhands::_x_lang::cascade_property,
        longhands::object_position::cascade_property,
        longhands::perspective_origin::cascade_property,
        longhands::fill::cascade_property,
        longhands::stroke::cascade_property,
        longhands::_moz_window_transform_origin::cascade_property,
        longhands::transform_origin::cascade_property,
        longhands::grid_template_columns::cascade_property,
        longhands::grid_template_rows::cascade_property,
        longhands::border_image_source::cascade_property,
        longhands::list_style_image::cascade_property,
        longhands::grid_auto_columns::cascade_property,
        longhands::grid_auto_rows::cascade_property,
        longhands::_moz_window_transform::cascade_property,
        longhands::transform::cascade_property,
        longhands::column_gap::cascade_property,
        longhands::row_gap::cascade_property,
        longhands::marker_end::cascade_property,
        longhands::marker_mid::cascade_property,
        longhands::marker_start::cascade_property,
        longhands::contain_intrinsic_block_size::cascade_property,
        longhands::contain_intrinsic_height::cascade_property,
        longhands::contain_intrinsic_inline_size::cascade_property,
        longhands::contain_intrinsic_width::cascade_property,
        longhands::grid_column_end::cascade_property,
        longhands::grid_column_start::cascade_property,
        longhands::grid_row_end::cascade_property,
        longhands::grid_row_start::cascade_property,
        longhands::max_block_size::cascade_property,
        longhands::max_height::cascade_property,
        longhands::max_inline_size::cascade_property,
        longhands::max_width::cascade_property,
        longhands::cx::cascade_property,
        longhands::cy::cascade_property,
        longhands::offset_distance::cascade_property,
        longhands::text_indent::cascade_property,
        longhands::x::cascade_property,
        longhands::y::cascade_property,
        longhands::border_bottom_left_radius::cascade_property,
        longhands::border_bottom_right_radius::cascade_property,
        longhands::border_end_end_radius::cascade_property,
        longhands::border_end_start_radius::cascade_property,
        longhands::border_start_end_radius::cascade_property,
        longhands::border_start_start_radius::cascade_property,
        longhands::border_top_left_radius::cascade_property,
        longhands::border_top_right_radius::cascade_property,
        longhands::block_size::cascade_property,
        longhands::height::cascade_property,
        longhands::inline_size::cascade_property,
        longhands::min_block_size::cascade_property,
        longhands::min_height::cascade_property,
        longhands::min_inline_size::cascade_property,
        longhands::min_width::cascade_property,
        longhands::width::cascade_property,
        longhands::border_block_end_width::cascade_property,
        longhands::border_block_start_width::cascade_property,
        longhands::border_bottom_width::cascade_property,
        longhands::border_inline_end_width::cascade_property,
        longhands::border_inline_start_width::cascade_property,
        longhands::border_left_width::cascade_property,
        longhands::border_right_width::cascade_property,
        longhands::border_top_width::cascade_property,
        longhands::column_rule_width::cascade_property,
        longhands::outline_width::cascade_property,
        longhands::padding_block_end::cascade_property,
        longhands::padding_block_start::cascade_property,
        longhands::padding_bottom::cascade_property,
        longhands::padding_inline_end::cascade_property,
        longhands::padding_inline_start::cascade_property,
        longhands::padding_left::cascade_property,
        longhands::padding_right::cascade_property,
        longhands::padding_top::cascade_property,
        longhands::r::cascade_property,
        longhands::shape_margin::cascade_property,
        longhands::rx::cascade_property,
        longhands::ry::cascade_property,
        longhands::scroll_padding_block_end::cascade_property,
        longhands::scroll_padding_block_start::cascade_property,
        longhands::scroll_padding_bottom::cascade_property,
        longhands::scroll_padding_inline_end::cascade_property,
        longhands::scroll_padding_inline_start::cascade_property,
        longhands::scroll_padding_left::cascade_property,
        longhands::scroll_padding_right::cascade_property,
        longhands::scroll_padding_top::cascade_property,
        longhands::_moz_window_input_region_margin::cascade_property,
        longhands::outline_offset::cascade_property,
        longhands::overflow_clip_margin::cascade_property,
        longhands::scroll_margin_block_end::cascade_property,
        longhands::scroll_margin_block_start::cascade_property,
        longhands::scroll_margin_bottom::cascade_property,
        longhands::scroll_margin_inline_end::cascade_property,
        longhands::scroll_margin_inline_start::cascade_property,
        longhands::scroll_margin_left::cascade_property,
        longhands::scroll_margin_right::cascade_property,
        longhands::scroll_margin_top::cascade_property,
        longhands::bottom::cascade_property,
        longhands::inset_block_end::cascade_property,
        longhands::inset_block_start::cascade_property,
        longhands::inset_inline_end::cascade_property,
        longhands::inset_inline_start::cascade_property,
        longhands::left::cascade_property,
        longhands::margin_block_end::cascade_property,
        longhands::margin_block_start::cascade_property,
        longhands::margin_bottom::cascade_property,
        longhands::margin_inline_end::cascade_property,
        longhands::margin_inline_start::cascade_property,
        longhands::margin_left::cascade_property,
        longhands::margin_right::cascade_property,
        longhands::margin_top::cascade_property,
        longhands::right::cascade_property,
        longhands::text_underline_offset::cascade_property,
        longhands::top::cascade_property,
        longhands::background_color::cascade_property,
        longhands::border_block_end_color::cascade_property,
        longhands::border_block_start_color::cascade_property,
        longhands::border_bottom_color::cascade_property,
        longhands::border_inline_end_color::cascade_property,
        longhands::border_inline_start_color::cascade_property,
        longhands::border_left_color::cascade_property,
        longhands::border_right_color::cascade_property,
        longhands::border_top_color::cascade_property,
        longhands::column_rule_color::cascade_property,
        longhands::flood_color::cascade_property,
        longhands::lighting_color::cascade_property,
        longhands::outline_color::cascade_property,
        longhands::stop_color::cascade_property,
        longhands::text_decoration_color::cascade_property,
        longhands::text_emphasis_color::cascade_property,
        longhands::_webkit_text_fill_color::cascade_property,
        longhands::_webkit_text_stroke_color::cascade_property,
];


/// See StyleAdjuster::adjust_for_border_width.
pub fn adjust_border_width(style: &mut StyleBuilder) {
        // Like calling to_computed_value, which wouldn't type check.
        if style.get_border().clone_border_top_style().none_or_hidden() &&
           style.get_border().border_top_has_nonzero_width() {
            style.set_border_top_width(Au(0));
        }
        // Like calling to_computed_value, which wouldn't type check.
        if style.get_border().clone_border_right_style().none_or_hidden() &&
           style.get_border().border_right_has_nonzero_width() {
            style.set_border_right_width(Au(0));
        }
        // Like calling to_computed_value, which wouldn't type check.
        if style.get_border().clone_border_bottom_style().none_or_hidden() &&
           style.get_border().border_bottom_has_nonzero_width() {
            style.set_border_bottom_width(Au(0));
        }
        // Like calling to_computed_value, which wouldn't type check.
        if style.get_border().clone_border_left_style().none_or_hidden() &&
           style.get_border().border_left_has_nonzero_width() {
            style.set_border_left_width(Au(0));
        }
}

/// An identifier for a given alias property.
#[derive(Clone, Copy, Eq, PartialEq, MallocSizeOf)]
#[repr(u16)]
pub enum AliasId {
        /// -webkit-background-clip
        WebkitBackgroundClip = 0,
        /// -webkit-background-origin
        WebkitBackgroundOrigin = 1,
        /// -webkit-background-size
        WebkitBackgroundSize = 2,
        /// -moz-border-start-color
        MozBorderStartColor = 3,
        /// -moz-border-start-style
        MozBorderStartStyle = 4,
        /// -moz-border-start-width
        MozBorderStartWidth = 5,
        /// -moz-border-end-color
        MozBorderEndColor = 6,
        /// -moz-border-end-style
        MozBorderEndStyle = 7,
        /// -moz-border-end-width
        MozBorderEndWidth = 8,
        /// -webkit-border-top-left-radius
        WebkitBorderTopLeftRadius = 9,
        /// -webkit-border-top-right-radius
        WebkitBorderTopRightRadius = 10,
        /// -webkit-border-bottom-right-radius
        WebkitBorderBottomRightRadius = 11,
        /// -webkit-border-bottom-left-radius
        WebkitBorderBottomLeftRadius = 12,
        /// -moz-transform
        MozTransform = 13,
        /// -webkit-transform
        WebkitTransform = 14,
        /// -moz-perspective
        MozPerspective = 15,
        /// -webkit-perspective
        WebkitPerspective = 16,
        /// -moz-perspective-origin
        MozPerspectiveOrigin = 17,
        /// -webkit-perspective-origin
        WebkitPerspectiveOrigin = 18,
        /// -moz-backface-visibility
        MozBackfaceVisibility = 19,
        /// -webkit-backface-visibility
        WebkitBackfaceVisibility = 20,
        /// -moz-transform-style
        MozTransformStyle = 21,
        /// -webkit-transform-style
        WebkitTransformStyle = 22,
        /// -moz-transform-origin
        MozTransformOrigin = 23,
        /// -webkit-transform-origin
        WebkitTransformOrigin = 24,
        /// -moz-appearance
        MozAppearance = 25,
        /// -webkit-appearance
        WebkitAppearance = 26,
        /// -webkit-box-shadow
        WebkitBoxShadow = 27,
        /// -webkit-filter
        WebkitFilter = 28,
        /// -moz-font-feature-settings
        MozFontFeatureSettings = 29,
        /// -moz-font-language-override
        MozFontLanguageOverride = 30,
        /// color-adjust
        ColorAdjust = 31,
        /// -moz-hyphens
        MozHyphens = 32,
        /// -webkit-text-size-adjust
        WebkitTextSizeAdjust = 33,
        /// word-wrap
        WordWrap = 34,
        /// -moz-tab-size
        MozTabSize = 35,
        /// -moz-margin-start
        MozMarginStart = 36,
        /// -moz-margin-end
        MozMarginEnd = 37,
        /// -moz-padding-start
        MozPaddingStart = 38,
        /// -moz-padding-end
        MozPaddingEnd = 39,
        /// -webkit-flex-direction
        WebkitFlexDirection = 40,
        /// -webkit-flex-wrap
        WebkitFlexWrap = 41,
        /// -webkit-justify-content
        WebkitJustifyContent = 42,
        /// -webkit-align-content
        WebkitAlignContent = 43,
        /// -webkit-align-items
        WebkitAlignItems = 44,
        /// -webkit-flex-grow
        WebkitFlexGrow = 45,
        /// -webkit-flex-shrink
        WebkitFlexShrink = 46,
        /// -webkit-align-self
        WebkitAlignSelf = 47,
        /// -webkit-order
        WebkitOrder = 48,
        /// -webkit-flex-basis
        WebkitFlexBasis = 49,
        /// -moz-box-sizing
        MozBoxSizing = 50,
        /// -webkit-box-sizing
        WebkitBoxSizing = 51,
        /// grid-column-gap
        GridColumnGap = 52,
        /// grid-row-gap
        GridRowGap = 53,
        /// -webkit-clip-path
        WebkitClipPath = 54,
        /// -webkit-mask-repeat
        WebkitMaskRepeat = 55,
        /// -webkit-mask-position-x
        WebkitMaskPositionX = 56,
        /// -webkit-mask-position-y
        WebkitMaskPositionY = 57,
        /// -webkit-mask-clip
        WebkitMaskClip = 58,
        /// -webkit-mask-origin
        WebkitMaskOrigin = 59,
        /// -webkit-mask-size
        WebkitMaskSize = 60,
        /// -webkit-mask-composite
        WebkitMaskComposite = 61,
        /// -webkit-mask-image
        WebkitMaskImage = 62,
        /// -moz-user-select
        MozUserSelect = 63,
        /// -webkit-user-select
        WebkitUserSelect = 64,
        /// -moz-transition-duration
        MozTransitionDuration = 65,
        /// -webkit-transition-duration
        WebkitTransitionDuration = 66,
        /// -moz-transition-timing-function
        MozTransitionTimingFunction = 67,
        /// -webkit-transition-timing-function
        WebkitTransitionTimingFunction = 68,
        /// -moz-transition-property
        MozTransitionProperty = 69,
        /// -webkit-transition-property
        WebkitTransitionProperty = 70,
        /// -moz-transition-delay
        MozTransitionDelay = 71,
        /// -webkit-transition-delay
        WebkitTransitionDelay = 72,
        /// -moz-animation-name
        MozAnimationName = 73,
        /// -webkit-animation-name
        WebkitAnimationName = 74,
        /// -moz-animation-duration
        MozAnimationDuration = 75,
        /// -webkit-animation-duration
        WebkitAnimationDuration = 76,
        /// -moz-animation-timing-function
        MozAnimationTimingFunction = 77,
        /// -webkit-animation-timing-function
        WebkitAnimationTimingFunction = 78,
        /// -moz-animation-iteration-count
        MozAnimationIterationCount = 79,
        /// -webkit-animation-iteration-count
        WebkitAnimationIterationCount = 80,
        /// -moz-animation-direction
        MozAnimationDirection = 81,
        /// -webkit-animation-direction
        WebkitAnimationDirection = 82,
        /// -moz-animation-play-state
        MozAnimationPlayState = 83,
        /// -webkit-animation-play-state
        WebkitAnimationPlayState = 84,
        /// -moz-animation-fill-mode
        MozAnimationFillMode = 85,
        /// -webkit-animation-fill-mode
        WebkitAnimationFillMode = 86,
        /// -moz-animation-delay
        MozAnimationDelay = 87,
        /// -webkit-animation-delay
        WebkitAnimationDelay = 88,
        /// -webkit-box-align
        WebkitBoxAlign = 89,
        /// -webkit-box-direction
        WebkitBoxDirection = 90,
        /// -webkit-box-flex
        WebkitBoxFlex = 91,
        /// -webkit-box-orient
        WebkitBoxOrient = 92,
        /// -webkit-box-pack
        WebkitBoxPack = 93,
        /// -webkit-box-ordinal-group
        WebkitBoxOrdinalGroup = 94,
        /// -moz-border-start
        MozBorderStart = 95,
        /// -moz-border-end
        MozBorderEnd = 96,
        /// -webkit-border-radius
        WebkitBorderRadius = 97,
        /// -moz-border-image
        MozBorderImage = 98,
        /// -webkit-border-image
        WebkitBorderImage = 99,
        /// -webkit-flex-flow
        WebkitFlexFlow = 100,
        /// -webkit-flex
        WebkitFlex = 101,
        /// grid-gap
        GridGap = 102,
        /// -webkit-mask
        WebkitMask = 103,
        /// -webkit-mask-position
        WebkitMaskPosition = 104,
        /// -moz-transition
        MozTransition = 105,
        /// -webkit-transition
        WebkitTransition = 106,
        /// -moz-animation
        MozAnimation = 107,
        /// -webkit-animation
        WebkitAnimation = 108,
}

#[derive(Clone, Copy, Eq, PartialEq)]
enum AliasedPropertyId {
    #[allow(dead_code)] // Servo doesn't have aliased shorthands.
    Shorthand(ShorthandId),
    Longhand(LonghandId),
}

impl fmt::Debug for AliasId {
    fn fmt(&self, formatter: &mut fmt::Formatter) -> fmt::Result {
        let name = NonCustomPropertyId::from(*self).name();
        formatter.write_str(name)
    }
}

impl AliasId {
    /// Returns the property we're aliasing, as a longhand or a shorthand.
    #[inline]
    fn aliased_property(self) -> AliasedPropertyId {
        static MAP: [AliasedPropertyId; 109] = [
            AliasedPropertyId::Longhand(LonghandId::BackgroundClip),
            AliasedPropertyId::Longhand(LonghandId::BackgroundOrigin),
            AliasedPropertyId::Longhand(LonghandId::BackgroundSize),
            AliasedPropertyId::Longhand(LonghandId::BorderInlineStartColor),
            AliasedPropertyId::Longhand(LonghandId::BorderInlineStartStyle),
            AliasedPropertyId::Longhand(LonghandId::BorderInlineStartWidth),
            AliasedPropertyId::Longhand(LonghandId::BorderInlineEndColor),
            AliasedPropertyId::Longhand(LonghandId::BorderInlineEndStyle),
            AliasedPropertyId::Longhand(LonghandId::BorderInlineEndWidth),
            AliasedPropertyId::Longhand(LonghandId::BorderTopLeftRadius),
            AliasedPropertyId::Longhand(LonghandId::BorderTopRightRadius),
            AliasedPropertyId::Longhand(LonghandId::BorderBottomRightRadius),
            AliasedPropertyId::Longhand(LonghandId::BorderBottomLeftRadius),
            AliasedPropertyId::Longhand(LonghandId::Transform),
            AliasedPropertyId::Longhand(LonghandId::Transform),
            AliasedPropertyId::Longhand(LonghandId::Perspective),
            AliasedPropertyId::Longhand(LonghandId::Perspective),
            AliasedPropertyId::Longhand(LonghandId::PerspectiveOrigin),
            AliasedPropertyId::Longhand(LonghandId::PerspectiveOrigin),
            AliasedPropertyId::Longhand(LonghandId::BackfaceVisibility),
            AliasedPropertyId::Longhand(LonghandId::BackfaceVisibility),
            AliasedPropertyId::Longhand(LonghandId::TransformStyle),
            AliasedPropertyId::Longhand(LonghandId::TransformStyle),
            AliasedPropertyId::Longhand(LonghandId::TransformOrigin),
            AliasedPropertyId::Longhand(LonghandId::TransformOrigin),
            AliasedPropertyId::Longhand(LonghandId::Appearance),
            AliasedPropertyId::Longhand(LonghandId::Appearance),
            AliasedPropertyId::Longhand(LonghandId::BoxShadow),
            AliasedPropertyId::Longhand(LonghandId::Filter),
            AliasedPropertyId::Longhand(LonghandId::FontFeatureSettings),
            AliasedPropertyId::Longhand(LonghandId::FontLanguageOverride),
            AliasedPropertyId::Longhand(LonghandId::PrintColorAdjust),
            AliasedPropertyId::Longhand(LonghandId::Hyphens),
            AliasedPropertyId::Longhand(LonghandId::MozTextSizeAdjust),
            AliasedPropertyId::Longhand(LonghandId::OverflowWrap),
            AliasedPropertyId::Longhand(LonghandId::TabSize),
            AliasedPropertyId::Longhand(LonghandId::MarginInlineStart),
            AliasedPropertyId::Longhand(LonghandId::MarginInlineEnd),
            AliasedPropertyId::Longhand(LonghandId::PaddingInlineStart),
            AliasedPropertyId::Longhand(LonghandId::PaddingInlineEnd),
            AliasedPropertyId::Longhand(LonghandId::FlexDirection),
            AliasedPropertyId::Longhand(LonghandId::FlexWrap),
            AliasedPropertyId::Longhand(LonghandId::JustifyContent),
            AliasedPropertyId::Longhand(LonghandId::AlignContent),
            AliasedPropertyId::Longhand(LonghandId::AlignItems),
            AliasedPropertyId::Longhand(LonghandId::FlexGrow),
            AliasedPropertyId::Longhand(LonghandId::FlexShrink),
            AliasedPropertyId::Longhand(LonghandId::AlignSelf),
            AliasedPropertyId::Longhand(LonghandId::Order),
            AliasedPropertyId::Longhand(LonghandId::FlexBasis),
            AliasedPropertyId::Longhand(LonghandId::BoxSizing),
            AliasedPropertyId::Longhand(LonghandId::BoxSizing),
            AliasedPropertyId::Longhand(LonghandId::ColumnGap),
            AliasedPropertyId::Longhand(LonghandId::RowGap),
            AliasedPropertyId::Longhand(LonghandId::ClipPath),
            AliasedPropertyId::Longhand(LonghandId::MaskRepeat),
            AliasedPropertyId::Longhand(LonghandId::MaskPositionX),
            AliasedPropertyId::Longhand(LonghandId::MaskPositionY),
            AliasedPropertyId::Longhand(LonghandId::MaskClip),
            AliasedPropertyId::Longhand(LonghandId::MaskOrigin),
            AliasedPropertyId::Longhand(LonghandId::MaskSize),
            AliasedPropertyId::Longhand(LonghandId::MaskComposite),
            AliasedPropertyId::Longhand(LonghandId::MaskImage),
            AliasedPropertyId::Longhand(LonghandId::UserSelect),
            AliasedPropertyId::Longhand(LonghandId::UserSelect),
            AliasedPropertyId::Longhand(LonghandId::TransitionDuration),
            AliasedPropertyId::Longhand(LonghandId::TransitionDuration),
            AliasedPropertyId::Longhand(LonghandId::TransitionTimingFunction),
            AliasedPropertyId::Longhand(LonghandId::TransitionTimingFunction),
            AliasedPropertyId::Longhand(LonghandId::TransitionProperty),
            AliasedPropertyId::Longhand(LonghandId::TransitionProperty),
            AliasedPropertyId::Longhand(LonghandId::TransitionDelay),
            AliasedPropertyId::Longhand(LonghandId::TransitionDelay),
            AliasedPropertyId::Longhand(LonghandId::AnimationName),
            AliasedPropertyId::Longhand(LonghandId::AnimationName),
            AliasedPropertyId::Longhand(LonghandId::AnimationDuration),
            AliasedPropertyId::Longhand(LonghandId::AnimationDuration),
            AliasedPropertyId::Longhand(LonghandId::AnimationTimingFunction),
            AliasedPropertyId::Longhand(LonghandId::AnimationTimingFunction),
            AliasedPropertyId::Longhand(LonghandId::AnimationIterationCount),
            AliasedPropertyId::Longhand(LonghandId::AnimationIterationCount),
            AliasedPropertyId::Longhand(LonghandId::AnimationDirection),
            AliasedPropertyId::Longhand(LonghandId::AnimationDirection),
            AliasedPropertyId::Longhand(LonghandId::AnimationPlayState),
            AliasedPropertyId::Longhand(LonghandId::AnimationPlayState),
            AliasedPropertyId::Longhand(LonghandId::AnimationFillMode),
            AliasedPropertyId::Longhand(LonghandId::AnimationFillMode),
            AliasedPropertyId::Longhand(LonghandId::AnimationDelay),
            AliasedPropertyId::Longhand(LonghandId::AnimationDelay),
            AliasedPropertyId::Longhand(LonghandId::MozBoxAlign),
            AliasedPropertyId::Longhand(LonghandId::MozBoxDirection),
            AliasedPropertyId::Longhand(LonghandId::MozBoxFlex),
            AliasedPropertyId::Longhand(LonghandId::MozBoxOrient),
            AliasedPropertyId::Longhand(LonghandId::MozBoxPack),
            AliasedPropertyId::Longhand(LonghandId::MozBoxOrdinalGroup),
            
            AliasedPropertyId::Shorthand(ShorthandId::BorderInlineStart),
            
            AliasedPropertyId::Shorthand(ShorthandId::BorderInlineEnd),
            
            AliasedPropertyId::Shorthand(ShorthandId::BorderRadius),
            
            AliasedPropertyId::Shorthand(ShorthandId::BorderImage),
            
            AliasedPropertyId::Shorthand(ShorthandId::BorderImage),
            
            AliasedPropertyId::Shorthand(ShorthandId::FlexFlow),
            
            AliasedPropertyId::Shorthand(ShorthandId::Flex),
            
            AliasedPropertyId::Shorthand(ShorthandId::Gap),
            
            AliasedPropertyId::Shorthand(ShorthandId::Mask),
            
            AliasedPropertyId::Shorthand(ShorthandId::MaskPosition),
            
            AliasedPropertyId::Shorthand(ShorthandId::Transition),
            
            AliasedPropertyId::Shorthand(ShorthandId::Transition),
            
            AliasedPropertyId::Shorthand(ShorthandId::Animation),
            
            AliasedPropertyId::Shorthand(ShorthandId::Animation),
        ];
        MAP[self as usize]
    }
}

/// Call the given macro with tokens like this for each longhand and shorthand properties
/// that is enabled in content:
///
/// ```
/// [CamelCaseName, SetCamelCaseName, PropertyId::Longhand(LonghandId::CamelCaseName)],
/// ```
///
/// NOTE(emilio): Callers are responsible to deal with prefs.
#[macro_export]
macro_rules! css_properties_accessors {
    ($macro_name: ident) => {
        $macro_name! {
                                [Align_content, SetAlign_content,
                                 PropertyId::Longhand(LonghandId::AlignContent)],
                            [AlignContent, SetAlignContent,
                             PropertyId::Longhand(LonghandId::AlignContent)],
                                [_webkit_align_content, Set_webkit_align_content,
                                 PropertyId::Longhand(LonghandId::AlignContent)],
                            [WebkitAlignContent, SetWebkitAlignContent,
                             PropertyId::Longhand(LonghandId::AlignContent)],
                                [Align_items, SetAlign_items,
                                 PropertyId::Longhand(LonghandId::AlignItems)],
                            [AlignItems, SetAlignItems,
                             PropertyId::Longhand(LonghandId::AlignItems)],
                                [_webkit_align_items, Set_webkit_align_items,
                                 PropertyId::Longhand(LonghandId::AlignItems)],
                            [WebkitAlignItems, SetWebkitAlignItems,
                             PropertyId::Longhand(LonghandId::AlignItems)],
                                [Align_self, SetAlign_self,
                                 PropertyId::Longhand(LonghandId::AlignSelf)],
                            [AlignSelf, SetAlignSelf,
                             PropertyId::Longhand(LonghandId::AlignSelf)],
                                [_webkit_align_self, Set_webkit_align_self,
                                 PropertyId::Longhand(LonghandId::AlignSelf)],
                            [WebkitAlignSelf, SetWebkitAlignSelf,
                             PropertyId::Longhand(LonghandId::AlignSelf)],
                                [Aspect_ratio, SetAspect_ratio,
                                 PropertyId::Longhand(LonghandId::AspectRatio)],
                            [AspectRatio, SetAspectRatio,
                             PropertyId::Longhand(LonghandId::AspectRatio)],
                                [Backface_visibility, SetBackface_visibility,
                                 PropertyId::Longhand(LonghandId::BackfaceVisibility)],
                            [BackfaceVisibility, SetBackfaceVisibility,
                             PropertyId::Longhand(LonghandId::BackfaceVisibility)],
                                [_moz_backface_visibility, Set_moz_backface_visibility,
                                 PropertyId::Longhand(LonghandId::BackfaceVisibility)],
                            [MozBackfaceVisibility, SetMozBackfaceVisibility,
                             PropertyId::Longhand(LonghandId::BackfaceVisibility)],
                                [_webkit_backface_visibility, Set_webkit_backface_visibility,
                                 PropertyId::Longhand(LonghandId::BackfaceVisibility)],
                            [WebkitBackfaceVisibility, SetWebkitBackfaceVisibility,
                             PropertyId::Longhand(LonghandId::BackfaceVisibility)],
                                [Baseline_source, SetBaseline_source,
                                 PropertyId::Longhand(LonghandId::BaselineSource)],
                            [BaselineSource, SetBaselineSource,
                             PropertyId::Longhand(LonghandId::BaselineSource)],
                                [Border_collapse, SetBorder_collapse,
                                 PropertyId::Longhand(LonghandId::BorderCollapse)],
                            [BorderCollapse, SetBorderCollapse,
                             PropertyId::Longhand(LonghandId::BorderCollapse)],
                                [Border_image_repeat, SetBorder_image_repeat,
                                 PropertyId::Longhand(LonghandId::BorderImageRepeat)],
                            [BorderImageRepeat, SetBorderImageRepeat,
                             PropertyId::Longhand(LonghandId::BorderImageRepeat)],
                                [Box_decoration_break, SetBox_decoration_break,
                                 PropertyId::Longhand(LonghandId::BoxDecorationBreak)],
                            [BoxDecorationBreak, SetBoxDecorationBreak,
                             PropertyId::Longhand(LonghandId::BoxDecorationBreak)],
                                [Box_sizing, SetBox_sizing,
                                 PropertyId::Longhand(LonghandId::BoxSizing)],
                            [BoxSizing, SetBoxSizing,
                             PropertyId::Longhand(LonghandId::BoxSizing)],
                                [_moz_box_sizing, Set_moz_box_sizing,
                                 PropertyId::Longhand(LonghandId::BoxSizing)],
                            [MozBoxSizing, SetMozBoxSizing,
                             PropertyId::Longhand(LonghandId::BoxSizing)],
                                [_webkit_box_sizing, Set_webkit_box_sizing,
                                 PropertyId::Longhand(LonghandId::BoxSizing)],
                            [WebkitBoxSizing, SetWebkitBoxSizing,
                             PropertyId::Longhand(LonghandId::BoxSizing)],
                                [Break_inside, SetBreak_inside,
                                 PropertyId::Longhand(LonghandId::BreakInside)],
                            [BreakInside, SetBreakInside,
                             PropertyId::Longhand(LonghandId::BreakInside)],
                                [Caption_side, SetCaption_side,
                                 PropertyId::Longhand(LonghandId::CaptionSide)],
                            [CaptionSide, SetCaptionSide,
                             PropertyId::Longhand(LonghandId::CaptionSide)],
                            [Clear, SetClear,
                             PropertyId::Longhand(LonghandId::Clear)],
                                [Color_interpolation, SetColor_interpolation,
                                 PropertyId::Longhand(LonghandId::ColorInterpolation)],
                            [ColorInterpolation, SetColorInterpolation,
                             PropertyId::Longhand(LonghandId::ColorInterpolation)],
                                [Color_interpolation_filters, SetColor_interpolation_filters,
                                 PropertyId::Longhand(LonghandId::ColorInterpolationFilters)],
                            [ColorInterpolationFilters, SetColorInterpolationFilters,
                             PropertyId::Longhand(LonghandId::ColorInterpolationFilters)],
                                [Column_count, SetColumn_count,
                                 PropertyId::Longhand(LonghandId::ColumnCount)],
                            [ColumnCount, SetColumnCount,
                             PropertyId::Longhand(LonghandId::ColumnCount)],
                                [Column_fill, SetColumn_fill,
                                 PropertyId::Longhand(LonghandId::ColumnFill)],
                            [ColumnFill, SetColumnFill,
                             PropertyId::Longhand(LonghandId::ColumnFill)],
                                [Column_span, SetColumn_span,
                                 PropertyId::Longhand(LonghandId::ColumnSpan)],
                            [ColumnSpan, SetColumnSpan,
                             PropertyId::Longhand(LonghandId::ColumnSpan)],
                            [Contain, SetContain,
                             PropertyId::Longhand(LonghandId::Contain)],
                                [Content_visibility, SetContent_visibility,
                                 PropertyId::Longhand(LonghandId::ContentVisibility)],
                            [ContentVisibility, SetContentVisibility,
                             PropertyId::Longhand(LonghandId::ContentVisibility)],
                            [Direction, SetDirection,
                             PropertyId::Longhand(LonghandId::Direction)],
                            [Display, SetDisplay,
                             PropertyId::Longhand(LonghandId::Display)],
                                [Dominant_baseline, SetDominant_baseline,
                                 PropertyId::Longhand(LonghandId::DominantBaseline)],
                            [DominantBaseline, SetDominantBaseline,
                             PropertyId::Longhand(LonghandId::DominantBaseline)],
                                [Empty_cells, SetEmpty_cells,
                                 PropertyId::Longhand(LonghandId::EmptyCells)],
                            [EmptyCells, SetEmptyCells,
                             PropertyId::Longhand(LonghandId::EmptyCells)],
                                [Flex_direction, SetFlex_direction,
                                 PropertyId::Longhand(LonghandId::FlexDirection)],
                            [FlexDirection, SetFlexDirection,
                             PropertyId::Longhand(LonghandId::FlexDirection)],
                                [_webkit_flex_direction, Set_webkit_flex_direction,
                                 PropertyId::Longhand(LonghandId::FlexDirection)],
                            [WebkitFlexDirection, SetWebkitFlexDirection,
                             PropertyId::Longhand(LonghandId::FlexDirection)],
                                [Flex_wrap, SetFlex_wrap,
                                 PropertyId::Longhand(LonghandId::FlexWrap)],
                            [FlexWrap, SetFlexWrap,
                             PropertyId::Longhand(LonghandId::FlexWrap)],
                                [_webkit_flex_wrap, Set_webkit_flex_wrap,
                                 PropertyId::Longhand(LonghandId::FlexWrap)],
                            [WebkitFlexWrap, SetWebkitFlexWrap,
                             PropertyId::Longhand(LonghandId::FlexWrap)],
                            [Float, SetFloat,
                             PropertyId::Longhand(LonghandId::Float)],
                                [Font_kerning, SetFont_kerning,
                                 PropertyId::Longhand(LonghandId::FontKerning)],
                            [FontKerning, SetFontKerning,
                             PropertyId::Longhand(LonghandId::FontKerning)],
                                [Font_language_override, SetFont_language_override,
                                 PropertyId::Longhand(LonghandId::FontLanguageOverride)],
                            [FontLanguageOverride, SetFontLanguageOverride,
                             PropertyId::Longhand(LonghandId::FontLanguageOverride)],
                                [_moz_font_language_override, Set_moz_font_language_override,
                                 PropertyId::Longhand(LonghandId::FontLanguageOverride)],
                            [MozFontLanguageOverride, SetMozFontLanguageOverride,
                             PropertyId::Longhand(LonghandId::FontLanguageOverride)],
                                [Font_optical_sizing, SetFont_optical_sizing,
                                 PropertyId::Longhand(LonghandId::FontOpticalSizing)],
                            [FontOpticalSizing, SetFontOpticalSizing,
                             PropertyId::Longhand(LonghandId::FontOpticalSizing)],
                                [Font_size_adjust, SetFont_size_adjust,
                                 PropertyId::Longhand(LonghandId::FontSizeAdjust)],
                            [FontSizeAdjust, SetFontSizeAdjust,
                             PropertyId::Longhand(LonghandId::FontSizeAdjust)],
                                [Font_stretch, SetFont_stretch,
                                 PropertyId::Longhand(LonghandId::FontStretch)],
                            [FontStretch, SetFontStretch,
                             PropertyId::Longhand(LonghandId::FontStretch)],
                                [Font_style, SetFont_style,
                                 PropertyId::Longhand(LonghandId::FontStyle)],
                            [FontStyle, SetFontStyle,
                             PropertyId::Longhand(LonghandId::FontStyle)],
                                [Font_variant_caps, SetFont_variant_caps,
                                 PropertyId::Longhand(LonghandId::FontVariantCaps)],
                            [FontVariantCaps, SetFontVariantCaps,
                             PropertyId::Longhand(LonghandId::FontVariantCaps)],
                                [Font_variant_east_asian, SetFont_variant_east_asian,
                                 PropertyId::Longhand(LonghandId::FontVariantEastAsian)],
                            [FontVariantEastAsian, SetFontVariantEastAsian,
                             PropertyId::Longhand(LonghandId::FontVariantEastAsian)],
                                [Font_variant_emoji, SetFont_variant_emoji,
                                 PropertyId::Longhand(LonghandId::FontVariantEmoji)],
                            [FontVariantEmoji, SetFontVariantEmoji,
                             PropertyId::Longhand(LonghandId::FontVariantEmoji)],
                                [Font_variant_ligatures, SetFont_variant_ligatures,
                                 PropertyId::Longhand(LonghandId::FontVariantLigatures)],
                            [FontVariantLigatures, SetFontVariantLigatures,
                             PropertyId::Longhand(LonghandId::FontVariantLigatures)],
                                [Font_variant_numeric, SetFont_variant_numeric,
                                 PropertyId::Longhand(LonghandId::FontVariantNumeric)],
                            [FontVariantNumeric, SetFontVariantNumeric,
                             PropertyId::Longhand(LonghandId::FontVariantNumeric)],
                                [Font_variant_position, SetFont_variant_position,
                                 PropertyId::Longhand(LonghandId::FontVariantPosition)],
                            [FontVariantPosition, SetFontVariantPosition,
                             PropertyId::Longhand(LonghandId::FontVariantPosition)],
                                [Font_weight, SetFont_weight,
                                 PropertyId::Longhand(LonghandId::FontWeight)],
                            [FontWeight, SetFontWeight,
                             PropertyId::Longhand(LonghandId::FontWeight)],
                                [Forced_color_adjust, SetForced_color_adjust,
                                 PropertyId::Longhand(LonghandId::ForcedColorAdjust)],
                            [ForcedColorAdjust, SetForcedColorAdjust,
                             PropertyId::Longhand(LonghandId::ForcedColorAdjust)],
                                [Grid_auto_flow, SetGrid_auto_flow,
                                 PropertyId::Longhand(LonghandId::GridAutoFlow)],
                            [GridAutoFlow, SetGridAutoFlow,
                             PropertyId::Longhand(LonghandId::GridAutoFlow)],
                            [Hyphens, SetHyphens,
                             PropertyId::Longhand(LonghandId::Hyphens)],
                                [_moz_hyphens, Set_moz_hyphens,
                                 PropertyId::Longhand(LonghandId::Hyphens)],
                            [MozHyphens, SetMozHyphens,
                             PropertyId::Longhand(LonghandId::Hyphens)],
                                [Image_orientation, SetImage_orientation,
                                 PropertyId::Longhand(LonghandId::ImageOrientation)],
                            [ImageOrientation, SetImageOrientation,
                             PropertyId::Longhand(LonghandId::ImageOrientation)],
                                [Image_rendering, SetImage_rendering,
                                 PropertyId::Longhand(LonghandId::ImageRendering)],
                            [ImageRendering, SetImageRendering,
                             PropertyId::Longhand(LonghandId::ImageRendering)],
                                [Ime_mode, SetIme_mode,
                                 PropertyId::Longhand(LonghandId::ImeMode)],
                            [ImeMode, SetImeMode,
                             PropertyId::Longhand(LonghandId::ImeMode)],
                                [Initial_letter, SetInitial_letter,
                                 PropertyId::Longhand(LonghandId::InitialLetter)],
                            [InitialLetter, SetInitialLetter,
                             PropertyId::Longhand(LonghandId::InitialLetter)],
                            [Isolation, SetIsolation,
                             PropertyId::Longhand(LonghandId::Isolation)],
                                [Justify_content, SetJustify_content,
                                 PropertyId::Longhand(LonghandId::JustifyContent)],
                            [JustifyContent, SetJustifyContent,
                             PropertyId::Longhand(LonghandId::JustifyContent)],
                                [_webkit_justify_content, Set_webkit_justify_content,
                                 PropertyId::Longhand(LonghandId::JustifyContent)],
                            [WebkitJustifyContent, SetWebkitJustifyContent,
                             PropertyId::Longhand(LonghandId::JustifyContent)],
                                [Justify_items, SetJustify_items,
                                 PropertyId::Longhand(LonghandId::JustifyItems)],
                            [JustifyItems, SetJustifyItems,
                             PropertyId::Longhand(LonghandId::JustifyItems)],
                                [Justify_self, SetJustify_self,
                                 PropertyId::Longhand(LonghandId::JustifySelf)],
                            [JustifySelf, SetJustifySelf,
                             PropertyId::Longhand(LonghandId::JustifySelf)],
                                [Line_break, SetLine_break,
                                 PropertyId::Longhand(LonghandId::LineBreak)],
                            [LineBreak, SetLineBreak,
                             PropertyId::Longhand(LonghandId::LineBreak)],
                                [List_style_position, SetList_style_position,
                                 PropertyId::Longhand(LonghandId::ListStylePosition)],
                            [ListStylePosition, SetListStylePosition,
                             PropertyId::Longhand(LonghandId::ListStylePosition)],
                                [Mask_type, SetMask_type,
                                 PropertyId::Longhand(LonghandId::MaskType)],
                            [MaskType, SetMaskType,
                             PropertyId::Longhand(LonghandId::MaskType)],
                                [Masonry_auto_flow, SetMasonry_auto_flow,
                                 PropertyId::Longhand(LonghandId::MasonryAutoFlow)],
                            [MasonryAutoFlow, SetMasonryAutoFlow,
                             PropertyId::Longhand(LonghandId::MasonryAutoFlow)],
                                [Mix_blend_mode, SetMix_blend_mode,
                                 PropertyId::Longhand(LonghandId::MixBlendMode)],
                            [MixBlendMode, SetMixBlendMode,
                             PropertyId::Longhand(LonghandId::MixBlendMode)],
                                [_moz_box_align, Set_moz_box_align,
                                 PropertyId::Longhand(LonghandId::MozBoxAlign)],
                            [MozBoxAlign, SetMozBoxAlign,
                             PropertyId::Longhand(LonghandId::MozBoxAlign)],
                                [_webkit_box_align, Set_webkit_box_align,
                                 PropertyId::Longhand(LonghandId::MozBoxAlign)],
                            [WebkitBoxAlign, SetWebkitBoxAlign,
                             PropertyId::Longhand(LonghandId::MozBoxAlign)],
                                [_moz_box_direction, Set_moz_box_direction,
                                 PropertyId::Longhand(LonghandId::MozBoxDirection)],
                            [MozBoxDirection, SetMozBoxDirection,
                             PropertyId::Longhand(LonghandId::MozBoxDirection)],
                                [_webkit_box_direction, Set_webkit_box_direction,
                                 PropertyId::Longhand(LonghandId::MozBoxDirection)],
                            [WebkitBoxDirection, SetWebkitBoxDirection,
                             PropertyId::Longhand(LonghandId::MozBoxDirection)],
                                [_moz_box_orient, Set_moz_box_orient,
                                 PropertyId::Longhand(LonghandId::MozBoxOrient)],
                            [MozBoxOrient, SetMozBoxOrient,
                             PropertyId::Longhand(LonghandId::MozBoxOrient)],
                                [_webkit_box_orient, Set_webkit_box_orient,
                                 PropertyId::Longhand(LonghandId::MozBoxOrient)],
                            [WebkitBoxOrient, SetWebkitBoxOrient,
                             PropertyId::Longhand(LonghandId::MozBoxOrient)],
                                [_moz_box_pack, Set_moz_box_pack,
                                 PropertyId::Longhand(LonghandId::MozBoxPack)],
                            [MozBoxPack, SetMozBoxPack,
                             PropertyId::Longhand(LonghandId::MozBoxPack)],
                                [_webkit_box_pack, Set_webkit_box_pack,
                                 PropertyId::Longhand(LonghandId::MozBoxPack)],
                            [WebkitBoxPack, SetWebkitBoxPack,
                             PropertyId::Longhand(LonghandId::MozBoxPack)],
                                [_moz_float_edge, Set_moz_float_edge,
                                 PropertyId::Longhand(LonghandId::MozFloatEdge)],
                            [MozFloatEdge, SetMozFloatEdge,
                             PropertyId::Longhand(LonghandId::MozFloatEdge)],
                                [_moz_orient, Set_moz_orient,
                                 PropertyId::Longhand(LonghandId::MozOrient)],
                            [MozOrient, SetMozOrient,
                             PropertyId::Longhand(LonghandId::MozOrient)],
                                [_moz_osx_font_smoothing, Set_moz_osx_font_smoothing,
                                 PropertyId::Longhand(LonghandId::MozOsxFontSmoothing)],
                            [MozOsxFontSmoothing, SetMozOsxFontSmoothing,
                             PropertyId::Longhand(LonghandId::MozOsxFontSmoothing)],
                                [_moz_text_size_adjust, Set_moz_text_size_adjust,
                                 PropertyId::Longhand(LonghandId::MozTextSizeAdjust)],
                            [MozTextSizeAdjust, SetMozTextSizeAdjust,
                             PropertyId::Longhand(LonghandId::MozTextSizeAdjust)],
                                [_webkit_text_size_adjust, Set_webkit_text_size_adjust,
                                 PropertyId::Longhand(LonghandId::MozTextSizeAdjust)],
                            [WebkitTextSizeAdjust, SetWebkitTextSizeAdjust,
                             PropertyId::Longhand(LonghandId::MozTextSizeAdjust)],
                                [_moz_user_focus, Set_moz_user_focus,
                                 PropertyId::Longhand(LonghandId::MozUserFocus)],
                            [MozUserFocus, SetMozUserFocus,
                             PropertyId::Longhand(LonghandId::MozUserFocus)],
                                [_moz_user_input, Set_moz_user_input,
                                 PropertyId::Longhand(LonghandId::MozUserInput)],
                            [MozUserInput, SetMozUserInput,
                             PropertyId::Longhand(LonghandId::MozUserInput)],
                                [_moz_user_modify, Set_moz_user_modify,
                                 PropertyId::Longhand(LonghandId::MozUserModify)],
                            [MozUserModify, SetMozUserModify,
                             PropertyId::Longhand(LonghandId::MozUserModify)],
                                [_moz_window_dragging, Set_moz_window_dragging,
                                 PropertyId::Longhand(LonghandId::MozWindowDragging)],
                            [MozWindowDragging, SetMozWindowDragging,
                             PropertyId::Longhand(LonghandId::MozWindowDragging)],
                                [Object_fit, SetObject_fit,
                                 PropertyId::Longhand(LonghandId::ObjectFit)],
                            [ObjectFit, SetObjectFit,
                             PropertyId::Longhand(LonghandId::ObjectFit)],
                                [Offset_rotate, SetOffset_rotate,
                                 PropertyId::Longhand(LonghandId::OffsetRotate)],
                            [OffsetRotate, SetOffsetRotate,
                             PropertyId::Longhand(LonghandId::OffsetRotate)],
                                [Outline_style, SetOutline_style,
                                 PropertyId::Longhand(LonghandId::OutlineStyle)],
                            [OutlineStyle, SetOutlineStyle,
                             PropertyId::Longhand(LonghandId::OutlineStyle)],
                                [Overflow_anchor, SetOverflow_anchor,
                                 PropertyId::Longhand(LonghandId::OverflowAnchor)],
                            [OverflowAnchor, SetOverflowAnchor,
                             PropertyId::Longhand(LonghandId::OverflowAnchor)],
                                [Overflow_wrap, SetOverflow_wrap,
                                 PropertyId::Longhand(LonghandId::OverflowWrap)],
                            [OverflowWrap, SetOverflowWrap,
                             PropertyId::Longhand(LonghandId::OverflowWrap)],
                                [Word_wrap, SetWord_wrap,
                                 PropertyId::Longhand(LonghandId::OverflowWrap)],
                            [WordWrap, SetWordWrap,
                             PropertyId::Longhand(LonghandId::OverflowWrap)],
                                [Page_orientation, SetPage_orientation,
                                 PropertyId::Longhand(LonghandId::PageOrientation)],
                            [PageOrientation, SetPageOrientation,
                             PropertyId::Longhand(LonghandId::PageOrientation)],
                                [Paint_order, SetPaint_order,
                                 PropertyId::Longhand(LonghandId::PaintOrder)],
                            [PaintOrder, SetPaintOrder,
                             PropertyId::Longhand(LonghandId::PaintOrder)],
                                [Pointer_events, SetPointer_events,
                                 PropertyId::Longhand(LonghandId::PointerEvents)],
                            [PointerEvents, SetPointerEvents,
                             PropertyId::Longhand(LonghandId::PointerEvents)],
                            [Position, SetPosition,
                             PropertyId::Longhand(LonghandId::Position)],
                                [Print_color_adjust, SetPrint_color_adjust,
                                 PropertyId::Longhand(LonghandId::PrintColorAdjust)],
                            [PrintColorAdjust, SetPrintColorAdjust,
                             PropertyId::Longhand(LonghandId::PrintColorAdjust)],
                                [Color_adjust, SetColor_adjust,
                                 PropertyId::Longhand(LonghandId::PrintColorAdjust)],
                            [ColorAdjust, SetColorAdjust,
                             PropertyId::Longhand(LonghandId::PrintColorAdjust)],
                            [Resize, SetResize,
                             PropertyId::Longhand(LonghandId::Resize)],
                                [Ruby_align, SetRuby_align,
                                 PropertyId::Longhand(LonghandId::RubyAlign)],
                            [RubyAlign, SetRubyAlign,
                             PropertyId::Longhand(LonghandId::RubyAlign)],
                                [Ruby_position, SetRuby_position,
                                 PropertyId::Longhand(LonghandId::RubyPosition)],
                            [RubyPosition, SetRubyPosition,
                             PropertyId::Longhand(LonghandId::RubyPosition)],
                                [Scroll_behavior, SetScroll_behavior,
                                 PropertyId::Longhand(LonghandId::ScrollBehavior)],
                            [ScrollBehavior, SetScrollBehavior,
                             PropertyId::Longhand(LonghandId::ScrollBehavior)],
                                [Scroll_snap_align, SetScroll_snap_align,
                                 PropertyId::Longhand(LonghandId::ScrollSnapAlign)],
                            [ScrollSnapAlign, SetScrollSnapAlign,
                             PropertyId::Longhand(LonghandId::ScrollSnapAlign)],
                                [Scroll_snap_stop, SetScroll_snap_stop,
                                 PropertyId::Longhand(LonghandId::ScrollSnapStop)],
                            [ScrollSnapStop, SetScrollSnapStop,
                             PropertyId::Longhand(LonghandId::ScrollSnapStop)],
                                [Scroll_snap_type, SetScroll_snap_type,
                                 PropertyId::Longhand(LonghandId::ScrollSnapType)],
                            [ScrollSnapType, SetScrollSnapType,
                             PropertyId::Longhand(LonghandId::ScrollSnapType)],
                                [Scrollbar_gutter, SetScrollbar_gutter,
                                 PropertyId::Longhand(LonghandId::ScrollbarGutter)],
                            [ScrollbarGutter, SetScrollbarGutter,
                             PropertyId::Longhand(LonghandId::ScrollbarGutter)],
                                [Scrollbar_width, SetScrollbar_width,
                                 PropertyId::Longhand(LonghandId::ScrollbarWidth)],
                            [ScrollbarWidth, SetScrollbarWidth,
                             PropertyId::Longhand(LonghandId::ScrollbarWidth)],
                                [Shape_rendering, SetShape_rendering,
                                 PropertyId::Longhand(LonghandId::ShapeRendering)],
                            [ShapeRendering, SetShapeRendering,
                             PropertyId::Longhand(LonghandId::ShapeRendering)],
                                [Stroke_linecap, SetStroke_linecap,
                                 PropertyId::Longhand(LonghandId::StrokeLinecap)],
                            [StrokeLinecap, SetStrokeLinecap,
                             PropertyId::Longhand(LonghandId::StrokeLinecap)],
                                [Stroke_linejoin, SetStroke_linejoin,
                                 PropertyId::Longhand(LonghandId::StrokeLinejoin)],
                            [StrokeLinejoin, SetStrokeLinejoin,
                             PropertyId::Longhand(LonghandId::StrokeLinejoin)],
                                [Table_layout, SetTable_layout,
                                 PropertyId::Longhand(LonghandId::TableLayout)],
                            [TableLayout, SetTableLayout,
                             PropertyId::Longhand(LonghandId::TableLayout)],
                                [Text_align, SetText_align,
                                 PropertyId::Longhand(LonghandId::TextAlign)],
                            [TextAlign, SetTextAlign,
                             PropertyId::Longhand(LonghandId::TextAlign)],
                                [Text_align_last, SetText_align_last,
                                 PropertyId::Longhand(LonghandId::TextAlignLast)],
                            [TextAlignLast, SetTextAlignLast,
                             PropertyId::Longhand(LonghandId::TextAlignLast)],
                                [Text_anchor, SetText_anchor,
                                 PropertyId::Longhand(LonghandId::TextAnchor)],
                            [TextAnchor, SetTextAnchor,
                             PropertyId::Longhand(LonghandId::TextAnchor)],
                                [Text_combine_upright, SetText_combine_upright,
                                 PropertyId::Longhand(LonghandId::TextCombineUpright)],
                            [TextCombineUpright, SetTextCombineUpright,
                             PropertyId::Longhand(LonghandId::TextCombineUpright)],
                                [Text_decoration_line, SetText_decoration_line,
                                 PropertyId::Longhand(LonghandId::TextDecorationLine)],
                            [TextDecorationLine, SetTextDecorationLine,
                             PropertyId::Longhand(LonghandId::TextDecorationLine)],
                                [Text_decoration_skip_ink, SetText_decoration_skip_ink,
                                 PropertyId::Longhand(LonghandId::TextDecorationSkipInk)],
                            [TextDecorationSkipInk, SetTextDecorationSkipInk,
                             PropertyId::Longhand(LonghandId::TextDecorationSkipInk)],
                                [Text_decoration_style, SetText_decoration_style,
                                 PropertyId::Longhand(LonghandId::TextDecorationStyle)],
                            [TextDecorationStyle, SetTextDecorationStyle,
                             PropertyId::Longhand(LonghandId::TextDecorationStyle)],
                                [Text_emphasis_position, SetText_emphasis_position,
                                 PropertyId::Longhand(LonghandId::TextEmphasisPosition)],
                            [TextEmphasisPosition, SetTextEmphasisPosition,
                             PropertyId::Longhand(LonghandId::TextEmphasisPosition)],
                                [Text_justify, SetText_justify,
                                 PropertyId::Longhand(LonghandId::TextJustify)],
                            [TextJustify, SetTextJustify,
                             PropertyId::Longhand(LonghandId::TextJustify)],
                                [Text_orientation, SetText_orientation,
                                 PropertyId::Longhand(LonghandId::TextOrientation)],
                            [TextOrientation, SetTextOrientation,
                             PropertyId::Longhand(LonghandId::TextOrientation)],
                                [Text_rendering, SetText_rendering,
                                 PropertyId::Longhand(LonghandId::TextRendering)],
                            [TextRendering, SetTextRendering,
                             PropertyId::Longhand(LonghandId::TextRendering)],
                                [Text_transform, SetText_transform,
                                 PropertyId::Longhand(LonghandId::TextTransform)],
                            [TextTransform, SetTextTransform,
                             PropertyId::Longhand(LonghandId::TextTransform)],
                                [Text_underline_position, SetText_underline_position,
                                 PropertyId::Longhand(LonghandId::TextUnderlinePosition)],
                            [TextUnderlinePosition, SetTextUnderlinePosition,
                             PropertyId::Longhand(LonghandId::TextUnderlinePosition)],
                                [Touch_action, SetTouch_action,
                                 PropertyId::Longhand(LonghandId::TouchAction)],
                            [TouchAction, SetTouchAction,
                             PropertyId::Longhand(LonghandId::TouchAction)],
                                [Transform_box, SetTransform_box,
                                 PropertyId::Longhand(LonghandId::TransformBox)],
                            [TransformBox, SetTransformBox,
                             PropertyId::Longhand(LonghandId::TransformBox)],
                                [Transform_style, SetTransform_style,
                                 PropertyId::Longhand(LonghandId::TransformStyle)],
                            [TransformStyle, SetTransformStyle,
                             PropertyId::Longhand(LonghandId::TransformStyle)],
                                [_moz_transform_style, Set_moz_transform_style,
                                 PropertyId::Longhand(LonghandId::TransformStyle)],
                            [MozTransformStyle, SetMozTransformStyle,
                             PropertyId::Longhand(LonghandId::TransformStyle)],
                                [_webkit_transform_style, Set_webkit_transform_style,
                                 PropertyId::Longhand(LonghandId::TransformStyle)],
                            [WebkitTransformStyle, SetWebkitTransformStyle,
                             PropertyId::Longhand(LonghandId::TransformStyle)],
                                [Unicode_bidi, SetUnicode_bidi,
                                 PropertyId::Longhand(LonghandId::UnicodeBidi)],
                            [UnicodeBidi, SetUnicodeBidi,
                             PropertyId::Longhand(LonghandId::UnicodeBidi)],
                                [User_select, SetUser_select,
                                 PropertyId::Longhand(LonghandId::UserSelect)],
                            [UserSelect, SetUserSelect,
                             PropertyId::Longhand(LonghandId::UserSelect)],
                                [_moz_user_select, Set_moz_user_select,
                                 PropertyId::Longhand(LonghandId::UserSelect)],
                            [MozUserSelect, SetMozUserSelect,
                             PropertyId::Longhand(LonghandId::UserSelect)],
                                [_webkit_user_select, Set_webkit_user_select,
                                 PropertyId::Longhand(LonghandId::UserSelect)],
                            [WebkitUserSelect, SetWebkitUserSelect,
                             PropertyId::Longhand(LonghandId::UserSelect)],
                                [Vector_effect, SetVector_effect,
                                 PropertyId::Longhand(LonghandId::VectorEffect)],
                            [VectorEffect, SetVectorEffect,
                             PropertyId::Longhand(LonghandId::VectorEffect)],
                            [Visibility, SetVisibility,
                             PropertyId::Longhand(LonghandId::Visibility)],
                                [_webkit_line_clamp, Set_webkit_line_clamp,
                                 PropertyId::Longhand(LonghandId::WebkitLineClamp)],
                            [WebkitLineClamp, SetWebkitLineClamp,
                             PropertyId::Longhand(LonghandId::WebkitLineClamp)],
                                [_webkit_text_security, Set_webkit_text_security,
                                 PropertyId::Longhand(LonghandId::WebkitTextSecurity)],
                            [WebkitTextSecurity, SetWebkitTextSecurity,
                             PropertyId::Longhand(LonghandId::WebkitTextSecurity)],
                                [White_space, SetWhite_space,
                                 PropertyId::Longhand(LonghandId::WhiteSpace)],
                            [WhiteSpace, SetWhiteSpace,
                             PropertyId::Longhand(LonghandId::WhiteSpace)],
                                [Word_break, SetWord_break,
                                 PropertyId::Longhand(LonghandId::WordBreak)],
                            [WordBreak, SetWordBreak,
                             PropertyId::Longhand(LonghandId::WordBreak)],
                                [Writing_mode, SetWriting_mode,
                                 PropertyId::Longhand(LonghandId::WritingMode)],
                            [WritingMode, SetWritingMode,
                             PropertyId::Longhand(LonghandId::WritingMode)],
                                [Z_index, SetZ_index,
                                 PropertyId::Longhand(LonghandId::ZIndex)],
                            [ZIndex, SetZIndex,
                             PropertyId::Longhand(LonghandId::ZIndex)],
                            [Appearance, SetAppearance,
                             PropertyId::Longhand(LonghandId::Appearance)],
                                [_moz_appearance, Set_moz_appearance,
                                 PropertyId::Longhand(LonghandId::Appearance)],
                            [MozAppearance, SetMozAppearance,
                             PropertyId::Longhand(LonghandId::Appearance)],
                                [_webkit_appearance, Set_webkit_appearance,
                                 PropertyId::Longhand(LonghandId::Appearance)],
                            [WebkitAppearance, SetWebkitAppearance,
                             PropertyId::Longhand(LonghandId::Appearance)],
                                [_moz_force_broken_image_icon, Set_moz_force_broken_image_icon,
                                 PropertyId::Longhand(LonghandId::MozForceBrokenImageIcon)],
                            [MozForceBrokenImageIcon, SetMozForceBrokenImageIcon,
                             PropertyId::Longhand(LonghandId::MozForceBrokenImageIcon)],
                                [Break_after, SetBreak_after,
                                 PropertyId::Longhand(LonghandId::BreakAfter)],
                            [BreakAfter, SetBreakAfter,
                             PropertyId::Longhand(LonghandId::BreakAfter)],
                                [Break_before, SetBreak_before,
                                 PropertyId::Longhand(LonghandId::BreakBefore)],
                            [BreakBefore, SetBreakBefore,
                             PropertyId::Longhand(LonghandId::BreakBefore)],
                                [Clip_rule, SetClip_rule,
                                 PropertyId::Longhand(LonghandId::ClipRule)],
                            [ClipRule, SetClipRule,
                             PropertyId::Longhand(LonghandId::ClipRule)],
                                [Fill_rule, SetFill_rule,
                                 PropertyId::Longhand(LonghandId::FillRule)],
                            [FillRule, SetFillRule,
                             PropertyId::Longhand(LonghandId::FillRule)],
                                [Fill_opacity, SetFill_opacity,
                                 PropertyId::Longhand(LonghandId::FillOpacity)],
                            [FillOpacity, SetFillOpacity,
                             PropertyId::Longhand(LonghandId::FillOpacity)],
                                [Stroke_opacity, SetStroke_opacity,
                                 PropertyId::Longhand(LonghandId::StrokeOpacity)],
                            [StrokeOpacity, SetStrokeOpacity,
                             PropertyId::Longhand(LonghandId::StrokeOpacity)],
                                [Font_synthesis_small_caps, SetFont_synthesis_small_caps,
                                 PropertyId::Longhand(LonghandId::FontSynthesisSmallCaps)],
                            [FontSynthesisSmallCaps, SetFontSynthesisSmallCaps,
                             PropertyId::Longhand(LonghandId::FontSynthesisSmallCaps)],
                                [Font_synthesis_style, SetFont_synthesis_style,
                                 PropertyId::Longhand(LonghandId::FontSynthesisStyle)],
                            [FontSynthesisStyle, SetFontSynthesisStyle,
                             PropertyId::Longhand(LonghandId::FontSynthesisStyle)],
                                [Font_synthesis_weight, SetFont_synthesis_weight,
                                 PropertyId::Longhand(LonghandId::FontSynthesisWeight)],
                            [FontSynthesisWeight, SetFontSynthesisWeight,
                             PropertyId::Longhand(LonghandId::FontSynthesisWeight)],
                                [_moz_box_ordinal_group, Set_moz_box_ordinal_group,
                                 PropertyId::Longhand(LonghandId::MozBoxOrdinalGroup)],
                            [MozBoxOrdinalGroup, SetMozBoxOrdinalGroup,
                             PropertyId::Longhand(LonghandId::MozBoxOrdinalGroup)],
                                [_webkit_box_ordinal_group, Set_webkit_box_ordinal_group,
                                 PropertyId::Longhand(LonghandId::MozBoxOrdinalGroup)],
                            [WebkitBoxOrdinalGroup, SetWebkitBoxOrdinalGroup,
                             PropertyId::Longhand(LonghandId::MozBoxOrdinalGroup)],
                            [Order, SetOrder,
                             PropertyId::Longhand(LonghandId::Order)],
                                [_webkit_order, Set_webkit_order,
                                 PropertyId::Longhand(LonghandId::Order)],
                            [WebkitOrder, SetWebkitOrder,
                             PropertyId::Longhand(LonghandId::Order)],
                                [Flex_grow, SetFlex_grow,
                                 PropertyId::Longhand(LonghandId::FlexGrow)],
                            [FlexGrow, SetFlexGrow,
                             PropertyId::Longhand(LonghandId::FlexGrow)],
                                [_webkit_flex_grow, Set_webkit_flex_grow,
                                 PropertyId::Longhand(LonghandId::FlexGrow)],
                            [WebkitFlexGrow, SetWebkitFlexGrow,
                             PropertyId::Longhand(LonghandId::FlexGrow)],
                                [Flex_shrink, SetFlex_shrink,
                                 PropertyId::Longhand(LonghandId::FlexShrink)],
                            [FlexShrink, SetFlexShrink,
                             PropertyId::Longhand(LonghandId::FlexShrink)],
                                [_webkit_flex_shrink, Set_webkit_flex_shrink,
                                 PropertyId::Longhand(LonghandId::FlexShrink)],
                            [WebkitFlexShrink, SetWebkitFlexShrink,
                             PropertyId::Longhand(LonghandId::FlexShrink)],
                                [_moz_box_flex, Set_moz_box_flex,
                                 PropertyId::Longhand(LonghandId::MozBoxFlex)],
                            [MozBoxFlex, SetMozBoxFlex,
                             PropertyId::Longhand(LonghandId::MozBoxFlex)],
                                [_webkit_box_flex, Set_webkit_box_flex,
                                 PropertyId::Longhand(LonghandId::MozBoxFlex)],
                            [WebkitBoxFlex, SetWebkitBoxFlex,
                             PropertyId::Longhand(LonghandId::MozBoxFlex)],
                                [Stroke_miterlimit, SetStroke_miterlimit,
                                 PropertyId::Longhand(LonghandId::StrokeMiterlimit)],
                            [StrokeMiterlimit, SetStrokeMiterlimit,
                             PropertyId::Longhand(LonghandId::StrokeMiterlimit)],
                                [Overflow_block, SetOverflow_block,
                                 PropertyId::Longhand(LonghandId::OverflowBlock)],
                            [OverflowBlock, SetOverflowBlock,
                             PropertyId::Longhand(LonghandId::OverflowBlock)],
                                [Overflow_inline, SetOverflow_inline,
                                 PropertyId::Longhand(LonghandId::OverflowInline)],
                            [OverflowInline, SetOverflowInline,
                             PropertyId::Longhand(LonghandId::OverflowInline)],
                                [Overflow_x, SetOverflow_x,
                                 PropertyId::Longhand(LonghandId::OverflowX)],
                            [OverflowX, SetOverflowX,
                             PropertyId::Longhand(LonghandId::OverflowX)],
                                [Overflow_y, SetOverflow_y,
                                 PropertyId::Longhand(LonghandId::OverflowY)],
                            [OverflowY, SetOverflowY,
                             PropertyId::Longhand(LonghandId::OverflowY)],
                                [Overscroll_behavior_block, SetOverscroll_behavior_block,
                                 PropertyId::Longhand(LonghandId::OverscrollBehaviorBlock)],
                            [OverscrollBehaviorBlock, SetOverscrollBehaviorBlock,
                             PropertyId::Longhand(LonghandId::OverscrollBehaviorBlock)],
                                [Overscroll_behavior_inline, SetOverscroll_behavior_inline,
                                 PropertyId::Longhand(LonghandId::OverscrollBehaviorInline)],
                            [OverscrollBehaviorInline, SetOverscrollBehaviorInline,
                             PropertyId::Longhand(LonghandId::OverscrollBehaviorInline)],
                                [Overscroll_behavior_x, SetOverscroll_behavior_x,
                                 PropertyId::Longhand(LonghandId::OverscrollBehaviorX)],
                            [OverscrollBehaviorX, SetOverscrollBehaviorX,
                             PropertyId::Longhand(LonghandId::OverscrollBehaviorX)],
                                [Overscroll_behavior_y, SetOverscroll_behavior_y,
                                 PropertyId::Longhand(LonghandId::OverscrollBehaviorY)],
                            [OverscrollBehaviorY, SetOverscrollBehaviorY,
                             PropertyId::Longhand(LonghandId::OverscrollBehaviorY)],
                                [Flood_opacity, SetFlood_opacity,
                                 PropertyId::Longhand(LonghandId::FloodOpacity)],
                            [FloodOpacity, SetFloodOpacity,
                             PropertyId::Longhand(LonghandId::FloodOpacity)],
                            [Opacity, SetOpacity,
                             PropertyId::Longhand(LonghandId::Opacity)],
                                [Shape_image_threshold, SetShape_image_threshold,
                                 PropertyId::Longhand(LonghandId::ShapeImageThreshold)],
                            [ShapeImageThreshold, SetShapeImageThreshold,
                             PropertyId::Longhand(LonghandId::ShapeImageThreshold)],
                                [Stop_opacity, SetStop_opacity,
                                 PropertyId::Longhand(LonghandId::StopOpacity)],
                            [StopOpacity, SetStopOpacity,
                             PropertyId::Longhand(LonghandId::StopOpacity)],
                                [Border_block_end_style, SetBorder_block_end_style,
                                 PropertyId::Longhand(LonghandId::BorderBlockEndStyle)],
                            [BorderBlockEndStyle, SetBorderBlockEndStyle,
                             PropertyId::Longhand(LonghandId::BorderBlockEndStyle)],
                                [Border_block_start_style, SetBorder_block_start_style,
                                 PropertyId::Longhand(LonghandId::BorderBlockStartStyle)],
                            [BorderBlockStartStyle, SetBorderBlockStartStyle,
                             PropertyId::Longhand(LonghandId::BorderBlockStartStyle)],
                                [Border_bottom_style, SetBorder_bottom_style,
                                 PropertyId::Longhand(LonghandId::BorderBottomStyle)],
                            [BorderBottomStyle, SetBorderBottomStyle,
                             PropertyId::Longhand(LonghandId::BorderBottomStyle)],
                                [Border_inline_end_style, SetBorder_inline_end_style,
                                 PropertyId::Longhand(LonghandId::BorderInlineEndStyle)],
                            [BorderInlineEndStyle, SetBorderInlineEndStyle,
                             PropertyId::Longhand(LonghandId::BorderInlineEndStyle)],
                                [_moz_border_end_style, Set_moz_border_end_style,
                                 PropertyId::Longhand(LonghandId::BorderInlineEndStyle)],
                            [MozBorderEndStyle, SetMozBorderEndStyle,
                             PropertyId::Longhand(LonghandId::BorderInlineEndStyle)],
                                [Border_inline_start_style, SetBorder_inline_start_style,
                                 PropertyId::Longhand(LonghandId::BorderInlineStartStyle)],
                            [BorderInlineStartStyle, SetBorderInlineStartStyle,
                             PropertyId::Longhand(LonghandId::BorderInlineStartStyle)],
                                [_moz_border_start_style, Set_moz_border_start_style,
                                 PropertyId::Longhand(LonghandId::BorderInlineStartStyle)],
                            [MozBorderStartStyle, SetMozBorderStartStyle,
                             PropertyId::Longhand(LonghandId::BorderInlineStartStyle)],
                                [Border_left_style, SetBorder_left_style,
                                 PropertyId::Longhand(LonghandId::BorderLeftStyle)],
                            [BorderLeftStyle, SetBorderLeftStyle,
                             PropertyId::Longhand(LonghandId::BorderLeftStyle)],
                                [Border_right_style, SetBorder_right_style,
                                 PropertyId::Longhand(LonghandId::BorderRightStyle)],
                            [BorderRightStyle, SetBorderRightStyle,
                             PropertyId::Longhand(LonghandId::BorderRightStyle)],
                                [Border_top_style, SetBorder_top_style,
                                 PropertyId::Longhand(LonghandId::BorderTopStyle)],
                            [BorderTopStyle, SetBorderTopStyle,
                             PropertyId::Longhand(LonghandId::BorderTopStyle)],
                                [Column_rule_style, SetColumn_rule_style,
                                 PropertyId::Longhand(LonghandId::ColumnRuleStyle)],
                            [ColumnRuleStyle, SetColumnRuleStyle,
                             PropertyId::Longhand(LonghandId::ColumnRuleStyle)],
                                [Accent_color, SetAccent_color,
                                 PropertyId::Longhand(LonghandId::AccentColor)],
                            [AccentColor, SetAccentColor,
                             PropertyId::Longhand(LonghandId::AccentColor)],
                                [Align_tracks, SetAlign_tracks,
                                 PropertyId::Longhand(LonghandId::AlignTracks)],
                            [AlignTracks, SetAlignTracks,
                             PropertyId::Longhand(LonghandId::AlignTracks)],
                                [Animation_composition, SetAnimation_composition,
                                 PropertyId::Longhand(LonghandId::AnimationComposition)],
                            [AnimationComposition, SetAnimationComposition,
                             PropertyId::Longhand(LonghandId::AnimationComposition)],
                                [Animation_delay, SetAnimation_delay,
                                 PropertyId::Longhand(LonghandId::AnimationDelay)],
                            [AnimationDelay, SetAnimationDelay,
                             PropertyId::Longhand(LonghandId::AnimationDelay)],
                                [_moz_animation_delay, Set_moz_animation_delay,
                                 PropertyId::Longhand(LonghandId::AnimationDelay)],
                            [MozAnimationDelay, SetMozAnimationDelay,
                             PropertyId::Longhand(LonghandId::AnimationDelay)],
                                [_webkit_animation_delay, Set_webkit_animation_delay,
                                 PropertyId::Longhand(LonghandId::AnimationDelay)],
                            [WebkitAnimationDelay, SetWebkitAnimationDelay,
                             PropertyId::Longhand(LonghandId::AnimationDelay)],
                                [Animation_direction, SetAnimation_direction,
                                 PropertyId::Longhand(LonghandId::AnimationDirection)],
                            [AnimationDirection, SetAnimationDirection,
                             PropertyId::Longhand(LonghandId::AnimationDirection)],
                                [_moz_animation_direction, Set_moz_animation_direction,
                                 PropertyId::Longhand(LonghandId::AnimationDirection)],
                            [MozAnimationDirection, SetMozAnimationDirection,
                             PropertyId::Longhand(LonghandId::AnimationDirection)],
                                [_webkit_animation_direction, Set_webkit_animation_direction,
                                 PropertyId::Longhand(LonghandId::AnimationDirection)],
                            [WebkitAnimationDirection, SetWebkitAnimationDirection,
                             PropertyId::Longhand(LonghandId::AnimationDirection)],
                                [Animation_duration, SetAnimation_duration,
                                 PropertyId::Longhand(LonghandId::AnimationDuration)],
                            [AnimationDuration, SetAnimationDuration,
                             PropertyId::Longhand(LonghandId::AnimationDuration)],
                                [_moz_animation_duration, Set_moz_animation_duration,
                                 PropertyId::Longhand(LonghandId::AnimationDuration)],
                            [MozAnimationDuration, SetMozAnimationDuration,
                             PropertyId::Longhand(LonghandId::AnimationDuration)],
                                [_webkit_animation_duration, Set_webkit_animation_duration,
                                 PropertyId::Longhand(LonghandId::AnimationDuration)],
                            [WebkitAnimationDuration, SetWebkitAnimationDuration,
                             PropertyId::Longhand(LonghandId::AnimationDuration)],
                                [Animation_fill_mode, SetAnimation_fill_mode,
                                 PropertyId::Longhand(LonghandId::AnimationFillMode)],
                            [AnimationFillMode, SetAnimationFillMode,
                             PropertyId::Longhand(LonghandId::AnimationFillMode)],
                                [_moz_animation_fill_mode, Set_moz_animation_fill_mode,
                                 PropertyId::Longhand(LonghandId::AnimationFillMode)],
                            [MozAnimationFillMode, SetMozAnimationFillMode,
                             PropertyId::Longhand(LonghandId::AnimationFillMode)],
                                [_webkit_animation_fill_mode, Set_webkit_animation_fill_mode,
                                 PropertyId::Longhand(LonghandId::AnimationFillMode)],
                            [WebkitAnimationFillMode, SetWebkitAnimationFillMode,
                             PropertyId::Longhand(LonghandId::AnimationFillMode)],
                                [Animation_iteration_count, SetAnimation_iteration_count,
                                 PropertyId::Longhand(LonghandId::AnimationIterationCount)],
                            [AnimationIterationCount, SetAnimationIterationCount,
                             PropertyId::Longhand(LonghandId::AnimationIterationCount)],
                                [_moz_animation_iteration_count, Set_moz_animation_iteration_count,
                                 PropertyId::Longhand(LonghandId::AnimationIterationCount)],
                            [MozAnimationIterationCount, SetMozAnimationIterationCount,
                             PropertyId::Longhand(LonghandId::AnimationIterationCount)],
                                [_webkit_animation_iteration_count, Set_webkit_animation_iteration_count,
                                 PropertyId::Longhand(LonghandId::AnimationIterationCount)],
                            [WebkitAnimationIterationCount, SetWebkitAnimationIterationCount,
                             PropertyId::Longhand(LonghandId::AnimationIterationCount)],
                                [Animation_name, SetAnimation_name,
                                 PropertyId::Longhand(LonghandId::AnimationName)],
                            [AnimationName, SetAnimationName,
                             PropertyId::Longhand(LonghandId::AnimationName)],
                                [_moz_animation_name, Set_moz_animation_name,
                                 PropertyId::Longhand(LonghandId::AnimationName)],
                            [MozAnimationName, SetMozAnimationName,
                             PropertyId::Longhand(LonghandId::AnimationName)],
                                [_webkit_animation_name, Set_webkit_animation_name,
                                 PropertyId::Longhand(LonghandId::AnimationName)],
                            [WebkitAnimationName, SetWebkitAnimationName,
                             PropertyId::Longhand(LonghandId::AnimationName)],
                                [Animation_play_state, SetAnimation_play_state,
                                 PropertyId::Longhand(LonghandId::AnimationPlayState)],
                            [AnimationPlayState, SetAnimationPlayState,
                             PropertyId::Longhand(LonghandId::AnimationPlayState)],
                                [_moz_animation_play_state, Set_moz_animation_play_state,
                                 PropertyId::Longhand(LonghandId::AnimationPlayState)],
                            [MozAnimationPlayState, SetMozAnimationPlayState,
                             PropertyId::Longhand(LonghandId::AnimationPlayState)],
                                [_webkit_animation_play_state, Set_webkit_animation_play_state,
                                 PropertyId::Longhand(LonghandId::AnimationPlayState)],
                            [WebkitAnimationPlayState, SetWebkitAnimationPlayState,
                             PropertyId::Longhand(LonghandId::AnimationPlayState)],
                                [Animation_timeline, SetAnimation_timeline,
                                 PropertyId::Longhand(LonghandId::AnimationTimeline)],
                            [AnimationTimeline, SetAnimationTimeline,
                             PropertyId::Longhand(LonghandId::AnimationTimeline)],
                                [Animation_timing_function, SetAnimation_timing_function,
                                 PropertyId::Longhand(LonghandId::AnimationTimingFunction)],
                            [AnimationTimingFunction, SetAnimationTimingFunction,
                             PropertyId::Longhand(LonghandId::AnimationTimingFunction)],
                                [_moz_animation_timing_function, Set_moz_animation_timing_function,
                                 PropertyId::Longhand(LonghandId::AnimationTimingFunction)],
                            [MozAnimationTimingFunction, SetMozAnimationTimingFunction,
                             PropertyId::Longhand(LonghandId::AnimationTimingFunction)],
                                [_webkit_animation_timing_function, Set_webkit_animation_timing_function,
                                 PropertyId::Longhand(LonghandId::AnimationTimingFunction)],
                            [WebkitAnimationTimingFunction, SetWebkitAnimationTimingFunction,
                             PropertyId::Longhand(LonghandId::AnimationTimingFunction)],
                                [Backdrop_filter, SetBackdrop_filter,
                                 PropertyId::Longhand(LonghandId::BackdropFilter)],
                            [BackdropFilter, SetBackdropFilter,
                             PropertyId::Longhand(LonghandId::BackdropFilter)],
                                [Background_attachment, SetBackground_attachment,
                                 PropertyId::Longhand(LonghandId::BackgroundAttachment)],
                            [BackgroundAttachment, SetBackgroundAttachment,
                             PropertyId::Longhand(LonghandId::BackgroundAttachment)],
                                [Background_blend_mode, SetBackground_blend_mode,
                                 PropertyId::Longhand(LonghandId::BackgroundBlendMode)],
                            [BackgroundBlendMode, SetBackgroundBlendMode,
                             PropertyId::Longhand(LonghandId::BackgroundBlendMode)],
                                [Background_clip, SetBackground_clip,
                                 PropertyId::Longhand(LonghandId::BackgroundClip)],
                            [BackgroundClip, SetBackgroundClip,
                             PropertyId::Longhand(LonghandId::BackgroundClip)],
                                [_webkit_background_clip, Set_webkit_background_clip,
                                 PropertyId::Longhand(LonghandId::BackgroundClip)],
                            [WebkitBackgroundClip, SetWebkitBackgroundClip,
                             PropertyId::Longhand(LonghandId::BackgroundClip)],
                                [Background_image, SetBackground_image,
                                 PropertyId::Longhand(LonghandId::BackgroundImage)],
                            [BackgroundImage, SetBackgroundImage,
                             PropertyId::Longhand(LonghandId::BackgroundImage)],
                                [Background_origin, SetBackground_origin,
                                 PropertyId::Longhand(LonghandId::BackgroundOrigin)],
                            [BackgroundOrigin, SetBackgroundOrigin,
                             PropertyId::Longhand(LonghandId::BackgroundOrigin)],
                                [_webkit_background_origin, Set_webkit_background_origin,
                                 PropertyId::Longhand(LonghandId::BackgroundOrigin)],
                            [WebkitBackgroundOrigin, SetWebkitBackgroundOrigin,
                             PropertyId::Longhand(LonghandId::BackgroundOrigin)],
                                [Background_position_x, SetBackground_position_x,
                                 PropertyId::Longhand(LonghandId::BackgroundPositionX)],
                            [BackgroundPositionX, SetBackgroundPositionX,
                             PropertyId::Longhand(LonghandId::BackgroundPositionX)],
                                [Background_position_y, SetBackground_position_y,
                                 PropertyId::Longhand(LonghandId::BackgroundPositionY)],
                            [BackgroundPositionY, SetBackgroundPositionY,
                             PropertyId::Longhand(LonghandId::BackgroundPositionY)],
                                [Background_repeat, SetBackground_repeat,
                                 PropertyId::Longhand(LonghandId::BackgroundRepeat)],
                            [BackgroundRepeat, SetBackgroundRepeat,
                             PropertyId::Longhand(LonghandId::BackgroundRepeat)],
                                [Background_size, SetBackground_size,
                                 PropertyId::Longhand(LonghandId::BackgroundSize)],
                            [BackgroundSize, SetBackgroundSize,
                             PropertyId::Longhand(LonghandId::BackgroundSize)],
                                [_webkit_background_size, Set_webkit_background_size,
                                 PropertyId::Longhand(LonghandId::BackgroundSize)],
                            [WebkitBackgroundSize, SetWebkitBackgroundSize,
                             PropertyId::Longhand(LonghandId::BackgroundSize)],
                                [Border_image_outset, SetBorder_image_outset,
                                 PropertyId::Longhand(LonghandId::BorderImageOutset)],
                            [BorderImageOutset, SetBorderImageOutset,
                             PropertyId::Longhand(LonghandId::BorderImageOutset)],
                                [Border_image_slice, SetBorder_image_slice,
                                 PropertyId::Longhand(LonghandId::BorderImageSlice)],
                            [BorderImageSlice, SetBorderImageSlice,
                             PropertyId::Longhand(LonghandId::BorderImageSlice)],
                                [Border_image_width, SetBorder_image_width,
                                 PropertyId::Longhand(LonghandId::BorderImageWidth)],
                            [BorderImageWidth, SetBorderImageWidth,
                             PropertyId::Longhand(LonghandId::BorderImageWidth)],
                                [Border_spacing, SetBorder_spacing,
                                 PropertyId::Longhand(LonghandId::BorderSpacing)],
                            [BorderSpacing, SetBorderSpacing,
                             PropertyId::Longhand(LonghandId::BorderSpacing)],
                                [Box_shadow, SetBox_shadow,
                                 PropertyId::Longhand(LonghandId::BoxShadow)],
                            [BoxShadow, SetBoxShadow,
                             PropertyId::Longhand(LonghandId::BoxShadow)],
                                [_webkit_box_shadow, Set_webkit_box_shadow,
                                 PropertyId::Longhand(LonghandId::BoxShadow)],
                            [WebkitBoxShadow, SetWebkitBoxShadow,
                             PropertyId::Longhand(LonghandId::BoxShadow)],
                                [Caret_color, SetCaret_color,
                                 PropertyId::Longhand(LonghandId::CaretColor)],
                            [CaretColor, SetCaretColor,
                             PropertyId::Longhand(LonghandId::CaretColor)],
                            [Clip, SetClip,
                             PropertyId::Longhand(LonghandId::Clip)],
                                [Clip_path, SetClip_path,
                                 PropertyId::Longhand(LonghandId::ClipPath)],
                            [ClipPath, SetClipPath,
                             PropertyId::Longhand(LonghandId::ClipPath)],
                                [_webkit_clip_path, Set_webkit_clip_path,
                                 PropertyId::Longhand(LonghandId::ClipPath)],
                            [WebkitClipPath, SetWebkitClipPath,
                             PropertyId::Longhand(LonghandId::ClipPath)],
                            [Color, SetColor,
                             PropertyId::Longhand(LonghandId::Color)],
                                [Column_width, SetColumn_width,
                                 PropertyId::Longhand(LonghandId::ColumnWidth)],
                            [ColumnWidth, SetColumnWidth,
                             PropertyId::Longhand(LonghandId::ColumnWidth)],
                            [Content, SetContent,
                             PropertyId::Longhand(LonghandId::Content)],
                                [Counter_increment, SetCounter_increment,
                                 PropertyId::Longhand(LonghandId::CounterIncrement)],
                            [CounterIncrement, SetCounterIncrement,
                             PropertyId::Longhand(LonghandId::CounterIncrement)],
                                [Counter_reset, SetCounter_reset,
                                 PropertyId::Longhand(LonghandId::CounterReset)],
                            [CounterReset, SetCounterReset,
                             PropertyId::Longhand(LonghandId::CounterReset)],
                                [Counter_set, SetCounter_set,
                                 PropertyId::Longhand(LonghandId::CounterSet)],
                            [CounterSet, SetCounterSet,
                             PropertyId::Longhand(LonghandId::CounterSet)],
                            [Cursor, SetCursor,
                             PropertyId::Longhand(LonghandId::Cursor)],
                            [D, SetD,
                             PropertyId::Longhand(LonghandId::D)],
                            [Filter, SetFilter,
                             PropertyId::Longhand(LonghandId::Filter)],
                                [_webkit_filter, Set_webkit_filter,
                                 PropertyId::Longhand(LonghandId::Filter)],
                            [WebkitFilter, SetWebkitFilter,
                             PropertyId::Longhand(LonghandId::Filter)],
                                [Flex_basis, SetFlex_basis,
                                 PropertyId::Longhand(LonghandId::FlexBasis)],
                            [FlexBasis, SetFlexBasis,
                             PropertyId::Longhand(LonghandId::FlexBasis)],
                                [_webkit_flex_basis, Set_webkit_flex_basis,
                                 PropertyId::Longhand(LonghandId::FlexBasis)],
                            [WebkitFlexBasis, SetWebkitFlexBasis,
                             PropertyId::Longhand(LonghandId::FlexBasis)],
                                [Font_family, SetFont_family,
                                 PropertyId::Longhand(LonghandId::FontFamily)],
                            [FontFamily, SetFontFamily,
                             PropertyId::Longhand(LonghandId::FontFamily)],
                                [Font_feature_settings, SetFont_feature_settings,
                                 PropertyId::Longhand(LonghandId::FontFeatureSettings)],
                            [FontFeatureSettings, SetFontFeatureSettings,
                             PropertyId::Longhand(LonghandId::FontFeatureSettings)],
                                [_moz_font_feature_settings, Set_moz_font_feature_settings,
                                 PropertyId::Longhand(LonghandId::FontFeatureSettings)],
                            [MozFontFeatureSettings, SetMozFontFeatureSettings,
                             PropertyId::Longhand(LonghandId::FontFeatureSettings)],
                                [Font_palette, SetFont_palette,
                                 PropertyId::Longhand(LonghandId::FontPalette)],
                            [FontPalette, SetFontPalette,
                             PropertyId::Longhand(LonghandId::FontPalette)],
                                [Font_size, SetFont_size,
                                 PropertyId::Longhand(LonghandId::FontSize)],
                            [FontSize, SetFontSize,
                             PropertyId::Longhand(LonghandId::FontSize)],
                                [Font_variant_alternates, SetFont_variant_alternates,
                                 PropertyId::Longhand(LonghandId::FontVariantAlternates)],
                            [FontVariantAlternates, SetFontVariantAlternates,
                             PropertyId::Longhand(LonghandId::FontVariantAlternates)],
                                [Font_variation_settings, SetFont_variation_settings,
                                 PropertyId::Longhand(LonghandId::FontVariationSettings)],
                            [FontVariationSettings, SetFontVariationSettings,
                             PropertyId::Longhand(LonghandId::FontVariationSettings)],
                                [Grid_template_areas, SetGrid_template_areas,
                                 PropertyId::Longhand(LonghandId::GridTemplateAreas)],
                            [GridTemplateAreas, SetGridTemplateAreas,
                             PropertyId::Longhand(LonghandId::GridTemplateAreas)],
                                [Hyphenate_character, SetHyphenate_character,
                                 PropertyId::Longhand(LonghandId::HyphenateCharacter)],
                            [HyphenateCharacter, SetHyphenateCharacter,
                             PropertyId::Longhand(LonghandId::HyphenateCharacter)],
                                [Justify_tracks, SetJustify_tracks,
                                 PropertyId::Longhand(LonghandId::JustifyTracks)],
                            [JustifyTracks, SetJustifyTracks,
                             PropertyId::Longhand(LonghandId::JustifyTracks)],
                                [Letter_spacing, SetLetter_spacing,
                                 PropertyId::Longhand(LonghandId::LetterSpacing)],
                            [LetterSpacing, SetLetterSpacing,
                             PropertyId::Longhand(LonghandId::LetterSpacing)],
                                [Line_height, SetLine_height,
                                 PropertyId::Longhand(LonghandId::LineHeight)],
                            [LineHeight, SetLineHeight,
                             PropertyId::Longhand(LonghandId::LineHeight)],
                                [List_style_type, SetList_style_type,
                                 PropertyId::Longhand(LonghandId::ListStyleType)],
                            [ListStyleType, SetListStyleType,
                             PropertyId::Longhand(LonghandId::ListStyleType)],
                                [Mask_clip, SetMask_clip,
                                 PropertyId::Longhand(LonghandId::MaskClip)],
                            [MaskClip, SetMaskClip,
                             PropertyId::Longhand(LonghandId::MaskClip)],
                                [_webkit_mask_clip, Set_webkit_mask_clip,
                                 PropertyId::Longhand(LonghandId::MaskClip)],
                            [WebkitMaskClip, SetWebkitMaskClip,
                             PropertyId::Longhand(LonghandId::MaskClip)],
                                [Mask_composite, SetMask_composite,
                                 PropertyId::Longhand(LonghandId::MaskComposite)],
                            [MaskComposite, SetMaskComposite,
                             PropertyId::Longhand(LonghandId::MaskComposite)],
                                [_webkit_mask_composite, Set_webkit_mask_composite,
                                 PropertyId::Longhand(LonghandId::MaskComposite)],
                            [WebkitMaskComposite, SetWebkitMaskComposite,
                             PropertyId::Longhand(LonghandId::MaskComposite)],
                                [Mask_image, SetMask_image,
                                 PropertyId::Longhand(LonghandId::MaskImage)],
                            [MaskImage, SetMaskImage,
                             PropertyId::Longhand(LonghandId::MaskImage)],
                                [_webkit_mask_image, Set_webkit_mask_image,
                                 PropertyId::Longhand(LonghandId::MaskImage)],
                            [WebkitMaskImage, SetWebkitMaskImage,
                             PropertyId::Longhand(LonghandId::MaskImage)],
                                [Mask_mode, SetMask_mode,
                                 PropertyId::Longhand(LonghandId::MaskMode)],
                            [MaskMode, SetMaskMode,
                             PropertyId::Longhand(LonghandId::MaskMode)],
                                [Mask_origin, SetMask_origin,
                                 PropertyId::Longhand(LonghandId::MaskOrigin)],
                            [MaskOrigin, SetMaskOrigin,
                             PropertyId::Longhand(LonghandId::MaskOrigin)],
                                [_webkit_mask_origin, Set_webkit_mask_origin,
                                 PropertyId::Longhand(LonghandId::MaskOrigin)],
                            [WebkitMaskOrigin, SetWebkitMaskOrigin,
                             PropertyId::Longhand(LonghandId::MaskOrigin)],
                                [Mask_position_x, SetMask_position_x,
                                 PropertyId::Longhand(LonghandId::MaskPositionX)],
                            [MaskPositionX, SetMaskPositionX,
                             PropertyId::Longhand(LonghandId::MaskPositionX)],
                                [_webkit_mask_position_x, Set_webkit_mask_position_x,
                                 PropertyId::Longhand(LonghandId::MaskPositionX)],
                            [WebkitMaskPositionX, SetWebkitMaskPositionX,
                             PropertyId::Longhand(LonghandId::MaskPositionX)],
                                [Mask_position_y, SetMask_position_y,
                                 PropertyId::Longhand(LonghandId::MaskPositionY)],
                            [MaskPositionY, SetMaskPositionY,
                             PropertyId::Longhand(LonghandId::MaskPositionY)],
                                [_webkit_mask_position_y, Set_webkit_mask_position_y,
                                 PropertyId::Longhand(LonghandId::MaskPositionY)],
                            [WebkitMaskPositionY, SetWebkitMaskPositionY,
                             PropertyId::Longhand(LonghandId::MaskPositionY)],
                                [Mask_repeat, SetMask_repeat,
                                 PropertyId::Longhand(LonghandId::MaskRepeat)],
                            [MaskRepeat, SetMaskRepeat,
                             PropertyId::Longhand(LonghandId::MaskRepeat)],
                                [_webkit_mask_repeat, Set_webkit_mask_repeat,
                                 PropertyId::Longhand(LonghandId::MaskRepeat)],
                            [WebkitMaskRepeat, SetWebkitMaskRepeat,
                             PropertyId::Longhand(LonghandId::MaskRepeat)],
                                [Mask_size, SetMask_size,
                                 PropertyId::Longhand(LonghandId::MaskSize)],
                            [MaskSize, SetMaskSize,
                             PropertyId::Longhand(LonghandId::MaskSize)],
                                [_webkit_mask_size, Set_webkit_mask_size,
                                 PropertyId::Longhand(LonghandId::MaskSize)],
                            [WebkitMaskSize, SetWebkitMaskSize,
                             PropertyId::Longhand(LonghandId::MaskSize)],
                                [Offset_anchor, SetOffset_anchor,
                                 PropertyId::Longhand(LonghandId::OffsetAnchor)],
                            [OffsetAnchor, SetOffsetAnchor,
                             PropertyId::Longhand(LonghandId::OffsetAnchor)],
                                [Offset_path, SetOffset_path,
                                 PropertyId::Longhand(LonghandId::OffsetPath)],
                            [OffsetPath, SetOffsetPath,
                             PropertyId::Longhand(LonghandId::OffsetPath)],
                                [Offset_position, SetOffset_position,
                                 PropertyId::Longhand(LonghandId::OffsetPosition)],
                            [OffsetPosition, SetOffsetPosition,
                             PropertyId::Longhand(LonghandId::OffsetPosition)],
                            [Page, SetPage,
                             PropertyId::Longhand(LonghandId::Page)],
                            [Perspective, SetPerspective,
                             PropertyId::Longhand(LonghandId::Perspective)],
                                [_moz_perspective, Set_moz_perspective,
                                 PropertyId::Longhand(LonghandId::Perspective)],
                            [MozPerspective, SetMozPerspective,
                             PropertyId::Longhand(LonghandId::Perspective)],
                                [_webkit_perspective, Set_webkit_perspective,
                                 PropertyId::Longhand(LonghandId::Perspective)],
                            [WebkitPerspective, SetWebkitPerspective,
                             PropertyId::Longhand(LonghandId::Perspective)],
                            [Quotes, SetQuotes,
                             PropertyId::Longhand(LonghandId::Quotes)],
                            [Rotate, SetRotate,
                             PropertyId::Longhand(LonghandId::Rotate)],
                            [Scale, SetScale,
                             PropertyId::Longhand(LonghandId::Scale)],
                                [Scroll_timeline_axis, SetScroll_timeline_axis,
                                 PropertyId::Longhand(LonghandId::ScrollTimelineAxis)],
                            [ScrollTimelineAxis, SetScrollTimelineAxis,
                             PropertyId::Longhand(LonghandId::ScrollTimelineAxis)],
                                [Scroll_timeline_name, SetScroll_timeline_name,
                                 PropertyId::Longhand(LonghandId::ScrollTimelineName)],
                            [ScrollTimelineName, SetScrollTimelineName,
                             PropertyId::Longhand(LonghandId::ScrollTimelineName)],
                                [Scrollbar_color, SetScrollbar_color,
                                 PropertyId::Longhand(LonghandId::ScrollbarColor)],
                            [ScrollbarColor, SetScrollbarColor,
                             PropertyId::Longhand(LonghandId::ScrollbarColor)],
                                [Shape_outside, SetShape_outside,
                                 PropertyId::Longhand(LonghandId::ShapeOutside)],
                            [ShapeOutside, SetShapeOutside,
                             PropertyId::Longhand(LonghandId::ShapeOutside)],
                            [Size, SetSize,
                             PropertyId::Longhand(LonghandId::Size)],
                                [Stroke_dasharray, SetStroke_dasharray,
                                 PropertyId::Longhand(LonghandId::StrokeDasharray)],
                            [StrokeDasharray, SetStrokeDasharray,
                             PropertyId::Longhand(LonghandId::StrokeDasharray)],
                                [Stroke_dashoffset, SetStroke_dashoffset,
                                 PropertyId::Longhand(LonghandId::StrokeDashoffset)],
                            [StrokeDashoffset, SetStrokeDashoffset,
                             PropertyId::Longhand(LonghandId::StrokeDashoffset)],
                                [Stroke_width, SetStroke_width,
                                 PropertyId::Longhand(LonghandId::StrokeWidth)],
                            [StrokeWidth, SetStrokeWidth,
                             PropertyId::Longhand(LonghandId::StrokeWidth)],
                                [Tab_size, SetTab_size,
                                 PropertyId::Longhand(LonghandId::TabSize)],
                            [TabSize, SetTabSize,
                             PropertyId::Longhand(LonghandId::TabSize)],
                                [_moz_tab_size, Set_moz_tab_size,
                                 PropertyId::Longhand(LonghandId::TabSize)],
                            [MozTabSize, SetMozTabSize,
                             PropertyId::Longhand(LonghandId::TabSize)],
                                [Text_decoration_thickness, SetText_decoration_thickness,
                                 PropertyId::Longhand(LonghandId::TextDecorationThickness)],
                            [TextDecorationThickness, SetTextDecorationThickness,
                             PropertyId::Longhand(LonghandId::TextDecorationThickness)],
                                [Text_emphasis_style, SetText_emphasis_style,
                                 PropertyId::Longhand(LonghandId::TextEmphasisStyle)],
                            [TextEmphasisStyle, SetTextEmphasisStyle,
                             PropertyId::Longhand(LonghandId::TextEmphasisStyle)],
                                [Text_overflow, SetText_overflow,
                                 PropertyId::Longhand(LonghandId::TextOverflow)],
                            [TextOverflow, SetTextOverflow,
                             PropertyId::Longhand(LonghandId::TextOverflow)],
                                [Text_shadow, SetText_shadow,
                                 PropertyId::Longhand(LonghandId::TextShadow)],
                            [TextShadow, SetTextShadow,
                             PropertyId::Longhand(LonghandId::TextShadow)],
                                [Transition_delay, SetTransition_delay,
                                 PropertyId::Longhand(LonghandId::TransitionDelay)],
                            [TransitionDelay, SetTransitionDelay,
                             PropertyId::Longhand(LonghandId::TransitionDelay)],
                                [_moz_transition_delay, Set_moz_transition_delay,
                                 PropertyId::Longhand(LonghandId::TransitionDelay)],
                            [MozTransitionDelay, SetMozTransitionDelay,
                             PropertyId::Longhand(LonghandId::TransitionDelay)],
                                [_webkit_transition_delay, Set_webkit_transition_delay,
                                 PropertyId::Longhand(LonghandId::TransitionDelay)],
                            [WebkitTransitionDelay, SetWebkitTransitionDelay,
                             PropertyId::Longhand(LonghandId::TransitionDelay)],
                                [Transition_duration, SetTransition_duration,
                                 PropertyId::Longhand(LonghandId::TransitionDuration)],
                            [TransitionDuration, SetTransitionDuration,
                             PropertyId::Longhand(LonghandId::TransitionDuration)],
                                [_moz_transition_duration, Set_moz_transition_duration,
                                 PropertyId::Longhand(LonghandId::TransitionDuration)],
                            [MozTransitionDuration, SetMozTransitionDuration,
                             PropertyId::Longhand(LonghandId::TransitionDuration)],
                                [_webkit_transition_duration, Set_webkit_transition_duration,
                                 PropertyId::Longhand(LonghandId::TransitionDuration)],
                            [WebkitTransitionDuration, SetWebkitTransitionDuration,
                             PropertyId::Longhand(LonghandId::TransitionDuration)],
                                [Transition_property, SetTransition_property,
                                 PropertyId::Longhand(LonghandId::TransitionProperty)],
                            [TransitionProperty, SetTransitionProperty,
                             PropertyId::Longhand(LonghandId::TransitionProperty)],
                                [_moz_transition_property, Set_moz_transition_property,
                                 PropertyId::Longhand(LonghandId::TransitionProperty)],
                            [MozTransitionProperty, SetMozTransitionProperty,
                             PropertyId::Longhand(LonghandId::TransitionProperty)],
                                [_webkit_transition_property, Set_webkit_transition_property,
                                 PropertyId::Longhand(LonghandId::TransitionProperty)],
                            [WebkitTransitionProperty, SetWebkitTransitionProperty,
                             PropertyId::Longhand(LonghandId::TransitionProperty)],
                                [Transition_timing_function, SetTransition_timing_function,
                                 PropertyId::Longhand(LonghandId::TransitionTimingFunction)],
                            [TransitionTimingFunction, SetTransitionTimingFunction,
                             PropertyId::Longhand(LonghandId::TransitionTimingFunction)],
                                [_moz_transition_timing_function, Set_moz_transition_timing_function,
                                 PropertyId::Longhand(LonghandId::TransitionTimingFunction)],
                            [MozTransitionTimingFunction, SetMozTransitionTimingFunction,
                             PropertyId::Longhand(LonghandId::TransitionTimingFunction)],
                                [_webkit_transition_timing_function, Set_webkit_transition_timing_function,
                                 PropertyId::Longhand(LonghandId::TransitionTimingFunction)],
                            [WebkitTransitionTimingFunction, SetWebkitTransitionTimingFunction,
                             PropertyId::Longhand(LonghandId::TransitionTimingFunction)],
                            [Translate, SetTranslate,
                             PropertyId::Longhand(LonghandId::Translate)],
                                [Vertical_align, SetVertical_align,
                                 PropertyId::Longhand(LonghandId::VerticalAlign)],
                            [VerticalAlign, SetVerticalAlign,
                             PropertyId::Longhand(LonghandId::VerticalAlign)],
                                [View_timeline_axis, SetView_timeline_axis,
                                 PropertyId::Longhand(LonghandId::ViewTimelineAxis)],
                            [ViewTimelineAxis, SetViewTimelineAxis,
                             PropertyId::Longhand(LonghandId::ViewTimelineAxis)],
                                [View_timeline_inset, SetView_timeline_inset,
                                 PropertyId::Longhand(LonghandId::ViewTimelineInset)],
                            [ViewTimelineInset, SetViewTimelineInset,
                             PropertyId::Longhand(LonghandId::ViewTimelineInset)],
                                [View_timeline_name, SetView_timeline_name,
                                 PropertyId::Longhand(LonghandId::ViewTimelineName)],
                            [ViewTimelineName, SetViewTimelineName,
                             PropertyId::Longhand(LonghandId::ViewTimelineName)],
                                [_webkit_text_stroke_width, Set_webkit_text_stroke_width,
                                 PropertyId::Longhand(LonghandId::WebkitTextStrokeWidth)],
                            [WebkitTextStrokeWidth, SetWebkitTextStrokeWidth,
                             PropertyId::Longhand(LonghandId::WebkitTextStrokeWidth)],
                                [Will_change, SetWill_change,
                                 PropertyId::Longhand(LonghandId::WillChange)],
                            [WillChange, SetWillChange,
                             PropertyId::Longhand(LonghandId::WillChange)],
                                [Word_spacing, SetWord_spacing,
                                 PropertyId::Longhand(LonghandId::WordSpacing)],
                            [WordSpacing, SetWordSpacing,
                             PropertyId::Longhand(LonghandId::WordSpacing)],
                                [Object_position, SetObject_position,
                                 PropertyId::Longhand(LonghandId::ObjectPosition)],
                            [ObjectPosition, SetObjectPosition,
                             PropertyId::Longhand(LonghandId::ObjectPosition)],
                                [Perspective_origin, SetPerspective_origin,
                                 PropertyId::Longhand(LonghandId::PerspectiveOrigin)],
                            [PerspectiveOrigin, SetPerspectiveOrigin,
                             PropertyId::Longhand(LonghandId::PerspectiveOrigin)],
                                [_moz_perspective_origin, Set_moz_perspective_origin,
                                 PropertyId::Longhand(LonghandId::PerspectiveOrigin)],
                            [MozPerspectiveOrigin, SetMozPerspectiveOrigin,
                             PropertyId::Longhand(LonghandId::PerspectiveOrigin)],
                                [_webkit_perspective_origin, Set_webkit_perspective_origin,
                                 PropertyId::Longhand(LonghandId::PerspectiveOrigin)],
                            [WebkitPerspectiveOrigin, SetWebkitPerspectiveOrigin,
                             PropertyId::Longhand(LonghandId::PerspectiveOrigin)],
                            [Fill, SetFill,
                             PropertyId::Longhand(LonghandId::Fill)],
                            [Stroke, SetStroke,
                             PropertyId::Longhand(LonghandId::Stroke)],
                                [Transform_origin, SetTransform_origin,
                                 PropertyId::Longhand(LonghandId::TransformOrigin)],
                            [TransformOrigin, SetTransformOrigin,
                             PropertyId::Longhand(LonghandId::TransformOrigin)],
                                [_moz_transform_origin, Set_moz_transform_origin,
                                 PropertyId::Longhand(LonghandId::TransformOrigin)],
                            [MozTransformOrigin, SetMozTransformOrigin,
                             PropertyId::Longhand(LonghandId::TransformOrigin)],
                                [_webkit_transform_origin, Set_webkit_transform_origin,
                                 PropertyId::Longhand(LonghandId::TransformOrigin)],
                            [WebkitTransformOrigin, SetWebkitTransformOrigin,
                             PropertyId::Longhand(LonghandId::TransformOrigin)],
                                [Grid_template_columns, SetGrid_template_columns,
                                 PropertyId::Longhand(LonghandId::GridTemplateColumns)],
                            [GridTemplateColumns, SetGridTemplateColumns,
                             PropertyId::Longhand(LonghandId::GridTemplateColumns)],
                                [Grid_template_rows, SetGrid_template_rows,
                                 PropertyId::Longhand(LonghandId::GridTemplateRows)],
                            [GridTemplateRows, SetGridTemplateRows,
                             PropertyId::Longhand(LonghandId::GridTemplateRows)],
                                [Border_image_source, SetBorder_image_source,
                                 PropertyId::Longhand(LonghandId::BorderImageSource)],
                            [BorderImageSource, SetBorderImageSource,
                             PropertyId::Longhand(LonghandId::BorderImageSource)],
                                [List_style_image, SetList_style_image,
                                 PropertyId::Longhand(LonghandId::ListStyleImage)],
                            [ListStyleImage, SetListStyleImage,
                             PropertyId::Longhand(LonghandId::ListStyleImage)],
                                [Grid_auto_columns, SetGrid_auto_columns,
                                 PropertyId::Longhand(LonghandId::GridAutoColumns)],
                            [GridAutoColumns, SetGridAutoColumns,
                             PropertyId::Longhand(LonghandId::GridAutoColumns)],
                                [Grid_auto_rows, SetGrid_auto_rows,
                                 PropertyId::Longhand(LonghandId::GridAutoRows)],
                            [GridAutoRows, SetGridAutoRows,
                             PropertyId::Longhand(LonghandId::GridAutoRows)],
                            [Transform, SetTransform,
                             PropertyId::Longhand(LonghandId::Transform)],
                                [_moz_transform, Set_moz_transform,
                                 PropertyId::Longhand(LonghandId::Transform)],
                            [MozTransform, SetMozTransform,
                             PropertyId::Longhand(LonghandId::Transform)],
                                [_webkit_transform, Set_webkit_transform,
                                 PropertyId::Longhand(LonghandId::Transform)],
                            [WebkitTransform, SetWebkitTransform,
                             PropertyId::Longhand(LonghandId::Transform)],
                                [Column_gap, SetColumn_gap,
                                 PropertyId::Longhand(LonghandId::ColumnGap)],
                            [ColumnGap, SetColumnGap,
                             PropertyId::Longhand(LonghandId::ColumnGap)],
                                [Grid_column_gap, SetGrid_column_gap,
                                 PropertyId::Longhand(LonghandId::ColumnGap)],
                            [GridColumnGap, SetGridColumnGap,
                             PropertyId::Longhand(LonghandId::ColumnGap)],
                                [Row_gap, SetRow_gap,
                                 PropertyId::Longhand(LonghandId::RowGap)],
                            [RowGap, SetRowGap,
                             PropertyId::Longhand(LonghandId::RowGap)],
                                [Grid_row_gap, SetGrid_row_gap,
                                 PropertyId::Longhand(LonghandId::RowGap)],
                            [GridRowGap, SetGridRowGap,
                             PropertyId::Longhand(LonghandId::RowGap)],
                                [Marker_end, SetMarker_end,
                                 PropertyId::Longhand(LonghandId::MarkerEnd)],
                            [MarkerEnd, SetMarkerEnd,
                             PropertyId::Longhand(LonghandId::MarkerEnd)],
                                [Marker_mid, SetMarker_mid,
                                 PropertyId::Longhand(LonghandId::MarkerMid)],
                            [MarkerMid, SetMarkerMid,
                             PropertyId::Longhand(LonghandId::MarkerMid)],
                                [Marker_start, SetMarker_start,
                                 PropertyId::Longhand(LonghandId::MarkerStart)],
                            [MarkerStart, SetMarkerStart,
                             PropertyId::Longhand(LonghandId::MarkerStart)],
                                [Contain_intrinsic_block_size, SetContain_intrinsic_block_size,
                                 PropertyId::Longhand(LonghandId::ContainIntrinsicBlockSize)],
                            [ContainIntrinsicBlockSize, SetContainIntrinsicBlockSize,
                             PropertyId::Longhand(LonghandId::ContainIntrinsicBlockSize)],
                                [Contain_intrinsic_height, SetContain_intrinsic_height,
                                 PropertyId::Longhand(LonghandId::ContainIntrinsicHeight)],
                            [ContainIntrinsicHeight, SetContainIntrinsicHeight,
                             PropertyId::Longhand(LonghandId::ContainIntrinsicHeight)],
                                [Contain_intrinsic_inline_size, SetContain_intrinsic_inline_size,
                                 PropertyId::Longhand(LonghandId::ContainIntrinsicInlineSize)],
                            [ContainIntrinsicInlineSize, SetContainIntrinsicInlineSize,
                             PropertyId::Longhand(LonghandId::ContainIntrinsicInlineSize)],
                                [Contain_intrinsic_width, SetContain_intrinsic_width,
                                 PropertyId::Longhand(LonghandId::ContainIntrinsicWidth)],
                            [ContainIntrinsicWidth, SetContainIntrinsicWidth,
                             PropertyId::Longhand(LonghandId::ContainIntrinsicWidth)],
                                [Grid_column_end, SetGrid_column_end,
                                 PropertyId::Longhand(LonghandId::GridColumnEnd)],
                            [GridColumnEnd, SetGridColumnEnd,
                             PropertyId::Longhand(LonghandId::GridColumnEnd)],
                                [Grid_column_start, SetGrid_column_start,
                                 PropertyId::Longhand(LonghandId::GridColumnStart)],
                            [GridColumnStart, SetGridColumnStart,
                             PropertyId::Longhand(LonghandId::GridColumnStart)],
                                [Grid_row_end, SetGrid_row_end,
                                 PropertyId::Longhand(LonghandId::GridRowEnd)],
                            [GridRowEnd, SetGridRowEnd,
                             PropertyId::Longhand(LonghandId::GridRowEnd)],
                                [Grid_row_start, SetGrid_row_start,
                                 PropertyId::Longhand(LonghandId::GridRowStart)],
                            [GridRowStart, SetGridRowStart,
                             PropertyId::Longhand(LonghandId::GridRowStart)],
                                [Max_block_size, SetMax_block_size,
                                 PropertyId::Longhand(LonghandId::MaxBlockSize)],
                            [MaxBlockSize, SetMaxBlockSize,
                             PropertyId::Longhand(LonghandId::MaxBlockSize)],
                                [Max_height, SetMax_height,
                                 PropertyId::Longhand(LonghandId::MaxHeight)],
                            [MaxHeight, SetMaxHeight,
                             PropertyId::Longhand(LonghandId::MaxHeight)],
                                [Max_inline_size, SetMax_inline_size,
                                 PropertyId::Longhand(LonghandId::MaxInlineSize)],
                            [MaxInlineSize, SetMaxInlineSize,
                             PropertyId::Longhand(LonghandId::MaxInlineSize)],
                                [Max_width, SetMax_width,
                                 PropertyId::Longhand(LonghandId::MaxWidth)],
                            [MaxWidth, SetMaxWidth,
                             PropertyId::Longhand(LonghandId::MaxWidth)],
                            [Cx, SetCx,
                             PropertyId::Longhand(LonghandId::Cx)],
                            [Cy, SetCy,
                             PropertyId::Longhand(LonghandId::Cy)],
                                [Offset_distance, SetOffset_distance,
                                 PropertyId::Longhand(LonghandId::OffsetDistance)],
                            [OffsetDistance, SetOffsetDistance,
                             PropertyId::Longhand(LonghandId::OffsetDistance)],
                                [Text_indent, SetText_indent,
                                 PropertyId::Longhand(LonghandId::TextIndent)],
                            [TextIndent, SetTextIndent,
                             PropertyId::Longhand(LonghandId::TextIndent)],
                            [X, SetX,
                             PropertyId::Longhand(LonghandId::X)],
                            [Y, SetY,
                             PropertyId::Longhand(LonghandId::Y)],
                                [Border_bottom_left_radius, SetBorder_bottom_left_radius,
                                 PropertyId::Longhand(LonghandId::BorderBottomLeftRadius)],
                            [BorderBottomLeftRadius, SetBorderBottomLeftRadius,
                             PropertyId::Longhand(LonghandId::BorderBottomLeftRadius)],
                                [_webkit_border_bottom_left_radius, Set_webkit_border_bottom_left_radius,
                                 PropertyId::Longhand(LonghandId::BorderBottomLeftRadius)],
                            [WebkitBorderBottomLeftRadius, SetWebkitBorderBottomLeftRadius,
                             PropertyId::Longhand(LonghandId::BorderBottomLeftRadius)],
                                [Border_bottom_right_radius, SetBorder_bottom_right_radius,
                                 PropertyId::Longhand(LonghandId::BorderBottomRightRadius)],
                            [BorderBottomRightRadius, SetBorderBottomRightRadius,
                             PropertyId::Longhand(LonghandId::BorderBottomRightRadius)],
                                [_webkit_border_bottom_right_radius, Set_webkit_border_bottom_right_radius,
                                 PropertyId::Longhand(LonghandId::BorderBottomRightRadius)],
                            [WebkitBorderBottomRightRadius, SetWebkitBorderBottomRightRadius,
                             PropertyId::Longhand(LonghandId::BorderBottomRightRadius)],
                                [Border_end_end_radius, SetBorder_end_end_radius,
                                 PropertyId::Longhand(LonghandId::BorderEndEndRadius)],
                            [BorderEndEndRadius, SetBorderEndEndRadius,
                             PropertyId::Longhand(LonghandId::BorderEndEndRadius)],
                                [Border_end_start_radius, SetBorder_end_start_radius,
                                 PropertyId::Longhand(LonghandId::BorderEndStartRadius)],
                            [BorderEndStartRadius, SetBorderEndStartRadius,
                             PropertyId::Longhand(LonghandId::BorderEndStartRadius)],
                                [Border_start_end_radius, SetBorder_start_end_radius,
                                 PropertyId::Longhand(LonghandId::BorderStartEndRadius)],
                            [BorderStartEndRadius, SetBorderStartEndRadius,
                             PropertyId::Longhand(LonghandId::BorderStartEndRadius)],
                                [Border_start_start_radius, SetBorder_start_start_radius,
                                 PropertyId::Longhand(LonghandId::BorderStartStartRadius)],
                            [BorderStartStartRadius, SetBorderStartStartRadius,
                             PropertyId::Longhand(LonghandId::BorderStartStartRadius)],
                                [Border_top_left_radius, SetBorder_top_left_radius,
                                 PropertyId::Longhand(LonghandId::BorderTopLeftRadius)],
                            [BorderTopLeftRadius, SetBorderTopLeftRadius,
                             PropertyId::Longhand(LonghandId::BorderTopLeftRadius)],
                                [_webkit_border_top_left_radius, Set_webkit_border_top_left_radius,
                                 PropertyId::Longhand(LonghandId::BorderTopLeftRadius)],
                            [WebkitBorderTopLeftRadius, SetWebkitBorderTopLeftRadius,
                             PropertyId::Longhand(LonghandId::BorderTopLeftRadius)],
                                [Border_top_right_radius, SetBorder_top_right_radius,
                                 PropertyId::Longhand(LonghandId::BorderTopRightRadius)],
                            [BorderTopRightRadius, SetBorderTopRightRadius,
                             PropertyId::Longhand(LonghandId::BorderTopRightRadius)],
                                [_webkit_border_top_right_radius, Set_webkit_border_top_right_radius,
                                 PropertyId::Longhand(LonghandId::BorderTopRightRadius)],
                            [WebkitBorderTopRightRadius, SetWebkitBorderTopRightRadius,
                             PropertyId::Longhand(LonghandId::BorderTopRightRadius)],
                                [Block_size, SetBlock_size,
                                 PropertyId::Longhand(LonghandId::BlockSize)],
                            [BlockSize, SetBlockSize,
                             PropertyId::Longhand(LonghandId::BlockSize)],
                            [Height, SetHeight,
                             PropertyId::Longhand(LonghandId::Height)],
                                [Inline_size, SetInline_size,
                                 PropertyId::Longhand(LonghandId::InlineSize)],
                            [InlineSize, SetInlineSize,
                             PropertyId::Longhand(LonghandId::InlineSize)],
                                [Min_block_size, SetMin_block_size,
                                 PropertyId::Longhand(LonghandId::MinBlockSize)],
                            [MinBlockSize, SetMinBlockSize,
                             PropertyId::Longhand(LonghandId::MinBlockSize)],
                                [Min_height, SetMin_height,
                                 PropertyId::Longhand(LonghandId::MinHeight)],
                            [MinHeight, SetMinHeight,
                             PropertyId::Longhand(LonghandId::MinHeight)],
                                [Min_inline_size, SetMin_inline_size,
                                 PropertyId::Longhand(LonghandId::MinInlineSize)],
                            [MinInlineSize, SetMinInlineSize,
                             PropertyId::Longhand(LonghandId::MinInlineSize)],
                                [Min_width, SetMin_width,
                                 PropertyId::Longhand(LonghandId::MinWidth)],
                            [MinWidth, SetMinWidth,
                             PropertyId::Longhand(LonghandId::MinWidth)],
                            [Width, SetWidth,
                             PropertyId::Longhand(LonghandId::Width)],
                                [Border_block_end_width, SetBorder_block_end_width,
                                 PropertyId::Longhand(LonghandId::BorderBlockEndWidth)],
                            [BorderBlockEndWidth, SetBorderBlockEndWidth,
                             PropertyId::Longhand(LonghandId::BorderBlockEndWidth)],
                                [Border_block_start_width, SetBorder_block_start_width,
                                 PropertyId::Longhand(LonghandId::BorderBlockStartWidth)],
                            [BorderBlockStartWidth, SetBorderBlockStartWidth,
                             PropertyId::Longhand(LonghandId::BorderBlockStartWidth)],
                                [Border_bottom_width, SetBorder_bottom_width,
                                 PropertyId::Longhand(LonghandId::BorderBottomWidth)],
                            [BorderBottomWidth, SetBorderBottomWidth,
                             PropertyId::Longhand(LonghandId::BorderBottomWidth)],
                                [Border_inline_end_width, SetBorder_inline_end_width,
                                 PropertyId::Longhand(LonghandId::BorderInlineEndWidth)],
                            [BorderInlineEndWidth, SetBorderInlineEndWidth,
                             PropertyId::Longhand(LonghandId::BorderInlineEndWidth)],
                                [_moz_border_end_width, Set_moz_border_end_width,
                                 PropertyId::Longhand(LonghandId::BorderInlineEndWidth)],
                            [MozBorderEndWidth, SetMozBorderEndWidth,
                             PropertyId::Longhand(LonghandId::BorderInlineEndWidth)],
                                [Border_inline_start_width, SetBorder_inline_start_width,
                                 PropertyId::Longhand(LonghandId::BorderInlineStartWidth)],
                            [BorderInlineStartWidth, SetBorderInlineStartWidth,
                             PropertyId::Longhand(LonghandId::BorderInlineStartWidth)],
                                [_moz_border_start_width, Set_moz_border_start_width,
                                 PropertyId::Longhand(LonghandId::BorderInlineStartWidth)],
                            [MozBorderStartWidth, SetMozBorderStartWidth,
                             PropertyId::Longhand(LonghandId::BorderInlineStartWidth)],
                                [Border_left_width, SetBorder_left_width,
                                 PropertyId::Longhand(LonghandId::BorderLeftWidth)],
                            [BorderLeftWidth, SetBorderLeftWidth,
                             PropertyId::Longhand(LonghandId::BorderLeftWidth)],
                                [Border_right_width, SetBorder_right_width,
                                 PropertyId::Longhand(LonghandId::BorderRightWidth)],
                            [BorderRightWidth, SetBorderRightWidth,
                             PropertyId::Longhand(LonghandId::BorderRightWidth)],
                                [Border_top_width, SetBorder_top_width,
                                 PropertyId::Longhand(LonghandId::BorderTopWidth)],
                            [BorderTopWidth, SetBorderTopWidth,
                             PropertyId::Longhand(LonghandId::BorderTopWidth)],
                                [Column_rule_width, SetColumn_rule_width,
                                 PropertyId::Longhand(LonghandId::ColumnRuleWidth)],
                            [ColumnRuleWidth, SetColumnRuleWidth,
                             PropertyId::Longhand(LonghandId::ColumnRuleWidth)],
                                [Outline_width, SetOutline_width,
                                 PropertyId::Longhand(LonghandId::OutlineWidth)],
                            [OutlineWidth, SetOutlineWidth,
                             PropertyId::Longhand(LonghandId::OutlineWidth)],
                                [Padding_block_end, SetPadding_block_end,
                                 PropertyId::Longhand(LonghandId::PaddingBlockEnd)],
                            [PaddingBlockEnd, SetPaddingBlockEnd,
                             PropertyId::Longhand(LonghandId::PaddingBlockEnd)],
                                [Padding_block_start, SetPadding_block_start,
                                 PropertyId::Longhand(LonghandId::PaddingBlockStart)],
                            [PaddingBlockStart, SetPaddingBlockStart,
                             PropertyId::Longhand(LonghandId::PaddingBlockStart)],
                                [Padding_bottom, SetPadding_bottom,
                                 PropertyId::Longhand(LonghandId::PaddingBottom)],
                            [PaddingBottom, SetPaddingBottom,
                             PropertyId::Longhand(LonghandId::PaddingBottom)],
                                [Padding_inline_end, SetPadding_inline_end,
                                 PropertyId::Longhand(LonghandId::PaddingInlineEnd)],
                            [PaddingInlineEnd, SetPaddingInlineEnd,
                             PropertyId::Longhand(LonghandId::PaddingInlineEnd)],
                                [_moz_padding_end, Set_moz_padding_end,
                                 PropertyId::Longhand(LonghandId::PaddingInlineEnd)],
                            [MozPaddingEnd, SetMozPaddingEnd,
                             PropertyId::Longhand(LonghandId::PaddingInlineEnd)],
                                [Padding_inline_start, SetPadding_inline_start,
                                 PropertyId::Longhand(LonghandId::PaddingInlineStart)],
                            [PaddingInlineStart, SetPaddingInlineStart,
                             PropertyId::Longhand(LonghandId::PaddingInlineStart)],
                                [_moz_padding_start, Set_moz_padding_start,
                                 PropertyId::Longhand(LonghandId::PaddingInlineStart)],
                            [MozPaddingStart, SetMozPaddingStart,
                             PropertyId::Longhand(LonghandId::PaddingInlineStart)],
                                [Padding_left, SetPadding_left,
                                 PropertyId::Longhand(LonghandId::PaddingLeft)],
                            [PaddingLeft, SetPaddingLeft,
                             PropertyId::Longhand(LonghandId::PaddingLeft)],
                                [Padding_right, SetPadding_right,
                                 PropertyId::Longhand(LonghandId::PaddingRight)],
                            [PaddingRight, SetPaddingRight,
                             PropertyId::Longhand(LonghandId::PaddingRight)],
                                [Padding_top, SetPadding_top,
                                 PropertyId::Longhand(LonghandId::PaddingTop)],
                            [PaddingTop, SetPaddingTop,
                             PropertyId::Longhand(LonghandId::PaddingTop)],
                            [R, SetR,
                             PropertyId::Longhand(LonghandId::R)],
                                [Shape_margin, SetShape_margin,
                                 PropertyId::Longhand(LonghandId::ShapeMargin)],
                            [ShapeMargin, SetShapeMargin,
                             PropertyId::Longhand(LonghandId::ShapeMargin)],
                            [Rx, SetRx,
                             PropertyId::Longhand(LonghandId::Rx)],
                            [Ry, SetRy,
                             PropertyId::Longhand(LonghandId::Ry)],
                                [Scroll_padding_block_end, SetScroll_padding_block_end,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingBlockEnd)],
                            [ScrollPaddingBlockEnd, SetScrollPaddingBlockEnd,
                             PropertyId::Longhand(LonghandId::ScrollPaddingBlockEnd)],
                                [Scroll_padding_block_start, SetScroll_padding_block_start,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingBlockStart)],
                            [ScrollPaddingBlockStart, SetScrollPaddingBlockStart,
                             PropertyId::Longhand(LonghandId::ScrollPaddingBlockStart)],
                                [Scroll_padding_bottom, SetScroll_padding_bottom,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingBottom)],
                            [ScrollPaddingBottom, SetScrollPaddingBottom,
                             PropertyId::Longhand(LonghandId::ScrollPaddingBottom)],
                                [Scroll_padding_inline_end, SetScroll_padding_inline_end,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingInlineEnd)],
                            [ScrollPaddingInlineEnd, SetScrollPaddingInlineEnd,
                             PropertyId::Longhand(LonghandId::ScrollPaddingInlineEnd)],
                                [Scroll_padding_inline_start, SetScroll_padding_inline_start,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingInlineStart)],
                            [ScrollPaddingInlineStart, SetScrollPaddingInlineStart,
                             PropertyId::Longhand(LonghandId::ScrollPaddingInlineStart)],
                                [Scroll_padding_left, SetScroll_padding_left,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingLeft)],
                            [ScrollPaddingLeft, SetScrollPaddingLeft,
                             PropertyId::Longhand(LonghandId::ScrollPaddingLeft)],
                                [Scroll_padding_right, SetScroll_padding_right,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingRight)],
                            [ScrollPaddingRight, SetScrollPaddingRight,
                             PropertyId::Longhand(LonghandId::ScrollPaddingRight)],
                                [Scroll_padding_top, SetScroll_padding_top,
                                 PropertyId::Longhand(LonghandId::ScrollPaddingTop)],
                            [ScrollPaddingTop, SetScrollPaddingTop,
                             PropertyId::Longhand(LonghandId::ScrollPaddingTop)],
                                [Outline_offset, SetOutline_offset,
                                 PropertyId::Longhand(LonghandId::OutlineOffset)],
                            [OutlineOffset, SetOutlineOffset,
                             PropertyId::Longhand(LonghandId::OutlineOffset)],
                                [Overflow_clip_margin, SetOverflow_clip_margin,
                                 PropertyId::Longhand(LonghandId::OverflowClipMargin)],
                            [OverflowClipMargin, SetOverflowClipMargin,
                             PropertyId::Longhand(LonghandId::OverflowClipMargin)],
                                [Scroll_margin_block_end, SetScroll_margin_block_end,
                                 PropertyId::Longhand(LonghandId::ScrollMarginBlockEnd)],
                            [ScrollMarginBlockEnd, SetScrollMarginBlockEnd,
                             PropertyId::Longhand(LonghandId::ScrollMarginBlockEnd)],
                                [Scroll_margin_block_start, SetScroll_margin_block_start,
                                 PropertyId::Longhand(LonghandId::ScrollMarginBlockStart)],
                            [ScrollMarginBlockStart, SetScrollMarginBlockStart,
                             PropertyId::Longhand(LonghandId::ScrollMarginBlockStart)],
                                [Scroll_margin_bottom, SetScroll_margin_bottom,
                                 PropertyId::Longhand(LonghandId::ScrollMarginBottom)],
                            [ScrollMarginBottom, SetScrollMarginBottom,
                             PropertyId::Longhand(LonghandId::ScrollMarginBottom)],
                                [Scroll_margin_inline_end, SetScroll_margin_inline_end,
                                 PropertyId::Longhand(LonghandId::ScrollMarginInlineEnd)],
                            [ScrollMarginInlineEnd, SetScrollMarginInlineEnd,
                             PropertyId::Longhand(LonghandId::ScrollMarginInlineEnd)],
                                [Scroll_margin_inline_start, SetScroll_margin_inline_start,
                                 PropertyId::Longhand(LonghandId::ScrollMarginInlineStart)],
                            [ScrollMarginInlineStart, SetScrollMarginInlineStart,
                             PropertyId::Longhand(LonghandId::ScrollMarginInlineStart)],
                                [Scroll_margin_left, SetScroll_margin_left,
                                 PropertyId::Longhand(LonghandId::ScrollMarginLeft)],
                            [ScrollMarginLeft, SetScrollMarginLeft,
                             PropertyId::Longhand(LonghandId::ScrollMarginLeft)],
                                [Scroll_margin_right, SetScroll_margin_right,
                                 PropertyId::Longhand(LonghandId::ScrollMarginRight)],
                            [ScrollMarginRight, SetScrollMarginRight,
                             PropertyId::Longhand(LonghandId::ScrollMarginRight)],
                                [Scroll_margin_top, SetScroll_margin_top,
                                 PropertyId::Longhand(LonghandId::ScrollMarginTop)],
                            [ScrollMarginTop, SetScrollMarginTop,
                             PropertyId::Longhand(LonghandId::ScrollMarginTop)],
                            [Bottom, SetBottom,
                             PropertyId::Longhand(LonghandId::Bottom)],
                                [Inset_block_end, SetInset_block_end,
                                 PropertyId::Longhand(LonghandId::InsetBlockEnd)],
                            [InsetBlockEnd, SetInsetBlockEnd,
                             PropertyId::Longhand(LonghandId::InsetBlockEnd)],
                                [Inset_block_start, SetInset_block_start,
                                 PropertyId::Longhand(LonghandId::InsetBlockStart)],
                            [InsetBlockStart, SetInsetBlockStart,
                             PropertyId::Longhand(LonghandId::InsetBlockStart)],
                                [Inset_inline_end, SetInset_inline_end,
                                 PropertyId::Longhand(LonghandId::InsetInlineEnd)],
                            [InsetInlineEnd, SetInsetInlineEnd,
                             PropertyId::Longhand(LonghandId::InsetInlineEnd)],
                                [Inset_inline_start, SetInset_inline_start,
                                 PropertyId::Longhand(LonghandId::InsetInlineStart)],
                            [InsetInlineStart, SetInsetInlineStart,
                             PropertyId::Longhand(LonghandId::InsetInlineStart)],
                            [Left, SetLeft,
                             PropertyId::Longhand(LonghandId::Left)],
                                [Margin_block_end, SetMargin_block_end,
                                 PropertyId::Longhand(LonghandId::MarginBlockEnd)],
                            [MarginBlockEnd, SetMarginBlockEnd,
                             PropertyId::Longhand(LonghandId::MarginBlockEnd)],
                                [Margin_block_start, SetMargin_block_start,
                                 PropertyId::Longhand(LonghandId::MarginBlockStart)],
                            [MarginBlockStart, SetMarginBlockStart,
                             PropertyId::Longhand(LonghandId::MarginBlockStart)],
                                [Margin_bottom, SetMargin_bottom,
                                 PropertyId::Longhand(LonghandId::MarginBottom)],
                            [MarginBottom, SetMarginBottom,
                             PropertyId::Longhand(LonghandId::MarginBottom)],
                                [Margin_inline_end, SetMargin_inline_end,
                                 PropertyId::Longhand(LonghandId::MarginInlineEnd)],
                            [MarginInlineEnd, SetMarginInlineEnd,
                             PropertyId::Longhand(LonghandId::MarginInlineEnd)],
                                [_moz_margin_end, Set_moz_margin_end,
                                 PropertyId::Longhand(LonghandId::MarginInlineEnd)],
                            [MozMarginEnd, SetMozMarginEnd,
                             PropertyId::Longhand(LonghandId::MarginInlineEnd)],
                                [Margin_inline_start, SetMargin_inline_start,
                                 PropertyId::Longhand(LonghandId::MarginInlineStart)],
                            [MarginInlineStart, SetMarginInlineStart,
                             PropertyId::Longhand(LonghandId::MarginInlineStart)],
                                [_moz_margin_start, Set_moz_margin_start,
                                 PropertyId::Longhand(LonghandId::MarginInlineStart)],
                            [MozMarginStart, SetMozMarginStart,
                             PropertyId::Longhand(LonghandId::MarginInlineStart)],
                                [Margin_left, SetMargin_left,
                                 PropertyId::Longhand(LonghandId::MarginLeft)],
                            [MarginLeft, SetMarginLeft,
                             PropertyId::Longhand(LonghandId::MarginLeft)],
                                [Margin_right, SetMargin_right,
                                 PropertyId::Longhand(LonghandId::MarginRight)],
                            [MarginRight, SetMarginRight,
                             PropertyId::Longhand(LonghandId::MarginRight)],
                                [Margin_top, SetMargin_top,
                                 PropertyId::Longhand(LonghandId::MarginTop)],
                            [MarginTop, SetMarginTop,
                             PropertyId::Longhand(LonghandId::MarginTop)],
                            [Right, SetRight,
                             PropertyId::Longhand(LonghandId::Right)],
                                [Text_underline_offset, SetText_underline_offset,
                                 PropertyId::Longhand(LonghandId::TextUnderlineOffset)],
                            [TextUnderlineOffset, SetTextUnderlineOffset,
                             PropertyId::Longhand(LonghandId::TextUnderlineOffset)],
                            [Top, SetTop,
                             PropertyId::Longhand(LonghandId::Top)],
                                [Background_color, SetBackground_color,
                                 PropertyId::Longhand(LonghandId::BackgroundColor)],
                            [BackgroundColor, SetBackgroundColor,
                             PropertyId::Longhand(LonghandId::BackgroundColor)],
                                [Border_block_end_color, SetBorder_block_end_color,
                                 PropertyId::Longhand(LonghandId::BorderBlockEndColor)],
                            [BorderBlockEndColor, SetBorderBlockEndColor,
                             PropertyId::Longhand(LonghandId::BorderBlockEndColor)],
                                [Border_block_start_color, SetBorder_block_start_color,
                                 PropertyId::Longhand(LonghandId::BorderBlockStartColor)],
                            [BorderBlockStartColor, SetBorderBlockStartColor,
                             PropertyId::Longhand(LonghandId::BorderBlockStartColor)],
                                [Border_bottom_color, SetBorder_bottom_color,
                                 PropertyId::Longhand(LonghandId::BorderBottomColor)],
                            [BorderBottomColor, SetBorderBottomColor,
                             PropertyId::Longhand(LonghandId::BorderBottomColor)],
                                [Border_inline_end_color, SetBorder_inline_end_color,
                                 PropertyId::Longhand(LonghandId::BorderInlineEndColor)],
                            [BorderInlineEndColor, SetBorderInlineEndColor,
                             PropertyId::Longhand(LonghandId::BorderInlineEndColor)],
                                [_moz_border_end_color, Set_moz_border_end_color,
                                 PropertyId::Longhand(LonghandId::BorderInlineEndColor)],
                            [MozBorderEndColor, SetMozBorderEndColor,
                             PropertyId::Longhand(LonghandId::BorderInlineEndColor)],
                                [Border_inline_start_color, SetBorder_inline_start_color,
                                 PropertyId::Longhand(LonghandId::BorderInlineStartColor)],
                            [BorderInlineStartColor, SetBorderInlineStartColor,
                             PropertyId::Longhand(LonghandId::BorderInlineStartColor)],
                                [_moz_border_start_color, Set_moz_border_start_color,
                                 PropertyId::Longhand(LonghandId::BorderInlineStartColor)],
                            [MozBorderStartColor, SetMozBorderStartColor,
                             PropertyId::Longhand(LonghandId::BorderInlineStartColor)],
                                [Border_left_color, SetBorder_left_color,
                                 PropertyId::Longhand(LonghandId::BorderLeftColor)],
                            [BorderLeftColor, SetBorderLeftColor,
                             PropertyId::Longhand(LonghandId::BorderLeftColor)],
                                [Border_right_color, SetBorder_right_color,
                                 PropertyId::Longhand(LonghandId::BorderRightColor)],
                            [BorderRightColor, SetBorderRightColor,
                             PropertyId::Longhand(LonghandId::BorderRightColor)],
                                [Border_top_color, SetBorder_top_color,
                                 PropertyId::Longhand(LonghandId::BorderTopColor)],
                            [BorderTopColor, SetBorderTopColor,
                             PropertyId::Longhand(LonghandId::BorderTopColor)],
                                [Column_rule_color, SetColumn_rule_color,
                                 PropertyId::Longhand(LonghandId::ColumnRuleColor)],
                            [ColumnRuleColor, SetColumnRuleColor,
                             PropertyId::Longhand(LonghandId::ColumnRuleColor)],
                                [Flood_color, SetFlood_color,
                                 PropertyId::Longhand(LonghandId::FloodColor)],
                            [FloodColor, SetFloodColor,
                             PropertyId::Longhand(LonghandId::FloodColor)],
                                [Lighting_color, SetLighting_color,
                                 PropertyId::Longhand(LonghandId::LightingColor)],
                            [LightingColor, SetLightingColor,
                             PropertyId::Longhand(LonghandId::LightingColor)],
                                [Outline_color, SetOutline_color,
                                 PropertyId::Longhand(LonghandId::OutlineColor)],
                            [OutlineColor, SetOutlineColor,
                             PropertyId::Longhand(LonghandId::OutlineColor)],
                                [Stop_color, SetStop_color,
                                 PropertyId::Longhand(LonghandId::StopColor)],
                            [StopColor, SetStopColor,
                             PropertyId::Longhand(LonghandId::StopColor)],
                                [Text_decoration_color, SetText_decoration_color,
                                 PropertyId::Longhand(LonghandId::TextDecorationColor)],
                            [TextDecorationColor, SetTextDecorationColor,
                             PropertyId::Longhand(LonghandId::TextDecorationColor)],
                                [Text_emphasis_color, SetText_emphasis_color,
                                 PropertyId::Longhand(LonghandId::TextEmphasisColor)],
                            [TextEmphasisColor, SetTextEmphasisColor,
                             PropertyId::Longhand(LonghandId::TextEmphasisColor)],
                                [_webkit_text_fill_color, Set_webkit_text_fill_color,
                                 PropertyId::Longhand(LonghandId::WebkitTextFillColor)],
                            [WebkitTextFillColor, SetWebkitTextFillColor,
                             PropertyId::Longhand(LonghandId::WebkitTextFillColor)],
                                [_webkit_text_stroke_color, Set_webkit_text_stroke_color,
                                 PropertyId::Longhand(LonghandId::WebkitTextStrokeColor)],
                            [WebkitTextStrokeColor, SetWebkitTextStrokeColor,
                             PropertyId::Longhand(LonghandId::WebkitTextStrokeColor)],
                            [Background, SetBackground,
                             PropertyId::Shorthand(ShorthandId::Background)],
                                [Background_position, SetBackground_position,
                                 PropertyId::Shorthand(ShorthandId::BackgroundPosition)],
                            [BackgroundPosition, SetBackgroundPosition,
                             PropertyId::Shorthand(ShorthandId::BackgroundPosition)],
                                [Border_color, SetBorder_color,
                                 PropertyId::Shorthand(ShorthandId::BorderColor)],
                            [BorderColor, SetBorderColor,
                             PropertyId::Shorthand(ShorthandId::BorderColor)],
                                [Border_style, SetBorder_style,
                                 PropertyId::Shorthand(ShorthandId::BorderStyle)],
                            [BorderStyle, SetBorderStyle,
                             PropertyId::Shorthand(ShorthandId::BorderStyle)],
                                [Border_width, SetBorder_width,
                                 PropertyId::Shorthand(ShorthandId::BorderWidth)],
                            [BorderWidth, SetBorderWidth,
                             PropertyId::Shorthand(ShorthandId::BorderWidth)],
                                [Border_top, SetBorder_top,
                                 PropertyId::Shorthand(ShorthandId::BorderTop)],
                            [BorderTop, SetBorderTop,
                             PropertyId::Shorthand(ShorthandId::BorderTop)],
                                [Border_right, SetBorder_right,
                                 PropertyId::Shorthand(ShorthandId::BorderRight)],
                            [BorderRight, SetBorderRight,
                             PropertyId::Shorthand(ShorthandId::BorderRight)],
                                [Border_bottom, SetBorder_bottom,
                                 PropertyId::Shorthand(ShorthandId::BorderBottom)],
                            [BorderBottom, SetBorderBottom,
                             PropertyId::Shorthand(ShorthandId::BorderBottom)],
                                [Border_left, SetBorder_left,
                                 PropertyId::Shorthand(ShorthandId::BorderLeft)],
                            [BorderLeft, SetBorderLeft,
                             PropertyId::Shorthand(ShorthandId::BorderLeft)],
                                [Border_block_start, SetBorder_block_start,
                                 PropertyId::Shorthand(ShorthandId::BorderBlockStart)],
                            [BorderBlockStart, SetBorderBlockStart,
                             PropertyId::Shorthand(ShorthandId::BorderBlockStart)],
                                [Border_block_end, SetBorder_block_end,
                                 PropertyId::Shorthand(ShorthandId::BorderBlockEnd)],
                            [BorderBlockEnd, SetBorderBlockEnd,
                             PropertyId::Shorthand(ShorthandId::BorderBlockEnd)],
                                [Border_inline_start, SetBorder_inline_start,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineStart)],
                            [BorderInlineStart, SetBorderInlineStart,
                             PropertyId::Shorthand(ShorthandId::BorderInlineStart)],
                                [_moz_border_start, Set_moz_border_start,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineStart)],
                            [MozBorderStart, SetMozBorderStart,
                             PropertyId::Shorthand(ShorthandId::BorderInlineStart)],
                                [Border_inline_end, SetBorder_inline_end,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineEnd)],
                            [BorderInlineEnd, SetBorderInlineEnd,
                             PropertyId::Shorthand(ShorthandId::BorderInlineEnd)],
                                [_moz_border_end, Set_moz_border_end,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineEnd)],
                            [MozBorderEnd, SetMozBorderEnd,
                             PropertyId::Shorthand(ShorthandId::BorderInlineEnd)],
                            [Border, SetBorder,
                             PropertyId::Shorthand(ShorthandId::Border)],
                                [Border_radius, SetBorder_radius,
                                 PropertyId::Shorthand(ShorthandId::BorderRadius)],
                            [BorderRadius, SetBorderRadius,
                             PropertyId::Shorthand(ShorthandId::BorderRadius)],
                                [_webkit_border_radius, Set_webkit_border_radius,
                                 PropertyId::Shorthand(ShorthandId::BorderRadius)],
                            [WebkitBorderRadius, SetWebkitBorderRadius,
                             PropertyId::Shorthand(ShorthandId::BorderRadius)],
                                [Border_image, SetBorder_image,
                                 PropertyId::Shorthand(ShorthandId::BorderImage)],
                            [BorderImage, SetBorderImage,
                             PropertyId::Shorthand(ShorthandId::BorderImage)],
                                [_moz_border_image, Set_moz_border_image,
                                 PropertyId::Shorthand(ShorthandId::BorderImage)],
                            [MozBorderImage, SetMozBorderImage,
                             PropertyId::Shorthand(ShorthandId::BorderImage)],
                                [_webkit_border_image, Set_webkit_border_image,
                                 PropertyId::Shorthand(ShorthandId::BorderImage)],
                            [WebkitBorderImage, SetWebkitBorderImage,
                             PropertyId::Shorthand(ShorthandId::BorderImage)],
                                [Border_block_width, SetBorder_block_width,
                                 PropertyId::Shorthand(ShorthandId::BorderBlockWidth)],
                            [BorderBlockWidth, SetBorderBlockWidth,
                             PropertyId::Shorthand(ShorthandId::BorderBlockWidth)],
                                [Border_block_style, SetBorder_block_style,
                                 PropertyId::Shorthand(ShorthandId::BorderBlockStyle)],
                            [BorderBlockStyle, SetBorderBlockStyle,
                             PropertyId::Shorthand(ShorthandId::BorderBlockStyle)],
                                [Border_block_color, SetBorder_block_color,
                                 PropertyId::Shorthand(ShorthandId::BorderBlockColor)],
                            [BorderBlockColor, SetBorderBlockColor,
                             PropertyId::Shorthand(ShorthandId::BorderBlockColor)],
                                [Border_inline_width, SetBorder_inline_width,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineWidth)],
                            [BorderInlineWidth, SetBorderInlineWidth,
                             PropertyId::Shorthand(ShorthandId::BorderInlineWidth)],
                                [Border_inline_style, SetBorder_inline_style,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineStyle)],
                            [BorderInlineStyle, SetBorderInlineStyle,
                             PropertyId::Shorthand(ShorthandId::BorderInlineStyle)],
                                [Border_inline_color, SetBorder_inline_color,
                                 PropertyId::Shorthand(ShorthandId::BorderInlineColor)],
                            [BorderInlineColor, SetBorderInlineColor,
                             PropertyId::Shorthand(ShorthandId::BorderInlineColor)],
                                [Border_block, SetBorder_block,
                                 PropertyId::Shorthand(ShorthandId::BorderBlock)],
                            [BorderBlock, SetBorderBlock,
                             PropertyId::Shorthand(ShorthandId::BorderBlock)],
                                [Border_inline, SetBorder_inline,
                                 PropertyId::Shorthand(ShorthandId::BorderInline)],
                            [BorderInline, SetBorderInline,
                             PropertyId::Shorthand(ShorthandId::BorderInline)],
                            [Overflow, SetOverflow,
                             PropertyId::Shorthand(ShorthandId::Overflow)],
                                [Overscroll_behavior, SetOverscroll_behavior,
                                 PropertyId::Shorthand(ShorthandId::OverscrollBehavior)],
                            [OverscrollBehavior, SetOverscrollBehavior,
                             PropertyId::Shorthand(ShorthandId::OverscrollBehavior)],
                                [Page_break_before, SetPage_break_before,
                                 PropertyId::Shorthand(ShorthandId::PageBreakBefore)],
                            [PageBreakBefore, SetPageBreakBefore,
                             PropertyId::Shorthand(ShorthandId::PageBreakBefore)],
                                [Page_break_after, SetPage_break_after,
                                 PropertyId::Shorthand(ShorthandId::PageBreakAfter)],
                            [PageBreakAfter, SetPageBreakAfter,
                             PropertyId::Shorthand(ShorthandId::PageBreakAfter)],
                                [Page_break_inside, SetPage_break_inside,
                                 PropertyId::Shorthand(ShorthandId::PageBreakInside)],
                            [PageBreakInside, SetPageBreakInside,
                             PropertyId::Shorthand(ShorthandId::PageBreakInside)],
                            [Offset, SetOffset,
                             PropertyId::Shorthand(ShorthandId::Offset)],
                            [Zoom, SetZoom,
                             PropertyId::Shorthand(ShorthandId::Zoom)],
                            [Columns, SetColumns,
                             PropertyId::Shorthand(ShorthandId::Columns)],
                                [Column_rule, SetColumn_rule,
                                 PropertyId::Shorthand(ShorthandId::ColumnRule)],
                            [ColumnRule, SetColumnRule,
                             PropertyId::Shorthand(ShorthandId::ColumnRule)],
                            [Font, SetFont,
                             PropertyId::Shorthand(ShorthandId::Font)],
                                [Font_variant, SetFont_variant,
                                 PropertyId::Shorthand(ShorthandId::FontVariant)],
                            [FontVariant, SetFontVariant,
                             PropertyId::Shorthand(ShorthandId::FontVariant)],
                                [Font_synthesis, SetFont_synthesis,
                                 PropertyId::Shorthand(ShorthandId::FontSynthesis)],
                            [FontSynthesis, SetFontSynthesis,
                             PropertyId::Shorthand(ShorthandId::FontSynthesis)],
                            [Marker, SetMarker,
                             PropertyId::Shorthand(ShorthandId::Marker)],
                                [Text_emphasis, SetText_emphasis,
                                 PropertyId::Shorthand(ShorthandId::TextEmphasis)],
                            [TextEmphasis, SetTextEmphasis,
                             PropertyId::Shorthand(ShorthandId::TextEmphasis)],
                                [_webkit_text_stroke, Set_webkit_text_stroke,
                                 PropertyId::Shorthand(ShorthandId::WebkitTextStroke)],
                            [WebkitTextStroke, SetWebkitTextStroke,
                             PropertyId::Shorthand(ShorthandId::WebkitTextStroke)],
                                [List_style, SetList_style,
                                 PropertyId::Shorthand(ShorthandId::ListStyle)],
                            [ListStyle, SetListStyle,
                             PropertyId::Shorthand(ShorthandId::ListStyle)],
                            [Margin, SetMargin,
                             PropertyId::Shorthand(ShorthandId::Margin)],
                                [Margin_block, SetMargin_block,
                                 PropertyId::Shorthand(ShorthandId::MarginBlock)],
                            [MarginBlock, SetMarginBlock,
                             PropertyId::Shorthand(ShorthandId::MarginBlock)],
                                [Margin_inline, SetMargin_inline,
                                 PropertyId::Shorthand(ShorthandId::MarginInline)],
                            [MarginInline, SetMarginInline,
                             PropertyId::Shorthand(ShorthandId::MarginInline)],
                                [Scroll_margin, SetScroll_margin,
                                 PropertyId::Shorthand(ShorthandId::ScrollMargin)],
                            [ScrollMargin, SetScrollMargin,
                             PropertyId::Shorthand(ShorthandId::ScrollMargin)],
                                [Scroll_margin_block, SetScroll_margin_block,
                                 PropertyId::Shorthand(ShorthandId::ScrollMarginBlock)],
                            [ScrollMarginBlock, SetScrollMarginBlock,
                             PropertyId::Shorthand(ShorthandId::ScrollMarginBlock)],
                                [Scroll_margin_inline, SetScroll_margin_inline,
                                 PropertyId::Shorthand(ShorthandId::ScrollMarginInline)],
                            [ScrollMarginInline, SetScrollMarginInline,
                             PropertyId::Shorthand(ShorthandId::ScrollMarginInline)],
                            [Outline, SetOutline,
                             PropertyId::Shorthand(ShorthandId::Outline)],
                            [Padding, SetPadding,
                             PropertyId::Shorthand(ShorthandId::Padding)],
                                [Padding_block, SetPadding_block,
                                 PropertyId::Shorthand(ShorthandId::PaddingBlock)],
                            [PaddingBlock, SetPaddingBlock,
                             PropertyId::Shorthand(ShorthandId::PaddingBlock)],
                                [Padding_inline, SetPadding_inline,
                                 PropertyId::Shorthand(ShorthandId::PaddingInline)],
                            [PaddingInline, SetPaddingInline,
                             PropertyId::Shorthand(ShorthandId::PaddingInline)],
                                [Scroll_padding, SetScroll_padding,
                                 PropertyId::Shorthand(ShorthandId::ScrollPadding)],
                            [ScrollPadding, SetScrollPadding,
                             PropertyId::Shorthand(ShorthandId::ScrollPadding)],
                                [Scroll_padding_block, SetScroll_padding_block,
                                 PropertyId::Shorthand(ShorthandId::ScrollPaddingBlock)],
                            [ScrollPaddingBlock, SetScrollPaddingBlock,
                             PropertyId::Shorthand(ShorthandId::ScrollPaddingBlock)],
                                [Scroll_padding_inline, SetScroll_padding_inline,
                                 PropertyId::Shorthand(ShorthandId::ScrollPaddingInline)],
                            [ScrollPaddingInline, SetScrollPaddingInline,
                             PropertyId::Shorthand(ShorthandId::ScrollPaddingInline)],
                                [Flex_flow, SetFlex_flow,
                                 PropertyId::Shorthand(ShorthandId::FlexFlow)],
                            [FlexFlow, SetFlexFlow,
                             PropertyId::Shorthand(ShorthandId::FlexFlow)],
                                [_webkit_flex_flow, Set_webkit_flex_flow,
                                 PropertyId::Shorthand(ShorthandId::FlexFlow)],
                            [WebkitFlexFlow, SetWebkitFlexFlow,
                             PropertyId::Shorthand(ShorthandId::FlexFlow)],
                            [Flex, SetFlex,
                             PropertyId::Shorthand(ShorthandId::Flex)],
                                [_webkit_flex, Set_webkit_flex,
                                 PropertyId::Shorthand(ShorthandId::Flex)],
                            [WebkitFlex, SetWebkitFlex,
                             PropertyId::Shorthand(ShorthandId::Flex)],
                            [Gap, SetGap,
                             PropertyId::Shorthand(ShorthandId::Gap)],
                                [Grid_gap, SetGrid_gap,
                                 PropertyId::Shorthand(ShorthandId::Gap)],
                            [GridGap, SetGridGap,
                             PropertyId::Shorthand(ShorthandId::Gap)],
                                [Grid_row, SetGrid_row,
                                 PropertyId::Shorthand(ShorthandId::GridRow)],
                            [GridRow, SetGridRow,
                             PropertyId::Shorthand(ShorthandId::GridRow)],
                                [Grid_column, SetGrid_column,
                                 PropertyId::Shorthand(ShorthandId::GridColumn)],
                            [GridColumn, SetGridColumn,
                             PropertyId::Shorthand(ShorthandId::GridColumn)],
                                [Grid_area, SetGrid_area,
                                 PropertyId::Shorthand(ShorthandId::GridArea)],
                            [GridArea, SetGridArea,
                             PropertyId::Shorthand(ShorthandId::GridArea)],
                                [Grid_template, SetGrid_template,
                                 PropertyId::Shorthand(ShorthandId::GridTemplate)],
                            [GridTemplate, SetGridTemplate,
                             PropertyId::Shorthand(ShorthandId::GridTemplate)],
                            [Grid, SetGrid,
                             PropertyId::Shorthand(ShorthandId::Grid)],
                                [Place_content, SetPlace_content,
                                 PropertyId::Shorthand(ShorthandId::PlaceContent)],
                            [PlaceContent, SetPlaceContent,
                             PropertyId::Shorthand(ShorthandId::PlaceContent)],
                                [Place_self, SetPlace_self,
                                 PropertyId::Shorthand(ShorthandId::PlaceSelf)],
                            [PlaceSelf, SetPlaceSelf,
                             PropertyId::Shorthand(ShorthandId::PlaceSelf)],
                                [Place_items, SetPlace_items,
                                 PropertyId::Shorthand(ShorthandId::PlaceItems)],
                            [PlaceItems, SetPlaceItems,
                             PropertyId::Shorthand(ShorthandId::PlaceItems)],
                            [Inset, SetInset,
                             PropertyId::Shorthand(ShorthandId::Inset)],
                                [Inset_block, SetInset_block,
                                 PropertyId::Shorthand(ShorthandId::InsetBlock)],
                            [InsetBlock, SetInsetBlock,
                             PropertyId::Shorthand(ShorthandId::InsetBlock)],
                                [Inset_inline, SetInset_inline,
                                 PropertyId::Shorthand(ShorthandId::InsetInline)],
                            [InsetInline, SetInsetInline,
                             PropertyId::Shorthand(ShorthandId::InsetInline)],
                                [Contain_intrinsic_size, SetContain_intrinsic_size,
                                 PropertyId::Shorthand(ShorthandId::ContainIntrinsicSize)],
                            [ContainIntrinsicSize, SetContainIntrinsicSize,
                             PropertyId::Shorthand(ShorthandId::ContainIntrinsicSize)],
                            [Mask, SetMask,
                             PropertyId::Shorthand(ShorthandId::Mask)],
                                [_webkit_mask, Set_webkit_mask,
                                 PropertyId::Shorthand(ShorthandId::Mask)],
                            [WebkitMask, SetWebkitMask,
                             PropertyId::Shorthand(ShorthandId::Mask)],
                                [Mask_position, SetMask_position,
                                 PropertyId::Shorthand(ShorthandId::MaskPosition)],
                            [MaskPosition, SetMaskPosition,
                             PropertyId::Shorthand(ShorthandId::MaskPosition)],
                                [_webkit_mask_position, Set_webkit_mask_position,
                                 PropertyId::Shorthand(ShorthandId::MaskPosition)],
                            [WebkitMaskPosition, SetWebkitMaskPosition,
                             PropertyId::Shorthand(ShorthandId::MaskPosition)],
                                [Text_decoration, SetText_decoration,
                                 PropertyId::Shorthand(ShorthandId::TextDecoration)],
                            [TextDecoration, SetTextDecoration,
                             PropertyId::Shorthand(ShorthandId::TextDecoration)],
                            [Transition, SetTransition,
                             PropertyId::Shorthand(ShorthandId::Transition)],
                                [_moz_transition, Set_moz_transition,
                                 PropertyId::Shorthand(ShorthandId::Transition)],
                            [MozTransition, SetMozTransition,
                             PropertyId::Shorthand(ShorthandId::Transition)],
                                [_webkit_transition, Set_webkit_transition,
                                 PropertyId::Shorthand(ShorthandId::Transition)],
                            [WebkitTransition, SetWebkitTransition,
                             PropertyId::Shorthand(ShorthandId::Transition)],
                            [Animation, SetAnimation,
                             PropertyId::Shorthand(ShorthandId::Animation)],
                                [_moz_animation, Set_moz_animation,
                                 PropertyId::Shorthand(ShorthandId::Animation)],
                            [MozAnimation, SetMozAnimation,
                             PropertyId::Shorthand(ShorthandId::Animation)],
                                [_webkit_animation, Set_webkit_animation,
                                 PropertyId::Shorthand(ShorthandId::Animation)],
                            [WebkitAnimation, SetWebkitAnimation,
                             PropertyId::Shorthand(ShorthandId::Animation)],
                                [Scroll_timeline, SetScroll_timeline,
                                 PropertyId::Shorthand(ShorthandId::ScrollTimeline)],
                            [ScrollTimeline, SetScrollTimeline,
                             PropertyId::Shorthand(ShorthandId::ScrollTimeline)],
                                [View_timeline, SetView_timeline,
                                 PropertyId::Shorthand(ShorthandId::ViewTimeline)],
                            [ViewTimeline, SetViewTimeline,
                             PropertyId::Shorthand(ShorthandId::ViewTimeline)],
                            [All, SetAll,
                             PropertyId::Shorthand(ShorthandId::All)],
        }
    }
}

/// Call the given macro with tokens like this for each longhand properties:
///
/// ```
/// { snake_case_ident }
/// ```
#[macro_export]
macro_rules! longhand_properties_idents {
    ($macro_name: ident) => {
        $macro_name! {
                { align_content }
                { align_items }
                { align_self }
                { aspect_ratio }
                { backface_visibility }
                { baseline_source }
                { border_collapse }
                { border_image_repeat }
                { box_decoration_break }
                { box_sizing }
                { break_inside }
                { caption_side }
                { clear }
                { color_interpolation }
                { color_interpolation_filters }
                { column_count }
                { column_fill }
                { column_span }
                { contain }
                { container_type }
                { content_visibility }
                { direction }
                { display }
                { dominant_baseline }
                { empty_cells }
                { flex_direction }
                { flex_wrap }
                { float }
                { font_kerning }
                { font_language_override }
                { font_optical_sizing }
                { font_size_adjust }
                { font_stretch }
                { font_style }
                { font_variant_caps }
                { font_variant_east_asian }
                { font_variant_emoji }
                { font_variant_ligatures }
                { font_variant_numeric }
                { font_variant_position }
                { font_weight }
                { forced_color_adjust }
                { grid_auto_flow }
                { hyphens }
                { image_orientation }
                { image_rendering }
                { ime_mode }
                { initial_letter }
                { isolation }
                { justify_content }
                { justify_items }
                { justify_self }
                { line_break }
                { list_style_position }
                { mask_type }
                { masonry_auto_flow }
                { math_depth }
                { math_style }
                { mix_blend_mode }
                { _moz_box_align }
                { _moz_box_collapse }
                { _moz_box_direction }
                { _moz_box_orient }
                { _moz_box_pack }
                { _moz_control_character_visibility }
                { _moz_float_edge }
                { _moz_inert }
                { _moz_math_variant }
                { _moz_min_font_size_ratio }
                { _moz_orient }
                { _moz_osx_font_smoothing }
                { _moz_script_min_size }
                { _moz_script_size_multiplier }
                { _moz_text_size_adjust }
                { _moz_top_layer }
                { _moz_user_focus }
                { _moz_user_input }
                { _moz_user_modify }
                { _moz_window_dragging }
                { _moz_window_shadow }
                { object_fit }
                { offset_rotate }
                { outline_style }
                { overflow_anchor }
                { overflow_wrap }
                { page_orientation }
                { paint_order }
                { pointer_events }
                { position }
                { print_color_adjust }
                { resize }
                { ruby_align }
                { ruby_position }
                { scroll_behavior }
                { scroll_snap_align }
                { scroll_snap_stop }
                { scroll_snap_type }
                { scrollbar_gutter }
                { scrollbar_width }
                { shape_rendering }
                { stroke_linecap }
                { stroke_linejoin }
                { table_layout }
                { text_align }
                { text_align_last }
                { text_anchor }
                { text_combine_upright }
                { text_decoration_line }
                { text_decoration_skip_ink }
                { text_decoration_style }
                { text_emphasis_position }
                { text_justify }
                { text_orientation }
                { text_rendering }
                { text_transform }
                { text_underline_position }
                { touch_action }
                { transform_box }
                { transform_style }
                { unicode_bidi }
                { user_select }
                { vector_effect }
                { visibility }
                { _webkit_line_clamp }
                { _webkit_text_security }
                { white_space }
                { word_break }
                { writing_mode }
                { _x_text_scale }
                { z_index }
                { appearance }
                { _moz_default_appearance }
                { _moz_force_broken_image_icon }
                { _moz_subtree_hidden_only_visually }
                { break_after }
                { break_before }
                { clip_rule }
                { fill_rule }
                { overflow_clip_box_block }
                { overflow_clip_box_inline }
                { fill_opacity }
                { stroke_opacity }
                { font_synthesis_small_caps }
                { font_synthesis_style }
                { font_synthesis_weight }
                { _moz_box_ordinal_group }
                { order }
                { _x_span }
                { flex_grow }
                { flex_shrink }
                { _moz_box_flex }
                { stroke_miterlimit }
                { overflow_block }
                { overflow_inline }
                { overflow_x }
                { overflow_y }
                { overscroll_behavior_block }
                { overscroll_behavior_inline }
                { overscroll_behavior_x }
                { overscroll_behavior_y }
                { flood_opacity }
                { _moz_window_opacity }
                { opacity }
                { shape_image_threshold }
                { stop_opacity }
                { border_block_end_style }
                { border_block_start_style }
                { border_bottom_style }
                { border_inline_end_style }
                { border_inline_start_style }
                { border_left_style }
                { border_right_style }
                { border_top_style }
                { column_rule_style }
                { accent_color }
                { align_tracks }
                { animation_composition }
                { animation_delay }
                { animation_direction }
                { animation_duration }
                { animation_fill_mode }
                { animation_iteration_count }
                { animation_name }
                { animation_play_state }
                { animation_timeline }
                { animation_timing_function }
                { backdrop_filter }
                { background_attachment }
                { background_blend_mode }
                { background_clip }
                { background_image }
                { background_origin }
                { background_position_x }
                { background_position_y }
                { background_repeat }
                { background_size }
                { border_image_outset }
                { border_image_slice }
                { border_image_width }
                { border_spacing }
                { box_shadow }
                { caret_color }
                { clip }
                { clip_path }
                { color }
                { color_scheme }
                { column_width }
                { container_name }
                { content }
                { counter_increment }
                { counter_reset }
                { counter_set }
                { cursor }
                { d }
                { filter }
                { flex_basis }
                { font_family }
                { font_feature_settings }
                { font_palette }
                { font_size }
                { font_variant_alternates }
                { font_variation_settings }
                { grid_template_areas }
                { hyphenate_character }
                { justify_tracks }
                { letter_spacing }
                { line_height }
                { list_style_type }
                { mask_clip }
                { mask_composite }
                { mask_image }
                { mask_mode }
                { mask_origin }
                { mask_position_x }
                { mask_position_y }
                { mask_repeat }
                { mask_size }
                { _moz_context_properties }
                { _moz_font_smoothing_background_color }
                { offset_anchor }
                { offset_path }
                { offset_position }
                { page }
                { perspective }
                { quotes }
                { rotate }
                { scale }
                { scroll_timeline_axis }
                { scroll_timeline_name }
                { scrollbar_color }
                { shape_outside }
                { size }
                { stroke_dasharray }
                { stroke_dashoffset }
                { stroke_width }
                { tab_size }
                { text_decoration_thickness }
                { text_emphasis_style }
                { text_overflow }
                { text_shadow }
                { transition_delay }
                { transition_duration }
                { transition_property }
                { transition_timing_function }
                { translate }
                { vertical_align }
                { view_timeline_axis }
                { view_timeline_inset }
                { view_timeline_name }
                { _webkit_text_stroke_width }
                { will_change }
                { word_spacing }
                { _x_lang }
                { object_position }
                { perspective_origin }
                { fill }
                { stroke }
                { _moz_window_transform_origin }
                { transform_origin }
                { grid_template_columns }
                { grid_template_rows }
                { border_image_source }
                { list_style_image }
                { grid_auto_columns }
                { grid_auto_rows }
                { _moz_window_transform }
                { transform }
                { column_gap }
                { row_gap }
                { marker_end }
                { marker_mid }
                { marker_start }
                { contain_intrinsic_block_size }
                { contain_intrinsic_height }
                { contain_intrinsic_inline_size }
                { contain_intrinsic_width }
                { grid_column_end }
                { grid_column_start }
                { grid_row_end }
                { grid_row_start }
                { max_block_size }
                { max_height }
                { max_inline_size }
                { max_width }
                { cx }
                { cy }
                { offset_distance }
                { text_indent }
                { x }
                { y }
                { border_bottom_left_radius }
                { border_bottom_right_radius }
                { border_end_end_radius }
                { border_end_start_radius }
                { border_start_end_radius }
                { border_start_start_radius }
                { border_top_left_radius }
                { border_top_right_radius }
                { block_size }
                { height }
                { inline_size }
                { min_block_size }
                { min_height }
                { min_inline_size }
                { min_width }
                { width }
                { border_block_end_width }
                { border_block_start_width }
                { border_bottom_width }
                { border_inline_end_width }
                { border_inline_start_width }
                { border_left_width }
                { border_right_width }
                { border_top_width }
                { column_rule_width }
                { outline_width }
                { padding_block_end }
                { padding_block_start }
                { padding_bottom }
                { padding_inline_end }
                { padding_inline_start }
                { padding_left }
                { padding_right }
                { padding_top }
                { r }
                { shape_margin }
                { rx }
                { ry }
                { scroll_padding_block_end }
                { scroll_padding_block_start }
                { scroll_padding_bottom }
                { scroll_padding_inline_end }
                { scroll_padding_inline_start }
                { scroll_padding_left }
                { scroll_padding_right }
                { scroll_padding_top }
                { _moz_window_input_region_margin }
                { outline_offset }
                { overflow_clip_margin }
                { scroll_margin_block_end }
                { scroll_margin_block_start }
                { scroll_margin_bottom }
                { scroll_margin_inline_end }
                { scroll_margin_inline_start }
                { scroll_margin_left }
                { scroll_margin_right }
                { scroll_margin_top }
                { bottom }
                { inset_block_end }
                { inset_block_start }
                { inset_inline_end }
                { inset_inline_start }
                { left }
                { margin_block_end }
                { margin_block_start }
                { margin_bottom }
                { margin_inline_end }
                { margin_inline_start }
                { margin_left }
                { margin_right }
                { margin_top }
                { right }
                { text_underline_offset }
                { top }
                { background_color }
                { border_block_end_color }
                { border_block_start_color }
                { border_bottom_color }
                { border_inline_end_color }
                { border_inline_start_color }
                { border_left_color }
                { border_right_color }
                { border_top_color }
                { column_rule_color }
                { flood_color }
                { lighting_color }
                { outline_color }
                { stop_color }
                { text_decoration_color }
                { text_emphasis_color }
                { _webkit_text_fill_color }
                { _webkit_text_stroke_color }
        }
    }
}

// Large pages generate tens of thousands of ComputedValues.
size_of_test!(ComputedValues, 232);
// FFI relies on this.
size_of_test!(Option<Arc<ComputedValues>>, 8);

// There are two reasons for this test to fail:
//
//   * Your changes made a specified value type for a given property go
//     over the threshold. In that case, you should try to shrink it again
//     or, if not possible, mark the property as boxed in the property
//     definition.
//
//   * Your changes made a specified value type smaller, so that it no
//     longer needs to be boxed. In this case you just need to remove
//     boxed=True from the property definition. Nice job!
#[cfg(target_pointer_width = "64")]
#[allow(dead_code)] // https://github.com/rust-lang/rust/issues/96952
const BOX_THRESHOLD: usize = 24;
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::align_content::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::align_items::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::align_self::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::aspect_ratio::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::backface_visibility::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::baseline_source::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_collapse::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_image_repeat::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::box_decoration_break::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::box_sizing::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::break_inside::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::caption_side::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::clear::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::color_interpolation::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::color_interpolation_filters::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_count::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_fill::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_span::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::contain::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::container_type::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::content_visibility::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::direction::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::display::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::dominant_baseline::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::empty_cells::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flex_direction::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flex_wrap::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::float::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_kerning::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_language_override::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_optical_sizing::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_size_adjust::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_stretch::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_caps::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_east_asian::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_emoji::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_ligatures::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_numeric::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_position::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_weight::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::forced_color_adjust::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_auto_flow::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::hyphens::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::image_orientation::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::image_rendering::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::ime_mode::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::initial_letter::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::isolation::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::justify_content::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::justify_items::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::justify_self::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::line_break::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::list_style_position::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_type::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::masonry_auto_flow::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::math_depth::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::math_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mix_blend_mode::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_align::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_collapse::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_direction::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_orient::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_pack::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_control_character_visibility::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_float_edge::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_inert::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_math_variant::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_min_font_size_ratio::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_orient::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_osx_font_smoothing::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_script_min_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_script_size_multiplier::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_text_size_adjust::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_top_layer::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_user_focus::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_user_input::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_user_modify::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_window_dragging::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_window_shadow::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::object_fit::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::offset_rotate::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::outline_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_anchor::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_wrap::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::page_orientation::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::paint_order::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::pointer_events::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::position::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::print_color_adjust::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::resize::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::ruby_align::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::ruby_position::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_behavior::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_snap_align::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_snap_stop::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_snap_type::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scrollbar_gutter::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scrollbar_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::shape_rendering::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_linecap::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_linejoin::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::table_layout::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_align::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_align_last::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_anchor::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_combine_upright::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_decoration_line::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_decoration_skip_ink::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_decoration_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_emphasis_position::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_justify::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_orientation::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_rendering::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_transform::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_underline_position::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::touch_action::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transform_box::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transform_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::unicode_bidi::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::user_select::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::vector_effect::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::visibility::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_webkit_line_clamp::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_webkit_text_security::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::white_space::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::word_break::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::writing_mode::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_x_text_scale::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::z_index::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::appearance::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_default_appearance::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_force_broken_image_icon::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_subtree_hidden_only_visually::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::break_after::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::break_before::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::clip_rule::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::fill_rule::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_clip_box_block::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_clip_box_inline::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::fill_opacity::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_opacity::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_synthesis_small_caps::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_synthesis_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_synthesis_weight::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_ordinal_group::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::order::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_x_span::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flex_grow::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flex_shrink::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_box_flex::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_miterlimit::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_block::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_inline::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_x::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_y::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overscroll_behavior_block::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overscroll_behavior_inline::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overscroll_behavior_x::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overscroll_behavior_y::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flood_opacity::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_window_opacity::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::opacity::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::shape_image_threshold::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stop_opacity::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_block_end_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_block_start_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_bottom_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_inline_end_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_inline_start_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_left_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_right_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_top_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_rule_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::accent_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::align_tracks::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_composition::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_delay::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_direction::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_duration::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_fill_mode::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_iteration_count::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_name::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_play_state::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_timeline::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::animation_timing_function::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::backdrop_filter::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_attachment::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_blend_mode::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_clip::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_image::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_origin::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_position_x::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_position_y::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_repeat::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_image_outset::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_image_slice::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_image_width::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_spacing::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::box_shadow::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::caret_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::clip::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::clip_path::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::color_scheme::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::container_name::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::content::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::counter_increment::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::counter_reset::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::counter_set::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::cursor::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::d::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::filter::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flex_basis::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_family::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_feature_settings::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_palette::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variant_alternates::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::font_variation_settings::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_template_areas::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::hyphenate_character::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::justify_tracks::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::letter_spacing::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::line_height::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::list_style_type::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_clip::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_composite::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_image::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_mode::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_origin::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_position_x::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_position_y::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_repeat::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::mask_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_context_properties::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_font_smoothing_background_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::offset_anchor::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::offset_path::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::offset_position::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::page::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::perspective::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::quotes::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::rotate::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scale::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_timeline_axis::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_timeline_name::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scrollbar_color::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::shape_outside::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::size::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_dasharray::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_dashoffset::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::tab_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_decoration_thickness::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_emphasis_style::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_overflow::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_shadow::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transition_delay::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transition_duration::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transition_property::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transition_timing_function::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::translate::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::vertical_align::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::view_timeline_axis::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::view_timeline_inset::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::view_timeline_name::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_webkit_text_stroke_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::will_change::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::word_spacing::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_x_lang::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::object_position::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::perspective_origin::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::fill::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stroke::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_window_transform_origin::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transform_origin::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_template_columns::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_template_rows::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_image_source::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::list_style_image::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_auto_columns::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_auto_rows::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_window_transform::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::transform::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_gap::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::row_gap::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::marker_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::marker_mid::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::marker_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::contain_intrinsic_block_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::contain_intrinsic_height::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::contain_intrinsic_inline_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::contain_intrinsic_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_column_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_column_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_row_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::grid_row_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::max_block_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::max_height::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::max_inline_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::max_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::cx::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::cy::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::offset_distance::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_indent::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::x::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::y::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_bottom_left_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_bottom_right_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_end_end_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_end_start_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_start_end_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_start_start_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_top_left_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_top_right_radius::SpecifiedValue>() > BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::block_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::height::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::inline_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::min_block_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::min_height::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::min_inline_size::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::min_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_block_end_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_block_start_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_bottom_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_inline_end_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_inline_start_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_left_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_right_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_top_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_rule_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::outline_width::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_block_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_block_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_bottom::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_inline_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_inline_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_left::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_right::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::padding_top::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::r::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::shape_margin::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::rx::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::ry::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_block_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_block_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_bottom::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_inline_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_inline_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_left::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_right::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_padding_top::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_moz_window_input_region_margin::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::outline_offset::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::overflow_clip_margin::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_block_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_block_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_bottom::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_inline_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_inline_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_left::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_right::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::scroll_margin_top::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::bottom::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::inset_block_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::inset_block_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::inset_inline_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::inset_inline_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::left::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_block_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_block_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_bottom::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_inline_end::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_inline_start::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_left::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_right::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::margin_top::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::right::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_underline_offset::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::top::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::background_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_block_end_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_block_start_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_bottom_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_inline_end_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_inline_start_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_left_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_right_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::border_top_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::column_rule_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::flood_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::lighting_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::outline_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::stop_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_decoration_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::text_emphasis_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_webkit_text_fill_color::SpecifiedValue>() <= BOX_THRESHOLD);
#[cfg(target_pointer_width = "64")]
const_assert!(std::mem::size_of::<longhands::_webkit_text_stroke_color::SpecifiedValue>() <= BOX_THRESHOLD);

